using System.Diagnostics.CodeAnalysis;

namespace WowPacketParser.Enums
{
    [SuppressMessage("ReSharper", "InconsistentNaming")]
    public enum EmoteType
    {
        OneShotNone                            = 0,
        OneShotTalk                            = 1,
        OneShotBow                             = 2,
        OneShotWave                            = 3,
        OneShotCheer                           = 4,
        OneShotExclamation                     = 5,
        OneShotQuestion                        = 6,
        OneShotEat                             = 7,
        StateDance                             = 10,
        OneShotLaugh                           = 11,
        StateSleep                             = 12,
        StateSit                               = 13,
        OneShotRude                            = 14,
        OneShotRoar                            = 15,
        OneShotKneel                           = 16,
        OneShotKiss                            = 17,
        OneShotCry                             = 18,
        OneShotChicken                         = 19,
        OneShotBeg                             = 20,
        OneShotApplaud                         = 21,
        OneShotShot                            = 22,
        OneShotFlex                            = 23,
        OneShotShy                             = 24,
        OneShotPoint                           = 25,
        StateStand                             = 26,
        StateReadyUnarmed                      = 27,
        StateWorkSheathed                      = 28,
        StatePoint                             = 29,
        StateNone                              = 30,
        OneShotWound                           = 33,
        OneShotWoundCritical                   = 34,
        OneShotAttackUnarmed                   = 35,
        OneShotAttack1H                        = 36,
        OneShotAttack2HTight                   = 37,
        OneShotAttack2Loose                    = 38,
        OneShotParryUnarmed                    = 39,
        OneShotParryShield                     = 43,
        OneShotReadyUnarmed                    = 44,
        OneShotReady1H                         = 45,
        OneShotReadyBow                        = 48,
        OneShotSpellPreCast                    = 50,
        OneShotSpellCast                       = 51,
        OneShotBattleRoar                      = 53,
        OneShotSpecialAttack1H                 = 54,
        OneShotKick                            = 60,
        OneShotAttackThrown                    = 61,
        StateStun                              = 64,
        StateDead                              = 65,
        OneShotSalute                          = 66,
        StateKneel                             = 68,
        StateUseStanding                       = 69,
        OneShotWaveNoSheathe                   = 70,
        OneShotCheerNoSheathe                  = 71,
        OneShotEatNoSheathe                    = 92,
        StateStunNoSheathe                     = 93,
        OneShotDance                           = 94,
        OneShotSaluteNoSheath                  = 113,
        StateUseStandingNoSheathe              = 133,
        OneShotLaughNoSheathe                  = 153,
        StateWork                              = 173,
        StateSpellPreCast                      = 193,
        OneShotReadyRifle                      = 213,
        StateReadyRifle                        = 214,
        StateWorkMining                        = 233,
        StateWorkChopWood                      = 234,
        StateApplaud                           = 253,
        OneShotLiftOff                         = 254,
        OneShotYes                             = 273,
        OneShotNo                              = 274,
        OneShotTrain                           = 275,
        OneShotLand                            = 293,
        StateAtEase                            = 313,
        StateReady1H                           = 333,
        StateSpellKneelStart                   = 353,
        StateSubMerged                         = 373,
        OneShotSubMerge                        = 374,
        StateReady2H                           = 375,
        StateReadyBow                          = 376,
        OneShotMountSpecial                    = 377,
        StateTalk                              = 378,
        StateFishing                           = 379,
        OneShotFishing                         = 380,
        OneShotLoot                            = 381,
        StateWhirlwind                         = 382,
        StateDrowned                           = 383,
        StateHoldBow                           = 384,
        StateHoldRifle                         = 385,
        StateHoldThrown                        = 386,
        OneShotDrown                           = 387,
        OneShotStomp                           = 388,
        OneShotAttackOff                       = 389,
        OneShotAttackOffPierce                 = 390,
        StateRoar                              = 391,
        StateLaugh                             = 392,
        OneShotCreatureSpecial                 = 393,
        OneShotJumpLandRun                     = 394,
        OneShotJumped                          = 395,
        OneShotTalkNoSheathe                   = 396,
        OneShotPointNoSheathe                  = 397,
        StateCannibalize                       = 398,
        OneShotJumpStart                       = 399,
        StateDanceSpecial                      = 400,
        OneShotDanceSpecial                    = 401,
        OneShotCustomSpell01                   = 402,
        OneShotCustomSpell02                   = 403,
        OneShotCustomSpell03                   = 404,
        OneShotCustomSpell04                   = 495,
        OneShotCustomSpell05                   = 406,
        OneShotCustomSpell06                   = 407,
        OneShotCustomSpell07                   = 408,
        OneShotCustomSpell08                   = 409,
        OneShotCustomSpell09                   = 410,
        OneShotCustomSpell10                   = 411,
        StateExclaim                           = 412,
        StateDanceCustom                       = 413,
        StateSitChairMed                       = 415,
        StateCustomSpell01                     = 416,
        StateCustomSpell02                     = 417,
        StateEat                               = 418,
        StateCustomSpell04                     = 419,
        StateCustomSpell03                     = 420,
        StateCustomSpell05                     = 421,
        StateSpellEffectHold                   = 422,
        StateEatNoSheathe                      = 423,
        StateMount                             = 424,
        StateReady2HL                          = 425,
        StateSitChairHigh                      = 426,
        StateFall                              = 427,
        StateLoot                              = 428,
        StateSubMergedNew                      = 429,
        OneShotCower                           = 430,
        StateCower                             = 431,
        OneShotUseStanding                     = 432,
        StateStealthGhoul                      = 433,
        OneShotOnmicastGhoul                   = 434,
        OneShotAttackBow                       = 435,
        OneShotAttackRifle                     = 436,
        StateSwimIdle                          = 437,
        StateAttackUnarmed                     = 438,
        OneShotSpellCastWSound                 = 439,
        OneShotDodge                           = 440,
        OneShotParry1H                         = 441,
        OneShotParry2H                         = 442,
        OneShotParry2HL                        = 443,
        StateFlyFAll                           = 444,
        OneShotFlyDeath                        = 445,
        StateFlyAll                            = 446,
        OneShotFlySitGroupDown                 = 447,
        OneShotFlySitGroupUp                   = 448,
        OneShotEmerge                          = 449,
        OneShotDragonSpit                      = 450,
        OneShotSpecialUnarmed                  = 451,
        OneShotFlyGrab                         = 452,
        StateFlyGrabClosed                     = 453,
        OneShotFlyGrabThrown                   = 454,
        StateFlySitGround                      = 455,
        StateWalkBackwards                     = 456,
        OneShotFlyTalk                         = 457,
        OneShotFlyAttack1H                     = 458,
        StateCustomSpell08                     = 459,
        OneShotFlyDragonSpit                   = 460,
        StateSitChairLow                       = 461,
        OneShotStun                            = 462,
        OneShotSpellCastOmni                   = 463,
        StateReadyThrown                       = 464,
        State_Readythrown                      = 465,
        Oneshot_Work_Chopwood                  = 466,
        Oneshot_work_Mining                    = 467,
        State_Spell_Channel_Omni               = 468,
        State_Spell_Channel_Directed           = 469,
        Stand_State_None                       = 470,
        State_ReadyJoust                       = 471,
        State_Strangulate1                     = 472,
        State_Strangulate2                     = 473,
        State_ReadySpellOmni                   = 474,
        State_Hold_Joust                       = 475,
        Oneshot_Cry                            = 476,
        Oneshot_SpecialUnarmed                 = 477,
        State_Dance_NoSheathe                  = 478,
        Oneshot_Sniff                          = 479,
        Oneshot_Dragonstomp                    = 480,
        Oneshot_Knockdown                      = 482,
        State_Read                             = 483,
        Oneshot_FlyEmoteTalk                   = 485,
        State_Read_AllowMovement               = 492,
        State_Custom_Spell_06                  = 498,
        State_Custom_Spell_07                  = 499,
        State_Custom_Spell_08                  = 500,
        State_Custom_Spell_09                  = 501,
        State_Custom_Spell_10                  = 502,
        State_Ready1h_Allow_Movement           = 505,
        State_Ready2h_Allow_Movement           = 506,
        Oneshot_MonkOffense_AttackUnarmed      = 507,
        Oneshot_MonkOffense_SpecialUnarmed     = 508,
        Oneshot_MonkOffense_ParryUnarmed       = 509,
        State_MonkOffense_ReadyUnarmed         = 510,
        Oneshot_Palmstrike                     = 511,
        State_Crane                            = 512,
        Oneshot_Open                           = 517,
        State_Read_Christmas                   = 518,
        Oneshot_FlyAttack2hl                   = 526,
        Oneshot_FlyAttackThrown                = 527,
        State_FlyReadySpellDirected            = 528,
        State_Fly_Ready_1h                     = 531,
        State_Meditate                         = 533,
        State_Fly_Ready_2hl                    = 534,
        Oneshot_ToGround                       = 535,
        Oneshot_ToFly                          = 536,
        State_AttackThrown                     = 537,
        State_Spell_Channel_Directed_NoSound   = 538,
        Oneshot_Work                           = 539,
        State_ReadyUnarmed_NoSound             = 540,
        Oneshot_MonkOffense_AttackUnarmedOff   = 543,
        Reclined_Mount_Passenger               = 546,
        Oneshot_Question1                      = 547,
        Oneshot_Spell_Channel_Directed_NoSound = 549,
        State_Kneel                            = 550,
        Oneshot_FlyAttackUnarmed               = 551,
        Oneshot_FlyCombatWound                 = 552,
        Oneshot_MountSelfSpecial               = 553,
        Oneshot_AttackUnarmed_NoSound          = 554,
        State_WoundCritical                    = 555,
        Oneshot_Attack1h_1                     = 556,
        State_Mount_Self_Idle                  = 557,
        Oneshot_Walk                           = 558,
        State_Opened                           = 559,
        State_CustomSpell03                    = 564,
        Oneshot_BreathOffire                   = 565,
        State_Attack1h                         = 567,
        State_Work_Chopwood1                   = 568,
        State_Usestanding_Loop1                = 569,
        State_Usestanding                      = 572,
        Oneshot_Sheath                         = 573,
        Oneshot_Laugh                          = 574,
        Reclined_Mount                         = 575,
        Oneshot_Attack1h_2                     = 577,
        State_Cry_NoSound                      = 578,
        Oneshot_Cry_NoSound                    = 579,
        Oneshot_CombatCritical                 = 584,
        State_Train                            = 585,
        State_Work_Chopwood2                   = 586,
        Oneshot_SpecialAttack2h                = 587,
        State_Read_And_Talk                    = 588,
        Oneshot_Stand_Var1                     = 589,
        Rexxar_Strangles_Goblin                = 590,
        Oneshot_Stand_Var2                     = 591,
        Oneshot_Death                          = 592,
        State_TalkOnce                         = 595,
        State_Attack2h                         = 596,
        State_Emote_Sit_Ground                 = 598,
        State_Work_Chopwood3                   = 599,
        State_CustomSpell01                    = 601,
        Oneshot_Combatwound                    = 602,
        Oneshot_Talk_Exclamation               = 603,
        Oneshot_Question2                      = 604,
        State_Cry                              = 605,
        State_Usestanding_Loop2                = 606,
        State_Work_Smith                       = 613,
        State_Work_Chopwood4                   = 614,
        State_CustomSpell02                    = 615,
        State_Read_And_Sit                     = 616,
        State_Parry_Unarmed                    = 619,
        State_Block_Shield                     = 620,
        State_Sit_Ground                       = 621
    }
}
