namespace WowPacketParser.Enums
{
    public enum Opcode
    {
        // ReSharper disable InconsistentNaming
        /* Generic opcode enumeration
        * Every opcode _name_ should be here (any version)
        * (Important) This enum should NOT contain two
        * or more opcode names that represent the same opcode
        */
        NULL_OPCODE = 0,
        CMSG_ACCEPT_GUILD_INVITE,
        CMSG_ACCEPT_LEVEL_GRANT,
        CMSG_ACCEPT_TRADE,
        CMSG_ACCEPT_WARGAME_INVITE,
        CMSG_ACTIVATE_TAXI,
        CMSG_ACTIVATE_TAXI_EXPRESS,
        CMSG_ACTIVE_PVP_CHEAT,
        CMSG_ADDON_LIST,
        CMSG_ADDON_REGISTERED_PREFIXES,
        CMSG_ADD_BATTLENET_FRIEND,
        CMSG_ADD_FRIEND,
        CMSG_ADD_IGNORE,
        CMSG_ADD_PVP_MEDAL_CHEAT,
        CMSG_ADD_TOY,
        CMSG_ADVANCE_SPAWN_TIME,
        CMSG_ADVENTURE_JOURNAL_OPEN_QUEST,
        CMSG_ADVENTURE_JOURNAL_START_QUEST,
        CMSG_ADVENTURE_MAP_POI_QUERY,
        CMSG_AFK_MONITOR_INFO_CLEAR,
        CMSG_AFK_MONITOR_INFO_REQUEST,
        CMSG_ALTER_APPEARANCE,
        CMSG_AREA_SPIRIT_HEALER_QUERY,
        CMSG_AREA_SPIRIT_HEALER_QUEUE,
        CMSG_AREA_TRIGGER,
        CMSG_ARENA_TEAM_ACCEPT,
        CMSG_ARENA_TEAM_CREATE,
        CMSG_ARENA_TEAM_DECLINE,
        CMSG_ARENA_TEAM_DISBAND,
        CMSG_ARENA_TEAM_INVITE,
        CMSG_ARENA_TEAM_LEADER,
        CMSG_ARENA_TEAM_LEAVE,
        CMSG_ARENA_TEAM_QUERY,
        CMSG_ARENA_TEAM_REMOVE,
        CMSG_ARENA_TEAM_ROSTER,
        CMSG_ARTIFACT_ADD_POWER,
        CMSG_ARTIFACT_ADD_RELIC_TALENT,
        CMSG_ARTIFACT_ATTUNE_PREVIEW_RELIC,
        CMSG_ARTIFACT_ATTUNE_SOCKETED_RELIC,
        CMSG_ARTIFACT_SET_APPEARANCE,
        CMSG_ASSIGN_EQUIPMENT_SET_SPEC,
        CMSG_ATTACK_STOP,
        CMSG_ATTACK_SWING,
        CMSG_AUCTION_HELLO_REQUEST,
        CMSG_AUCTION_LIST_BIDDER_ITEMS,
        CMSG_AUCTION_LIST_ITEMS,
        CMSG_AUCTION_LIST_OWNER_ITEMS,
        CMSG_AUCTION_LIST_PENDING_SALES,
        CMSG_AUCTION_PLACE_BID,
        CMSG_AUCTION_REMOVE_ITEM,
        CMSG_AUCTION_REPLICATE_ITEMS,
        CMSG_AUCTION_SELL_ITEM,
        CMSG_AUTH_CONTINUED_SESSION,
        CMSG_AUTH_SESSION,
        CMSG_AUTH_SRP6_BEGIN,
        CMSG_AUTH_SRP6_PROOF,
        CMSG_AUTH_SRP6_RECODE,
        CMSG_AUTOBANK_ITEM,
        CMSG_AUTOBANK_REAGENT,
        CMSG_AUTO_DECLINE_GUILD_INVITES,
        CMSG_AUTO_EQUIP_GROUND_ITEM,
        CMSG_AUTO_EQUIP_ITEM,
        CMSG_AUTO_EQUIP_ITEM_SLOT,
        CMSG_AUTO_STORE_BAG_ITEM,
        CMSG_AUTOSTORE_BANK_ITEM,
        CMSG_AUTOSTORE_BANK_REAGENT,
        CMSG_AUTOSTORE_GROUND_ITEM,
        CMSG_AUTOSTORE_LOOT_ITEM,
        CMSG_AZERITE_EMPOWERED_ITEM_SELECT_POWER,
        CMSG_AZERITE_EMPOWERED_ITEM_VIEWED,
        CMSG_BANKER_ACTIVATE,
        CMSG_BATTLEFIELD_JOIN,
        CMSG_BATTLEFIELD_JOIN_RATED,
        CMSG_BATTLEFIELD_LEAVE,
        CMSG_BATTLEFIELD_LIST,
        CMSG_BATTLEFIELD_MANAGER_ADVANCE_STATE,
        CMSG_BATTLEFIELD_MANAGER_SET_NEXT_TRANSITION_TIME,
        CMSG_BATTLEFIELD_PORT,
        CMSG_BATTLEFIELD_REQUEST_SCORE_DATA,
        CMSG_BATTLEFIELD_STATUS,
        CMSG_BATTLEGROUND_PLAYER_POSITIONS,
        CMSG_BATTLEGROUND_PORT_AND_LEAVE,
        CMSG_BATTLEMASTER_HELLO,
        CMSG_BATTLEMASTER_JOIN,
        CMSG_BATTLEMASTER_JOIN_ARENA,
        CMSG_BATTLEMASTER_JOIN_BRAWL,
        CMSG_BATTLEMASTER_JOIN_RATED,
        CMSG_BATTLEMASTER_JOIN_ARENA_SKIRMISH,
        CMSG_BATTLEMASTER_JOIN_SKIRMISH,
        CMSG_BATTLENET_CHALLENGE_RESPONSE,
        CMSG_BATTLENET_REQUEST,
        CMSG_BATTLENET_REQUEST_REALM_LIST_TICKET,
        CMSG_BATTLE_PAY_ACK_FAILED_RESPONSE,
        CMSG_BATTLE_PAY_CANCEL_OPEN_CHECKOUT,
        CMSG_BATTLE_PAY_CONFIRM_PURCHASE_RESPONSE,
        CMSG_BATTLE_PAY_DISTRIBUTION_ASSIGN_TO_TARGET,
        CMSG_BATTLE_PAY_GET_PRODUCT_LIST,
        CMSG_BATTLE_PAY_GET_PURCHASE_LIST,
        CMSG_BATTLE_PAY_OPEN_CHECKOUT,
        CMSG_BATTLE_PAY_QUERY_CLASS_TRIAL_BOOST_RESULT,
        CMSG_BATTLE_PAY_REQUEST_CHARACTER_BOOST_UNREVOKE,
        CMSG_BATTLE_PAY_REQUEST_CURRENT_VAS_TRANSFER_QUEUES,
        CMSG_BATTLE_PAY_REQUEST_PRICE_INFO,
        CMSG_BATTLE_PAY_REQUEST_VAS_CHARACTER_QUEUE_TIME,
        CMSG_BATTLE_PAY_START_PURCHASE,
        CMSG_BATTLE_PAY_START_VAS_PURCHASE,
        CMSG_BATTLE_PAY_TRIAL_BOOST_CHARACTER,
        CMSG_BATTLE_PAY_VALIDATE_BNET_VAS_TRANSFER,
        CMSG_BATTLE_PAY_VAS_PURCHASE_COMPLETE,
        CMSG_BATTLE_PET_CLEAR_FANFARE,
        CMSG_BATTLE_PET_DELETE_PET,
        CMSG_BATTLE_PET_DELETE_PET_CHEAT,
        CMSG_BATTLE_PET_MODIFY_NAME,
        CMSG_BATTLE_PET_REQUEST_JOURNAL,
        CMSG_BATTLE_PET_REQUEST_JOURNAL_LOCK,
        CMSG_BATTLE_PET_SET_BATTLE_SLOT,
        CMSG_BATTLE_PET_SET_FLAGS,
        CMSG_BATTLE_PET_SUMMON,
        CMSG_BATTLE_PET_SUMMON_COMPANION,
        CMSG_BATTLE_PET_UPDATE_DISPLAY_NOTIFY,
        CMSG_BATTLE_PET_UPDATE_NOTIFY,
        CMSG_BEASTMASTER,
        CMSG_BEGIN_TRADE,
        CMSG_BF_MGR_ENTRY_INVITE_RESPONSE,
        CMSG_BF_MGR_QUEUE_EXIT_REQUEST,
        CMSG_BF_MGR_QUEUE_INVITE_RESPONSE,
        CMSG_BF_MGR_QUEUE_REQUEST,
        CMSG_BINDER_ACTIVATE,
        CMSG_BLACK_MARKET_BID_ON_ITEM,
        CMSG_BLACK_MARKET_OPEN,
        CMSG_BLACK_MARKET_REQUEST_ITEMS,
        CMSG_BONUS_ROLL,
        CMSG_BOOTME,
        CMSG_BOT_DETECTED,
        CMSG_BOT_DETECTED2,
        CMSG_BUG,
        CMSG_BUG_REPORT,
        CMSG_BUSY_TRADE,
        CMSG_BUY_BACK_ITEM,
        CMSG_BUY_BANK_SLOT,
        CMSG_BUY_ITEM,
        CMSG_BUY_ITEM_IN_SLOT,
        CMSG_BUY_LOTTERY_TICKET_OBSOLETE,
        CMSG_BUY_REAGENT_BANK,
        CMSG_BUY_STABLE_SLOT,
        CMSG_BUY_WOW_TOKEN_CONFIRM,
        CMSG_BUY_WOW_TOKEN_START,
        CMSG_CAGE_BATTLE_PET,
        CMSG_CALENDAR_ADD_EVENT,
        CMSG_CALENDAR_ARENA_TEAM,
        CMSG_CALENDAR_COMMUNITY_FILTER,
        CMSG_CALENDAR_COMPLAIN,
        CMSG_CALENDAR_CONTEXT_EVENT_SIGNUP,
        CMSG_CALENDAR_COPY_EVENT,
        CMSG_CALENDAR_EVENT_INVITE,
        CMSG_CALENDAR_EVENT_INVITE_NOTES,
        CMSG_CALENDAR_EVENT_MODERATOR_STATUS,
        CMSG_CALENDAR_EVENT_REMOVE_INVITE,
        CMSG_CALENDAR_EVENT_RSVP,
        CMSG_CALENDAR_EVENT_SIGN_UP,
        CMSG_CALENDAR_EVENT_STATUS,
        CMSG_CALENDAR_GET,
        CMSG_CALENDAR_GET_CALENDAR,
        CMSG_CALENDAR_GET_EVENT,
        CMSG_CALENDAR_GET_NUM_PENDING,
        CMSG_CALENDAR_GUILD_FILTER,
        CMSG_CALENDAR_REMOVE_EVENT,
        CMSG_CALENDAR_REMOVE_INVITE,
        CMSG_CALENDAR_UPDATE_EVENT,
        CMSG_CANCEL_AURA,
        CMSG_CANCEL_AUTO_REPEAT_SPELL,
        CMSG_CANCEL_CAST,
        CMSG_CANCEL_CHANNELLING,
        CMSG_CANCEL_GROWTH_AURA,
        CMSG_CANCEL_MASTER_LOOT_ROLL,
        CMSG_CANCEL_MOD_SPEED_NO_CONTROL_AURAS,
        CMSG_CANCEL_MOUNT_AURA,
        CMSG_CANCEL_QUEUED_SPELL,
        CMSG_CANCEL_TEMP_ENCHANTMENT,
        CMSG_CANCEL_TRADE,
        CMSG_CAN_DUEL,
        CMSG_CAN_REDEEM_WOW_TOKEN_FOR_BALANCE,
        CMSG_CAST_SPELL,
        CMSG_CHALLENGE_MODE_REQUEST_LEADERS,
        CMSG_CHALLENGE_MODE_REQUEST_MAP_STATS,
        CMSG_CHANGEPLAYER_DIFFICULTY,
        CMSG_CHANGE_BAG_SLOT_FLAG,
        CMSG_CHANGE_GDF_ARENA_RATING,
        CMSG_CHANGE_MONUMENT_APPEARANCE,
        CMSG_CHANGE_PERSONAL_ARENA_RATING,
        CMSG_CHANGE_SEATS_ON_CONTROLLED_VEHICLE,
        CMSG_CHANGE_SUB_GROUP,
        CMSG_CHARACTER_POINT_CHEAT,
        CMSG_CHARACTER_RENAME_REQUEST,
        CMSG_CHAR_CUSTOMIZE,
        CMSG_CHAR_DELETE,
        CMSG_CHAR_FACTION_CHANGE,
        CMSG_CHAR_RACE_CHANGE,
        CMSG_CHAR_RACE_OR_FACTION_CHANGE,
        CMSG_CHAT_ADDON_MESSAGE,
        CMSG_CHAT_ADDON_MESSAGE_BATTLEGROUND,
        CMSG_CHAT_ADDON_MESSAGE_CHANNEL,
        CMSG_CHAT_ADDON_MESSAGE_GUILD,
        CMSG_CHAT_ADDON_MESSAGE_INSTANCE_CHAT,
        CMSG_CHAT_ADDON_MESSAGE_OFFICER,
        CMSG_CHAT_ADDON_MESSAGE_PARTY,
        CMSG_CHAT_ADDON_MESSAGE_RAID,
        CMSG_CHAT_ADDON_MESSAGE_TARGETED,
        CMSG_CHAT_ADDON_MESSAGE_WHISPER,
        CMSG_CHAT_CHANNEL_ANNOUNCEMENTS,
        CMSG_CHAT_CHANNEL_BAN,
        CMSG_CHAT_CHANNEL_DECLINE_INVITE,
        CMSG_CHAT_CHANNEL_DISPLAY_LIST,
        CMSG_CHAT_CHANNEL_INVITE,
        CMSG_CHAT_CHANNEL_KICK,
        CMSG_CHAT_CHANNEL_LIST,
        CMSG_CHAT_CHANNEL_MODERATE,
        CMSG_CHAT_CHANNEL_MODERATOR,
        CMSG_CHAT_CHANNEL_MUTE,
        CMSG_CHAT_CHANNEL_OWNER,
        CMSG_CHAT_CHANNEL_PASSWORD,
        CMSG_CHAT_CHANNEL_ROSTER_INFO,
        CMSG_CHAT_CHANNEL_SET_OWNER,
        CMSG_CHAT_CHANNEL_SILENCE_ALL,
        CMSG_CHAT_CHANNEL_SILENCE_VOICE,
        CMSG_CHAT_CHANNEL_UNBAN,
        CMSG_CHAT_CHANNEL_UNMODERATOR,
        CMSG_CHAT_CHANNEL_UNMUTE,
        CMSG_CHAT_CHANNEL_UNSILENCE_ALL,
        CMSG_CHAT_CHANNEL_UNSILENCE_VOICE,
        CMSG_CHAT_CHANNEL_VOICE_OFF,
        CMSG_CHAT_CHANNEL_VOICE_ON,
        CMSG_CHAT_JOIN_CHANNEL,
        CMSG_CHAT_LEAVE_CHANNEL,
        CMSG_CHAT_MESSAGE_AFK,
        CMSG_CHAT_MESSAGE_BATTLEGROUND,
        CMSG_CHAT_MESSAGE_BATTLEGROUND_LEADER,
        CMSG_CHAT_MESSAGE_CHANNEL,
        CMSG_CHAT_MESSAGE_DND,
        CMSG_CHAT_MESSAGE_EMOTE,
        CMSG_CHAT_MESSAGE_GUILD,
        CMSG_CHAT_MESSAGE_INSTANCE_CHAT,
        CMSG_CHAT_MESSAGE_OFFICER,
        CMSG_CHAT_MESSAGE_PARTY,
        CMSG_CHAT_MESSAGE_PARTY_LEADER,
        CMSG_CHAT_MESSAGE_RAID,
        CMSG_CHAT_MESSAGE_RAID_LEADER,
        CMSG_CHAT_MESSAGE_RAID_WARNING,
        CMSG_CHAT_MESSAGE_SAY,
        CMSG_CHAT_MESSAGE_WHISPER,
        CMSG_CHAT_MESSAGE_YELL,
        CMSG_CHAT_REGISTER_ADDON_PREFIXES,
        CMSG_CHAT_REPORT_FILTERED,
        CMSG_CHAT_REPORT_IGNORED,
        CMSG_CHAT_UNREGISTER_ALL_ADDON_PREFIXES,
        CMSG_CHEAT_DUMP_ITEMS_DEBUG_ONLY,
        CMSG_CHEAT_PLAYER_LOGIN,
        CMSG_CHEAT_PLAYER_LOOKUP,
        CMSG_CHEAT_SETMONEY,
        CMSG_CHEAT_SET_ARENA_CURRENCY,
        CMSG_CHEAT_SET_HONOR_CURRENCY,
        CMSG_CHECK_LOGIN_CRITERIA,
        CMSG_CHECK_RAF_EMAIL_ENABLED,
        CMSG_CHECK_WOW_TOKEN_VETERAN_ELIGIBILITY,
        CMSG_CHOICE_RESPONSE,
        CMSG_CLEAR_CHANNEL_WATCH,
        CMSG_CLEAR_EXPLORATION,
        CMSG_CLEAR_HOLIDAY_BG_WIN_TIME,
        CMSG_CLEAR_QUEST,
        CMSG_CLEAR_RAID_MARKER,
        CMSG_CLEAR_RANDOM_BG_WIN_TIME,
        CMSG_CLEAR_SERVER_BUCK_DATA,
        CMSG_CLEAR_TRADE_ITEM,
        CMSG_CLIENT_PORT_GRAVEYARD,
        CMSG_CLOSE_INTERACTION,
        CMSG_CLOSE_QUEST_CHOICE,
        CMSG_CLUB_INVITE,
        CMSG_COLLECTION_ITEM_SET_FAVORITE,
        CMSG_COMMENTATOR_ENABLE,
        CMSG_COMMENTATOR_ENTER_INSTANCE,
        CMSG_COMMENTATOR_EXIT_INSTANCE,
        CMSG_COMMENTATOR_GET_MAP_INFO,
        CMSG_COMMENTATOR_GET_PARTY_INFO,
        CMSG_COMMENTATOR_GET_PLAYER_COOLDOWNS,
        CMSG_COMMENTATOR_GET_PLAYER_INFO,
        CMSG_COMMENTATOR_INSTANCE_COMMAND,
        CMSG_COMMENTATOR_SKIRMISH_QUEUE_COMMAND,
        CMSG_COMMENTATOR_START_WARGAME,
        CMSG_COMPLAINT,
        CMSG_COMPLETE_ACHIEVEMENT_CHEAT,
        CMSG_COMPLETE_ALL_READY_SHIPMENTS,
        CMSG_COMPLETE_CINEMATIC,
        CMSG_COMPLETE_MOVIE,
        CMSG_CONFIRM_ARTIFACT_RESPEC,
        CMSG_CONFIRM_RESPEC_WIPE,
        CMSG_CONNECT_TO_FAILED,
        CMSG_CONTRIBUTION_CONTRIBUTE,
        CMSG_CONTRIBUTION_GET_STATE,
        CMSG_CONTACT_LIST,
        CMSG_CONVERSATION_LINE_STARTED,
        CMSG_CONVERSATION_UNK1,
        CMSG_CONVERT_CONSUMPTION_TIME,
        CMSG_CONVERT_RAID,
        CMSG_COOLDOWN_CHEAT,
        CMSG_CORPSE_MAP_POSITION_QUERY,
        CMSG_CORPSE_QUERY,
        CMSG_CREATEGAMEOBJECT,
        CMSG_CREATEITEM,
        CMSG_CREATEMONSTER,
        CMSG_CREATE_CHARACTER,
        CMSG_CREATE_SHIPMENT,
        CMSG_CUF_PROFILES_SAVE,
        CMSG_DANCE_QUERY,
        CMSG_DBLOOKUP,
        CMSG_DB_QUERY_BULK,
        CMSG_DEBUG_ACTIONS_START,
        CMSG_DEBUG_ACTIONS_STOP,
        CMSG_DEBUG_AISTATE,
        CMSG_DEBUG_CHANGECELLZONE,
        CMSG_DEBUG_LIST_TARGETS,
        CMSG_DEBUG_PASSIVE_AURA,
        CMSG_DEBUG_SERVER_GEO,
        CMSG_DECHARGE,
        CMSG_DECLINE_GUILD_INVITES,
        CMSG_DECLINE_PETITION,
        CMSG_DELETE_DANCE,
        CMSG_DELETE_EQUIPMENT_SET,
        CMSG_DEL_FRIEND,
        CMSG_DEL_IGNORE,
        CMSG_DEL_PVP_MEDAL_CHEAT,
        CMSG_DEPOSIT_REAGENT_BANK,
        CMSG_DESTROYMONSTER,
        CMSG_DESTROY_ITEM,
        CMSG_DESTROY_ITEMS,
        CMSG_DF_BOOT_PLAYER_VOTE,
        CMSG_DF_GET_JOIN_STATUS,
        CMSG_DF_GET_SYSTEM_INFO,
        CMSG_DF_JOIN,
        CMSG_DF_LEAVE,
        CMSG_DF_PROPOSAL_RESPONSE,
        CMSG_DF_READY_CHECK_RESPONSE,
        CMSG_DF_SEARCH_JOIN,
        CMSG_DF_SEARCH_LEAVE,
        CMSG_DF_SET_COMMENT,
        CMSG_DF_SET_ROLES,
        CMSG_DF_TELEPORT,
        CMSG_DISABLE_PVP_CHEAT,
        CMSG_DISCARDED_TIME_SYNC_ACKS,
        CMSG_DISMISS_CONTROLLED_VEHICLE,
        CMSG_DISMISS_CRITTER,
        CMSG_DO_MASTER_LOOT_ROLL,
        CMSG_DO_READY_CHECK,
        CMSG_DROP_NEW_CONNECTION,
        CMSG_DUEL_ACCEPTED,
        CMSG_DUEL_CANCELLED,
        CMSG_DUEL_PROPOSED,
        CMSG_DUEL_RESPONSE,
        CMSG_DUMP_OBJECTS,
        CMSG_DUNGEON_FINDER_GET_SYSTEM_INFO,
        CMSG_EJECT_PASSENGER,
        CMSG_EMOTE,
        CMSG_ENABLE_DAMAGE_LOG,
        CMSG_ENABLE_ENCRYPTION_ACK,
        CMSG_ENABLE_NAGLE,
        CMSG_ENABLE_TAXI_NODE,
        CMSG_END_BATTLEFIELD_CHEAT,
        CMSG_ENGINE_SURVEY,
        CMSG_ENUM_CHARACTERS,
        CMSG_ENUM_CHARACTERS_DELETED_BY_CLIENT,
        CMSG_EQUIPMENT_SET_DELETE,
        CMSG_SAVE_EQUIPMENT_SET,
        CMSG_EQUIPMENT_SET_USE,
        CMSG_EXPIRE_RAID_INSTANCE,
        CMSG_FAR_SIGHT,
        CMSG_FLAG_QUEST,
        CMSG_FLAG_QUEST_FINISH,
        CMSG_FLOOD_GRACE_CHEAT,
        CMSG_FORCEACTION,
        CMSG_FORCEACTIONONOTHER,
        CMSG_FORCEACTIONSHOW,
        CMSG_FORCE_ANIM,
        CMSG_FORCE_FLIGHT_BACK_SPEED_CHANGE_ACK,
        CMSG_FORCE_FLIGHT_SPEED_CHANGE_ACK,
        CMSG_FORCE_MOVE_ROOT_ACK,
        CMSG_FORCE_MOVE_UNROOT_ACK,
        CMSG_FORCE_PITCH_RATE_CHANGE_ACK,
        CMSG_FORCE_RUN_BACK_SPEED_CHANGE_ACK,
        CMSG_FORCE_RUN_SPEED_CHANGE_ACK,
        CMSG_FORCE_SAY_CHEAT,
        CMSG_FORCE_SWIM_BACK_SPEED_CHANGE_ACK,
        CMSG_FORCE_SWIM_SPEED_CHANGE_ACK,
        CMSG_FORCE_TURN_RATE_CHANGE_ACK,
        CMSG_FORCE_WALK_SPEED_CHANGE_ACK,
        CMSG_GAME_EVENT_DEBUG_DISABLE,
        CMSG_GAME_EVENT_DEBUG_ENABLE,
        CMSG_GAMESPEED_SET,
        CMSG_GAMETIME_SET,
        CMSG_GAME_OBJ_REPORT_USE,
        CMSG_GAME_OBJ_USE,
        CMSG_GAME_STORE_BUY,
        CMSG_GAME_STORE_LIST,
        CMSG_GARRISON_ASSIGN_FOLLOWER_TO_BUILDING,
        CMSG_GARRISON_CANCEL_CONSTRUCTION,
        CMSG_GARRISON_CHECK_UPGRADEABLE,
        CMSG_GARRISON_COMPLETE_MISSION,
        CMSG_GARRISON_GENERATE_RECRUITS,
        CMSG_GARRISON_GET_BUILDING_LANDMARKS,
        CMSG_GARRISON_GET_MISSION_REWARD,
        CMSG_GARRISON_MISSION_BONUS_ROLL,
        CMSG_GARRISON_PURCHASE_BUILDING,
        CMSG_GARRISON_RECRUIT_FOLLOWER,
        CMSG_GARRISON_REMOVE_FOLLOWER,
        CMSG_GARRISON_REMOVE_FOLLOWER_FROM_BUILDING,
        CMSG_GARRISON_RENAME_FOLLOWER,
        CMSG_GARRISON_REQUEST_BLUEPRINT_AND_SPECIALIZATION_DATA,
        CMSG_GARRISON_REQUEST_CLASS_SPEC_CATEGORY_INFO,
        CMSG_GARRISON_REQUEST_LANDING_PAGE_SHIPMENT_INFO,
        CMSG_GARRISON_REQUEST_SHIPMENT_INFO,
        CMSG_GARRISON_RESEARCH_TALENT,
        CMSG_GARRISON_SET_BUILDING_ACTIVE,
        CMSG_GARRISON_SET_FOLLOWER_FAVORITE,
        CMSG_GARRISON_SET_FOLLOWER_INACTIVE,
        CMSG_GARRISON_SET_RECRUITMENT_PREFERENCES,
        CMSG_GARRISON_START_MISSION,
        CMSG_GARRISON_SWAP_BUILDINGS,
        CMSG_GARRISON_UNK1,
        CMSG_GENERATE_RANDOM_CHARACTER_NAME,
        CMSG_GETDEATHBINDZONE,
        CMSG_GET_ACCOUNT_CHARACTER_LIST,
        CMSG_GET_CHALLENGE_MODE_REWARDS,
        CMSG_GET_CHANNEL_MEMBER_COUNT,
        CMSG_GET_GARRISON_INFO,
        CMSG_GET_ITEM_PURCHASE_DATA,
        CMSG_GET_MIRROR_IMAGE_DATA,
        CMSG_GET_PVP_OPTIONS_ENABLED,
        CMSG_GET_REMAINING_GAME_TIME,
        CMSG_GET_SHIPMENT_INFO,
        CMSG_GET_TROPHY_LIST,
        CMSG_GET_UNDELETE_CHARACTER_COOLDOWN_STATUS,
        CMSG_GHOST,
        CMSG_GMRESPONSE_CREATE_TICKET,
        CMSG_GMTICKETSYSTEM_TOGGLE,
        CMSG_GM_CHARACTER_RESTORE,
        CMSG_GM_CHARACTER_SAVE,
        CMSG_GM_CREATE_ITEM_TARGET,
        CMSG_GM_DESTROY_ONLINE_CORPSE,
        CMSG_GM_FREEZE,
        CMSG_GM_GRANT_ACHIEVEMENT,
        CMSG_GM_INVIS,
        CMSG_GM_LAG_REPORT,
        CMSG_GM_MOVECORPSE,
        CMSG_GM_NUKE,
        CMSG_GM_NUKE_ACCOUNT,
        CMSG_GM_NUKE_CHARACTER,
        CMSG_GM_REMOVE_ACHIEVEMENT,
        CMSG_GM_REQUEST_PLAYER_INFO,
        CMSG_GM_RESURRECT,
        CMSG_GM_REVEALTO,
        CMSG_GM_SET_CRITERIA_FOR_PLAYER,
        CMSG_GM_SET_SECURITY_GROUP,
        CMSG_GM_SHOW_COMPLAINTS,
        CMSG_GM_SILENCE,
        CMSG_GM_SUMMONMOB,
        CMSG_GM_SURVEY_SUBMIT,
        CMSG_GM_TEACH,
        CMSG_GM_TICKET_ACKNOWLEDGE_SURVEY,
        CMSG_GM_TICKET_CREATE,
        CMSG_GM_TICKET_DELETE_TICKET,
        CMSG_GM_TICKET_GET_CASE_STATUS,
        CMSG_GM_TICKET_GET_SYSTEM_STATUS,
        CMSG_GM_TICKET_GET_TICKET,
        CMSG_GM_TICKET_RESPONSE_RESOLVE,
        CMSG_GM_TICKET_UPDATE_TEXT,
        CMSG_GM_UBERINVIS,
        CMSG_GM_UNSQUELCH,
        CMSG_GM_UNTEACH,
        CMSG_GM_UPDATE_TICKET_STATUS,
        CMSG_GM_VISION,
        CMSG_GM_WHISPER,
        CMSG_GODMODE,
        CMSG_GOSSIP_HELLO,
        CMSG_GOSSIP_SELECT_OPTION,
        CMSG_GRANT_LEVEL,
        CMSG_GROUP_ACCEPT,
        CMSG_GROUP_ACCEPT_DECLINE,
        CMSG_GROUP_ASSIGNMENT,
        CMSG_GROUP_CANCEL,
        CMSG_GROUP_CHANGE_SUB_GROUP,
        CMSG_GROUP_DECLINE,
        CMSG_GROUP_DISBAND,
        CMSG_GROUP_INVITE,
        CMSG_GROUP_INVITE_RESPONSE,
        CMSG_GROUP_LEAVE,
        CMSG_GROUP_RAID_CONVERT,
        CMSG_GROUP_REQUEST_JOIN_UPDATES,
        CMSG_GROUP_SET_LEADER,
        CMSG_GROUP_SET_ROLES,
        CMSG_GROUP_SWAP_SUB_GROUP,
        CMSG_GROUP_UNINVITE,
        CMSG_GROUP_UNINVITE_GUID,
        CMSG_GUILD_ACCEPT,
        CMSG_GUILD_ACHIEVEMENT_MEMBERS,
        CMSG_GUILD_ADD_BATTLENET_FRIEND,
        CMSG_GUILD_ADD_RANK,
        CMSG_GUILD_ASSIGN_MEMBER_RANK,
        CMSG_GUILD_AUTO_DECLINE_INVITATION, // 4.x
        CMSG_GUILD_BANK_ACTIVATE,
        CMSG_GUILD_BANK_BUY_TAB,
        CMSG_GUILD_BANK_DEPOSIT_MONEY,
        CMSG_GUILD_BANK_LOG_QUERY,
        CMSG_GUILD_BANK_QUERY_TAB,
        CMSG_GUILD_BANK_REMAINING_WITHDRAW_MONEY_QUERY,
        CMSG_GUILD_BANK_SET_TAB_TEXT,
        CMSG_GUILD_BANK_SWAP_ITEMS,
        CMSG_GUILD_BANK_TEXT_QUERY,
        CMSG_GUILD_BANK_UPDATE_TAB,
        CMSG_GUILD_BANK_WITHDRAW_MONEY,
        CMSG_GUILD_CHALLENGE_UPDATE_REQUEST,
        CMSG_GUILD_CHANGE_NAME_REQUEST,
        CMSG_GUILD_CREATE,
        CMSG_GUILD_DECLINE_INVITATION,
        CMSG_GUILD_DELETE,
        CMSG_GUILD_DELETE_RANK,
        CMSG_GUILD_DEMOTE_MEMBER,
        CMSG_GUILD_DISBAND,
        CMSG_GUILD_EVENT_LOG_QUERY,
        CMSG_GUILD_GET_ACHIEVEMENT_MEMBERS,
        CMSG_GUILD_GET_RANKS,
        CMSG_GUILD_GET_ROSTER,
        CMSG_GUILD_INFO,
        CMSG_GUILD_INFO_TEXT,
        CMSG_GUILD_INVITE,
        CMSG_GUILD_INVITE_BY_NAME,
        CMSG_GUILD_LEADER,
        CMSG_GUILD_LEAVE,
        CMSG_GUILD_MEMBER_SEND_SOR_REQUEST,
        CMSG_GUILD_MOTD,
        CMSG_GUILD_NEWS_UPDATE_STICKY,
        CMSG_GUILD_OFFICER_REMOVE_MEMBER,
        CMSG_GUILD_PERMISSIONS_QUERY,
        CMSG_GUILD_PROMOTE_MEMBER,
        CMSG_GUILD_QUERY_MEMBERS_FOR_RECIPE,
        CMSG_GUILD_QUERY_MEMBER_RECIPES,
        CMSG_GUILD_QUERY_NEWS,
        CMSG_GUILD_QUERY_RECIPES,
        CMSG_GUILD_QUERY_TRADESKILL,
        CMSG_GUILD_REPLACE_GUILD_MASTER,
        CMSG_GUILD_REQUEST_CHALLENGE_UPDATE,
        CMSG_GUILD_REQUEST_MAX_DAILY_XP,
        CMSG_GUILD_SET_ACHIEVEMENT_TRACKING, // Cata only
        CMSG_GUILD_SET_FOCUSED_ACHIEVEMENT,
        CMSG_GUILD_SET_GUILD_MASTER,
        CMSG_GUILD_SET_MEMBER_NOTE,
        CMSG_GUILD_SET_NOTE,
        CMSG_GUILD_SET_OFFICER_NOTE,
        CMSG_GUILD_SET_PUBLIC_NOTE,
        CMSG_GUILD_SET_RANK_PERMISSIONS,
        CMSG_GUILD_SHIFT_RANK,
        CMSG_GUILD_SWITCH_RANK,
        CMSG_GUILD_UPDATE_INFO_TEXT,
        CMSG_GUILD_UPDATE_MOTD_TEXT,
        CMSG_HEARTH_AND_RESURRECT,
        CMSG_HOTFIX_REQUEST,
        CMSG_IGNORE_DIMINISHING_RETURNS_CHEAT,
        CMSG_IGNORE_KNOCKBACK_CHEAT,
        CMSG_IGNORE_REQUIREMENTS_CHEAT,
        CMSG_IGNORE_TRADE,
        CMSG_INCREASE_CAST_TIME_FOR_SPELL,
        CMSG_INITIATE_ROLE_POLL,
        CMSG_INITIATE_TRADE,
        CMSG_INSPECT,
        CMSG_INSPECT_PVP,
        CMSG_INSTANCE_LOCK_RESPONSE,
        CMSG_INSTANCE_LOCK_WARNING_RESPONSE,
        CMSG_ISLAND_QUEUE,
        CMSG_ITEM_NAME_QUERY,
        CMSG_ITEM_PURCHASE_REFUND,
        CMSG_ITEM_QUERY_MULTIPLE,
        CMSG_ITEM_QUERY_SINGLE,
        CMSG_ITEM_TEXT_QUERY,
        CMSG_ITEM_UPGRADE,
        CMSG_JOIN_ARENA,
        CMSG_JOIN_PET_BATTLE_QUEUE,
        CMSG_JOIN_RATED_BATTLEGROUND,
        CMSG_KEEP_ALIVE,
        CMSG_KEYBOUND_OVERRIDE,
        CMSG_LEARN_DANCE_MOVE,
        CMSG_LEARN_PET_SPECIALIZATION_GROUP,
        CMSG_LEARN_PREVIEW_TALENTS,
        CMSG_LEARN_PREVIEW_TALENTS_PET,
        CMSG_LEARN_PVP_TALENTS,
        CMSG_LEARN_SPELL,
        CMSG_LEARN_TALENT,
        CMSG_LEARN_TALENTS,
        CMSG_LEAVE_BATTLEFIELD,
        CMSG_LEAVE_GROUP,
        CMSG_LEAVE_PET_BATTLE_QUEUE,
        CMSG_LEVEL_CHEAT,
        CMSG_LFG_GET_SYSTEM_INFO,
        CMSG_LFG_JOIN,
        CMSG_LFG_LEAVE,
        CMSG_LFG_LFR_JOIN,
        CMSG_LFG_LFR_LEAVE,
        CMSG_LFG_LIST_APPLY_TO_GROUP,
        CMSG_LFG_LIST_CANCEL_APPLICATION,
        CMSG_LFG_LIST_DECLINE_APPLICANT,
        CMSG_LFG_LIST_GET_STATUS,
        CMSG_LFG_LIST_INVITE_APPLICANT,
        CMSG_LFG_LIST_INVITE_RESPONSE,
        CMSG_LFG_LIST_JOIN,
        CMSG_LFG_LIST_LEAVE,
        CMSG_LFG_LIST_SEARCH,
        CMSG_LFG_LIST_UPDATE_REQUEST,
        CMSG_LFG_PARTY_LOCK_INFO_REQUEST,
        CMSG_LFG_PLAYER_LOCK_INFO_REQUEST,
        CMSG_LFG_PROPOSAL_RESULT,
        CMSG_LFG_SET_BOOT_VOTE,
        CMSG_LFG_SET_COMMENT,
        CMSG_LFG_SET_NEEDS,
        CMSG_LFG_SET_ROLES,
        CMSG_LFG_SET_ROLES_2,
        CMSG_LFG_TELEPORT,
        CMSG_LF_GUILD_ADD_RECRUIT,
        CMSG_LF_GUILD_BROWSE,
        CMSG_LF_GUILD_DECLINE_RECRUIT,
        CMSG_LF_GUILD_GET_APPLICATIONS,
        CMSG_LF_GUILD_GET_GUILD_POST,
        CMSG_LF_GUILD_GET_RECRUITS,
        CMSG_LF_GUILD_REMOVE_RECRUIT,
        CMSG_LF_GUILD_SET_GUILD_POST,
        CMSG_LIST_INVENTORY,
        CMSG_LIVE_REGION_ACCOUNT_RESTORE,
        CMSG_LIVE_REGION_CHARACTER_COPY,
        CMSG_LIVE_REGION_GET_ACCOUNT_CHARACTER_LIST,
        CMSG_LOADING_SCREEN_NOTIFY,
        CMSG_LOAD_DANCES,
        CMSG_LOAD_SELECTED_TROPHY,
        CMSG_LOGOUT_CANCEL,
        CMSG_LOGOUT_INSTANT,
        CMSG_LOGOUT_REQUEST,
        CMSG_LOG_DISCONNECT,
        CMSG_LOG_STREAMING_ERROR,
        CMSG_LOOT_CURRENCY,
        CMSG_LOOT_ITEM,
        CMSG_LOOT_MASTER_GIVE,
        CMSG_LOOT_MONEY,
        CMSG_LOOT_RELEASE,
        CMSG_LOOT_ROLL,
        CMSG_LOOT_UNIT,
        CMSG_LOTTERY_QUERY_OBSOLETE,
        CMSG_LOW_LEVEL_RAID1,
        CMSG_LOW_LEVEL_RAID2,
        CMSG_LUA_USAGE,
        CMSG_MAELSTROM_GM_SENT_MAIL,
        CMSG_MAELSTROM_INVALIDATE_CACHE,
        CMSG_MAELSTROM_RENAME_GUILD,
        CMSG_MAIL_CREATE_TEXT_ITEM,
        CMSG_MAIL_DELETE,
        CMSG_MAIL_GET_LIST,
        CMSG_MAIL_MARK_AS_READ,
        CMSG_MAIL_RETURN_TO_SENDER,
        CMSG_MAIL_TAKE_ITEM,
        CMSG_MAIL_TAKE_MONEY,
        CMSG_MAKE_CONTITIONAL_APPEARANCE_PERMANENT,
        CMSG_MAKEMONSTERATTACKGUID,
        CMSG_MASTER_LOOT_ITEM,
        CMSG_MEETINGSTONE_CHEAT,
        CMSG_MEETINGSTONE_INFO,
        CMSG_MESSAGECHAT,
        CMSG_MINIGAME_MOVE,
        CMSG_MINIMAP_PING,
        CMSG_MISSILE_TRAJECTORY_COLLISION,
        CMSG_MOUNT_CLEAR_FANFARE,
        CMSG_MOUNT_SET_FAVORITE,
        CMSG_MOUNT_SPECIAL_ANIM,
        CMSG_MOVE_APPLY_MOVEMENT_FORCE_ACK,
        CMSG_MOVE_CHANGE_TRANSPORT,
        CMSG_MOVE_CHANGE_VEHICLE_SEATS,
        CMSG_MOVE_CHARACTER_CHEAT,
        CMSG_MOVE_CHARM_PORT_CHEAT,
        CMSG_MOVE_CHARM_TELEPORT_CHEAT,
        CMSG_MOVE_DISMISS_VEHICLE,
        CMSG_MOVE_DOUBLE_JUMP,
        CMSG_MOVE_ENABLE_DOUBLE_JUMP_ACK,
        CMSG_MOVE_ENABLE_SWIM_TO_FLY_TRANS_ACK,
        CMSG_MOVE_FALL_LAND,
        CMSG_MOVE_FALL_RESET,
        CMSG_MOVE_FEATHER_FALL_ACK,
        CMSG_MOVE_FLIGHT_ACK,
        CMSG_MOVE_FORCE_FLIGHT_BACK_SPEED_CHANGE_ACK,
        CMSG_MOVE_FORCE_FLIGHT_SPEED_CHANGE_ACK,
        CMSG_MOVE_FORCE_PITCH_RATE_CHANGE_ACK,
        CMSG_MOVE_FORCE_ROOT_ACK,
        CMSG_MOVE_FORCE_RUN_BACK_SPEED_CHANGE_ACK,
        CMSG_MOVE_FORCE_RUN_SPEED_CHANGE_ACK,
        CMSG_MOVE_FORCE_SET_MOD_MOVEMENT_FORCE_MAGNITUDE_ACK,
        CMSG_MOVE_FORCE_SWIM_BACK_SPEED_CHANGE_ACK,
        CMSG_MOVE_FORCE_SWIM_SPEED_CHANGE_ACK,
        CMSG_MOVE_FORCE_TURN_RATE_CHANGE_ACK,
        CMSG_MOVE_FORCE_UNROOT_ACK,
        CMSG_MOVE_FORCE_WALK_SPEED_CHANGE_ACK,
        CMSG_MOVE_GRAVITY_DISABLE_ACK,
        CMSG_MOVE_GRAVITY_ENABLE_ACK,
        CMSG_MOVE_HEARTBEAT,
        CMSG_MOVE_HOVER_ACK,
        CMSG_MOVE_JUMP,
        CMSG_MOVE_KNOCK_BACK_ACK,
        CMSG_MOVE_NOT_ACTIVE_MOVER,
        CMSG_MOVE_REMOVE_MOVEMENT_FORCES,
        CMSG_MOVE_REMOVE_MOVEMENT_FORCE_ACK,
        CMSG_MOVE_SEAMLESS_TRANSFER_COMPLETE,
        CMSG_MOVE_SET_CAN_FLY,
        CMSG_MOVE_SET_CAN_FLY_ACK,
        CMSG_MOVE_SET_CAN_TRANSITION_BETWEEN_SWIM_AND_FLY_ACK,
        CMSG_MOVE_SET_CAN_TURN_WHILE_FALLING_ACK,
        CMSG_MOVE_SET_COLLISION_HEIGHT_ACK,
        CMSG_MOVE_SET_COLLISION_HGT_ACK,
        CMSG_MOVE_SET_FACING,
        CMSG_MOVE_SET_FLY,
        CMSG_MOVE_SET_IGNORE_MOVEMENT_FORCES_ACK,
        CMSG_MOVE_SET_PITCH,
        CMSG_MOVE_SET_RAW_POSITION,
        CMSG_MOVE_SET_RELATIVE_POSITION,
        CMSG_MOVE_SET_RUN_MODE,
        CMSG_MOVE_SET_RUN_SPEED,
        CMSG_MOVE_SET_VEHICLE_REC_ID_ACK,
        CMSG_MOVE_SET_WALK_MODE,
        CMSG_MOVE_SPLINE_DONE,
        CMSG_MOVE_START_ASCEND,
        CMSG_MOVE_START_BACKWARD,
        CMSG_MOVE_START_DESCEND,
        CMSG_MOVE_START_FORWARD,
        CMSG_MOVE_START_PITCH_DOWN,
        CMSG_MOVE_START_PITCH_UP,
        CMSG_MOVE_START_STRAFE_LEFT,
        CMSG_MOVE_START_STRAFE_RIGHT,
        CMSG_MOVE_START_SWIM,
        CMSG_MOVE_START_SWIM_CHEAT,
        CMSG_MOVE_START_TURN_LEFT,
        CMSG_MOVE_START_TURN_RIGHT,
        CMSG_MOVE_STOP,
        CMSG_MOVE_STOP_ASCEND,
        CMSG_MOVE_STOP_PITCH,
        CMSG_MOVE_STOP_STRAFE,
        CMSG_MOVE_STOP_SWIM,
        CMSG_MOVE_STOP_SWIM_CHEAT,
        CMSG_MOVE_STOP_TURN,
        CMSG_MOVE_TELEPORT_ACK,
        CMSG_MOVE_TELEPORT_CHEAT,
        CMSG_MOVE_TIME_SKIPPED,
        CMSG_MOVE_TOGGLE_COLLISION_CHEAT,
        CMSG_MOVE_UPDATE_FALL_SPEED,
        CMSG_MOVE_WATER_WALK_ACK,
        CMSG_NAME_QUERY,
        CMSG_NEUTRAL_PLAYER_SELECT_FACTION,
        CMSG_NEW_SPELL_SLOT,
        CMSG_NEXT_CINEMATIC_CAMERA,
        CMSG_NO_SPELL_VARIANCE,
        CMSG_OBJECT_UPDATE_FAILED,
        CMSG_OBJECT_UPDATE_RESCUED,
        CMSG_OFFER_PETITION,
        CMSG_OPENING_CINEMATIC,
        CMSG_OPEN_ITEM,
        CMSG_OPEN_MISSION_NPC,
        CMSG_OPEN_SHIPMENT_NPC,
        CMSG_OPEN_TRADESKILL_NPC,
        CMSG_OPT_OUT_OF_LOOT,
        CMSG_PARTY_INVITE,
        CMSG_PARTY_INVITE_RESPONSE,
        CMSG_PARTY_SILENCE,
        CMSG_PARTY_UNINVITE,
        CMSG_PARTY_UNSILENCE,
        CMSG_PERFORM_ACTION_SET,
        CMSG_PETGODMODE,
        CMSG_PETITION_BUY,
        CMSG_PETITION_DECLINE,
        CMSG_PETITION_QUERY,
        CMSG_PETITION_RENAME,
        CMSG_PETITION_RENAME_GUILD,
        CMSG_PETITION_SHOW_LIST,
        CMSG_PETITION_SHOW_SIGNATURES,
        CMSG_PETITION_SIGN,
        CMSG_PET_ABANDON,
        CMSG_PET_ACTION,
        CMSG_PET_BATTLE_FINAL_NOTIFY,
        CMSG_PET_BATTLE_INPUT,
        CMSG_PET_BATTLE_QUEUE_PROPOSE_MATCH_RESULT,
        CMSG_PET_BATTLE_QUIT_NOTIFY,
        CMSG_PET_BATTLE_REPLACE_FRONT_PET,
        CMSG_PET_BATTLE_REQUEST_PVP,
        CMSG_PET_BATTLE_REQUEST_UPDATE,
        CMSG_PET_BATTLE_REQUEST_WILD,
        CMSG_PET_BATTLE_SCRIPT_ERROR_NOTIFY,
        CMSG_PET_BATTLE_WILD_LOCATION_FAIL,
        CMSG_PET_CANCEL_AURA,
        CMSG_PET_CAST_SPELL,
        CMSG_PET_LEARN_TALENT,
        CMSG_PET_LEVEL_CHEAT,
        CMSG_PET_RENAME,
        CMSG_PET_SET_ACTION,
        CMSG_PET_SPELL_AUTOCAST,
        CMSG_PET_STOP_ATTACK,
        CMSG_PET_UNLEARN,
        CMSG_PET_UNLEARN_TALENTS,
        CMSG_PING,
        CMSG_PLAYER_AI_CHEAT,
        CMSG_PLAYER_DIFFICULTY_CHANGE,
        CMSG_PLAYER_LOGIN,
        CMSG_PLAYER_LOGOUT,
        CMSG_PLAYER_VEHICLE_ENTER,
        CMSG_PLAY_DANCE,
        CMSG_PROFILEDATA_REQUEST,
        CMSG_PROTOCOL_MISMATCH,
        CMSG_PUSH_QUEST_TO_PARTY,
        CMSG_PVP_LOG_DATA,
        CMSG_PVP_PRESTIGE_RANK_UP,
        CMSG_PVP_QUEUE_STATS_REQUEST,
        CMSG_QUERY_BATTLEFIELD_STATE,
        CMSG_QUERY_BATTLE_PET_NAME,
        CMSG_QUERY_COMMUNITY_NAME,
        CMSG_QUERY_CORPSE_LOCATION_FROM_CLIENT,
        CMSG_QUERY_CORPSE_TRANSPORT,
        CMSG_QUERY_COUNTDOWN_TIMER,
        CMSG_QUERY_CREATURE,
        CMSG_QUERY_GAME_OBJECT,
        CMSG_QUERY_GARRISON_CREATURE_NAME,
        CMSG_QUERY_GUILD_INFO,
        CMSG_QUERY_INSPECT_ACHIEVEMENTS,
        CMSG_QUERY_NEXT_MAIL_TIME,
        CMSG_QUERY_NPC_TEXT,
        CMSG_QUERY_OBJECT_POSITION,
        CMSG_QUERY_OBJECT_ROTATION,
        CMSG_QUERY_PAGE_TEXT,
        CMSG_QUERY_PETITION,
        CMSG_QUERY_PET_NAME,
        CMSG_QUERY_PLAYER_NAME,
        CMSG_QUERY_QUESTS_COMPLETED,
        CMSG_QUERY_QUEST_COMPLETION_NPCS,
        CMSG_QUERY_QUEST_INFO,
        CMSG_QUERY_TREASURE_PICKER,
        CMSG_QUERY_REALM_NAME,
        CMSG_QUERY_SCENARIO_POI,
        CMSG_QUERY_SERVER_BUCK_DATA,
        CMSG_QUERY_TIME,
        CMSG_QUERY_VEHICLE_STATUS,
        CMSG_QUEST_CLOSE_AUTOACCEPT_QUEST,
        CMSG_QUEST_CONFIRM_ACCEPT,
        CMSG_QUEST_GIVER_ACCEPT_QUEST,
        CMSG_QUEST_GIVER_CANCEL,
        CMSG_QUEST_GIVER_CHOOSE_REWARD,
        CMSG_QUEST_GIVER_COMPLETE_QUEST,
        CMSG_QUEST_GIVER_HELLO,
        CMSG_QUEST_GIVER_IGNORE_QUEST,
        CMSG_QUEST_GIVER_QUERY_QUEST,
        CMSG_QUEST_GIVER_QUEST_AUTOLAUNCH,
        CMSG_QUEST_GIVER_REQUEST_REWARD,
        CMSG_QUEST_GIVER_SHARE_QUEST,
        CMSG_QUEST_GIVER_STATUS_MULTIPLE_QUERY,
        CMSG_QUEST_GIVER_STATUS_QUERY,
        CMSG_QUEST_GIVER_UNIGNORE_QUEST,
        CMSG_QUEST_LOG_REMOVE_QUEST,
        CMSG_QUEST_LOG_SWAP_QUEST,
        CMSG_QUEST_POI_QUERY,
        CMSG_QUEST_PUSH_RESULT,
        CMSG_QUEUED_MESSAGES_END,
        CMSG_QUICK_JOIN_AUTO_ACCEPT_REQUESTS,
        CMSG_QUICK_JOIN_REQUEST_INVITE,
        CMSG_QUICK_JOIN_RESPOND_TO_INVITE,
        CMSG_QUICK_JOIN_SIGNAL_TOAST_DISPLAYED,
        CMSG_RAID_OR_BATTLEGROUND_ENGINE_SURVEY,
        CMSG_RANDOM_ROLL,
        CMSG_READY_CHECK_RESPONSE,
        CMSG_READY_FOR_ACCOUNT_DATA_TIMES,
        CMSG_READ_ITEM,
        CMSG_REALM_QUERY,
        CMSG_REALM_SPLIT,
        CMSG_RECHARGE,
        CMSG_RECLAIM_CORPSE,
        CMSG_RECRUIT_A_FRIEND,
        CMSG_REDEEM_WOW_TOKEN_CONFIRM,
        CMSG_REDEEM_WOW_TOKEN_START,
        CMSG_REMOVE_NEW_ITEM,
        CMSG_REFER_A_FRIEND,
        CMSG_REFORGE_ITEM,
        CMSG_REMOVE_GLYPH,
        CMSG_REORDER_CHARACTERS,
        CMSG_REPAIR_ITEM,
        CMSG_REPLACE_TROPHY,
        CMSG_REPOP_REQUEST,
        CMSG_REPORT_CLIENT_VARIABLES,
        CMSG_REPORT_ENABLED_ADDONS,
        CMSG_REPORT_KEYBINDING_EXECUTION_COUNTS,
        CMSG_REPORT_PVP_PLAYER_AFK,
        CMSG_REPORT_SERVER_LAG,
        CMSG_REQUEST_ACCOUNT_DATA,
        CMSG_REQUEST_AREA_POI_UPDATE,
        CMSG_REQUEST_ARTIFACT_COMPLETION_HISTORY,
        CMSG_REQUEST_BATTLEFIELD_STATUS,
        CMSG_REQUEST_CATEGORY_COOLDOWNS, // Cata only
        CMSG_REQUEST_CEMETERY_LIST, // Cata only
        CMSG_REQUEST_CHALLENGE_MODE_AFFIXES,
        CMSG_REQUEST_CHARACTER_GUILD_FOLLOW_INFO,
        CMSG_REQUEST_CONQUEST_FORMULA_CONSTANTS,
        CMSG_REQUEST_CONSUMPTION_CONVERSION_INFO,
        CMSG_REQUEST_CROWD_CONTROL_SPELL,
        CMSG_REQUEST_FORCED_REACTIONS,
        CMSG_REQUEST_GUILD_PARTY_STATE,
        CMSG_REQUEST_GUILD_REWARDS_LIST,
        CMSG_REQUEST_GUILD_XP,
        CMSG_REQUEST_HONOR_STATS,
        CMSG_REQUEST_HOTFIX,
        CMSG_REQUEST_INSPECT_RATED_BG_STATS,
        CMSG_REQUEST_LFG_LIST_BLACKLIST,
        CMSG_REQUEST_PARTY_JOIN_UPDATES,
        CMSG_REQUEST_PARTY_MEMBER_STATS,
        CMSG_REQUEST_PET_INFO,
        CMSG_REQUEST_PLAYED_TIME,
        CMSG_REQUEST_PLAYER_VEHICLE_EXIT,
        CMSG_REQUEST_PVP_BRAWL_INFO,
        CMSG_REQUEST_PVP_REWARDS,
        CMSG_REQUEST_QUEST_LINES_FOR_MAP,
        CMSG_REQUEST_RAID_INFO,
        CMSG_REQUEST_RATED_BATTLEFIELD_INFO,
        CMSG_REQUEST_RATED_BG_INFO, // Bf
        CMSG_REQUEST_RATED_BG_STATS,
        CMSG_REQUEST_RATED_INFO,
        CMSG_REQUEST_REALM_GUILD_MASTER_INFO,
        CMSG_REQUEST_RESEARCH_HISTORY,
        CMSG_REQUEST_STABLED_PETS,
        CMSG_REQUEST_VEHICLE_EXIT,
        CMSG_REQUEST_VEHICLE_NEXT_SEAT,
        CMSG_REQUEST_VEHICLE_PREV_SEAT,
        CMSG_REQUEST_VEHICLE_SWITCH_SEAT,
        CMSG_REQUEST_WORLD_QUEST_UPDATE,
        CMSG_REQUEST_WOW_TOKEN_MARKET_PRICE,
        CMSG_RESET_CHALLENGE_MODE,
        CMSG_RESET_CHALLENGE_MODE_CHEAT,
        CMSG_RESET_FACTION_CHEAT,
        CMSG_RESET_INSTANCES,
        CMSG_RESURRECT_RESPONSE,
        CMSG_REVERT_MONUMENT_APPEARANCE,
        CMSG_RIDE_VEHICLE_INTERACT,
        CMSG_ROLE_POLL_BEGIN,
        CMSG_RUN_SCRIPT,
        CMSG_SAVE_CUF_PROFILES,
        CMSG_SAVE_DANCE,
        CMSG_SAVE_GUILD_EMBLEM,
        CMSG_SAVE_PLAYER,
        CMSG_SAVE_TROPHY,
        CMSG_SCENE_PLAYBACK_CANCELED,
        CMSG_SCENE_PLAYBACK_COMPLETE,
        CMSG_SCENE_TRIGGER_EVENT,
        CMSG_SELF_RES,
        CMSG_SELL_ITEM,
        CMSG_SELL_WOW_TOKEN_CONFIRM,
        CMSG_SELL_WOW_TOKEN_START,
        CMSG_SEND_COMBAT_TRIGGER,
        CMSG_SEND_CONTACT_LIST,
        CMSG_SEND_EVENT,
        CMSG_SEND_GENERAL_TRIGGER,
        CMSG_SEND_LOCAL_EVENT,
        CMSG_SEND_MAIL,
        CMSG_SEND_SOR_REQUEST_VIA_ADDRESS,
        CMSG_SEND_SOR_REQUEST_VIA_BNET_ACCOUNT_ID,
        CMSG_SEND_TEXT_EMOTE,
        CMSG_SERVERINFO,
        CMSG_SERVERTIME,
        CMSG_SERVER_BROADCAST,
        CMSG_SERVER_COMMAND,
        CMSG_SERVER_INFO_QUERY,
        CMSG_SETDEATHBINDPOINT,
        CMSG_SET_ACHIEVEMENTS_HIDDEN,
        CMSG_SET_ACTION_BAR_TOGGLES,
        CMSG_SET_ACTION_BUTTON,
        CMSG_SET_ACTIVE_MOVER,
        CMSG_SET_ACTIVE_TALENT_GROUP_OBSOLETE,
        CMSG_SET_ACTIVE_VOICE_CHANNEL,
        CMSG_SET_ADVANCED_COMBAT_LOGGING,
        CMSG_SET_AMMO,
        CMSG_SET_ARENA_MEMBER_SEASON_GAMES,
        CMSG_SET_ARENA_MEMBER_WEEKLY_GAMES,
        CMSG_SET_ARENA_TEAM_RATING_BY_INDEX,
        CMSG_SET_ARENA_TEAM_SEASON_GAMES,
        CMSG_SET_ARENA_TEAM_WEEKLY_GAMES,
        CMSG_SET_ASSISTANT_LEADER,
        CMSG_SET_BACKPACK_AUTOSORT_DISABLED,
        CMSG_SET_BANK_AUTOSORT_DISABLED,
        CMSG_CHANGE_BANK_BAG_SLOT_FLAG,
        CMSG_SET_BREATH,
        CMSG_SET_CHANNEL_WATCH,
        CMSG_SET_CHARACTER_MODEL,
        CMSG_SET_CONTACT_NOTES,
        CMSG_SET_CRITERIA_CHEAT,
        CMSG_SET_CURRENCY_FLAGS,
        CMSG_SET_DIFFICULTY_ID,
        CMSG_SET_DUNGEON_DIFFICULTY,
        CMSG_SET_DURABILITY_CHEAT,
        CMSG_SET_EVERYONE_IS_ASSISTANT,
        CMSG_SET_EXPLORATION,
        CMSG_SET_EXPLORATION_ALL,
        CMSG_SET_FACTION_AT_WAR,
        CMSG_SET_FACTION_CHEAT,
        CMSG_SET_FACTION_INACTIVE,
        CMSG_SET_FACTION_NOT_AT_WAR,
        CMSG_SET_GAME_EVENT_DEBUG_VIEW_STATE,
        CMSG_SET_GLYPH,
        CMSG_SET_GLYPH_SLOT,
        CMSG_SET_GRANTABLE_LEVELS,
        CMSG_SET_INSERT_ITEMS_LEFT_TO_RIGHT,
        CMSG_SET_LFG_BONUS_FACTION_ID,
        CMSG_SET_LOOT_METHOD,
        CMSG_SET_LOOT_SPECIALIZATION,
        CMSG_SET_PAID_SERVICE_CHEAT,
        CMSG_SET_PARTY_ASSIGNMENT,
        CMSG_SET_PARTY_LEADER,
        CMSG_SET_PET_SLOT,
        CMSG_SET_PLAYER_DECLINED_NAMES,
        CMSG_SET_PREFERRED_CEMETERY,
        CMSG_SET_PRIMARY_TALENT_TREE,
        CMSG_SET_PVP,
        CMSG_SET_PVP_RANK_CHEAT,
        CMSG_SET_PVP_TITLE,
        CMSG_SET_RAID_DIFFICULTY,
        CMSG_SET_RELATIVE_POSITION,
        CMSG_SET_ROLE,
        CMSG_SET_RUNE_COOLDOWN,
        CMSG_SET_RUNE_COUNT,
        CMSG_SET_SAVED_INSTANCE_EXTEND,
        CMSG_SET_SELECTION,
        CMSG_SET_SHEATHED,
        CMSG_SET_SKILL_CHEAT,
        CMSG_SET_SORT_BAGS_RIGHT_TO_LEFT,
        CMSG_SET_SPECIALIZATION,
        CMSG_SET_STAT_CHEAT,
        CMSG_SET_TAXI_BENCHMARK_MODE,
        CMSG_SET_TITLE,
        CMSG_SET_TITLE_SUFFIX,
        CMSG_SET_TRADE_CURRENCY,
        CMSG_SET_TRADE_GOLD,
        CMSG_SET_TRADE_ITEM,
        CMSG_SET_USING_PARTY_GARRISON,
        CMSG_SET_VEHICLE_REC_ID_ACK,
        CMSG_SET_WAR_MODE,
        CMSG_SET_WATCHED_FACTION,
        CMSG_SET_WORLDSTATE,
        CMSG_SHOWING_CLOAK,
        CMSG_SHOWING_HELM,
        CMSG_SHOW_TRADE_SKILL,
        CMSG_SIGN_PETITION,
        CMSG_SILENCE_PARTY_TALKER,
        CMSG_SKILL_BUY_RANK,
        CMSG_SKILL_BUY_STEP,
        CMSG_SOCKET_GEMS,
        CMSG_SORT_BAGS,
        CMSG_SORT_BANK_BAGS,
        CMSG_SORT_REAGENT_BANK_BAGS,
        CMSG_SPELL_CLICK,
        CMSG_SPIRIT_HEALER_ACTIVATE,
        CMSG_SPLIT_ITEM,
        CMSG_STABLE_CHANGE_SLOT,
        CMSG_STABLE_PET,
        CMSG_STABLE_REVIVE_PET,
        CMSG_STABLE_SWAP_PET,
        CMSG_STAND_STATE_CHANGE,
        CMSG_START_BATTLEFIELD_CHEAT,
        CMSG_START_CHALLENGE_MODE,
        CMSG_START_SPECTATOR_WAR_GAME,
        CMSG_START_WAR_GAME,
        CMSG_STOP_DANCE,
        CMSG_STORE_LOOT_IN_SLOT,
        CMSG_SUGGESTION_SUBMIT,
        CMSG_SUMMON_CANCEL,
        CMSG_SUMMON_RESPONSE,
        CMSG_SUPPORT_TICKET_SUBMIT_BUG,
        CMSG_SUPPORT_TICKET_SUBMIT_COMPLAINT,
        CMSG_SUPPORT_TICKET_SUBMIT_SUGGESTION,
        CMSG_SURRENDER_ARENA,
        CMSG_SUSPEND_COMMS_ACK,
        CMSG_SUSPEND_TOKEN_RESPONSE,
        CMSG_SWAP_INV_ITEM,
        CMSG_SWAP_ITEM,
        CMSG_SWAP_SUB_GROUPS,
        CMSG_SWAP_VOID_ITEM,
        CMSG_SYNC_DANCE,
        CMSG_TABARD_VENDOR_ACTIVATE,
        CMSG_TALK_TO_GOSSIP,
        CMSG_TARGET_CAST,
        CMSG_TARGET_SCRIPT_CAST,
        CMSG_TAXICLEARALLNODES,
        CMSG_TAXICLEARNODE,
        CMSG_TAXIENABLEALLNODES,
        CMSG_TAXIENABLENODE,
        CMSG_TAXISHOWNODES,
        CMSG_TAXI_NODE_STATUS_QUERY,
        CMSG_TAXI_QUERY_AVAILABLE_NODES,
        CMSG_TAXI_REQUEST_EARLY_LANDING,
        CMSG_TELEPORT_TO_GUID,
        CMSG_TELEPORT_TO_UNIT,
        CMSG_TEST_DROP_RATE,
        CMSG_TIME_ADJUSTMENT_RESPONSE,
        CMSG_TIME_SYNC_RESPONSE,
        CMSG_TIME_SYNC_RESPONSE_DROPPED,
        CMSG_TIME_SYNC_RESPONSE_FAILED,
        CMSG_TOGGLE_DIFFICULTY,
        CMSG_TOGGLE_PVP,
        CMSG_TOGGLE_XP_GAIN,
        CMSG_TOTEM_DESTROYED,
        CMSG_TOY_CLEAR_FANFARE,
        CMSG_TOY_SET_FAVORITE,
        CMSG_TRADE_SKILL_SET_FAVORITE,
        CMSG_TRAINER_BUY_SPELL,
        CMSG_TRAINER_LIST,
        CMSG_TRANSFORM,
        CMSG_TRANSMOGRIFY_ITEMS,
        CMSG_TRANSMOG_APPEARANCE_SET_FAVORITE,
        CMSG_TRIGGER_CINEMATIC_CHEAT,
        CMSG_TROPHY_MONUMENT_LOAD_SELECTED_TROPHY_ID,
        CMSG_TURN_IN_PETITION,
        CMSG_TUTORIAL_CLEAR,
        CMSG_TUTORIAL_FLAG,
        CMSG_TUTORIAL_RESET,
        CMSG_TWITTER_CHECK_STATUS,
        CMSG_TWITTER_CONNECT,
        CMSG_TWITTER_DISCONNECT,
        CMSG_TWITTER_POST,
        CMSG_TWITTER_UNK1,
        CMSG_UI_TIME_REQUEST,
        CMSG_UNACCEPT_TRADE,
        CMSG_UNCLAIM_LICENSE,
        CMSG_UNDELETE_CHARACTER,
        CMSG_UNDRESSPLAYER,
        CMSG_UNITANIMTIER_CHEAT,
        CMSG_UNKNOWN_1303,
        CMSG_UNKNOWN_1309,
        CMSG_UNKNOWN_1320,
        CMSG_UNKNOWN_1815,
        CMSG_UNKNOWN_1827,
        CMSG_UNKNOWN_2851,
        CMSG_UNKNOWN_2874,
        CMSG_UNKNOWN_2951,
        CMSG_UNKNOWN_2979,
        CMSG_UNKNOWN_4266,
        CMSG_UNKNOWN_4524,
        CMSG_UNKNOWN_4831,
        CMSG_UNKNOWN_5079,
        CMSG_UNKNOWN_5091,
        CMSG_UNKNOWN_5134,
        CMSG_UNKNOWN_515,
        CMSG_UNKNOWN_5177,
        CMSG_UNKNOWN_5412,
        CMSG_UNKNOWN_5675,
        CMSG_UNKNOWN_5758,
        CMSG_UNKNOWN_5766,
        CMSG_UNKNOWN_5915,
        CMSG_UNKNOWN_597,
        CMSG_UNKNOWN_6062,
        CMSG_UNKNOWN_6083,
        CMSG_UNKNOWN_6774,
        CMSG_UNKNOWN_6910,
        CMSG_UNKNOWN_822,
        CMSG_UNKNOWN_903,
        CMSG_UNLEARN_DANCE_MOVE,
        CMSG_UNLEARN_SKILL,
        CMSG_UNLEARN_SPECIALIZATION,
        CMSG_UNLEARN_SPELL,
        CMSG_UNLEARN_TALENTS,
        CMSG_UNLOCK_VOID_STORAGE,
        CMSG_UNSTABLE_PET,
        CMSG_UNUSED2,
        CMSG_UNUSED5,
        CMSG_UNUSED6,
        CMSG_UPDATE_ACCOUNT_DATA,
        CMSG_UPDATE_AREA_TRIGGER_VISUAL,
        CMSG_UPDATE_CLIENT_SETTINGS,
        CMSG_UPDATE_MISSILE_TRAJECTORY,
        CMSG_UPDATE_PROJECTILE_POSITION,
        CMSG_UPDATE_RAID_TARGET,
        CMSG_UPDATE_SPELL_VISUAL,
        CMSG_UPDATE_VAS_PURCHASE_STATES,
        CMSG_UPDATE_WOW_TOKEN_AUCTIONABLE_LIST,
        CMSG_UPDATE_WOW_TOKEN_COUNT,
        CMSG_UPGRADE_GARRISON,
        CMSG_UPGRADE_ITEM,
        CMSG_USED_FOLLOW,
        CMSG_USE_CRITTER_ITEM,
        CMSG_USE_EQUIPMENT_SET,
        CMSG_USE_ITEM,
        CMSG_USE_SKILL_CHEAT,
        CMSG_USE_TOY,
        CMSG_VIOLENCE_LEVEL,
        CMSG_VOICE_ADD_IGNORE,
        CMSG_VOICE_CHAT_JOIN_CHANNEL,
        CMSG_VOICE_CHAT_LOGIN,
        CMSG_VOICE_DEL_IGNORE,
        CMSG_VOICE_SESSION_ENABLE,
        CMSG_VOICE_SET_TALKER_MUTED_REQUEST,
        CMSG_QUERY_VOID_STORAGE,
        CMSG_VOID_STORAGE_TRANSFER,
        CMSG_WARDEN_DATA,
        CMSG_WARGAME_ACCEPT,
        CMSG_WARGAME_REQUEST,
        CMSG_WARGAME_RESPONSE,
        CMSG_WARGAME_START,
        CMSG_WEATHER_SPEED_CHEAT,
        CMSG_WHO,
        CMSG_WHO_IS,
        CMSG_WORLD_PORT_RESPONSE,
        CMSG_WORLD_TELEPORT,
        CMSG_WRAP_ITEM,
        CMSG_XP_CHEAT,
        CMSG_ZONEUPDATE,
        CMSG_ZONE_MAP,
        MSG_AUCTION_HELLO,
        MSG_BATTLEGROUND_PLAYER_POSITIONS,
        MSG_CHANNEL_START,
        MSG_CHANNEL_UPDATE,
        MSG_CORPSE_QUERY,
        MSG_DELAY_GHOST_TELEPORT,
        MSG_DEV_SHOWLABEL,
        MSG_GM_ACCOUNT_ONLINE,
        MSG_GM_BIND_OTHER,
        MSG_GM_CHANGE_ARENA_RATING,
        MSG_GM_DESTROY_CORPSE,
        MSG_GM_GEARRATING,
        MSG_GM_RESETINSTANCELIMIT,
        MSG_GM_SHOWLABEL,
        MSG_GM_SUMMON,
        MSG_GUILD_BANK_LOG_QUERY,
        MSG_GUILD_BANK_MONEY_WITHDRAWN,
        MSG_GUILD_EVENT_LOG_QUERY,
        MSG_GUILD_PERMISSIONS,
        MSG_INSPECT_ARENA_TEAMS,
        MSG_INSPECT_HONOR_STATS,
        MSG_LIST_STABLED_PETS,
        MSG_MINIMAP_PING,
        MSG_MOVE_CHARM_TELEPORT_CHEAT,
        MSG_MOVE_FALL_LAND,
        MSG_MOVE_FEATHER_FALL,
        MSG_MOVE_GRAVITY_CHNG,
        MSG_MOVE_HEARTBEAT,
        MSG_MOVE_HOVER,
        MSG_MOVE_JUMP,
        MSG_MOVE_KNOCK_BACK,
        MSG_MOVE_ROOT,
        MSG_MOVE_SET_ALL_SPEED_CHEAT,
        MSG_MOVE_SET_COLLISION_HGT,
        MSG_MOVE_SET_FACING,
        MSG_MOVE_SET_FLIGHT_BACK_SPEED,
        MSG_MOVE_SET_FLIGHT_BACK_SPEED_CHEAT,
        MSG_MOVE_SET_FLIGHT_SPEED,
        MSG_MOVE_SET_FLIGHT_SPEED_CHEAT,
        MSG_MOVE_SET_PITCH,
        MSG_MOVE_SET_PITCH_RATE,
        MSG_MOVE_SET_PITCH_RATE_CHEAT,
        MSG_MOVE_SET_RAW_POSITION_ACK,
        MSG_MOVE_SET_RUN_BACK_SPEED,
        MSG_MOVE_SET_RUN_BACK_SPEED_CHEAT,
        MSG_MOVE_SET_RUN_MODE,
        MSG_MOVE_SET_RUN_SPEED,
        MSG_MOVE_SET_RUN_SPEED_CHEAT,
        MSG_MOVE_SET_SWIM_BACK_SPEED,
        MSG_MOVE_SET_SWIM_BACK_SPEED_CHEAT,
        MSG_MOVE_SET_SWIM_SPEED,
        MSG_MOVE_SET_SWIM_SPEED_CHEAT,
        MSG_MOVE_SET_TURN_RATE,
        MSG_MOVE_SET_TURN_RATE_CHEAT,
        MSG_MOVE_SET_WALK_MODE,
        MSG_MOVE_SET_WALK_SPEED,
        MSG_MOVE_SET_WALK_SPEED_CHEAT,
        MSG_MOVE_START_ASCEND,
        MSG_MOVE_START_BACKWARD,
        MSG_MOVE_START_DESCEND,
        MSG_MOVE_START_FORWARD,
        MSG_MOVE_START_PITCH_DOWN,
        MSG_MOVE_START_PITCH_UP,
        MSG_MOVE_START_STRAFE_LEFT,
        MSG_MOVE_START_STRAFE_RIGHT,
        MSG_MOVE_START_SWIM,
        MSG_MOVE_START_SWIM_CHEAT,
        MSG_MOVE_START_TURN_LEFT,
        MSG_MOVE_START_TURN_RIGHT,
        MSG_MOVE_STOP,
        MSG_MOVE_STOP_ASCEND,
        MSG_MOVE_STOP_PITCH,
        MSG_MOVE_STOP_STRAFE,
        MSG_MOVE_STOP_SWIM,
        MSG_MOVE_STOP_SWIM_CHEAT,
        MSG_MOVE_STOP_TURN,
        MSG_MOVE_TELEPORT,
        MSG_MOVE_TELEPORT_ACK,
        MSG_MOVE_TELEPORT_CHEAT,
        MSG_MOVE_TIME_SKIPPED,
        MSG_MOVE_TOGGLE_COLLISION_CHEAT,
        MSG_MOVE_TOGGLE_FALL_LOGGING,
        MSG_MOVE_TOGGLE_GRAVITY_CHEAT,
        MSG_MOVE_TOGGLE_LOGGING,
        MSG_MOVE_UNKNOWN_1234,
        MSG_MOVE_UNROOT,
        MSG_MOVE_UPDATE_CAN_FLY,
        MSG_MOVE_UPDATE_CAN_TRANSITION_BETWEEN_SWIM_AND_FLY,
        MSG_MOVE_WATER_WALK,
        MSG_MOVE_WORLDPORT_ACK,
        MSG_MULTIPLE_PACKETS,
        MSG_MULTIPLE_PACKETS1,
        MSG_NOTIFY_PARTY_SQUELCH,
        MSG_PARTY_ASSIGNMENT,
        MSG_PETITION_DECLINE,
        MSG_PETITION_RENAME,
        MSG_PVP_LOG_DATA,
        MSG_QUERY_GUILD_BANK_TEXT,
        MSG_QUERY_NEXT_MAIL_TIME,
        MSG_QUEST_PUSH_RESULT,
        MSG_RAID_READY_CHECK,
        MSG_RAID_READY_CHECK_CONFIRM,
        MSG_RAID_READY_CHECK_FINISHED,
        MSG_RAID_TARGET_UPDATE,
        MSG_RANDOM_ROLL,
        MSG_RESPEC_WIPE_CONFIRM,
        MSG_SAVE_GUILD_EMBLEM,
        MSG_SET_DUNGEON_DIFFICULTY,
        MSG_SET_RAID_DIFFICULTY,
        MSG_TABARDVENDOR_ACTIVATE,
        MSG_TALENT_WIPE_CONFIRM,
        MSG_UNKNOWN_4262,
        MSG_UNKNOWN_5125,
        MSG_UNKNOWN_5383,
        MSG_UNKNOWN_5750,
        MSG_UNKNOWN_6127,
        MSG_UNKNOWN_6315,
        MSG_VERIFY_CONNECTIVITY,
        MSG_VIEW_PHASE_SHIFT,
        OBSOLETE_DROP_ITEM,
        SMSG_ABORT_NEW_WORLD,
        SMSG_ACCOUNT_CRITERIA_UPDATE,
        SMSG_ACCOUNT_DATA_TIMES,
        SMSG_ACCOUNT_INFO_RESPONSE,
        SMSG_ACCOUNT_HEIRLOOM_UPDATE,
        SMSG_ACCOUNT_MOUNT_UPDATE,
        SMSG_ACCOUNT_PROFILE,
        SMSG_ACCOUNT_TOYS_UPDATE,
        SMSG_ACHIEVEMENT_DELETED,
        SMSG_ACHIEVEMENT_EARNED,
        SMSG_ACTIVATE_TAXI_REPLY,
        SMSG_ACTIVE_GLYPHS,
        SMSG_ADDON_INFO,
        SMSG_ADD_BATTLENET_FRIEND_RESPONSE,
        SMSG_ADD_ITEM_PASSIVE,
        SMSG_ADD_LOSS_OF_CONTROL,
        SMSG_ADD_RUNE_POWER,
        SMSG_ADJUST_SPLINE_DURATION,
        SMSG_ADVENTURE_MAP_POI_QUERY_RESPONSE,
        SMSG_AE_LOOT_TARGETS,
        SMSG_AE_LOOT_TARGET_ACK,
        SMSG_AFK_MONITOR_INFO_RESPONSE,
        SMSG_AI_REACTION,
        SMSG_ALL_ACCOUNT_CRITERIA,
        SMSG_ALL_ACHIEVEMENT_DATA,
        SMSG_ALL_GUILD_ACHIEVEMENTS,
        SMSG_ARCHAEOLOGY_SURVERY_CAST,
        SMSG_AREA_POI_UPDATE,
        SMSG_AREA_SHARE_INFO_RESPONSE,
        SMSG_AREA_SHARE_MAPPINGS_RESPONSE,
        SMSG_AREA_SPIRIT_HEALER_TIME,
        SMSG_AREA_TRIGGER_DEBUG_PLAYER_INSIDE,
        SMSG_AREA_TRIGGER_DEBUG_SWEEP,
        SMSG_AREA_TRIGGER_DENIED,
        SMSG_AREA_TRIGGER_MESSAGE,
        SMSG_AREA_TRIGGER_MOVEMENT_UPDATE,
        SMSG_AREA_TRIGGER_NO_CORPSE,
        SMSG_AREA_TRIGGER_PLAY_VISUAL_EVENT,
        SMSG_AREA_TRIGGER_RESET,
        SMSG_AREA_TRIGGER_RE_PATH,
        SMSG_AREA_TRIGGER_RE_SHAPE,
        SMSG_ARENA_CROWD_CONTROL_SPELLS,
        SMSG_ARENA_ERROR,
        SMSG_ARENA_MATCH_END,
        SMSG_ARENA_MATCH_START,
        SMSG_ARENA_OPPONENT_UPDATE,
        SMSG_ARENA_PREP_OPPONENT_SPECIALIZATIONS,
        SMSG_ARENA_TEAM_CHANGE_FAILED_QUEUED,
        SMSG_ARENA_TEAM_COMMAND_RESULT,
        SMSG_ARENA_TEAM_EVENT,
        SMSG_ARENA_TEAM_INVITE,
        SMSG_ARENA_TEAM_QUERY_RESPONSE,
        SMSG_ARENA_TEAM_ROSTER,
        SMSG_ARENA_TEAM_STATS,
        SMSG_ARTIFACT_APPEARANCE_CHANGED,
        SMSG_ARTIFACT_FORGE_OPENED,
        SMSG_ARTIFACT_KNOWLEDGE,
        SMSG_ARTIFACT_POWERS_UPDATED,
        SMSG_ARTIFACT_RESPEC_CONFIRM,
        SMSG_ARTIFACT_TRAITS_REFUNDED,
        SMSG_ARTIFACT_XP_GAIN,
        SMSG_ATTACKER_STATE_UPDATE,
        SMSG_ATTACKSWING_BADFACING,
        SMSG_ATTACKSWING_CANT_ATTACK,
        SMSG_ATTACKSWING_DEADTARGET,
        SMSG_ATTACKSWING_NOTINRANGE,
        SMSG_ATTACK_START,
        SMSG_ATTACK_STOP,
        SMSG_ATTACK_SWING_ERROR,
        SMSG_ATTACK_SWING_LANDED_LOG,
        SMSG_AUCTION_BIDDER_NOTIFICATION,
        SMSG_AUCTION_CLOSED_NOTIFICATION,
        SMSG_AUCTION_COMMAND_RESULT,
        SMSG_AUCTION_HELLO_RESPONSE,
        SMSG_AUCTION_LIST_BIDDER_ITEMS_RESULT,
        SMSG_AUCTION_LIST_ITEMS_RESULT,
        SMSG_AUCTION_LIST_OWNER_ITEMS_RESULT,
        SMSG_AUCTION_LIST_PENDING_SALES,
        SMSG_AUCTION_LIST_PENDING_SALES_RESULT,
        SMSG_AUCTION_LIST_RESULT,
        SMSG_AUCTION_OUTBID_NOTIFICATION,
        SMSG_AUCTION_OWNER_BID_NOTIFICATION,
        SMSG_AUCTION_OWNER_NOTIFICATION,
        SMSG_AUCTION_REMOVED_NOTIFICATION,
        SMSG_AUCTION_REPLICATE_RESPONSE,
        SMSG_AUCTION_WON_NOTIFICATION,
        SMSG_AURACASTLOG,
        SMSG_AURA_POINTS_DEPLETED,
        SMSG_AURA_UPDATE,
        SMSG_AURA_UPDATE_ALL,
        SMSG_AUTH_CHALLENGE,
        SMSG_AUTH_RESPONSE,
        SMSG_AUTH_SRP6_RESPONSE,
        SMSG_AVAILABLE_VOICE_CHANNEL,
        SMSG_AVERAGE_ITEM_LEVEL_INFORM,
        SMSG_BAN_REASON,
        SMSG_BARBER_SHOP_RESULT,
        SMSG_BATTLEFIELD_LIST,
        SMSG_BATTLEFIELD_LOSE_OBSOLETE,
        SMSG_BATTLEFIELD_MGR_DROP_TIMER_CANCELED,
        SMSG_BATTLEFIELD_MGR_DROP_TIMER_STARTED,
        SMSG_BATTLEFIELD_MGR_EJECTED,
        SMSG_BATTLEFIELD_MGR_EJECT_PENDING,
        SMSG_BATTLEFIELD_MGR_ENTERING,
        SMSG_BATTLEFIELD_MGR_ENTRY_INVITE,
        SMSG_BATTLEFIELD_MGR_EXIT_REQUEST,
        SMSG_BATTLEFIELD_MGR_QUEUE_INVITE,
        SMSG_BATTLEFIELD_MGR_QUEUE_REQUEST_RESPONSE,
        SMSG_BATTLEFIELD_MGR_STATE_CHANGE,
        SMSG_BATTLEFIELD_MGR_STATE_CHANGED,
        SMSG_BATTLEFIELD_PLAYER_POSITIONS,
        SMSG_BATTLEFIELD_PORT_DENIED,
        SMSG_BATTLEFIELD_RATED_INFO,
        SMSG_BATTLEFIELD_STATUS,
        SMSG_BATTLEFIELD_STATUS_ACTIVE,
        SMSG_BATTLEFIELD_STATUS_FAILED,
        SMSG_BATTLEFIELD_STATUS_NEED_CONFIRMATION,
        SMSG_BATTLEFIELD_STATUS_NONE,
        SMSG_BATTLEFIELD_STATUS_QUEUED,
        SMSG_BATTLEFIELD_STATUS_WAIT_FOR_GROUPS,
        SMSG_BATTLEFIELD_WIN_OBSOLETE,
        SMSG_BATTLEGROUND_EXIT_QUEUE,
        SMSG_BATTLEGROUND_INFO_THROTTLED,
        SMSG_BATTLEGROUND_INIT,
        SMSG_BATTLEGROUND_IN_PROGRESS,
        SMSG_BATTLEGROUND_PLAYER_JOINED,
        SMSG_BATTLEGROUND_PLAYER_LEFT,
        SMSG_BATTLEGROUND_PLAYER_POSITIONS,
        SMSG_BATTLEGROUND_POINTS,
        SMSG_BATTLEGROUND_WAIT_JOIN,
        SMSG_BATTLEGROUND_WAIT_LEAVE,
        SMSG_BATTLENET_CHALLENGE_ABORT,
        SMSG_BATTLENET_CHALLENGE_START,
        SMSG_BATTLENET_NOTIFICATION,
        SMSG_BATTLENET_REALM_LIST_TICKET,
        SMSG_BATTLENET_RESPONSE,
        SMSG_BATTLENET_SET_SESSION_STATE,
        SMSG_BATTLENET_UPDATE_SESSION_KEY,
        SMSG_BATTLEPET_CAGE_DATA_ERROR,
        SMSG_BATTLE_PAY_ACK_FAILED,
        SMSG_BATTLE_PAY_BATTLE_PET_DELIVERED,
        SMSG_BATTLE_PAY_CONFIRM_PURCHASE,
        SMSG_BATTLE_PAY_DELIVERY_ENDED,
        SMSG_BATTLE_PAY_DELIVERY_STARTED,
        SMSG_BATTLE_PAY_DISTRIBUTION_UPDATE,
        SMSG_BATTLE_PAY_GET_DISTRIBUTION_LIST_RESPONSE,
        SMSG_BATTLE_PAY_GET_PRODUCT_LIST_RESPONSE,
        SMSG_BATTLE_PAY_GET_PURCHASE_LIST_RESPONSE,
        SMSG_BATTLE_PAY_MOUNT_DELIVERED,
        SMSG_BATTLE_PAY_OPEN_CHECKOUT_RESULT,
        SMSG_BATTLE_PAY_PURCHASE_UPDATE,
        SMSG_BATTLE_PAY_START_DISTRIBUTION_ASSIGN_TO_TARGET_RESPONSE,
        SMSG_BATTLE_PAY_START_PURCHASE_RESPONSE,
        SMSG_BATTLE_PAY_SUBSCRIPTION_CHANGED,
        SMSG_BATTLE_PAY_TOY_DELIVERED,
        SMSG_BATTLE_PAY_VAS_BNET_TRANSFER_VALIDATION_RESULT,
        SMSG_BATTLE_PAY_VAS_BOOST_CONSUMED,
        SMSG_BATTLE_PAY_VAS_CHARACTER_LIST,
        SMSG_BATTLE_PAY_VAS_CHARACTER_QUEUE_STATUS,
        SMSG_BATTLE_PAY_VAS_GUILD_FOLLOW_INFO,
        SMSG_BATTLE_PAY_VAS_GUILD_MASTER_LIST,
        SMSG_BATTLE_PAY_VAS_PURCHASE_COMPLETE,
        SMSG_BATTLE_PAY_VAS_PURCHASE_LIST,
        SMSG_BATTLE_PAY_VAS_PURCHASE_STARTED,
        SMSG_BATTLE_PAY_VAS_REALM_LIST,
        SMSG_BATTLE_PAY_VAS_TRANSFER_QUEUE_STATUS,
        SMSG_BATTLE_PETS_HEALED,
        SMSG_BATTLE_PET_CAGE_DATE_ERROR,
        SMSG_BATTLE_PET_CHAT_RESTRICTED,
        SMSG_BATTLE_PET_DELETED,
        SMSG_BATTLE_PET_ERROR,
        SMSG_BATTLE_PET_FULL_UPDATE,
        SMSG_BATTLE_PET_JOURNAL,
        SMSG_BATTLE_PET_JOURNAL_LOCK_ACQUIRED,
        SMSG_BATTLE_PET_JOURNAL_LOCK_DENIED,
        SMSG_BATTLE_PET_LICENSE_CHANGED,
        SMSG_BATTLE_PET_MAX_COUNT_CHANGED,
        SMSG_BATTLE_PET_MAX_GAME_LENGTH_WARNING,
        SMSG_BATTLE_PET_PET_HEALED,
        SMSG_BATTLE_PET_PET_UPDATES,
        SMSG_BATTLE_PET_RESTORED,
        SMSG_BATTLE_PET_REVOKED,
        SMSG_BATTLE_PET_SLOT_UPDATE,
        SMSG_BATTLE_PET_TRAP_LEVEL,
        SMSG_BATTLE_PET_UPDATES,
        SMSG_BF_MGR_DROP_TIMER_CANCELLED,
        SMSG_BF_MGR_DROP_TIMER_STARTED,
        SMSG_BF_MGR_EJECTED,
        SMSG_BF_MGR_EJECT_PENDING,
        SMSG_BF_MGR_ENTERING,
        SMSG_BF_MGR_ENTRY_INVITE,
        SMSG_BF_MGR_QUEUE_INVITE,
        SMSG_BF_MGR_QUEUE_REQUEST_RESPONSE,
        SMSG_BF_MGR_QUEUE_STATUS_UPDATE,
        SMSG_BF_MGR_STATE_CHANGED,
        SMSG_BINDER_CONFIRM,
        SMSG_BINDZONEREPLY,
        SMSG_BIND_POINT_UPDATE,
        SMSG_BLACK_MARKET_BID_ON_ITEM_RESULT,
        SMSG_BLACK_MARKET_OPEN_RESULT,
        SMSG_BLACK_MARKET_OUTBID,
        SMSG_BLACK_MARKET_REQUEST_ITEMS_RESULT,
        SMSG_BLACK_MARKET_WON,
        SMSG_BONUS_ROLL_EMPTY,
        SMSG_BONUS_ROLL_FAILED,
        SMSG_BOSS_KILL_CREDIT,
        SMSG_BREAK_TARGET,
        SMSG_BROADCAST_ACHIEVEMENT,
        SMSG_BUY_BANK_SLOT_RESULT,
        SMSG_BUY_FAILED,
        SMSG_BUY_SUCCEEDED,
        SMSG_CACHE_INFO,
        SMSG_CACHE_VERSION,
        SMSG_CALENDAR_ACTION_PENDING,
        SMSG_CALENDAR_ARENA_TEAM,
        SMSG_CALENDAR_CLEAR_PENDING_ACTION,
        SMSG_CALENDAR_COMMAND_RESULT,
        SMSG_CALENDAR_EVENT_INITIAL_INVITES,
        SMSG_CALENDAR_EVENT_INVITE,
        SMSG_CALENDAR_EVENT_INVITE_ALERT,
        SMSG_CALENDAR_EVENT_INVITE_MODERATOR_STATUS,
        SMSG_CALENDAR_EVENT_INVITE_NOTES,
        SMSG_CALENDAR_EVENT_INVITE_NOTES_ALERT,
        SMSG_CALENDAR_EVENT_INVITE_REMOVED,
        SMSG_CALENDAR_EVENT_INVITE_REMOVED_ALERT,
        SMSG_CALENDAR_EVENT_INVITE_STATUS,
        SMSG_CALENDAR_EVENT_INVITE_STATUS_ALERT,
        SMSG_CALENDAR_EVENT_MODERATOR_STATUS_ALERT,
        SMSG_CALENDAR_EVENT_REMOVED_ALERT,
        SMSG_CALENDAR_EVENT_STATUS,
        SMSG_CALENDAR_EVENT_UPDATED_ALERT,
        SMSG_CALENDAR_FILTER_GUILD,
        SMSG_CALENDAR_RAID_LOCKOUT_ADDED,
        SMSG_CALENDAR_RAID_LOCKOUT_REMOVED,
        SMSG_CALENDAR_RAID_LOCKOUT_UPDATED,
        SMSG_CALENDAR_SEND_CALENDAR,
        SMSG_CALENDAR_SEND_EVENT,
        SMSG_CALENDAR_SEND_NUM_PENDING,
        SMSG_CALENDAR_UPDATE_INVITE_LIST,
        SMSG_CALENDAR_UPDATE_INVITE_LIST2,
        SMSG_CALENDAR_UPDATE_INVITE_LIST3,
        SMSG_CAMERA_EFFECT,
        SMSG_CAMERA_SHAKE,
        SMSG_CANCEL_AUTO_REPEAT,
        SMSG_CANCEL_COMBAT,
        SMSG_CANCEL_ORPHAN_SPELL_VISUAL,
        SMSG_CANCEL_SCENE,
        SMSG_CANCEL_SPELL_VISUAL,
        SMSG_CANCEL_SPELL_VISUAL_KIT,
        SMSG_CAN_DUEL_RESULT,
        SMSG_CAST_FAILED,
        SMSG_CATEGORY_COOLDOWN,
        SMSG_CHALLENGE_MODE_AFFIXES,
        SMSG_CHALLENGE_MODE_ALL_MAP_STATS,
        SMSG_CHALLENGE_MODE_COMPLETE,
        SMSG_CHALLENGE_MODE_DELETE_LEADER_RESULT,
        SMSG_CHALLENGE_MODE_MAP_STATS_UPDATE,
        SMSG_CHALLENGE_MODE_NEW_PLAYER_RECORD,
        SMSG_CHALLENGE_MODE_NEW_PLAYER_SEASON_RECORD,
        SMSG_CHALLENGE_MODE_REQUEST_LEADERS_RESULT,
        SMSG_CHALLENGE_MODE_RESET,
        SMSG_CHALLENGE_MODE_REWARDS,
        SMSG_CHALLENGE_MODE_START,
        SMSG_CHALLENGE_MODE_UPDATE_DEATH_COUNT,
        SMSG_CHANGE_PLAYER_DIFFICULTY_RESULT,
        SMSG_CHANNEL_LIST,
        SMSG_CHANNEL_MEMBER_COUNT,
        SMSG_CHANNEL_NOTIFY,
        SMSG_CHANNEL_NOTIFY_JOINED,
        SMSG_CHANNEL_NOTIFY_LEFT,
        SMSG_CHARACTER_CLASS_TRIAL_CREATE,
        SMSG_CHARACTER_INVENTORY_OVERFLOW_WARNING,
        SMSG_CHARACTER_ITEM_FIXUP,
        SMSG_CHARACTER_LOGIN_FAILED,
        SMSG_CHARACTER_OBJECT_TEST_RESPONSE,
        SMSG_CHARACTER_PROFILE,
        SMSG_CHARACTER_PROFILE_REALM_CONNECTED,
        SMSG_CHARACTER_RENAME_RESULT,
        SMSG_CHARACTER_UPGRADE_CHARACTER_CHOSEN,
        SMSG_CHARACTER_UPGRADE_COMPLETE,
        SMSG_CHARACTER_UPGRADE_QUEUED,
        SMSG_CHARACTER_UPGRADE_SPELL_TIER_SET,
        SMSG_CHARACTER_UPGRADE_STARTED,
        SMSG_CHARACTER_UPGRADE_UNREVOKE_RESULT,
        SMSG_CHAR_CUSTOMIZE,
        SMSG_CHAR_CUSTOMIZE_FAILED,
        SMSG_CHAR_CUSTOMIZE_RESULT,
        SMSG_CHAR_FACTION_CHANGE_RESULT,
        SMSG_CHAR_UPGRADE_STARTED,
        SMSG_CHAT,
        SMSG_CHAT_AUTO_RESPONDED,
        SMSG_CHAT_DOWN,
        SMSG_CHAT_IGNORED_ACCOUNT_MUTED,
        SMSG_CHAT_IS_DOWN,
        SMSG_CHAT_NOT_IN_PARTY,
        SMSG_CHAT_PLAYER_AMBIGUOUS,
        SMSG_CHAT_PLAYER_NOTFOUND,
        SMSG_CHAT_RECONNECT,
        SMSG_CHAT_RESTRICTED,
        SMSG_CHAT_SERVER_DISCONNECTED,
        SMSG_CHAT_SERVER_DISCONNECTED_2,
        SMSG_CHAT_SERVER_MESSAGE,
        SMSG_CHAT_SERVER_RECONNECTED,
        SMSG_CHAT_WRONG_FACTION,
        SMSG_CHEAT_DUMP_ITEMS_DEBUG_ONLY_RESPONSE,
        SMSG_CHEAT_DUMP_ITEMS_DEBUG_ONLY_RESPONSE_WRITE_FILE,
        SMSG_CHEAT_IGNORE_DIMISHING_RETURNS,
        SMSG_CHEAT_PLAYER_LOOKUP,
        SMSG_CHECK_FOR_BOTS,
        SMSG_CHECK_WARGAME_ENTRY,
        SMSG_CHUNKED_PACKET,
        SMSG_CLEAR_ALL_SPELL_CHARGES,
        SMSG_CLEAR_BOSS_EMOTES,
        SMSG_CLEAR_COOLDOWN,
        SMSG_CLEAR_COOLDOWNS,
        SMSG_CLEAR_EXTRA_AURA_INFO_OBSOLETE,
        SMSG_CLEAR_FAR_SIGHT_IMMEDIATE,
        SMSG_CLEAR_LOSS_OF_CONTROL,
        SMSG_CLEAR_QUEST_COMPLETED_BIT,
        SMSG_CLEAR_QUEST_COMPLETED_BITS,
        SMSG_CLEAR_SPELL_CHARGES,
        SMSG_CLEAR_TARGET,
        SMSG_COIN_REMOVED,
        SMSG_COMBAT_EVENT_FAILED,
        SMSG_COMBAT_LOG_MULTIPLE,
        SMSG_COMMENTATOR_GET_PLAYER_INFO,
        SMSG_COMMENTATOR_MAP_INFO,
        SMSG_COMMENTATOR_PARTY_INFO,
        SMSG_COMMENTATOR_PLAYER_INFO,
        SMSG_COMMENTATOR_SKIRMISH_QUEUE_RESULT1,
        SMSG_COMMENTATOR_SKIRMISH_QUEUE_RESULT2,
        SMSG_COMMENTATOR_STATE_CHANGED,
        SMSG_COMPLAINT_RESULT,
        SMSG_COMPLETE_SHIPMENT_RESPONSE,
        SMSG_COMPRESSED_ACHIEVEMENT_DATA,
        SMSG_COMPRESSED_CHAR_ENUM,
        SMSG_COMPRESSED_GUILD_ROSTER,
        SMSG_COMPRESSED_MOVES,
        SMSG_COMPRESSED_MULTIPLE_PACKETS,
        SMSG_COMPRESSED_PACKET,
        SMSG_COMPRESSED_RESPOND_INSPECT_ACHIEVEMENTS,
        SMSG_COMPRESSED_UNKNOWN_1310,
        SMSG_COMPRESSED_UPDATE_OBJECT,
        SMSG_COMSAT_CONNECT_FAIL,
        SMSG_COMSAT_DISCONNECT,
        SMSG_COMSAT_RECONNECT_TRY,
        SMSG_CONNECT_TO,
        SMSG_CONQUEST_FORMULA_CONSTANTS,
        SMSG_CONSOLE_WRITE,
        SMSG_CONSUMPTION_CONVERSION_INFO_RESPONSE,
        SMSG_CONSUMPTION_CONVERSION_RESULT,
        SMSG_CONTACT_LIST,
        SMSG_CONTACT_STATUS,
        SMSG_CONTRIBUTION_COLLECTOR_STATE,
        SMSG_CONTROL_UPDATE,
        SMSG_CONVERT_RUNE,
        SMSG_COOLDOWN_CHEAT,
        SMSG_COOLDOWN_EVENT,
        SMSG_CORPSE_LOCATION,
        SMSG_CORPSE_MAP_POSITION_QUERY_RESPONSE,
        SMSG_CORPSE_QUERY_RESPONSE,
        SMSG_CORPSE_RECLAIM_DELAY,
        SMSG_CORPSE_TRANSPORT_QUERY,
        SMSG_CREATE_CHAR,
        SMSG_CREATE_SHIPMENT_RESPONSE,
        SMSG_CRITERIA_DELETED,
        SMSG_CRITERIA_UNKNOWN,
        SMSG_CRITERIA_UPDATE,
        SMSG_CROSSED_INEBRIATION_THRESHOLD,
        SMSG_CUF_PROFILES_LOAD,
        SMSG_CURRENCY_LOOT_REMOVED,
        SMSG_CURRENCY_LOOT_RESTORED,
        SMSG_CUSTOM_LOAD_SCREEN,
        SMSG_DAILY_QUESTS_RESET,
        SMSG_DAMAGE_CALC_LOG,
        SMSG_DAMAGE_DONE_OBSOLETE,
        SMSG_DANCE_QUERY_RESPONSE,
        SMSG_DANCE_STUDIO_CREATE_RESULT,
        SMSG_DBLOOKUP,
        SMSG_DB_LOOKUP_RESULTS,
        SMSG_DB_REPLY,
        SMSG_DEATH_RELEASE_LOC,
        SMSG_DEBUGAURAPROC,
        SMSG_DEBUG_AISTATE,
        SMSG_DEBUG_DRAW_AURA,
        SMSG_DEBUG_LIST_TARGETS,
        SMSG_DEBUG_SERVER_GEO,
        SMSG_DEFENSE_MESSAGE,
        SMSG_DELETE_CHAR,
        SMSG_DESTROY_ARENA_UNIT,
        SMSG_DESTROY_OBJECT,
        SMSG_DESTRUCTIBLE_BUILDING_DAMAGE,
        SMSG_DIFFERENT_INSTANCE_FROM_PARTY,
        SMSG_DISENCHANT_CREDIT,
        SMSG_DISMOUNT,
        SMSG_DISMOUNT_RESULT,
        SMSG_DISPEL_FAILED,
        SMSG_DISPLAY_GAME_ERROR,
        SMSG_DISPLAY_PLAYER_CHOICE,
        SMSG_DISPLAY_PROMOTION,
        SMSG_DISPLAY_QUEST_POPUP,
        SMSG_DISPLAY_TOAST,
        SMSG_DONT_AUTO_PUSH_SPELLS_TO_ACTION_BAR,
        SMSG_DROP_NEW_CONNECTION,
        SMSG_DUEL_COMPLETE,
        SMSG_DUEL_COUNTDOWN,
        SMSG_DUEL_IN_BOUNDS,
        SMSG_DUEL_OPPONENT_SELECTED,
        SMSG_DUEL_OUT_OF_BOUNDS,
        SMSG_DUEL_REQUESTED,
        SMSG_DUEL_WINNER,
        SMSG_DUMP_OBJECTS_DATA,
        SMSG_DUMP_RIDE_TICKETS_RESPONSE,
        SMSG_DURABILITY_DAMAGE_DEATH,
        SMSG_DYNAMIC_DROP_ROLL_RESULT,
        SMSG_ECHO_PARTY_SQUELCH,
        SMSG_EMOTE,
        SMSG_ENABLE_BARBER_SHOP,
        SMSG_ENABLE_ENCRYPTION,
        SMSG_ENCHANTMENT_LOG,
        SMSG_ENCOUNTER_END,
        SMSG_ENCOUNTER_START,
        SMSG_ENUM_CHARACTERS_RESULT,
        SMSG_ENVIRONMENTAL_DAMAGE_LOG,
        SMSG_EQUIPMENT_SET_ID,
        SMSG_EXPECTED_SPAM_RECORDS,
        SMSG_EXPLORATION_EXPERIENCE,
        SMSG_FACTION_BONUS_INFO,
        SMSG_FAILED_PLAYER_CONDITION,
        SMSG_FEATURE_SYSTEM_STATUS,
        SMSG_FEATURE_SYSTEM_STATUS_GLUE_SCREEN,
        SMSG_FEIGN_DEATH_RESISTED,
        SMSG_FINAL_CHUNK,
        SMSG_FISH_ESCAPED,
        SMSG_FISH_NOT_HOOKED,
        SMSG_FLIGHT_SPLINE_SYNC,
        SMSG_FLOOD_DETECTED,
        SMSG_FORCEACTIONSHOW,
        SMSG_FORCED_DEATH_UPDATE,
        SMSG_FORCE_ACTION_SHOW_RESPONSE,
        SMSG_FORCE_ANIM,
        SMSG_FORCE_DISPLAY_UPDATE,
        SMSG_FORCE_FLIGHT_BACK_SPEED_CHANGE,
        SMSG_FORCE_FLIGHT_SPEED_CHANGE,
        SMSG_FORCE_MOVE_ROOT,
        SMSG_FORCE_MOVE_UNROOT,
        SMSG_FORCE_OBJECT_RELINK,
        SMSG_FORCE_PITCH_RATE_CHANGE,
        SMSG_FORCE_RUN_BACK_SPEED_CHANGE,
        SMSG_FORCE_RUN_SPEED_CHANGE,
        SMSG_FORCE_SET_VEHICLE_REC_ID,
        SMSG_FORCE_SWIM_BACK_SPEED_CHANGE,
        SMSG_FORCE_SWIM_SPEED_CHANGE,
        SMSG_FORCE_TURN_RATE_CHANGE,
        SMSG_FORCE_WALK_SPEED_CHANGE,
        SMSG_FORGE_MASTER_SET,
        SMSG_FRIEND_STATUS,
        SMSG_GAMEOBJECT_DESPAWN_ANIM,
        SMSG_GAMETIMEBIAS_SET,
        SMSG_GAME_EVENT_DEBUG_INITIALIZE,
        SMSG_GAME_EVENT_DEBUG_LOG,
        SMSG_GAME_OBJECT_ACTIVATE_ANIM_KIT,
        SMSG_GAME_OBJECT_CUSTOM_ANIM,
        SMSG_GAME_OBJECT_DESPAWN,
        SMSG_GAME_OBJECT_MULTI_TRANSITION,
        SMSG_GAME_OBJECT_PLAY_SPELL_VISUAL,
        SMSG_GAME_OBJECT_PLAY_SPELL_VISUAL_KIT,
        SMSG_GAME_OBJECT_RESET_STATE,
        SMSG_GAME_OBJECT_SET_STATE,
        SMSG_GAME_OBJECT_UI_ACTION,
        SMSG_GAME_SPEED_SET,
        SMSG_GAME_STORE_AUTH_BUY_FAILED,
        SMSG_GAME_STORE_BUY_RESULT,
        SMSG_GAME_STORE_INGAME_BUY_FAILED,
        SMSG_GAME_STORE_LIST,
        SMSG_GAME_TIME_SET,
        SMSG_GAME_TIME_UPDATE,
        SMSG_GARRISON_ADD_FOLLOWER_RESULT,
        SMSG_GARRISON_ADD_MISSION_RESULT,
        SMSG_GARRISON_ASSIGN_FOLLOWER_TO_BUILDING_RESULT,
        SMSG_GARRISON_BUILDING_ACTIVATED,
        SMSG_GARRISON_BUILDING_LANDMARKS,
        SMSG_GARRISON_BUILDING_REMOVED,
        SMSG_GARRISON_BUILDING_SET_ACTIVE_SPECIALIZATION_RESULT,
        SMSG_GARRISON_CLEAR_ALL_FOLLOWERS_EXHAUSTION,
        SMSG_GARRISON_COMPLETE_MISSION_RESULT,
        SMSG_GARRISON_CREATE_RESULT,
        SMSG_GARRISON_DELETE_RESULT,
        SMSG_GARRISON_FOLLOWER_CATEGORIES,
        SMSG_GARRISON_FOLLOWER_CHANGED_ABILITIES,
        SMSG_GARRISON_FOLLOWER_CHANGED_DURABILITY,
        SMSG_GARRISON_FOLLOWER_CHANGED_ITEM_LEVEL,
        SMSG_GARRISON_FOLLOWER_CHANGED_STATUS,
        SMSG_GARRISON_FOLLOWER_CHANGED_XP,
        SMSG_GARRISON_IS_UPGRADEABLE_RESULT,
        SMSG_GARRISON_LANDING_PAGE_SHIPMENT_INFO,
        SMSG_GARRISON_LEARN_BLUEPRINT_RESULT,
        SMSG_GARRISON_LEARN_SPECIALIZATION_RESULT,
        SMSG_GARRISON_LIST_FOLLOWERS_CHEAT_RESULT,
        SMSG_GARRISON_LIST_MISSIONS_CHEAT_RESULT,
        SMSG_GARRISON_MISSION_AREA_BONUS_ADDED,
        SMSG_GARRISON_MISSION_BONUS_ROLL_RESULT,
        SMSG_GARRISON_MISSION_LIST_UPDATE,
        SMSG_GARRISON_MISSION_REWARD_RESPONSE,
        SMSG_GARRISON_MISSION_UPDATE_CAN_START,
        SMSG_GARRISON_MONUMENT_SELECTED_TROPHY_ID_LOADED,
        SMSG_GARRISON_NUM_FOLLOWER_ACTIVATIONS_REMAINING,
        SMSG_GARRISON_OPEN_ARCHITECT,
        SMSG_GARRISON_OPEN_MISSION_NPC,
        SMSG_GARRISON_OPEN_RECRUITMENT_NPC,
        SMSG_GARRISON_OPEN_TRADESKILL_NPC,
        SMSG_GARRISON_OPEN_TALENT_NPC,
        SMSG_GARRISON_OPEN_TRADESKILL_NPC_RESPONSE,
        SMSG_GARRISON_PLACE_BUILDING_RESULT,
        SMSG_GARRISON_PLOT_PLACED,
        SMSG_GARRISON_PLOT_REMOVED,
        SMSG_GARRISON_RECALL_PORTAL_LAST_USED_TIME,
        SMSG_GARRISON_RECALL_PORTAL_USED,
        SMSG_GARRISON_RECRUITMENT_FOLLOWERS_GENERATED,
        SMSG_GARRISON_RECRUIT_FOLLOWER_RESULT,
        SMSG_GARRISON_REMOTE_INFO,
        SMSG_GARRISON_REMOVE_FOLLOWER_FROM_BUILDING_RESULT,
        SMSG_GARRISON_REMOVE_FOLLOWER_RESULT,
        SMSG_GARRISON_REQUEST_BLUEPRINT_AND_SPECIALIZATION_DATA_RESULT,
        SMSG_GARRISON_SET_NUM_FOLLOWER_ACTIVATIONS_REMAINING,
        SMSG_GARRISON_START_MISSION_RESULT,
        SMSG_GARRISON_UNK1,
        SMSG_GARRISON_UNK3,
        SMSG_GARRISON_UNLEARN_BLUEPRINT_RESULT,
        SMSG_GARRISON_UPGRADEABLE_RESULT,
        SMSG_GARRISON_UPGRADE_FOLLOWER_ITEM_LEVEL,
        SMSG_GARRISON_UPGRADE_RESULT,
        SMSG_GENERATE_RANDOM_CHARACTER_NAME_RESULT,
        SMSG_GET_ACCOUNT_CHARACTER_LIST_RESULT,
        SMSG_GET_DISPLAYED_TROPHY_LIST_RESPONSE,
        SMSG_GET_GARRISON_INFO_RESULT,
        SMSG_GET_SHIPMENTS_OF_TYPE_RESPONSE,
        SMSG_GET_SHIPMENT_INFO_RESPONSE,
        SMSG_GET_TROPHY_LIST_RESPONSE,
        SMSG_GHOST,
        SMSG_GHOSTEE_GONE,
        SMSG_GMRESPONSE_CREATE_TICKET,
        SMSG_GMRESPONSE_DB_ERROR,
        SMSG_GMRESPONSE_RECEIVED,
        SMSG_GMRESPONSE_STATUS_UPDATE,
        SMSG_GM_ACCOUNT_ONLINE_RESPONSE,
        SMSG_GM_CHANGE_ARENA_RATING,
        SMSG_GM_CHARACTER_RESTORE_RESPONSE,
        SMSG_GM_MESSAGECHAT,
        SMSG_GM_PLAYER_INFO,
        SMSG_GM_REQUEST_PLAYER_INFO,
        SMSG_GM_SUMMON,
        SMSG_GM_TICKET_CASE_STATUS,
        SMSG_GM_TICKET_CREATE,
        SMSG_GM_TICKET_DELETE_TICKET,
        SMSG_GM_TICKET_GET_SYSTEM_STATUS,
        SMSG_GM_TICKET_GET_TICKET,
        SMSG_GM_TICKET_GET_TICKET_RESPONSE,
        SMSG_GM_TICKET_RESOLVE_RESPONSE,
        SMSG_GM_TICKET_RESPONSE,
        SMSG_GM_TICKET_RESPONSE_ERROR,
        SMSG_GM_TICKET_STATUS_UPDATE,
        SMSG_GM_TICKET_SYSTEM_STATUS,
        SMSG_GM_TICKET_UPDATE,
        SMSG_GM_TICKET_UPDATE_TEXT,
        SMSG_GOD_MODE,
        SMSG_GOGOGO_OBSOLETE,
        SMSG_GOSSIP_COMPLETE,
        SMSG_GOSSIP_MESSAGE,
        SMSG_GOSSIP_POI,
        SMSG_GOSSIP_TEXT_UPDATE,
        SMSG_GROUP_ACTION_THROTTLED,
        SMSG_GROUP_CANCEL,
        SMSG_GROUP_DECLINE,
        SMSG_GROUP_DESTROYED,
        SMSG_GROUP_INVITE_CONFIRMATION,
        SMSG_GROUP_INVITE,
        SMSG_GROUP_LIST,
        SMSG_GROUP_NEW_LEADER,
        SMSG_GROUP_SET_LEADER,
        SMSG_GROUP_SET_ROLE,
        SMSG_GROUP_UNINVITE,
        SMSG_GUILD_ACHIEVEMENT_DELETED,
        SMSG_GUILD_ACHIEVEMENT_EARNED,
        SMSG_GUILD_ACHIEVEMENT_MEMBERS,
        SMSG_GUILD_BANK_LOG_QUERY_RESULTS,
        SMSG_GUILD_BANK_QUERY_RESULTS,
        SMSG_GUILD_BANK_REMAINING_WITHDRAW_MONEY,
        SMSG_GUILD_BANK_TEXT_QUERY_RESULT,
        SMSG_GUILD_CANCEL,
        SMSG_GUILD_CHALLENGE_COMPLETED,
        SMSG_GUILD_CHALLENGE_UPDATE,
        SMSG_GUILD_CHANGE_NAME_RESULT,
        SMSG_GUILD_COMMAND_RESULT,
        SMSG_GUILD_COMMAND_RESULT_2,
        SMSG_GUILD_CRITERIA_DATA,
        SMSG_GUILD_CRITERIA_DELETED,
        SMSG_GUILD_CRITERIA_UPDATE,
        SMSG_GUILD_DECLINE,
        SMSG_GUILD_EVENT,
        SMSG_GUILD_EVENT_BANK_CONTENTS_CHANGED,
        SMSG_GUILD_EVENT_BANK_MONEY_CHANGED,
        SMSG_GUILD_EVENT_DISBANDED,
        SMSG_GUILD_EVENT_LOG_QUERY_RESULTS,
        SMSG_GUILD_EVENT_MOTD,
        SMSG_GUILD_EVENT_NEW_LEADER,
        SMSG_GUILD_EVENT_PLAYER_JOINED,
        SMSG_GUILD_EVENT_PLAYER_LEFT,
        SMSG_GUILD_EVENT_PRESENCE_CHANGE,
        SMSG_GUILD_EVENT_RANKS_UPDATED,
        SMSG_GUILD_EVENT_RANK_CHANGED,
        SMSG_GUILD_EVENT_TAB_ADDED,
        SMSG_GUILD_EVENT_TAB_DELETED,
        SMSG_GUILD_EVENT_TAB_MODIFIED,
        SMSG_GUILD_EVENT_TAB_TEXT_CHANGED,
        SMSG_GUILD_FLAGGED_FOR_RENAME,
        SMSG_GUILD_INFO,
        SMSG_GUILD_INVITE,
        SMSG_GUILD_INVITE_CANCEL,
        SMSG_GUILD_INVITE_DECLINED,
        SMSG_GUILD_INVITE_EXPIRED,
        SMSG_GUILD_ITEM_LOOTED,
        SMSG_GUILD_KNOWN_RECIPES,
        SMSG_GUILD_MAX_DAILY_XP,
        SMSG_GUILD_MEMBERS_FOR_RECIPE,
        SMSG_GUILD_MEMBERS_WITH_RECIPE,
        SMSG_GUILD_MEMBER_DAILY_RESET,
        SMSG_GUILD_MEMBER_RECIPES,
        SMSG_GUILD_MEMBER_UPDATE_NOTE,
        SMSG_GUILD_MOTD,
        SMSG_GUILD_MOVED,
        SMSG_GUILD_MOVE_COMPLETE,
        SMSG_GUILD_MOVE_STARTING,
        SMSG_GUILD_NAME_CHANGED,
        SMSG_GUILD_NEWS,
        SMSG_GUILD_NEWS_DELETED,
        SMSG_GUILD_NEWS_TEXT,
        SMSG_GUILD_NEWS_UPDATE,
        SMSG_GUILD_PARTY_STATE,
        SMSG_GUILD_PERMISSIONS_QUERY_RESULTS,
        SMSG_GUILD_RANKS,
        SMSG_GUILD_RENAMED,
        SMSG_GUILD_REPUTATION_REACTION_CHANGED,
        SMSG_GUILD_REPUTATION_WEEKLY_CAP,
        SMSG_GUILD_RESET,
        SMSG_GUILD_REWARD_LIST,
        SMSG_GUILD_ROSTER,
        SMSG_GUILD_ROSTER_UPDATE,
        SMSG_GUILD_SEND_RANK_CHANGE,
        SMSG_GUILD_SET_NOTE, // Cata only
        SMSG_GUILD_TRADESKILL_UPDATE,
        SMSG_GUILD_XP,
        SMSG_GUILD_XP_GAIN,
        SMSG_HEALTH_UPDATE,
        SMSG_HIGHEST_THREAT_UPDATE,
        SMSG_HOTFIX_MESSAGE,
        SMSG_AVAILABLE_HOTFIXES,
        SMSG_AZERITE_EMPOWERED_ITEM_EQUIPPED_STATUS_CHANGED,
        SMSG_AZERITE_EMPOWERED_ITEM_RESPEC_OPEN,
        SMSG_AZERITE_XP_GAIN,
        SMSG_HOTFIX_NOTIFY,
        SMSG_HOTFIX_NOTIFY_BLOB,
        SMSG_HOTFIX_RESPONSE,
        SMSG_INCOMING_SUMMON_COMPLETED,
        SMSG_INCOMING_SUMMON_PENDING,
        SMSG_IGNORE_DIMINISHING_RETURNS_CHEAT,
        SMSG_IGNORE_REQUIREMENTS_CHEAT,
        SMSG_IMMIGRANT_HOST_SEARCH_LOG,
        SMSG_INCREASE_CAST_TIME_FOR_SPELL,
        SMSG_INITIALIZE_FACTIONS,
        SMSG_INITIAL_SETUP,
        SMSG_INIT_EXTRA_AURA_INFO_OBSOLETE,
        SMSG_INIT_WORLD_STATES,
        SMSG_INSPECT_HONOR_STATS,
        SMSG_INSPECT_PVP,
        SMSG_INSPECT_RATED_BG_STATS,
        SMSG_INSPECT_RESULT,
        SMSG_INSPECT_RESULTS_UPDATE,
        SMSG_INSPECT_TALENT,
        SMSG_INSTANCE_DIFFICULTY,
        SMSG_INSTANCE_ENCOUNTER_CHANGE_PRIORITY,
        SMSG_INSTANCE_ENCOUNTER_DISENGAGE_UNIT,
        SMSG_INSTANCE_ENCOUNTER_END,
        SMSG_INSTANCE_ENCOUNTER_ENGAGE_UNIT,
        SMSG_INSTANCE_ENCOUNTER_GAIN_COMBAT_RESURRECTION_CHARGE,
        SMSG_INSTANCE_ENCOUNTER_IN_COMBAT_RESURRECTION,
        SMSG_INSTANCE_ENCOUNTER_OBJECTIVE_COMPLETE,
        SMSG_INSTANCE_ENCOUNTER_OBJECTIVE_START,
        SMSG_INSTANCE_ENCOUNTER_OBJECTIVE_UPDATE,
        SMSG_INSTANCE_ENCOUNTER_PHASE_SHIFT_CHANGED,
        SMSG_INSTANCE_ENCOUNTER_SET_ALLOWING_RELEASE,
        SMSG_INSTANCE_ENCOUNTER_SET_SUPPRESSING_RELEASE,
        SMSG_INSTANCE_ENCOUNTER_START,
        SMSG_INSTANCE_ENCOUNTER_TIMER_START,
        SMSG_INSTANCE_GROUP_SIZE_CHANGED,
        SMSG_INSTANCE_INFO,
        SMSG_INSTANCE_LOCK_WARNING_QUERY,
        SMSG_INSTANCE_RESET,
        SMSG_INSTANCE_RESET_FAILED,
        SMSG_INSTANCE_SAVE_CREATED,
        SMSG_INVALIDATE_DANCE,
        SMSG_INVALIDATE_PAGE_TEXT,
        SMSG_INVALIDATE_PLAYER,
        SMSG_INVALID_PROMOTION_CODE,
        SMSG_INVENTORY_CHANGE_FAILURE,
        SMSG_ISLAND_AZERITE_XP_GAIN,
        SMSG_ISLAND_COMPLETED,
        SMSG_ISLAND_OPEN_QUEUE_NPC,
        SMSG_IS_QUEST_COMPLETE_RESPONSE,
        SMSG_ITEM_ADD_PASSIVE,
        SMSG_ITEM_CHANGED,
        SMSG_ITEM_COOLDOWN,
        SMSG_ITEM_ENCHANT_TIME_UPDATE,
        SMSG_ITEM_EXPIRE_PURCHASE_REFUND,
        SMSG_ITEM_NAME_QUERY_RESPONSE,
        SMSG_ITEM_PURCHASE_REFUND_RESULT,
        SMSG_ITEM_PUSH_RESULT,
        SMSG_ITEM_QUERY_MULTIPLE_RESPONSE,
        SMSG_ITEM_QUERY_SINGLE_RESPONSE,
        SMSG_ITEM_REFUND_INFO_RESPONSE,
        SMSG_ITEM_REMOVE_PASSIVE,
        SMSG_ITEM_SEND_PASSIVE,
        SMSG_ITEM_TIME_UPDATE,
        SMSG_ITEM_UPGRADE_RESULT,
        SMSG_JOINED_BATTLEGROUND_QUEUE,
        SMSG_KICK_REASON,
        SMSG_LEARNED_DANCE_MOVES,
        SMSG_LEARNED_SPELL,
        SMSG_LEARNED_SPELLS,
        SMSG_LEARN_TALENT_FAILED,
        SMSG_LEARN_PVP_TALENTS_FAILED,
        SMSG_LEARN_TALENTS_FAILED,
        SMSG_LEVEL_UPDATE,
        SMSG_LEVEL_UP_INFO,
        SMSG_LFG_BOOT_PLAYER,
        SMSG_LFG_BOOT_PROPOSAL_UPDATE,
        SMSG_LFG_DISABLED,
        SMSG_LFG_INSTANCE_SHUTDOWN_COUNTDOWN,
        SMSG_LFG_JOIN_RESULT,
        SMSG_LFG_LFR_LIST,
        SMSG_LFG_LIST_JOIN_RESULT,
        SMSG_LFG_LIST_SEARCH_RESULTS,
        SMSG_LFG_LIST_SEARCH_STATUS,
        SMSG_LFG_LIST_UPDATE_BLACKLIST,
        SMSG_LFG_LIST_UPDATE_STATUS,
        SMSG_LFG_OFFER_CONTINUE,
        SMSG_LFG_PARTY_INFO,
        SMSG_LFG_PLAYER_INFO,
        SMSG_LFG_PLAYER_REWARD,
        SMSG_LFG_PROPOSAL_UPDATE,
        SMSG_LFG_QUEUE_STATUS,
        SMSG_LFG_READY_CHECK_RESULT,
        SMSG_LFG_READY_CHECK_UPDATE,
        SMSG_LFG_ROLE_CHECK_UPDATE,
        SMSG_LFG_ROLE_CHOSEN,
        SMSG_LFG_SEARCH_RESULTS,
        SMSG_LFG_SLOT_INVALID,
        SMSG_LFG_TELEPORT_DENIED,
        SMSG_LFG_UPDATE_LIST,
        SMSG_LFG_UPDATE_PARTY,
        SMSG_LFG_UPDATE_PLAYER,
        SMSG_LFG_UPDATE_SEARCH,
        SMSG_LFG_UPDATE_STATUS,
        SMSG_LFG_UPDATE_STATUS_NONE,
        SMSG_LF_GUILD_APPLICANT_LIST_CHANGED,
        SMSG_LF_GUILD_APPLICATIONS,
        SMSG_LF_GUILD_APPLICATIONS_LIST_CHANGED,
        SMSG_LF_GUILD_BROWSE,
        SMSG_LF_GUILD_BROWSE_UPDATED,
        SMSG_LF_GUILD_COMMAND_RESULT,
        SMSG_LF_GUILD_MEMBERSHIP_LIST_UPDATED,
        SMSG_LF_GUILD_POST,
        SMSG_LF_GUILD_POST_UPDATED,
        SMSG_LF_GUILD_RECRUITS,
        SMSG_LF_GUILD_RECRUIT_LIST_UPDATED,
        SMSG_LIGHTNING_STORM_END,
        SMSG_LIGHTNING_STORM_START,
        SMSG_LIST_TARGETS,
        SMSG_LIVE_REGION_ACCOUNT_RESTORE_RESULT,
        SMSG_LIVE_REGION_CHARACTER_COPY_RESULT,
        SMSG_LIVE_REGION_GET_ACCOUNT_CHARACTER_LIST_RESULT,
        SMSG_LOAD_CUF_PROFILES, // Cata only
        SMSG_LOAD_EQUIPMENT_SET,
        SMSG_LOAD_SELECTED_TROPHY_RESULT,
        SMSG_LOGIN_SET_TIME_SPEED,
        SMSG_LOGIN_VERIFY_WORLD,
        SMSG_LOGOUT_CANCEL_ACK,
        SMSG_LOGOUT_COMPLETE,
        SMSG_LOGOUT_RESPONSE,
        SMSG_LOG_XP_GAIN,
        SMSG_LOOT_ALL_PASSED,
        SMSG_LOOT_CLEAR_MONEY,
        SMSG_LOOT_CONTENTS,
        SMSG_LOOT_ITEM_LIST,
        SMSG_LOOT_ITEM_NOTIFY,
        SMSG_LOOT_LEGACY_RULES_IN_EFFECT,
        SMSG_LOOT_LIST,
        SMSG_LOOT_MASTER_LIST,
        SMSG_LOOT_MONEY_NOTIFY,
        SMSG_LOOT_RELEASE,
        SMSG_LOOT_RELEASE_ALL,
        SMSG_LOOT_REMOVED,
        SMSG_LOOT_RESPONSE,
        SMSG_LOOT_ROLL,
        SMSG_LOOT_ROLLS_COMPLETE,
        SMSG_LOOT_ROLL_WON,
        SMSG_LOOT_SLOT_CHANGED,
        SMSG_LOOT_START_ROLL,
        SMSG_LOOT_UPDATED,
        SMSG_LOSS_OF_CONTROL_AURA_UPDATE,
        SMSG_LOTTERY_QUERY_RESULT_OBSOLETE,
        SMSG_LOTTERY_RESULT_OBSOLETE,
        SMSG_MAIL_COMMAND_RESULT,
        SMSG_MAIL_LIST_RESULT,
        SMSG_MAIL_QUERY_NEXT_TIME_RESULT,
        SMSG_MAP_OBJECTIVES_INIT,
        SMSG_MAP_OBJECTIVE_ADD,
        SMSG_MAP_OBJECTIVE_REMOVE,
        SMSG_MAP_OBJ_EVENTS,
        SMSG_MASTER_LOOT_CANDIDATE_LIST,
        SMSG_MEETINGSTONE_COMPLETE,
        SMSG_MEETINGSTONE_IN_PROGRESS,
        SMSG_MEETINGSTONE_MEMBER_ADDED,
        SMSG_MEETINGSTONE_SETQUEUE,
        SMSG_MESSAGE_BOX,
        SMSG_MINIGAME_MOVE_FAILED,
        SMSG_MINIGAME_SETUP,
        SMSG_MINIGAME_STATE,
        SMSG_MINIMAP_PING,
        SMSG_MIRROR_IMAGE_COMPONENTED_DATA,
        SMSG_MIRROR_IMAGE_CREATURE_DATA,
        SMSG_MISSILE_CANCEL,
        SMSG_MODIFY_CHARGE_RECOVERY_SPEED,
        SMSG_MODIFY_COOLDOWN,
        SMSG_MODIFY_COOLDOWN_RECOVERY_SPEED,
        SMSG_MODIFY_PARTY_RANGE,
        SMSG_MONEY_NOTIFY,
        SMSG_MONSTER_MOVE_TRANSPORT,
        SMSG_MOTD,
        SMSG_MOUNT_RESULT,
        SMSG_MOUNT_SPECIAL_ANIM,
        SMSG_MOVE_ABANDON_TRANSPORT,
        SMSG_MOVE_APPLY_MOVEMENT_FORCE,
        SMSG_MOVE_CHARACTER_CHEAT,
        SMSG_MOVE_CHARACTER_CHEAT_FAILURE,
        SMSG_MOVE_CHARACTER_CHEAT_SUCCESS,
        SMSG_MOVE_DISABLE_COLLISION,
        SMSG_MOVE_DISABLE_DOUBLE_JUMP,
        SMSG_MOVE_DISABLE_GRAVITY,
        SMSG_MOVE_DISABLE_TRANSITION_BETWEEN_SWIM_AND_FLY,
        SMSG_MOVE_ENABLE_COLLISION,
        SMSG_MOVE_ENABLE_DOUBLE_JUMP,
        SMSG_MOVE_ENABLE_GRAVITY,
        SMSG_MOVE_ENABLE_TRANSITION_BETWEEN_SWIM_AND_FLY,
        SMSG_MOVE_KNOCK_BACK,
        SMSG_MOVE_LEVITATING,
        SMSG_MOVE_REMOVE_MOVEMENT_FORCE,
        SMSG_MOVE_ROOT,
        SMSG_MOVE_SET_ACTIVE_MOVER,
        SMSG_MOVE_SET_ANIM_KIT,
        SMSG_MOVE_SET_CAN_FLY,
        SMSG_MOVE_SET_CAN_TURN_WHILE_FALLING,
        SMSG_MOVE_SET_COLLISION_HEIGHT,
        SMSG_MOVE_SET_COLLISION_HGT,
        SMSG_MOVE_SET_COMPOUND_STATE,
        SMSG_MOVE_SET_FEATHER_FALL,
        SMSG_MOVE_SET_FLIGHT,
        SMSG_MOVE_SET_FLIGHT_BACK_SPEED,
        SMSG_MOVE_SET_FLIGHT_SPEED,
        SMSG_MOVE_SET_HOVERING,
        SMSG_MOVE_SET_IGNORE_MOVEMENT_FORCES,
        SMSG_MOVE_SET_LAND_WALK,
        SMSG_MOVE_SET_MOVEMENT_FORCE_SPEED,
        SMSG_MOVE_SET_NORMAL_FALL,
        SMSG_MOVE_SET_PITCH_RATE,
        SMSG_MOVE_SET_RUN_BACK_SPEED,
        SMSG_MOVE_SET_RUN_SPEED,
        SMSG_MOVE_SET_SWIM_BACK_SPEED,
        SMSG_MOVE_SET_SWIM_SPEED,
        SMSG_MOVE_SET_TURN_RATE,
        SMSG_MOVE_SET_VEHICLE_REC_ID,
        SMSG_MOVE_SET_WALK_IN_AIR,
        SMSG_MOVE_SET_WALK_SPEED,
        SMSG_MOVE_SET_WATER_WALK,
        SMSG_MOVE_SKIP_TIME,
        SMSG_MOVE_SPLINE_DISABLE_COLLISION,
        SMSG_MOVE_SPLINE_DISABLE_GRAVITY,
        SMSG_MOVE_SPLINE_ENABLE_COLLISION,
        SMSG_MOVE_SPLINE_ENABLE_GRAVITY,
        SMSG_MOVE_SPLINE_ROOT,
        SMSG_MOVE_SPLINE_SET_ANIM,
        SMSG_MOVE_SPLINE_SET_FEATHER_FALL,
        SMSG_MOVE_SPLINE_SET_FLIGHT_BACK_SPEED,
        SMSG_MOVE_SPLINE_SET_FLIGHT_SPEED,
        SMSG_MOVE_SPLINE_SET_FLYING,
        SMSG_MOVE_SPLINE_SET_HOVER,
        SMSG_MOVE_SPLINE_SET_LAND_WALK,
        SMSG_MOVE_SPLINE_SET_NORMAL_FALL,
        SMSG_MOVE_SPLINE_SET_PITCH_RATE,
        SMSG_MOVE_SPLINE_SET_RUN_BACK_SPEED,
        SMSG_MOVE_SPLINE_SET_RUN_MODE,
        SMSG_MOVE_SPLINE_SET_RUN_SPEED,
        SMSG_MOVE_SPLINE_SET_SWIM_BACK_SPEED,
        SMSG_MOVE_SPLINE_SET_SWIM_SPEED,
        SMSG_MOVE_SPLINE_SET_TURN_RATE,
        SMSG_MOVE_SPLINE_SET_WALK_BACK_SPEED,
        SMSG_MOVE_SPLINE_SET_WALK_MODE,
        SMSG_MOVE_SPLINE_SET_WALK_SPEED,
        SMSG_MOVE_SPLINE_SET_WATER_WALK,
        SMSG_MOVE_SPLINE_START_SWIM,
        SMSG_MOVE_SPLINE_STOP_SWIM,
        SMSG_MOVE_SPLINE_UNROOT,
        SMSG_MOVE_SPLINE_UNSET_FLYING,
        SMSG_MOVE_SPLINE_UNSET_HOVER,
        SMSG_MOVE_TELEPORT,
        SMSG_MOVE_UNROOT,
        SMSG_MOVE_UNSET_CAN_FLY,
        SMSG_MOVE_UNSET_CAN_TURN_WHILE_FALLING,
        SMSG_MOVE_UNSET_FLIGHT,
        SMSG_MOVE_UNSET_HOVERING,
        SMSG_MOVE_UNSET_IGNORE_MOVEMENT_FORCES,
        SMSG_MOVE_UNSET_WALK_IN_AIR,
        SMSG_MOVE_UPDATE,
        SMSG_MOVE_UPDATE_APPLY_MOVEMENT_FORCE,
        SMSG_MOVE_UPDATE_COLLISION_HEIGHT,
        SMSG_MOVE_UPDATE_FLIGHT_BACK_SPEED,
        SMSG_MOVE_UPDATE_FLIGHT_SPEED,
        SMSG_MOVE_UPDATE_KNOCK_BACK,
        SMSG_MOVE_UPDATE_MOVEMENT_FORCE_SPEED,
        SMSG_MOVE_UPDATE_PITCH_RATE,
        SMSG_MOVE_UPDATE_REMOVE_MOVEMENT_FORCE,
        SMSG_MOVE_UPDATE_RUN_BACK_SPEED,
        SMSG_MOVE_UPDATE_RUN_SPEED,
        SMSG_MOVE_UPDATE_SWIM_BACK_SPEED,
        SMSG_MOVE_UPDATE_SWIM_SPEED,
        SMSG_MOVE_UPDATE_TELEPORT,
        SMSG_MOVE_UPDATE_TURN_RATE,
        SMSG_MOVE_UPDATE_WALK_SPEED,
        SMSG_MULTIPLE_PACKETS, // in 4.2.2 this opcode is different to SMSG_MULTIPLE_PACKETS_2 but both have handlers in client
        SMSG_MULTIPLE_PACKETS_2,
        SMSG_NEUTRAL_PLAYER_FACTION_SELECT_RESULT,
        SMSG_NEW_TAXI_PATH,
        SMSG_NEW_WORLD,
        SMSG_NEW_WORLD_ABORT,
        SMSG_NOTIFICATION,
        SMSG_NOTIFICATION_2,
        SMSG_NOTIFY_DANCE,
        SMSG_NOTIFY_DEST_LOC_SPELL_CAST,
        SMSG_NOTIFY_MISSILE_TRAJECTORY_COLLISION,
        SMSG_NOTIFY_MONEY,
        SMSG_NOTIFY_RECEIVED_MAIL,
        SMSG_NPC_WONT_TALK,
        SMSG_OFFER_PETITION_ERROR,
        SMSG_ON_CANCEL_EXPECTED_RIDE_VEHICLE_AURA,
        SMSG_ON_MONSTER_MOVE,
        SMSG_OPEN_ALLIED_RACE_DETAILS_GIVER,
        SMSG_OPEN_CONTAINER,
        SMSG_OPEN_LFG_DUNGEON_FINDER,
        SMSG_OPEN_SHIPMENT_NPC_FROM_GOSSIP,
        SMSG_OPEN_SHIPMENT_NPC_RESULT,
        SMSG_OPEN_TRANSMOGRIFIER,
        SMSG_OVERRIDE_LIGHT,
        SMSG_PAGE_TEXT,
        SMSG_PARTY_COMMAND_RESULT,
        SMSG_PARTY_INVITE,
        SMSG_PARTY_KILL_LOG,
        SMSG_PARTY_MEMBER_STATE,
        SMSG_PARTY_MEMBER_STATE_UPDATE,
        SMSG_PARTY_MEMBER_STATS,
        SMSG_PARTY_MEMBER_STATS_FULL,
        SMSG_PARTY_UPDATE,
        SMSG_PAUSE_MIRROR_TIMER,
        SMSG_PENDING_RAID_LOCK,
        SMSG_PETGODMODE,
        SMSG_PETITION_ALREADY_SIGNED,
        SMSG_PETITION_DECLINED,
        SMSG_PETITION_QUERY_RESPONSE,
        SMSG_PETITION_RENAME_GUILD_RESPONSE,
        SMSG_PETITION_RENAME_RESPONSE,
        SMSG_PETITION_SHOW_LIST,
        SMSG_PETITION_SHOW_SIGNATURES,
        SMSG_PETITION_SIGN_RESULTS,
        SMSG_PET_ACTION_FEEDBACK,
        SMSG_PET_ACTION_SOUND,
        SMSG_PET_ADDED,
        SMSG_PET_BATTLE_CHAT_RESTRICTED,
        SMSG_PET_BATTLE_DEBUG_QUEUE_DUMP_RESPONSE,
        SMSG_PET_BATTLE_FINALIZE_LOCATION,
        SMSG_PET_BATTLE_FINAL_ROUND,
        SMSG_PET_BATTLE_FINISHED,
        SMSG_PET_BATTLE_FIRST_ROUND,
        SMSG_PET_BATTLE_FULL_UPDATE,
        SMSG_PET_BATTLE_INITIAL_UPDATE,
        SMSG_PET_BATTLE_MAX_GAME_LENGTH_WARNING,
        SMSG_PET_BATTLE_PVP_CHALLENGE,
        SMSG_PET_BATTLE_QUEUE_PROPOSE_MATCH,
        SMSG_PET_BATTLE_QUEUE_STATUS,
        SMSG_PET_BATTLE_REPLACEMENTS_MADE,
        SMSG_PET_BATTLE_REQUEST_FAILED,
        SMSG_PET_BATTLE_ROUND_RESULT,
        SMSG_PET_BATTLE_SLOT_UPDATES,
        SMSG_PET_BROKEN,
        SMSG_PET_CAST_FAILED,
        SMSG_PET_CLEAR_SPELLS,
        SMSG_PET_DISMISS_SOUND,
        SMSG_PET_GOD_MODE,
        SMSG_PET_GUIDS,
        SMSG_PET_LEARNED_SPELLS,
        SMSG_PET_MODE,
        SMSG_PET_NAME_INVALID,
        SMSG_PET_RENAMEABLE,
        SMSG_PET_SLOT_UPDATED,
        SMSG_PET_SPECIALIZATION,
        SMSG_PET_SPELLS_MESSAGE,
        SMSG_PET_STABLE_LIST,
        SMSG_PET_STABLE_RESULT,
        SMSG_PET_TAME_FAILURE,
        SMSG_PET_UNLEARNED_SPELLS,
        SMSG_PET_UNLEARN_CONFIRM,
        SMSG_PET_UPDATE_COMBO_POINTS,
        SMSG_PHASE_SHIFT_CHANGE,
        SMSG_PLAYED_TIME,
        SMSG_PLAYERBINDERROR,
        SMSG_PLAYER_BOUND,
        SMSG_PLAYER_DIFFICULTY_CHANGE,
        SMSG_PLAYER_SAVE_GUILD_EMBLEM,
        SMSG_PLAYER_SKINNED,
        SMSG_PLAYER_TABARD_VENDOR_ACTIVATE,
        SMSG_PLAYER_UNK_DEAD_ALIVE,
        SMSG_PLAYER_VEHICLE_DATA,
        SMSG_PLAY_DANCE,
        SMSG_PLAY_MUSIC,
        SMSG_PLAY_OBJECT_SOUND,
        SMSG_PLAY_ONE_SHOT_ANIM_KIT, // 4.x
        SMSG_PLAY_ORPHAN_SPELL_VISUAL,
        SMSG_PLAY_SCENE, // 5.x
        SMSG_PLAY_SOUND,
        SMSG_PLAY_SPEAKERBOT_SOUND,
        SMSG_PLAY_SPELL_IMPACT,
        SMSG_PLAY_SPELL_VISUAL,
        SMSG_PLAY_SPELL_VISUAL_KIT,
        SMSG_PLAY_TIME_WARNING,
        SMSG_PONG,
        SMSG_POWER_UPDATE,
        SMSG_PRESTIGE_AND_HONOR_INVOLUNTARILY_CHANGED,
        SMSG_PRE_RESSURECT,
        SMSG_PRINT_NOTIFICATION,
        SMSG_PROC_RESIST,
        SMSG_PROFILE_DATA_RESPONSE,
        SMSG_PROPOSE_LEVEL_GRANT,
        SMSG_PUREMOUNT_CANCELLED_OBSOLETE,
        SMSG_PUSH_SPELL_TO_ACTION_BAR,
        SMSG_PVP_CREDIT,
        SMSG_PVP_LOG_DATA,
        SMSG_PVP_OPTIONS_ENABLED,
        SMSG_PVP_QUEUE_STATS,
        SMSG_PVP_SEASON,
        SMSG_QUERY_BATTLE_PET_NAME_RESPONSE,
        SMSG_QUERY_COMMUNITY_NAME_RESPONSE,
        SMSG_QUERY_CREATURE_RESPONSE,
        SMSG_QUERY_GAME_OBJECT_RESPONSE,
        SMSG_QUERY_GARRISON_CREATURE_NAME_RESPONSE,
        SMSG_QUERY_GUILD_INFO_RESPONSE,
        SMSG_QUERY_ITEM_TEXT_RESPONSE,
        SMSG_QUERY_NPC_TEXT_RESPONSE,
        SMSG_QUERY_OBJ_POSITION,
        SMSG_QUERY_OBJ_ROTATION,
        SMSG_QUERY_PAGE_TEXT_RESPONSE,
        SMSG_QUERY_PETITION_RESPONSE,
        SMSG_QUERY_PET_NAME_RESPONSE,
        SMSG_QUERY_PLAYER_NAME_RESPONSE,
        SMSG_QUERY_QUESTS_COMPLETED_RESPONSE,
        SMSG_QUERY_QUEST_INFO_RESPONSE,
        SMSG_QUERY_TIME_RESPONSE,
        SMSG_QUERY_TREASURE_PICKER_RESPONSE,
        SMSG_QUEST_COMPLETION_NPC_RESPONSE,
        SMSG_QUEST_CONFIRM_ACCEPT,
        SMSG_QUEST_FORCE_REMOVED,
        SMSG_QUEST_GIVER_INVALID_QUEST,
        SMSG_QUEST_GIVER_OFFER_REWARD_MESSAGE,
        SMSG_QUEST_GIVER_QUEST_COMPLETE,
        SMSG_QUEST_GIVER_QUEST_DETAILS,
        SMSG_QUEST_GIVER_QUEST_FAILED,
        SMSG_QUEST_GIVER_QUEST_LIST_MESSAGE,
        SMSG_QUEST_GIVER_QUEST_TURN_IN_FAILURE,
        SMSG_QUEST_GIVER_REQUEST_ITEMS,
        SMSG_QUEST_GIVER_STATUS,
        SMSG_QUEST_GIVER_STATUS_MULTIPLE,
        SMSG_QUEST_IGNORED,
        SMSG_QUEST_LOG_FULL,
        SMSG_QUEST_POI_CHANGED,
        SMSG_QUEST_POI_QUERY_RESPONSE,
        SMSG_QUEST_PUSH_RESULT,
        SMSG_QUEST_SPAWN_TRACKING_UPDATE,
        SMSG_QUEST_UNIGNORED,
        SMSG_QUEST_UPDATE_ADD_CREDIT,
        SMSG_QUEST_UPDATE_ADD_CREDIT_SIMPLE,
        SMSG_QUEST_UPDATE_ADD_ITEM,
        SMSG_QUEST_UPDATE_ADD_KILL,
        SMSG_QUEST_UPDATE_ADD_PVP_CREDIT,
        SMSG_QUEST_UPDATE_COMPLETE,
        SMSG_QUEST_UPDATE_COMPLETE_BY_SPELL,
        SMSG_QUEST_UPDATE_FAILED,
        SMSG_QUEST_UPDATE_FAILED_TIMER,
        SMSG_RAF_EMAIL_ENABLED_RESPONSE,
        SMSG_RAID_DIFFICULTY_SET,
        SMSG_RAID_GROUP_ONLY,
        SMSG_RAID_INSTANCE_INFO,
        SMSG_RAID_INSTANCE_MESSAGE,
        SMSG_RAID_MARKERS_CHANGED,
        SMSG_RAID_SUMMON_FAILED,
        SMSG_RANDOM_ROLL,
        SMSG_RATED_BATTLEFIELD_INFO,
        SMSG_RATED_BG_RATING,
        SMSG_READY_CHECK_COMPLETED,
        SMSG_READY_CHECK_ERROR,
        SMSG_READY_CHECK_RESPONSE,
        SMSG_READY_CHECK_STARTED,
        SMSG_READY_CHECK_THROTTLED_ERROR,
        SMSG_READ_ITEM_RESULT_FAILED,
        SMSG_READ_ITEM_RESULT_OK,
        SMSG_REALM_LOOKUP_INFORMATION,
        SMSG_REALM_QUERY_RESPONSE,
        SMSG_REALM_SPLIT,
        SMSG_REAL_GROUP_UPDATE,
        SMSG_RECEIVED_MAIL,
        SMSG_RECRUIT_A_FRIEND_RESPONSE,
        SMSG_REFER_A_FRIEND_EXPIRED,
        SMSG_REFER_A_FRIEND_FAILURE,
        SMSG_REFORGE_RESULT,
        SMSG_REFRESH_COMPONENT,
        SMSG_REFRESH_SPELL_HISTORY,
        SMSG_REMOVED_FROM_PVP_QUEUE,
        SMSG_REMOVE_ITEM_PASSIVE,
        SMSG_REMOVE_LOSS_OF_CONTROL,
        SMSG_REPLACE_TROPHY_RESPONSE,
        SMSG_REPORT_PVP_AFK_RESULT,
        SMSG_REPORT_PVP_PLAYER_AFK_RESULT,
        SMSG_REQUEST_ADDON_LIST,
        SMSG_REQUEST_CEMETERY_LIST_RESPONSE,
        SMSG_REQUEST_PVP_BRAWL_INFO_RESPONSE,
        SMSG_REQUEST_PVP_REWARDS_RESPONSE,
        SMSG_REQUEST_WOW_TOKEN_MARKET_PRICE_RESPONSE,
        SMSG_RESEARCH_COMPLETE,
        SMSG_RESET_AREA_TRIGGER,
        SMSG_RESET_COMPRESSION_CONTEXT,
        SMSG_RESET_FAILED_NOTIFY,
        SMSG_RESET_RANGED_COMBAT_TIMER,
        SMSG_RESET_WEEKLY_CURRENCY,
        SMSG_RESISTLOG,
        SMSG_RESPEC_WIPE_CONFIRM,
        SMSG_RESPOND_INSPECT_ACHIEVEMENTS,
        SMSG_RESTRICTED_ACCOUNT_WARNING,
        SMSG_RESUME_CAST_BAR,
        SMSG_RESUME_COMMS,
        SMSG_RESUME_TOKEN,
        SMSG_RESURRECT_CLEAR_DATA,
        SMSG_RESURRECT_FAILED,
        SMSG_RESURRECT_REQUEST,
        SMSG_RESYNC_RUNES,
        SMSG_ROLE_CHANGED_INFORM,
        SMSG_ROLE_CHOSEN,
        SMSG_ROLE_POLL_BEGIN,
        SMSG_ROLE_POLL_INFORM,
        SMSG_RUNE_REGEN_DEBUG,
        SMSG_RWHOIS,
        SMSG_SCENARIO_BOOT,
        SMSG_SCENARIO_COMPLETED,
        SMSG_SCENARIO_OUT_OF_BOUNDS,
        SMSG_SCENARIO_POIS,
        SMSG_SCENARIO_PROGRESS_UPDATE,
        SMSG_SCENARIO_SET_SHOULD_SHOW_CRITERIA,
        SMSG_SCENARIO_SPELL_UPDATE,
        SMSG_SCENARIO_STATE,
        SMSG_SCENE_OBJECT_EVENT,
        SMSG_SCENE_OBJECT_PET_BATTLE_FINAL_ROUND,
        SMSG_SCENE_OBJECT_PET_BATTLE_FINISHED,
        SMSG_SCENE_OBJECT_PET_BATTLE_FIRST_ROUND,
        SMSG_SCENE_OBJECT_PET_BATTLE_INITIAL_UPDATE,
        SMSG_SCENE_OBJECT_PET_BATTLE_REPLACEMENTS_MADE,
        SMSG_SCENE_OBJECT_PET_BATTLE_ROUND_RESULT,
        SMSG_SCRIPT_CAST,
        SMSG_SCRIPT_MESSAGE,
        SMSG_SELL_ITEM,
        SMSG_SELL_RESPONSE,
        SMSG_SEND_ITEM_PASSIVES,
        SMSG_SEND_KNOWN_SPELLS,
        SMSG_SEND_RAID_TARGET_UPDATE_ALL,
        SMSG_SEND_RAID_TARGET_UPDATE_SINGLE,
        SMSG_SEND_SPELL_CHARGES,
        SMSG_SEND_SPELL_HISTORY,
        SMSG_SEND_UNLEARN_SPELLS,
        SMSG_SERVERINFO,
        SMSG_SERVERTIME,
        SMSG_SERVER_BUCK_DATA,
        SMSG_SERVER_BUCK_DATA_START,
        SMSG_SERVER_FIRST_ACHIEVEMENT,
        SMSG_SERVER_FIRST_ACHIEVEMENTS,
        SMSG_SERVER_INFO_QUERY_RESPONSE,
        SMSG_SERVER_INFO_RESPONSE,
        SMSG_SERVER_PERF,
        SMSG_SERVER_TIME,
        SMSG_SETUP_CURRENCY,
        SMSG_SETUP_RESEARCH_HISTORY,
        SMSG_SET_AI_ANIM_KIT, // 4.x
        SMSG_SET_ALL_TASK_PROGRESS,
        SMSG_SET_ANIM_TIER,
        SMSG_SET_CURRENCY,
        SMSG_SET_DF_FAST_LAUNCH_RESULT,
        SMSG_SET_DUNGEON_DIFFICULTY,
        SMSG_SET_EXTRA_AURA_INFO_NEED_UPDATE_OBSOLETE,
        SMSG_SET_EXTRA_AURA_INFO_OBSOLETE,
        SMSG_SET_FACTION_AT_WAR,
        SMSG_SET_FACTION_NOT_VISIBLE,
        SMSG_SET_FACTION_STANDING,
        SMSG_SET_FACTION_VISIBLE,
        SMSG_SET_FLAT_SPELL_MODIFIER,
        SMSG_SET_FORCED_REACTIONS,
        SMSG_SET_ITEM_PURCHASE_DATA,
        SMSG_SET_LFG_TIME_WALKER,
        SMSG_SET_LOOT_METHOD_FAILED,
        SMSG_SET_MAX_WEEKLY_QUANTITY,
        SMSG_SET_MELEE_ANIM_KIT, // 4.x
        SMSG_SET_MOVEMENT_ANIM_KIT, // 4.x
        SMSG_SET_PCT_SPELL_MODIFIER,
        SMSG_SET_PET_SPECIALIZATION,
        SMSG_SET_PLAYER_DECLINED_NAMES_RESULT,
        SMSG_SET_PLAY_HOVER_ANIM,
        SMSG_SET_PROFICIENCY,
        SMSG_SET_PROJECTILE_POSITION,
        SMSG_SET_PROMOTION_RESPONSE,
        SMSG_SET_QUEST_COMPLETED_BIT,
        SMSG_SET_SERVER_WOW_TIME,
        SMSG_SET_SPELL_CHARGES,
        SMSG_SET_TASK_COMPLETE,
        SMSG_SET_TIME_ZONE_INFORMATION,
        SMSG_SET_VEHICLE_REC_ID,
        SMSG_SHOW_ADVENTURE_MAP,
        SMSG_SHOW_BANK,
        SMSG_SHOW_MAILBOX,
        SMSG_SHOW_NEUTRAL_PLAYER_FACTION_SELECT_UI,
        SMSG_SHOW_RATINGS,
        SMSG_SHOW_TAXI_NODES,
        SMSG_SHOW_TRADE_SKILL_RESPONSE,
        SMSG_SHOW_ZONES_CHEAT_RESULT,
        SMSG_SOCKET_GEMS,
        SMSG_SOCKET_GEMS_FAILURE,
        SMSG_SORT_BAGS_RESULT,
        SMSG_SOR_START_EXPERIENCE_INCOMPLETE,
        SMSG_SPECIALIZATION_CHANGED,
        SMSG_SPECIAL_MOUNT_ANIM,
        SMSG_SPEC_INVOLUNTARILY_CHANGED,
        SMSG_SPELL_ABSORB_LOG,
        SMSG_SPELL_BREAK_LOG,
        SMSG_SPELL_CATEGORY_COOLDOWN,
        SMSG_SPELL_CHANCE_PROC_LOG,
        SMSG_SPELL_CHANCE_RESIST_PUSHBACK,
        SMSG_SPELL_CHANNEL_START,
        SMSG_SPELL_CHANNEL_UPDATE,
        SMSG_SPELL_COOLDOWN,
        SMSG_SPELL_DAMAGE_SHIELD,
        SMSG_SPELL_DELAYED,
        SMSG_SPELL_DISPELL_LOG,
        SMSG_SPELL_ENERGIZE_LOG,
        SMSG_SPELL_ENERGIZE_LOG2,
        SMSG_SPELL_EXECUTE_LOG,
        SMSG_SPELL_FAILED_OTHER,
        SMSG_SPELL_FAILURE,
        SMSG_SPELL_FAILURE_MESSAGE,
        SMSG_SPELL_GO,
        SMSG_SPELL_HEAL_ABSORB_LOG,
        SMSG_SPELL_HEAL_LOG,
        SMSG_SPELL_INSTAKILL_LOG,
        SMSG_SPELL_INTERRUPT_LOG, // duplicate of any other?
        SMSG_SPELL_MISS_LOG,
        SMSG_SPELL_MULTISTRIKE_EFFECT,
        SMSG_SPELL_NON_MELEE_DAMAGE_LOG,
        SMSG_SPELL_OR_DAMAGE_IMMUNE,
        SMSG_SPELL_PERIODIC_AURA_LOG,
        SMSG_SPELL_PREPARE,
        SMSG_SPELL_REMOVED_LOG,
        SMSG_SPELL_START,
        SMSG_SPELL_STEAL_LOG,
        SMSG_SPELL_UPDATE_CHAIN_TARGETS,
        SMSG_SPIRIT_HEALER_CONFIRM,
        SMSG_STABLE_RESULT,
        SMSG_STAND_STATE_CHANGE_FAILURE_OBSOLETE,
        SMSG_STAND_STATE_UPDATE,
        SMSG_START_ELAPSED_TIMER,
        SMSG_START_ELAPSED_TIMERS,
        SMSG_START_LOOT_ROLL,
        SMSG_START_MIRROR_TIMER,
        SMSG_START_TIMER,
        SMSG_STOP_DANCE,
        SMSG_STOP_ELAPSED_TIMER,
        SMSG_STOP_MIRROR_TIMER,
        SMSG_STOP_SPEAKERBOT_SOUND,
        SMSG_STREAMING_MOVIES,
        SMSG_SUMMON_CANCEL,
        SMSG_SUMMON_RAID_MEMBER_VALIDATE_FAILED,
        SMSG_SUMMON_REQUEST,
        SMSG_SUPERCEDED_SPELLS,
        SMSG_SUPPRESS_NPC_GREETINGS,
        SMSG_SUSPEND_COMMS,
        SMSG_SUSPEND_TOKEN,
        SMSG_TALENTS_ERROR,
        SMSG_TALENTS_INVOLUNTARILY_RESET,
        SMSG_TAXI_NODE_STATUS,
        SMSG_TEST_DROP_RATE_RESULT,
        SMSG_TEXT_EMOTE,
        SMSG_THREAT_CLEAR,
        SMSG_THREAT_REMOVE,
        SMSG_THREAT_UPDATE,
        SMSG_TIME_ADJUSTMENT,
        SMSG_TIME_SYNC_REQUEST,
        SMSG_TITLE_EARNED,
        SMSG_TITLE_LOST,
        SMSG_TOGGLE_XP_GAIN,
        SMSG_TOKEN_SELL_RESULT,
        SMSG_TOKEN_UNK1,
        SMSG_TOTEM_CREATED,
        SMSG_TOTEM_MOVED,
        SMSG_TRADE_STATUS,
        SMSG_TRADE_STATUS_EXTENDED,
        SMSG_TRADE_UPDATED,
        SMSG_TRAINER_BUY_FAILED,
        SMSG_TRAINER_BUY_RESULT,
        SMSG_TRAINER_BUY_SUCCEEDED,
        SMSG_TRAINER_LIST,
        SMSG_TRANSFER_ABORTED,
        SMSG_TRANSFER_PENDING,
        SMSG_TRANSMOG_COLLECTION_UPDATE,
        SMSG_TRANSMOG_SET_COLLECTION_UPDATE,
        SMSG_TRIGGER_CINEMATIC,
        SMSG_TRIGGER_MOVIE,
        SMSG_TURN_IN_PETITION_RESULT,
        SMSG_TUTORIAL_FLAGS,
        SMSG_TUTORIAL_HIGHLIGHT_SPELL,
        SMSG_TUTORIAL_UNHIGHLIGHT_SPELL,
        SMSG_TWITTER_STATUS,
        SMSG_UI_TIME,
        SMSG_UNDELETE_CHARACTER_RESPONSE,
        SMSG_UNDELETE_COOLDOWN_STATUS_RESPONSE,
        SMSG_UNIT_HEALTH_FREQUENT,
        SMSG_UNIT_SPELLCAST_START,
        SMSG_UNKNOWN_1024,
        SMSG_UNKNOWN_1031,
        SMSG_UNKNOWN_1032,
        SMSG_UNKNOWN_1036,
        SMSG_UNKNOWN_1059,
        SMSG_UNKNOWN_1060,
        SMSG_UNKNOWN_1076,
        SMSG_UNKNOWN_1090,
        SMSG_UNKNOWN_1119,
        SMSG_UNKNOWN_1135,
        SMSG_UNKNOWN_1139,
        SMSG_UNKNOWN_1155,
        SMSG_UNKNOWN_1162,
        SMSG_UNKNOWN_1166,
        SMSG_UNKNOWN_1182,
        SMSG_UNKNOWN_1183,
        SMSG_UNKNOWN_1189,
        SMSG_UNKNOWN_1194,
        SMSG_UNKNOWN_1197,
        SMSG_UNKNOWN_1203,
        SMSG_UNKNOWN_1240,
        SMSG_UNKNOWN_1276,
        SMSG_UNKNOWN_1295,
        SMSG_UNKNOWN_1297,
        SMSG_UNKNOWN_1299,
        SMSG_UNKNOWN_13,
        SMSG_UNKNOWN_130,
        SMSG_UNKNOWN_1302,
        SMSG_UNKNOWN_1304,
        SMSG_UNKNOWN_1308,
        SMSG_UNKNOWN_1310,
        SMSG_UNKNOWN_1311,
        SMSG_UNKNOWN_1312,
        SMSG_UNKNOWN_1314,
        SMSG_UNKNOWN_1315,
        SMSG_UNKNOWN_1316,
        SMSG_UNKNOWN_1317,
        SMSG_UNKNOWN_1318,
        SMSG_UNKNOWN_1321,
        SMSG_UNKNOWN_1329,
        SMSG_UNKNOWN_133,
        SMSG_UNKNOWN_1330,
        SMSG_UNKNOWN_1347,
        SMSG_UNKNOWN_1355,
        SMSG_UNKNOWN_1358,
        SMSG_UNKNOWN_1366,
        SMSG_UNKNOWN_1367,
        SMSG_UNKNOWN_1374,
        SMSG_UNKNOWN_1386,
        SMSG_UNKNOWN_1394,
        SMSG_UNKNOWN_140,
        SMSG_UNKNOWN_1406,
        SMSG_UNKNOWN_141,
        SMSG_UNKNOWN_1411,
        SMSG_UNKNOWN_1431,
        SMSG_UNKNOWN_1432,
        SMSG_UNKNOWN_1442,
        SMSG_UNKNOWN_1444,
        SMSG_UNKNOWN_1446,
        SMSG_UNKNOWN_1454,
        SMSG_UNKNOWN_1457,
        SMSG_UNKNOWN_146,
        SMSG_UNKNOWN_1460,
        SMSG_UNKNOWN_1464,
        SMSG_UNKNOWN_147,
        SMSG_UNKNOWN_152,
        SMSG_UNKNOWN_159,
        SMSG_UNKNOWN_163,
        SMSG_UNKNOWN_169,
        SMSG_UNKNOWN_170,
        SMSG_UNKNOWN_180,
        SMSG_UNKNOWN_19,
        SMSG_UNKNOWN_2048,
        SMSG_UNKNOWN_2055,
        SMSG_UNKNOWN_2057,
        SMSG_UNKNOWN_2063,
        SMSG_UNKNOWN_2066,
        SMSG_UNKNOWN_2080,
        SMSG_UNKNOWN_2083,
        SMSG_UNKNOWN_2087,
        SMSG_UNKNOWN_2091,
        SMSG_UNKNOWN_2093,
        SMSG_UNKNOWN_2097,
        SMSG_UNKNOWN_2109,
        SMSG_UNKNOWN_2178,
        SMSG_UNKNOWN_2181,
        SMSG_UNKNOWN_2187,
        SMSG_UNKNOWN_22,
        SMSG_UNKNOWN_2202,
        SMSG_UNKNOWN_2205,
        SMSG_UNKNOWN_2212,
        SMSG_UNKNOWN_2224,
        SMSG_UNKNOWN_2227,
        SMSG_UNKNOWN_2235,
        SMSG_UNKNOWN_23,
        SMSG_UNKNOWN_2305,
        SMSG_UNKNOWN_2307,
        SMSG_UNKNOWN_2321,
        SMSG_UNKNOWN_2327,
        SMSG_UNKNOWN_2338,
        SMSG_UNKNOWN_24,
        SMSG_UNKNOWN_256,
        SMSG_UNKNOWN_272,
        SMSG_UNKNOWN_274,
        SMSG_UNKNOWN_275,
        SMSG_UNKNOWN_28,
        SMSG_UNKNOWN_281,
        SMSG_UNKNOWN_289,
        SMSG_UNKNOWN_3,
        SMSG_UNKNOWN_301,
        SMSG_UNKNOWN_305,
        SMSG_UNKNOWN_310,
        SMSG_UNKNOWN_3139,
        SMSG_UNKNOWN_316,
        SMSG_UNKNOWN_3162,
        SMSG_UNKNOWN_389,
        SMSG_UNKNOWN_410,
        SMSG_UNKNOWN_4277,
        SMSG_UNKNOWN_429,
        SMSG_UNKNOWN_435,
        SMSG_UNKNOWN_4374,
        SMSG_UNKNOWN_438,
        SMSG_UNKNOWN_4393,
        SMSG_UNKNOWN_441,
        SMSG_UNKNOWN_442,
        SMSG_UNKNOWN_443,
        SMSG_UNKNOWN_4501,
        SMSG_UNKNOWN_4518,
        SMSG_UNKNOWN_4522,
        SMSG_UNKNOWN_4679,
        SMSG_UNKNOWN_4703,
        SMSG_UNKNOWN_4710,
        SMSG_UNKNOWN_4763,
        SMSG_UNKNOWN_4799,
        SMSG_UNKNOWN_48,
        SMSG_UNKNOWN_4822,
        SMSG_UNKNOWN_4890,
        SMSG_UNKNOWN_4930,
        SMSG_UNKNOWN_4947,
        SMSG_UNKNOWN_4950,
        SMSG_UNKNOWN_4990,
        SMSG_UNKNOWN_4998,
        SMSG_UNKNOWN_5298,
        SMSG_UNKNOWN_5376,
        SMSG_UNKNOWN_54,
        SMSG_UNKNOWN_5410,
        SMSG_UNKNOWN_5525,
        SMSG_UNKNOWN_5553,
        SMSG_UNKNOWN_56,
        SMSG_UNKNOWN_5659,
        SMSG_UNKNOWN_57,
        SMSG_UNKNOWN_5702,
        SMSG_UNKNOWN_5722,
        SMSG_UNKNOWN_5727,
        SMSG_UNKNOWN_5738,
        SMSG_UNKNOWN_5838,
        SMSG_UNKNOWN_5882,
        SMSG_UNKNOWN_5942,
        SMSG_UNKNOWN_5959,
        SMSG_UNKNOWN_5963,
        SMSG_UNKNOWN_5971,
        SMSG_UNKNOWN_6018,
        SMSG_UNKNOWN_6047,
        SMSG_UNKNOWN_6166,
        SMSG_UNKNOWN_6174,
        SMSG_UNKNOWN_6199,
        SMSG_UNKNOWN_62,
        SMSG_UNKNOWN_6285,
        SMSG_UNKNOWN_6327,
        SMSG_UNKNOWN_6418,
        SMSG_UNKNOWN_6454,
        SMSG_UNKNOWN_6528,
        SMSG_UNKNOWN_6536,
        SMSG_UNKNOWN_67,
        SMSG_UNKNOWN_6742,
        SMSG_UNKNOWN_6754,
        SMSG_UNKNOWN_6775,
        SMSG_UNKNOWN_8,
        SMSG_UNLEARNED_SPELLS,
        SMSG_UPDATE_ACCOUNT_DATA,
        SMSG_UPDATE_ACCOUNT_DATA_COMPLETE,
        SMSG_UPDATE_ACTION_BUTTONS,
        SMSG_UPDATE_CELESTIAL_BODY,
        SMSG_UPDATE_CAPTURE_POINT,
        SMSG_UPDATE_CHARACTER_FLAGS,
        SMSG_UPDATE_COMBO_POINTS,
        SMSG_UPDATE_CURRENCY,
        SMSG_UPDATE_CURRENCY_WEEK_LIMIT,
        SMSG_UPDATE_DUNGEON_ENCOUNTER_FOR_LOOT,
        SMSG_UPDATE_EXPANSION_LEVEL,
        SMSG_UPDATE_GAME_TIME_STATE,
        SMSG_UPDATE_INSTANCE_ENCOUNTER_UNIT,
        SMSG_UPDATE_INSTANCE_OWNERSHIP,
        SMSG_UPDATE_LAST_INSTANCE,
        SMSG_UPDATE_OBJECT,
        SMSG_UPDATE_SERVER_PLAYER_POSITION,
        SMSG_UPDATE_TALENT_DATA,
        SMSG_UPDATE_TASK_PROGRESS,
        SMSG_UPDATE_WEEKLY_SPELL_USAGE,
        SMSG_UPDATE_WORLD_STATE,
        SMSG_UPDATE_WOW_TOKEN_AUCTIONABLE_LIST_RESPONSE,
        SMSG_UPDATE_WOW_TOKEN_COUNT_RESPONSE,
        SMSG_USERLIST_ADD,
        SMSG_USERLIST_REMOVE,
        SMSG_USERLIST_UPDATE,
        SMSG_USE_EQUIPMENT_SET_RESULT,
        SMSG_VENDOR_INVENTORY,
        SMSG_VIGNETTE_UPDATE,
        SMSG_VOICESESSION_FULL,
        SMSG_VOICE_CHAT_STATUS,
        SMSG_VOICE_PARENTAL_CONTROLS,
        SMSG_VOICE_SESSION_ADJUST_PRIORITY,
        SMSG_VOICE_SESSION_ENABLE,
        SMSG_VOICE_SESSION_LEAVE,
        SMSG_VOICE_SESSION_ROSTER_UPDATE,
        SMSG_VOICE_SET_TALKER_MUTED,
        SMSG_VOID_ITEM_SWAP_RESPONSE,
        SMSG_VOID_STORAGE_CONTENTS,
        SMSG_VOID_STORAGE_FAILED,
        SMSG_VOID_STORAGE_TRANSFER_CHANGES,
        SMSG_VOID_TRANSFER_RESULT,
        SMSG_WAIT_QUEUE_FINISH,
        SMSG_WAIT_QUEUE_UPDATE,
        SMSG_WARDEN_DATA,
        SMSG_WARFRONT_COMPLETED,
        SMSG_WARGAME_CHECK_ENTRY,
        SMSG_WARGAME_REQUEST_RESPONSE,
        SMSG_WARGAME_REQUEST_SENT,
        SMSG_WARGAME_REQUEST_SUCCESSFULLY_SENT_TO_OPPONENT,
        SMSG_WEATHER,
        SMSG_WEEKLY_LAST_RESET,
        SMSG_WEEKLY_RESET_CURRENCY,
        SMSG_WEEKLY_SPELL_USAGE,
        SMSG_WEEKLY_SPELL_USAGE_UPDATE,
        SMSG_WHO,
        SMSG_WHO_IS,
        SMSG_WORLD_QUEST_UPDATE,
        SMSG_WORLD_SERVER_INFO,
        SMSG_WORLD_TEXT,
        SMSG_WOW_TOKEN_AUCTION_SOLD,
        SMSG_WOW_TOKEN_BUY_REQUEST_CONFIRMATION,
        SMSG_WOW_TOKEN_BUY_RESULT_CONFIRMATION,
        SMSG_WOW_TOKEN_CAN_REDEEM_FOR_BALANCE_RESULT,
        SMSG_WOW_TOKEN_CAN_VETERAN_BUY_RESULT,
        SMSG_WOW_TOKEN_DISTRIBUTION_GLUE_UPDATE,
        SMSG_WOW_TOKEN_DISTRIBUTION_UPDATE,
        SMSG_WOW_TOKEN_MARKET_PRICE_RESPONSE,
        SMSG_WOW_TOKEN_REDEEM_GAME_TIME_UPDATED,
        SMSG_WOW_TOKEN_REDEEM_REQUEST_CONFIRMATION,
        SMSG_WOW_TOKEN_REDEEM_RESULT,
        SMSG_WOW_TOKEN_SELL_REQUEST_CONFIRMATION,
        SMSG_WOW_TOKEN_SELL_RESULT_CONFIRMATION,
        SMSG_WOW_TOKEN_UPDATE_AUCTIONABLE_LIST_RESPONSE,
        SMSG_XP_GAIN_ABORTED,
        SMSG_XP_GAIN_ENABLED,
        SMSG_ZONE_MAP,
        SMSG_ZONE_UNDER_ATTACK,
        UMSG_DELETE_GUILD_CHARTER,
        UMSG_UPDATE_ARENA_TEAM_OBSOLETE,
        UMSG_UPDATE_GROUP_INFO,
        UMSG_UPDATE_GROUP_MEMBERS,
        UMSG_UPDATE_GUILD,

        // Tests
        TEST_430_SYNC_PLAYER_MOVE,
        TEST_422_265C,
        TEST_422_13022

        // ReSharper restore InconsistentNaming
    }
}
