﻿namespace WowPacketParser.Enums.Version.V3_0_9_9551
{
    // ReSharper disable InconsistentNaming
    // 3.0.2
    public enum ObjectField
    {
        OBJECT_FIELD_GUID = 0x0000, // Size: 2, Type: LONG, Flags: PUBLIC
        OBJECT_FIELD_TYPE = 0x0002, // Size: 1, Type: INT, Flags: PUBLIC
        OBJECT_FIELD_ENTRY = 0x0003, // Size: 1, Type: INT, Flags: PUBLIC
        OBJECT_FIELD_SCALE_X = 0x0004, // Size: 1, Type: FLOAT, Flags: PUBLIC
        OBJECT_FIELD_PADDING = 0x0005, // Size: 1, Type: INT, Flags: NONE
        OBJECT_END = 0x0006
    }

    public enum ContainerField
    {
        CONTAINER_FIELD_NUM_SLOTS = ItemField.ITEM_END + 0x0000, // Size: 1, Type: INT, Flags: PUBLIC
        CONTAINER_ALIGN_PAD = ItemField.ITEM_END + 0x0001, // Size: 1, Type: BYTES, Flags: NONE
        CONTAINER_FIELD_SLOT_1 = ItemField.ITEM_END + 0x0002, // Size: 72, Type: LONG, Flags: PUBLIC
        CONTAINER_END = ItemField.ITEM_END + 0x004A,
    }

    public enum ItemField
    {
        ITEM_FIELD_OWNER = ObjectField.OBJECT_END + 0x0000, // Size: 2, Type: LONG, Flags: PUBLIC
        ITEM_FIELD_CONTAINED = ObjectField.OBJECT_END + 0x0002, // Size: 2, Type: LONG, Flags: PUBLIC
        ITEM_FIELD_CREATOR = ObjectField.OBJECT_END + 0x0004, // Size: 2, Type: LONG, Flags: PUBLIC
        ITEM_FIELD_GIFTCREATOR = ObjectField.OBJECT_END + 0x0006, // Size: 2, Type: LONG, Flags: PUBLIC
        ITEM_FIELD_STACK_COUNT = ObjectField.OBJECT_END + 0x0008, // Size: 1, Type: INT, Flags: OWNER_ONLY, UNK2
        ITEM_FIELD_DURATION = ObjectField.OBJECT_END + 0x0009, // Size: 1, Type: INT, Flags: OWNER_ONLY, UNK2
        ITEM_FIELD_SPELL_CHARGES = ObjectField.OBJECT_END + 0x000A, // Size: 5, Type: INT, Flags: OWNER_ONLY, UNK2
        ITEM_FIELD_FLAGS = ObjectField.OBJECT_END + 0x000F, // Size: 1, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_1_1 = ObjectField.OBJECT_END + 0x0010, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_1_3 = ObjectField.OBJECT_END + 0x0012, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_2_1 = ObjectField.OBJECT_END + 0x0013, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_2_3 = ObjectField.OBJECT_END + 0x0015, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_3_1 = ObjectField.OBJECT_END + 0x0016, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_3_3 = ObjectField.OBJECT_END + 0x0018, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_4_1 = ObjectField.OBJECT_END + 0x0019, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_4_3 = ObjectField.OBJECT_END + 0x001B, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_5_1 = ObjectField.OBJECT_END + 0x001C, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_5_3 = ObjectField.OBJECT_END + 0x001E, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_6_1 = ObjectField.OBJECT_END + 0x001F, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_6_3 = ObjectField.OBJECT_END + 0x0021, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_7_1 = ObjectField.OBJECT_END + 0x0022, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_7_3 = ObjectField.OBJECT_END + 0x0024, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_8_1 = ObjectField.OBJECT_END + 0x0025, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_8_3 = ObjectField.OBJECT_END + 0x0027, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_9_1 = ObjectField.OBJECT_END + 0x0028, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_9_3 = ObjectField.OBJECT_END + 0x002A, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_10_1 = ObjectField.OBJECT_END + 0x002B, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_10_3 = ObjectField.OBJECT_END + 0x002D, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_11_1 = ObjectField.OBJECT_END + 0x002E, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_11_3 = ObjectField.OBJECT_END + 0x0030, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_12_1 = ObjectField.OBJECT_END + 0x0031, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_12_3 = ObjectField.OBJECT_END + 0x0033, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_PROPERTY_SEED = ObjectField.OBJECT_END + 0x0034, // Size: 1, Type: INT, Flags: PUBLIC
        ITEM_FIELD_RANDOM_PROPERTIES_ID = ObjectField.OBJECT_END + 0x0035, // Size: 1, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ITEM_TEXT_ID = ObjectField.OBJECT_END + 0x0036, // Size: 1, Type: INT, Flags: OWNER_ONLY
        ITEM_FIELD_DURABILITY = ObjectField.OBJECT_END + 0x0037, // Size: 1, Type: INT, Flags: OWNER_ONLY, UNK2
        ITEM_FIELD_MAXDURABILITY = ObjectField.OBJECT_END + 0x0038, // Size: 1, Type: INT, Flags: OWNER_ONLY, UNK2
        ITEM_FIELD_PAD = ObjectField.OBJECT_END + 0x0039, // Size: 1, Type: INT, Flags: NONE
        ITEM_END = ObjectField.OBJECT_END + 0x003A,
    }

    public enum UnitField
    {
        UNIT_FIELD_CHARM = ObjectField.OBJECT_END + 0x0000, // Size: 2, Type: LONG, Flags: PUBLIC
        UNIT_FIELD_SUMMON = ObjectField.OBJECT_END + 0x0002, // Size: 2, Type: LONG, Flags: PUBLIC
        UNIT_FIELD_CRITTER = ObjectField.OBJECT_END + 0x0004, // Size: 2, Type: LONG, Flags: PRIVATE
        UNIT_FIELD_CHARMEDBY = ObjectField.OBJECT_END + 0x0006, // Size: 2, Type: LONG, Flags: PUBLIC
        UNIT_FIELD_SUMMONEDBY = ObjectField.OBJECT_END + 0x0008, // Size: 2, Type: LONG, Flags: PUBLIC
        UNIT_FIELD_CREATEDBY = ObjectField.OBJECT_END + 0x000A, // Size: 2, Type: LONG, Flags: PUBLIC
        UNIT_FIELD_TARGET = ObjectField.OBJECT_END + 0x000C, // Size: 2, Type: LONG, Flags: PUBLIC
        UNIT_FIELD_CHANNEL_OBJECT = ObjectField.OBJECT_END + 0x000E, // Size: 2, Type: LONG, Flags: PUBLIC
        UNIT_FIELD_BYTES_0 = ObjectField.OBJECT_END + 0x0010, // Size: 1, Type: BYTES, Flags: PUBLIC
        UNIT_FIELD_HEALTH = ObjectField.OBJECT_END + 0x0011, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_POWER1 = ObjectField.OBJECT_END + 0x0012, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_POWER2 = ObjectField.OBJECT_END + 0x0013, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_POWER3 = ObjectField.OBJECT_END + 0x0014, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_POWER4 = ObjectField.OBJECT_END + 0x0015, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_POWER5 = ObjectField.OBJECT_END + 0x0016, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_POWER6 = ObjectField.OBJECT_END + 0x0017, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_POWER7 = ObjectField.OBJECT_END + 0x0018, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_MAXHEALTH = ObjectField.OBJECT_END + 0x0019, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_MAXPOWER1 = ObjectField.OBJECT_END + 0x001A, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_MAXPOWER2 = ObjectField.OBJECT_END + 0x001B, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_MAXPOWER3 = ObjectField.OBJECT_END + 0x001C, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_MAXPOWER4 = ObjectField.OBJECT_END + 0x001D, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_MAXPOWER5 = ObjectField.OBJECT_END + 0x001E, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_MAXPOWER6 = ObjectField.OBJECT_END + 0x001F, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_MAXPOWER7 = ObjectField.OBJECT_END + 0x0020, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_POWER_REGEN_FLAT_MODIFIER = ObjectField.OBJECT_END + 0x0021, // Size: 7, Type: FLOAT, Flags: PRIVATE, OWNER_ONLY
        UNIT_FIELD_POWER_REGEN_INTERRUPTED_FLAT_MODIFIER = ObjectField.OBJECT_END + 0x0028, // Size: 7, Type: FLOAT, Flags: PRIVATE, OWNER_ONLY
        UNIT_FIELD_LEVEL = ObjectField.OBJECT_END + 0x002F, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_FACTIONTEMPLATE = ObjectField.OBJECT_END + 0x0030, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_VIRTUAL_ITEM_SLOT_ID = ObjectField.OBJECT_END + 0x0031, // Size: 3, Type: INT, Flags: PUBLIC
        UNIT_FIELD_FLAGS = ObjectField.OBJECT_END + 0x0034, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_FLAGS_2 = ObjectField.OBJECT_END + 0x0035, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_AURASTATE = ObjectField.OBJECT_END + 0x0036, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_BASEATTACKTIME = ObjectField.OBJECT_END + 0x0037, // Size: 2, Type: INT, Flags: PUBLIC
        UNIT_FIELD_RANGEDATTACKTIME = ObjectField.OBJECT_END + 0x0039, // Size: 1, Type: INT, Flags: PRIVATE
        UNIT_FIELD_BOUNDINGRADIUS = ObjectField.OBJECT_END + 0x003A, // Size: 1, Type: FLOAT, Flags: PUBLIC
        UNIT_FIELD_COMBATREACH = ObjectField.OBJECT_END + 0x003B, // Size: 1, Type: FLOAT, Flags: PUBLIC
        UNIT_FIELD_DISPLAYID = ObjectField.OBJECT_END + 0x003C, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_NATIVEDISPLAYID = ObjectField.OBJECT_END + 0x003D, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_MOUNTDISPLAYID = ObjectField.OBJECT_END + 0x003E, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_MINDAMAGE = ObjectField.OBJECT_END + 0x003F, // Size: 1, Type: FLOAT, Flags: PRIVATE, OWNER_ONLY, UNK3
        UNIT_FIELD_MAXDAMAGE = ObjectField.OBJECT_END + 0x0040, // Size: 1, Type: FLOAT, Flags: PRIVATE, OWNER_ONLY, UNK3
        UNIT_FIELD_MINOFFHANDDAMAGE = ObjectField.OBJECT_END + 0x0041, // Size: 1, Type: FLOAT, Flags: PRIVATE, OWNER_ONLY, UNK3
        UNIT_FIELD_MAXOFFHANDDAMAGE = ObjectField.OBJECT_END + 0x0042, // Size: 1, Type: FLOAT, Flags: PRIVATE, OWNER_ONLY, UNK3
        UNIT_FIELD_BYTES_1 = ObjectField.OBJECT_END + 0x0043, // Size: 1, Type: BYTES, Flags: PUBLIC
        UNIT_FIELD_PETNUMBER = ObjectField.OBJECT_END + 0x0044, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_PET_NAME_TIMESTAMP = ObjectField.OBJECT_END + 0x0045, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_PETEXPERIENCE = ObjectField.OBJECT_END + 0x0046, // Size: 1, Type: INT, Flags: OWNER_ONLY
        UNIT_FIELD_PETNEXTLEVELEXP = ObjectField.OBJECT_END + 0x0047, // Size: 1, Type: INT, Flags: OWNER_ONLY
        UNIT_DYNAMIC_FLAGS = ObjectField.OBJECT_END + 0x0048, // Size: 1, Type: INT, Flags: DYNAMIC
        UNIT_CHANNEL_SPELL = ObjectField.OBJECT_END + 0x0049, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_MOD_CAST_SPEED = ObjectField.OBJECT_END + 0x004A, // Size: 1, Type: FLOAT, Flags: PUBLIC
        UNIT_CREATED_BY_SPELL = ObjectField.OBJECT_END + 0x004B, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_NPC_FLAGS = ObjectField.OBJECT_END + 0x004C, // Size: 1, Type: INT, Flags: DYNAMIC
        UNIT_NPC_EMOTESTATE = ObjectField.OBJECT_END + 0x004D, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_STAT0 = ObjectField.OBJECT_END + 0x004E, // Size: 1, Type: INT, Flags: PRIVATE, OWNER_ONLY
        UNIT_FIELD_STAT1 = ObjectField.OBJECT_END + 0x004F, // Size: 1, Type: INT, Flags: PRIVATE, OWNER_ONLY
        UNIT_FIELD_STAT2 = ObjectField.OBJECT_END + 0x0050, // Size: 1, Type: INT, Flags: PRIVATE, OWNER_ONLY
        UNIT_FIELD_STAT3 = ObjectField.OBJECT_END + 0x0051, // Size: 1, Type: INT, Flags: PRIVATE, OWNER_ONLY
        UNIT_FIELD_STAT4 = ObjectField.OBJECT_END + 0x0052, // Size: 1, Type: INT, Flags: PRIVATE, OWNER_ONLY
        UNIT_FIELD_POSSTAT0 = ObjectField.OBJECT_END + 0x0053, // Size: 1, Type: INT, Flags: PRIVATE, OWNER_ONLY
        UNIT_FIELD_POSSTAT1 = ObjectField.OBJECT_END + 0x0054, // Size: 1, Type: INT, Flags: PRIVATE, OWNER_ONLY
        UNIT_FIELD_POSSTAT2 = ObjectField.OBJECT_END + 0x0055, // Size: 1, Type: INT, Flags: PRIVATE, OWNER_ONLY
        UNIT_FIELD_POSSTAT3 = ObjectField.OBJECT_END + 0x0056, // Size: 1, Type: INT, Flags: PRIVATE, OWNER_ONLY
        UNIT_FIELD_POSSTAT4 = ObjectField.OBJECT_END + 0x0057, // Size: 1, Type: INT, Flags: PRIVATE, OWNER_ONLY
        UNIT_FIELD_NEGSTAT0 = ObjectField.OBJECT_END + 0x0058, // Size: 1, Type: INT, Flags: PRIVATE, OWNER_ONLY
        UNIT_FIELD_NEGSTAT1 = ObjectField.OBJECT_END + 0x0059, // Size: 1, Type: INT, Flags: PRIVATE, OWNER_ONLY
        UNIT_FIELD_NEGSTAT2 = ObjectField.OBJECT_END + 0x005A, // Size: 1, Type: INT, Flags: PRIVATE, OWNER_ONLY
        UNIT_FIELD_NEGSTAT3 = ObjectField.OBJECT_END + 0x005B, // Size: 1, Type: INT, Flags: PRIVATE, OWNER_ONLY
        UNIT_FIELD_NEGSTAT4 = ObjectField.OBJECT_END + 0x005C, // Size: 1, Type: INT, Flags: PRIVATE, OWNER_ONLY
        UNIT_FIELD_RESISTANCES = ObjectField.OBJECT_END + 0x005D, // Size: 7, Type: INT, Flags: PRIVATE, OWNER_ONLY, UNK3
        UNIT_FIELD_RESISTANCEBUFFMODSPOSITIVE = ObjectField.OBJECT_END + 0x0064, // Size: 7, Type: INT, Flags: PRIVATE, OWNER_ONLY
        UNIT_FIELD_RESISTANCEBUFFMODSNEGATIVE = ObjectField.OBJECT_END + 0x006B, // Size: 7, Type: INT, Flags: PRIVATE, OWNER_ONLY
        UNIT_FIELD_BASE_MANA = ObjectField.OBJECT_END + 0x0072, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_BASE_HEALTH = ObjectField.OBJECT_END + 0x0073, // Size: 1, Type: INT, Flags: PRIVATE, OWNER_ONLY
        UNIT_FIELD_BYTES_2 = ObjectField.OBJECT_END + 0x0074, // Size: 1, Type: BYTES, Flags: PUBLIC
        UNIT_FIELD_ATTACK_POWER = ObjectField.OBJECT_END + 0x0075, // Size: 1, Type: INT, Flags: PRIVATE, OWNER_ONLY
        UNIT_FIELD_ATTACK_POWER_MODS = ObjectField.OBJECT_END + 0x0076, // Size: 1, Type: TWO_SHORT, Flags: PRIVATE, OWNER_ONLY
        UNIT_FIELD_ATTACK_POWER_MULTIPLIER = ObjectField.OBJECT_END + 0x0077, // Size: 1, Type: FLOAT, Flags: PRIVATE, OWNER_ONLY
        UNIT_FIELD_RANGED_ATTACK_POWER = ObjectField.OBJECT_END + 0x0078, // Size: 1, Type: INT, Flags: PRIVATE, OWNER_ONLY
        UNIT_FIELD_RANGED_ATTACK_POWER_MODS = ObjectField.OBJECT_END + 0x0079, // Size: 1, Type: TWO_SHORT, Flags: PRIVATE, OWNER_ONLY
        UNIT_FIELD_RANGED_ATTACK_POWER_MULTIPLIER = ObjectField.OBJECT_END + 0x007A, // Size: 1, Type: FLOAT, Flags: PRIVATE, OWNER_ONLY
        UNIT_FIELD_MINRANGEDDAMAGE = ObjectField.OBJECT_END + 0x007B, // Size: 1, Type: FLOAT, Flags: PRIVATE, OWNER_ONLY
        UNIT_FIELD_MAXRANGEDDAMAGE = ObjectField.OBJECT_END + 0x007C, // Size: 1, Type: FLOAT, Flags: PRIVATE, OWNER_ONLY
        UNIT_FIELD_POWER_COST_MODIFIER = ObjectField.OBJECT_END + 0x007D, // Size: 7, Type: INT, Flags: PRIVATE, OWNER_ONLY
        UNIT_FIELD_POWER_COST_MULTIPLIER = ObjectField.OBJECT_END + 0x0084, // Size: 7, Type: FLOAT, Flags: PRIVATE, OWNER_ONLY
        UNIT_FIELD_MAXHEALTHMODIFIER = ObjectField.OBJECT_END + 0x008B, // Size: 1, Type: FLOAT, Flags: PRIVATE, OWNER_ONLY
        UNIT_FIELD_HOVERHEIGHT = ObjectField.OBJECT_END + 0x008C, // Size: 1, Type: FLOAT, Flags: PUBLIC
        UNIT_FIELD_PADDING = ObjectField.OBJECT_END + 0x008D, // Size: 1, Type: INT, Flags: NONE
        UNIT_END = ObjectField.OBJECT_END + 0x008E,
    }

    public enum PlayerField
    {
        PLAYER_DUEL_ARBITER = UnitField.UNIT_END + 0x0000, // Size: 2, Type: LONG, Flags: PUBLIC
        PLAYER_FLAGS = UnitField.UNIT_END + 0x0002, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_GUILDID = UnitField.UNIT_END + 0x0003, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_GUILDRANK = UnitField.UNIT_END + 0x0004, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_BYTES = UnitField.UNIT_END + 0x0005, // Size: 1, Type: BYTES, Flags: PUBLIC
        PLAYER_BYTES_2 = UnitField.UNIT_END + 0x0006, // Size: 1, Type: BYTES, Flags: PUBLIC
        PLAYER_BYTES_3 = UnitField.UNIT_END + 0x0007, // Size: 1, Type: BYTES, Flags: PUBLIC
        PLAYER_DUEL_TEAM = UnitField.UNIT_END + 0x0008, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_GUILD_TIMESTAMP = UnitField.UNIT_END + 0x0009, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_QUEST_LOG_1_1 = UnitField.UNIT_END + 0x000A, // Size: 1, Type: INT, Flags: GROUP_ONLY
        PLAYER_QUEST_LOG_1_2 = UnitField.UNIT_END + 0x000B, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_1_3 = UnitField.UNIT_END + 0x000C, // Size: 1, Type: BYTES, Flags: PRIVATE
        PLAYER_QUEST_LOG_1_4 = UnitField.UNIT_END + 0x000D, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_2_1 = UnitField.UNIT_END + 0x000E, // Size: 1, Type: INT, Flags: GROUP_ONLY
        PLAYER_QUEST_LOG_2_2 = UnitField.UNIT_END + 0x000F, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_2_3 = UnitField.UNIT_END + 0x0010, // Size: 1, Type: BYTES, Flags: PRIVATE
        PLAYER_QUEST_LOG_2_4 = UnitField.UNIT_END + 0x0011, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_3_1 = UnitField.UNIT_END + 0x0012, // Size: 1, Type: INT, Flags: GROUP_ONLY
        PLAYER_QUEST_LOG_3_2 = UnitField.UNIT_END + 0x0013, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_3_3 = UnitField.UNIT_END + 0x0014, // Size: 1, Type: BYTES, Flags: PRIVATE
        PLAYER_QUEST_LOG_3_4 = UnitField.UNIT_END + 0x0015, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_4_1 = UnitField.UNIT_END + 0x0016, // Size: 1, Type: INT, Flags: GROUP_ONLY
        PLAYER_QUEST_LOG_4_2 = UnitField.UNIT_END + 0x0017, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_4_3 = UnitField.UNIT_END + 0x0018, // Size: 1, Type: BYTES, Flags: PRIVATE
        PLAYER_QUEST_LOG_4_4 = UnitField.UNIT_END + 0x0019, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_5_1 = UnitField.UNIT_END + 0x001A, // Size: 1, Type: INT, Flags: GROUP_ONLY
        PLAYER_QUEST_LOG_5_2 = UnitField.UNIT_END + 0x001B, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_5_3 = UnitField.UNIT_END + 0x001C, // Size: 1, Type: BYTES, Flags: PRIVATE
        PLAYER_QUEST_LOG_5_4 = UnitField.UNIT_END + 0x001D, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_6_1 = UnitField.UNIT_END + 0x001E, // Size: 1, Type: INT, Flags: GROUP_ONLY
        PLAYER_QUEST_LOG_6_2 = UnitField.UNIT_END + 0x001F, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_6_3 = UnitField.UNIT_END + 0x0020, // Size: 1, Type: BYTES, Flags: PRIVATE
        PLAYER_QUEST_LOG_6_4 = UnitField.UNIT_END + 0x0021, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_7_1 = UnitField.UNIT_END + 0x0022, // Size: 1, Type: INT, Flags: GROUP_ONLY
        PLAYER_QUEST_LOG_7_2 = UnitField.UNIT_END + 0x0023, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_7_3 = UnitField.UNIT_END + 0x0024, // Size: 1, Type: BYTES, Flags: PRIVATE
        PLAYER_QUEST_LOG_7_4 = UnitField.UNIT_END + 0x0025, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_8_1 = UnitField.UNIT_END + 0x0026, // Size: 1, Type: INT, Flags: GROUP_ONLY
        PLAYER_QUEST_LOG_8_2 = UnitField.UNIT_END + 0x0027, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_8_3 = UnitField.UNIT_END + 0x0028, // Size: 1, Type: BYTES, Flags: PRIVATE
        PLAYER_QUEST_LOG_8_4 = UnitField.UNIT_END + 0x0029, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_9_1 = UnitField.UNIT_END + 0x002A, // Size: 1, Type: INT, Flags: GROUP_ONLY
        PLAYER_QUEST_LOG_9_2 = UnitField.UNIT_END + 0x002B, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_9_3 = UnitField.UNIT_END + 0x002C, // Size: 1, Type: BYTES, Flags: PRIVATE
        PLAYER_QUEST_LOG_9_4 = UnitField.UNIT_END + 0x002D, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_10_1 = UnitField.UNIT_END + 0x002E, // Size: 1, Type: INT, Flags: GROUP_ONLY
        PLAYER_QUEST_LOG_10_2 = UnitField.UNIT_END + 0x002F, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_10_3 = UnitField.UNIT_END + 0x0030, // Size: 1, Type: BYTES, Flags: PRIVATE
        PLAYER_QUEST_LOG_10_4 = UnitField.UNIT_END + 0x0031, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_11_1 = UnitField.UNIT_END + 0x0032, // Size: 1, Type: INT, Flags: GROUP_ONLY
        PLAYER_QUEST_LOG_11_2 = UnitField.UNIT_END + 0x0033, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_11_3 = UnitField.UNIT_END + 0x0034, // Size: 1, Type: BYTES, Flags: PRIVATE
        PLAYER_QUEST_LOG_11_4 = UnitField.UNIT_END + 0x0035, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_12_1 = UnitField.UNIT_END + 0x0036, // Size: 1, Type: INT, Flags: GROUP_ONLY
        PLAYER_QUEST_LOG_12_2 = UnitField.UNIT_END + 0x0037, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_12_3 = UnitField.UNIT_END + 0x0038, // Size: 1, Type: BYTES, Flags: PRIVATE
        PLAYER_QUEST_LOG_12_4 = UnitField.UNIT_END + 0x0039, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_13_1 = UnitField.UNIT_END + 0x003A, // Size: 1, Type: INT, Flags: GROUP_ONLY
        PLAYER_QUEST_LOG_13_2 = UnitField.UNIT_END + 0x003B, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_13_3 = UnitField.UNIT_END + 0x003C, // Size: 1, Type: BYTES, Flags: PRIVATE
        PLAYER_QUEST_LOG_13_4 = UnitField.UNIT_END + 0x003D, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_14_1 = UnitField.UNIT_END + 0x003E, // Size: 1, Type: INT, Flags: GROUP_ONLY
        PLAYER_QUEST_LOG_14_2 = UnitField.UNIT_END + 0x003F, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_14_3 = UnitField.UNIT_END + 0x0040, // Size: 1, Type: BYTES, Flags: PRIVATE
        PLAYER_QUEST_LOG_14_4 = UnitField.UNIT_END + 0x0041, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_15_1 = UnitField.UNIT_END + 0x0042, // Size: 1, Type: INT, Flags: GROUP_ONLY
        PLAYER_QUEST_LOG_15_2 = UnitField.UNIT_END + 0x0043, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_15_3 = UnitField.UNIT_END + 0x0044, // Size: 1, Type: BYTES, Flags: PRIVATE
        PLAYER_QUEST_LOG_15_4 = UnitField.UNIT_END + 0x0045, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_16_1 = UnitField.UNIT_END + 0x0046, // Size: 1, Type: INT, Flags: GROUP_ONLY
        PLAYER_QUEST_LOG_16_2 = UnitField.UNIT_END + 0x0047, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_16_3 = UnitField.UNIT_END + 0x0048, // Size: 1, Type: BYTES, Flags: PRIVATE
        PLAYER_QUEST_LOG_16_4 = UnitField.UNIT_END + 0x0049, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_17_1 = UnitField.UNIT_END + 0x004A, // Size: 1, Type: INT, Flags: GROUP_ONLY
        PLAYER_QUEST_LOG_17_2 = UnitField.UNIT_END + 0x004B, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_17_3 = UnitField.UNIT_END + 0x004C, // Size: 1, Type: BYTES, Flags: PRIVATE
        PLAYER_QUEST_LOG_17_4 = UnitField.UNIT_END + 0x004D, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_18_1 = UnitField.UNIT_END + 0x004E, // Size: 1, Type: INT, Flags: GROUP_ONLY
        PLAYER_QUEST_LOG_18_2 = UnitField.UNIT_END + 0x004F, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_18_3 = UnitField.UNIT_END + 0x0050, // Size: 1, Type: BYTES, Flags: PRIVATE
        PLAYER_QUEST_LOG_18_4 = UnitField.UNIT_END + 0x0051, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_19_1 = UnitField.UNIT_END + 0x0052, // Size: 1, Type: INT, Flags: GROUP_ONLY
        PLAYER_QUEST_LOG_19_2 = UnitField.UNIT_END + 0x0053, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_19_3 = UnitField.UNIT_END + 0x0054, // Size: 1, Type: BYTES, Flags: PRIVATE
        PLAYER_QUEST_LOG_19_4 = UnitField.UNIT_END + 0x0055, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_20_1 = UnitField.UNIT_END + 0x0056, // Size: 1, Type: INT, Flags: GROUP_ONLY
        PLAYER_QUEST_LOG_20_2 = UnitField.UNIT_END + 0x0057, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_20_3 = UnitField.UNIT_END + 0x0058, // Size: 1, Type: BYTES, Flags: PRIVATE
        PLAYER_QUEST_LOG_20_4 = UnitField.UNIT_END + 0x0059, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_21_1 = UnitField.UNIT_END + 0x005A, // Size: 1, Type: INT, Flags: GROUP_ONLY
        PLAYER_QUEST_LOG_21_2 = UnitField.UNIT_END + 0x005B, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_21_3 = UnitField.UNIT_END + 0x005C, // Size: 1, Type: BYTES, Flags: PRIVATE
        PLAYER_QUEST_LOG_21_4 = UnitField.UNIT_END + 0x005D, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_22_1 = UnitField.UNIT_END + 0x005E, // Size: 1, Type: INT, Flags: GROUP_ONLY
        PLAYER_QUEST_LOG_22_2 = UnitField.UNIT_END + 0x005F, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_22_3 = UnitField.UNIT_END + 0x0060, // Size: 1, Type: BYTES, Flags: PRIVATE
        PLAYER_QUEST_LOG_22_4 = UnitField.UNIT_END + 0x0061, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_23_1 = UnitField.UNIT_END + 0x0062, // Size: 1, Type: INT, Flags: GROUP_ONLY
        PLAYER_QUEST_LOG_23_2 = UnitField.UNIT_END + 0x0063, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_23_3 = UnitField.UNIT_END + 0x0064, // Size: 1, Type: BYTES, Flags: PRIVATE
        PLAYER_QUEST_LOG_23_4 = UnitField.UNIT_END + 0x0065, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_24_1 = UnitField.UNIT_END + 0x0066, // Size: 1, Type: INT, Flags: GROUP_ONLY
        PLAYER_QUEST_LOG_24_2 = UnitField.UNIT_END + 0x0067, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_24_3 = UnitField.UNIT_END + 0x0068, // Size: 1, Type: BYTES, Flags: PRIVATE
        PLAYER_QUEST_LOG_24_4 = UnitField.UNIT_END + 0x0069, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_25_1 = UnitField.UNIT_END + 0x006A, // Size: 1, Type: INT, Flags: GROUP_ONLY
        PLAYER_QUEST_LOG_25_2 = UnitField.UNIT_END + 0x006B, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_25_3 = UnitField.UNIT_END + 0x006C, // Size: 1, Type: BYTES, Flags: PRIVATE
        PLAYER_QUEST_LOG_25_4 = UnitField.UNIT_END + 0x006D, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_VISIBLE_ITEM_1_CREATOR = UnitField.UNIT_END + 0x006E, // Size: 2, Type: LONG, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_1_0 = UnitField.UNIT_END + 0x0070, // Size: 13, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_1_PROPERTIES = UnitField.UNIT_END + 0x007D, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_1_SEED = UnitField.UNIT_END + 0x007E, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_1_PAD = UnitField.UNIT_END + 0x007F, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_2_CREATOR = UnitField.UNIT_END + 0x0080, // Size: 2, Type: LONG, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_2_0 = UnitField.UNIT_END + 0x0082, // Size: 13, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_2_PROPERTIES = UnitField.UNIT_END + 0x008F, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_2_SEED = UnitField.UNIT_END + 0x0090, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_2_PAD = UnitField.UNIT_END + 0x0091, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_3_CREATOR = UnitField.UNIT_END + 0x0092, // Size: 2, Type: LONG, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_3_0 = UnitField.UNIT_END + 0x0094, // Size: 13, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_3_PROPERTIES = UnitField.UNIT_END + 0x00A1, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_3_SEED = UnitField.UNIT_END + 0x00A2, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_3_PAD = UnitField.UNIT_END + 0x00A3, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_4_CREATOR = UnitField.UNIT_END + 0x00A4, // Size: 2, Type: LONG, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_4_0 = UnitField.UNIT_END + 0x00A6, // Size: 13, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_4_PROPERTIES = UnitField.UNIT_END + 0x00B3, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_4_SEED = UnitField.UNIT_END + 0x00B4, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_4_PAD = UnitField.UNIT_END + 0x00B5, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_5_CREATOR = UnitField.UNIT_END + 0x00B6, // Size: 2, Type: LONG, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_5_0 = UnitField.UNIT_END + 0x00B8, // Size: 13, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_5_PROPERTIES = UnitField.UNIT_END + 0x00C5, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_5_SEED = UnitField.UNIT_END + 0x00C6, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_5_PAD = UnitField.UNIT_END + 0x00C7, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_6_CREATOR = UnitField.UNIT_END + 0x00C8, // Size: 2, Type: LONG, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_6_0 = UnitField.UNIT_END + 0x00CA, // Size: 13, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_6_PROPERTIES = UnitField.UNIT_END + 0x00D7, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_6_SEED = UnitField.UNIT_END + 0x00D8, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_6_PAD = UnitField.UNIT_END + 0x00D9, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_7_CREATOR = UnitField.UNIT_END + 0x00DA, // Size: 2, Type: LONG, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_7_0 = UnitField.UNIT_END + 0x00DC, // Size: 13, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_7_PROPERTIES = UnitField.UNIT_END + 0x00E9, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_7_SEED = UnitField.UNIT_END + 0x00EA, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_7_PAD = UnitField.UNIT_END + 0x00EB, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_8_CREATOR = UnitField.UNIT_END + 0x00EC, // Size: 2, Type: LONG, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_8_0 = UnitField.UNIT_END + 0x00EE, // Size: 13, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_8_PROPERTIES = UnitField.UNIT_END + 0x00FB, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_8_SEED = UnitField.UNIT_END + 0x00FC, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_8_PAD = UnitField.UNIT_END + 0x00FD, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_9_CREATOR = UnitField.UNIT_END + 0x00FE, // Size: 2, Type: LONG, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_9_0 = UnitField.UNIT_END + 0x0100, // Size: 13, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_9_PROPERTIES = UnitField.UNIT_END + 0x010D, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_9_SEED = UnitField.UNIT_END + 0x010E, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_9_PAD = UnitField.UNIT_END + 0x010F, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_10_CREATOR = UnitField.UNIT_END + 0x0110, // Size: 2, Type: LONG, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_10_0 = UnitField.UNIT_END + 0x0112, // Size: 13, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_10_PROPERTIES = UnitField.UNIT_END + 0x011F, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_10_SEED = UnitField.UNIT_END + 0x0120, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_10_PAD = UnitField.UNIT_END + 0x0121, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_11_CREATOR = UnitField.UNIT_END + 0x0122, // Size: 2, Type: LONG, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_11_0 = UnitField.UNIT_END + 0x0124, // Size: 13, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_11_PROPERTIES = UnitField.UNIT_END + 0x0131, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_11_SEED = UnitField.UNIT_END + 0x0132, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_11_PAD = UnitField.UNIT_END + 0x0133, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_12_CREATOR = UnitField.UNIT_END + 0x0134, // Size: 2, Type: LONG, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_12_0 = UnitField.UNIT_END + 0x0136, // Size: 13, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_12_PROPERTIES = UnitField.UNIT_END + 0x0143, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_12_SEED = UnitField.UNIT_END + 0x0144, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_12_PAD = UnitField.UNIT_END + 0x0145, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_13_CREATOR = UnitField.UNIT_END + 0x0146, // Size: 2, Type: LONG, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_13_0 = UnitField.UNIT_END + 0x0148, // Size: 13, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_13_PROPERTIES = UnitField.UNIT_END + 0x0155, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_13_SEED = UnitField.UNIT_END + 0x0156, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_13_PAD = UnitField.UNIT_END + 0x0157, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_14_CREATOR = UnitField.UNIT_END + 0x0158, // Size: 2, Type: LONG, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_14_0 = UnitField.UNIT_END + 0x015A, // Size: 13, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_14_PROPERTIES = UnitField.UNIT_END + 0x0167, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_14_SEED = UnitField.UNIT_END + 0x0168, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_14_PAD = UnitField.UNIT_END + 0x0169, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_15_CREATOR = UnitField.UNIT_END + 0x016A, // Size: 2, Type: LONG, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_15_0 = UnitField.UNIT_END + 0x016C, // Size: 13, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_15_PROPERTIES = UnitField.UNIT_END + 0x0179, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_15_SEED = UnitField.UNIT_END + 0x017A, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_15_PAD = UnitField.UNIT_END + 0x017B, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_16_CREATOR = UnitField.UNIT_END + 0x017C, // Size: 2, Type: LONG, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_16_0 = UnitField.UNIT_END + 0x017E, // Size: 13, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_16_PROPERTIES = UnitField.UNIT_END + 0x018B, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_16_SEED = UnitField.UNIT_END + 0x018C, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_16_PAD = UnitField.UNIT_END + 0x018D, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_17_CREATOR = UnitField.UNIT_END + 0x018E, // Size: 2, Type: LONG, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_17_0 = UnitField.UNIT_END + 0x0190, // Size: 13, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_17_PROPERTIES = UnitField.UNIT_END + 0x019D, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_17_SEED = UnitField.UNIT_END + 0x019E, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_17_PAD = UnitField.UNIT_END + 0x019F, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_18_CREATOR = UnitField.UNIT_END + 0x01A0, // Size: 2, Type: LONG, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_18_0 = UnitField.UNIT_END + 0x01A2, // Size: 13, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_18_PROPERTIES = UnitField.UNIT_END + 0x01AF, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_18_SEED = UnitField.UNIT_END + 0x01B0, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_18_PAD = UnitField.UNIT_END + 0x01B1, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_19_CREATOR = UnitField.UNIT_END + 0x01B2, // Size: 2, Type: LONG, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_19_0 = UnitField.UNIT_END + 0x01B4, // Size: 13, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_19_PROPERTIES = UnitField.UNIT_END + 0x01C1, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_19_SEED = UnitField.UNIT_END + 0x01C2, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_19_PAD = UnitField.UNIT_END + 0x01C3, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_CHOSEN_TITLE = UnitField.UNIT_END + 0x01C4, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_FIELD_PAD_0 = UnitField.UNIT_END + 0x01C5, // Size: 1, Type: INT, Flags: NONE
        PLAYER_FIELD_INV_SLOT_HEAD = UnitField.UNIT_END + 0x01C6, // Size: 46, Type: LONG, Flags: PRIVATE
        PLAYER_FIELD_PACK_SLOT_1 = UnitField.UNIT_END + 0x01F4, // Size: 32, Type: LONG, Flags: PRIVATE
        PLAYER_FIELD_BANK_SLOT_1 = UnitField.UNIT_END + 0x0214, // Size: 56, Type: LONG, Flags: PRIVATE
        PLAYER_FIELD_BANKBAG_SLOT_1 = UnitField.UNIT_END + 0x024C, // Size: 14, Type: LONG, Flags: PRIVATE
        PLAYER_FIELD_VENDORBUYBACK_SLOT_1 = UnitField.UNIT_END + 0x025A, // Size: 24, Type: LONG, Flags: PRIVATE
        PLAYER_FIELD_KEYRING_SLOT_1 = UnitField.UNIT_END + 0x0272, // Size: 64, Type: LONG, Flags: PRIVATE
        PLAYER_FIELD_VANITYPET_SLOT_1 = UnitField.UNIT_END + 0x02B2, // Size: 36, Type: LONG, Flags: PRIVATE
        PLAYER_FIELD_CURRENCYTOKEN_SLOT_1 = UnitField.UNIT_END + 0x02D6, // Size: 64, Type: LONG, Flags: PRIVATE
        PLAYER_FIELD_QUESTBAG_SLOT_1 = UnitField.UNIT_END + 0x0316, // Size: 64, Type: LONG, Flags: PRIVATE
        PLAYER_FARSIGHT = UnitField.UNIT_END + 0x0356, // Size: 2, Type: LONG, Flags: PRIVATE
        PLAYER__FIELD_KNOWN_TITLES = UnitField.UNIT_END + 0x0358, // Size: 2, Type: LONG, Flags: PRIVATE
        PLAYER__FIELD_KNOWN_TITLES1 = UnitField.UNIT_END + 0x035A, // Size: 2, Type: LONG, Flags: PRIVATE
        PLAYER_FIELD_KNOWN_CURRENCIES = UnitField.UNIT_END + 0x035C, // Size: 2, Type: LONG, Flags: PRIVATE
        PLAYER_XP = UnitField.UNIT_END + 0x035E, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_NEXT_LEVEL_XP = UnitField.UNIT_END + 0x035F, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_SKILL_INFO_1_1 = UnitField.UNIT_END + 0x0360, // Size: 384, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_CHARACTER_POINTS1 = UnitField.UNIT_END + 0x04E0, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_CHARACTER_POINTS2 = UnitField.UNIT_END + 0x04E1, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_TRACK_CREATURES = UnitField.UNIT_END + 0x04E2, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_TRACK_RESOURCES = UnitField.UNIT_END + 0x04E3, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_BLOCK_PERCENTAGE = UnitField.UNIT_END + 0x04E4, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_DODGE_PERCENTAGE = UnitField.UNIT_END + 0x04E5, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_PARRY_PERCENTAGE = UnitField.UNIT_END + 0x04E6, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_EXPERTISE = UnitField.UNIT_END + 0x04E7, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_OFFHAND_EXPERTISE = UnitField.UNIT_END + 0x04E8, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_CRIT_PERCENTAGE = UnitField.UNIT_END + 0x04E9, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_RANGED_CRIT_PERCENTAGE = UnitField.UNIT_END + 0x04EA, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_OFFHAND_CRIT_PERCENTAGE = UnitField.UNIT_END + 0x04EB, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_SPELL_CRIT_PERCENTAGE1 = UnitField.UNIT_END + 0x04EC, // Size: 7, Type: FLOAT, Flags: PRIVATE
        PLAYER_SHIELD_BLOCK = UnitField.UNIT_END + 0x04F3, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_SHIELD_BLOCK_CRIT_PERCENTAGE = UnitField.UNIT_END + 0x04F4, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_EXPLORED_ZONES_1 = UnitField.UNIT_END + 0x04F5, // Size: 128, Type: BYTES, Flags: PRIVATE
        PLAYER_REST_STATE_EXPERIENCE = UnitField.UNIT_END + 0x0575, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_COINAGE = UnitField.UNIT_END + 0x0576, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_MOD_DAMAGE_DONE_POS = UnitField.UNIT_END + 0x0577, // Size: 7, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_MOD_DAMAGE_DONE_NEG = UnitField.UNIT_END + 0x057E, // Size: 7, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_MOD_DAMAGE_DONE_PCT = UnitField.UNIT_END + 0x0585, // Size: 7, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_MOD_HEALING_DONE_POS = UnitField.UNIT_END + 0x058C, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_MOD_TARGET_RESISTANCE = UnitField.UNIT_END + 0x058D, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_MOD_TARGET_PHYSICAL_RESISTANCE = UnitField.UNIT_END + 0x058E, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_BYTES = UnitField.UNIT_END + 0x058F, // Size: 1, Type: BYTES, Flags: PRIVATE
        PLAYER_AMMO_ID = UnitField.UNIT_END + 0x0590, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_SELF_RES_SPELL = UnitField.UNIT_END + 0x0591, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_PVP_MEDALS = UnitField.UNIT_END + 0x0592, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_BUYBACK_PRICE_1 = UnitField.UNIT_END + 0x0593, // Size: 12, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_BUYBACK_TIMESTAMP_1 = UnitField.UNIT_END + 0x059F, // Size: 12, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_KILLS = UnitField.UNIT_END + 0x05AB, // Size: 1, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_FIELD_TODAY_CONTRIBUTION = UnitField.UNIT_END + 0x05AC, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_YESTERDAY_CONTRIBUTION = UnitField.UNIT_END + 0x05AD, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_LIFETIME_HONORBALE_KILLS = UnitField.UNIT_END + 0x05AE, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_BYTES2 = UnitField.UNIT_END + 0x05AF, // Size: 1, Type: BYTES, Flags: PRIVATE
        PLAYER_FIELD_WATCHED_FACTION_INDEX = UnitField.UNIT_END + 0x05B0, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_COMBAT_RATING_1 = UnitField.UNIT_END + 0x05B1, // Size: 25, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_ARENA_TEAM_INFO_1_1 = UnitField.UNIT_END + 0x05CA, // Size: 18, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_HONOR_CURRENCY = UnitField.UNIT_END + 0x05DC, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_ARENA_CURRENCY = UnitField.UNIT_END + 0x05DD, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_MAX_LEVEL = UnitField.UNIT_END + 0x05DE, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_DAILY_QUESTS_1 = UnitField.UNIT_END + 0x05DF, // Size: 25, Type: INT, Flags: PRIVATE
        PLAYER_RUNE_REGEN_1 = UnitField.UNIT_END + 0x05F8, // Size: 4, Type: FLOAT, Flags: PRIVATE
        PLAYER_NO_REAGENT_COST_1 = UnitField.UNIT_END + 0x05FC, // Size: 3, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_GLYPH_SLOTS_1 = UnitField.UNIT_END + 0x05FF, // Size: 8, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_GLYPHS_1 = UnitField.UNIT_END + 0x0607, // Size: 8, Type: INT, Flags: PRIVATE
        PLAYER_GLYPHS_ENABLED = UnitField.UNIT_END + 0x060F, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_END = UnitField.UNIT_END + 0x0610,
    }

    public enum GameObjectField
    {
        GAMEOBJECT_FIELD_CREATED_BY = ObjectField.OBJECT_END + 0x0000, // Size: 2, Type: LONG, Flags: PUBLIC
        GAMEOBJECT_DISPLAYID = ObjectField.OBJECT_END + 0x0002, // Size: 1, Type: INT, Flags: PUBLIC
        GAMEOBJECT_FLAGS = ObjectField.OBJECT_END + 0x0003, // Size: 1, Type: INT, TWO_SHORT: PUBLIC
        GAMEOBJECT_ROTATION = ObjectField.OBJECT_END + 0x0004, // Size: 2, Type: Packed Quaternion, Flags: PUBLIC
        GAMEOBJECT_PARENTROTATION = ObjectField.OBJECT_END + 0x0006, // Size: 4, Type: FLOAT, Flags: PUBLIC
        GAMEOBJECT_POS_X = ObjectField.OBJECT_END + 0x000A, // Size: 1, Type: FLOAT, Flags: PUBLIC
        GAMEOBJECT_POS_Y = ObjectField.OBJECT_END + 0x000B, // Size: 1, Type: FLOAT, Flags: PUBLIC
        GAMEOBJECT_POS_Z = ObjectField.OBJECT_END + 0x000C, // Size: 1, Type: FLOAT, Flags: PUBLIC
        GAMEOBJECT_FACING = ObjectField.OBJECT_END + 0x000D, // Size: 1, Type: FLOAT, Flags: PUBLIC
        GAMEOBJECT_DYNAMIC = ObjectField.OBJECT_END + 0x000E, // Size: 1, Type: TWO_SHORT, Flags: DYNAMIC
        GAMEOBJECT_FACTION = ObjectField.OBJECT_END + 0x000F, // Size: 1, Type: INT, Flags: PUBLIC
        GAMEOBJECT_LEVEL = ObjectField.OBJECT_END + 0x0010, // Size: 1, Type: INT, Flags: PUBLIC
        GAMEOBJECT_BYTES_1 = ObjectField.OBJECT_END + 0x0011, // Size: 1, Type: BYTES, Flags: PUBLIC
        GAMEOBJECT_END = ObjectField.OBJECT_END + 0x0013
    }

    public enum DynamicObjectField
    {
        DYNAMICOBJECT_CASTER = ObjectField.OBJECT_END + 0x0000, // Size: 2, Type: LONG, Flags: PUBLIC
        DYNAMICOBJECT_BYTES = ObjectField.OBJECT_END + 0x0002, // Size: 1, Type: BYTES, Flags: PUBLIC
        DYNAMICOBJECT_SPELLID = ObjectField.OBJECT_END + 0x0003, // Size: 1, Type: INT, Flags: PUBLIC
        DYNAMICOBJECT_RADIUS = ObjectField.OBJECT_END + 0x0004, // Size: 1, Type: FLOAT, Flags: PUBLIC
        DYNAMICOBJECT_POS_X = ObjectField.OBJECT_END + 0x0005, // Size: 1, Type: FLOAT, Flags: PUBLIC
        DYNAMICOBJECT_POS_Y = ObjectField.OBJECT_END + 0x0006, // Size: 1, Type: FLOAT, Flags: PUBLIC
        DYNAMICOBJECT_POS_Z = ObjectField.OBJECT_END + 0x0007, // Size: 1, Type: FLOAT, Flags: PUBLIC
        DYNAMICOBJECT_FACING = ObjectField.OBJECT_END + 0x0008, // Size: 1, Type: FLOAT, Flags: PUBLIC
        DYNAMICOBJECT_CASTTIME = ObjectField.OBJECT_END + 0x0009, // Size: 1, Type: INT, Flags: PUBLIC
        DYNAMICOBJECT_END = ObjectField.OBJECT_END + 0x000A,
    }

    public enum CorpseField
    {
        CORPSE_FIELD_OWNER = ObjectField.OBJECT_END + 0x0000, // Size: 2, Type: LONG, Flags: PUBLIC
        CORPSE_FIELD_PARTY = ObjectField.OBJECT_END + 0x0002, // Size: 2, Type: LONG, Flags: PUBLIC
        CORPSE_FIELD_FACING = ObjectField.OBJECT_END + 0x0004, // Size: 1, Type: FLOAT, Flags: PUBLIC
        CORPSE_FIELD_POS_X = ObjectField.OBJECT_END + 0x0005, // Size: 1, Type: FLOAT, Flags: PUBLIC
        CORPSE_FIELD_POS_Y = ObjectField.OBJECT_END + 0x0006, // Size: 1, Type: FLOAT, Flags: PUBLIC
        CORPSE_FIELD_POS_Z = ObjectField.OBJECT_END + 0x0007, // Size: 1, Type: FLOAT, Flags: PUBLIC
        CORPSE_FIELD_DISPLAY_ID = ObjectField.OBJECT_END + 0x0008, // Size: 1, Type: INT, Flags: PUBLIC
        CORPSE_FIELD_ITEM = ObjectField.OBJECT_END + 0x0009, // Size: 19, Type: INT, Flags: PUBLIC
        CORPSE_FIELD_BYTES_1 = ObjectField.OBJECT_END + 0x001C, // Size: 1, Type: BYTES, Flags: PUBLIC
        CORPSE_FIELD_BYTES_2 = ObjectField.OBJECT_END + 0x001D, // Size: 1, Type: BYTES, Flags: PUBLIC
        CORPSE_FIELD_GUILD = ObjectField.OBJECT_END + 0x001E, // Size: 1, Type: INT, Flags: PUBLIC
        CORPSE_FIELD_FLAGS = ObjectField.OBJECT_END + 0x001F, // Size: 1, Type: INT, Flags: PUBLIC
        CORPSE_FIELD_DYNAMIC_FLAGS = ObjectField.OBJECT_END + 0x0020, // Size: 1, Type: INT, Flags: DYNAMIC
        CORPSE_FIELD_PAD = ObjectField.OBJECT_END + 0x0021, // Size: 1, Type: INT, Flags: NONE
        CORPSE_END = ObjectField.OBJECT_END + 0x0022,
    }
}
