namespace WowPacketParser.Enums.Version.V3_3_0_10958
{
    // ReSharper disable InconsistentNaming
    // 3.3.0
    public enum ObjectField
    {
        OBJECT_FIELD_GUID = 0x0000, // Size: 2, Type: LONG, Flags: PUBLIC
        OBJECT_FIELD_TYPE = 0x0002, // Size: 1, Type: INT, Flags: PUBLIC
        OBJECT_FIELD_ENTRY = 0x0003, // Size: 1, Type: INT, Flags: PUBLIC
        OBJECT_FIELD_SCALE_X = 0x0004, // Size: 1, Type: FLOAT, Flags: PUBLIC
        OBJECT_FIELD_PADDING = 0x0005, // Size: 1, Type: INT, Flags: NONE
        OBJECT_END = 0x0006
    }

    public enum ItemField
    {
        ITEM_FIELD_OWNER = ObjectField.OBJECT_END + 0x0000, // Size: 2, Type: LONG, Flags: PUBLIC
        ITEM_FIELD_CONTAINED = ObjectField.OBJECT_END + 0x0002, // Size: 2, Type: LONG, Flags: PUBLIC
        ITEM_FIELD_CREATOR = ObjectField.OBJECT_END + 0x0004, // Size: 2, Type: LONG, Flags: PUBLIC
        ITEM_FIELD_GIFTCREATOR = ObjectField.OBJECT_END + 0x0006, // Size: 2, Type: LONG, Flags: PUBLIC
        ITEM_FIELD_STACK_COUNT = ObjectField.OBJECT_END + 0x0008, // Size: 1, Type: INT, Flags: OWNER, ITEM_OWNER
        ITEM_FIELD_DURATION = ObjectField.OBJECT_END + 0x0009, // Size: 1, Type: INT, Flags: OWNER, ITEM_OWNER
        ITEM_FIELD_SPELL_CHARGES = ObjectField.OBJECT_END + 0x000A, // Size: 5, Type: INT, Flags: OWNER, ITEM_OWNER
        ITEM_FIELD_FLAGS = ObjectField.OBJECT_END + 0x000F, // Size: 1, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_1_1 = ObjectField.OBJECT_END + 0x0010, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_1_3 = ObjectField.OBJECT_END + 0x0012, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_2_1 = ObjectField.OBJECT_END + 0x0013, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_2_3 = ObjectField.OBJECT_END + 0x0015, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_3_1 = ObjectField.OBJECT_END + 0x0016, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_3_3 = ObjectField.OBJECT_END + 0x0018, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_4_1 = ObjectField.OBJECT_END + 0x0019, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_4_3 = ObjectField.OBJECT_END + 0x001B, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_5_1 = ObjectField.OBJECT_END + 0x001C, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_5_3 = ObjectField.OBJECT_END + 0x001E, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_6_1 = ObjectField.OBJECT_END + 0x001F, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_6_3 = ObjectField.OBJECT_END + 0x0021, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_7_1 = ObjectField.OBJECT_END + 0x0022, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_7_3 = ObjectField.OBJECT_END + 0x0024, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_8_1 = ObjectField.OBJECT_END + 0x0025, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_8_3 = ObjectField.OBJECT_END + 0x0027, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_9_1 = ObjectField.OBJECT_END + 0x0028, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_9_3 = ObjectField.OBJECT_END + 0x002A, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_10_1 = ObjectField.OBJECT_END + 0x002B, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_10_3 = ObjectField.OBJECT_END + 0x002D, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_11_1 = ObjectField.OBJECT_END + 0x002E, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_11_3 = ObjectField.OBJECT_END + 0x0030, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_12_1 = ObjectField.OBJECT_END + 0x0031, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_12_3 = ObjectField.OBJECT_END + 0x0033, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_PROPERTY_SEED = ObjectField.OBJECT_END + 0x0034, // Size: 1, Type: INT, Flags: PUBLIC
        ITEM_FIELD_RANDOM_PROPERTIES_ID = ObjectField.OBJECT_END + 0x0035, // Size: 1, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ITEM_TEXT_ID = ObjectField.OBJECT_END + 0x0036, // Size: 1, Type: INT, Flags: OWNER
        ITEM_FIELD_DURABILITY = ObjectField.OBJECT_END + 0x0037, // Size: 1, Type: INT, Flags: OWNER, ITEM_OWNER
        ITEM_FIELD_MAXDURABILITY = ObjectField.OBJECT_END + 0x0038, // Size: 1, Type: INT, Flags: OWNER, ITEM_OWNER
        ITEM_FIELD_CREATE_PLAYED_TIME = ObjectField.OBJECT_END + 0x0039, // Size: 1, Type: INT, Flags: PUBLIC
        ITEM_END = ObjectField.OBJECT_END + 0x003A
    }

    public enum ContainerField
    {
        CONTAINER_FIELD_NUM_SLOTS = ItemField.ITEM_END + 0x0000, // Size: 1, Type: INT, Flags: PUBLIC
        CONTAINER_ALIGN_PAD = ItemField.ITEM_END + 0x0001, // Size: 1, Type: BYTES, Flags: NONE
        CONTAINER_FIELD_SLOT_1 = ItemField.ITEM_END + 0x0002, // Size: 72, Type: LONG, Flags: PUBLIC
        CONTAINER_END = ItemField.ITEM_END + 0x004A
    }

    public enum UnitField
    {
        UNIT_FIELD_CHARM = ObjectField.OBJECT_END + 0x0000, // Size: 2, Type: LONG, Flags: PUBLIC
        UNIT_FIELD_SUMMON = ObjectField.OBJECT_END + 0x0002, // Size: 2, Type: LONG, Flags: PUBLIC
        UNIT_FIELD_CRITTER = ObjectField.OBJECT_END + 0x0004, // Size: 2, Type: LONG, Flags: PRIVATE
        UNIT_FIELD_CHARMEDBY = ObjectField.OBJECT_END + 0x0006, // Size: 2, Type: LONG, Flags: PUBLIC
        UNIT_FIELD_SUMMONEDBY = ObjectField.OBJECT_END + 0x0008, // Size: 2, Type: LONG, Flags: PUBLIC
        UNIT_FIELD_CREATEDBY = ObjectField.OBJECT_END + 0x000A, // Size: 2, Type: LONG, Flags: PUBLIC
        UNIT_FIELD_TARGET = ObjectField.OBJECT_END + 0x000C, // Size: 2, Type: LONG, Flags: PUBLIC
        UNIT_FIELD_CHANNEL_OBJECT = ObjectField.OBJECT_END + 0x000E, // Size: 2, Type: LONG, Flags: PUBLIC
        UNIT_FIELD_BYTES_0 = ObjectField.OBJECT_END + 0x0010, // Size: 1, Type: BYTES, Flags: PUBLIC
        UNIT_FIELD_HEALTH = ObjectField.OBJECT_END + 0x0011, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_POWER1 = ObjectField.OBJECT_END + 0x0012, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_POWER2 = ObjectField.OBJECT_END + 0x0013, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_POWER3 = ObjectField.OBJECT_END + 0x0014, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_POWER4 = ObjectField.OBJECT_END + 0x0015, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_POWER5 = ObjectField.OBJECT_END + 0x0016, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_POWER6 = ObjectField.OBJECT_END + 0x0017, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_POWER7 = ObjectField.OBJECT_END + 0x0018, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_MAXHEALTH = ObjectField.OBJECT_END + 0x0019, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_MAXPOWER1 = ObjectField.OBJECT_END + 0x001A, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_MAXPOWER2 = ObjectField.OBJECT_END + 0x001B, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_MAXPOWER3 = ObjectField.OBJECT_END + 0x001C, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_MAXPOWER4 = ObjectField.OBJECT_END + 0x001D, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_MAXPOWER5 = ObjectField.OBJECT_END + 0x001E, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_MAXPOWER6 = ObjectField.OBJECT_END + 0x001F, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_MAXPOWER7 = ObjectField.OBJECT_END + 0x0020, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_POWER_REGEN_FLAT_MODIFIER = ObjectField.OBJECT_END + 0x0021, // Size: 7, Type: FLOAT, Flags: PRIVATE, OWNER
        UNIT_FIELD_POWER_REGEN_INTERRUPTED_FLAT_MODIFIER = ObjectField.OBJECT_END + 0x0028, // Size: 7, Type: FLOAT, Flags: PRIVATE, OWNER
        UNIT_FIELD_LEVEL = ObjectField.OBJECT_END + 0x002F, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_FACTIONTEMPLATE = ObjectField.OBJECT_END + 0x0030, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_VIRTUAL_ITEM_SLOT_ID = ObjectField.OBJECT_END + 0x0031, // Size: 3, Type: INT, Flags: PUBLIC
        UNIT_FIELD_FLAGS = ObjectField.OBJECT_END + 0x0034, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_FLAGS_2 = ObjectField.OBJECT_END + 0x0035, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_AURASTATE = ObjectField.OBJECT_END + 0x0036, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_BASEATTACKTIME = ObjectField.OBJECT_END + 0x0037, // Size: 2, Type: INT, Flags: PUBLIC
        UNIT_FIELD_RANGEDATTACKTIME = ObjectField.OBJECT_END + 0x0039, // Size: 1, Type: INT, Flags: PRIVATE
        UNIT_FIELD_BOUNDINGRADIUS = ObjectField.OBJECT_END + 0x003A, // Size: 1, Type: FLOAT, Flags: PUBLIC
        UNIT_FIELD_COMBATREACH = ObjectField.OBJECT_END + 0x003B, // Size: 1, Type: FLOAT, Flags: PUBLIC
        UNIT_FIELD_DISPLAYID = ObjectField.OBJECT_END + 0x003C, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_NATIVEDISPLAYID = ObjectField.OBJECT_END + 0x003D, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_MOUNTDISPLAYID = ObjectField.OBJECT_END + 0x003E, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_MINDAMAGE = ObjectField.OBJECT_END + 0x003F, // Size: 1, Type: FLOAT, Flags: PRIVATE, OWNER, PARTY_LEADER
        UNIT_FIELD_MAXDAMAGE = ObjectField.OBJECT_END + 0x0040, // Size: 1, Type: FLOAT, Flags: PRIVATE, OWNER, PARTY_LEADER
        UNIT_FIELD_MINOFFHANDDAMAGE = ObjectField.OBJECT_END + 0x0041, // Size: 1, Type: FLOAT, Flags: PRIVATE, OWNER, PARTY_LEADER
        UNIT_FIELD_MAXOFFHANDDAMAGE = ObjectField.OBJECT_END + 0x0042, // Size: 1, Type: FLOAT, Flags: PRIVATE, OWNER, PARTY_LEADER
        UNIT_FIELD_BYTES_1 = ObjectField.OBJECT_END + 0x0043, // Size: 1, Type: BYTES, Flags: PUBLIC
        UNIT_FIELD_PETNUMBER = ObjectField.OBJECT_END + 0x0044, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_PET_NAME_TIMESTAMP = ObjectField.OBJECT_END + 0x0045, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_PETEXPERIENCE = ObjectField.OBJECT_END + 0x0046, // Size: 1, Type: INT, Flags: OWNER
        UNIT_FIELD_PETNEXTLEVELEXP = ObjectField.OBJECT_END + 0x0047, // Size: 1, Type: INT, Flags: OWNER
        UNIT_DYNAMIC_FLAGS = ObjectField.OBJECT_END + 0x0048, // Size: 1, Type: INT, Flags: DYNAMIC
        UNIT_CHANNEL_SPELL = ObjectField.OBJECT_END + 0x0049, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_MOD_CAST_SPEED = ObjectField.OBJECT_END + 0x004A, // Size: 1, Type: FLOAT, Flags: PUBLIC
        UNIT_CREATED_BY_SPELL = ObjectField.OBJECT_END + 0x004B, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_NPC_FLAGS = ObjectField.OBJECT_END + 0x004C, // Size: 1, Type: INT, Flags: DYNAMIC
        UNIT_NPC_EMOTESTATE = ObjectField.OBJECT_END + 0x004D, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_STAT0 = ObjectField.OBJECT_END + 0x004E, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_STAT1 = ObjectField.OBJECT_END + 0x004F, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_STAT2 = ObjectField.OBJECT_END + 0x0050, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_STAT3 = ObjectField.OBJECT_END + 0x0051, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_STAT4 = ObjectField.OBJECT_END + 0x0052, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_POSSTAT0 = ObjectField.OBJECT_END + 0x0053, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_POSSTAT1 = ObjectField.OBJECT_END + 0x0054, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_POSSTAT2 = ObjectField.OBJECT_END + 0x0055, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_POSSTAT3 = ObjectField.OBJECT_END + 0x0056, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_POSSTAT4 = ObjectField.OBJECT_END + 0x0057, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_NEGSTAT0 = ObjectField.OBJECT_END + 0x0058, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_NEGSTAT1 = ObjectField.OBJECT_END + 0x0059, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_NEGSTAT2 = ObjectField.OBJECT_END + 0x005A, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_NEGSTAT3 = ObjectField.OBJECT_END + 0x005B, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_NEGSTAT4 = ObjectField.OBJECT_END + 0x005C, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_RESISTANCES = ObjectField.OBJECT_END + 0x005D, // Size: 7, Type: INT, Flags: PRIVATE, OWNER, PARTY_LEADER
        UNIT_FIELD_RESISTANCEBUFFMODSPOSITIVE = ObjectField.OBJECT_END + 0x0064, // Size: 7, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_RESISTANCEBUFFMODSNEGATIVE = ObjectField.OBJECT_END + 0x006B, // Size: 7, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_BASE_MANA = ObjectField.OBJECT_END + 0x0072, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_BASE_HEALTH = ObjectField.OBJECT_END + 0x0073, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_BYTES_2 = ObjectField.OBJECT_END + 0x0074, // Size: 1, Type: BYTES, Flags: PUBLIC
        UNIT_FIELD_ATTACK_POWER = ObjectField.OBJECT_END + 0x0075, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_ATTACK_POWER_MODS = ObjectField.OBJECT_END + 0x0076, // Size: 1, Type: TWO_SHORT, Flags: PRIVATE, OWNER
        UNIT_FIELD_ATTACK_POWER_MULTIPLIER = ObjectField.OBJECT_END + 0x0077, // Size: 1, Type: FLOAT, Flags: PRIVATE, OWNER
        UNIT_FIELD_RANGED_ATTACK_POWER = ObjectField.OBJECT_END + 0x0078, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_RANGED_ATTACK_POWER_MODS = ObjectField.OBJECT_END + 0x0079, // Size: 1, Type: TWO_SHORT, Flags: PRIVATE, OWNER
        UNIT_FIELD_RANGED_ATTACK_POWER_MULTIPLIER = ObjectField.OBJECT_END + 0x007A, // Size: 1, Type: FLOAT, Flags: PRIVATE, OWNER
        UNIT_FIELD_MINRANGEDDAMAGE = ObjectField.OBJECT_END + 0x007B, // Size: 1, Type: FLOAT, Flags: PRIVATE, OWNER
        UNIT_FIELD_MAXRANGEDDAMAGE = ObjectField.OBJECT_END + 0x007C, // Size: 1, Type: FLOAT, Flags: PRIVATE, OWNER
        UNIT_FIELD_POWER_COST_MODIFIER = ObjectField.OBJECT_END + 0x007D, // Size: 7, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_POWER_COST_MULTIPLIER = ObjectField.OBJECT_END + 0x0084, // Size: 7, Type: FLOAT, Flags: PRIVATE, OWNER
        UNIT_FIELD_MAXHEALTHMODIFIER = ObjectField.OBJECT_END + 0x008B, // Size: 1, Type: FLOAT, Flags: PRIVATE, OWNER
        UNIT_FIELD_HOVERHEIGHT = ObjectField.OBJECT_END + 0x008C, // Size: 1, Type: FLOAT, Flags: PUBLIC
        UNIT_FIELD_PADDING = ObjectField.OBJECT_END + 0x008D, // Size: 1, Type: INT, Flags: NONE
        UNIT_END = ObjectField.OBJECT_END + 0x008E
    }

    public enum PlayerField
    {
        PLAYER_DUEL_ARBITER = UnitField.UNIT_END + 0x0000, // Size: 2, Type: LONG, Flags: PUBLIC
        PLAYER_FLAGS = UnitField.UNIT_END + 0x0002, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_GUILDID = UnitField.UNIT_END + 0x0003, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_GUILDRANK = UnitField.UNIT_END + 0x0004, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_BYTES = UnitField.UNIT_END + 0x0005, // Size: 1, Type: BYTES, Flags: PUBLIC
        PLAYER_BYTES_2 = UnitField.UNIT_END + 0x0006, // Size: 1, Type: BYTES, Flags: PUBLIC
        PLAYER_BYTES_3 = UnitField.UNIT_END + 0x0007, // Size: 1, Type: BYTES, Flags: PUBLIC
        PLAYER_DUEL_TEAM = UnitField.UNIT_END + 0x0008, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_GUILD_TIMESTAMP = UnitField.UNIT_END + 0x0009, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_QUEST_LOG_1_1 = UnitField.UNIT_END + 0x000A, // Size: 1, Type: INT, Flags: PARTY_MEMBER
        PLAYER_QUEST_LOG_1_2 = UnitField.UNIT_END + 0x000B, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_1_3 = UnitField.UNIT_END + 0x000C, // Size: 2, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_QUEST_LOG_1_5 = UnitField.UNIT_END + 0x000E, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_2_1 = UnitField.UNIT_END + 0x000F, // Size: 1, Type: INT, Flags: PARTY_MEMBER
        PLAYER_QUEST_LOG_2_2 = UnitField.UNIT_END + 0x0010, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_2_3 = UnitField.UNIT_END + 0x0011, // Size: 2, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_QUEST_LOG_2_5 = UnitField.UNIT_END + 0x0013, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_3_1 = UnitField.UNIT_END + 0x0014, // Size: 1, Type: INT, Flags: PARTY_MEMBER
        PLAYER_QUEST_LOG_3_2 = UnitField.UNIT_END + 0x0015, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_3_3 = UnitField.UNIT_END + 0x0016, // Size: 2, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_QUEST_LOG_3_5 = UnitField.UNIT_END + 0x0018, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_4_1 = UnitField.UNIT_END + 0x0019, // Size: 1, Type: INT, Flags: PARTY_MEMBER
        PLAYER_QUEST_LOG_4_2 = UnitField.UNIT_END + 0x001A, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_4_3 = UnitField.UNIT_END + 0x001B, // Size: 2, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_QUEST_LOG_4_5 = UnitField.UNIT_END + 0x001D, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_5_1 = UnitField.UNIT_END + 0x001E, // Size: 1, Type: INT, Flags: PARTY_MEMBER
        PLAYER_QUEST_LOG_5_2 = UnitField.UNIT_END + 0x001F, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_5_3 = UnitField.UNIT_END + 0x0020, // Size: 2, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_QUEST_LOG_5_5 = UnitField.UNIT_END + 0x0022, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_6_1 = UnitField.UNIT_END + 0x0023, // Size: 1, Type: INT, Flags: PARTY_MEMBER
        PLAYER_QUEST_LOG_6_2 = UnitField.UNIT_END + 0x0024, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_6_3 = UnitField.UNIT_END + 0x0025, // Size: 2, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_QUEST_LOG_6_5 = UnitField.UNIT_END + 0x0027, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_7_1 = UnitField.UNIT_END + 0x0028, // Size: 1, Type: INT, Flags: PARTY_MEMBER
        PLAYER_QUEST_LOG_7_2 = UnitField.UNIT_END + 0x0029, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_7_3 = UnitField.UNIT_END + 0x002A, // Size: 2, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_QUEST_LOG_7_5 = UnitField.UNIT_END + 0x002C, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_8_1 = UnitField.UNIT_END + 0x002D, // Size: 1, Type: INT, Flags: PARTY_MEMBER
        PLAYER_QUEST_LOG_8_2 = UnitField.UNIT_END + 0x002E, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_8_3 = UnitField.UNIT_END + 0x002F, // Size: 2, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_QUEST_LOG_8_5 = UnitField.UNIT_END + 0x0031, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_9_1 = UnitField.UNIT_END + 0x0032, // Size: 1, Type: INT, Flags: PARTY_MEMBER
        PLAYER_QUEST_LOG_9_2 = UnitField.UNIT_END + 0x0033, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_9_3 = UnitField.UNIT_END + 0x0034, // Size: 2, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_QUEST_LOG_9_5 = UnitField.UNIT_END + 0x0036, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_10_1 = UnitField.UNIT_END + 0x0037, // Size: 1, Type: INT, Flags: PARTY_MEMBER
        PLAYER_QUEST_LOG_10_2 = UnitField.UNIT_END + 0x0038, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_10_3 = UnitField.UNIT_END + 0x0039, // Size: 2, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_QUEST_LOG_10_5 = UnitField.UNIT_END + 0x003B, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_11_1 = UnitField.UNIT_END + 0x003C, // Size: 1, Type: INT, Flags: PARTY_MEMBER
        PLAYER_QUEST_LOG_11_2 = UnitField.UNIT_END + 0x003D, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_11_3 = UnitField.UNIT_END + 0x003E, // Size: 2, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_QUEST_LOG_11_5 = UnitField.UNIT_END + 0x0040, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_12_1 = UnitField.UNIT_END + 0x0041, // Size: 1, Type: INT, Flags: PARTY_MEMBER
        PLAYER_QUEST_LOG_12_2 = UnitField.UNIT_END + 0x0042, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_12_3 = UnitField.UNIT_END + 0x0043, // Size: 2, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_QUEST_LOG_12_5 = UnitField.UNIT_END + 0x0045, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_13_1 = UnitField.UNIT_END + 0x0046, // Size: 1, Type: INT, Flags: PARTY_MEMBER
        PLAYER_QUEST_LOG_13_2 = UnitField.UNIT_END + 0x0047, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_13_3 = UnitField.UNIT_END + 0x0048, // Size: 2, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_QUEST_LOG_13_5 = UnitField.UNIT_END + 0x004A, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_14_1 = UnitField.UNIT_END + 0x004B, // Size: 1, Type: INT, Flags: PARTY_MEMBER
        PLAYER_QUEST_LOG_14_2 = UnitField.UNIT_END + 0x004C, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_14_3 = UnitField.UNIT_END + 0x004D, // Size: 2, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_QUEST_LOG_14_5 = UnitField.UNIT_END + 0x004F, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_15_1 = UnitField.UNIT_END + 0x0050, // Size: 1, Type: INT, Flags: PARTY_MEMBER
        PLAYER_QUEST_LOG_15_2 = UnitField.UNIT_END + 0x0051, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_15_3 = UnitField.UNIT_END + 0x0052, // Size: 2, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_QUEST_LOG_15_5 = UnitField.UNIT_END + 0x0054, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_16_1 = UnitField.UNIT_END + 0x0055, // Size: 1, Type: INT, Flags: PARTY_MEMBER
        PLAYER_QUEST_LOG_16_2 = UnitField.UNIT_END + 0x0056, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_16_3 = UnitField.UNIT_END + 0x0057, // Size: 2, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_QUEST_LOG_16_5 = UnitField.UNIT_END + 0x0059, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_17_1 = UnitField.UNIT_END + 0x005A, // Size: 1, Type: INT, Flags: PARTY_MEMBER
        PLAYER_QUEST_LOG_17_2 = UnitField.UNIT_END + 0x005B, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_17_3 = UnitField.UNIT_END + 0x005C, // Size: 2, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_QUEST_LOG_17_5 = UnitField.UNIT_END + 0x005E, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_18_1 = UnitField.UNIT_END + 0x005F, // Size: 1, Type: INT, Flags: PARTY_MEMBER
        PLAYER_QUEST_LOG_18_2 = UnitField.UNIT_END + 0x0060, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_18_3 = UnitField.UNIT_END + 0x0061, // Size: 2, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_QUEST_LOG_18_5 = UnitField.UNIT_END + 0x0063, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_19_1 = UnitField.UNIT_END + 0x0064, // Size: 1, Type: INT, Flags: PARTY_MEMBER
        PLAYER_QUEST_LOG_19_2 = UnitField.UNIT_END + 0x0065, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_19_3 = UnitField.UNIT_END + 0x0066, // Size: 2, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_QUEST_LOG_19_5 = UnitField.UNIT_END + 0x0068, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_20_1 = UnitField.UNIT_END + 0x0069, // Size: 1, Type: INT, Flags: PARTY_MEMBER
        PLAYER_QUEST_LOG_20_2 = UnitField.UNIT_END + 0x006A, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_20_3 = UnitField.UNIT_END + 0x006B, // Size: 2, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_QUEST_LOG_20_5 = UnitField.UNIT_END + 0x006D, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_21_1 = UnitField.UNIT_END + 0x006E, // Size: 1, Type: INT, Flags: PARTY_MEMBER
        PLAYER_QUEST_LOG_21_2 = UnitField.UNIT_END + 0x006F, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_21_3 = UnitField.UNIT_END + 0x0070, // Size: 2, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_QUEST_LOG_21_5 = UnitField.UNIT_END + 0x0072, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_22_1 = UnitField.UNIT_END + 0x0073, // Size: 1, Type: INT, Flags: PARTY_MEMBER
        PLAYER_QUEST_LOG_22_2 = UnitField.UNIT_END + 0x0074, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_22_3 = UnitField.UNIT_END + 0x0075, // Size: 2, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_QUEST_LOG_22_5 = UnitField.UNIT_END + 0x0077, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_23_1 = UnitField.UNIT_END + 0x0078, // Size: 1, Type: INT, Flags: PARTY_MEMBER
        PLAYER_QUEST_LOG_23_2 = UnitField.UNIT_END + 0x0079, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_23_3 = UnitField.UNIT_END + 0x007A, // Size: 2, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_QUEST_LOG_23_5 = UnitField.UNIT_END + 0x007C, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_24_1 = UnitField.UNIT_END + 0x007D, // Size: 1, Type: INT, Flags: PARTY_MEMBER
        PLAYER_QUEST_LOG_24_2 = UnitField.UNIT_END + 0x007E, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_24_3 = UnitField.UNIT_END + 0x007F, // Size: 2, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_QUEST_LOG_24_5 = UnitField.UNIT_END + 0x0081, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_25_1 = UnitField.UNIT_END + 0x0082, // Size: 1, Type: INT, Flags: PARTY_MEMBER
        PLAYER_QUEST_LOG_25_2 = UnitField.UNIT_END + 0x0083, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_QUEST_LOG_25_3 = UnitField.UNIT_END + 0x0084, // Size: 2, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_QUEST_LOG_25_5 = UnitField.UNIT_END + 0x0086, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_VISIBLE_ITEM_1_ENTRYID = UnitField.UNIT_END + 0x0087, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_1_ENCHANTMENT = UnitField.UNIT_END + 0x0088, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_2_ENTRYID = UnitField.UNIT_END + 0x0089, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_2_ENCHANTMENT = UnitField.UNIT_END + 0x008A, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_3_ENTRYID = UnitField.UNIT_END + 0x008B, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_3_ENCHANTMENT = UnitField.UNIT_END + 0x008C, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_4_ENTRYID = UnitField.UNIT_END + 0x008D, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_4_ENCHANTMENT = UnitField.UNIT_END + 0x008E, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_5_ENTRYID = UnitField.UNIT_END + 0x008F, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_5_ENCHANTMENT = UnitField.UNIT_END + 0x0090, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_6_ENTRYID = UnitField.UNIT_END + 0x0091, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_6_ENCHANTMENT = UnitField.UNIT_END + 0x0092, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_7_ENTRYID = UnitField.UNIT_END + 0x0093, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_7_ENCHANTMENT = UnitField.UNIT_END + 0x0094, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_8_ENTRYID = UnitField.UNIT_END + 0x0095, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_8_ENCHANTMENT = UnitField.UNIT_END + 0x0096, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_9_ENTRYID = UnitField.UNIT_END + 0x0097, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_9_ENCHANTMENT = UnitField.UNIT_END + 0x0098, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_10_ENTRYID = UnitField.UNIT_END + 0x0099, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_10_ENCHANTMENT = UnitField.UNIT_END + 0x009A, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_11_ENTRYID = UnitField.UNIT_END + 0x009B, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_11_ENCHANTMENT = UnitField.UNIT_END + 0x009C, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_12_ENTRYID = UnitField.UNIT_END + 0x009D, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_12_ENCHANTMENT = UnitField.UNIT_END + 0x009E, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_13_ENTRYID = UnitField.UNIT_END + 0x009F, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_13_ENCHANTMENT = UnitField.UNIT_END + 0x00A0, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_14_ENTRYID = UnitField.UNIT_END + 0x00A1, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_14_ENCHANTMENT = UnitField.UNIT_END + 0x00A2, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_15_ENTRYID = UnitField.UNIT_END + 0x00A3, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_15_ENCHANTMENT = UnitField.UNIT_END + 0x00A4, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_16_ENTRYID = UnitField.UNIT_END + 0x00A5, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_16_ENCHANTMENT = UnitField.UNIT_END + 0x00A6, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_17_ENTRYID = UnitField.UNIT_END + 0x00A7, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_17_ENCHANTMENT = UnitField.UNIT_END + 0x00A8, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_18_ENTRYID = UnitField.UNIT_END + 0x00A9, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_18_ENCHANTMENT = UnitField.UNIT_END + 0x00AA, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_19_ENTRYID = UnitField.UNIT_END + 0x00AB, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_19_ENCHANTMENT = UnitField.UNIT_END + 0x00AC, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_CHOSEN_TITLE = UnitField.UNIT_END + 0x00AD, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_FAKE_INEBRIATION = UnitField.UNIT_END + 0x00AE, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_FIELD_PAD_0 = UnitField.UNIT_END + 0x00AF, // Size: 1, Type: INT, Flags: NONE
        PLAYER_FIELD_INV_SLOT_HEAD = UnitField.UNIT_END + 0x00B0, // Size: 46, Type: LONG, Flags: PRIVATE
        PLAYER_FIELD_PACK_SLOT_1 = UnitField.UNIT_END + 0x00DE, // Size: 32, Type: LONG, Flags: PRIVATE
        PLAYER_FIELD_BANK_SLOT_1 = UnitField.UNIT_END + 0x00FE, // Size: 56, Type: LONG, Flags: PRIVATE
        PLAYER_FIELD_BANKBAG_SLOT_1 = UnitField.UNIT_END + 0x0136, // Size: 14, Type: LONG, Flags: PRIVATE
        PLAYER_FIELD_VENDORBUYBACK_SLOT_1 = UnitField.UNIT_END + 0x0144, // Size: 24, Type: LONG, Flags: PRIVATE
        PLAYER_FIELD_KEYRING_SLOT_1 = UnitField.UNIT_END + 0x015C, // Size: 64, Type: LONG, Flags: PRIVATE
        PLAYER_FIELD_CURRENCYTOKEN_SLOT_1 = UnitField.UNIT_END + 0x019C, // Size: 64, Type: LONG, Flags: PRIVATE
        PLAYER_FARSIGHT = UnitField.UNIT_END + 0x01DC, // Size: 2, Type: LONG, Flags: PRIVATE
        PLAYER__FIELD_KNOWN_TITLES = UnitField.UNIT_END + 0x01DE, // Size: 2, Type: LONG, Flags: PRIVATE
        PLAYER__FIELD_KNOWN_TITLES1 = UnitField.UNIT_END + 0x01E0, // Size: 2, Type: LONG, Flags: PRIVATE
        PLAYER__FIELD_KNOWN_TITLES2 = UnitField.UNIT_END + 0x01E2, // Size: 2, Type: LONG, Flags: PRIVATE
        PLAYER_FIELD_KNOWN_CURRENCIES = UnitField.UNIT_END + 0x01E4, // Size: 2, Type: LONG, Flags: PRIVATE
        PLAYER_XP = UnitField.UNIT_END + 0x01E6, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_NEXT_LEVEL_XP = UnitField.UNIT_END + 0x01E7, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_SKILL_INFO_1_1 = UnitField.UNIT_END + 0x01E8, // Size: 384, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_CHARACTER_POINTS1 = UnitField.UNIT_END + 0x0368, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_CHARACTER_POINTS2 = UnitField.UNIT_END + 0x0369, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_TRACK_CREATURES = UnitField.UNIT_END + 0x036A, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_TRACK_RESOURCES = UnitField.UNIT_END + 0x036B, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_BLOCK_PERCENTAGE = UnitField.UNIT_END + 0x036C, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_DODGE_PERCENTAGE = UnitField.UNIT_END + 0x036D, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_PARRY_PERCENTAGE = UnitField.UNIT_END + 0x036E, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_EXPERTISE = UnitField.UNIT_END + 0x036F, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_OFFHAND_EXPERTISE = UnitField.UNIT_END + 0x0370, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_CRIT_PERCENTAGE = UnitField.UNIT_END + 0x0371, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_RANGED_CRIT_PERCENTAGE = UnitField.UNIT_END + 0x0372, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_OFFHAND_CRIT_PERCENTAGE = UnitField.UNIT_END + 0x0373, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_SPELL_CRIT_PERCENTAGE1 = UnitField.UNIT_END + 0x0374, // Size: 7, Type: FLOAT, Flags: PRIVATE
        PLAYER_SHIELD_BLOCK = UnitField.UNIT_END + 0x037B, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_SHIELD_BLOCK_CRIT_PERCENTAGE = UnitField.UNIT_END + 0x037C, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_EXPLORED_ZONES_1 = UnitField.UNIT_END + 0x037D, // Size: 128, Type: BYTES, Flags: PRIVATE
        PLAYER_REST_STATE_EXPERIENCE = UnitField.UNIT_END + 0x03FD, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_COINAGE = UnitField.UNIT_END + 0x03FE, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_MOD_DAMAGE_DONE_POS = UnitField.UNIT_END + 0x03FF, // Size: 7, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_MOD_DAMAGE_DONE_NEG = UnitField.UNIT_END + 0x0406, // Size: 7, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_MOD_DAMAGE_DONE_PCT = UnitField.UNIT_END + 0x040D, // Size: 7, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_MOD_HEALING_DONE_POS = UnitField.UNIT_END + 0x0414, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_MOD_HEALING_PCT = UnitField.UNIT_END + 0x0415, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_FIELD_MOD_HEALING_DONE_PCT = UnitField.UNIT_END + 0x0416, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_FIELD_MOD_TARGET_RESISTANCE = UnitField.UNIT_END + 0x0417, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_MOD_TARGET_PHYSICAL_RESISTANCE = UnitField.UNIT_END + 0x0418, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_BYTES = UnitField.UNIT_END + 0x0419, // Size: 1, Type: BYTES, Flags: PRIVATE
        PLAYER_AMMO_ID = UnitField.UNIT_END + 0x041A, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_SELF_RES_SPELL = UnitField.UNIT_END + 0x041B, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_PVP_MEDALS = UnitField.UNIT_END + 0x041C, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_BUYBACK_PRICE_1 = UnitField.UNIT_END + 0x041D, // Size: 12, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_BUYBACK_TIMESTAMP_1 = UnitField.UNIT_END + 0x0429, // Size: 12, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_KILLS = UnitField.UNIT_END + 0x0435, // Size: 1, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_FIELD_TODAY_CONTRIBUTION = UnitField.UNIT_END + 0x0436, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_YESTERDAY_CONTRIBUTION = UnitField.UNIT_END + 0x0437, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_LIFETIME_HONORABLE_KILLS = UnitField.UNIT_END + 0x0438, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_BYTES2 = UnitField.UNIT_END + 0x0439, // Size: 1, Type: 6, Flags: PRIVATE
        PLAYER_FIELD_WATCHED_FACTION_INDEX = UnitField.UNIT_END + 0x043A, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_COMBAT_RATING_1 = UnitField.UNIT_END + 0x043B, // Size: 25, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_ARENA_TEAM_INFO_1_1 = UnitField.UNIT_END + 0x0454, // Size: 21, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_HONOR_CURRENCY = UnitField.UNIT_END + 0x0469, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_ARENA_CURRENCY = UnitField.UNIT_END + 0x046A, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_MAX_LEVEL = UnitField.UNIT_END + 0x046B, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_DAILY_QUESTS_1 = UnitField.UNIT_END + 0x046C, // Size: 25, Type: INT, Flags: PRIVATE
        PLAYER_RUNE_REGEN_1 = UnitField.UNIT_END + 0x0485, // Size: 4, Type: FLOAT, Flags: PRIVATE
        PLAYER_NO_REAGENT_COST_1 = UnitField.UNIT_END + 0x0489, // Size: 3, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_GLYPH_SLOTS_1 = UnitField.UNIT_END + 0x048C, // Size: 6, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_GLYPHS_1 = UnitField.UNIT_END + 0x0492, // Size: 6, Type: INT, Flags: PRIVATE
        PLAYER_GLYPHS_ENABLED = UnitField.UNIT_END + 0x0498, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_PADDING = UnitField.UNIT_END + 0x0499, // Size: 1, Type: INT, Flags: NONE
        PLAYER_END = UnitField.UNIT_END + 0x049A
    }

    public enum GameObjectField
    {
        GAMEOBJECT_FIELD_CREATED_BY = ObjectField.OBJECT_END + 0x0000, // Size: 2, Type: LONG, Flags: PUBLIC
        GAMEOBJECT_DISPLAYID = ObjectField.OBJECT_END + 0x0002, // Size: 1, Type: INT, Flags: PUBLIC
        GAMEOBJECT_FLAGS = ObjectField.OBJECT_END + 0x0003, // Size: 1, Type: INT, Flags: PUBLIC
        GAMEOBJECT_PARENTROTATION = ObjectField.OBJECT_END + 0x0004, // Size: 4, Type: FLOAT, Flags: PUBLIC
        GAMEOBJECT_DYNAMIC = ObjectField.OBJECT_END + 0x0008, // Size: 1, Type: TWO_SHORT, Flags: DYNAMIC
        GAMEOBJECT_FACTION = ObjectField.OBJECT_END + 0x0009, // Size: 1, Type: INT, Flags: PUBLIC
        GAMEOBJECT_LEVEL = ObjectField.OBJECT_END + 0x000A, // Size: 1, Type: INT, Flags: PUBLIC
        GAMEOBJECT_BYTES_1 = ObjectField.OBJECT_END + 0x000B, // Size: 1, Type: BYTES, Flags: PUBLIC
        GAMEOBJECT_END = ObjectField.OBJECT_END + 0x000C
    }

    public enum DynamicObjectField
    {
        DYNAMICOBJECT_CASTER = ObjectField.OBJECT_END + 0x0000, // Size: 2, Type: LONG, Flags: PUBLIC
        DYNAMICOBJECT_BYTES = ObjectField.OBJECT_END + 0x0002, // Size: 1, Type: BYTES, Flags: PUBLIC
        DYNAMICOBJECT_SPELLID = ObjectField.OBJECT_END + 0x0003, // Size: 1, Type: INT, Flags: PUBLIC
        DYNAMICOBJECT_RADIUS = ObjectField.OBJECT_END + 0x0004, // Size: 1, Type: FLOAT, Flags: PUBLIC
        DYNAMICOBJECT_CASTTIME = ObjectField.OBJECT_END + 0x0005, // Size: 1, Type: INT, Flags: PUBLIC
        DYNAMICOBJECT_END = ObjectField.OBJECT_END + 0x0006
    }

    public enum CorpseField
    {
        CORPSE_FIELD_OWNER = ObjectField.OBJECT_END + 0x0000, // Size: 2, Type: LONG, Flags: PUBLIC
        CORPSE_FIELD_PARTY = ObjectField.OBJECT_END + 0x0002, // Size: 2, Type: LONG, Flags: PUBLIC
        CORPSE_FIELD_DISPLAY_ID = ObjectField.OBJECT_END + 0x0004, // Size: 1, Type: INT, Flags: PUBLIC
        CORPSE_FIELD_ITEM = ObjectField.OBJECT_END + 0x0005, // Size: 19, Type: INT, Flags: PUBLIC
        CORPSE_FIELD_BYTES_1 = ObjectField.OBJECT_END + 0x0018, // Size: 1, Type: BYTES, Flags: PUBLIC
        CORPSE_FIELD_BYTES_2 = ObjectField.OBJECT_END + 0x0019, // Size: 1, Type: BYTES, Flags: PUBLIC
        CORPSE_FIELD_GUILD = ObjectField.OBJECT_END + 0x001A, // Size: 1, Type: INT, Flags: PUBLIC
        CORPSE_FIELD_FLAGS = ObjectField.OBJECT_END + 0x001B, // Size: 1, Type: INT, Flags: PUBLIC
        CORPSE_FIELD_DYNAMIC_FLAGS = ObjectField.OBJECT_END + 0x001C, // Size: 1, Type: INT, Flags: DYNAMIC
        CORPSE_FIELD_PAD = ObjectField.OBJECT_END + 0x001D, // Size: 1, Type: INT, Flags: NONE
        CORPSE_END = ObjectField.OBJECT_END + 0x001E
    }
    // ReSharper restore InconsistentNaming
}
