using WowPacketParser.Misc;

namespace WowPacketParser.Enums.Version.V3_3_5a_12340
{
    public static class Opcodes_3_3_5
    {
        public static BiDictionary<Opcode, int> Opcodes(Direction direction)
        {
            switch (direction)
            {
                case Direction.ClientToServer:
                case Direction.BNClientToServer:
                    return ClientOpcodes;
                case Direction.ServerToClient:
                case Direction.BNServerToClient:
                    return ServerOpcodes;
                default:
                    return MiscOpcodes;
            }
        }

        private static readonly BiDictionary<Opcode, int> ClientOpcodes = new BiDictionary<Opcode, int>
        {
            {Opcode.CMSG_BOOTME, 0x1},
            {Opcode.CMSG_DBLOOKUP, 0x2},
            {Opcode.CMSG_QUERY_OBJECT_POSITION, 0x4},
            {Opcode.CMSG_QUERY_OBJECT_ROTATION, 0x6},
            {Opcode.CMSG_WORLD_TELEPORT, 0x8},
            {Opcode.CMSG_TELEPORT_TO_UNIT, 0x9},
            {Opcode.CMSG_ZONE_MAP, 0xA},
            {Opcode.CMSG_DEBUG_CHANGECELLZONE, 0xC},
            {Opcode.CMSG_MOVE_CHARACTER_CHEAT, 0xD},
            {Opcode.CMSG_RECHARGE, 0xF},
            {Opcode.CMSG_LEARN_SPELL, 0x10},
            {Opcode.CMSG_CREATEMONSTER, 0x11},
            {Opcode.CMSG_DESTROYMONSTER, 0x12},
            {Opcode.CMSG_CREATEITEM, 0x13},
            {Opcode.CMSG_CREATEGAMEOBJECT, 0x14},
            {Opcode.CMSG_MAKEMONSTERATTACKGUID, 0x16},
            {Opcode.CMSG_BOT_DETECTED2, 0x17},
            {Opcode.CMSG_FORCEACTION, 0x18},
            {Opcode.CMSG_FORCEACTIONONOTHER, 0x19},
            {Opcode.CMSG_FORCEACTIONSHOW, 0x1A},
            {Opcode.CMSG_PETGODMODE, 0x1C},
            {Opcode.CMSG_WEATHER_SPEED_CHEAT, 0x1F},
            {Opcode.CMSG_UNDRESSPLAYER, 0x20},
            {Opcode.CMSG_BEASTMASTER, 0x21},
            {Opcode.CMSG_GODMODE, 0x22},
            {Opcode.CMSG_CHEAT_SETMONEY, 0x24},
            {Opcode.CMSG_LEVEL_CHEAT, 0x25},
            {Opcode.CMSG_PET_LEVEL_CHEAT, 0x26},
            {Opcode.CMSG_SET_WORLDSTATE, 0x27},
            {Opcode.CMSG_COOLDOWN_CHEAT, 0x28},
            {Opcode.CMSG_USE_SKILL_CHEAT, 0x29},
            {Opcode.CMSG_FLAG_QUEST, 0x2A},
            {Opcode.CMSG_FLAG_QUEST_FINISH, 0x2B},
            {Opcode.CMSG_CLEAR_QUEST, 0x2C},
            {Opcode.CMSG_SEND_EVENT, 0x2D},
            {Opcode.CMSG_DEBUG_AISTATE, 0x2E},
            {Opcode.CMSG_DISABLE_PVP_CHEAT, 0x30},
            {Opcode.CMSG_ADVANCE_SPAWN_TIME, 0x31},
            {Opcode.CMSG_AUTH_SRP6_BEGIN, 0x33},
            {Opcode.CMSG_AUTH_SRP6_PROOF, 0x34},
            {Opcode.CMSG_AUTH_SRP6_RECODE, 0x35},
            {Opcode.CMSG_CREATE_CHARACTER, 0x36},
            {Opcode.CMSG_ENUM_CHARACTERS, 0x37},
            {Opcode.CMSG_CHAR_DELETE, 0x38},
            {Opcode.CMSG_PLAYER_LOGIN, 0x3D},
            {Opcode.CMSG_GAMETIME_SET, 0x44},
            {Opcode.CMSG_GAMESPEED_SET, 0x46},
            {Opcode.CMSG_SERVERTIME, 0x48},
            {Opcode.CMSG_PLAYER_LOGOUT, 0x4A},
            {Opcode.CMSG_LOGOUT_REQUEST, 0x4B},
            {Opcode.CMSG_LOGOUT_CANCEL, 0x4E},
            {Opcode.CMSG_NAME_QUERY, 0x50},
            {Opcode.CMSG_QUERY_PET_NAME, 0x52},
            {Opcode.CMSG_QUERY_GUILD_INFO, 0x54},
            {Opcode.CMSG_ITEM_QUERY_SINGLE, 0x56},
            {Opcode.CMSG_ITEM_QUERY_MULTIPLE, 0x57},
            {Opcode.CMSG_QUERY_PAGE_TEXT, 0x5A},
            {Opcode.CMSG_QUERY_QUEST_INFO, 0x5C},
            {Opcode.CMSG_QUERY_GAME_OBJECT, 0x5E},
            {Opcode.CMSG_QUERY_CREATURE, 0x60},
            {Opcode.CMSG_WHO, 0x62},
            {Opcode.CMSG_WHO_IS, 0x64},
            {Opcode.CMSG_CONTACT_LIST, 0x66},
            {Opcode.CMSG_ADD_FRIEND, 0x69},
            {Opcode.CMSG_DEL_FRIEND, 0x6A},
            {Opcode.CMSG_SET_CONTACT_NOTES, 0x6B},
            {Opcode.CMSG_ADD_IGNORE, 0x6C},
            {Opcode.CMSG_DEL_IGNORE, 0x6D},
            {Opcode.CMSG_GROUP_INVITE, 0x6E},
            {Opcode.CMSG_GROUP_CANCEL, 0x70},
            {Opcode.CMSG_GROUP_ACCEPT, 0x72},
            {Opcode.CMSG_GROUP_DECLINE, 0x73},
            {Opcode.CMSG_GROUP_UNINVITE, 0x75},
            {Opcode.CMSG_GROUP_UNINVITE_GUID, 0x76},
            {Opcode.CMSG_GROUP_SET_LEADER, 0x78},
            {Opcode.CMSG_SET_LOOT_METHOD, 0x7A},
            {Opcode.CMSG_GROUP_DISBAND, 0x7B},
            {Opcode.CMSG_GUILD_CREATE, 0x81},
            {Opcode.CMSG_GUILD_INVITE, 0x82},
            {Opcode.CMSG_GUILD_ACCEPT, 0x84},
            {Opcode.CMSG_GUILD_DECLINE_INVITATION, 0x85},
            {Opcode.CMSG_GUILD_INFO, 0x87},
            {Opcode.CMSG_GUILD_GET_ROSTER, 0x89},
            {Opcode.CMSG_GUILD_PROMOTE_MEMBER, 0x8B},
            {Opcode.CMSG_GUILD_DEMOTE_MEMBER, 0x8C},
            {Opcode.CMSG_GUILD_LEAVE, 0x8D},
            {Opcode.CMSG_GUILD_OFFICER_REMOVE_MEMBER, 0x8E},
            {Opcode.CMSG_GUILD_DISBAND, 0x8F},
            {Opcode.CMSG_GUILD_LEADER, 0x90},
            {Opcode.CMSG_GUILD_MOTD, 0x91},
            {Opcode.CMSG_MESSAGECHAT, 0x95},
            {Opcode.CMSG_CHAT_JOIN_CHANNEL, 0x97},
            {Opcode.CMSG_CHAT_LEAVE_CHANNEL, 0x98},
            {Opcode.CMSG_CHAT_CHANNEL_LIST, 0x9A},
            {Opcode.CMSG_CHAT_CHANNEL_PASSWORD, 0x9C},
            {Opcode.CMSG_CHAT_CHANNEL_SET_OWNER, 0x9D},
            {Opcode.CMSG_CHAT_CHANNEL_OWNER, 0x9E},
            {Opcode.CMSG_CHAT_CHANNEL_MODERATOR, 0x9F},
            {Opcode.CMSG_CHAT_CHANNEL_UNMODERATOR, 0xA0},
            {Opcode.CMSG_CHAT_CHANNEL_MUTE, 0xA1},
            {Opcode.CMSG_CHAT_CHANNEL_UNMUTE, 0xA2},
            {Opcode.CMSG_CHAT_CHANNEL_INVITE, 0xA3},
            {Opcode.CMSG_CHAT_CHANNEL_KICK, 0xA4},
            {Opcode.CMSG_CHAT_CHANNEL_BAN, 0xA5},
            {Opcode.CMSG_CHAT_CHANNEL_UNBAN, 0xA6},
            {Opcode.CMSG_CHAT_CHANNEL_ANNOUNCEMENTS, 0xA7},
            {Opcode.CMSG_CHAT_CHANNEL_MODERATE, 0xA8},
            {Opcode.CMSG_USE_ITEM, 0xAB},
            {Opcode.CMSG_OPEN_ITEM, 0xAC},
            {Opcode.CMSG_READ_ITEM, 0xAD},
            {Opcode.CMSG_GAME_OBJ_USE, 0xB1},
            {Opcode.CMSG_DESTROY_ITEMS, 0xB2},
            {Opcode.CMSG_AREA_TRIGGER, 0xB4},
            {Opcode.CMSG_MOVE_CHARM_PORT_CHEAT, 0xE0},
            {Opcode.CMSG_MOVE_SET_RAW_POSITION, 0xE1},
            {Opcode.CMSG_FORCE_RUN_SPEED_CHANGE_ACK, 0xE3},
            {Opcode.CMSG_FORCE_RUN_BACK_SPEED_CHANGE_ACK, 0xE5},
            {Opcode.CMSG_FORCE_SWIM_SPEED_CHANGE_ACK, 0xE7},
            {Opcode.CMSG_FORCE_MOVE_ROOT_ACK, 0xE9},
            {Opcode.CMSG_FORCE_MOVE_UNROOT_ACK, 0xEB},
            {Opcode.CMSG_MOVE_KNOCK_BACK_ACK, 0xF0},
            {Opcode.CMSG_MOVE_HOVER_ACK, 0xF6},
            {Opcode.CMSG_TRIGGER_CINEMATIC_CHEAT, 0xF8},
            {Opcode.CMSG_OPENING_CINEMATIC, 0xF9},
            {Opcode.CMSG_NEXT_CINEMATIC_CAMERA, 0xFB},
            {Opcode.CMSG_COMPLETE_CINEMATIC, 0xFC},
            {Opcode.CMSG_TUTORIAL_FLAG, 0xFE},
            {Opcode.CMSG_TUTORIAL_CLEAR, 0xFF},
            {Opcode.CMSG_TUTORIAL_RESET, 0x100},
            {Opcode.CMSG_STAND_STATE_CHANGE, 0x101},
            {Opcode.CMSG_EMOTE, 0x102},
            {Opcode.CMSG_SEND_TEXT_EMOTE, 0x104},
            {Opcode.CMSG_AUTO_EQUIP_GROUND_ITEM, 0x106},
            {Opcode.CMSG_AUTOSTORE_GROUND_ITEM, 0x107},
            {Opcode.CMSG_AUTOSTORE_LOOT_ITEM, 0x108},
            {Opcode.CMSG_STORE_LOOT_IN_SLOT, 0x109},
            {Opcode.CMSG_AUTO_EQUIP_ITEM, 0x10A},
            {Opcode.CMSG_AUTO_STORE_BAG_ITEM, 0x10B},
            {Opcode.CMSG_SWAP_ITEM, 0x10C},
            {Opcode.CMSG_SWAP_INV_ITEM, 0x10D},
            {Opcode.CMSG_SPLIT_ITEM, 0x10E},
            {Opcode.CMSG_AUTO_EQUIP_ITEM_SLOT, 0x10F},
            {Opcode.CMSG_UNCLAIM_LICENSE, 0x110},
            {Opcode.CMSG_DESTROY_ITEM, 0x111},
            {Opcode.CMSG_INSPECT, 0x114},
            {Opcode.CMSG_INITIATE_TRADE, 0x116},
            {Opcode.CMSG_BEGIN_TRADE, 0x117},
            {Opcode.CMSG_BUSY_TRADE, 0x118},
            {Opcode.CMSG_IGNORE_TRADE, 0x119},
            {Opcode.CMSG_ACCEPT_TRADE, 0x11A},
            {Opcode.CMSG_UNACCEPT_TRADE, 0x11B},
            {Opcode.CMSG_CANCEL_TRADE, 0x11C},
            {Opcode.CMSG_SET_TRADE_ITEM, 0x11D},
            {Opcode.CMSG_CLEAR_TRADE_ITEM, 0x11E},
            {Opcode.CMSG_SET_TRADE_GOLD, 0x11F},
            {Opcode.CMSG_SET_FACTION_AT_WAR, 0x125},
            {Opcode.CMSG_SET_FACTION_CHEAT, 0x126},
            {Opcode.CMSG_SET_ACTION_BUTTON, 0x128},
            {Opcode.CMSG_NEW_SPELL_SLOT, 0x12D},
            {Opcode.CMSG_CAST_SPELL, 0x12E},
            {Opcode.CMSG_CANCEL_CAST, 0x12F},
            {Opcode.CMSG_CANCEL_AURA, 0x136},
            {Opcode.CMSG_CANCEL_CHANNELLING, 0x13B},
            {Opcode.CMSG_SET_SELECTION, 0x13D},
            {Opcode.CMSG_EQUIPMENT_SET_DELETE, 0x13E},
            {Opcode.CMSG_INSTANCE_LOCK_RESPONSE, 0x13F},
            {Opcode.CMSG_DEBUG_PASSIVE_AURA, 0x140},
            {Opcode.CMSG_ATTACK_SWING, 0x141},
            {Opcode.CMSG_ATTACK_STOP, 0x142},
            {Opcode.CMSG_PERFORM_ACTION_SET, 0x14C},
            {Opcode.CMSG_SAVE_PLAYER, 0x153},
            {Opcode.CMSG_SETDEATHBINDPOINT, 0x154},
            {Opcode.CMSG_GETDEATHBINDZONE, 0x156},
            {Opcode.CMSG_REPOP_REQUEST, 0x15A},
            {Opcode.CMSG_RESURRECT_RESPONSE, 0x15C},
            {Opcode.CMSG_LOOT_UNIT, 0x15D},
            {Opcode.CMSG_LOOT_MONEY, 0x15E},
            {Opcode.CMSG_LOOT_RELEASE, 0x15F},
            {Opcode.CMSG_DUEL_ACCEPTED, 0x16C},
            {Opcode.CMSG_DUEL_CANCELLED, 0x16D},
            {Opcode.CMSG_MOUNT_SPECIAL_ANIM, 0x171},
            {Opcode.CMSG_PET_SET_ACTION, 0x174},
            {Opcode.CMSG_PET_ACTION, 0x175},
            {Opcode.CMSG_PET_ABANDON, 0x176},
            {Opcode.CMSG_PET_RENAME, 0x177},
            {Opcode.CMSG_GOSSIP_HELLO, 0x17B},
            {Opcode.CMSG_GOSSIP_SELECT_OPTION, 0x17C},
            {Opcode.CMSG_QUERY_NPC_TEXT, 0x17F},
            {Opcode.CMSG_QUEST_GIVER_STATUS_QUERY, 0x182},
            {Opcode.CMSG_QUEST_GIVER_HELLO, 0x184},
            {Opcode.CMSG_QUEST_GIVER_QUERY_QUEST, 0x186},
            {Opcode.CMSG_QUEST_GIVER_QUEST_AUTOLAUNCH, 0x187},
            {Opcode.CMSG_QUEST_GIVER_ACCEPT_QUEST, 0x189},
            {Opcode.CMSG_QUEST_GIVER_COMPLETE_QUEST, 0x18A},
            {Opcode.CMSG_QUEST_GIVER_REQUEST_REWARD, 0x18C},
            {Opcode.CMSG_QUEST_GIVER_CHOOSE_REWARD, 0x18E},
            {Opcode.CMSG_QUEST_GIVER_CANCEL, 0x190},
            {Opcode.CMSG_QUEST_LOG_SWAP_QUEST, 0x193},
            {Opcode.CMSG_QUEST_LOG_REMOVE_QUEST, 0x194},
            {Opcode.CMSG_QUEST_CONFIRM_ACCEPT, 0x19B},
            {Opcode.CMSG_PUSH_QUEST_TO_PARTY, 0x19D},
            {Opcode.CMSG_LIST_INVENTORY, 0x19E},
            {Opcode.CMSG_SELL_ITEM, 0x1A0},
            {Opcode.CMSG_BUY_ITEM, 0x1A2},
            {Opcode.CMSG_BUY_ITEM_IN_SLOT, 0x1A3},
            {Opcode.CMSG_TAXICLEARALLNODES, 0x1A6},
            {Opcode.CMSG_TAXIENABLEALLNODES, 0x1A7},
            {Opcode.CMSG_TAXISHOWNODES, 0x1A8},
            {Opcode.CMSG_TAXI_NODE_STATUS_QUERY, 0x1AA},
            {Opcode.CMSG_TAXI_QUERY_AVAILABLE_NODES, 0x1AC},
            {Opcode.CMSG_ACTIVATE_TAXI, 0x1AD},
            {Opcode.CMSG_TRAINER_LIST, 0x1B0},
            {Opcode.CMSG_TRAINER_BUY_SPELL, 0x1B2},
            {Opcode.CMSG_BINDER_ACTIVATE, 0x1B5},
            {Opcode.CMSG_BANKER_ACTIVATE, 0x1B7},
            {Opcode.CMSG_BUY_BANK_SLOT, 0x1B9},
            {Opcode.CMSG_PETITION_SHOW_LIST, 0x1BB},
            {Opcode.CMSG_PETITION_BUY, 0x1BD},
            {Opcode.CMSG_PETITION_SHOW_SIGNATURES, 0x1BE},
            {Opcode.CMSG_PETITION_SIGN, 0x1C0},
            {Opcode.CMSG_OFFER_PETITION, 0x1C3},
            {Opcode.CMSG_TURN_IN_PETITION, 0x1C4},
            {Opcode.CMSG_PETITION_QUERY, 0x1C6},
            {Opcode.CMSG_BUG, 0x1CA},
            {Opcode.CMSG_REQUEST_PLAYED_TIME, 0x1CC},
            {Opcode.CMSG_QUERY_TIME, 0x1CE},
            {Opcode.CMSG_RECLAIM_CORPSE, 0x1D2},
            {Opcode.CMSG_WRAP_ITEM, 0x1D3},
            {Opcode.CMSG_SET_SKILL_CHEAT, 0x1D8},
            {Opcode.CMSG_PING, 0x1DC},
            {Opcode.CMSG_SET_SHEATHED, 0x1E0},
            {Opcode.CMSG_QUEST_POI_QUERY, 0x1E3},
            {Opcode.CMSG_GHOST, 0x1E5},
            {Opcode.CMSG_GM_INVIS, 0x1E6},
            {Opcode.CMSG_AUTH_SESSION, 0x1ED},
            {Opcode.CMSG_PET_CAST_SPELL, 0x1F0},
            {Opcode.CMSG_ZONEUPDATE, 0x1F4},
            {Opcode.CMSG_GM_SET_SECURITY_GROUP, 0x1F9},
            {Opcode.CMSG_GM_NUKE, 0x1FA},
            {Opcode.CMSG_CHANGEPLAYER_DIFFICULTY, 0x1FD},
            {Opcode.CMSG_UNLEARN_SPELL, 0x201},
            {Opcode.CMSG_UNLEARN_SKILL, 0x202},
            {Opcode.CMSG_DECHARGE, 0x204},
            {Opcode.CMSG_GM_TICKET_CREATE, 0x205},
            {Opcode.CMSG_GM_TICKET_UPDATE_TEXT, 0x207},
            {Opcode.CMSG_REQUEST_ACCOUNT_DATA, 0x20A},
            {Opcode.CMSG_UPDATE_ACCOUNT_DATA, 0x20B},
            {Opcode.CMSG_GM_TEACH, 0x20F},
            {Opcode.CMSG_GM_CREATE_ITEM_TARGET, 0x210},
            {Opcode.CMSG_GM_TICKET_GET_TICKET, 0x211},
            {Opcode.CMSG_UNLEARN_TALENTS, 0x213},
            {Opcode.CMSG_GM_TICKET_DELETE_TICKET, 0x217},
            {Opcode.CMSG_GM_TICKET_GET_SYSTEM_STATUS, 0x21A},
            {Opcode.CMSG_SPIRIT_HEALER_ACTIVATE, 0x21C},
            {Opcode.CMSG_SET_STAT_CHEAT, 0x21D},
            {Opcode.CMSG_SKILL_BUY_STEP, 0x21F},
            {Opcode.CMSG_SKILL_BUY_RANK, 0x220},
            {Opcode.CMSG_XP_CHEAT, 0x221},
            {Opcode.CMSG_CHARACTER_POINT_CHEAT, 0x223},
            {Opcode.CMSG_CHAT_REPORT_IGNORED, 0x225},
            {Opcode.CMSG_GM_VISION, 0x226},
            {Opcode.CMSG_SERVER_COMMAND, 0x227},
            {Opcode.CMSG_GM_SILENCE, 0x228},
            {Opcode.CMSG_GM_REVEALTO, 0x229},
            {Opcode.CMSG_GM_RESURRECT, 0x22A},
            {Opcode.CMSG_GM_SUMMONMOB, 0x22B},
            {Opcode.CMSG_GM_MOVECORPSE, 0x22C},
            {Opcode.CMSG_GM_FREEZE, 0x22D},
            {Opcode.CMSG_GM_UBERINVIS, 0x22E},
            {Opcode.CMSG_GM_REQUEST_PLAYER_INFO, 0x22F},
            {Opcode.CMSG_GUILD_ADD_RANK, 0x232},
            {Opcode.CMSG_GUILD_DELETE_RANK, 0x233},
            {Opcode.CMSG_GUILD_SET_PUBLIC_NOTE, 0x234},
            {Opcode.CMSG_GUILD_SET_OFFICER_NOTE, 0x235},
            {Opcode.CMSG_GUILD_SET_RANK_PERMISSIONS, 0x231},
            {Opcode.CMSG_CLEAR_EXPLORATION, 0x237},
            {Opcode.CMSG_SEND_MAIL, 0x238},
            {Opcode.CMSG_MAIL_GET_LIST, 0x23A},
            {Opcode.CMSG_BATTLEFIELD_LIST, 0x23C},
            {Opcode.CMSG_BATTLEFIELD_JOIN, 0x23E},
            {Opcode.CMSG_SET_VEHICLE_REC_ID_ACK, 0x240},
            {Opcode.CMSG_TAXICLEARNODE, 0x241},
            {Opcode.CMSG_TAXIENABLENODE, 0x242},
            {Opcode.CMSG_ITEM_TEXT_QUERY, 0x243},
            {Opcode.CMSG_MAIL_TAKE_MONEY, 0x245},
            {Opcode.CMSG_MAIL_TAKE_ITEM, 0x246},
            {Opcode.CMSG_MAIL_MARK_AS_READ, 0x247},
            {Opcode.CMSG_MAIL_RETURN_TO_SENDER, 0x248},
            {Opcode.CMSG_MAIL_DELETE, 0x249},
            {Opcode.CMSG_MAIL_CREATE_TEXT_ITEM, 0x24A},
            {Opcode.CMSG_LEARN_TALENT, 0x251},
            {Opcode.CMSG_TOGGLE_PVP, 0x253},
            {Opcode.CMSG_AUCTION_SELL_ITEM, 0x256},
            {Opcode.CMSG_AUCTION_REMOVE_ITEM, 0x257},
            {Opcode.CMSG_AUCTION_LIST_ITEMS, 0x258},
            {Opcode.CMSG_AUCTION_LIST_OWNER_ITEMS, 0x259},
            {Opcode.CMSG_AUCTION_PLACE_BID, 0x25A},
            {Opcode.CMSG_AUCTION_LIST_BIDDER_ITEMS, 0x264},
            {Opcode.CMSG_SET_AMMO, 0x268},
            {Opcode.CMSG_SET_ACTIVE_MOVER, 0x26A},
            {Opcode.CMSG_PET_CANCEL_AURA, 0x26B},
            {Opcode.CMSG_PLAYER_AI_CHEAT, 0x26C},
            {Opcode.CMSG_CANCEL_AUTO_REPEAT_SPELL, 0x26D},
            {Opcode.CMSG_STABLE_PET, 0x270},
            {Opcode.CMSG_UNSTABLE_PET, 0x271},
            {Opcode.CMSG_BUY_STABLE_SLOT, 0x272},
            {Opcode.CMSG_STABLE_REVIVE_PET, 0x274},
            {Opcode.CMSG_STABLE_SWAP_PET, 0x275},
            {Opcode.CMSG_REQUEST_PET_INFO, 0x279},
            {Opcode.CMSG_FAR_SIGHT, 0x27A},
            {Opcode.CMSG_ENABLE_DAMAGE_LOG, 0x27D},
            {Opcode.CMSG_GROUP_CHANGE_SUB_GROUP, 0x27E},
            {Opcode.CMSG_REQUEST_PARTY_MEMBER_STATS, 0x27F},
            {Opcode.CMSG_GROUP_SWAP_SUB_GROUP, 0x280},
            {Opcode.CMSG_RESET_FACTION_CHEAT, 0x281},
            {Opcode.CMSG_AUTOSTORE_BANK_ITEM, 0x282},
            {Opcode.CMSG_AUTOBANK_ITEM, 0x283},
            {Opcode.CMSG_SET_DURABILITY_CHEAT, 0x287},
            {Opcode.CMSG_SET_PVP_RANK_CHEAT, 0x288},
            {Opcode.CMSG_ADD_PVP_MEDAL_CHEAT, 0x289},
            {Opcode.CMSG_DEL_PVP_MEDAL_CHEAT, 0x28A},
            {Opcode.CMSG_SET_PVP_TITLE, 0x28B},
            {Opcode.CMSG_GROUP_RAID_CONVERT, 0x28E},
            {Opcode.CMSG_SET_ASSISTANT_LEADER, 0x28F},
            {Opcode.CMSG_BUY_BACK_ITEM, 0x290},
            {Opcode.CMSG_SET_SAVED_INSTANCE_EXTEND, 0x292},
            {Opcode.CMSG_TEST_DROP_RATE, 0x294},
            {Opcode.CMSG_DF_GET_JOIN_STATUS, 0x296},
            {Opcode.CMSG_GMTICKETSYSTEM_TOGGLE, 0x29A},
            {Opcode.CMSG_CANCEL_GROWTH_AURA, 0x29B},
            {Opcode.CMSG_LOOT_ROLL, 0x2A0},
            {Opcode.CMSG_LOOT_MASTER_GIVE, 0x2A3},
            {Opcode.CMSG_REPAIR_ITEM, 0x2A8},
            {Opcode.CMSG_SUMMON_RESPONSE, 0x2AC},
            {Opcode.CMSG_SERVER_BROADCAST, 0x2B2},
            {Opcode.CMSG_SELF_RES, 0x2B3},
            {Opcode.CMSG_RUN_SCRIPT, 0x2B5},
            {Opcode.CMSG_SHOWING_HELM, 0x2B9},
            {Opcode.CMSG_SHOWING_CLOAK, 0x2BA},
            {Opcode.CMSG_SET_EXPLORATION, 0x2BE},
            {Opcode.CMSG_SET_ACTION_BAR_TOGGLES, 0x2BF},
            {Opcode.CMSG_ITEM_NAME_QUERY, 0x2C4},
            {Opcode.CMSG_CHARACTER_RENAME_REQUEST, 0x2C7},
            {Opcode.CMSG_MOVE_SPLINE_DONE, 0x2C9},
            {Opcode.CMSG_MOVE_FALL_RESET, 0x2CA},
            {Opcode.CMSG_REQUEST_RAID_INFO, 0x2CD},
            {Opcode.CMSG_MOVE_TIME_SKIPPED, 0x2CE},
            {Opcode.CMSG_MOVE_FEATHER_FALL_ACK, 0x2CF},
            {Opcode.CMSG_MOVE_WATER_WALK_ACK, 0x2D0},
            {Opcode.CMSG_MOVE_NOT_ACTIVE_MOVER, 0x2D1},
            {Opcode.CMSG_BATTLEFIELD_STATUS, 0x2D3},
            {Opcode.CMSG_BATTLEGROUND_PORT_AND_LEAVE, 0x2D5},
            {Opcode.CMSG_BATTLEMASTER_HELLO, 0x2D7},
            {Opcode.CMSG_MOVE_START_SWIM_CHEAT, 0x2D8},
            {Opcode.CMSG_MOVE_STOP_SWIM_CHEAT, 0x2D9},
            {Opcode.CMSG_FORCE_WALK_SPEED_CHANGE_ACK, 0x2DB},
            {Opcode.CMSG_FORCE_SWIM_BACK_SPEED_CHANGE_ACK, 0x2DD},
            {Opcode.CMSG_FORCE_TURN_RATE_CHANGE_ACK, 0x2DF},
            {Opcode.CMSG_LEAVE_BATTLEFIELD, 0x2E1},
            {Opcode.CMSG_AREA_SPIRIT_HEALER_QUERY, 0x2E2},
            {Opcode.CMSG_AREA_SPIRIT_HEALER_QUEUE, 0x2E3},
            {Opcode.CMSG_GM_UNTEACH, 0x2E5},
            {Opcode.CMSG_WARDEN_DATA, 0x2E7},
            {Opcode.CMSG_PET_STOP_ATTACK, 0x2EA},
            {Opcode.CMSG_BATTLEMASTER_JOIN, 0x2EE},
            {Opcode.CMSG_PET_UNLEARN, 0x2F0},
            {Opcode.CMSG_PET_SPELL_AUTOCAST, 0x2F3},
            {Opcode.CMSG_MINIGAME_MOVE, 0x2F8},
            {Opcode.CMSG_GUILD_INFO_TEXT, 0x2FC},
            {Opcode.CMSG_GM_NUKE_ACCOUNT, 0x30F},
            {Opcode.CMSG_GM_DESTROY_ONLINE_CORPSE, 0x311},
            {Opcode.CMSG_ACTIVATE_TAXI_EXPRESS, 0x312},
            {Opcode.CMSG_DEBUG_ACTIONS_START, 0x315},
            {Opcode.CMSG_DEBUG_ACTIONS_STOP, 0x316},
            {Opcode.CMSG_SET_FACTION_INACTIVE, 0x317},
            {Opcode.CMSG_SET_WATCHED_FACTION, 0x318},
            {Opcode.CMSG_SET_EXPLORATION_ALL, 0x31B},
            {Opcode.CMSG_RESET_INSTANCES, 0x31D},
            {Opcode.CMSG_LUA_USAGE, 0x323},
            {Opcode.CMSG_GM_UPDATE_TICKET_STATUS, 0x327},
            {Opcode.CMSG_GM_SURVEY_SUBMIT, 0x32A},
            {Opcode.CMSG_IGNORE_KNOCKBACK_CHEAT, 0x32C},
            {Opcode.CMSG_CHAT_REPORT_FILTERED, 0x331},
            {Opcode.CMSG_LOTTERY_QUERY_OBSOLETE, 0x334},
            {Opcode.CMSG_BUY_LOTTERY_TICKET_OBSOLETE, 0x336},
            {Opcode.CMSG_MOVE_SET_CAN_TRANSITION_BETWEEN_SWIM_AND_FLY_ACK, 0x340},
            {Opcode.CMSG_MOVE_SET_CAN_FLY_ACK, 0x345},
            {Opcode.CMSG_MOVE_SET_FLY, 0x346},
            {Opcode.CMSG_SOCKET_GEMS, 0x347},
            {Opcode.CMSG_ARENA_TEAM_CREATE, 0x348},
            {Opcode.CMSG_ARENA_TEAM_QUERY, 0x34B},
            {Opcode.CMSG_ARENA_TEAM_ROSTER, 0x34D},
            {Opcode.CMSG_ARENA_TEAM_INVITE, 0x34F},
            {Opcode.CMSG_ARENA_TEAM_ACCEPT, 0x351},
            {Opcode.CMSG_ARENA_TEAM_DECLINE, 0x352},
            {Opcode.CMSG_ARENA_TEAM_LEAVE, 0x353},
            {Opcode.CMSG_ARENA_TEAM_REMOVE, 0x354},
            {Opcode.CMSG_ARENA_TEAM_DISBAND, 0x355},
            {Opcode.CMSG_ARENA_TEAM_LEADER, 0x356},
            {Opcode.CMSG_BATTLEMASTER_JOIN_ARENA, 0x358},
            {Opcode.CMSG_LFG_JOIN, 0x35C},
            {Opcode.CMSG_LFG_LEAVE, 0x35D},
            {Opcode.CMSG_LFG_LFR_JOIN, 0x35E},
            {Opcode.CMSG_LFG_LFR_LEAVE, 0x35F},
            {Opcode.CMSG_LFG_PROPOSAL_RESULT, 0x362},
            {Opcode.CMSG_LFG_SET_COMMENT, 0x366},
            {Opcode.CMSG_LFG_SET_ROLES, 0x36A},
            {Opcode.CMSG_LFG_SET_NEEDS, 0x36B},
            {Opcode.CMSG_LFG_SET_BOOT_VOTE, 0x36C},
            {Opcode.CMSG_LFG_PLAYER_LOCK_INFO_REQUEST, 0x36E},
            {Opcode.CMSG_LFG_TELEPORT, 0x370},
            {Opcode.CMSG_LFG_PARTY_LOCK_INFO_REQUEST, 0x371},
            {Opcode.CMSG_SET_TITLE, 0x374},
            {Opcode.CMSG_CANCEL_MOUNT_AURA, 0x375},
            {Opcode.CMSG_CANCEL_TEMP_ENCHANTMENT, 0x379},
            {Opcode.CMSG_CHEAT_SET_HONOR_CURRENCY, 0x37B},
            {Opcode.CMSG_CHEAT_SET_ARENA_CURRENCY, 0x37C},
            {Opcode.CMSG_FORCE_FLIGHT_SPEED_CHANGE_ACK, 0x382},
            {Opcode.CMSG_FORCE_FLIGHT_BACK_SPEED_CHANGE_ACK, 0x384},
            {Opcode.CMSG_MAELSTROM_INVALIDATE_CACHE, 0x387},
            {Opcode.CMSG_SET_TAXI_BENCHMARK_MODE, 0x389},
            {Opcode.CMSG_REALM_SPLIT, 0x38C},
            {Opcode.CMSG_MOVE_CHANGE_TRANSPORT, 0x38D},
            {Opcode.CMSG_TIME_SYNC_RESPONSE, 0x391},
            {Opcode.CMSG_SEND_LOCAL_EVENT, 0x392},
            {Opcode.CMSG_SEND_GENERAL_TRIGGER, 0x393},
            {Opcode.CMSG_SEND_COMBAT_TRIGGER, 0x394},
            {Opcode.CMSG_MAELSTROM_GM_SENT_MAIL, 0x395},
            {Opcode.CMSG_ACTIVE_PVP_CHEAT, 0x399},
            {Opcode.CMSG_CHEAT_DUMP_ITEMS_DEBUG_ONLY, 0x39A},
            {Opcode.CMSG_VOICE_SET_TALKER_MUTED_REQUEST, 0x3A1},
            {Opcode.CMSG_IGNORE_REQUIREMENTS_CHEAT, 0x3A8},
            {Opcode.CMSG_MOVE_SET_RUN_SPEED, 0x3AB},
            {Opcode.CMSG_VOICE_SESSION_ENABLE, 0x3AF},
            {Opcode.CMSG_GM_WHISPER, 0x3B2},
            {Opcode.CMSG_COMMENTATOR_ENABLE, 0x3B5},
            {Opcode.CMSG_COMMENTATOR_GET_MAP_INFO, 0x3B7},
            {Opcode.CMSG_COMMENTATOR_GET_PLAYER_INFO, 0x3B9},
            {Opcode.CMSG_COMMENTATOR_ENTER_INSTANCE, 0x3BC},
            {Opcode.CMSG_COMMENTATOR_EXIT_INSTANCE, 0x3BD},
            {Opcode.CMSG_COMMENTATOR_INSTANCE_COMMAND, 0x3BE},
            {Opcode.CMSG_BOT_DETECTED, 0x3C0},
            {Opcode.CMSG_CHEAT_PLAYER_LOGIN, 0x3C2},
            {Opcode.CMSG_CHEAT_PLAYER_LOOKUP, 0x3C3},
            {Opcode.CMSG_COMPLAINT, 0x3C7},
            {Opcode.CMSG_GM_SHOW_COMPLAINTS, 0x3CA},
            {Opcode.CMSG_GM_UNSQUELCH, 0x3CB},
            {Opcode.CMSG_CHAT_CHANNEL_SILENCE_VOICE, 0x3CC},
            {Opcode.CMSG_CHAT_CHANNEL_SILENCE_ALL, 0x3CD},
            {Opcode.CMSG_CHAT_CHANNEL_UNSILENCE_VOICE, 0x3CE},
            {Opcode.CMSG_CHAT_CHANNEL_UNSILENCE_ALL, 0x3CF},
            {Opcode.CMSG_TARGET_CAST, 0x3D0},
            {Opcode.CMSG_TARGET_SCRIPT_CAST, 0x3D1},
            {Opcode.CMSG_CHAT_CHANNEL_DISPLAY_LIST, 0x3D2},
            {Opcode.CMSG_SET_ACTIVE_VOICE_CHANNEL, 0x3D3},
            {Opcode.CMSG_GET_CHANNEL_MEMBER_COUNT, 0x3D4},
            {Opcode.CMSG_CHAT_CHANNEL_VOICE_ON, 0x3D6},
            {Opcode.CMSG_CHAT_CHANNEL_VOICE_OFF, 0x3D7},
            {Opcode.CMSG_DEBUG_LIST_TARGETS, 0x3D8},
            {Opcode.CMSG_VOICE_ADD_IGNORE, 0x3DB},
            {Opcode.CMSG_VOICE_DEL_IGNORE, 0x3DC},
            {Opcode.CMSG_PARTY_SILENCE, 0x3DD},
            {Opcode.CMSG_PARTY_UNSILENCE, 0x3DE},
            {Opcode.CMSG_REPORT_PVP_PLAYER_AFK, 0x3E4},
            {Opcode.CMSG_GUILD_BANK_ACTIVATE, 0x3E6},
            {Opcode.CMSG_GUILD_BANK_QUERY_TAB, 0x3E7},
            {Opcode.CMSG_GUILD_BANK_SWAP_ITEMS, 0x3E9},
            {Opcode.CMSG_GUILD_BANK_BUY_TAB, 0x3EA},
            {Opcode.CMSG_GUILD_BANK_UPDATE_TAB, 0x3EB},
            {Opcode.CMSG_GUILD_BANK_DEPOSIT_MONEY, 0x3EC},
            {Opcode.CMSG_GUILD_BANK_WITHDRAW_MONEY, 0x3ED},
            {Opcode.CMSG_SET_CHANNEL_WATCH, 0x3EF},
            {Opcode.CMSG_CLEAR_CHANNEL_WATCH, 0x3F3},
            {Opcode.CMSG_SET_TITLE_SUFFIX, 0x3F7},
            {Opcode.CMSG_SPELL_CLICK, 0x3F8},
            {Opcode.CMSG_GM_CHARACTER_RESTORE, 0x3FA},
            {Opcode.CMSG_GM_CHARACTER_SAVE, 0x3FB},
            {Opcode.CMSG_MAELSTROM_RENAME_GUILD, 0x400},
            {Opcode.CMSG_GET_MIRROR_IMAGE_DATA, 0x401},
            {Opcode.CMSG_IGNORE_DIMINISHING_RETURNS_CHEAT, 0x405},
            {Opcode.CMSG_KEEP_ALIVE, 0x407},
            {Opcode.CMSG_OPT_OUT_OF_LOOT, 0x409},
            {Opcode.CMSG_GUILD_BANK_SET_TAB_TEXT, 0x40B},
            {Opcode.CMSG_SET_GRANTABLE_LEVELS, 0x40C},
            {Opcode.CMSG_GRANT_LEVEL, 0x40D},
            {Opcode.CMSG_REFER_A_FRIEND, 0x40E},
            {Opcode.CMSG_CHAT_CHANNEL_DECLINE_INVITE, 0x410},
            {Opcode.CMSG_TOTEM_DESTROYED, 0x414},
            {Opcode.CMSG_EXPIRE_RAID_INSTANCE, 0x415},
            {Opcode.CMSG_NO_SPELL_VARIANCE, 0x416},
            {Opcode.CMSG_QUEST_GIVER_STATUS_MULTIPLE_QUERY, 0x417},
            {Opcode.CMSG_SET_PLAYER_DECLINED_NAMES, 0x419},
            {Opcode.CMSG_QUERY_SERVER_BUCK_DATA, 0x41B},
            {Opcode.CMSG_CLEAR_SERVER_BUCK_DATA, 0x41C},
            {Opcode.CMSG_ACCEPT_LEVEL_GRANT, 0x420},
            {Opcode.CMSG_CHANGE_PERSONAL_ARENA_RATING, 0x425},
            {Opcode.CMSG_ALTER_APPEARANCE, 0x426},
            {Opcode.CMSG_CALENDAR_GET_CALENDAR, 0x429},
            {Opcode.CMSG_CALENDAR_GET_EVENT, 0x42A},
            {Opcode.CMSG_CALENDAR_GUILD_FILTER, 0x42B},
            {Opcode.CMSG_CALENDAR_ARENA_TEAM, 0x42C},
            {Opcode.CMSG_CALENDAR_ADD_EVENT, 0x42D},
            {Opcode.CMSG_CALENDAR_UPDATE_EVENT, 0x42E},
            {Opcode.CMSG_CALENDAR_REMOVE_EVENT, 0x42F},
            {Opcode.CMSG_CALENDAR_COPY_EVENT, 0x430},
            {Opcode.CMSG_CALENDAR_EVENT_INVITE, 0x431},
            {Opcode.CMSG_CALENDAR_EVENT_RSVP, 0x432},
            {Opcode.CMSG_CALENDAR_EVENT_REMOVE_INVITE, 0x433},
            {Opcode.CMSG_CALENDAR_EVENT_STATUS, 0x434},
            {Opcode.CMSG_CALENDAR_EVENT_MODERATOR_STATUS, 0x435},
            {Opcode.CMSG_CALENDAR_COMPLAIN, 0x446},
            {Opcode.CMSG_CALENDAR_GET_NUM_PENDING, 0x447},
            {Opcode.CMSG_SAVE_DANCE, 0x449},
            {Opcode.CMSG_PLAY_DANCE, 0x44B},
            {Opcode.CMSG_LOAD_DANCES, 0x44D},
            {Opcode.CMSG_STOP_DANCE, 0x44E},
            {Opcode.CMSG_SYNC_DANCE, 0x450},
            {Opcode.CMSG_DANCE_QUERY, 0x451},
            {Opcode.CMSG_DELETE_DANCE, 0x454},
            {Opcode.CMSG_LEARN_DANCE_MOVE, 0x456},
            {Opcode.CMSG_UNLEARN_DANCE_MOVE, 0x457},
            {Opcode.CMSG_SET_RUNE_COUNT, 0x458},
            {Opcode.CMSG_SET_RUNE_COOLDOWN, 0x459},
            {Opcode.CMSG_FORCE_PITCH_RATE_CHANGE_ACK, 0x45D},
            {Opcode.CMSG_CALENDAR_EVENT_INVITE_NOTES, 0x45F},
            {Opcode.CMSG_UPDATE_MISSILE_TRAJECTORY, 0x462},
            {Opcode.CMSG_COMPLETE_MOVIE, 0x465},
            {Opcode.CMSG_SET_GLYPH_SLOT, 0x466},
            {Opcode.CMSG_SET_GLYPH, 0x467},
            {Opcode.CMSG_QUERY_INSPECT_ACHIEVEMENTS, 0x46B},
            {Opcode.CMSG_DISMISS_CONTROLLED_VEHICLE, 0x46D},
            {Opcode.CMSG_COMPLETE_ACHIEVEMENT_CHEAT, 0x46E},
            {Opcode.CMSG_SET_CRITERIA_CHEAT, 0x470},
            {Opcode.CMSG_UNITANIMTIER_CHEAT, 0x472},
            {Opcode.CMSG_CHAR_CUSTOMIZE, 0x473},
            {Opcode.CMSG_REQUEST_VEHICLE_EXIT, 0x476},
            {Opcode.CMSG_REQUEST_VEHICLE_PREV_SEAT, 0x477},
            {Opcode.CMSG_REQUEST_VEHICLE_NEXT_SEAT, 0x478},
            {Opcode.CMSG_REQUEST_VEHICLE_SWITCH_SEAT, 0x479},
            {Opcode.CMSG_PET_LEARN_TALENT, 0x47A},
            {Opcode.CMSG_PET_UNLEARN_TALENTS, 0x47B},
            {Opcode.CMSG_FORCE_SAY_CHEAT, 0x47E},
            {Opcode.CMSG_GAME_OBJ_REPORT_USE, 0x481},
            {Opcode.CMSG_QUERY_QUEST_COMPLETION_NPCS, 0x489},
            {Opcode.CMSG_REMOVE_GLYPH, 0x48A},
            {Opcode.CMSG_DUMP_OBJECTS, 0x48B},
            {Opcode.CMSG_DISMISS_CRITTER, 0x48D},
            {Opcode.CMSG_AUCTION_LIST_PENDING_SALES, 0x48F},
            {Opcode.CMSG_ENABLE_TAXI_NODE, 0x493},
            {Opcode.CMSG_FLOOD_GRACE_CHEAT, 0x497},
            {Opcode.CMSG_CHANGE_SEATS_ON_CONTROLLED_VEHICLE, 0x49B},
            {Opcode.CMSG_HEARTH_AND_RESURRECT, 0x49C},
            {Opcode.CMSG_SERVER_INFO_QUERY, 0x4A0},
            {Opcode.CMSG_CHECK_LOGIN_CRITERIA, 0x4A2},
            {Opcode.CMSG_SET_BREATH, 0x4A4},
            {Opcode.CMSG_QUERY_VEHICLE_STATUS, 0x4A5},
            {Opcode.CMSG_PLAYER_VEHICLE_ENTER, 0x4A8},
            {Opcode.CMSG_EJECT_PASSENGER, 0x4A9},
            {Opcode.CMSG_CHANGE_GDF_ARENA_RATING, 0x4AC},
            {Opcode.CMSG_SET_ARENA_TEAM_RATING_BY_INDEX, 0x4AD},
            {Opcode.CMSG_SET_ARENA_TEAM_WEEKLY_GAMES, 0x4AE},
            {Opcode.CMSG_SET_ARENA_TEAM_SEASON_GAMES, 0x4AF},
            {Opcode.CMSG_SET_ARENA_MEMBER_WEEKLY_GAMES, 0x4B0},
            {Opcode.CMSG_SET_ARENA_MEMBER_SEASON_GAMES, 0x4B1},
            {Opcode.CMSG_GET_ITEM_PURCHASE_DATA, 0x4B3},
            {Opcode.CMSG_ITEM_PURCHASE_REFUND, 0x4B4},
            {Opcode.CMSG_CORPSE_MAP_POSITION_QUERY, 0x4B6},
            {Opcode.CMSG_UNUSED5, 0x4B8},
            {Opcode.CMSG_UNUSED6, 0x4B9},
            {Opcode.CMSG_CALENDAR_EVENT_SIGN_UP, 0x4BA},
            {Opcode.CMSG_SAVE_EQUIPMENT_SET, 0x4BD},
            {Opcode.CMSG_UPDATE_PROJECTILE_POSITION, 0x4BE},
            {Opcode.CMSG_LEARN_PREVIEW_TALENTS, 0x4C1},
            {Opcode.CMSG_LEARN_PREVIEW_TALENTS_PET, 0x4C2},
            {Opcode.CMSG_SET_ACTIVE_TALENT_GROUP_OBSOLETE, 0x4C3},
            {Opcode.CMSG_GM_GRANT_ACHIEVEMENT, 0x4C4},
            {Opcode.CMSG_GM_REMOVE_ACHIEVEMENT, 0x4C5},
            {Opcode.CMSG_GM_SET_CRITERIA_FOR_PLAYER, 0x4C6},
            {Opcode.CMSG_PROFILEDATA_REQUEST, 0x4C9},
            {Opcode.CMSG_START_BATTLEFIELD_CHEAT, 0x4CB},
            {Opcode.CMSG_END_BATTLEFIELD_CHEAT, 0x4CC},
            {Opcode.CMSG_MOVE_GRAVITY_DISABLE_ACK, 0x4CF},
            {Opcode.CMSG_MOVE_GRAVITY_ENABLE_ACK, 0x4D1},
            {Opcode.CMSG_EQUIPMENT_SET_USE, 0x4D5},
            {Opcode.CMSG_FORCE_ANIM, 0x4D7},
            {Opcode.CMSG_CHAR_FACTION_CHANGE, 0x4D9},
            {Opcode.CMSG_PVP_QUEUE_STATS_REQUEST, 0x4DB},
            {Opcode.CMSG_SET_PAID_SERVICE_CHEAT, 0x4DD},
            {Opcode.CMSG_BF_MGR_ENTRY_INVITE_RESPONSE, 0x4DF},
            {Opcode.CMSG_BF_MGR_QUEUE_INVITE_RESPONSE, 0x4E2},
            {Opcode.CMSG_BF_MGR_QUEUE_REQUEST, 0x4E3},
            {Opcode.CMSG_BF_MGR_QUEUE_EXIT_REQUEST, 0x4E7},
            {Opcode.CMSG_BATTLEFIELD_MANAGER_ADVANCE_STATE, 0x4E9},
            {Opcode.CMSG_BATTLEFIELD_MANAGER_SET_NEXT_TRANSITION_TIME, 0x4EA},
            {Opcode.CMSG_TOGGLE_XP_GAIN, 0x4EC},
            {Opcode.CMSG_GM_TICKET_RESPONSE_RESOLVE, 0x4F0},
            {Opcode.CMSG_GMRESPONSE_CREATE_TICKET, 0x4F3},
            {Opcode.CMSG_SERVERINFO, 0x4F4},
            {Opcode.CMSG_UI_TIME_REQUEST, 0x4F6},
            {Opcode.CMSG_CHAR_RACE_CHANGE, 0x4F8},
            {Opcode.CMSG_DEBUG_SERVER_GEO, 0x4FB},
            {Opcode.CMSG_READY_FOR_ACCOUNT_DATA_TIMES, 0x4FF},
            {Opcode.CMSG_QUERY_QUESTS_COMPLETED, 0x500},
            {Opcode.CMSG_GM_LAG_REPORT, 0x502},
            {Opcode.CMSG_AFK_MONITOR_INFO_REQUEST, 0x503},
            {Opcode.CMSG_AFK_MONITOR_INFO_CLEAR, 0x505},
            {Opcode.CMSG_GM_NUKE_CHARACTER, 0x507},
            {Opcode.CMSG_LOW_LEVEL_RAID1, 0x508},
            {Opcode.CMSG_LOW_LEVEL_RAID2, 0x509},
            {Opcode.CMSG_SET_CHARACTER_MODEL, 0x50C},
            {Opcode.CMSG_CONNECT_TO_FAILED, 0x50E},
            {Opcode.CMSG_SUSPEND_COMMS_ACK, 0x510},
            {Opcode.CMSG_AUTH_CONTINUED_SESSION, 0x512},
            {Opcode.CMSG_DROP_NEW_CONNECTION, 0x513},
            {Opcode.CMSG_MOVE_SET_COLLISION_HGT_ACK, 0x517},
            {Opcode.CMSG_CLEAR_RANDOM_BG_WIN_TIME, 0x519},
            {Opcode.CMSG_CLEAR_HOLIDAY_BG_WIN_TIME, 0x51A},
            {Opcode.CMSG_COMMENTATOR_SKIRMISH_QUEUE_COMMAND, 0x51B}
        };

        private static readonly BiDictionary<Opcode, int> ServerOpcodes = new BiDictionary<Opcode, int>
        {
            {Opcode.SMSG_DBLOOKUP, 0x3},
            {Opcode.SMSG_QUERY_OBJ_POSITION, 0x5},
            {Opcode.SMSG_QUERY_OBJ_ROTATION, 0x7},
            {Opcode.SMSG_ZONE_MAP, 0xB},
            {Opcode.SMSG_MOVE_CHARACTER_CHEAT, 0xE},
            {Opcode.SMSG_CHAT, 0x96},
            {Opcode.SMSG_CHECK_FOR_BOTS, 0x15},
            {Opcode.SMSG_FORCEACTIONSHOW, 0x1B},
            {Opcode.SMSG_PETGODMODE, 0x1D},
            {Opcode.SMSG_REFER_A_FRIEND_EXPIRED, 0x1E},
            {Opcode.SMSG_GOD_MODE, 0x23},
            {Opcode.SMSG_DEBUG_AISTATE, 0x2F},
            {Opcode.SMSG_DESTRUCTIBLE_BUILDING_DAMAGE, 0x32},
            {Opcode.SMSG_AUTH_SRP6_RESPONSE, 0x39},
            {Opcode.SMSG_CREATE_CHAR, 0x3A},
            {Opcode.SMSG_ENUM_CHARACTERS_RESULT, 0x3B},
            {Opcode.SMSG_DELETE_CHAR, 0x3C},
            {Opcode.SMSG_NEW_WORLD, 0x3E},
            {Opcode.SMSG_TRANSFER_PENDING, 0x3F},
            {Opcode.SMSG_TRANSFER_ABORTED, 0x40},
            {Opcode.SMSG_CHARACTER_LOGIN_FAILED, 0x41},
            {Opcode.SMSG_LOGIN_SET_TIME_SPEED, 0x42},
            {Opcode.SMSG_GAME_TIME_UPDATE, 0x43},
            {Opcode.SMSG_GAME_TIME_SET, 0x45},
            {Opcode.SMSG_GAME_SPEED_SET, 0x47},
            {Opcode.SMSG_SERVERTIME, 0x49},
            {Opcode.SMSG_LOGOUT_RESPONSE, 0x4C},
            {Opcode.SMSG_LOGOUT_COMPLETE, 0x4D},
            {Opcode.SMSG_LOGOUT_CANCEL_ACK, 0x4F},
            {Opcode.SMSG_QUERY_PLAYER_NAME_RESPONSE, 0x51},
            {Opcode.SMSG_QUERY_PET_NAME_RESPONSE, 0x53},
            {Opcode.SMSG_QUERY_GUILD_INFO_RESPONSE, 0x55},
            {Opcode.SMSG_ITEM_QUERY_SINGLE_RESPONSE, 0x58},
            {Opcode.SMSG_ITEM_QUERY_MULTIPLE_RESPONSE, 0x59},
            {Opcode.SMSG_QUERY_PAGE_TEXT_RESPONSE, 0x5B},
            {Opcode.SMSG_QUERY_QUEST_INFO_RESPONSE, 0x5D},
            {Opcode.SMSG_QUERY_GAME_OBJECT_RESPONSE, 0x5F},
            {Opcode.SMSG_QUERY_CREATURE_RESPONSE, 0x61},
            {Opcode.SMSG_WHO, 0x63},
            {Opcode.SMSG_WHO_IS, 0x65},
            {Opcode.SMSG_CONTACT_LIST, 0x67},
            {Opcode.SMSG_FRIEND_STATUS, 0x68},
            {Opcode.SMSG_GROUP_INVITE, 0x6F},
            {Opcode.SMSG_GROUP_CANCEL, 0x71},
            {Opcode.SMSG_GROUP_DECLINE, 0x74},
            {Opcode.SMSG_GROUP_UNINVITE, 0x77},
            {Opcode.SMSG_GROUP_SET_LEADER, 0x79},
            {Opcode.SMSG_GROUP_DESTROYED, 0x7C},
            {Opcode.SMSG_GROUP_LIST, 0x7D},
            {Opcode.SMSG_PARTY_MEMBER_STATS, 0x7E},
            {Opcode.SMSG_PARTY_COMMAND_RESULT, 0x7F},
            {Opcode.SMSG_GUILD_INVITE, 0x83},
            {Opcode.SMSG_GUILD_DECLINE, 0x86},
            {Opcode.SMSG_GUILD_INFO, 0x88},
            {Opcode.SMSG_GUILD_ROSTER, 0x8A},
            {Opcode.SMSG_GUILD_EVENT, 0x92},
            {Opcode.SMSG_GUILD_COMMAND_RESULT, 0x93},
            {Opcode.SMSG_CHANNEL_NOTIFY, 0x99},
            {Opcode.SMSG_CHANNEL_LIST, 0x9B},
            {Opcode.SMSG_UPDATE_OBJECT, 0xA9},
            {Opcode.SMSG_DESTROY_OBJECT, 0xAA},
            {Opcode.SMSG_READ_ITEM_RESULT_OK, 0xAE},
            {Opcode.SMSG_READ_ITEM_RESULT_FAILED, 0xAF},
            {Opcode.SMSG_ITEM_COOLDOWN, 0xB0},
            {Opcode.SMSG_GAME_OBJECT_CUSTOM_ANIM, 0xB3},
            {Opcode.SMSG_ON_MONSTER_MOVE, 0xDD},
            {Opcode.SMSG_MOVE_SET_WATER_WALK, 0xDE},
            {Opcode.SMSG_MOVE_SET_LAND_WALK, 0xDF},
            {Opcode.SMSG_FORCE_RUN_SPEED_CHANGE, 0xE2},
            {Opcode.SMSG_FORCE_RUN_BACK_SPEED_CHANGE, 0xE4},
            {Opcode.SMSG_FORCE_SWIM_SPEED_CHANGE, 0xE6},
            {Opcode.SMSG_FORCE_MOVE_ROOT, 0xE8},
            {Opcode.SMSG_FORCE_MOVE_UNROOT, 0xEA},
            {Opcode.SMSG_MOVE_KNOCK_BACK, 0xEF},
            {Opcode.SMSG_MOVE_SET_FEATHER_FALL, 0xF2},
            {Opcode.SMSG_MOVE_SET_NORMAL_FALL, 0xF3},
            {Opcode.SMSG_MOVE_SET_HOVERING, 0xF4},
            {Opcode.SMSG_MOVE_UNSET_HOVERING, 0xF5},
            {Opcode.SMSG_TRIGGER_CINEMATIC, 0xFA},
            {Opcode.SMSG_TUTORIAL_FLAGS, 0xFD},
            {Opcode.SMSG_EMOTE, 0x103},
            {Opcode.SMSG_TEXT_EMOTE, 0x105},
            {Opcode.SMSG_INVENTORY_CHANGE_FAILURE, 0x112},
            {Opcode.SMSG_OPEN_CONTAINER, 0x113},
            {Opcode.SMSG_INSPECT_RESULTS_UPDATE, 0x115},
            {Opcode.SMSG_TRADE_STATUS, 0x120},
            {Opcode.SMSG_TRADE_STATUS_EXTENDED, 0x121},
            {Opcode.SMSG_INITIALIZE_FACTIONS, 0x122},
            {Opcode.SMSG_SET_FACTION_VISIBLE, 0x123},
            {Opcode.SMSG_SET_FACTION_STANDING, 0x124},
            {Opcode.SMSG_SET_PROFICIENCY, 0x127},
            {Opcode.SMSG_SEND_KNOWN_SPELLS, 0x12A},
            {Opcode.SMSG_LEARNED_SPELL, 0x12B},
            {Opcode.SMSG_SUPERCEDED_SPELLS, 0x12C},
            {Opcode.SMSG_CAST_FAILED, 0x130},
            {Opcode.SMSG_SPELL_START, 0x131},
            {Opcode.SMSG_SPELL_GO, 0x132},
            {Opcode.SMSG_SPELL_FAILURE, 0x133},
            {Opcode.SMSG_SPELL_COOLDOWN, 0x134},
            {Opcode.SMSG_COOLDOWN_EVENT, 0x135},
            {Opcode.SMSG_EQUIPMENT_SET_ID, 0x137},
            {Opcode.SMSG_LOAD_EQUIPMENT_SET, 0x4BC},
            {Opcode.SMSG_PET_CAST_FAILED, 0x138},
            {Opcode.SMSG_AI_REACTION, 0x13C},
            {Opcode.SMSG_ATTACK_START, 0x143},
            {Opcode.SMSG_ATTACK_STOP, 0x144},
            {Opcode.SMSG_ATTACKSWING_NOTINRANGE, 0x145},
            {Opcode.SMSG_ATTACKSWING_BADFACING, 0x146},
            {Opcode.SMSG_INSTANCE_LOCK_WARNING_QUERY, 0x147},
            {Opcode.SMSG_ATTACKSWING_DEADTARGET, 0x148},
            {Opcode.SMSG_ATTACKSWING_CANT_ATTACK, 0x149},
            {Opcode.SMSG_ATTACKER_STATE_UPDATE, 0x14A},
            {Opcode.SMSG_BATTLEFIELD_PORT_DENIED, 0x14B},
            {Opcode.SMSG_RESUME_CAST_BAR, 0x14D},
            {Opcode.SMSG_CANCEL_COMBAT, 0x14E},
            {Opcode.SMSG_SPELL_BREAK_LOG, 0x14F},
            {Opcode.SMSG_SPELL_HEAL_LOG, 0x150},
            {Opcode.SMSG_SPELL_ENERGIZE_LOG, 0x151},
            {Opcode.SMSG_BREAK_TARGET, 0x152},
            {Opcode.SMSG_BIND_POINT_UPDATE, 0x155},
            {Opcode.SMSG_BINDZONEREPLY, 0x157},
            {Opcode.SMSG_PLAYER_BOUND, 0x158},
            {Opcode.SMSG_CONTROL_UPDATE, 0x159},
            {Opcode.SMSG_RESURRECT_REQUEST, 0x15B},
            {Opcode.SMSG_LOOT_RESPONSE, 0x160},
            {Opcode.SMSG_LOOT_RELEASE, 0x161},
            {Opcode.SMSG_LOOT_REMOVED, 0x162},
            {Opcode.SMSG_LOOT_MONEY_NOTIFY, 0x163},
            {Opcode.SMSG_LOOT_ITEM_NOTIFY, 0x164},
            {Opcode.SMSG_LOOT_CLEAR_MONEY, 0x165},
            {Opcode.SMSG_ITEM_PUSH_RESULT, 0x166},
            {Opcode.SMSG_DUEL_REQUESTED, 0x167},
            {Opcode.SMSG_DUEL_OUT_OF_BOUNDS, 0x168},
            {Opcode.SMSG_DUEL_IN_BOUNDS, 0x169},
            {Opcode.SMSG_DUEL_COMPLETE, 0x16A},
            {Opcode.SMSG_DUEL_WINNER, 0x16B},
            {Opcode.SMSG_MOUNT_RESULT, 0x16E},
            {Opcode.SMSG_DISMOUNT_RESULT, 0x16F},
            {Opcode.SMSG_REMOVED_FROM_PVP_QUEUE, 0x170},
            {Opcode.SMSG_MOUNT_SPECIAL_ANIM, 0x172},
            {Opcode.SMSG_PET_TAME_FAILURE, 0x173},
            {Opcode.SMSG_PET_NAME_INVALID, 0x178},
            {Opcode.SMSG_PET_SPELLS_MESSAGE, 0x179},
            {Opcode.SMSG_PET_MODE, 0x17A},
            {Opcode.SMSG_GOSSIP_MESSAGE, 0x17D},
            {Opcode.SMSG_GOSSIP_COMPLETE, 0x17E},
            {Opcode.SMSG_QUERY_NPC_TEXT_RESPONSE, 0x180},
            {Opcode.SMSG_NPC_WONT_TALK, 0x181},
            {Opcode.SMSG_QUEST_GIVER_STATUS, 0x183},
            {Opcode.SMSG_QUEST_GIVER_QUEST_LIST_MESSAGE, 0x185},
            {Opcode.SMSG_QUEST_GIVER_QUEST_DETAILS, 0x188},
            {Opcode.SMSG_QUEST_GIVER_REQUEST_ITEMS, 0x18B},
            {Opcode.SMSG_QUEST_GIVER_OFFER_REWARD_MESSAGE, 0x18D},
            {Opcode.SMSG_QUEST_GIVER_INVALID_QUEST, 0x18F},
            {Opcode.SMSG_QUEST_GIVER_QUEST_COMPLETE, 0x191},
            {Opcode.SMSG_QUEST_GIVER_QUEST_FAILED, 0x192},
            {Opcode.SMSG_QUEST_LOG_FULL, 0x195},
            {Opcode.SMSG_QUEST_UPDATE_FAILED, 0x196},
            {Opcode.SMSG_QUEST_UPDATE_FAILED_TIMER, 0x197},
            {Opcode.SMSG_QUEST_UPDATE_COMPLETE, 0x198},
            {Opcode.SMSG_QUEST_UPDATE_ADD_KILL, 0x199},
            {Opcode.SMSG_QUEST_UPDATE_ADD_ITEM, 0x19A},
            {Opcode.SMSG_QUEST_CONFIRM_ACCEPT, 0x19C},
            {Opcode.SMSG_VENDOR_INVENTORY, 0x19F},
            {Opcode.SMSG_SELL_ITEM, 0x1A1},
            {Opcode.SMSG_BUY_SUCCEEDED, 0x1A4},
            {Opcode.SMSG_BUY_FAILED, 0x1A5},
            {Opcode.SMSG_SHOW_TAXI_NODES, 0x1A9},
            {Opcode.SMSG_TAXI_NODE_STATUS, 0x1AB},
            {Opcode.SMSG_ACTIVATE_TAXI_REPLY, 0x1AE},
            {Opcode.SMSG_NEW_TAXI_PATH, 0x1AF},
            {Opcode.SMSG_TRAINER_LIST, 0x1B1},
            {Opcode.SMSG_TRAINER_BUY_SUCCEEDED, 0x1B3},
            {Opcode.SMSG_TRAINER_BUY_FAILED, 0x1B4},
            {Opcode.SMSG_PLAYERBINDERROR, 0x1B6},
            {Opcode.SMSG_SHOW_BANK, 0x1B8},
            {Opcode.SMSG_BUY_BANK_SLOT_RESULT, 0x1BA},
            {Opcode.SMSG_PETITION_SHOW_LIST, 0x1BC},
            {Opcode.SMSG_PETITION_SHOW_SIGNATURES, 0x1BF},
            {Opcode.SMSG_PETITION_SIGN_RESULTS, 0x1C1},
            {Opcode.SMSG_TURN_IN_PETITION_RESULT, 0x1C5},
            {Opcode.SMSG_PETITION_QUERY_RESPONSE, 0x1C7},
            {Opcode.SMSG_FISH_NOT_HOOKED, 0x1C8},
            {Opcode.SMSG_FISH_ESCAPED, 0x1C9},
            {Opcode.SMSG_NOTIFICATION, 0x1CB},
            {Opcode.SMSG_PLAYED_TIME, 0x1CD},
            {Opcode.SMSG_QUERY_TIME_RESPONSE, 0x1CF},
            {Opcode.SMSG_LOG_XP_GAIN, 0x1D0},
            {Opcode.SMSG_AURACASTLOG, 0x1D1},
            {Opcode.SMSG_LEVEL_UP_INFO, 0x1D4},
            {Opcode.SMSG_RESISTLOG, 0x1D6},
            {Opcode.SMSG_ENCHANTMENT_LOG, 0x1D7},
            {Opcode.SMSG_START_MIRROR_TIMER, 0x1D9},
            {Opcode.SMSG_PAUSE_MIRROR_TIMER, 0x1DA},
            {Opcode.SMSG_STOP_MIRROR_TIMER, 0x1DB},
            {Opcode.SMSG_PONG, 0x1DD},
            {Opcode.SMSG_CLEAR_COOLDOWN, 0x1DE},
            {Opcode.SMSG_PAGE_TEXT, 0x1DF},
            {Opcode.SMSG_COOLDOWN_CHEAT, 0x1E1},
            {Opcode.SMSG_SPELL_DELAYED, 0x1E2},
            {Opcode.SMSG_QUEST_POI_QUERY_RESPONSE, 0x1E4},
            {Opcode.SMSG_INVALID_PROMOTION_CODE, 0x1E7},
            {Opcode.SMSG_ITEM_TIME_UPDATE, 0x1EA},
            {Opcode.SMSG_ITEM_ENCHANT_TIME_UPDATE, 0x1EB},
            {Opcode.SMSG_AUTH_CHALLENGE, 0x1EC},
            {Opcode.SMSG_AUTH_RESPONSE, 0x1EE},
            {Opcode.SMSG_PLAY_SPELL_VISUAL, 0x1F3},
            {Opcode.SMSG_PARTY_KILL_LOG, 0x1F5},
            {Opcode.SMSG_COMPRESSED_UPDATE_OBJECT, 0x1F6},
            {Opcode.SMSG_PLAY_SPELL_IMPACT, 0x1F7},
            {Opcode.SMSG_EXPLORATION_EXPERIENCE, 0x1F8},
            {Opcode.SMSG_ENVIRONMENTAL_DAMAGE_LOG, 0x1FC},
            {Opcode.SMSG_RWHOIS, 0x1FE},
            {Opcode.SMSG_LFG_PLAYER_REWARD, 0x1FF},
            {Opcode.SMSG_LFG_TELEPORT_DENIED, 0x200},
            {Opcode.SMSG_UNLEARNED_SPELLS, 0x203},
            {Opcode.SMSG_GM_TICKET_CREATE, 0x206},
            {Opcode.SMSG_GM_TICKET_UPDATE_TEXT, 0x208},
            {Opcode.SMSG_ACCOUNT_DATA_TIMES, 0x209},
            {Opcode.SMSG_UPDATE_ACCOUNT_DATA, 0x20C},
            {Opcode.SMSG_CLEAR_FAR_SIGHT_IMMEDIATE, 0x20D},
            {Opcode.SMSG_CHANGE_PLAYER_DIFFICULTY_RESULT, 0x20E},
            {Opcode.SMSG_GM_TICKET_GET_TICKET, 0x212},
            {Opcode.SMSG_UPDATE_INSTANCE_ENCOUNTER_UNIT, 0x214},
            {Opcode.SMSG_GAMEOBJECT_DESPAWN_ANIM, 0x215},
            {Opcode.SMSG_GM_TICKET_DELETE_TICKET, 0x218},
            {Opcode.SMSG_CHAT_WRONG_FACTION, 0x219},
            {Opcode.SMSG_GM_TICKET_GET_SYSTEM_STATUS, 0x21B},
            {Opcode.SMSG_QUEST_FORCE_REMOVED, 0x21E},
            {Opcode.SMSG_SPIRIT_HEALER_CONFIRM, 0x222},
            {Opcode.SMSG_GOSSIP_POI, 0x224},
            {Opcode.SMSG_GM_PLAYER_INFO, 0x230},
            {Opcode.SMSG_LOGIN_VERIFY_WORLD, 0x236},
            {Opcode.SMSG_MAIL_COMMAND_RESULT, 0x239},
            {Opcode.SMSG_MAIL_LIST_RESULT, 0x23B},
            {Opcode.SMSG_BATTLEFIELD_LIST, 0x23D},
            {Opcode.SMSG_FORCE_SET_VEHICLE_REC_ID, 0x23F},
            {Opcode.SMSG_QUERY_ITEM_TEXT_RESPONSE, 0x244},
            {Opcode.SMSG_SPELL_MISS_LOG, 0x24B},
            {Opcode.SMSG_SPELL_EXECUTE_LOG, 0x24C},
            {Opcode.SMSG_DEBUGAURAPROC, 0x24D},
            {Opcode.SMSG_SPELL_PERIODIC_AURA_LOG, 0x24E},
            {Opcode.SMSG_SPELL_DAMAGE_SHIELD, 0x24F},
            {Opcode.SMSG_SPELL_NON_MELEE_DAMAGE_LOG, 0x250},
            {Opcode.SMSG_RESURRECT_FAILED, 0x252},
            {Opcode.SMSG_ZONE_UNDER_ATTACK, 0x254},
            {Opcode.SMSG_AUCTION_COMMAND_RESULT, 0x25B},
            {Opcode.SMSG_AUCTION_LIST_RESULT, 0x25C},
            {Opcode.SMSG_AUCTION_LIST_OWNER_ITEMS_RESULT, 0x25D},
            {Opcode.SMSG_AUCTION_BIDDER_NOTIFICATION, 0x25E},
            {Opcode.SMSG_AUCTION_OWNER_NOTIFICATION, 0x25F},
            {Opcode.SMSG_PROC_RESIST, 0x260},
            {Opcode.SMSG_COMBAT_EVENT_FAILED, 0x261},
            {Opcode.SMSG_DISPEL_FAILED, 0x262},
            {Opcode.SMSG_SPELL_OR_DAMAGE_IMMUNE, 0x263},
            {Opcode.SMSG_AUCTION_LIST_BIDDER_ITEMS_RESULT, 0x265},
            {Opcode.SMSG_SET_FLAT_SPELL_MODIFIER, 0x266},
            {Opcode.SMSG_SET_PCT_SPELL_MODIFIER, 0x267},
            {Opcode.SMSG_CORPSE_RECLAIM_DELAY, 0x269},
            {Opcode.SMSG_STABLE_RESULT, 0x273},
            {Opcode.SMSG_PLAY_MUSIC, 0x277},
            {Opcode.SMSG_PLAY_OBJECT_SOUND, 0x278},
            {Opcode.SMSG_SPELL_DISPELL_LOG, 0x27B},
            {Opcode.SMSG_DAMAGE_CALC_LOG, 0x27C},
            {Opcode.SMSG_RECEIVED_MAIL, 0x285},
            {Opcode.SMSG_RAID_GROUP_ONLY, 0x286},
            {Opcode.SMSG_PVP_CREDIT, 0x28C},
            {Opcode.SMSG_AUCTION_REMOVED_NOTIFICATION, 0x28D},
            {Opcode.SMSG_CHAT_SERVER_MESSAGE, 0x291},
            {Opcode.SMSG_LFG_OFFER_CONTINUE, 0x293},
            {Opcode.SMSG_TEST_DROP_RATE_RESULT, 0x295},
            {Opcode.SMSG_SHOW_MAILBOX, 0x297},
            {Opcode.SMSG_RESET_RANGED_COMBAT_TIMER, 0x298},
            {Opcode.SMSG_CHAT_NOT_IN_PARTY, 0x299},
            {Opcode.SMSG_CANCEL_AUTO_REPEAT, 0x29C},
            {Opcode.SMSG_STAND_STATE_UPDATE, 0x29D},
            {Opcode.SMSG_LOOT_ALL_PASSED, 0x29E},
            {Opcode.SMSG_LOOT_ROLL_WON, 0x29F},
            {Opcode.SMSG_LOOT_START_ROLL, 0x2A1},
            {Opcode.SMSG_LOOT_ROLL, 0x2A2},
            {Opcode.SMSG_LOOT_MASTER_LIST, 0x2A4},
            {Opcode.SMSG_SET_FORCED_REACTIONS, 0x2A5},
            {Opcode.SMSG_SPELL_FAILED_OTHER, 0x2A6},
            {Opcode.SMSG_GAME_OBJECT_RESET_STATE, 0x2A7},
            {Opcode.SMSG_CHAT_PLAYER_NOTFOUND, 0x2A9},
            {Opcode.SMSG_SUMMON_REQUEST, 0x2AB},
            {Opcode.SMSG_MONSTER_MOVE_TRANSPORT, 0x2AE},
            {Opcode.SMSG_PET_BROKEN, 0x2AF},
            {Opcode.SMSG_FEIGN_DEATH_RESISTED, 0x2B4},
            {Opcode.SMSG_SCRIPT_MESSAGE, 0x2B6},
            {Opcode.SMSG_DUEL_COUNTDOWN, 0x2B7},
            {Opcode.SMSG_AREA_TRIGGER_MESSAGE, 0x2B8},
            {Opcode.SMSG_LFG_ROLE_CHOSEN, 0x2BB},
            {Opcode.SMSG_PLAYER_SKINNED, 0x2BC},
            {Opcode.SMSG_DURABILITY_DAMAGE_DEATH, 0x2BD},
            {Opcode.SMSG_INIT_WORLD_STATES, 0x2C2},
            {Opcode.SMSG_UPDATE_WORLD_STATE, 0x2C3},
            {Opcode.SMSG_ITEM_NAME_QUERY_RESPONSE, 0x2C5},
            {Opcode.SMSG_PET_ACTION_FEEDBACK, 0x2C6},
            {Opcode.SMSG_CHARACTER_RENAME_RESULT, 0x2C8},
            {Opcode.SMSG_INSTANCE_SAVE_CREATED, 0x2CB},
            {Opcode.SMSG_RAID_INSTANCE_INFO, 0x2CC},
            {Opcode.SMSG_PLAY_SOUND, 0x2D2},
            {Opcode.SMSG_BATTLEFIELD_STATUS, 0x2D4},
            {Opcode.SMSG_FORCE_WALK_SPEED_CHANGE, 0x2DA},
            {Opcode.SMSG_FORCE_SWIM_BACK_SPEED_CHANGE, 0x2DC},
            {Opcode.SMSG_FORCE_TURN_RATE_CHANGE, 0x2DE},
            {Opcode.SMSG_AREA_SPIRIT_HEALER_TIME, 0x2E4},
            {Opcode.SMSG_WARDEN_DATA, 0x2E6},
            {Opcode.SMSG_BATTLEFIELD_STATUS_QUEUED, 0x2E8},
            {Opcode.SMSG_BINDER_CONFIRM, 0x2EB},
            {Opcode.SMSG_BATTLEGROUND_PLAYER_JOINED, 0x2EC},
            {Opcode.SMSG_BATTLEGROUND_PLAYER_LEFT, 0x2ED},
            {Opcode.SMSG_ADDON_INFO, 0x2EF},
            {Opcode.SMSG_PET_UNLEARN_CONFIRM, 0x2F1},
            {Opcode.SMSG_PARTY_MEMBER_STATS_FULL, 0x2F2},
            {Opcode.SMSG_WEATHER, 0x2F4},
            {Opcode.SMSG_PLAY_TIME_WARNING, 0x2F5},
            {Opcode.SMSG_MINIGAME_SETUP, 0x2F6},
            {Opcode.SMSG_MINIGAME_STATE, 0x2F7},
            {Opcode.SMSG_MINIGAME_MOVE_FAILED, 0x2F9},
            {Opcode.SMSG_RAID_INSTANCE_MESSAGE, 0x2FA},
            {Opcode.SMSG_COMPRESSED_MOVES, 0x2FB},
            {Opcode.SMSG_CHAT_RESTRICTED, 0x2FD},
            {Opcode.SMSG_MOVE_SPLINE_SET_RUN_SPEED, 0x2FE},
            {Opcode.SMSG_MOVE_SPLINE_SET_RUN_BACK_SPEED, 0x2FF},
            {Opcode.SMSG_MOVE_SPLINE_SET_SWIM_SPEED, 0x300},
            {Opcode.SMSG_MOVE_SPLINE_SET_WALK_BACK_SPEED, 0x301},
            {Opcode.SMSG_MOVE_SPLINE_SET_SWIM_BACK_SPEED, 0x302},
            {Opcode.SMSG_MOVE_SPLINE_SET_TURN_RATE, 0x303},
            {Opcode.SMSG_MOVE_SPLINE_UNROOT, 0x304},
            {Opcode.SMSG_MOVE_SPLINE_SET_FEATHER_FALL, 0x305},
            {Opcode.SMSG_MOVE_SPLINE_SET_NORMAL_FALL, 0x306},
            {Opcode.SMSG_MOVE_SPLINE_SET_HOVER, 0x307},
            {Opcode.SMSG_MOVE_SPLINE_UNSET_HOVER, 0x308},
            {Opcode.SMSG_MOVE_SPLINE_SET_WATER_WALK, 0x309},
            {Opcode.SMSG_MOVE_SPLINE_SET_LAND_WALK, 0x30A},
            {Opcode.SMSG_MOVE_SPLINE_START_SWIM, 0x30B},
            {Opcode.SMSG_MOVE_SPLINE_STOP_SWIM, 0x30C},
            {Opcode.SMSG_MOVE_SPLINE_SET_RUN_MODE, 0x30D},
            {Opcode.SMSG_MOVE_SPLINE_SET_WALK_MODE, 0x30E},
            {Opcode.SMSG_SET_FACTION_AT_WAR, 0x313},
            {Opcode.SMSG_GAMETIMEBIAS_SET, 0x314},
            {Opcode.SMSG_MOVE_SPLINE_ROOT, 0x31A},
            {Opcode.SMSG_INVALIDATE_PLAYER, 0x31C},
            {Opcode.SMSG_INSTANCE_RESET, 0x31E},
            {Opcode.SMSG_INSTANCE_RESET_FAILED, 0x31F},
            {Opcode.SMSG_UPDATE_LAST_INSTANCE, 0x320},
            {Opcode.SMSG_PET_ACTION_SOUND, 0x324},
            {Opcode.SMSG_PET_DISMISS_SOUND, 0x325},
            {Opcode.SMSG_GHOSTEE_GONE, 0x326},
            {Opcode.SMSG_GM_TICKET_STATUS_UPDATE, 0x328},
            {Opcode.SMSG_UPDATE_INSTANCE_OWNERSHIP, 0x32B},
            {Opcode.SMSG_UPDATE_ACTION_BUTTONS, 0x129},
            {Opcode.SMSG_CHAT_PLAYER_AMBIGUOUS, 0x32D},
            {Opcode.SMSG_SPELL_INSTAKILL_LOG, 0x32F},
            {Opcode.SMSG_SPELL_UPDATE_CHAIN_TARGETS, 0x330},
            {Opcode.SMSG_EXPECTED_SPAM_RECORDS, 0x332},
            {Opcode.SMSG_SPELL_STEAL_LOG, 0x333},
            {Opcode.SMSG_LOTTERY_QUERY_RESULT_OBSOLETE, 0x335},
            {Opcode.SMSG_LOTTERY_RESULT_OBSOLETE, 0x337},
            {Opcode.SMSG_CHARACTER_PROFILE, 0x338},
            {Opcode.SMSG_CHARACTER_PROFILE_REALM_CONNECTED, 0x339},
            {Opcode.SMSG_DEFENSE_MESSAGE, 0x33A},
            {Opcode.SMSG_INSTANCE_DIFFICULTY, 0x33B},
            {Opcode.SMSG_MOTD, 0x33D},
            {Opcode.SMSG_MOVE_ENABLE_TRANSITION_BETWEEN_SWIM_AND_FLY, 0x33E},
            {Opcode.SMSG_MOVE_DISABLE_TRANSITION_BETWEEN_SWIM_AND_FLY, 0x33F},
            {Opcode.SMSG_MOVE_SET_CAN_FLY, 0x343},
            {Opcode.SMSG_MOVE_UNSET_CAN_FLY, 0x344},
            {Opcode.SMSG_ARENA_TEAM_COMMAND_RESULT, 0x349},
            {Opcode.SMSG_ARENA_TEAM_QUERY_RESPONSE, 0x34C},
            {Opcode.SMSG_ARENA_TEAM_ROSTER, 0x34E},
            {Opcode.SMSG_ARENA_TEAM_INVITE, 0x350},
            {Opcode.SMSG_ARENA_TEAM_EVENT, 0x357},
            {Opcode.SMSG_ARENA_TEAM_STATS, 0x35B},
            {Opcode.SMSG_LFG_LFR_LIST, 0x360},
            {Opcode.SMSG_LFG_PROPOSAL_UPDATE, 0x361},
            {Opcode.SMSG_LFG_ROLE_CHECK_UPDATE, 0x363},
            {Opcode.SMSG_LFG_JOIN_RESULT, 0x364},
            {Opcode.SMSG_LFG_QUEUE_STATUS, 0x365},
            {Opcode.SMSG_LFG_UPDATE_PLAYER, 0x367},
            {Opcode.SMSG_LFG_UPDATE_PARTY, 0x368},
            {Opcode.SMSG_LFG_UPDATE_SEARCH, 0x369},
            {Opcode.SMSG_LFG_BOOT_PROPOSAL_UPDATE, 0x36D},
            {Opcode.SMSG_LFG_PLAYER_INFO, 0x36F},
            {Opcode.SMSG_LFG_PARTY_INFO, 0x372},
            {Opcode.SMSG_TITLE_EARNED, 0x373},
            {Opcode.SMSG_ARENA_ERROR, 0x376},
            {Opcode.SMSG_DEATH_RELEASE_LOC, 0x378},
            {Opcode.SMSG_FORCED_DEATH_UPDATE, 0x37A},
            {Opcode.SMSG_FORCE_FLIGHT_SPEED_CHANGE, 0x381},
            {Opcode.SMSG_FORCE_FLIGHT_BACK_SPEED_CHANGE, 0x383},
            {Opcode.SMSG_MOVE_SPLINE_SET_FLIGHT_SPEED, 0x385},
            {Opcode.SMSG_MOVE_SPLINE_SET_FLIGHT_BACK_SPEED, 0x386},
            {Opcode.SMSG_FLIGHT_SPLINE_SYNC, 0x388},
            {Opcode.SMSG_JOINED_BATTLEGROUND_QUEUE, 0x38A},
            {Opcode.SMSG_REALM_SPLIT, 0x38B},
            {Opcode.SMSG_OFFER_PETITION_ERROR, 0x38F},
            {Opcode.SMSG_TIME_SYNC_REQUEST, 0x390},
            {Opcode.SMSG_RESET_FAILED_NOTIFY, 0x396},
            {Opcode.SMSG_REAL_GROUP_UPDATE, 0x397},
            {Opcode.SMSG_LFG_DISABLED, 0x398},
            {Opcode.SMSG_CHEAT_DUMP_ITEMS_DEBUG_ONLY_RESPONSE, 0x39B},
            {Opcode.SMSG_CHEAT_DUMP_ITEMS_DEBUG_ONLY_RESPONSE_WRITE_FILE, 0x39C},
            {Opcode.SMSG_UPDATE_COMBO_POINTS, 0x39D},
            {Opcode.SMSG_VOICE_SESSION_ROSTER_UPDATE, 0x39E},
            {Opcode.SMSG_VOICE_SESSION_LEAVE, 0x39F},
            {Opcode.SMSG_VOICE_SESSION_ADJUST_PRIORITY, 0x3A0},
            {Opcode.SMSG_VOICE_SET_TALKER_MUTED, 0x3A2},
            {Opcode.SMSG_INIT_EXTRA_AURA_INFO_OBSOLETE, 0x3A3},
            {Opcode.SMSG_SET_EXTRA_AURA_INFO_OBSOLETE, 0x3A4},
            {Opcode.SMSG_SET_EXTRA_AURA_INFO_NEED_UPDATE_OBSOLETE, 0x3A5},
            {Opcode.SMSG_CLEAR_EXTRA_AURA_INFO_OBSOLETE, 0x3A6},
            {Opcode.SMSG_IGNORE_REQUIREMENTS_CHEAT, 0x3A9},
            {Opcode.SMSG_SPELL_CHANCE_PROC_LOG, 0x3AA},
            {Opcode.SMSG_DISMOUNT, 0x3AC},
            {Opcode.SMSG_VOICE_SESSION_ENABLE, 0x3B0},
            {Opcode.SMSG_VOICE_PARENTAL_CONTROLS, 0x3B1},
            {Opcode.SMSG_GM_MESSAGECHAT, 0x3B3},
            {Opcode.SMSG_COMMENTATOR_STATE_CHANGED, 0x3B6},
            {Opcode.SMSG_COMMENTATOR_MAP_INFO, 0x3B8},
            {Opcode.SMSG_COMMENTATOR_GET_PLAYER_INFO, 0x3BA},
            {Opcode.SMSG_COMMENTATOR_PLAYER_INFO, 0x3BB},
            {Opcode.SMSG_CLEAR_TARGET, 0x3BF},
            {Opcode.SMSG_CROSSED_INEBRIATION_THRESHOLD, 0x3C1},
            {Opcode.SMSG_CHEAT_PLAYER_LOOKUP, 0x3C4},
            {Opcode.SMSG_KICK_REASON, 0x3C5},
            {Opcode.SMSG_COMPLAINT_RESULT, 0x3C8},
            {Opcode.SMSG_FEATURE_SYSTEM_STATUS, 0x3C9},
            {Opcode.SMSG_CHANNEL_MEMBER_COUNT, 0x3D5},
            {Opcode.SMSG_DEBUG_LIST_TARGETS, 0x3D9},
            {Opcode.SMSG_AVAILABLE_VOICE_CHANNEL, 0x3DA},
            {Opcode.SMSG_COMSAT_RECONNECT_TRY, 0x3E0},
            {Opcode.SMSG_COMSAT_DISCONNECT, 0x3E1},
            {Opcode.SMSG_COMSAT_CONNECT_FAIL, 0x3E2},
            {Opcode.SMSG_VOICE_CHAT_STATUS, 0x3E3},
            {Opcode.SMSG_REPORT_PVP_AFK_RESULT, 0x3E5},
            {Opcode.SMSG_GUILD_BANK_QUERY_RESULTS, 0x3E8},
            {Opcode.SMSG_USERLIST_ADD, 0x3F0},
            {Opcode.SMSG_USERLIST_REMOVE, 0x3F1},
            {Opcode.SMSG_USERLIST_UPDATE, 0x3F2},
            {Opcode.SMSG_INSPECT_TALENT, 0x3F4},
            {Opcode.SMSG_GOGOGO_OBSOLETE, 0x3F5},
            {Opcode.SMSG_ECHO_PARTY_SQUELCH, 0x3F6},
            {Opcode.SMSG_LOOT_LIST, 0x3F9},
            {Opcode.SMSG_VOICESESSION_FULL, 0x3FC},
            {Opcode.SMSG_MIRROR_IMAGE_COMPONENTED_DATA, 0x402},
            {Opcode.SMSG_FORCE_DISPLAY_UPDATE, 0x403},
            {Opcode.SMSG_SPELL_CHANCE_RESIST_PUSHBACK, 0x404},
            {Opcode.SMSG_IGNORE_DIMINISHING_RETURNS_CHEAT, 0x406},
            {Opcode.SMSG_READY_CHECK_ERROR, 0x408},
            {Opcode.SMSG_GROUP_ACTION_THROTTLED, 0x411},
            {Opcode.SMSG_OVERRIDE_LIGHT, 0x412},
            {Opcode.SMSG_TOTEM_CREATED, 0x413},
            {Opcode.SMSG_QUEST_GIVER_STATUS_MULTIPLE, 0x418},
            {Opcode.SMSG_SET_PLAYER_DECLINED_NAMES_RESULT, 0x41A},
            {Opcode.SMSG_SERVER_BUCK_DATA, 0x41D},
            {Opcode.SMSG_SEND_UNLEARN_SPELLS, 0x41E},
            {Opcode.SMSG_PROPOSE_LEVEL_GRANT, 0x41F},
            {Opcode.SMSG_REFER_A_FRIEND_FAILURE, 0x421},
            {Opcode.SMSG_MOVE_SPLINE_SET_FLYING, 0x422},
            {Opcode.SMSG_MOVE_SPLINE_UNSET_FLYING, 0x423},
            {Opcode.SMSG_SUMMON_CANCEL, 0x424},
            {Opcode.SMSG_ENABLE_BARBER_SHOP, 0x427},
            {Opcode.SMSG_BARBER_SHOP_RESULT, 0x428},
            {Opcode.SMSG_CALENDAR_SEND_CALENDAR, 0x436},
            {Opcode.SMSG_CALENDAR_SEND_EVENT, 0x437},
            {Opcode.SMSG_CALENDAR_FILTER_GUILD, 0x438},
            {Opcode.SMSG_CALENDAR_ARENA_TEAM, 0x439},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE, 0x43A},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_REMOVED, 0x43B},
            {Opcode.SMSG_CALENDAR_EVENT_STATUS, 0x43C},
            {Opcode.SMSG_CALENDAR_COMMAND_RESULT, 0x43D},
            {Opcode.SMSG_CALENDAR_RAID_LOCKOUT_ADDED, 0x43E},
            {Opcode.SMSG_CALENDAR_RAID_LOCKOUT_REMOVED, 0x43F},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_ALERT, 0x440},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_REMOVED_ALERT, 0x441},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_STATUS_ALERT, 0x442},
            {Opcode.SMSG_CALENDAR_EVENT_REMOVED_ALERT, 0x443},
            {Opcode.SMSG_CALENDAR_EVENT_UPDATED_ALERT, 0x444},
            {Opcode.SMSG_CALENDAR_EVENT_MODERATOR_STATUS_ALERT, 0x445},
            {Opcode.SMSG_CALENDAR_SEND_NUM_PENDING, 0x448},
            {Opcode.SMSG_NOTIFY_DANCE, 0x44A},
            {Opcode.SMSG_PLAY_DANCE, 0x44C},
            {Opcode.SMSG_STOP_DANCE, 0x44F},
            {Opcode.SMSG_DANCE_QUERY_RESPONSE, 0x452},
            {Opcode.SMSG_INVALIDATE_DANCE, 0x453},
            {Opcode.SMSG_LEARNED_DANCE_MOVES, 0x455},
            {Opcode.SMSG_FORCE_PITCH_RATE_CHANGE, 0x45C},
            {Opcode.SMSG_MOVE_SPLINE_SET_PITCH_RATE, 0x45E},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_NOTES, 0x460},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_NOTES_ALERT, 0x461},
            {Opcode.SMSG_UPDATE_ACCOUNT_DATA_COMPLETE, 0x463},
            {Opcode.SMSG_TRIGGER_MOVIE, 0x464},
            {Opcode.SMSG_ACHIEVEMENT_EARNED, 0x468},
            {Opcode.SMSG_DYNAMIC_DROP_ROLL_RESULT, 0x469},
            {Opcode.SMSG_CRITERIA_UPDATE, 0x46A},
            {Opcode.SMSG_RESPOND_INSPECT_ACHIEVEMENTS, 0x46C},
            {Opcode.SMSG_QUEST_UPDATE_ADD_PVP_CREDIT, 0x46F},
            {Opcode.SMSG_CALENDAR_RAID_LOCKOUT_UPDATED, 0x471},
            {Opcode.SMSG_CHAR_CUSTOMIZE, 0x474},
            {Opcode.SMSG_PET_RENAMEABLE, 0x475},
            {Opcode.SMSG_PHASE_SHIFT_CHANGE, 0x47C},
            {Opcode.SMSG_ALL_ACHIEVEMENT_DATA, 0x47D},
            {Opcode.SMSG_HEALTH_UPDATE, 0x47F},
            {Opcode.SMSG_POWER_UPDATE, 0x480},
            {Opcode.SMSG_HIGHEST_THREAT_UPDATE, 0x482},
            {Opcode.SMSG_THREAT_UPDATE, 0x483},
            {Opcode.SMSG_THREAT_REMOVE, 0x484},
            {Opcode.SMSG_THREAT_CLEAR, 0x485},
            {Opcode.SMSG_CONVERT_RUNE, 0x486},
            {Opcode.SMSG_RESYNC_RUNES, 0x487},
            {Opcode.SMSG_ADD_RUNE_POWER, 0x488},
            {Opcode.SMSG_DUMP_OBJECTS_DATA, 0x48C},
            {Opcode.SMSG_NOTIFY_DEST_LOC_SPELL_CAST, 0x48E},
            {Opcode.SMSG_AUCTION_LIST_PENDING_SALES, 0x490},
            {Opcode.SMSG_MODIFY_COOLDOWN, 0x491},
            {Opcode.SMSG_PET_UPDATE_COMBO_POINTS, 0x492},
            {Opcode.SMSG_PRE_RESSURECT, 0x494},
            {Opcode.SMSG_AURA_UPDATE_ALL, 0x495},
            {Opcode.SMSG_AURA_UPDATE, 0x496},
            {Opcode.SMSG_SERVER_FIRST_ACHIEVEMENT, 0x498},
            {Opcode.SMSG_PET_LEARNED_SPELLS, 0x499},
            {Opcode.SMSG_PET_UNLEARNED_SPELLS, 0x49A},
            {Opcode.SMSG_ON_CANCEL_EXPECTED_RIDE_VEHICLE_AURA, 0x49D},
            {Opcode.SMSG_CRITERIA_DELETED, 0x49E},
            {Opcode.SMSG_ACHIEVEMENT_DELETED, 0x49F},
            {Opcode.SMSG_SERVER_INFO_RESPONSE, 0x4A1},
            {Opcode.SMSG_SERVER_BUCK_DATA_START, 0x4A3},
            {Opcode.SMSG_BATTLEGROUND_INFO_THROTTLED, 0x4A6},
            {Opcode.SMSG_PLAYER_VEHICLE_DATA, 0x4A7},
            {Opcode.SMSG_PET_GUIDS, 0x4AA},
            {Opcode.SMSG_CACHE_VERSION, 0x4AB},
            {Opcode.SMSG_ITEM_REFUND_INFO_RESPONSE, 0x4B2},
            {Opcode.SMSG_ITEM_PURCHASE_REFUND_RESULT, 0x4B5},
            {Opcode.SMSG_CORPSE_MAP_POSITION_QUERY_RESPONSE, 0x4B7},
            {Opcode.SMSG_CALENDAR_CLEAR_PENDING_ACTION, 0x4BB},
            {Opcode.SMSG_SET_PROJECTILE_POSITION, 0x4BF},
            {Opcode.SMSG_UPDATE_TALENT_DATA, 0x4C0},
            {Opcode.SMSG_ARENA_OPPONENT_UPDATE, 0x4C7},
            {Opcode.SMSG_ARENA_TEAM_CHANGE_FAILED_QUEUED, 0x4C8},
            {Opcode.SMSG_PROFILE_DATA_RESPONSE, 0x4CA},
            {Opcode.SMSG_MULTIPLE_PACKETS_2, 0x4CD},
            {Opcode.SMSG_MOVE_DISABLE_GRAVITY, 0x4CE},
            {Opcode.SMSG_MOVE_ENABLE_GRAVITY, 0x4D0},
            {Opcode.SMSG_MOVE_SPLINE_DISABLE_GRAVITY, 0x4D3},
            {Opcode.SMSG_MOVE_SPLINE_ENABLE_GRAVITY, 0x4D4},
            {Opcode.SMSG_USE_EQUIPMENT_SET_RESULT, 0x4D6},
            {Opcode.SMSG_FORCE_ANIM, 0x4D8},
            {Opcode.SMSG_CHAR_FACTION_CHANGE_RESULT, 0x4DA},
            {Opcode.SMSG_PVP_QUEUE_STATS, 0x4DC},
            {Opcode.SMSG_BATTLEFIELD_MGR_ENTRY_INVITE, 0x4DE},
            {Opcode.SMSG_BATTLEFIELD_MGR_ENTERING, 0x4E0},
            {Opcode.SMSG_BATTLEFIELD_MGR_QUEUE_INVITE, 0x4E1},
            {Opcode.SMSG_BATTLEFIELD_MGR_QUEUE_REQUEST_RESPONSE, 0x4E4},
            {Opcode.SMSG_BATTLEFIELD_MGR_EJECT_PENDING, 0x4E5},
            {Opcode.SMSG_BATTLEFIELD_MGR_EJECTED, 0x4E6},
            {Opcode.SMSG_BATTLEFIELD_MGR_STATE_CHANGE, 0x4E8},
            {Opcode.SMSG_TOGGLE_XP_GAIN, 0x4ED},
            {Opcode.SMSG_GMRESPONSE_DB_ERROR, 0x4EE},
            {Opcode.SMSG_GMRESPONSE_RECEIVED, 0x4EF},
            {Opcode.SMSG_GMRESPONSE_STATUS_UPDATE, 0x4F1},
            {Opcode.SMSG_GMRESPONSE_CREATE_TICKET, 0x4F2},
            {Opcode.SMSG_SERVERINFO, 0x4F5},
            {Opcode.SMSG_UI_TIME, 0x4F7},
            {Opcode.SMSG_TALENTS_INVOLUNTARILY_RESET, 0x4FA},
            {Opcode.SMSG_DEBUG_SERVER_GEO, 0x4FC},
            {Opcode.SMSG_LOOT_SLOT_CHANGED, 0x4FD},
            {Opcode.SMSG_QUERY_QUESTS_COMPLETED_RESPONSE, 0x501},
            {Opcode.SMSG_AFK_MONITOR_INFO_RESPONSE, 0x504},
            {Opcode.SMSG_AREA_TRIGGER_NO_CORPSE, 0x506},
            {Opcode.SMSG_CAMERA_SHAKE, 0x50A},
            {Opcode.SMSG_SOCKET_GEMS, 0x50B},
            {Opcode.SMSG_CONNECT_TO, 0x50D},
            {Opcode.SMSG_SUSPEND_COMMS, 0x50F},
            {Opcode.SMSG_RESUME_COMMS, 0x511},
            {Opcode.SMSG_COMBAT_LOG_MULTIPLE, 0x514},
            {Opcode.SMSG_OPEN_LFG_DUNGEON_FINDER, 0x515},
            {Opcode.SMSG_MOVE_SET_COLLISION_HGT, 0x516},
            {Opcode.SMSG_COMMENTATOR_SKIRMISH_QUEUE_RESULT1, 0x51C},
            {Opcode.SMSG_COMMENTATOR_SKIRMISH_QUEUE_RESULT2, 0x51D},
            {Opcode.SMSG_COMPRESSED_UNKNOWN_1310, 0x51E}
        };

        private static readonly BiDictionary<Opcode, int> MiscOpcodes = new BiDictionary<Opcode, int>
        {
            {Opcode.UMSG_UPDATE_GROUP_MEMBERS, 0x80},
            {Opcode.UMSG_UPDATE_GUILD, 0x94},
            {Opcode.MSG_MOVE_START_FORWARD, 0xB5},
            {Opcode.MSG_MOVE_START_BACKWARD, 0xB6},
            {Opcode.MSG_MOVE_STOP, 0xB7},
            {Opcode.MSG_MOVE_START_STRAFE_LEFT, 0xB8},
            {Opcode.MSG_MOVE_START_STRAFE_RIGHT, 0xB9},
            {Opcode.MSG_MOVE_STOP_STRAFE, 0xBA},
            {Opcode.MSG_MOVE_JUMP, 0xBB},
            {Opcode.MSG_MOVE_START_TURN_LEFT, 0xBC},
            {Opcode.MSG_MOVE_START_TURN_RIGHT, 0xBD},
            {Opcode.MSG_MOVE_STOP_TURN, 0xBE},
            {Opcode.MSG_MOVE_START_PITCH_UP, 0xBF},
            {Opcode.MSG_MOVE_START_PITCH_DOWN, 0xC0},
            {Opcode.MSG_MOVE_STOP_PITCH, 0xC1},
            {Opcode.MSG_MOVE_SET_RUN_MODE, 0xC2},
            {Opcode.MSG_MOVE_SET_WALK_MODE, 0xC3},
            {Opcode.MSG_MOVE_TOGGLE_LOGGING, 0xC4},
            {Opcode.MSG_MOVE_TELEPORT, 0xC5},
            {Opcode.MSG_MOVE_TELEPORT_CHEAT, 0xC6},
            {Opcode.MSG_MOVE_TELEPORT_ACK, 0xC7},
            {Opcode.MSG_MOVE_TOGGLE_FALL_LOGGING, 0xC8},
            {Opcode.MSG_MOVE_FALL_LAND, 0xC9},
            {Opcode.MSG_MOVE_START_SWIM, 0xCA},
            {Opcode.MSG_MOVE_STOP_SWIM, 0xCB},
            {Opcode.MSG_MOVE_SET_RUN_SPEED_CHEAT, 0xCC},
            {Opcode.MSG_MOVE_SET_RUN_SPEED, 0xCD},
            {Opcode.MSG_MOVE_SET_RUN_BACK_SPEED_CHEAT, 0xCE},
            {Opcode.MSG_MOVE_SET_RUN_BACK_SPEED, 0xCF},
            {Opcode.MSG_MOVE_SET_WALK_SPEED_CHEAT, 0xD0},
            {Opcode.MSG_MOVE_SET_WALK_SPEED, 0xD1},
            {Opcode.MSG_MOVE_SET_SWIM_SPEED_CHEAT, 0xD2},
            {Opcode.MSG_MOVE_SET_SWIM_SPEED, 0xD3},
            {Opcode.MSG_MOVE_SET_SWIM_BACK_SPEED_CHEAT, 0xD4},
            {Opcode.MSG_MOVE_SET_SWIM_BACK_SPEED, 0xD5},
            {Opcode.MSG_MOVE_SET_ALL_SPEED_CHEAT, 0xD6},
            {Opcode.MSG_MOVE_SET_TURN_RATE_CHEAT, 0xD7},
            {Opcode.MSG_MOVE_SET_TURN_RATE, 0xD8},
            {Opcode.MSG_MOVE_TOGGLE_COLLISION_CHEAT, 0xD9},
            {Opcode.MSG_MOVE_SET_FACING, 0xDA},
            {Opcode.MSG_MOVE_SET_PITCH, 0xDB},
            {Opcode.MSG_MOVE_WORLDPORT_ACK, 0xDC},
            {Opcode.MSG_MOVE_ROOT, 0xEC},
            {Opcode.MSG_MOVE_UNROOT, 0xED},
            {Opcode.MSG_MOVE_HEARTBEAT, 0xEE},
            {Opcode.MSG_MOVE_KNOCK_BACK, 0xF1},
            {Opcode.MSG_MOVE_HOVER, 0xF7},
            {Opcode.MSG_CHANNEL_START, 0x139},
            {Opcode.MSG_CHANNEL_UPDATE, 0x13A},
            {Opcode.MSG_PETITION_DECLINE, 0x1C2},
            {Opcode.MSG_MINIMAP_PING, 0x1D5},
            {Opcode.MSG_GM_BIND_OTHER, 0x1E8},
            {Opcode.MSG_GM_SUMMON, 0x1E9},
            {Opcode.MSG_GM_SHOWLABEL, 0x1EF},
            {Opcode.MSG_SAVE_GUILD_EMBLEM, 0x1F1},
            {Opcode.MSG_TABARDVENDOR_ACTIVATE, 0x1F2},
            {Opcode.MSG_RANDOM_ROLL, 0x1FB},
            {Opcode.MSG_CORPSE_QUERY, 0x216},
            {Opcode.MSG_AUCTION_HELLO, 0x255},
            {Opcode.MSG_GM_ACCOUNT_ONLINE, 0x26E},
            {Opcode.MSG_LIST_STABLED_PETS, 0x26F},
            {Opcode.MSG_QUEST_PUSH_RESULT, 0x276},
            {Opcode.MSG_QUERY_NEXT_MAIL_TIME, 0x284},
            {Opcode.MSG_TALENT_WIPE_CONFIRM, 0x2AA},
            {Opcode.MSG_DEV_SHOWLABEL, 0x2AD},
            {Opcode.MSG_MOVE_FEATHER_FALL, 0x2B0},
            {Opcode.MSG_MOVE_WATER_WALK, 0x2B1},
            {Opcode.UMSG_DELETE_GUILD_CHARTER, 0x2C0},
            {Opcode.MSG_PETITION_RENAME, 0x2C1},
            {Opcode.MSG_INSPECT_HONOR_STATS, 0x2D6},
            {Opcode.MSG_PVP_LOG_DATA, 0x2E0},
            {Opcode.MSG_BATTLEGROUND_PLAYER_POSITIONS, 0x2E9},
            {Opcode.MSG_GM_DESTROY_CORPSE, 0x310},
            {Opcode.MSG_MOVE_TIME_SKIPPED, 0x319},
            {Opcode.MSG_RAID_TARGET_UPDATE, 0x321},
            {Opcode.MSG_RAID_READY_CHECK, 0x322},
            {Opcode.MSG_SET_DUNGEON_DIFFICULTY, 0x329},
            {Opcode.MSG_DELAY_GHOST_TELEPORT, 0x32E},
            {Opcode.MSG_GM_RESETINSTANCELIMIT, 0x33C},
            {Opcode.MSG_MOVE_START_SWIM_CHEAT, 0x341},
            {Opcode.MSG_MOVE_STOP_SWIM_CHEAT, 0x342},
            {Opcode.MSG_MOVE_UPDATE_CAN_TRANSITION_BETWEEN_SWIM_AND_FLY, 0x34A},
            {Opcode.MSG_MOVE_START_ASCEND, 0x359},
            {Opcode.MSG_MOVE_STOP_ASCEND, 0x35A},
            {Opcode.MSG_INSPECT_ARENA_TEAMS, 0x377},
            {Opcode.MSG_MOVE_SET_FLIGHT_SPEED_CHEAT, 0x37D},
            {Opcode.MSG_MOVE_SET_FLIGHT_SPEED, 0x37E},
            {Opcode.MSG_MOVE_SET_FLIGHT_BACK_SPEED_CHEAT, 0x37F},
            {Opcode.MSG_MOVE_SET_FLIGHT_BACK_SPEED, 0x380},
            {Opcode.MSG_PARTY_ASSIGNMENT, 0x38E},
            {Opcode.MSG_MOVE_START_DESCEND, 0x3A7},
            {Opcode.MSG_MOVE_UPDATE_CAN_FLY, 0x3AD},
            {Opcode.MSG_RAID_READY_CHECK_CONFIRM, 0x3AE},
            {Opcode.MSG_GM_GEARRATING, 0x3B4},
            {Opcode.MSG_RAID_READY_CHECK_FINISHED, 0x3C6},
            {Opcode.MSG_NOTIFY_PARTY_SQUELCH, 0x3DF},
            {Opcode.MSG_GUILD_BANK_LOG_QUERY, 0x3EE},
            {Opcode.MSG_GUILD_PERMISSIONS, 0x3FD},
            {Opcode.MSG_GUILD_BANK_MONEY_WITHDRAWN, 0x3FE},
            {Opcode.MSG_GUILD_EVENT_LOG_QUERY, 0x3FF},
            {Opcode.MSG_QUERY_GUILD_BANK_TEXT, 0x40A},
            {Opcode.MSG_GM_CHANGE_ARENA_RATING, 0x40F},
            {Opcode.MSG_MOVE_SET_PITCH_RATE_CHEAT, 0x45A},
            {Opcode.MSG_MOVE_SET_PITCH_RATE, 0x45B},
            {Opcode.MSG_MOVE_GRAVITY_CHNG, 0x4D2},
            {Opcode.MSG_SET_RAID_DIFFICULTY, 0x4EB},
            {Opcode.MSG_VIEW_PHASE_SHIFT, 0x4F9},
            {Opcode.UMSG_UPDATE_GROUP_INFO, 0x4FE},
            {Opcode.MSG_MOVE_SET_COLLISION_HGT, 0x518}
        };
    }
}
