using WowPacketParser.Misc;

namespace WowPacketParser.Enums.Version.V4_2_0_14480
{
    public static class Opcodes_4_2_0
    {
        public static BiDictionary<Opcode, int> Opcodes(Direction direction)
        {
            switch (direction)
            {
                case Direction.ClientToServer:
                case Direction.BNClientToServer:
                    return ClientOpcodes;
                case Direction.ServerToClient:
                case Direction.BNServerToClient:
                    return ServerOpcodes;
                default:
                    return MiscOpcodes;
            }
        }

        private static readonly BiDictionary<Opcode, int> ClientOpcodes = new BiDictionary<Opcode, int>
        {
            {Opcode.CMSG_ACCEPT_LEVEL_GRANT, 0xE2A2},
            {Opcode.CMSG_ACCEPT_TRADE, 0x8C0},
            {Opcode.CMSG_ACTIVATE_TAXI, 0xA2AF},
            {Opcode.CMSG_ACTIVATE_TAXI_EXPRESS, 0xE6E6},
            {Opcode.CMSG_ADD_FRIEND, 0x2AA3},
            {Opcode.CMSG_ADD_IGNORE, 0x6E66},
            {Opcode.CMSG_VOICE_ADD_IGNORE, 0x2AAE},
            {Opcode.CMSG_ALTER_APPEARANCE, 0x7EA3},
            {Opcode.CMSG_AREA_TRIGGER, 0x62A6},
            {Opcode.CMSG_AREA_SPIRIT_HEALER_QUERY, 0x32EB},
            {Opcode.CMSG_AREA_SPIRIT_HEALER_QUEUE, 0x3AE6},
            {Opcode.CMSG_ARENA_TEAM_ACCEPT, 0x2EB7},
            {Opcode.CMSG_ARENA_TEAM_CREATE, 0x1050},
            {Opcode.CMSG_ARENA_TEAM_DECLINE, 0xAEE7},
            {Opcode.CMSG_ARENA_TEAM_DISBAND, 0xE2E3},
            {Opcode.CMSG_ARENA_TEAM_INVITE, 0xAA3B},
            {Opcode.CMSG_ARENA_TEAM_LEADER, 0x6E6B},
            {Opcode.CMSG_ARENA_TEAM_LEAVE, 0x3A66},
            {Opcode.CMSG_ARENA_TEAM_QUERY, 0xF62E},
            {Opcode.CMSG_ARENA_TEAM_REMOVE, 0xBEEF},
            {Opcode.CMSG_ARENA_TEAM_ROSTER, 0x7A66},
            {Opcode.CMSG_ATTACK_STOP, 0x6EAB},
            {Opcode.CMSG_ATTACK_SWING, 0x663B},
            {Opcode.CMSG_AUCTION_LIST_BIDDER_ITEMS, 0xBAF6},
            {Opcode.CMSG_AUCTION_LIST_ITEMS, 0x6E77},
            {Opcode.CMSG_AUCTION_LIST_OWNER_ITEMS, 0x2AAB},
            {Opcode.CMSG_AUCTION_LIST_PENDING_SALES, 0x3EE7},
            {Opcode.CMSG_AUCTION_PLACE_BID, 0x227B},
            {Opcode.CMSG_AUCTION_REMOVE_ITEM, 0xB62A},
            {Opcode.CMSG_AUCTION_SELL_ITEM, 0x6A6B},
            {Opcode.CMSG_AUTH_CONTINUED_SESSION, 0x1A0},
            {Opcode.CMSG_AUTH_CONTINUED_SESSION, 0x2120},
            {Opcode.CMSG_AUTH_SESSION, 0x29A0},
            {Opcode.CMSG_AUTOBANK_ITEM, 0xB6AE},
            {Opcode.CMSG_AUTO_EQUIP_ITEM, 0xB2F6},
            {Opcode.CMSG_AUTO_EQUIP_ITEM_SLOT, 0xBE72},
            {Opcode.CMSG_AUTO_STORE_BAG_ITEM, 0x7E6A},
            {Opcode.CMSG_AUTOSTORE_BANK_ITEM, 0x3E7A},
            {Opcode.CMSG_AUTOSTORE_LOOT_ITEM, 0xFE7F},
            {Opcode.CMSG_BANKER_ACTIVATE, 0x3627},
            {Opcode.CMSG_BATTLEFIELD_JOIN, 0xA860},
            {Opcode.CMSG_BATTLEFIELD_LIST, 0x38E8},
            {Opcode.CMSG_BATTLEFIELD_REQUEST_SCORE_DATA, 0x886B},
            {Opcode.CMSG_BATTLEFIELD_STATUS, 0x50D0},
            {Opcode.CMSG_BATTLEGROUND_PLAYER_POSITIONS, 0x98EB},
            {Opcode.CMSG_BATTLEMASTER_HELLO, 0x6AFA},
            {Opcode.CMSG_BATTLEMASTER_JOIN_ARENA, 0x86A},
            {Opcode.CMSG_BINDER_ACTIVATE, 0xEA6F},
            {Opcode.CMSG_BUG, 0x6262},
            {Opcode.CMSG_BUY_BACK_ITEM, 0xAAAF},
            {Opcode.CMSG_BUY_BANK_SLOT, 0xA2B6},
            {Opcode.CMSG_BUY_ITEM, 0x626A},
            {Opcode.CMSG_CALENDAR_ADD_EVENT, 0xEAA2},
            {Opcode.CMSG_CALENDAR_ARENA_TEAM, 0xBA7F},
            {Opcode.CMSG_CALENDAR_COMPLAIN, 0xFE36},
            {Opcode.CMSG_CALENDAR_CONTEXT_EVENT_SIGNUP, 0x762B},
            {Opcode.CMSG_CALENDAR_COPY_EVENT, 0xAEB6},
            {Opcode.CMSG_CALENDAR_EVENT_INVITE, 0xEEB2},
            {Opcode.CMSG_CALENDAR_EVENT_MODERATOR_STATUS, 0x6E37},
            {Opcode.CMSG_CALENDAR_EVENT_REMOVE_INVITE, 0xAA7A},
            {Opcode.CMSG_CALENDAR_EVENT_RSVP, 0x6EA7},
            {Opcode.CMSG_CALENDAR_EVENT_STATUS, 0xA26F},
            {Opcode.CMSG_CALENDAR_GET_CALENDAR, 0x2672},
            {Opcode.CMSG_CALENDAR_GET_EVENT, 0xFE6E},
            {Opcode.CMSG_CALENDAR_GET_NUM_PENDING, 0x2AEF},
            {Opcode.CMSG_CALENDAR_GUILD_FILTER, 0x3E72},
            {Opcode.CMSG_CALENDAR_REMOVE_EVENT, 0xE6E7},
            {Opcode.CMSG_CALENDAR_UPDATE_EVENT, 0x723A},
            {Opcode.CMSG_CANCEL_AURA, 0xBEEA},
            {Opcode.CMSG_CANCEL_AUTO_REPEAT_SPELL, 0x3662},
            {Opcode.CMSG_CANCEL_CAST, 0x32F3},
            {Opcode.CMSG_CANCEL_CHANNELLING, 0xAA63},
            {Opcode.CMSG_CANCEL_GROWTH_AURA, 0x3E7E},
            {Opcode.CMSG_CANCEL_MOUNT_AURA, 0xFEBA},
            {Opcode.CMSG_CANCEL_TEMP_ENCHANTMENT, 0xA22E},
            {Opcode.CMSG_CANCEL_TRADE, 0x28EA},
            {Opcode.CMSG_CAST_SPELL, 0x72FB},
            {Opcode.CMSG_CHAT_CHANNEL_ANNOUNCEMENTS, 0x1395},
            {Opcode.CMSG_CHAT_CHANNEL_BAN, 0x5B11},
            {Opcode.CMSG_CHAT_CHANNEL_DECLINE_INVITE, 0x7633},
            {Opcode.CMSG_CHAT_CHANNEL_DISPLAY_LIST, 0x51B1},
            {Opcode.CMSG_CHAT_CHANNEL_INVITE, 0x5B95},
            {Opcode.CMSG_CHAT_CHANNEL_KICK, 0x11B1},
            {Opcode.CMSG_CHAT_CHANNEL_LIST, 0x1995},
            {Opcode.CMSG_CHAT_CHANNEL_MODERATOR, 0x1935},
            {Opcode.CMSG_CHAT_CHANNEL_MUTE, 0x5335},
            {Opcode.CMSG_CHAT_CHANNEL_OWNER, 0x5135},
            {Opcode.CMSG_CHAT_CHANNEL_PASSWORD, 0x1BB1},
            {Opcode.CMSG_CHAT_CHANNEL_SET_OWNER, 0x5315},
            {Opcode.CMSG_CHAT_CHANNEL_SILENCE_ALL, 0x1B35},
            {Opcode.CMSG_CHAT_CHANNEL_SILENCE_VOICE, 0x1915},
            {Opcode.CMSG_CHAT_CHANNEL_UNBAN, 0x5B31},
            {Opcode.CMSG_CHAT_CHANNEL_UNMODERATOR, 0x19B5},
            {Opcode.CMSG_CHAT_CHANNEL_UNMUTE, 0x1391},
            {Opcode.CMSG_CHAT_CHANNEL_UNSILENCE_ALL, 0x5991},
            {Opcode.CMSG_CHAT_CHANNEL_UNSILENCE_VOICE, 0x1311},
            {Opcode.CMSG_CHAT_CHANNEL_VOICE_OFF, 0x1B91},
            {Opcode.CMSG_CHAT_CHANNEL_VOICE_ON, 0x1335},
            {Opcode.CMSG_CREATE_CHARACTER, 0x2A22},
            {Opcode.CMSG_CHAR_CUSTOMIZE, 0x2A66},
            {Opcode.CMSG_CHAR_DELETE, 0x6E32},
            {Opcode.CMSG_ENUM_CHARACTERS, 0x1091},
            {Opcode.CMSG_CHAR_FACTION_CHANGE, 0x7636},
            {Opcode.CMSG_CHAR_RACE_CHANGE, 0xB276},
            {Opcode.CMSG_CHARACTER_RENAME_REQUEST, 0x6263},
            {Opcode.CMSG_CLEAR_CHANNEL_WATCH, 0x3EA2},
            //{Opcode.CMSG_CLEAR_TRADE_ITEM, 0x9A0},
            {Opcode.CMSG_COMMENTATOR_ENABLE, 0x366F},
            {Opcode.CMSG_COMMENTATOR_ENTER_INSTANCE, 0x362F},
            {Opcode.CMSG_COMMENTATOR_EXIT_INSTANCE, 0xE6F7},
            {Opcode.CMSG_COMMENTATOR_GET_MAP_INFO, 0xE2F2},
            {Opcode.CMSG_COMMENTATOR_GET_PLAYER_INFO, 0xBA7B},
            {Opcode.CMSG_COMMENTATOR_INSTANCE_COMMAND, 0x72F7},
            {Opcode.CMSG_COMMENTATOR_SKIRMISH_QUEUE_COMMAND, 0x7A76},
            {Opcode.CMSG_COMPLAINT, 0xEA63},
            {Opcode.CMSG_COMPLETE_CINEMATIC, 0xB2F7},
            {Opcode.CMSG_COMPLETE_MOVIE, 0xF63F},
            {Opcode.CMSG_CONTACT_LIST, 0x7A3B},
            {Opcode.CMSG_CORPSE_MAP_POSITION_QUERY, 0xE626},
            {Opcode.CMSG_QUERY_CREATURE, 0xA662},
            {Opcode.CMSG_CUF_PROFILES_SAVE, 0x1862},
            {Opcode.CMSG_DANCE_QUERY, 0xA6BF},
            {Opcode.CMSG_DEL_FRIEND, 0x3E3B},
            {Opcode.CMSG_DEL_IGNORE, 0x7AB6},
            {Opcode.CMSG_VOICE_DEL_IGNORE, 0x2EA3},
            {Opcode.CMSG_DESTROY_ITEM, 0x6E7A},
            {Opcode.CMSG_DISMISS_CRITTER, 0xBEBE},
            {Opcode.CMSG_DUEL_ACCEPTED, 0xF63B},
            {Opcode.CMSG_DUEL_CANCELLED, 0x362E},
            {Opcode.CMSG_EJECT_PASSENGER, 0x3E6E},
            {Opcode.CMSG_EMOTE, 0xB6AF},
            {Opcode.CMSG_ENABLE_NAGLE, 0x9A0},
            {Opcode.CMSG_ENABLE_TAXI_NODE, 0xA2E2},
            {Opcode.CMSG_EQUIPMENT_SET_DELETE, 0xFEBF},
            {Opcode.CMSG_SAVE_EQUIPMENT_SET, 0xE26E},
            {Opcode.CMSG_EQUIPMENT_SET_USE, 0x26BA},
            //{Opcode.CMSG_FORCE_MOVE_ROOT_ACK, 0x8EB},
            {Opcode.CMSG_FORCE_MOVE_UNROOT_ACK, 0xA8E2},
            {Opcode.CMSG_FORCE_RUN_SPEED_CHANGE_ACK, 0x843},
            {Opcode.CMSG_QUERY_GAME_OBJECT, 0x3AFE},
            {Opcode.CMSG_GAME_OBJ_REPORT_USE, 0xEE27},
            {Opcode.CMSG_GAME_OBJ_USE, 0x72BB},
            {Opcode.CMSG_GAMETIME_SET, 0xF2AB},
            {Opcode.CMSG_GETDEATHBINDZONE, 0x18CA},
            {Opcode.CMSG_GET_ITEM_PURCHASE_DATA, 0xE276},
            {Opcode.CMSG_MAIL_GET_LIST, 0xEA33},
            {Opcode.CMSG_GET_MIRROR_IMAGE_DATA, 0xEEEA},
            {Opcode.CMSG_GM_TICKET_RESPONSE_RESOLVE, 0x363E},
            {Opcode.CMSG_GM_SURVEY_SUBMIT, 0xBEBB},
            {Opcode.CMSG_GM_TICKET_CREATE, 0x2223},
            {Opcode.CMSG_GM_TICKET_DELETE_TICKET, 0xFE22},
            {Opcode.CMSG_GM_TICKET_GET_TICKET, 0x32A2},
            {Opcode.CMSG_GM_TICKET_GET_SYSTEM_STATUS, 0x7E67},
            {Opcode.CMSG_GM_TICKET_UPDATE_TEXT, 0x6A2B},
            {Opcode.CMSG_GM_LAG_REPORT, 0xE2A6},
            {Opcode.CMSG_GOSSIP_HELLO, 0xEE7B},
            {Opcode.CMSG_GOSSIP_SELECT_OPTION, 0x2AE3},
            {Opcode.CMSG_GRANT_LEVEL, 0x3A2E},
            {Opcode.CMSG_GROUP_CHANGE_SUB_GROUP, 0x26A2},
            {Opcode.CMSG_GROUP_DISBAND, 0x2AEB},
            {Opcode.CMSG_GROUP_INVITE, 0x4051},
            {Opcode.CMSG_GROUP_RAID_CONVERT, 0x36BE},
            {Opcode.CMSG_GROUP_SET_LEADER, 0xB27A},
            {Opcode.CMSG_GROUP_SWAP_SUB_GROUP, 0xE222},
            //{Opcode.CMSG_GROUP_UNINVITE, 0xFEBB},
            {Opcode.CMSG_GROUP_UNINVITE_GUID, 0xFEBB},
            {Opcode.CMSG_GUILD_BANK_ACTIVATE, 0x26B2},
            {Opcode.CMSG_GUILD_BANK_BUY_TAB, 0x36B3},
            {Opcode.CMSG_GUILD_BANK_DEPOSIT_MONEY, 0x2A2F},
            {Opcode.CMSG_GUILD_BANK_QUERY_TAB, 0xA623},
            {Opcode.CMSG_GUILD_BANK_SET_TAB_TEXT, 0x6E26},
            {Opcode.CMSG_GUILD_BANK_SWAP_ITEMS, 0xFAF2},
            {Opcode.CMSG_GUILD_BANK_UPDATE_TAB, 0x727B},
            {Opcode.CMSG_GUILD_BANK_WITHDRAW_MONEY, 0x22EE},
            {Opcode.CMSG_GUILD_INFO, 0x226E},
            {Opcode.CMSG_GUILD_INVITE, 0xF232},
            {Opcode.CMSG_QUERY_GUILD_INFO, 0xA26A},
            {Opcode.CMSG_HEARTH_AND_RESURRECT, 0x7E66},
            {Opcode.CMSG_INSPECT, 0x6AAF},
            {Opcode.CMSG_INSTANCE_LOCK_WARNING_RESPONSE, 0xBEFE},
            //{Opcode.CMSG_ITEM_NAME_QUERY, 0x7EF7},
            {Opcode.CMSG_ITEM_PURCHASE_REFUND, 0x762A},
            {Opcode.CMSG_ITEM_TEXT_QUERY, 0x7EF7},
            {Opcode.CMSG_CHAT_JOIN_CHANNEL, 0x5B15},
            {Opcode.CMSG_KEEP_ALIVE, 0xE6BF},
            {Opcode.CMSG_LEARN_PREVIEW_TALENTS, 0xF22A},
            {Opcode.CMSG_LEARN_PREVIEW_TALENTS_PET, 0x32FA},
            {Opcode.CMSG_LEARN_TALENT, 0x6AAB},
            {Opcode.CMSG_LEAVE_BATTLEFIELD, 0x6EF2},
            {Opcode.CMSG_CHAT_LEAVE_CHANNEL, 0x5395},
            {Opcode.CMSG_LFG_JOIN, 0x3EB2},
            {Opcode.CMSG_LFG_LEAVE, 0x72A6},
            {Opcode.CMSG_LFG_LFR_JOIN, 0xAA26},
            {Opcode.CMSG_LFG_LFR_LEAVE, 0xFAEA},
            {Opcode.CMSG_LFG_PARTY_LOCK_INFO_REQUEST, 0xB2FE},
            {Opcode.CMSG_LFG_PLAYER_LOCK_INFO_REQUEST, 0xB6E3},
            {Opcode.CMSG_LFG_PROPOSAL_RESULT, 0xBAEA},
            {Opcode.CMSG_LFG_SET_BOOT_VOTE, 0xA6FB},
            {Opcode.CMSG_LFG_SET_COMMENT, 0xE676},
            {Opcode.CMSG_LFG_SET_ROLES, 0x26F7},
            {Opcode.CMSG_LFG_TELEPORT, 0xB673},
            {Opcode.CMSG_LIST_INVENTORY, 0xEAFB},
            {Opcode.CMSG_LOADING_SCREEN_NOTIFY, 0x4011},
            {Opcode.CMSG_LOGOUT_CANCEL, 0xF2BF},
            {Opcode.CMSG_LOGOUT_REQUEST, 0xB2A6},
            {Opcode.CMSG_LOOT_UNIT, 0x726B},
            {Opcode.CMSG_LOOT_MASTER_GIVE, 0x2A72},
            {Opcode.CMSG_SET_LOOT_METHOD, 0xEE62},
            {Opcode.CMSG_LOOT_MONEY, 0x3AEA},
            {Opcode.CMSG_LOOT_RELEASE, 0xE273},
            {Opcode.CMSG_LOOT_ROLL, 0x2EAF},
            {Opcode.CMSG_LOW_LEVEL_RAID1, 0x7EF3},
            {Opcode.CMSG_MAIL_CREATE_TEXT_ITEM, 0x6A6F},
            {Opcode.CMSG_MAIL_DELETE, 0x2EB3},
            {Opcode.CMSG_MAIL_MARK_AS_READ, 0xA2AB},
            {Opcode.CMSG_MAIL_RETURN_TO_SENDER, 0x7662},
            {Opcode.CMSG_MAIL_TAKE_ITEM, 0xFA3A},
            {Opcode.CMSG_MAIL_TAKE_MONEY, 0xAAF2},
            {Opcode.CMSG_MEETINGSTONE_INFO, 0x7622},
            {Opcode.CMSG_CHAT_MESSAGE_AFK, 0x1191},
            //{Opcode.CMSG_CHAT_MESSAGE_BATTLEGROUND, 0x5BB1},
            {Opcode.CMSG_CHAT_MESSAGE_BATTLEGROUND_LEADER, 0x5BB1},
            {Opcode.CMSG_CHAT_MESSAGE_CHANNEL, 0x5BB5},
            {Opcode.CMSG_CHAT_MESSAGE_DND, 0x1B31},
            {Opcode.CMSG_CHAT_MESSAGE_EMOTE, 0x1315},
            {Opcode.CMSG_CHAT_MESSAGE_GUILD, 0x1111},
            {Opcode.CMSG_CHAT_MESSAGE_OFFICER, 0x5911},
            //{Opcode.CMSG_CHAT_MESSAGE_PARTY, 0x5931},
            {Opcode.CMSG_CHAT_MESSAGE_PARTY_LEADER, 0x5931},
            //{Opcode.CMSG_CHAT_MESSAGE_RAID, 0x5311},
            {Opcode.CMSG_CHAT_MESSAGE_RAID_LEADER, 0x5311},
            {Opcode.CMSG_CHAT_MESSAGE_RAID_WARNING, 0x1195},
            {Opcode.CMSG_CHAT_MESSAGE_SAY, 0x59B5},
            {Opcode.CMSG_CHAT_MESSAGE_WHISPER, 0x5B35},
            {Opcode.CMSG_CHAT_MESSAGE_YELL, 0x13B1},
            {Opcode.CMSG_MINIGAME_MOVE, 0xBABB},
            {Opcode.CMSG_MOUNT_SPECIAL_ANIM, 0xAA6F},
            //{Opcode.CMSG_MOVE_SPLINE_DONE, 0x18CA},
            {Opcode.CMSG_MOVE_TIME_SKIPPED, 0x2848},
            {Opcode.CMSG_NAME_QUERY, 0x7266},
            {Opcode.CMSG_NEXT_CINEMATIC_CAMERA, 0xA2BA},
            {Opcode.CMSG_QUERY_NPC_TEXT, 0x3AEF},
            {Opcode.CMSG_OFFER_PETITION, 0x2EFE},
            {Opcode.CMSG_OPENING_CINEMATIC, 0x323E},
            {Opcode.CMSG_OPEN_ITEM, 0x3677},
            {Opcode.CMSG_OPT_OUT_OF_LOOT, 0xBEA3},
            {Opcode.CMSG_QUERY_PAGE_TEXT, 0xF2FF},
            {Opcode.CMSG_PARTY_SILENCE, 0x62EB},
            {Opcode.CMSG_PARTY_UNSILENCE, 0xF637},
            {Opcode.CMSG_PETITION_BUY, 0x2A26},
            {Opcode.CMSG_PETITION_QUERY, 0x7E36},
            {Opcode.CMSG_PETITION_SHOW_LIST, 0x2E2F},
            {Opcode.CMSG_PETITION_SHOW_SIGNATURES, 0xFA36},
            {Opcode.CMSG_PETITION_SIGN, 0x26BE},
            {Opcode.CMSG_PET_ABANDON, 0x72FE},
            {Opcode.CMSG_PET_ACTION, 0x7232},
            {Opcode.CMSG_PET_CANCEL_AURA, 0x66F6},
            {Opcode.CMSG_PET_CAST_SPELL, 0xB66B},
            {Opcode.CMSG_PET_LEARN_TALENT, 0xF2E2},
            {Opcode.CMSG_QUERY_PET_NAME, 0xBE3E},
            {Opcode.CMSG_PET_RENAME, 0xBAEE},
            {Opcode.CMSG_PET_SET_ACTION, 0x2A6E},
            {Opcode.CMSG_PET_SPELL_AUTOCAST, 0x66FE},
            {Opcode.CMSG_PET_STOP_ATTACK, 0xFA66},
            {Opcode.CMSG_PING, 0x2920},
            {Opcode.CMSG_REQUEST_PLAYED_TIME, 0xEEE2},
            {Opcode.CMSG_PLAYER_DIFFICULTY_CHANGE, 0x66F2},
            {Opcode.CMSG_PLAYER_LOGIN, 0x10D1},
            {Opcode.CMSG_PLAYER_LOGOUT, 0xEAEE},
            {Opcode.CMSG_PLAYER_VEHICLE_ENTER, 0xEEA2},
            {Opcode.CMSG_PLAY_DANCE, 0x323B},
            {Opcode.CMSG_CLIENT_PORT_GRAVEYARD, 0xB8EB},
            {Opcode.CMSG_PUSH_QUEST_TO_PARTY, 0x22B2},
            {Opcode.CMSG_QUERY_INSPECT_ACHIEVEMENTS, 0x32A7},
            {Opcode.CMSG_QUERY_QUESTS_COMPLETED, 0xFE33},
            {Opcode.CMSG_QUERY_TIME, 0x3226},
            //{Opcode.CMSG_QUEST_GIVER_ACCEPT_QUEST, 0xF2AB},
            {Opcode.CMSG_QUEST_GIVER_CANCEL, 0xE263},
            {Opcode.CMSG_QUEST_GIVER_CHOOSE_REWARD, 0x3EAB},
            {Opcode.CMSG_QUEST_GIVER_COMPLETE_QUEST, 0x72E3},
            {Opcode.CMSG_QUEST_GIVER_HELLO, 0xB22A},
            {Opcode.CMSG_QUEST_GIVER_QUERY_QUEST, 0xBEEB},
            {Opcode.CMSG_QUEST_GIVER_REQUEST_REWARD, 0xE27F},
            {Opcode.CMSG_QUEST_GIVER_STATUS_MULTIPLE_QUERY, 0xA2FA},
            {Opcode.CMSG_QUEST_GIVER_STATUS_QUERY, 0x7223},
            {Opcode.CMSG_QUEST_LOG_REMOVE_QUEST, 0x3A3F},
            {Opcode.CMSG_QUEST_CONFIRM_ACCEPT, 0xF2B7},
            {Opcode.CMSG_QUERY_QUEST_COMPLETION_NPCS, 0x98C8},
            {Opcode.CMSG_QUEST_POI_QUERY, 0xF2EE},
            {Opcode.CMSG_QUERY_QUEST_INFO, 0x2AFE},
            {Opcode.CMSG_READY_FOR_ACCOUNT_DATA_TIMES, 0xF226},
            {Opcode.CMSG_READ_ITEM, 0x6A67},
            {Opcode.CMSG_REALM_SPLIT, 0xB6E2},
            {Opcode.CMSG_RECLAIM_CORPSE, 0x7E76},
            {Opcode.CMSG_REPAIR_ITEM, 0x32BF},
            {Opcode.CMSG_REPOP_REQUEST, 0xF23A},
            {Opcode.CMSG_REPORT_PVP_PLAYER_AFK, 0x6E22},
            {Opcode.CMSG_REQUEST_ACCOUNT_DATA, 0x7E3B},
            {Opcode.CMSG_REQUEST_PARTY_MEMBER_STATS, 0x266B},
            {Opcode.CMSG_REQUEST_PET_INFO, 0xA6A2},
            {Opcode.CMSG_REQUEST_PLAYER_VEHICLE_EXIT, 0x3A3E},
            {Opcode.CMSG_REQUEST_RAID_INFO, 0xB672},
            {Opcode.CMSG_REQUEST_RATED_BG_INFO, 0x4000},
            {Opcode.CMSG_REQUEST_VEHICLE_NEXT_SEAT, 0xEE72},
            {Opcode.CMSG_REQUEST_VEHICLE_PREV_SEAT, 0x723F},
            {Opcode.CMSG_REQUEST_VEHICLE_SWITCH_SEAT, 0x2EBF},
            {Opcode.CMSG_RESET_INSTANCES, 0xE22B},
            {Opcode.CMSG_RESURRECT_RESPONSE, 0xBA32},
            {Opcode.CMSG_SELF_RES, 0xB2B3},
            {Opcode.CMSG_SELL_ITEM, 0x26B3},
            {Opcode.CMSG_SEND_MAIL, 0x4010},
            {Opcode.CMSG_SET_ACTION_BAR_TOGGLES, 0xBE62},
            {Opcode.CMSG_SET_ACTION_BUTTON, 0x7AB3},
            {Opcode.CMSG_SET_ACTIVE_MOVER, 0xB633},
            {Opcode.CMSG_SET_ACTIVE_VOICE_CHANNEL, 0x2636},
            {Opcode.CMSG_SET_AMMO, 0x100BF},
            {Opcode.CMSG_SET_ASSISTANT_LEADER, 0x6223},
            {Opcode.CMSG_SET_CHANNEL_WATCH, 0x7AA6},
            {Opcode.CMSG_SET_CONTACT_NOTES, 0xB2AA},
            {Opcode.CMSG_SET_FACTION_AT_WAR, 0x2E22},
            //{Opcode.CMSG_SET_FACTION_INACTIVE, 0xFE33},
            {Opcode.CMSG_SET_PLAYER_DECLINED_NAMES, 0x3EE6},
            {Opcode.CMSG_SET_PRIMARY_TALENT_TREE, 0xB627},
            {Opcode.CMSG_SET_SAVED_INSTANCE_EXTEND, 0xAEAB},
            {Opcode.CMSG_SET_SELECTION, 0x6626},
            {Opcode.CMSG_SET_SHEATHED, 0x76A2},
            {Opcode.CMSG_SET_TAXI_BENCHMARK_MODE, 0x7E3F},
            {Opcode.CMSG_SET_TITLE, 0x627B},
            {Opcode.CMSG_SET_TRADE_ITEM, 0x9863},
            {Opcode.CMSG_SET_WATCHED_FACTION, 0x3637},
            {Opcode.CMSG_SHOWING_CLOAK, 0x3636},
            {Opcode.CMSG_SHOWING_HELM, 0xB667},
            {Opcode.CMSG_SOCKET_GEMS, 0x26AB},
            {Opcode.CMSG_SPELL_CLICK, 0xEA77},
            {Opcode.CMSG_SPIRIT_HEALER_ACTIVATE, 0xB6B6},
            {Opcode.CMSG_SPLIT_ITEM, 0x6E67},
            {Opcode.CMSG_STAND_STATE_CHANGE, 0x32EA},
            {Opcode.CMSG_STOP_DANCE, 0x2EF3},
            {Opcode.CMSG_SUMMON_RESPONSE, 0x7A3A},
            {Opcode.CMSG_SWAP_INV_ITEM, 0xE66A},
            {Opcode.CMSG_SWAP_ITEM, 0x3ABB},
            {Opcode.CMSG_TAXICLEARALLNODES, 0x100BB},
            {Opcode.CMSG_TAXIENABLEALLNODES, 0x100BC},
            {Opcode.CMSG_TAXISHOWNODES, 0xAA77},
            {Opcode.CMSG_TAXI_NODE_STATUS_QUERY, 0x6622},
            {Opcode.CMSG_TELEPORT_TO_UNIT, 0xE62B},
            {Opcode.CMSG_SEND_TEXT_EMOTE, 0x7EB6},
            {Opcode.CMSG_TIME_SYNC_RESPONSE, 0x184A},
            {Opcode.CMSG_TOGGLE_PVP, 0xBA6F},
            {Opcode.CMSG_TOTEM_DESTROYED, 0x3EB7},
            {Opcode.CMSG_TRAINER_BUY_SPELL, 0xBA27},
            {Opcode.CMSG_TRAINER_LIST, 0xBEBA},
            {Opcode.CMSG_TURN_IN_PETITION, 0x727A},
            {Opcode.CMSG_TUTORIAL_CLEAR, 0xB2FB},
            {Opcode.CMSG_TUTORIAL_FLAG, 0x266A},
            {Opcode.CMSG_TUTORIAL_RESET, 0xB6BF},
            {Opcode.CMSG_UI_TIME_REQUEST, 0x6222},
            {Opcode.CMSG_UNACCEPT_TRADE, 0x8848},
            {Opcode.CMSG_UNLEARN_SKILL, 0xB2EE},
            {Opcode.CMSG_UPDATE_ACCOUNT_DATA, 0x66FF},
            {Opcode.CMSG_USE_ITEM, 0x22B3},
            {Opcode.CMSG_VOICE_SESSION_ENABLE, 0xBAA3},
            {Opcode.CMSG_WARDEN_DATA, 0xE2FB},
            {Opcode.CMSG_WHO, 0xF2B3},
            {Opcode.CMSG_WHO_IS, 0x26E3},
            {Opcode.CMSG_WORLD_TELEPORT, 0x80},
            {Opcode.CMSG_ZONEUPDATE, 0xAEB7}
        };

        private static readonly BiDictionary<Opcode, int> ServerOpcodes = new BiDictionary<Opcode, int>
        {
            {Opcode.SMSG_ACCOUNT_DATA_TIMES, 0x2E3E},
            {Opcode.SMSG_ACHIEVEMENT_DELETED, 0xEAFE},
            {Opcode.SMSG_ACHIEVEMENT_EARNED, 0xBAFA},
            {Opcode.SMSG_ACTIVATE_TAXI_REPLY, 0xAEB2},
            {Opcode.SMSG_ADDON_INFO, 0x6AAE},
            {Opcode.SMSG_ADD_RUNE_POWER, 0x2E6E},
            {Opcode.SMSG_AI_REACTION, 0xB2EF},
            {Opcode.SMSG_ALL_ACHIEVEMENT_DATA, 0x9B45},
            {Opcode.SMSG_AREA_SPIRIT_HEALER_TIME, 0xA2A7},
            {Opcode.SMSG_AREA_TRIGGER_MESSAGE, 0x7AA2},
            {Opcode.SMSG_AREA_TRIGGER_NO_CORPSE, 0xBAB7},
            {Opcode.SMSG_ARENA_ERROR, 0xF2FE},
            {Opcode.SMSG_ARENA_OPPONENT_UPDATE, 0x7A6F},
            {Opcode.SMSG_ARENA_TEAM_CHANGE_FAILED_QUEUED, 0xA22B},
            {Opcode.SMSG_ARENA_TEAM_COMMAND_RESULT, 0x8B45},
            {Opcode.SMSG_ARENA_TEAM_EVENT, 0x7273},
            {Opcode.SMSG_ARENA_TEAM_INVITE, 0xAAEA},
            {Opcode.SMSG_ARENA_TEAM_QUERY_RESPONSE, 0xFE2F},
            {Opcode.SMSG_ARENA_TEAM_ROSTER, 0xA276},
            {Opcode.SMSG_ARENA_TEAM_STATS, 0x2EBB},
            {Opcode.SMSG_ATTACKER_STATE_UPDATE, 0xBE26},
            {Opcode.SMSG_ATTACK_START, 0x6A22},
            {Opcode.SMSG_ATTACK_STOP, 0xE6FF},
            {Opcode.SMSG_ATTACKSWING_BADFACING, 0x622B},
            {Opcode.SMSG_ATTACKSWING_CANT_ATTACK, 0xF627},
            {Opcode.SMSG_ATTACKSWING_DEADTARGET, 0x3E67},
            {Opcode.SMSG_ATTACKSWING_NOTINRANGE, 0xEEE7},
            {Opcode.SMSG_AUCTION_BIDDER_NOTIFICATION, 0xAE67},
            {Opcode.SMSG_AUCTION_COMMAND_RESULT, 0x226F},
            {Opcode.SMSG_AUCTION_LIST_BIDDER_ITEMS_RESULT, 0x6AB7},
            {Opcode.SMSG_AUCTION_LIST_OWNER_ITEMS_RESULT, 0xE2AB},
            {Opcode.SMSG_AUCTION_LIST_PENDING_SALES, 0x367F},
            {Opcode.SMSG_AUCTION_LIST_RESULT, 0xEEB7},
            {Opcode.SMSG_AUCTION_OWNER_NOTIFICATION, 0x3E6B},
            {Opcode.SMSG_AUCTION_REMOVED_NOTIFICATION, 0x2ABF},
            {Opcode.SMSG_AURA_UPDATE, 0x2A37},
            {Opcode.SMSG_AURA_UPDATE_ALL, 0x6AA3},
            {Opcode.SMSG_AUTH_CHALLENGE, 0x8C10},
            {Opcode.SMSG_AUTH_RESPONSE, 0xBEFB},
            {Opcode.SMSG_AVAILABLE_VOICE_CHANNEL, 0x66F3},
            {Opcode.SMSG_BARBER_SHOP_RESULT, 0xFEEA},
            {Opcode.SMSG_BATTLEFIELD_LIST, 0x5301},
            {Opcode.SMSG_BATTLEFIELD_MGR_EJECTED, 0x1F25},
            {Opcode.SMSG_BATTLEFIELD_MGR_EJECT_PENDING, 0x9721},
            {Opcode.SMSG_BATTLEFIELD_MGR_ENTERING, 0x1B41},
            {Opcode.SMSG_BATTLEFIELD_MGR_ENTRY_INVITE, 0xD325},
            {Opcode.SMSG_BATTLEFIELD_MGR_QUEUE_INVITE, 0x5B03},
            {Opcode.SMSG_BATTLEFIELD_MGR_QUEUE_REQUEST_RESPONSE, 0x1F63},
            {Opcode.SMSG_BATTLEFIELD_MGR_STATE_CHANGE, 0x363},
            {Opcode.SMSG_BATTLEFIELD_STATUS_QUEUED, 0x8707},
            {Opcode.SMSG_BATTLEGROUND_EXIT_QUEUE, 0xB07},
            {Opcode.SMSG_BATTLEGROUND_INFO_THROTTLED, 0xBABF},
            {Opcode.SMSG_BATTLEGROUND_IN_PROGRESS, 0x4B05},
            {Opcode.SMSG_BATTLEGROUND_PLAYER_JOINED, 0x5B27},
            {Opcode.SMSG_BATTLEGROUND_WAIT_JOIN, 0x4F63},
            {Opcode.SMSG_BATTLEGROUND_WAIT_LEAVE, 0x303},
            {Opcode.SMSG_BINDER_CONFIRM, 0x2E66},
            {Opcode.SMSG_BIND_POINT_UPDATE, 0x7E26},
            {Opcode.SMSG_BINDZONEREPLY, 0x622E},
            {Opcode.SMSG_BREAK_TARGET, 0x66AB},
            {Opcode.SMSG_CALENDAR_ACTION_PENDING, 0x2A7F},
            {Opcode.SMSG_CALENDAR_ARENA_TEAM, 0xB677},
            {Opcode.SMSG_CALENDAR_COMMAND_RESULT, 0xBE2A},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE, 0x62BF},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_ALERT, 0x76B6},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_REMOVED, 0xE6F2},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_REMOVED_ALERT, 0x2EEA},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_STATUS_ALERT, 0x6E62},
            {Opcode.SMSG_CALENDAR_EVENT_MODERATOR_STATUS_ALERT, 0x3632},
            {Opcode.SMSG_CALENDAR_EVENT_REMOVED_ALERT, 0xE66E},
            {Opcode.SMSG_CALENDAR_EVENT_STATUS, 0xB6AA},
            {Opcode.SMSG_CALENDAR_EVENT_UPDATED_ALERT, 0x7AAB},
            {Opcode.SMSG_CALENDAR_FILTER_GUILD, 0x2E3A},
            {Opcode.SMSG_CALENDAR_RAID_LOCKOUT_ADDED, 0xAAB3},
            {Opcode.SMSG_CALENDAR_RAID_LOCKOUT_REMOVED, 0xF6FA},
            {Opcode.SMSG_CALENDAR_SEND_CALENDAR, 0x326E},
            {Opcode.SMSG_CALENDAR_SEND_EVENT, 0xA6B2},
            {Opcode.SMSG_CALENDAR_SEND_NUM_PENDING, 0x3623},
            {Opcode.SMSG_CALENDAR_UPDATE_INVITE_LIST, 0x7276},
            {Opcode.SMSG_CALENDAR_UPDATE_INVITE_LIST2, 0xEA2A},
            {Opcode.SMSG_CALENDAR_UPDATE_INVITE_LIST3, 0x3A32},
            {Opcode.SMSG_CANCEL_AUTO_REPEAT, 0xFEA7},
            {Opcode.SMSG_CANCEL_COMBAT, 0xA2BB},
            {Opcode.SMSG_CAST_FAILED, 0xB626},
            {Opcode.SMSG_CHANNEL_LIST, 0x7E77},
            {Opcode.SMSG_CHANNEL_MEMBER_COUNT, 0xFAF7},
            {Opcode.SMSG_CHANNEL_NOTIFY, 0x26B6},
            {Opcode.SMSG_CHARACTER_LOGIN_FAILED, 0xB2E3},
            {Opcode.SMSG_CREATE_CHAR, 0x3E36},
            {Opcode.SMSG_CHAR_CUSTOMIZE, 0x2E7F},
            {Opcode.SMSG_DELETE_CHAR, 0x3EFA},
            {Opcode.SMSG_ENUM_CHARACTERS_RESULT, 0xC727},
            {Opcode.SMSG_CHAR_FACTION_CHANGE_RESULT, 0x66EF},
            {Opcode.SMSG_CHARACTER_RENAME_RESULT, 0x2E33},
            {Opcode.SMSG_CHAT, 0x6A2A},
            {Opcode.SMSG_CHAT_PLAYER_AMBIGUOUS, 0x3E6F},
            {Opcode.SMSG_CHAT_PLAYER_NOTFOUND, 0xB2A2},
            {Opcode.SMSG_CHAT_RESTRICTED, 0x7667},
            {Opcode.SMSG_CHAT_WRONG_FACTION, 0x2233},
            {Opcode.SMSG_CLEAR_COOLDOWN, 0xEA7E},
            {Opcode.SMSG_CLEAR_FAR_SIGHT_IMMEDIATE, 0xAA7F},
            {Opcode.SMSG_CLEAR_TARGET, 0xAE6B},
            {Opcode.SMSG_CACHE_VERSION, 0xA237},
            {Opcode.SMSG_CONTROL_UPDATE, 0xE267},
            {Opcode.SMSG_COMBAT_LOG_MULTIPLE, 0xEE77},
            {Opcode.SMSG_COMMENTATOR_MAP_INFO, 0x76F6},
            {Opcode.SMSG_COMMENTATOR_PLAYER_INFO, 0xE236},
            {Opcode.SMSG_COMMENTATOR_STATE_CHANGED, 0x2AF7},
            {Opcode.SMSG_COMPLAINT_RESULT, 0x7E3E},
            {Opcode.SMSG_COMPRESSED_MOVES, 0x662F},
            {Opcode.SMSG_COMPRESSED_UPDATE_OBJECT, 0xE23F},
            {Opcode.SMSG_CONTACT_LIST, 0xBEE3},
            {Opcode.SMSG_CONVERT_RUNE, 0xA2EA},
            {Opcode.SMSG_COOLDOWN_CHEAT, 0xA2F3},
            {Opcode.SMSG_COOLDOWN_EVENT, 0xF6F3},
            {Opcode.SMSG_CORPSE_RECLAIM_DELAY, 0xF623},
            {Opcode.SMSG_QUERY_CREATURE_RESPONSE, 0xAA67},
            {Opcode.SMSG_CRITERIA_DELETED, 0xF227},
            {Opcode.SMSG_CRITERIA_UPDATE, 0xA2F7},
            {Opcode.SMSG_CROSSED_INEBRIATION_THRESHOLD, 0x26FF},
            {Opcode.SMSG_CUF_PROFILES_LOAD, 0xCF23},
            {Opcode.SMSG_DAMAGE_CALC_LOG, 0x6AEF},
            {Opcode.SMSG_DANCE_QUERY_RESPONSE, 0x3EFB},
            {Opcode.SMSG_DEATH_RELEASE_LOC, 0xB27B},
            {Opcode.SMSG_DEFENSE_MESSAGE, 0xF6B6},
            {Opcode.SMSG_DESTROY_OBJECT, 0xFEBE},
            {Opcode.SMSG_DESTRUCTIBLE_BUILDING_DAMAGE, 0xBA6E},
            {Opcode.SMSG_DISMOUNT, 0x263B},
            {Opcode.SMSG_DISMOUNT_RESULT, 0x26AF},
            {Opcode.SMSG_DISPEL_FAILED, 0xA6F2},
            {Opcode.SMSG_DUEL_COMPLETE, 0xB6FE},
            {Opcode.SMSG_DUEL_COUNTDOWN, 0x7E73},
            {Opcode.SMSG_DUEL_IN_BOUNDS, 0xEA66},
            {Opcode.SMSG_DUEL_OUT_OF_BOUNDS, 0xBA72},
            {Opcode.SMSG_DUEL_REQUESTED, 0xAA6E},
            {Opcode.SMSG_DUEL_WINNER, 0x3AF2},
            {Opcode.SMSG_DURABILITY_DAMAGE_DEATH, 0xBEA6},
            {Opcode.SMSG_ECHO_PARTY_SQUELCH, 0x2A7A},
            {Opcode.SMSG_EMOTE, 0x76FE},
            {Opcode.SMSG_ENABLE_BARBER_SHOP, 0x367A},
            {Opcode.SMSG_ENCHANTMENT_LOG, 0xA6AE},
            {Opcode.SMSG_ENVIRONMENTAL_DAMAGE_LOG, 0x6EE6},
            {Opcode.SMSG_EQUIPMENT_SET_ID, 0x76A6},
            {Opcode.SMSG_EXPECTED_SPAM_RECORDS, 0xAEB3},
            {Opcode.SMSG_EXPLORATION_EXPERIENCE, 0xA66A},
            {Opcode.SMSG_FEATURE_SYSTEM_STATUS, 0x1F61},
            {Opcode.SMSG_FEIGN_DEATH_RESISTED, 0xBA2B},
            {Opcode.SMSG_FISH_ESCAPED, 0x6AFF},
            {Opcode.SMSG_FISH_NOT_HOOKED, 0xEAAF},
            {Opcode.SMSG_FLIGHT_SPLINE_SYNC, 0xFEF2},
            {Opcode.SMSG_FORCEACTIONSHOW, 0x7AEA},
            {Opcode.SMSG_FORCED_DEATH_UPDATE, 0x6ABA},
            {Opcode.SMSG_FORCE_DISPLAY_UPDATE, 0x22AE},
            {Opcode.SMSG_FORCE_RUN_SPEED_CHANGE, 0x1301},
            {Opcode.SMSG_FRIEND_STATUS, 0x3EBE},
            {Opcode.SMSG_GAMEOBJECT_DESPAWN_ANIM, 0x32F7},
            {Opcode.SMSG_QUERY_GAME_OBJECT_RESPONSE, 0xAEBF},
            {Opcode.SMSG_GAME_OBJECT_RESET_STATE, 0xAAAE},
            {Opcode.SMSG_GAME_SPEED_SET, 0xAAB2},
            {Opcode.SMSG_GAME_TIME_SET, 0xB26F},
            {Opcode.SMSG_GAME_TIME_UPDATE, 0x6AFE},
            {Opcode.SMSG_GMRESPONSE_DB_ERROR, 0x726A},
            {Opcode.SMSG_GMRESPONSE_RECEIVED, 0xBA66},
            {Opcode.SMSG_GMRESPONSE_STATUS_UPDATE, 0x4090},
            {Opcode.SMSG_GM_TICKET_CREATE, 0xAAEF},
            {Opcode.SMSG_GM_TICKET_DELETE_TICKET, 0xF6F2},
            {Opcode.SMSG_GM_TICKET_GET_TICKET, 0xF66B},
            {Opcode.SMSG_GM_TICKET_GET_SYSTEM_STATUS, 0xAE3E},
            {Opcode.SMSG_GM_TICKET_UPDATE_TEXT, 0xF62B},
            {Opcode.SMSG_GM_MESSAGECHAT, 0xA262},
            {Opcode.SMSG_GM_TICKET_STATUS_UPDATE, 0xB6BA},
            {Opcode.SMSG_GOD_MODE, 0x76E7},
            {Opcode.SMSG_GOSSIP_COMPLETE, 0xF6A3},
            {Opcode.SMSG_GOSSIP_MESSAGE, 0x62E6},
            {Opcode.SMSG_GOSSIP_POI, 0x223A},
            {Opcode.SMSG_GROUP_CANCEL, 0xA627},
            {Opcode.SMSG_GROUP_DECLINE, 0x32E7},
            {Opcode.SMSG_GROUP_DESTROYED, 0x6AF6},
            {Opcode.SMSG_GROUP_LIST, 0xBEB3},
            {Opcode.SMSG_GROUP_SET_LEADER, 0x3A63},
            {Opcode.SMSG_GROUP_UNINVITE, 0xBE6B},
            {Opcode.SMSG_GUILD_BANK_QUERY_RESULTS, 0xEA6A},
            {Opcode.SMSG_GUILD_COMMAND_RESULT, 0xF26A},
            {Opcode.SMSG_GUILD_DECLINE, 0xF6AF},
            {Opcode.SMSG_GUILD_EVENT, 0x6672},
            {Opcode.SMSG_GUILD_INFO, 0x3EAF},
            {Opcode.SMSG_GUILD_INVITE, 0x9F65},
            {Opcode.SMSG_GUILD_NEWS_UPDATE, 0x8F41},
            {Opcode.SMSG_QUERY_GUILD_INFO_RESPONSE, 0x76E3},
            {Opcode.SMSG_GUILD_RANKS, 0xF05},
            {Opcode.SMSG_GUILD_REWARD_LIST, 0xC303},
            {Opcode.SMSG_GUILD_ROSTER, 0x1B47},
            {Opcode.SMSG_GUILD_TRADESKILL_UPDATE, 0x343},
            {Opcode.SMSG_HEALTH_UPDATE, 0xB66A},
            {Opcode.SMSG_HIGHEST_THREAT_UPDATE, 0x36AB},
            {Opcode.SMSG_INITIALIZE_FACTIONS, 0x3A2A},
            {Opcode.SMSG_SEND_KNOWN_SPELLS, 0xF6AE},
            {Opcode.SMSG_INIT_WORLD_STATES, 0x7EB7},
            {Opcode.SMSG_INSPECT_HONOR_STATS, 0xCF21},
            {Opcode.SMSG_INSPECT_RESULTS_UPDATE, 0xBA7E},
            {Opcode.SMSG_INSPECT_TALENT, 0xEAF7},
            {Opcode.SMSG_INSTANCE_RESET, 0xB6B3},
            {Opcode.SMSG_INSTANCE_RESET_FAILED, 0x326B},
            {Opcode.SMSG_INSTANCE_SAVE_CREATED, 0xAE2B},
            {Opcode.SMSG_INVALIDATE_DANCE, 0x22AA},
            {Opcode.SMSG_INVALIDATE_PLAYER, 0xA2FF},
            {Opcode.SMSG_INVALID_PROMOTION_CODE, 0x6A23},
            {Opcode.SMSG_INVENTORY_CHANGE_FAILURE, 0x36A2},
            {Opcode.SMSG_ITEM_COOLDOWN, 0xF6FE},
            {Opcode.SMSG_ITEM_ENCHANT_TIME_UPDATE, 0x362A},
            //{Opcode.SMSG_ITEM_NAME_QUERY_RESPONSE, 0xFA67},
            {Opcode.SMSG_ITEM_PUSH_RESULT, 0xA6A3},
            {Opcode.SMSG_ITEM_REFUND_INFO_RESPONSE, 0xDB03},
            {Opcode.SMSG_ITEM_PURCHASE_REFUND_RESULT, 0x8765},
            {Opcode.SMSG_QUERY_ITEM_TEXT_RESPONSE, 0x7A3E},
            {Opcode.SMSG_ITEM_TIME_UPDATE, 0x763E},
            {Opcode.SMSG_JOINED_BATTLEGROUND_QUEUE, 0xDB01},
            {Opcode.SMSG_KICK_REASON, 0xAA36},
            {Opcode.SMSG_LEARNED_DANCE_MOVES, 0xA6EB},
            {Opcode.SMSG_LEARNED_SPELL, 0x3626},
            {Opcode.SMSG_LEVEL_UP_INFO, 0xE2AE},
            {Opcode.SMSG_LFG_BOOT_PROPOSAL_UPDATE, 0xF237},
            {Opcode.SMSG_LFG_DISABLED, 0xAEFF},
            {Opcode.SMSG_LFG_JOIN_RESULT, 0x366A},
            {Opcode.SMSG_LFG_LFR_LIST, 0xEE37},
            {Opcode.SMSG_LFG_OFFER_CONTINUE, 0xAAFE},
            {Opcode.SMSG_LFG_PARTY_INFO, 0xAEAA},
            {Opcode.SMSG_LFG_PLAYER_INFO, 0xEABF},
            {Opcode.SMSG_LFG_PLAYER_REWARD, 0x22B6},
            {Opcode.SMSG_LFG_PROPOSAL_UPDATE, 0xFAE2},
            {Opcode.SMSG_LFG_QUEUE_STATUS, 0x6E76},
            {Opcode.SMSG_LFG_ROLE_CHECK_UPDATE, 0x26A3},
            {Opcode.SMSG_LFG_ROLE_CHOSEN, 0x2AB7},
            {Opcode.SMSG_LFG_TELEPORT_DENIED, 0xE6B3},
            {Opcode.SMSG_LFG_UPDATE_LIST, 0x6673},
            {Opcode.SMSG_LFG_UPDATE_PARTY, 0x666E},
            {Opcode.SMSG_LFG_UPDATE_PLAYER, 0x7A27},
            {Opcode.SMSG_VENDOR_INVENTORY, 0xCB43},
            {Opcode.SMSG_LOGIN_SET_TIME_SPEED, 0x766F},
            {Opcode.SMSG_LOGIN_VERIFY_WORLD, 0xBA77},
            {Opcode.SMSG_LOGOUT_CANCEL_ACK, 0xAA37},
            {Opcode.SMSG_LOGOUT_COMPLETE, 0xA27F},
            {Opcode.SMSG_LOGOUT_RESPONSE, 0x62BA},
            {Opcode.SMSG_LOG_XP_GAIN, 0xEE7A},
            {Opcode.SMSG_LOOT_ALL_PASSED, 0x7222},
            {Opcode.SMSG_LOOT_CLEAR_MONEY, 0xAABA},
            {Opcode.SMSG_LOOT_ITEM_NOTIFY, 0xFEF7},
            {Opcode.SMSG_LOOT_LIST, 0xB2AB},
            {Opcode.SMSG_LOOT_MASTER_LIST, 0xA2BE},
            {Opcode.SMSG_LOOT_MONEY_NOTIFY, 0xB637},
            {Opcode.SMSG_LOOT_RELEASE, 0xF66E},
            {Opcode.SMSG_LOOT_REMOVED, 0x327F},
            {Opcode.SMSG_LOOT_RESPONSE, 0xF663},
            {Opcode.SMSG_LOOT_ROLL, 0x6E33},
            {Opcode.SMSG_LOOT_ROLL_WON, 0x2AAA},
            {Opcode.SMSG_LOOT_SLOT_CHANGED, 0x2EFB},
            {Opcode.SMSG_LOOT_START_ROLL, 0x722A},
            {Opcode.SMSG_MAIL_LIST_RESULT, 0xF63A},
            {Opcode.SMSG_MEETINGSTONE_IN_PROGRESS, 0x2E7A},
            {Opcode.SMSG_MEETINGSTONE_MEMBER_ADDED, 0x3AEE},
            {Opcode.SMSG_MEETINGSTONE_SETQUEUE, 0x3A3A},
            {Opcode.SMSG_MINIGAME_SETUP, 0xF277},
            {Opcode.SMSG_MIRROR_IMAGE_COMPONENTED_DATA, 0x2A6B},
            {Opcode.SMSG_MODIFY_COOLDOWN, 0x26FB},
            {Opcode.SMSG_MONSTER_MOVE_TRANSPORT, 0xB2BA},
            {Opcode.SMSG_MOTD, 0xE6FB},
            {Opcode.SMSG_MOUNT_RESULT, 0xEEF2},
            {Opcode.SMSG_MOUNT_SPECIAL_ANIM, 0x22F3},
            {Opcode.SMSG_MOVE_UPDATE, 0x5341},
            {Opcode.SMSG_MULTIPLE_PACKETS_2, 0x2A76},
            {Opcode.SMSG_QUERY_PLAYER_NAME_RESPONSE, 0xFA67},
            {Opcode.SMSG_NEW_TAXI_PATH, 0x6AA6},
            {Opcode.SMSG_NEW_WORLD, 0x00F01},
            {Opcode.SMSG_NOTIFICATION, 0x76A7},
            {Opcode.SMSG_NOTIFY_DANCE, 0x2632},
            {Opcode.SMSG_NOTIFY_DEST_LOC_SPELL_CAST, 0x227A},
            {Opcode.SMSG_QUERY_NPC_TEXT_RESPONSE, 0x2AFF},
            {Opcode.SMSG_OFFER_PETITION_ERROR, 0x267B},
            {Opcode.SMSG_ON_CANCEL_EXPECTED_RIDE_VEHICLE_AURA, 0x22BA},
            {Opcode.SMSG_ON_MONSTER_MOVE, 0xAAE6},
            {Opcode.SMSG_OPEN_LFG_DUNGEON_FINDER, 0xAEFA},
            {Opcode.SMSG_OVERRIDE_LIGHT, 0x3A36},
            {Opcode.SMSG_PAGE_TEXT, 0x7EFA},
            {Opcode.SMSG_QUERY_PAGE_TEXT_RESPONSE, 0x762F},
            {Opcode.SMSG_PARTY_COMMAND_RESULT, 0xF2EF},
            {Opcode.SMSG_PARTY_KILL_LOG, 0x3276},
            {Opcode.SMSG_PARTY_MEMBER_STATS, 0xB2BB},
            {Opcode.SMSG_PARTY_MEMBER_STATS_FULL, 0x2ABA},
            {Opcode.SMSG_PAUSE_MIRROR_TIMER, 0xA2EF},
            {Opcode.SMSG_SPELL_PERIODIC_AURA_LOG, 0xA2A3},
            {Opcode.SMSG_PETGODMODE, 0x72FA},
            {Opcode.SMSG_PETITION_QUERY_RESPONSE, 0x3AB7},
            {Opcode.SMSG_PETITION_SHOW_LIST, 0x72AA},
            {Opcode.SMSG_PETITION_SHOW_SIGNATURES, 0xFABB},
            {Opcode.SMSG_PETITION_SIGN_RESULTS, 0x6E6F},
            {Opcode.SMSG_PET_ACTION_FEEDBACK, 0x6A7B},
            {Opcode.SMSG_PET_ACTION_SOUND, 0x62FB},
            {Opcode.SMSG_PET_BROKEN, 0xFE3A},
            {Opcode.SMSG_PET_CAST_FAILED, 0xEAAA},
            {Opcode.SMSG_PET_DISMISS_SOUND, 0x3EF3},
            {Opcode.SMSG_PET_GUIDS, 0xEE2F},
            {Opcode.SMSG_PET_LEARNED_SPELLS, 0xF26B},
            {Opcode.SMSG_PET_MODE, 0xEE26},
            {Opcode.SMSG_QUERY_PET_NAME_RESPONSE, 0x7AFA},
            {Opcode.SMSG_PET_UNLEARNED_SPELLS, 0xBEE6},
            {Opcode.SMSG_PET_RENAMEABLE, 0x2E3F},
            {Opcode.SMSG_PET_SPELLS_MESSAGE, 0x66A3},
            {Opcode.SMSG_PET_TAME_FAILURE, 0x3EB6},
            {Opcode.SMSG_PET_UPDATE_COMBO_POINTS, 0xA2E6},
            {Opcode.SMSG_PLAYED_TIME, 0x2EA2},
            {Opcode.SMSG_PLAYERBINDERROR, 0xA26B},
            {Opcode.SMSG_PLAYER_BOUND, 0x6EAE},
            {Opcode.SMSG_PLAYER_DIFFICULTY_CHANGE, 0x7EAF},
            {Opcode.SMSG_PLAYER_SKINNED, 0xFAF6},
            {Opcode.SMSG_PLAYER_VEHICLE_DATA, 0xFA6B},
            {Opcode.SMSG_PLAY_DANCE, 0x32B3},
            {Opcode.SMSG_PLAY_OBJECT_SOUND, 0xF22B},
            {Opcode.SMSG_PLAY_SOUND, 0x2622},
            {Opcode.SMSG_PLAY_TIME_WARNING, 0xEAE6},
            {Opcode.SMSG_PONG, 0xC90},
            {Opcode.SMSG_POWER_UPDATE, 0xB6BE},
            {Opcode.SMSG_PRE_RESSURECT, 0x26EE},
            {Opcode.SMSG_PROC_RESIST, 0xBAE3},
            {Opcode.SMSG_PVP_CREDIT, 0x662B},
            {Opcode.SMSG_QUERY_QUESTS_COMPLETED_RESPONSE, 0x7AFE},
            {Opcode.SMSG_QUERY_TIME_RESPONSE, 0x3AF3},
            {Opcode.SMSG_QUEST_GIVER_OFFER_REWARD_MESSAGE, 0xE6A3},
            {Opcode.SMSG_QUEST_GIVER_QUEST_COMPLETE, 0x1303},
            {Opcode.SMSG_QUEST_GIVER_QUEST_DETAILS, 0xF266},
            {Opcode.SMSG_QUEST_GIVER_QUEST_FAILED, 0xE6FE},
            {Opcode.SMSG_QUEST_GIVER_QUEST_LIST_MESSAGE, 0x7AE6},
            {Opcode.SMSG_QUEST_GIVER_REQUEST_ITEMS, 0x3E76},
            {Opcode.SMSG_QUEST_GIVER_STATUS, 0x66FB},
            {Opcode.SMSG_QUEST_GIVER_STATUS_MULTIPLE, 0x6E3B},
            {Opcode.SMSG_QUEST_CONFIRM_ACCEPT, 0x22AF},
            //{Opcode.SMSG_QUEST_FORCE_REMOVE, 0x2A7A},
            //{Opcode.SMSG_QUEST_LOG_FULL, 0xE263},
            {Opcode.SMSG_QUEST_POI_QUERY_RESPONSE, 0x663F},
            {Opcode.SMSG_QUERY_QUEST_INFO_RESPONSE, 0xAEE3},
            {Opcode.SMSG_QUEST_UPDATE_ADD_KILL, 0xB67A},
            {Opcode.SMSG_QUEST_UPDATE_ADD_PVP_CREDIT, 0x727E},
            {Opcode.SMSG_QUEST_UPDATE_COMPLETE, 0x3A73},
            {Opcode.SMSG_QUEST_UPDATE_FAILED, 0xEAB7},
            {Opcode.SMSG_QUEST_UPDATE_FAILED_TIMER, 0xBAF7},
            {Opcode.SMSG_RAID_INSTANCE_MESSAGE, 0x6677},
            {Opcode.SMSG_READ_ITEM_RESULT_FAILED, 0x6EE7},
            {Opcode.SMSG_READ_ITEM_RESULT_OK, 0xB6E7},
            {Opcode.SMSG_REALM_SPLIT, 0x692C},
            {Opcode.SMSG_REAL_GROUP_UPDATE, 0xA66F},
            {Opcode.SMSG_RECEIVED_MAIL, 0x7EEB},
            {Opcode.SMSG_CONNECT_TO, 0x410},
            {Opcode.SMSG_REFER_A_FRIEND_FAILURE, 0x66BF},
            {Opcode.SMSG_REPORT_PVP_AFK_RESULT, 0x76AA},
            {Opcode.SMSG_RESUME_COMMS, 0xC10},
            {Opcode.SMSG_RESURRECT_REQUEST, 0x322E},
            {Opcode.SMSG_RWHOIS, 0xE63A},
            {Opcode.SMSG_MAIL_COMMAND_RESULT, 0xA6FE},
            {Opcode.SMSG_SEND_UNLEARN_SPELLS, 0xAAE2},
            {Opcode.SMSG_SERVERTIME, 0x7236},
            {Opcode.SMSG_SERVER_FIRST_ACHIEVEMENT, 0xEE7F},
            {Opcode.SMSG_CHAT_SERVER_MESSAGE, 0xE62F},
            {Opcode.SMSG_SETUP_CURRENCY, 0xC343},
            {Opcode.SMSG_SET_FACTION_AT_WAR, 0x7ABE},
            {Opcode.SMSG_SET_FACTION_STANDING, 0x26EB},
            {Opcode.SMSG_SET_FACTION_VISIBLE, 0x6EEA},
            {Opcode.SMSG_SET_FLAT_SPELL_MODIFIER, 0xB6EB},
            {Opcode.SMSG_SET_FORCED_REACTIONS, 0x3EE2},
            {Opcode.SMSG_SET_PCT_SPELL_MODIFIER, 0xFAAF},
            {Opcode.SMSG_PHASE_SHIFT_CHANGE, 0xDB05},
            {Opcode.SMSG_SET_PROFICIENCY, 0x7EE6},
            {Opcode.SMSG_SET_PROJECTILE_POSITION, 0xFA23},
            {Opcode.SMSG_SHOW_BANK, 0xEAA6},
            {Opcode.SMSG_SHOW_MAILBOX, 0xFA6A},
            //{Opcode.SMSG_SHOW_TAXI_NODES, 0xAA7F},
            {Opcode.SMSG_SOCKET_GEMS, 0x36BA},
            {Opcode.SMSG_SPELL_BREAK_LOG, 0xEEFE},
            {Opcode.SMSG_SPELL_COOLDOWN, 0x7277},
            {Opcode.SMSG_SPELL_DAMAGE_SHIELD, 0x76EE},
            {Opcode.SMSG_SPELL_DELAYED, 0xB636},
            {Opcode.SMSG_SPELL_ENERGIZE_LOG, 0x7A2A},
            {Opcode.SMSG_SPELL_EXECUTE_LOG, 0xE223},
            {Opcode.SMSG_SPELL_FAILED_OTHER, 0x2EE7},
            {Opcode.SMSG_SPELL_FAILURE, 0x22FB},
            {Opcode.SMSG_SPELL_GO, 0x2A27},
            {Opcode.SMSG_SPELL_HEAL_LOG, 0xF673},
            {Opcode.SMSG_SPELL_INSTAKILL_LOG, 0x62FE},
            {Opcode.SMSG_SPELL_MISS_LOG, 0x7623},
            {Opcode.SMSG_SPELL_NON_MELEE_DAMAGE_LOG, 0xB2AE},
            {Opcode.SMSG_SPELL_OR_DAMAGE_IMMUNE, 0xE622},
            {Opcode.SMSG_SPELL_START, 0xA632},
            {Opcode.SMSG_SPELL_UPDATE_CHAIN_TARGETS, 0x6666},
            {Opcode.SMSG_STABLE_RESULT, 0xEA36},
            //{Opcode.SMSG_STAND_STATE_CHANGE_FAILURE_OBSOLETE, 0xE6FF},
            {Opcode.SMSG_STAND_STATE_UPDATE, 0xE2F6},
            {Opcode.SMSG_START_MIRROR_TIMER, 0xAAA7},
            {Opcode.SMSG_STOP_DANCE, 0x72BF},
            {Opcode.SMSG_STOP_MIRROR_TIMER, 0xB63E},
            {Opcode.SMSG_SUMMON_REQUEST, 0x22FF},
            {Opcode.SMSG_SUPERCEDED_SPELLS, 0x3E3E},
            //{Opcode.SMSG_UPDATE_TALENT_DATA, 0xBABF},
            {Opcode.SMSG_TAXI_NODE_STATUS, 0x226A},
            {Opcode.SMSG_TEXT_EMOTE, 0x26EF},
            {Opcode.SMSG_THREAT_CLEAR, 0x3A76},
            {Opcode.SMSG_THREAT_REMOVE, 0x7626},
            {Opcode.SMSG_THREAT_UPDATE, 0x2E67},
            {Opcode.SMSG_TIME_SYNC_REQUEST, 0x4F21},
            {Opcode.SMSG_TITLE_EARNED, 0xAEBA},
            {Opcode.SMSG_TOGGLE_XP_GAIN, 0x6AB6},
            {Opcode.SMSG_TOTEM_CREATED, 0x7237},
            {Opcode.SMSG_TRADE_STATUS, 0xDB61},
            {Opcode.SMSG_TRADE_STATUS_EXTENDED, 0xDF27},
            {Opcode.SMSG_TRAINER_BUY_RESULT, 0xE2E7},
            {Opcode.SMSG_TRAINER_LIST, 0x6662},
            {Opcode.SMSG_TRANSFER_ABORTED, 0x66AF},
            {Opcode.SMSG_TRANSFER_PENDING, 0x26EA},
            {Opcode.SMSG_TRIGGER_CINEMATIC, 0xA2FE},
            {Opcode.SMSG_TRIGGER_MOVIE, 0x627A},
            {Opcode.SMSG_TURN_IN_PETITION_RESULT, 0x66AE},
            {Opcode.SMSG_TUTORIAL_FLAGS, 0x7E72},
            {Opcode.SMSG_UNIT_SPELLCAST_START, 0xBAAA},
            {Opcode.SMSG_UNLEARNED_SPELLS, 0x7AF6},
            {Opcode.SMSG_UPDATE_ACCOUNT_DATA, 0xAA66},
            {Opcode.SMSG_UPDATE_ACCOUNT_DATA_COMPLETE, 0x6A2F},
            {Opcode.SMSG_UPDATE_ACTION_BUTTONS, 0x6EBA},
            {Opcode.SMSG_UPDATE_COMBO_POINTS, 0xBE73},
            {Opcode.SMSG_UPDATE_CURRENCY, 0xD323},
            {Opcode.SMSG_UPDATE_INSTANCE_ENCOUNTER_UNIT, 0x3EF2},
            {Opcode.SMSG_UPDATE_INSTANCE_OWNERSHIP, 0x7A2B},
            {Opcode.SMSG_UPDATE_LAST_INSTANCE, 0xAA32},
            {Opcode.SMSG_UPDATE_OBJECT, 0x72A7},
            {Opcode.SMSG_UPDATE_WORLD_STATE, 0x2A3F},
            {Opcode.SMSG_USERLIST_ADD, 0xB67F},
            {Opcode.SMSG_USERLIST_REMOVE, 0xE2E6},
            {Opcode.SMSG_USERLIST_UPDATE, 0xBAE7},
            {Opcode.SMSG_USE_EQUIPMENT_SET_RESULT, 0x727F},
            {Opcode.SMSG_VOICE_CHAT_STATUS, 0x2EAA},
            {Opcode.SMSG_VOICE_PARENTAL_CONTROLS, 0xB6EA},
            {Opcode.SMSG_VOICE_SESSION_LEAVE, 0xEA27},
            {Opcode.SMSG_VOICE_SESSION_ROSTER_UPDATE, 0xF666},
            {Opcode.SMSG_VOICE_SET_TALKER_MUTED, 0xB6A2},
            {Opcode.SMSG_WARDEN_DATA, 0x7A36},
            {Opcode.SMSG_WEATHER, 0xFE2A},
            {Opcode.SMSG_WHO, 0x223B},
            {Opcode.SMSG_WHO_IS, 0xAA76},
            {Opcode.SMSG_ZONE_UNDER_ATTACK, 0xFE72}
        };

        private static readonly BiDictionary<Opcode, int> MiscOpcodes = new BiDictionary<Opcode, int>
        {
            {Opcode.MSG_AUCTION_HELLO, 0x6EAF},
            {Opcode.MSG_CORPSE_QUERY, 0x3232},
            {Opcode.MSG_GUILD_BANK_LOG_QUERY, 0x72EA},
            {Opcode.MSG_GUILD_BANK_MONEY_WITHDRAWN, 0x36F6},
            {Opcode.MSG_GUILD_EVENT_LOG_QUERY, 0xAEBE},
            {Opcode.MSG_GUILD_PERMISSIONS, 0xE22E},
            {Opcode.MSG_INSPECT_ARENA_TEAMS, 0x72A3},
            {Opcode.MSG_LIST_STABLED_PETS, 0xB272},
            {Opcode.MSG_MOVE_FALL_LAND, 0x88E1},
            {Opcode.MSG_MOVE_HEARTBEAT, 0x28E3},
            {Opcode.MSG_MOVE_JUMP, 0x386A},
            {Opcode.MSG_MOVE_ROOT, 0x8EB},
            {Opcode.MSG_MOVE_SET_FACING, 0x9848},
            {Opcode.MSG_MOVE_SET_PITCH, 0xB861},
            {Opcode.MSG_MOVE_SET_PITCH_RATE, 0xCB27},
            {Opcode.MSG_MOVE_SET_RUN_MODE, 0x38CB},
            {Opcode.MSG_MOVE_SET_RUN_SPEED, 0xB21},
            {Opcode.MSG_MOVE_SET_TURN_RATE, 0x5703},
            {Opcode.MSG_MOVE_SET_WALK_MODE, 0x88E9},
            {Opcode.MSG_MOVE_START_ASCEND, 0x18EA},
            {Opcode.MSG_MOVE_START_BACKWARD, 0x863},
            {Opcode.MSG_MOVE_START_DESCEND, 0x849},
            {Opcode.MSG_MOVE_START_FORWARD, 0x18E1},
            {Opcode.MSG_MOVE_START_STRAFE_LEFT, 0x88C2},
            {Opcode.MSG_MOVE_START_STRAFE_RIGHT, 0xB843},
            {Opcode.MSG_MOVE_START_SWIM, 0xB841},
            {Opcode.MSG_MOVE_START_TURN_LEFT, 0x84A},
            {Opcode.MSG_MOVE_START_TURN_RIGHT, 0x88E0},
            {Opcode.MSG_MOVE_STOP, 0x286A},
            {Opcode.MSG_MOVE_STOP_ASCEND, 0x1869},
            {Opcode.MSG_MOVE_STOP_STRAFE, 0xA8E0},
            {Opcode.MSG_MOVE_STOP_TURN, 0x3862},
            {Opcode.MSG_MOVE_WORLDPORT_ACK, 0x5050},
            {Opcode.MSG_NOTIFY_PARTY_SQUELCH, 0x766B},
            {Opcode.MSG_PARTY_ASSIGNMENT, 0xA22A},
            {Opcode.MSG_PETITION_DECLINE, 0xAE2F},
            {Opcode.MSG_PETITION_RENAME, 0xFAFA},
            {Opcode.MSG_PVP_LOG_DATA, 0x5365},
            {Opcode.MSG_QUERY_GUILD_BANK_TEXT, 0xA236},
            {Opcode.MSG_QUERY_NEXT_MAIL_TIME, 0xFA62},
            {Opcode.MSG_QUEST_PUSH_RESULT, 0xBE3A},
            {Opcode.MSG_RAID_READY_CHECK, 0xA63A},
            {Opcode.MSG_RAID_READY_CHECK_CONFIRM, 0xAE76},
            {Opcode.MSG_RAID_READY_CHECK_FINISHED, 0x36E6},
            {Opcode.MSG_RAID_TARGET_UPDATE, 0x66FA},
            {Opcode.MSG_RANDOM_ROLL, 0xFEFB},
            {Opcode.MSG_SAVE_GUILD_EMBLEM, 0x6A36},
            {Opcode.MSG_SET_DUNGEON_DIFFICULTY, 0xA23E},
            {Opcode.MSG_SET_RAID_DIFFICULTY, 0xFA73},
            {Opcode.MSG_TABARDVENDOR_ACTIVATE, 0xEAEF},
            {Opcode.MSG_TALENT_WIPE_CONFIRM, 0x2EA7}
        };
    }
}
