using WowPacketParser.Misc;

namespace WowPacketParser.Enums.Version.V4_3_0_15005
{
    public static class Opcodes_4_3_0
    {
        public static BiDictionary<Opcode, int> Opcodes(Direction direction)
        {
            switch (direction)
            {
                case Direction.ClientToServer:
                case Direction.BNClientToServer:
                    return ClientOpcodes;
                case Direction.ServerToClient:
                case Direction.BNServerToClient:
                    return ServerOpcodes;
                default:
                    return MiscOpcodes;
            }
        }

        private static readonly BiDictionary<Opcode, int> ClientOpcodes = new BiDictionary<Opcode, int>
        {
            {Opcode.CMSG_ACCEPT_LEVEL_GRANT, 3074},
            {Opcode.CMSG_ACCEPT_TRADE, 12433},
            {Opcode.CMSG_ACTIVATE_TAXI, 1702},
            {Opcode.CMSG_ACTIVATE_TAXI_EXPRESS, 3714},
            {Opcode.CMSG_ADDON_REGISTERED_PREFIXES, 5902},
            {Opcode.CMSG_ADD_FRIEND, 29350},
            {Opcode.CMSG_ADD_IGNORE, 22182},
            {Opcode.CMSG_ALTER_APPEARANCE, 18946},
            {Opcode.CMSG_AREA_TRIGGER, 24196},
            {Opcode.CMSG_AREA_SPIRIT_HEALER_QUERY, 12962},
            {Opcode.CMSG_AREA_SPIRIT_HEALER_QUEUE, 30758},
            {Opcode.CMSG_ARENA_TEAM_DISBAND, 23552},
            {Opcode.CMSG_ARENA_TEAM_INVITE, 6308},
            {Opcode.CMSG_ARENA_TEAM_LEADER, 5636},
            {Opcode.CMSG_ARENA_TEAM_LEAVE, 14848},
            {Opcode.CMSG_ARENA_TEAM_QUERY, 26146},
            {Opcode.CMSG_ARENA_TEAM_REMOVE, 8738},
            {Opcode.CMSG_ARENA_TEAM_ROSTER, 22692},
            {Opcode.CMSG_ATTACK_STOP, 20132},
            {Opcode.CMSG_ATTACK_SWING, 4646},
            {Opcode.CMSG_AUCTION_LIST_BIDDER_ITEMS, 31236},
            {Opcode.CMSG_AUCTION_LIST_ITEMS, 11302},
            {Opcode.CMSG_AUCTION_LIST_OWNER_ITEMS, 5154},
            {Opcode.CMSG_AUCTION_PLACE_BID, 4128},
            {Opcode.CMSG_AUCTION_REMOVE_ITEM, 27170},
            {Opcode.CMSG_AUCTION_SELL_ITEM, 3238},
            {Opcode.CMSG_AUTH_CONTINUED_SESSION, 16648},
            {Opcode.CMSG_AUTH_SESSION, 4352},
            {Opcode.CMSG_AUTO_EQUIP_ITEM, 14976},
            {Opcode.CMSG_AUTO_EQUIP_ITEM_SLOT, 7714},
            {Opcode.CMSG_AUTO_STORE_BAG_ITEM, 13952},
            {Opcode.CMSG_AUTOSTORE_LOOT_ITEM, 1060},
            {Opcode.CMSG_AUTO_DECLINE_GUILD_INVITES, 18594},
            {Opcode.CMSG_BATTLEFIELD_JOIN, 25219},
            {Opcode.CMSG_BATTLEFIELD_LEAVE, 25091},
            {Opcode.CMSG_BATTLEFIELD_LIST, 29731},
            {Opcode.CMSG_BF_MGR_ENTRY_INVITE_RESPONSE, 2324},
            {Opcode.CMSG_BF_MGR_QUEUE_REQUEST, 26145},
            {Opcode.CMSG_BATTLEFIELD_STATUS, 16758},
            {Opcode.CMSG_BATTLEGROUND_PLAYER_POSITIONS, 12321},
            {Opcode.CMSG_BATTLEGROUND_PORT_AND_LEAVE, 25121},
            {Opcode.CMSG_BATTLEMASTER_JOIN_ARENA, 13971},
            {Opcode.CMSG_BEGIN_TRADE, 26273},
            {Opcode.CMSG_BINDER_ACTIVATE, 16546},
            {Opcode.CMSG_BUG, 23558},
            {Opcode.CMSG_BUSY_TRADE, 25619},
            {Opcode.CMSG_BUY_BACK_ITEM, 19110},
            {Opcode.CMSG_BUY_BANK_SLOT, 3072},
            {Opcode.CMSG_BUY_ITEM, 4230},
            {Opcode.CMSG_CALENDAR_ADD_EVENT, 11908},
            {Opcode.CMSG_CALENDAR_ARENA_TEAM, 514},
            {Opcode.CMSG_CALENDAR_CONTEXT_EVENT_SIGNUP, 22054},
            {Opcode.CMSG_CALENDAR_COPY_EVENT, 22020},
            {Opcode.CMSG_CALENDAR_EVENT_INVITE, 16384},
            {Opcode.CMSG_CALENDAR_EVENT_MODERATOR_STATUS, 4098},
            {Opcode.CMSG_CALENDAR_EVENT_REMOVE_INVITE, 5634},
            {Opcode.CMSG_CALENDAR_EVENT_RSVP, 20480},
            {Opcode.CMSG_CALENDAR_EVENT_STATUS, 30854},
            {Opcode.CMSG_CALENDAR_GET_CALENDAR, 25254},
            {Opcode.CMSG_CALENDAR_GET_EVENT, 12322},
            {Opcode.CMSG_CALENDAR_GET_NUM_PENDING, 13346},
            {Opcode.CMSG_CALENDAR_GUILD_FILTER, 11268},
            {Opcode.CMSG_CALENDAR_REMOVE_EVENT, 29826},
            {Opcode.CMSG_CALENDAR_UPDATE_EVENT, 29190},
            {Opcode.CMSG_CANCEL_AURA, 30880},
            {Opcode.CMSG_CANCEL_AUTO_REPEAT_SPELL, 17920},
            {Opcode.CMSG_CANCEL_CAST, 26144},
            {Opcode.CMSG_CANCEL_CHANNELLING, 25730},
            {Opcode.CMSG_CANCEL_GROWTH_AURA, 27264},
            {Opcode.CMSG_CANCEL_MOUNT_AURA, 23168},
            {Opcode.CMSG_CANCEL_TEMP_ENCHANTMENT, 26118},
            {Opcode.CMSG_CANCEL_TRADE, 25633},
            {Opcode.CMSG_CAST_SPELL, 2692},
            {Opcode.CMSG_CHAT_CHANNEL_ANNOUNCEMENTS, 1390},
            {Opcode.CMSG_CHAT_CHANNEL_BAN, 1358},
            {Opcode.CMSG_CHAT_CHANNEL_DISPLAY_LIST, 878},
            {Opcode.CMSG_CHAT_CHANNEL_INVITE, 300},
            {Opcode.CMSG_CHAT_CHANNEL_KICK, 5996},
            {Opcode.CMSG_CHAT_CHANNEL_LIST, 4910},
            {Opcode.CMSG_CHAT_CHANNEL_MODERATE, 1870},
            {Opcode.CMSG_CHAT_CHANNEL_MODERATOR, 5934},
            {Opcode.CMSG_CHAT_CHANNEL_MUTE, 1294},
            {Opcode.CMSG_CHAT_CHANNEL_OWNER, 846},
            {Opcode.CMSG_CHAT_CHANNEL_PASSWORD, 302},
            {Opcode.CMSG_CHAT_CHANNEL_SET_OWNER, 4430},
            {Opcode.CMSG_CHAT_CHANNEL_SILENCE_ALL, 4460},
            {Opcode.CMSG_CHAT_CHANNEL_SILENCE_VOICE, 1838},
            {Opcode.CMSG_CHAT_CHANNEL_UNBAN, 1902},
            {Opcode.CMSG_CHAT_CHANNEL_UNMODERATOR, 4462},
            {Opcode.CMSG_CHAT_CHANNEL_UNMUTE, 1356},
            {Opcode.CMSG_CHAT_CHANNEL_UNSILENCE_ALL, 5964},
            {Opcode.CMSG_CHAT_CHANNEL_UNSILENCE_VOICE, 1326},
            {Opcode.CMSG_CHAT_CHANNEL_VOICE_OFF, 5486},
            {Opcode.CMSG_CHAT_CHANNEL_VOICE_ON, 4396},
            {Opcode.CMSG_CREATE_CHARACTER, 10886},
            {Opcode.CMSG_CHAR_CUSTOMIZE, 31906},
            {Opcode.CMSG_CHAR_DELETE, 14500},
            {Opcode.CMSG_ENUM_CHARACTERS, 19206},
            {Opcode.CMSG_CHAR_FACTION_CHANGE, 10406},
            {Opcode.CMSG_CHAR_RACE_CHANGE, 26788},
            {Opcode.CMSG_CHARACTER_RENAME_REQUEST, 27140},
            {Opcode.CMSG_CLEAR_CHANNEL_WATCH, 17414},
            {Opcode.CMSG_CLEAR_TRADE_ITEM, 29745},
            {Opcode.CMSG_COMMENTATOR_ENABLE, 15398},
            {Opcode.CMSG_COMMENTATOR_ENTER_INSTANCE, 15364},
            {Opcode.CMSG_COMMENTATOR_GET_MAP_INFO, 14340},
            {Opcode.CMSG_COMMENTATOR_GET_PLAYER_INFO, 7814},
            {Opcode.CMSG_COMMENTATOR_INSTANCE_COMMAND, 516},
            {Opcode.CMSG_COMMENTATOR_SKIRMISH_QUEUE_COMMAND, 23584},
            {Opcode.CMSG_COMMENTATOR_START_WARGAME, 17174},
            {Opcode.CMSG_COMPLAINT, 21664},
            {Opcode.CMSG_COMPLETE_CINEMATIC, 26242},
            {Opcode.CMSG_COMPLETE_MOVIE, 12448},
            {Opcode.CMSG_CONTACT_LIST, 17570},
            {Opcode.CMSG_CORPSE_MAP_POSITION_QUERY, 11808},
            {Opcode.CMSG_QUERY_CREATURE, 24224},
            {Opcode.CMSG_CUF_PROFILES_SAVE, 25107},
            {Opcode.CMSG_DANCE_QUERY, 23042},
            {Opcode.CMSG_DEL_FRIEND, 28320},
            {Opcode.CMSG_DEL_IGNORE, 11430},
            {Opcode.CMSG_DESTROY_ITEMS, 30374},
            {Opcode.CMSG_EJECT_PASSENGER, 4224},
            {Opcode.CMSG_EMOTE, 24198},
            {Opcode.CMSG_ENABLE_NAGLE, 4360},
            {Opcode.CMSG_EQUIPMENT_SET_DELETE, 28292},
            {Opcode.CMSG_SAVE_EQUIPMENT_SET, 23590},
            {Opcode.CMSG_EQUIPMENT_SET_USE, 8742},
            {Opcode.CMSG_FAR_SIGHT, 20646},
            {Opcode.CMSG_FORCE_MOVE_ROOT_ACK, 24625},
            {Opcode.CMSG_FORCE_RUN_SPEED_CHANGE_ACK, 24737},
            {Opcode.CMSG_QUERY_GAME_OBJECT, 27136},
            {Opcode.CMSG_GAME_OBJ_REPORT_USE, 29858},
            {Opcode.CMSG_GAME_OBJ_USE, 26630},
            {Opcode.CMSG_GET_ITEM_PURCHASE_DATA, 28324},
            {Opcode.CMSG_MAIL_GET_LIST, 21026},
            {Opcode.CMSG_GET_MIRROR_IMAGE_DATA, 30754},
            {Opcode.CMSG_GM_TICKET_RESPONSE_RESOLVE, 644},
            {Opcode.CMSG_GM_SURVEY_SUBMIT, 28838},
            {Opcode.CMSG_GM_TICKET_CREATE, 27778},
            {Opcode.CMSG_GM_TICKET_DELETE_TICKET, 512},
            {Opcode.CMSG_GM_TICKET_GET_TICKET, 26756},
            {Opcode.CMSG_GM_TICKET_UPDATE_TEXT, 12960},
            {Opcode.CMSG_GM_LAG_REPORT, 27814},
            {Opcode.CMSG_GOSSIP_HELLO, 13858},
            {Opcode.CMSG_GOSSIP_SELECT_OPTION, 640},
            {Opcode.CMSG_GRANT_LEVEL, 24708},
            {Opcode.CMSG_GROUP_CHANGE_SUB_GROUP, 1668},
            {Opcode.CMSG_GROUP_DECLINE, 2326},
            {Opcode.CMSG_GROUP_INVITE, 276},
            {Opcode.CMSG_GROUP_LEAVE, 15904},
            {Opcode.CMSG_GROUP_RAID_CONVERT, 9346},
            {Opcode.CMSG_GROUP_REQUEST_JOIN_UPDATES, 18790},
            {Opcode.CMSG_GROUP_SET_LEADER, 20998},
            {Opcode.CMSG_GROUP_SWAP_SUB_GROUP, 16418},
            {Opcode.CMSG_GROUP_UNINVITE, 11812},
            {Opcode.CMSG_GUILD_ACCEPT, 18724},
            {Opcode.CMSG_GUILD_ADD_RANK, 2700},
            {Opcode.CMSG_GUILD_BANK_ACTIVATE, 4736},
            {Opcode.CMSG_GUILD_BANK_BUY_TAB, 32386},
            {Opcode.CMSG_GUILD_BANK_DEPOSIT_MONEY, 8706},
            {Opcode.CMSG_GUILD_BANK_REMAINING_WITHDRAW_MONEY_QUERY, 712},
            {Opcode.CMSG_GUILD_BANK_SWAP_ITEMS, 10916},
            {Opcode.CMSG_GUILD_BANK_UPDATE_TAB, 26274},
            {Opcode.CMSG_GUILD_BANK_WITHDRAW_MONEY, 26112},
            {Opcode.CMSG_GUILD_CHANGE_NAME_REQUEST, 8780},
            {Opcode.CMSG_GUILD_DECLINE_INVITATION, 2124},
            {Opcode.CMSG_GUILD_GET_RANKS, 8268},
            {Opcode.CMSG_GUILD_GET_ROSTER, 2248},
            {Opcode.CMSG_GUILD_INVITE, 18742},
            {Opcode.CMSG_GUILD_LEAVE, 2060},
            {Opcode.CMSG_GUILD_MEMBER_SEND_SOR_REQUEST, 2188},
            {Opcode.CMSG_QUERY_GUILD_INFO, 23556},
            {Opcode.CMSG_GUILD_QUERY_NEWS, 10956},
            {Opcode.CMSG_GUILD_QUERY_RECIPES, 10376},
            {Opcode.CMSG_GUILD_REPLACE_GUILD_MASTER, 10824},
            {Opcode.CMSG_GUILD_REQUEST_CHALLENGE_UPDATE, 8844},
            {Opcode.CMSG_GUILD_REQUEST_MAX_DAILY_XP, 8776},
            {Opcode.CMSG_REQUEST_GUILD_PARTY_STATE, 12819},
            {Opcode.CMSG_GUILD_SET_ACHIEVEMENT_TRACKING, 2696},
            {Opcode.CMSG_HEARTH_AND_RESURRECT, 31396},
            {Opcode.CMSG_IGNORE_TRADE, 25779},
            {Opcode.CMSG_INITIATE_TRADE, 29857},
            {Opcode.CMSG_INSPECT, 16930},
            {Opcode.CMSG_INSTANCE_LOCK_RESPONSE, 25124},
            {Opcode.CMSG_ITEM_PURCHASE_REFUND, 20130},
            {Opcode.CMSG_ITEM_TEXT_QUERY, 30240},
            {Opcode.CMSG_CHAT_JOIN_CHANNEL, 1868},
            {Opcode.CMSG_KEEP_ALIVE, 26272},
            {Opcode.CMSG_LEARN_PREVIEW_TALENTS_PET, 28706},
            {Opcode.CMSG_CHAT_LEAVE_CHANNEL, 1806},
            {Opcode.CMSG_DF_GET_JOIN_STATUS, 16708},
            {Opcode.CMSG_LFG_GET_SYSTEM_INFO, 2342},
            {Opcode.CMSG_LFG_JOIN, 340},
            {Opcode.CMSG_LFG_LEAVE, 17158},
            {Opcode.CMSG_LFG_LFR_JOIN, 19254},
            {Opcode.CMSG_LFG_LFR_LEAVE, 19268},
            {Opcode.CMSG_LFG_PLAYER_LOCK_INFO_REQUEST, 25651},
            {Opcode.CMSG_LFG_PROPOSAL_RESULT, 326},
            {Opcode.CMSG_LFG_SET_COMMENT, 2822},
            {Opcode.CMSG_LFG_TELEPORT, 870},
            {Opcode.CMSG_LF_GUILD_GET_GUILD_POST, 8712},
            {Opcode.CMSG_LF_GUILD_GET_RECRUITS, 2252},
            {Opcode.CMSG_LIST_INVENTORY, 16422},
            {Opcode.CMSG_LOADING_SCREEN_NOTIFY, 2422},
            {Opcode.CMSG_LOGOUT_CANCEL, 31776},
            {Opcode.CMSG_LOG_DISCONNECT, 264},
            {Opcode.CMSG_LOOT_UNIT, 21632},
            {Opcode.CMSG_LOOT_MASTER_GIVE, 1188},
            {Opcode.CMSG_SET_LOOT_METHOD, 13958},
            {Opcode.CMSG_LOOT_MONEY, 31366},
            {Opcode.CMSG_LOOT_RELEASE, 23682},
            {Opcode.CMSG_LOOT_ROLL, 26626},
            {Opcode.CMSG_LOW_LEVEL_RAID1, 1186},
            {Opcode.CMSG_LOW_LEVEL_RAID2, 30210},
            {Opcode.CMSG_MAIL_CREATE_TEXT_ITEM, 4226},
            {Opcode.CMSG_MAIL_DELETE, 7718},
            {Opcode.CMSG_MAIL_MARK_AS_READ, 16928},
            {Opcode.CMSG_MAIL_RETURN_TO_SENDER, 12966},
            {Opcode.CMSG_MAIL_TAKE_ITEM, 31750},
            {Opcode.CMSG_MAIL_TAKE_MONEY, 25638},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_BATTLEGROUND, 5484},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_GUILD, 366},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_OFFICER, 334},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_PARTY, 5422},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_RAID, 5932},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_WHISPER, 5998},
            {Opcode.CMSG_CHAT_MESSAGE_AFK, 4940},
            {Opcode.CMSG_CHAT_MESSAGE_BATTLEGROUND, 4876},
            {Opcode.CMSG_CHAT_MESSAGE_CHANNEL, 5420},
            {Opcode.CMSG_CHAT_MESSAGE_DND, 1836},
            {Opcode.CMSG_CHAT_MESSAGE_GUILD, 4366},
            {Opcode.CMSG_CHAT_MESSAGE_OFFICER, 5454},
            {Opcode.CMSG_CHAT_MESSAGE_PARTY, 4878},
            {Opcode.CMSG_CHAT_MESSAGE_RAID, 5452},
            {Opcode.CMSG_CHAT_MESSAGE_RAID_WARNING, 4972},
            {Opcode.CMSG_CHAT_MESSAGE_SAY, 4974},
            {Opcode.CMSG_CHAT_MESSAGE_WHISPER, 782},
            {Opcode.CMSG_CHAT_MESSAGE_YELL, 844},
            {Opcode.CMSG_MOUNT_SPECIAL_ANIM, 6656},
            {Opcode.CMSG_MOVE_FALL_RESET, 9859},
            {Opcode.CMSG_MOVE_FEATHER_FALL_ACK, 12835},
            {Opcode.CMSG_MOVE_HOVER_ACK, 26275},
            {Opcode.CMSG_MOVE_KNOCK_BACK_ACK, 13475},
            {Opcode.CMSG_MOVE_NOT_ACTIVE_MOVER, 28835},
            {Opcode.CMSG_MOVE_SET_CAN_FLY_ACK, 30257},
            {Opcode.CMSG_MOVE_SET_FLY, 9249},
            {Opcode.CMSG_MOVE_WATER_WALK_ACK, 29713},
            {Opcode.CMSG_NAME_QUERY, 29216},
            {Opcode.CMSG_NEXT_CINEMATIC_CAMERA, 5764},
            {Opcode.CMSG_QUERY_NPC_TEXT, 13318},
            {Opcode.CMSG_OFFER_PETITION, 13954},
            {Opcode.CMSG_OPENING_CINEMATIC, 14336},
            {Opcode.CMSG_OPEN_ITEM, 6180},
            {Opcode.CMSG_OPT_OUT_OF_LOOT, 28160},
            {Opcode.CMSG_QUERY_PAGE_TEXT, 32388},
            {Opcode.CMSG_PETITION_BUY, 23714},
            {Opcode.CMSG_PETITION_QUERY, 30848},
            {Opcode.CMSG_PETITION_SHOW_SIGNATURES, 24192},
            {Opcode.CMSG_PETITION_SIGN, 22532},
            {Opcode.CMSG_PET_ACTION, 7298},
            {Opcode.CMSG_PET_CANCEL_AURA, 9888},
            {Opcode.CMSG_PET_CAST_SPELL, 5122},
            {Opcode.CMSG_PET_LEARN_TALENT, 8740},
            {Opcode.CMSG_QUERY_PET_NAME, 2722},
            {Opcode.CMSG_PET_RENAME, 23072},
            {Opcode.CMSG_PET_SET_ACTION, 15906},
            {Opcode.CMSG_PET_SPELL_AUTOCAST, 4262},
            {Opcode.CMSG_PET_STOP_ATTACK, 13990},
            {Opcode.CMSG_PING, 256},
            {Opcode.CMSG_REQUEST_PLAYED_TIME, 9378},
            {Opcode.CMSG_PLAYER_LOGIN, 806},
            {Opcode.CMSG_PLAYER_LOGOUT, 18470},
            {Opcode.CMSG_PLAYER_VEHICLE_ENTER, 11426},
            {Opcode.CMSG_PLAY_DANCE, 6306},
            {Opcode.CMSG_CLIENT_PORT_GRAVEYARD, 26115},
            {Opcode.CMSG_PUSH_QUEST_TO_PARTY, 17956},
            {Opcode.CMSG_PVP_LOG_DATA, 9875},
            {Opcode.CMSG_QUERY_BATTLEFIELD_STATE, 28819},
            {Opcode.CMSG_QUERY_INSPECT_ACHIEVEMENTS, 26784},
            {Opcode.CMSG_QUERY_QUESTS_COMPLETED, 23200},
            {Opcode.CMSG_QUERY_TIME, 20992},
            {Opcode.CMSG_QUEST_GIVER_ACCEPT_QUEST, 12802},
            {Opcode.CMSG_QUEST_GIVER_CANCEL, 7302},
            {Opcode.CMSG_QUEST_GIVER_COMPLETE_QUEST, 4096},
            {Opcode.CMSG_QUEST_GIVER_QUERY_QUEST, 10758},
            {Opcode.CMSG_QUEST_GIVER_REQUEST_REWARD, 26278},
            {Opcode.CMSG_QUEST_GIVER_STATUS_MULTIPLE_QUERY, 4740},
            {Opcode.CMSG_QUEST_GIVER_STATUS_QUERY, 32390},
            {Opcode.CMSG_QUEST_LOG_REMOVE_QUEST, 3616},
            {Opcode.CMSG_QUERY_QUEST_COMPLETION_NPCS, 13457},
            {Opcode.CMSG_QUEST_POI_QUERY, 9760},
            {Opcode.CMSG_QUERY_QUEST_INFO, 3110},
            {Opcode.CMSG_GENERATE_RANDOM_CHARACTER_NAME, 17190},
            {Opcode.CMSG_READY_FOR_ACCOUNT_DATA_TIMES, 7808},
            {Opcode.CMSG_READ_ITEM, 16388},
            {Opcode.CMSG_REALM_SPLIT, 5760},
            //{Opcode.CMSG_RECONNECT_PROOF, 788},
            {Opcode.CMSG_RECLAIM_CORPSE, 17026},
            {Opcode.CMSG_REORDER_CHARACTERS, 16692},
            {Opcode.CMSG_REPAIR_ITEM, 128},
            {Opcode.CMSG_REPOP_REQUEST, 25094},
            {Opcode.CMSG_REPORT_PVP_PLAYER_AFK, 13344},
            {Opcode.CMSG_REQUEST_ACCOUNT_DATA, 16386},
            {Opcode.CMSG_REQUEST_CATEGORY_COOLDOWNS, 30211},
            {Opcode.CMSG_REQUEST_CEMETERY_LIST, 8321},
            {Opcode.CMSG_REQUEST_GUILD_REWARDS_LIST, 30243},
            {Opcode.CMSG_REQUEST_GUILD_XP, 588},
            {Opcode.CMSG_REQUEST_HOTFIX, 2916},
            {Opcode.CMSG_REQUEST_PARTY_MEMBER_STATS, 14880},
            {Opcode.CMSG_REQUEST_PET_INFO, 30886},
            {Opcode.CMSG_GET_PVP_OPTIONS_ENABLED, 854},
            {Opcode.CMSG_REQUEST_PVP_REWARDS, 26257},
            {Opcode.CMSG_REQUEST_RAID_INFO, 31362},
            {Opcode.CMSG_REQUEST_RATED_BG_INFO, 16678},
            {Opcode.CMSG_REQUEST_VEHICLE_NEXT_SEAT, 1542},
            {Opcode.CMSG_REQUEST_VEHICLE_PREV_SEAT, 16516},
            {Opcode.CMSG_REQUEST_VEHICLE_SWITCH_SEAT, 17542},
            {Opcode.CMSG_RESET_INSTANCES, 29696},
            {Opcode.CMSG_SELF_RES, 10400},
            {Opcode.CMSG_SELL_ITEM, 12288},
            {Opcode.CMSG_SEND_MAIL, 19316},
            {Opcode.CMSG_SEND_SOR_REQUEST_VIA_ADDRESS, 19222},
            {Opcode.CMSG_SEND_SOR_REQUEST_VIA_BNET_ACCOUNT_ID, 18774},
            {Opcode.CMSG_SET_ACTION_BAR_TOGGLES, 30372},
            {Opcode.CMSG_SET_ACTION_BUTTON, 2054},
            {Opcode.CMSG_SET_ACTIVE_MOVER, 26259},
            {Opcode.CMSG_SET_ACTIVE_VOICE_CHANNEL, 30214},
            {Opcode.CMSG_SET_ASSISTANT_LEADER, 21122},
            {Opcode.CMSG_SET_CHANNEL_WATCH, 1540},
            {Opcode.CMSG_SET_CONTACT_NOTES, 9218},
            {Opcode.CMSG_SET_EVERYONE_IS_ASSISTANT, 886},
            {Opcode.CMSG_SET_FACTION_AT_WAR, 17410},
            {Opcode.CMSG_SET_FACTION_INACTIVE, 24612},
            {Opcode.CMSG_SET_PLAYER_DECLINED_NAMES, 9350},
            {Opcode.CMSG_SET_PRIMARY_TALENT_TREE, 28836},
            {Opcode.CMSG_SET_SAVED_INSTANCE_EXTEND, 12928},
            {Opcode.CMSG_SET_SELECTION, 21638},
            {Opcode.CMSG_SET_SHEATHED, 17408},
            {Opcode.CMSG_SET_TAXI_BENCHMARK_MODE, 14854},
            {Opcode.CMSG_SET_TITLE, 3584},
            {Opcode.CMSG_SET_TRADE_GOLD, 25265},
            {Opcode.CMSG_SET_TRADE_ITEM, 9267},
            {Opcode.CMSG_SET_WATCHED_FACTION, 30852},
            {Opcode.CMSG_SOCKET_GEMS, 26752},
            {Opcode.CMSG_SPELL_CLICK, 2080},
            {Opcode.CMSG_SPIRIT_HEALER_ACTIVATE, 16420},
            {Opcode.CMSG_SPLIT_ITEM, 12806},
            {Opcode.CMSG_STAND_STATE_CHANGE, 30724},
            {Opcode.CMSG_STOP_DANCE, 550},
            {Opcode.CMSG_SUMMON_CANCEL, 24230},
            {Opcode.CMSG_SUSPEND_COMMS_ACK, 20744},
            {Opcode.CMSG_SUSPEND_TOKEN_RESPONSE, 16640},
            {Opcode.CMSG_SWAP_INV_ITEM, 25604},
            {Opcode.CMSG_SWAP_ITEM, 25088},
            {Opcode.CMSG_TAXI_NODE_STATUS_QUERY, 28162},
            {Opcode.CMSG_SEND_TEXT_EMOTE, 18566},
            {Opcode.CMSG_TIME_SYNC_RESPONSE, 29331},
            {Opcode.CMSG_TOGGLE_PVP, 18598},
            {Opcode.CMSG_TOTEM_DESTROYED, 26240},
            {Opcode.CMSG_TRAINER_BUY_SPELL, 32416},
            {Opcode.CMSG_TRAINER_LIST, 20134},
            {Opcode.CMSG_TRANSMOGRIFY_ITEMS, 12417},
            {Opcode.CMSG_TURN_IN_PETITION, 17024},
            {Opcode.CMSG_TUTORIAL_CLEAR, 6822},
            {Opcode.CMSG_TUTORIAL_FLAG, 16004},
            {Opcode.CMSG_TUTORIAL_RESET, 31874},
            {Opcode.CMSG_UI_TIME_REQUEST, 2180},
            {Opcode.CMSG_UNACCEPT_TRADE, 24739},
            {Opcode.CMSG_UNLEARN_SKILL, 29312},
            {Opcode.CMSG_UNLEARN_SPECIALIZATION, 28675},
            {Opcode.CMSG_CHAT_UNREGISTER_ALL_ADDON_PREFIXES, 4908},
            {Opcode.CMSG_UPDATE_ACCOUNT_DATA, 672},
            {Opcode.CMSG_UPDATE_MISSILE_TRAJECTORY, 29873},
            {Opcode.CMSG_USE_ITEM, 23172},
            {Opcode.CMSG_VIOLENCE_LEVEL, 29329},
            {Opcode.CMSG_VOICE_SESSION_ENABLE, 10752},
            {Opcode.CMSG_QUERY_VOID_STORAGE, 13361},
            {Opcode.CMSG_VOID_STORAGE_TRANSFER, 8209},
            {Opcode.CMSG_UNLOCK_VOID_STORAGE, 9857},
            {Opcode.CMSG_SWAP_VOID_ITEM, 12945},
            {Opcode.CMSG_WARDEN_DATA, 18740},
            {Opcode.CMSG_WHO, 12838},
            {Opcode.CMSG_WHO_IS, 17536},
            {Opcode.CMSG_WORLD_TELEPORT, 16740},
            {Opcode.CMSG_ZONEUPDATE, 13824}
        };

        private static readonly BiDictionary<Opcode, int> ServerOpcodes = new BiDictionary<Opcode, int>
        {
            {Opcode.SMSG_ACCOUNT_DATA_TIMES, 3200},
            {Opcode.SMSG_ACCOUNT_INFO_RESPONSE, 27706},
            {Opcode.SMSG_ACHIEVEMENT_DELETED, 13350},
            {Opcode.SMSG_ACHIEVEMENT_EARNED, 18944},
            {Opcode.SMSG_ACTIVATE_TAXI_REPLY, 1028},
            {Opcode.SMSG_ADDON_INFO, 1184},
            {Opcode.SMSG_AI_REACTION, 11938},
            {Opcode.SMSG_ALL_ACHIEVEMENT_DATA, 1690},
            {Opcode.SMSG_ALL_GUILD_ACHIEVEMENTS, 18110},
            {Opcode.SMSG_AREA_SPIRIT_HEALER_TIME, 10786},
            {Opcode.SMSG_AREA_TRIGGER_MESSAGE, 7844},
            {Opcode.SMSG_AREA_TRIGGER_MOVEMENT_UPDATE, 1080},
            {Opcode.SMSG_AREA_TRIGGER_NO_CORPSE, 12930},
            {Opcode.SMSG_ARENA_ERROR, 13956},
            {Opcode.SMSG_ARENA_OPPONENT_UPDATE, 4132},
            {Opcode.SMSG_ARENA_TEAM_CHANGE_FAILED_QUEUED, 23046},
            {Opcode.SMSG_ARENA_TEAM_COMMAND_RESULT, 3738},
            {Opcode.SMSG_ARENA_TEAM_EVENT, 13476},
            {Opcode.SMSG_ARENA_TEAM_INVITE, 14886},
            {Opcode.SMSG_ARENA_TEAM_QUERY_RESPONSE, 4260},
            {Opcode.SMSG_ARENA_TEAM_ROSTER, 27648},
            {Opcode.SMSG_ARENA_TEAM_STATS, 9376},
            {Opcode.SMSG_ATTACKER_STATE_UPDATE, 14852},
            {Opcode.SMSG_ATTACK_START, 12324},
            {Opcode.SMSG_ATTACK_STOP, 27296},
            {Opcode.SMSG_ATTACKSWING_BADFACING, 19972},
            {Opcode.SMSG_ATTACKSWING_CANT_ATTACK, 28164},
            {Opcode.SMSG_ATTACKSWING_DEADTARGET, 20512},
            {Opcode.SMSG_ATTACKSWING_NOTINRANGE, 5638},
            {Opcode.SMSG_AUCTION_BIDDER_NOTIFICATION, 28290},
            {Opcode.SMSG_AUCTION_COMMAND_RESULT, 16518},
            {Opcode.SMSG_AUCTION_LIST_BIDDER_ITEMS_RESULT, 16416},
            {Opcode.SMSG_AUCTION_LIST_OWNER_ITEMS_RESULT, 22690},
            {Opcode.SMSG_AUCTION_LIST_PENDING_SALES, 32292},
            {Opcode.SMSG_AUCTION_LIST_RESULT, 1062},
            {Opcode.SMSG_AUCTION_OWNER_NOTIFICATION, 12964},
            {Opcode.SMSG_AUCTION_REMOVED_NOTIFICATION, 2694},
            {Opcode.SMSG_AURA_UPDATE, 3104},
            {Opcode.SMSG_AURA_UPDATE_ALL, 21542},
            {Opcode.SMSG_AUTH_CHALLENGE, 5923},
            {Opcode.SMSG_AUTH_RESPONSE, 5126},
            {Opcode.SMSG_AVAILABLE_VOICE_CHANNEL, 31364},
            {Opcode.SMSG_BARBER_SHOP_RESULT, 4742},
            {Opcode.SMSG_BATTLEFIELD_LIST, 9870},
            {Opcode.SMSG_BATTLEFIELD_MGR_EJECTED, 9752},
            {Opcode.SMSG_BATTLEFIELD_MGR_EJECT_PENDING, 11966},
            {Opcode.SMSG_BATTLEFIELD_MGR_ENTERING, 17422},
            {Opcode.SMSG_BATTLEFIELD_MGR_ENTRY_INVITE, 19624},
            {Opcode.SMSG_BATTLEFIELD_MGR_QUEUE_INVITE, 1544},
            {Opcode.SMSG_BATTLEFIELD_MGR_QUEUE_REQUEST_RESPONSE, 3086},
            {Opcode.SMSG_BATTLEFIELD_MGR_STATE_CHANGE, 11934},
            {Opcode.SMSG_BATTLEFIELD_PORT_DENIED, 9768},
            {Opcode.SMSG_BATTLEFIELD_RATED_INFO, 25608},
            {Opcode.SMSG_BATTLEFIELD_STATUS_QUEUED, 18074},
            {Opcode.SMSG_BATTLEGROUND_EXIT_QUEUE, 1208},
            {Opcode.SMSG_BATTLEGROUND_INFO_THROTTLED, 17452},
            {Opcode.SMSG_BATTLEGROUND_IN_PROGRESS, 26152},
            {Opcode.SMSG_BATTLEGROUND_PLAYER_JOINED, 19626},
            {Opcode.SMSG_BATTLEGROUND_PLAYER_LEFT, 28206},
            {Opcode.SMSG_BATTLEGROUND_PLAYER_POSITIONS, 26296},
            {Opcode.SMSG_BATTLEGROUND_WAIT_JOIN, 25662},
            {Opcode.SMSG_BATTLEGROUND_WAIT_LEAVE, 20158},
            {Opcode.SMSG_BINDER_CONFIRM, 31910},
            {Opcode.SMSG_BIND_POINT_UPDATE, 20608},
            {Opcode.SMSG_BINDZONEREPLY, 16034},
            {Opcode.SMSG_BREAK_TARGET, 21028},
            {Opcode.SMSG_BUY_FAILED, 24576},
            {Opcode.SMSG_BUY_SUCCEEDED, 32288},
            {Opcode.SMSG_CALENDAR_ACTION_PENDING, 6304},
            {Opcode.SMSG_CALENDAR_ARENA_TEAM, 29186},
            {Opcode.SMSG_CALENDAR_COMMAND_RESULT, 26150},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE, 3716},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_ALERT, 24740},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_REMOVED, 18432},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_REMOVED_ALERT, 5282},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_STATUS_ALERT, 130},
            {Opcode.SMSG_CALENDAR_EVENT_MODERATOR_STATUS_ALERT, 21540},
            {Opcode.SMSG_CALENDAR_EVENT_REMOVED_ALERT, 15910},
            {Opcode.SMSG_CALENDAR_EVENT_STATUS, 2594},
            {Opcode.SMSG_CALENDAR_EVENT_UPDATED_ALERT, 6660},
            {Opcode.SMSG_CALENDAR_FILTER_GUILD, 7328},
            {Opcode.SMSG_CALENDAR_RAID_LOCKOUT_ADDED, 22534},
            {Opcode.SMSG_CALENDAR_RAID_LOCKOUT_REMOVED, 8358},
            {Opcode.SMSG_CALENDAR_SEND_CALENDAR, 32262},
            {Opcode.SMSG_CALENDAR_SEND_EVENT, 16032},
            {Opcode.SMSG_CALENDAR_SEND_NUM_PENDING, 21666},
            {Opcode.SMSG_CALENDAR_UPDATE_INVITE_LIST, 11428},
            {Opcode.SMSG_CALENDAR_UPDATE_INVITE_LIST2, 27810},
            {Opcode.SMSG_CALENDAR_UPDATE_INVITE_LIST3, 5280},
            {Opcode.SMSG_CANCEL_AUTO_REPEAT, 32290},
            {Opcode.SMSG_CANCEL_COMBAT, 4774},
            {Opcode.SMSG_CAST_FAILED, 2048},
            {Opcode.SMSG_CHANNEL_LIST, 13440},
            {Opcode.SMSG_CHANNEL_MEMBER_COUNT, 166},
            {Opcode.SMSG_CHANNEL_NOTIFY, 31270},
            {Opcode.SMSG_CHAT, 14468},
            {Opcode.SMSG_CREATE_CHAR, 10882},
            {Opcode.SMSG_DELETE_CHAR, 10754},
            {Opcode.SMSG_ENUM_CHARACTERS_RESULT, 1196},
            {Opcode.SMSG_CHAT_IGNORED_ACCOUNT_MUTED, 11836},
            {Opcode.SMSG_CHAT_PLAYER_AMBIGUOUS, 18436},
            {Opcode.SMSG_CHAT_PLAYER_NOTFOUND, 15872},
            {Opcode.SMSG_CHAT_RESTRICTED, 18978},
            {Opcode.SMSG_CHAT_WRONG_FACTION, 12422},
            {Opcode.SMSG_CLEAR_COOLDOWN, 29218},
            {Opcode.SMSG_CLEAR_COOLDOWNS, 25788},
            {Opcode.SMSG_CLEAR_FAR_SIGHT_IMMEDIATE, 16006},
            {Opcode.SMSG_CLEAR_TARGET, 31778},
            {Opcode.SMSG_CACHE_VERSION, 26754},
            {Opcode.SMSG_CONTROL_UPDATE, 28674},
            {Opcode.SMSG_COMMENTATOR_MAP_INFO, 4644},
            {Opcode.SMSG_COMMENTATOR_PLAYER_INFO, 4768},
            {Opcode.SMSG_COMMENTATOR_STATE_CHANGED, 8230},
            {Opcode.SMSG_COMPLAINT_RESULT, 1154},
            {Opcode.SMSG_COMPRESSED_MULTIPLE_PACKETS, 34595},
            {Opcode.SMSG_CONTACT_LIST, 17958},
            {Opcode.SMSG_CONVERT_RUNE, 7712},
            {Opcode.SMSG_COOLDOWN_CHEAT, 28832},
            {Opcode.SMSG_COOLDOWN_EVENT, 12836},
            {Opcode.SMSG_CORPSE_RECLAIM_DELAY, 17412},
            {Opcode.SMSG_QUERY_CREATURE_RESPONSE, 20614},
            {Opcode.SMSG_CRITERIA_DELETED, 22694},
            {Opcode.SMSG_CRITERIA_UPDATE, 29856},
            {Opcode.SMSG_CROSSED_INEBRIATION_THRESHOLD, 28672},
            {Opcode.SMSG_CUF_PROFILES_LOAD, 9256},
            {Opcode.SMSG_CUSTOM_LOAD_SCREEN, 9272},
            {Opcode.SMSG_DAMAGE_CALC_LOG, 22530},
            {Opcode.SMSG_DANCE_QUERY_RESPONSE, 8832},
            {Opcode.SMSG_DB_REPLY, 28300},
            {Opcode.SMSG_DEATH_RELEASE_LOC, 14980},
            {Opcode.SMSG_DEFENSE_MESSAGE, 23586},
            {Opcode.SMSG_DESTROY_OBJECT, 32384},
            {Opcode.SMSG_DESTRUCTIBLE_BUILDING_DAMAGE, 3620},
            {Opcode.SMSG_DISMOUNT, 1026},
            {Opcode.SMSG_DISMOUNT_RESULT, 18082},
            {Opcode.SMSG_DISPEL_FAILED, 8836},
            {Opcode.SMSG_DONT_AUTO_PUSH_SPELLS_TO_ACTION_BAR, 9918},
            {Opcode.SMSG_DUEL_COMPLETE, 17572},
            {Opcode.SMSG_DUEL_COUNTDOWN, 29728},
            {Opcode.SMSG_DUEL_IN_BOUNDS, 25606},
            {Opcode.SMSG_DUEL_OUT_OF_BOUNDS, 27684},
            {Opcode.SMSG_DUEL_REQUESTED, 3108},
            {Opcode.SMSG_DUEL_WINNER, 28806},
            {Opcode.SMSG_DUMP_RIDE_TICKETS_RESPONSE, 19610},
            {Opcode.SMSG_DURABILITY_DAMAGE_DEATH, 30340},
            {Opcode.SMSG_EMOTE, 13986},
            {Opcode.SMSG_ENABLE_BARBER_SHOP, 15908},
            {Opcode.SMSG_ENCHANTMENT_LOG, 12452},
            {Opcode.SMSG_ENVIRONMENTAL_DAMAGE_LOG, 9858},
            {Opcode.SMSG_EQUIPMENT_SET_ID, 15492},
            {Opcode.SMSG_EXPECTED_SPAM_RECORDS, 14502},
            {Opcode.SMSG_EXPLORATION_EXPERIENCE, 544},
            {Opcode.SMSG_FAILED_PLAYER_CONDITION, 9882},
            {Opcode.SMSG_FEATURE_SYSTEM_STATUS, 20010},
            {Opcode.SMSG_FEIGN_DEATH_RESISTED, 21154},
            {Opcode.SMSG_FISH_ESCAPED, 23680},
            {Opcode.SMSG_FISH_NOT_HOOKED, 23170},
            {Opcode.SMSG_FLIGHT_SPLINE_SYNC, 7174},
            {Opcode.SMSG_FLOOD_DETECTED, 803},
            {Opcode.SMSG_FORCEACTIONSHOW, 22660},
            {Opcode.SMSG_FORCED_DEATH_UPDATE, 25600},
            {Opcode.SMSG_FORCE_DISPLAY_UPDATE, 2212},
            {Opcode.SMSG_FORCE_MOVE_ROOT, 17950},
            {Opcode.SMSG_FRIEND_STATUS, 20004},
            {Opcode.SMSG_GAME_OBJECT_ACTIVATE_ANIM_KIT, 27658},
            {Opcode.SMSG_GAME_OBJECT_CUSTOM_ANIM, 1574},
            {Opcode.SMSG_GAMEOBJECT_DESPAWN_ANIM, 30752},
            {Opcode.SMSG_QUERY_GAME_OBJECT_RESPONSE, 19622},
            {Opcode.SMSG_GAME_OBJECT_RESET_STATE, 19586},
            {Opcode.SMSG_GAME_SPEED_SET, 14884},
            {Opcode.SMSG_GAME_TIME_SET, 28198},
            {Opcode.SMSG_GAME_EVENT_DEBUG_LOG, 9368},
            {Opcode.SMSG_GAME_TIME_UPDATE, 6144},
            {Opcode.SMSG_GMRESPONSE_DB_ERROR, 21120},
            {Opcode.SMSG_GMRESPONSE_RECEIVED, 28288},
            {Opcode.SMSG_GMRESPONSE_STATUS_UPDATE, 6},
            {Opcode.SMSG_GM_TICKET_CREATE, 27812},
            {Opcode.SMSG_GM_TICKET_DELETE_TICKET, 25248},
            {Opcode.SMSG_GM_TICKET_GET_TICKET, 6272},
            {Opcode.SMSG_GM_TICKET_GET_SYSTEM_STATUS, 24742},
            {Opcode.SMSG_GM_TICKET_UPDATE_TEXT, 7300},
            {Opcode.SMSG_GM_MESSAGECHAT, 2724},
            {Opcode.SMSG_GM_TICKET_STATUS_UPDATE, 7684},
            {Opcode.SMSG_GOD_MODE, 10912},
            {Opcode.SMSG_GOSSIP_COMPLETE, 11906},
            {Opcode.SMSG_GOSSIP_MESSAGE, 24706},
            {Opcode.SMSG_GOSSIP_POI, 23206},
            {Opcode.SMSG_GROUP_CANCEL, 31748},
            {Opcode.SMSG_GROUP_DECLINE, 18948},
            {Opcode.SMSG_GROUP_DESTROYED, 27652},
            {Opcode.SMSG_GROUP_INVITE, 11402},
            {Opcode.SMSG_GROUP_LIST, 30208},
            {Opcode.SMSG_GROUP_SET_LEADER, 11396},
            {Opcode.SMSG_GROUP_UNINVITE, 27776},
            {Opcode.SMSG_GUILD_BANK_REMAINING_WITHDRAW_MONEY, 3130},
            {Opcode.SMSG_GUILD_BANK_QUERY_RESULTS, 19496},
            {Opcode.SMSG_GUILD_CHALLENGE_UPDATE, 17566},
            {Opcode.SMSG_GUILD_CHANGE_NAME_RESULT, 9244},
            {Opcode.SMSG_GUILD_COMMAND_RESULT, 28314},
            {Opcode.SMSG_GUILD_CRITERIA_DATA, 19642},
            {Opcode.SMSG_GUILD_EVENT, 23716},
            {Opcode.SMSG_GUILD_FLAGGED_FOR_RENAME, 1050},
            {Opcode.SMSG_GUILD_INVITE, 9896},
            {Opcode.SMSG_GUILD_MAX_DAILY_XP, 25646},
            {Opcode.SMSG_GUILD_MEMBER_DAILY_RESET, 9278},
            {Opcode.SMSG_GUILD_NEWS_UPDATE, 26250},
            {Opcode.SMSG_GUILD_PARTY_STATE, 26156},
            {Opcode.SMSG_GUILD_PERMISSIONS_QUERY_RESULTS, 1064},
            {Opcode.SMSG_QUERY_GUILD_INFO_RESPONSE, 6820},
            {Opcode.SMSG_GUILD_RANKS, 27674},
            {Opcode.SMSG_GUILD_REWARD_LIST, 1674},
            {Opcode.SMSG_GUILD_ROSTER, 3102},
            {Opcode.SMSG_GUILD_ROSTER_UPDATE, 20028},
            {Opcode.SMSG_GUILD_TRADESKILL_UPDATE, 17438},
            {Opcode.SMSG_GUILD_XP, 3626},
            {Opcode.SMSG_GUILD_XP_GAIN, 11822},
            {Opcode.SMSG_HEALTH_UPDATE, 15362},
            {Opcode.SMSG_HIGHEST_THREAT_UPDATE, 29824},
            //{Opcode.SMSG_HOTFIX_NOTIFY_BLOB, 6581},
            {Opcode.SMSG_INITIALIZE_FACTIONS, 20006},
            {Opcode.SMSG_SEND_KNOWN_SPELLS, 2214},
            {Opcode.SMSG_INIT_WORLD_STATES, 16000},
            {Opcode.SMSG_INSPECT_HONOR_STATS, 27802},
            {Opcode.SMSG_INSPECT_RESULTS_UPDATE, 12326},
            {Opcode.SMSG_INSPECT_TALENT, 25734},
            {Opcode.SMSG_INSTANCE_RESET, 30212},
            {Opcode.SMSG_INSTANCE_RESET_FAILED, 7334},
            {Opcode.SMSG_INSTANCE_SAVE_CREATED, 7172},
            {Opcode.SMSG_INVALIDATE_DANCE, 31234},
            {Opcode.SMSG_INVALIDATE_PLAYER, 29828},
            {Opcode.SMSG_INVALID_PROMOTION_CODE, 10242},
            {Opcode.SMSG_INVENTORY_CHANGE_FAILURE, 164},
            {Opcode.SMSG_ITEM_COOLDOWN, 11270},
            {Opcode.SMSG_ITEM_ENCHANT_TIME_UPDATE, 13862},
            {Opcode.SMSG_ITEM_EXPIRE_PURCHASE_REFUND, 11272},
            {Opcode.SMSG_ITEM_PUSH_RESULT, 25120},
            {Opcode.SMSG_ITEM_REFUND_INFO_RESPONSE, 26286},
            {Opcode.SMSG_ITEM_PURCHASE_REFUND_RESULT, 11946},
            {Opcode.SMSG_QUERY_ITEM_TEXT_RESPONSE, 5796},
            {Opcode.SMSG_ITEM_TIME_UPDATE, 15490},
            {Opcode.SMSG_JOINED_BATTLEGROUND_QUEUE, 19468},
            {Opcode.SMSG_KICK_REASON, 21670},
            {Opcode.SMSG_LEARNED_DANCE_MOVES, 2182},
            {Opcode.SMSG_LEARNED_SPELL, 17932},
            {Opcode.SMSG_LEVEL_UP_INFO, 24228},
            {Opcode.SMSG_LFG_BOOT_PROPOSAL_UPDATE, 2340},
            {Opcode.SMSG_LFG_JOIN_RESULT, 20106},
            {Opcode.SMSG_LFG_PARTY_INFO, 8326},
            {Opcode.SMSG_LFG_PLAYER_INFO, 1158},
            {Opcode.SMSG_LFG_SLOT_INVALID, 9790},
            {Opcode.SMSG_LFG_UPDATE_STATUS, 1034},
            {Opcode.SMSG_LFG_UPDATE_STATUS_NONE, 27688},
            {Opcode.SMSG_LF_GUILD_POST_UPDATED, 19598},
            {Opcode.SMSG_LF_GUILD_RECRUIT_LIST_UPDATED, 27800},
            {Opcode.SMSG_VENDOR_INVENTORY, 9262},
            {Opcode.SMSG_LOAD_EQUIPMENT_SET, 22560},
            {Opcode.SMSG_LOGIN_SET_TIME_SPEED, 8194},
            {Opcode.SMSG_LOGIN_VERIFY_WORLD, 7296},
            {Opcode.SMSG_LOGOUT_CANCEL_ACK, 15394},
            {Opcode.SMSG_LOGOUT_COMPLETE, 9222},
            {Opcode.SMSG_LOG_XP_GAIN, 27682},
            {Opcode.SMSG_LOOT_ALL_PASSED, 29348},
            {Opcode.SMSG_LOOT_CLEAR_MONEY, 30722},
            {Opcode.SMSG_LOOT_CONTENTS, 26122},
            {Opcode.SMSG_LOOT_ITEM_NOTIFY, 24066},
            {Opcode.SMSG_LOOT_LIST, 21030},
            {Opcode.SMSG_LOOT_MASTER_LIST, 8704},
            {Opcode.SMSG_LOOT_MONEY_NOTIFY, 7682},
            {Opcode.SMSG_LOOT_RELEASE, 546},
            {Opcode.SMSG_LOOT_REMOVED, 28800},
            {Opcode.SMSG_LOOT_RESPONSE, 7330},
            {Opcode.SMSG_LOOT_ROLL, 23078},
            {Opcode.SMSG_LOOT_ROLL_WON, 21126},
            {Opcode.SMSG_LOOT_SLOT_CHANGED, 2208},
            {Opcode.SMSG_LOOT_START_ROLL, 9216},
            {Opcode.SMSG_MAIL_LIST_RESULT, 12834},
            {Opcode.SMSG_MAP_OBJ_EVENTS, 11912},
            {Opcode.SMSG_MEETINGSTONE_IN_PROGRESS, 6688},
            {Opcode.SMSG_MEETINGSTONE_MEMBER_ADDED, 22688},
            {Opcode.SMSG_MEETINGSTONE_SETQUEUE, 9382},
            {Opcode.SMSG_MINIGAME_SETUP, 3618},
            {Opcode.SMSG_MIRROR_IMAGE_COMPONENTED_DATA, 8356},
            {Opcode.SMSG_MISSILE_CANCEL, 18104},
            {Opcode.SMSG_MODIFY_COOLDOWN, 29184},
            {Opcode.SMSG_MONSTER_MOVE_TRANSPORT, 3748},
            {Opcode.SMSG_MOTD, 18564},
            {Opcode.SMSG_MOUNT_RESULT, 31232},
            {Opcode.SMSG_MOUNT_SPECIAL_ANIM, 31398},
            {Opcode.SMSG_MOVE_SET_ACTIVE_MOVER, 11914},
            {Opcode.SMSG_MOVE_SET_CAN_FLY, 17420},
            {Opcode.SMSG_MOVE_SPLINE_DISABLE_GRAVITY, 20120},
            {Opcode.SMSG_MOVE_SPLINE_SET_FLIGHT_SPEED, 3116},
            {Opcode.SMSG_MOVE_SPLINE_SET_RUN_BACK_SPEED, 11452},
            {Opcode.SMSG_MOVE_SPLINE_SET_RUN_SPEED, 25656},
            {Opcode.SMSG_MOVE_SPLINE_SET_SWIM_SPEED, 25640},
            {Opcode.SMSG_MOVE_SPLINE_SET_WALK_BACK_SPEED, 1692},
            {Opcode.SMSG_MOVE_UNSET_CAN_FLY, 17946},
            {Opcode.SMSG_MOVE_UPDATE, 17432},
            {Opcode.SMSG_MULTIPLE_PACKETS, 32420},
            {Opcode.SMSG_MULTIPLE_PACKETS_2, 1827},
            {Opcode.SMSG_QUERY_PLAYER_NAME_RESPONSE, 24096},
            {Opcode.SMSG_NEW_TAXI_PATH, 6694},
            {Opcode.SMSG_NEW_WORLD, 25772},
            {Opcode.SMSG_NOTIFICATION, 19108},
            {Opcode.SMSG_NOTIFY_DANCE, 12804},
            {Opcode.SMSG_NOTIFY_DEST_LOC_SPELL_CAST, 7716},
            {Opcode.SMSG_QUERY_NPC_TEXT_RESPONSE, 160},
            {Opcode.SMSG_OFFER_PETITION_ERROR, 26628},
            {Opcode.SMSG_ON_CANCEL_EXPECTED_RIDE_VEHICLE_AURA, 25252},
            {Opcode.SMSG_ON_MONSTER_MOVE, 24736},
            {Opcode.SMSG_OVERRIDE_LIGHT, 31904},
            {Opcode.SMSG_PAGE_TEXT, 8708},
            {Opcode.SMSG_QUERY_PAGE_TEXT_RESPONSE, 31876},
            {Opcode.SMSG_PARTY_COMMAND_RESULT, 27168},
            {Opcode.SMSG_PARTY_KILL_LOG, 26758},
            {Opcode.SMSG_PARTY_MEMBER_STATS, 14370},
            {Opcode.SMSG_PARTY_MEMBER_STATS_FULL, 22144},
            {Opcode.SMSG_PAUSE_MIRROR_TIMER, 3078},
            {Opcode.SMSG_SPELL_PERIODIC_AURA_LOG, 13446},
            {Opcode.SMSG_PETGODMODE, 22022},
            {Opcode.SMSG_PETITION_QUERY_RESPONSE, 7170},
            {Opcode.SMSG_PETITION_SHOW_LIST, 28196},
            {Opcode.SMSG_PETITION_SHOW_SIGNATURES, 16512},
            {Opcode.SMSG_PETITION_SIGN_RESULTS, 24102},
            {Opcode.SMSG_PET_ACTION_FEEDBACK, 25126},
            {Opcode.SMSG_PET_ACTION_SOUND, 8866},
            {Opcode.SMSG_PET_BROKEN, 16896},
            {Opcode.SMSG_PET_CAST_FAILED, 31238},
            {Opcode.SMSG_PET_DISMISS_SOUND, 4642},
            {Opcode.SMSG_PET_GUIDS, 11910},
            {Opcode.SMSG_PET_LEARNED_SPELLS, 9380},
            {Opcode.SMSG_PET_MODE, 26662},
            {Opcode.SMSG_QUERY_PET_NAME_RESPONSE, 4100},
            {Opcode.SMSG_PET_UNLEARNED_SPELLS, 9220},
            {Opcode.SMSG_PET_RENAMEABLE, 20996},
            {Opcode.SMSG_PET_SPELLS_MESSAGE, 29862},
            {Opcode.SMSG_PET_TAME_FAILURE, 22048},
            {Opcode.SMSG_PET_UPDATE_COMBO_POINTS, 548},
            {Opcode.SMSG_PLAYED_TIME, 2},
            {Opcode.SMSG_PLAYERBINDERROR, 23174},
            {Opcode.SMSG_PLAYER_BOUND, 30338},
            {Opcode.SMSG_PLAYER_DIFFICULTY_CHANGE, 9862},
            {Opcode.SMSG_PLAYER_SKINNED, 9252},
            {Opcode.SMSG_PLAYER_VEHICLE_DATA, 5124},
            {Opcode.SMSG_PLAY_DANCE, 4256},
            {Opcode.SMSG_PLAY_MUSIC, 9254},
            {Opcode.SMSG_PLAY_OBJECT_SOUND, 20610},
            {Opcode.SMSG_PLAY_SOUND, 23684},
            {Opcode.SMSG_PLAY_SPELL_VISUAL, 9372},
            {Opcode.SMSG_PLAY_SPELL_VISUAL_KIT, 1582},
            {Opcode.SMSG_PLAY_TIME_WARNING, 1156},
            {Opcode.SMSG_PONG, 770},
            {Opcode.SMSG_POWER_UPDATE, 26790},
            {Opcode.SMSG_PRE_RESSURECT, 3718},
            {Opcode.SMSG_PRINT_NOTIFICATION, 26266},
            {Opcode.SMSG_PROC_RESIST, 4608},
            {Opcode.SMSG_PROPOSE_LEVEL_GRANT, 5248},
            {Opcode.SMSG_PVP_CREDIT, 27680},
            {Opcode.SMSG_PVP_LOG_DATA, 28188},
            {Opcode.SMSG_PVP_OPTIONS_ENABLED, 17470},
            {Opcode.SMSG_QUERY_QUESTS_COMPLETED_RESPONSE, 30370},
            {Opcode.SMSG_QUERY_TIME_RESPONSE, 22658},
            {Opcode.SMSG_QUEST_GIVER_OFFER_REWARD_MESSAGE, 25220},
            {Opcode.SMSG_QUEST_GIVER_QUEST_COMPLETE, 11422},
            {Opcode.SMSG_QUEST_GIVER_QUEST_DETAILS, 8196},
            {Opcode.SMSG_QUEST_GIVER_QUEST_FAILED, 24738},
            {Opcode.SMSG_QUEST_GIVER_REQUEST_ITEMS, 15396},
            {Opcode.SMSG_QUEST_GIVER_STATUS, 31266},
            {Opcode.SMSG_QUEST_GIVER_STATUS_MULTIPLE, 38},
            {Opcode.SMSG_QUEST_CONFIRM_ACCEPT, 22562},
            {Opcode.SMSG_QUEST_LOG_FULL, 10884},
            {Opcode.SMSG_QUEST_COMPLETION_NPC_RESPONSE, 11820},
            {Opcode.SMSG_QUEST_POI_QUERY_RESPONSE, 14338},
            {Opcode.SMSG_QUERY_QUEST_INFO_RESPONSE, 14464},
            {Opcode.SMSG_QUEST_UPDATE_ADD_KILL, 8322},
            {Opcode.SMSG_QUEST_UPDATE_ADD_PVP_CREDIT, 9344},
            {Opcode.SMSG_QUEST_UPDATE_FAILED, 22148},
            {Opcode.SMSG_QUEST_UPDATE_FAILED_TIMER, 10404},
            {Opcode.SMSG_RAID_INSTANCE_INFO, 23040},
            {Opcode.SMSG_RAID_INSTANCE_MESSAGE, 18434},
            {Opcode.SMSG_RAID_MARKERS_CHANGED, 18072},
            {Opcode.SMSG_GENERATE_RANDOM_CHARACTER_NAME_RESULT, 9402},
            {Opcode.SMSG_RATED_BATTLEFIELD_INFO, 3214},
            {Opcode.SMSG_READ_ITEM_RESULT_FAILED, 5670},
            {Opcode.SMSG_READ_ITEM_RESULT_OK, 22178},
            {Opcode.SMSG_REALM_SPLIT, 6176},
            {Opcode.SMSG_REAL_GROUP_UPDATE, 17062},
            {Opcode.SMSG_RECEIVED_MAIL, 3232},
            {Opcode.SMSG_CONNECT_TO, 1795},
            {Opcode.SMSG_REFER_A_FRIEND_FAILURE, 23712},
            {Opcode.SMSG_REPORT_PVP_AFK_RESULT, 16544},
            {Opcode.SMSG_REQUEST_CEMETERY_LIST_RESPONSE, 3256},
            {Opcode.SMSG_REQUEST_PVP_REWARDS_RESPONSE, 9226},
            {Opcode.SMSG_SETUP_RESEARCH_HISTORY, 17544},
            {Opcode.SMSG_RESET_COMPRESSION_CONTEXT, 9404}, // 5922
            {Opcode.SMSG_RESPOND_INSPECT_ACHIEVEMENTS, 9898},
            {Opcode.SMSG_RESUME_COMMS, 4898},
            {Opcode.SMSG_RESURRECT_REQUEST, 16898},
            {Opcode.SMSG_RWHOIS, 6790},
            {Opcode.SMSG_SELL_ITEM, 19458},
            {Opcode.SMSG_MAIL_COMMAND_RESULT, 3206},
            {Opcode.SMSG_SEND_UNLEARN_SPELLS, 18592},
            {Opcode.SMSG_SERVERTIME, 9856},
            {Opcode.SMSG_SERVER_FIRST_ACHIEVEMENT, 29700},
            {Opcode.SMSG_CHAT_SERVER_MESSAGE, 4228},
            {Opcode.SMSG_SERVER_PERF, 9784},
            {Opcode.SMSG_SETUP_CURRENCY, 3224},
            {Opcode.SMSG_SET_DF_FAST_LAUNCH_RESULT, 26140},
            {Opcode.SMSG_SET_FACTION_AT_WAR, 24068},
            {Opcode.SMSG_SET_FACTION_STANDING, 1058},
            {Opcode.SMSG_SET_FACTION_VISIBLE, 27650},
            {Opcode.SMSG_SET_FLAT_SPELL_MODIFIER, 18054},
            {Opcode.SMSG_SET_FORCED_REACTIONS, 18976},
            {Opcode.SMSG_SET_PCT_SPELL_MODIFIER, 25762},
            {Opcode.SMSG_PHASE_SHIFT_CHANGE, 17448},
            {Opcode.SMSG_SET_PROFICIENCY, 3746},
            {Opcode.SMSG_SET_PROJECTILE_POSITION, 11782},
            {Opcode.SMSG_SHOW_BANK, 18980},
            {Opcode.SMSG_SHOW_MAILBOX, 4770},
            {Opcode.SMSG_SHOW_TAXI_NODES, 24098},
            {Opcode.SMSG_SOCKET_GEMS, 30884},
            {Opcode.SMSG_SOR_START_EXPERIENCE_INCOMPLETE, 19596},
            {Opcode.SMSG_SPELL_BREAK_LOG, 5250},
            {Opcode.SMSG_CATEGORY_COOLDOWN, 11418},
            {Opcode.SMSG_SPELL_COOLDOWN, 18464},
            {Opcode.SMSG_SPELL_DAMAGE_SHIELD, 15360},
            {Opcode.SMSG_SPELL_DELAYED, 9732},
            {Opcode.SMSG_SPELL_ENERGIZE_LOG, 15522},
            {Opcode.SMSG_SPELL_EXECUTE_LOG, 14978},
            {Opcode.SMSG_SPELL_FAILED_OTHER, 24578},
            {Opcode.SMSG_SPELL_FAILURE, 4612},
            {Opcode.SMSG_SPELL_GO, 30342},
            {Opcode.SMSG_SPELL_HEAL_LOG, 3744},
            {Opcode.SMSG_SPELL_INSTAKILL_LOG, 17056},
            {Opcode.SMSG_SPELL_INTERRUPT_LOG, 1562},
            {Opcode.SMSG_SPELL_MISS_LOG, 4772},
            {Opcode.SMSG_SPELL_NON_MELEE_DAMAGE_LOG, 29220},
            {Opcode.SMSG_SPELL_OR_DAMAGE_IMMUNE, 17568},
            {Opcode.SMSG_SPELL_REMOVED_LOG, 3106},        // 4130?:D
            {Opcode.SMSG_SPELL_START, 8324},
            {Opcode.SMSG_SPELL_UPDATE_CHAIN_TARGETS, 10880},
            {Opcode.SMSG_STABLE_RESULT, 21152},
            {Opcode.SMSG_STAND_STATE_UPDATE, 1152},
            {Opcode.SMSG_START_MIRROR_TIMER, 5284},
            {Opcode.SMSG_STOP_DANCE, 17954},
            {Opcode.SMSG_STOP_MIRROR_TIMER, 11266},
            {Opcode.SMSG_STREAMING_MOVIES, 1194},
            {Opcode.SMSG_SUMMON_REQUEST, 16390},
            {Opcode.SMSG_SUSPEND_COMMS, 1794},
            {Opcode.SMSG_SUSPEND_TOKEN, 3134},
            {Opcode.SMSG_UPDATE_TALENT_DATA, 6816},
            {Opcode.SMSG_TALENTS_INVOLUNTARILY_RESET, 3590},
            {Opcode.SMSG_TAXI_NODE_STATUS, 13984},
            {Opcode.SMSG_TEXT_EMOTE, 2592},
            {Opcode.SMSG_THREAT_CLEAR, 26658},
            {Opcode.SMSG_THREAT_REMOVE, 14470},
            {Opcode.SMSG_THREAT_UPDATE, 646},
            {Opcode.SMSG_TIME_SYNC_REQUEST, 26142},
            {Opcode.SMSG_TITLE_EARNED, 22146},
            {Opcode.SMSG_TOGGLE_XP_GAIN, 6786},
            {Opcode.SMSG_TOTEM_CREATED, 29344},
            {Opcode.SMSG_TRADE_STATUS, 9386},
            {Opcode.SMSG_TRADE_STATUS_EXTENDED, 17962},
            {Opcode.SMSG_TRAINER_LIST, 19584},
            {Opcode.SMSG_TRANSFER_ABORTED, 2726},
            {Opcode.SMSG_TRANSFER_PENDING, 11436},
            {Opcode.SMSG_TRIGGER_CINEMATIC, 3588},
            {Opcode.SMSG_TRIGGER_MOVIE, 15014},
            {Opcode.SMSG_TURN_IN_PETITION_RESULT, 5286},
            {Opcode.SMSG_TUTORIAL_FLAGS, 28192},
            {Opcode.SMSG_UI_TIME, 25122},
            {Opcode.SMSG_UNIT_HEALTH_FREQUENT, 13830},
            {Opcode.SMSG_UNIT_SPELLCAST_START, 4134},
            {Opcode.SMSG_UNLEARNED_SPELLS, 14342},
            {Opcode.SMSG_UPDATE_ACCOUNT_DATA, 7842},
            {Opcode.SMSG_UPDATE_ACCOUNT_DATA_COMPLETE, 16548},
            {Opcode.SMSG_UPDATE_ACTION_BUTTONS, 17948},
            {Opcode.SMSG_UPDATE_COMBO_POINTS, 9250},
            {Opcode.SMSG_UPDATE_CURRENCY, 9224},
            {Opcode.SMSG_UPDATE_CURRENCY_WEEK_LIMIT, 17466},
            {Opcode.SMSG_UPDATE_DUNGEON_ENCOUNTER_FOR_LOOT, 17564},
            {Opcode.SMSG_UPDATE_INSTANCE_ENCOUNTER_UNIT, 1698},
            {Opcode.SMSG_UPDATE_INSTANCE_OWNERSHIP, 6178},
            {Opcode.SMSG_UPDATE_LAST_INSTANCE, 17538},
            {Opcode.SMSG_UPDATE_OBJECT, 17926},
            {Opcode.SMSG_UPDATE_SERVER_PLAYER_POSITION, 20124},
            {Opcode.SMSG_UPDATE_WORLD_STATE, 16514},
            {Opcode.SMSG_USERLIST_ADD, 11780},
            {Opcode.SMSG_USERLIST_REMOVE, 20096},
            {Opcode.SMSG_USERLIST_UPDATE, 19104},
            {Opcode.SMSG_USE_EQUIPMENT_SET_RESULT, 32260},
            {Opcode.SMSG_VOICE_CHAT_STATUS, 29188},
            {Opcode.SMSG_VOICE_PARENTAL_CONTROLS, 6310},
            {Opcode.SMSG_VOICE_SESSION_LEAVE, 23074},
            {Opcode.SMSG_VOICE_SESSION_ROSTER_UPDATE, 1666},
            {Opcode.SMSG_VOICE_SET_TALKER_MUTED, 25222},
            {Opcode.SMSG_VOID_ITEM_SWAP_RESPONSE, 3100},
            {Opcode.SMSG_VOID_STORAGE_CONTENTS, 9880},
            {Opcode.SMSG_VOID_STORAGE_FAILED, 9788},
            {Opcode.SMSG_VOID_STORAGE_TRANSFER_CHANGES, 19630},
            {Opcode.SMSG_VOID_TRANSFER_RESULT, 11432},
            {Opcode.SMSG_WARDEN_DATA, 1214},
            {Opcode.SMSG_WEATHER, 26786},
            {Opcode.SMSG_WEEKLY_RESET_CURRENCY, 3598},
            {Opcode.SMSG_WEEKLY_SPELL_USAGE, 28204},
            {Opcode.SMSG_WEEKLY_SPELL_USAGE_UPDATE, 27692},
            {Opcode.SMSG_WHO, 24582},
            {Opcode.SMSG_WHO_IS, 9730},
            {Opcode.SMSG_WORLD_SERVER_INFO, 17976},
            {Opcode.SMSG_XP_GAIN_ABORTED, 11276},
            {Opcode.SMSG_ZONE_UNDER_ATTACK, 2564}
        };

        private static readonly BiDictionary<Opcode, int> MiscOpcodes = new BiDictionary<Opcode, int>
        {
            {Opcode.MSG_AUCTION_HELLO, 1664},
            {Opcode.MSG_CHANNEL_START, 27808},
            {Opcode.MSG_CHANNEL_UPDATE, 15874},
            {Opcode.MSG_CORPSE_QUERY, 20486},
            {Opcode.MSG_GUILD_PERMISSIONS, 10440},
            {Opcode.MSG_INSPECT_ARENA_TEAMS, 19074},
            {Opcode.MSG_MINIMAP_PING, 19970},
            {Opcode.MSG_MOVE_FALL_LAND, 9219},
            {Opcode.MSG_MOVE_HEARTBEAT, 29841},
            {Opcode.MSG_MOVE_JUMP, 13953},
            {Opcode.MSG_MOVE_SET_FACING, 8753},
            {Opcode.MSG_MOVE_SET_FLIGHT_BACK_SPEED, 11448},
            {Opcode.MSG_MOVE_SET_FLIGHT_SPEED, 26158},
            {Opcode.MSG_MOVE_SET_PITCH, 25761},
            {Opcode.MSG_MOVE_SET_PITCH_RATE, 1694},
            {Opcode.MSG_MOVE_SET_RUN_MODE, 29361},
            {Opcode.MSG_MOVE_SET_RUN_SPEED, 18088},
            {Opcode.MSG_MOVE_SET_SWIM_BACK_SPEED, 3612},
            {Opcode.MSG_MOVE_SET_SWIM_SPEED, 20138},
            {Opcode.MSG_MOVE_SET_TURN_RATE, 26120},
            {Opcode.MSG_MOVE_SET_WALK_MODE, 12817},
            {Opcode.MSG_MOVE_SET_WALK_SPEED, 17596},
            {Opcode.MSG_MOVE_START_ASCEND, 30339},
            {Opcode.MSG_MOVE_START_BACKWARD, 9763},
            {Opcode.MSG_MOVE_START_DESCEND, 12307},
            {Opcode.MSG_MOVE_START_FORWARD, 26243},
            {Opcode.MSG_MOVE_START_PITCH_DOWN, 25745},
            {Opcode.MSG_MOVE_START_PITCH_UP, 14001},
            {Opcode.MSG_MOVE_START_STRAFE_LEFT, 28705},
            {Opcode.MSG_MOVE_START_STRAFE_RIGHT, 8737},
            {Opcode.MSG_MOVE_START_SWIM, 8849},
            {Opcode.MSG_MOVE_START_TURN_LEFT, 8211},
            {Opcode.MSG_MOVE_START_TURN_RIGHT, 13825},
            {Opcode.MSG_MOVE_STOP, 9347},
            {Opcode.MSG_MOVE_STOP_ASCEND, 8369},
            {Opcode.MSG_MOVE_STOP_PITCH, 28723},
            {Opcode.MSG_MOVE_STOP_STRAFE, 30371},
            {Opcode.MSG_MOVE_STOP_SWIM, 8881},
            {Opcode.MSG_MOVE_STOP_TURN, 8225},
            {Opcode.MSG_MOVE_TELEPORT, 1594},
            {Opcode.MSG_MOVE_TELEPORT_ACK, 13985},
            {Opcode.MSG_MOVE_TELEPORT_CHEAT, 29875},
            {Opcode.MSG_MOVE_TIME_SKIPPED, 11434},
            {Opcode.MSG_MOVE_TOGGLE_COLLISION_CHEAT, 28689},
            {Opcode.MSG_MOVE_WORLDPORT_ACK, 17204},
            {Opcode.MSG_NOTIFY_PARTY_SQUELCH, 1536},
            {Opcode.MSG_PARTY_ASSIGNMENT, 8870},
            {Opcode.MSG_PETITION_DECLINE, 21508},
            {Opcode.MSG_PETITION_RENAME, 16900},
            {Opcode.MSG_QUERY_NEXT_MAIL_TIME, 10368},
            {Opcode.MSG_QUEST_PUSH_RESULT, 18050},
            {Opcode.MSG_RAID_READY_CHECK, 31744},
            {Opcode.MSG_RAID_READY_CHECK_FINISHED, 23686},
            {Opcode.MSG_RAID_TARGET_UPDATE, 23718},
            {Opcode.MSG_RANDOM_ROLL, 13348},
            {Opcode.MSG_SAVE_GUILD_EMBLEM, 21504},
            {Opcode.MSG_SET_DUNGEON_DIFFICULTY, 28678},
            {Opcode.MSG_SET_RAID_DIFFICULTY, 2086},
            {Opcode.MSG_TABARDVENDOR_ACTIVATE, 27782},
            {Opcode.MSG_TALENT_WIPE_CONFIRM, 678},
            {Opcode.MSG_VERIFY_CONNECTIVITY, 20311},
            {Opcode.TEST_430_SYNC_PLAYER_MOVE, 0x5}
        };
    }
}
