namespace WowPacketParser.Enums.Version.V4_3_0_15005
{
    // ReSharper disable InconsistentNaming
    // 4.3.0
    public enum ObjectField
    {
        OBJECT_FIELD_GUID = 0x0000, // Size: 2, Type: LONG, Flags: PUBLIC
        OBJECT_FIELD_DATA = 0x0002, // Size: 2, Type: LONG, Flags: PUBLIC
        OBJECT_FIELD_TYPE = 0x0004, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        OBJECT_FIELD_ENTRY = 0x0005, // Size: 1, Type: INT, Flags: PUBLIC
        OBJECT_FIELD_SCALE_X = 0x0006, // Size: 1, Type: FLOAT, Flags: PUBLIC
        OBJECT_FIELD_PADDING = 0x0007, // Size: 1, Type: INT, Flags: NONE
        OBJECT_END = 0x0008
    }

    public enum ItemField
    {
        ITEM_FIELD_OWNER = ObjectField.OBJECT_END + 0x0000, // Size: 2, Type: LONG, Flags: PUBLIC
        ITEM_FIELD_CONTAINED = ObjectField.OBJECT_END + 0x0002, // Size: 2, Type: LONG, Flags: PUBLIC
        ITEM_FIELD_CREATOR = ObjectField.OBJECT_END + 0x0004, // Size: 2, Type: LONG, Flags: PUBLIC
        ITEM_FIELD_GIFTCREATOR = ObjectField.OBJECT_END + 0x0006, // Size: 2, Type: LONG, Flags: PUBLIC
        ITEM_FIELD_STACK_COUNT = ObjectField.OBJECT_END + 0x0008, // Size: 1, Type: INT, Flags: OWNER, UNUSED1
        ITEM_FIELD_DURATION = ObjectField.OBJECT_END + 0x0009, // Size: 1, Type: INT, Flags: OWNER, UNUSED1
        ITEM_FIELD_SPELL_CHARGES = ObjectField.OBJECT_END + 0x000A, // Size: 5, Type: INT, Flags: OWNER, UNUSED1
        ITEM_FIELD_FLAGS = ObjectField.OBJECT_END + 0x000F, // Size: 1, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_1_1 = ObjectField.OBJECT_END + 0x0010, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_1_3 = ObjectField.OBJECT_END + 0x0012, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_2_1 = ObjectField.OBJECT_END + 0x0013, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_2_3 = ObjectField.OBJECT_END + 0x0015, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_3_1 = ObjectField.OBJECT_END + 0x0016, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_3_3 = ObjectField.OBJECT_END + 0x0018, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_4_1 = ObjectField.OBJECT_END + 0x0019, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_4_3 = ObjectField.OBJECT_END + 0x001B, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_5_1 = ObjectField.OBJECT_END + 0x001C, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_5_3 = ObjectField.OBJECT_END + 0x001E, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_6_1 = ObjectField.OBJECT_END + 0x001F, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_6_3 = ObjectField.OBJECT_END + 0x0021, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_7_1 = ObjectField.OBJECT_END + 0x0022, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_7_3 = ObjectField.OBJECT_END + 0x0024, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_8_1 = ObjectField.OBJECT_END + 0x0025, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_8_3 = ObjectField.OBJECT_END + 0x0027, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_9_1 = ObjectField.OBJECT_END + 0x0028, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_9_3 = ObjectField.OBJECT_END + 0x002A, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_10_1 = ObjectField.OBJECT_END + 0x002B, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_10_3 = ObjectField.OBJECT_END + 0x002D, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_11_1 = ObjectField.OBJECT_END + 0x002E, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_11_3 = ObjectField.OBJECT_END + 0x0030, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_12_1 = ObjectField.OBJECT_END + 0x0031, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_12_3 = ObjectField.OBJECT_END + 0x0033, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_13_1 = ObjectField.OBJECT_END + 0x0034, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_13_3 = ObjectField.OBJECT_END + 0x0036, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_14_1 = ObjectField.OBJECT_END + 0x0037, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_14_3 = ObjectField.OBJECT_END + 0x0039, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_15_1 = ObjectField.OBJECT_END + 0x003A, // Size: 2, Type: INT, Flags: PUBLIC
        ITEM_FIELD_ENCHANTMENT_15_3 = ObjectField.OBJECT_END + 0x003C, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        ITEM_FIELD_PROPERTY_SEED = ObjectField.OBJECT_END + 0x003D, // Size: 1, Type: INT, Flags: PUBLIC
        ITEM_FIELD_RANDOM_PROPERTIES_ID = ObjectField.OBJECT_END + 0x003E, // Size: 1, Type: INT, Flags: PUBLIC
        ITEM_FIELD_DURABILITY = ObjectField.OBJECT_END + 0x003F, // Size: 1, Type: INT, Flags: OWNER, UNUSED1
        ITEM_FIELD_MAXDURABILITY = ObjectField.OBJECT_END + 0x0040, // Size: 1, Type: INT, Flags: OWNER, UNUSED1
        ITEM_FIELD_CREATE_PLAYED_TIME = ObjectField.OBJECT_END + 0x0041, // Size: 1, Type: INT, Flags: PUBLIC
        ITEM_END = ObjectField.OBJECT_END + 0x0042
    }

    public enum ContainerField
    {
        CONTAINER_FIELD_NUM_SLOTS = ItemField.ITEM_END + 0x0000, // Size: 1, Type: INT, Flags: PUBLIC
        CONTAINER_ALIGN_PAD = ItemField.ITEM_END + 0x0001, // Size: 1, Type: BYTES, Flags: NONE
        CONTAINER_FIELD_SLOT_1 = ItemField.ITEM_END + 0x0002, // Size: 72, Type: LONG, Flags: PUBLIC
        CONTAINER_END = ItemField.ITEM_END + 0x004A
    }

    public enum UnitField
    {
        UNIT_FIELD_CHARM = ObjectField.OBJECT_END + 0x0000, // Size: 2, Type: LONG, Flags: PUBLIC
        UNIT_FIELD_SUMMON = ObjectField.OBJECT_END + 0x0002, // Size: 2, Type: LONG, Flags: PUBLIC
        UNIT_FIELD_CRITTER = ObjectField.OBJECT_END + 0x0004, // Size: 2, Type: LONG, Flags: PRIVATE
        UNIT_FIELD_CHARMEDBY = ObjectField.OBJECT_END + 0x0006, // Size: 2, Type: LONG, Flags: PUBLIC
        UNIT_FIELD_SUMMONEDBY = ObjectField.OBJECT_END + 0x0008, // Size: 2, Type: LONG, Flags: PUBLIC
        UNIT_FIELD_CREATEDBY = ObjectField.OBJECT_END + 0x000A, // Size: 2, Type: LONG, Flags: PUBLIC
        UNIT_FIELD_TARGET = ObjectField.OBJECT_END + 0x000C, // Size: 2, Type: LONG, Flags: PUBLIC
        UNIT_FIELD_CHANNEL_OBJECT = ObjectField.OBJECT_END + 0x000E, // Size: 2, Type: LONG, Flags: PUBLIC
        UNIT_CHANNEL_SPELL = ObjectField.OBJECT_END + 0x0010, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_BYTES_0 = ObjectField.OBJECT_END + 0x0011, // Size: 1, Type: BYTES, Flags: PUBLIC
        UNIT_FIELD_HEALTH = ObjectField.OBJECT_END + 0x0012, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_POWER1 = ObjectField.OBJECT_END + 0x0013, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_POWER2 = ObjectField.OBJECT_END + 0x0014, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_POWER3 = ObjectField.OBJECT_END + 0x0015, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_POWER4 = ObjectField.OBJECT_END + 0x0016, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_POWER5 = ObjectField.OBJECT_END + 0x0017, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_MAXHEALTH = ObjectField.OBJECT_END + 0x0018, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_MAXPOWER1 = ObjectField.OBJECT_END + 0x0019, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_MAXPOWER2 = ObjectField.OBJECT_END + 0x001A, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_MAXPOWER3 = ObjectField.OBJECT_END + 0x001B, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_MAXPOWER4 = ObjectField.OBJECT_END + 0x001C, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_MAXPOWER5 = ObjectField.OBJECT_END + 0x001D, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_POWER_REGEN_FLAT_MODIFIER = ObjectField.OBJECT_END + 0x001E,
        // Size: 5, Type: FLOAT, Flags: PRIVATE, OWNER, PARTY_MEMBER
        UNIT_FIELD_POWER_REGEN_INTERRUPTED_FLAT_MODIFIER = ObjectField.OBJECT_END + 0x0023,
        // Size: 5, Type: FLOAT, Flags: PRIVATE, OWNER, PARTY_MEMBER
        UNIT_FIELD_LEVEL = ObjectField.OBJECT_END + 0x0028, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_FACTIONTEMPLATE = ObjectField.OBJECT_END + 0x0029, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_VIRTUAL_ITEM_SLOT_ID = ObjectField.OBJECT_END + 0x002A, // Size: 3, Type: INT, Flags: PUBLIC
        UNIT_FIELD_FLAGS = ObjectField.OBJECT_END + 0x002D, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_FLAGS_2 = ObjectField.OBJECT_END + 0x002E, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_AURASTATE = ObjectField.OBJECT_END + 0x002F, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_BASEATTACKTIME = ObjectField.OBJECT_END + 0x0030, // Size: 2, Type: INT, Flags: PUBLIC
        UNIT_FIELD_RANGEDATTACKTIME = ObjectField.OBJECT_END + 0x0032, // Size: 1, Type: INT, Flags: PRIVATE
        UNIT_FIELD_BOUNDINGRADIUS = ObjectField.OBJECT_END + 0x0033, // Size: 1, Type: FLOAT, Flags: PUBLIC
        UNIT_FIELD_COMBATREACH = ObjectField.OBJECT_END + 0x0034, // Size: 1, Type: FLOAT, Flags: PUBLIC
        UNIT_FIELD_DISPLAYID = ObjectField.OBJECT_END + 0x0035, // Size: 1, Type: INT, Flags: UNUSED2
        UNIT_FIELD_NATIVEDISPLAYID = ObjectField.OBJECT_END + 0x0036, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_MOUNTDISPLAYID = ObjectField.OBJECT_END + 0x0037, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_MINDAMAGE = ObjectField.OBJECT_END + 0x0038, // Size: 1, Type: FLOAT, Flags: PRIVATE, OWNER, ITEM_OWNER
        UNIT_FIELD_MAXDAMAGE = ObjectField.OBJECT_END + 0x0039, // Size: 1, Type: FLOAT, Flags: PRIVATE, OWNER, ITEM_OWNER
        UNIT_FIELD_MINOFFHANDDAMAGE = ObjectField.OBJECT_END + 0x003A, // Size: 1, Type: FLOAT, Flags: PRIVATE, OWNER, ITEM_OWNER
        UNIT_FIELD_MAXOFFHANDDAMAGE = ObjectField.OBJECT_END + 0x003B, // Size: 1, Type: FLOAT, Flags: PRIVATE, OWNER, ITEM_OWNER
        UNIT_FIELD_BYTES_1 = ObjectField.OBJECT_END + 0x003C, // Size: 1, Type: BYTES, Flags: PUBLIC
        UNIT_FIELD_PETNUMBER = ObjectField.OBJECT_END + 0x003D, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_PET_NAME_TIMESTAMP = ObjectField.OBJECT_END + 0x003E, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_PETEXPERIENCE = ObjectField.OBJECT_END + 0x003F, // Size: 1, Type: INT, Flags: OWNER
        UNIT_FIELD_PETNEXTLEVELEXP = ObjectField.OBJECT_END + 0x0040, // Size: 1, Type: INT, Flags: OWNER
        UNIT_DYNAMIC_FLAGS = ObjectField.OBJECT_END + 0x0041, // Size: 1, Type: INT, Flags: UNUSED2
        UNIT_MOD_CAST_SPEED = ObjectField.OBJECT_END + 0x0042, // Size: 1, Type: FLOAT, Flags: PUBLIC
        UNIT_MOD_CAST_HASTE = ObjectField.OBJECT_END + 0x0043, // Size: 1, Type: FLOAT, Flags: PUBLIC
        UNIT_CREATED_BY_SPELL = ObjectField.OBJECT_END + 0x0044, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_NPC_FLAGS = ObjectField.OBJECT_END + 0x0045, // Size: 1, Type: INT, Flags: UNUSED2
        UNIT_NPC_EMOTESTATE = ObjectField.OBJECT_END + 0x0046, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_STAT0 = ObjectField.OBJECT_END + 0x0047, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_STAT1 = ObjectField.OBJECT_END + 0x0048, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_STAT2 = ObjectField.OBJECT_END + 0x0049, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_STAT3 = ObjectField.OBJECT_END + 0x004A, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_STAT4 = ObjectField.OBJECT_END + 0x004B, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_POSSTAT0 = ObjectField.OBJECT_END + 0x004C, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_POSSTAT1 = ObjectField.OBJECT_END + 0x004D, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_POSSTAT2 = ObjectField.OBJECT_END + 0x004E, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_POSSTAT3 = ObjectField.OBJECT_END + 0x004F, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_POSSTAT4 = ObjectField.OBJECT_END + 0x0050, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_NEGSTAT0 = ObjectField.OBJECT_END + 0x0051, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_NEGSTAT1 = ObjectField.OBJECT_END + 0x0052, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_NEGSTAT2 = ObjectField.OBJECT_END + 0x0053, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_NEGSTAT3 = ObjectField.OBJECT_END + 0x0054, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_NEGSTAT4 = ObjectField.OBJECT_END + 0x0055, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_RESISTANCES_ARMOR = ObjectField.OBJECT_END + 0x0056, // Size: 1, Type: INT, Flags: PRIVATE, OWNER, ITEM_OWNER
        UNIT_FIELD_RESISTANCES_HOLY = ObjectField.OBJECT_END + 0x0057, // Size: 1, Type: INT, Flags: PRIVATE, OWNER, ITEM_OWNER
        UNIT_FIELD_RESISTANCES_FIRE = ObjectField.OBJECT_END + 0x0058, // Size: 1, Type: INT, Flags: PRIVATE, OWNER, ITEM_OWNER
        UNIT_FIELD_RESISTANCES_NATURE = ObjectField.OBJECT_END + 0x0059, // Size: 1, Type: INT, Flags: PRIVATE, OWNER, ITEM_OWNER
        UNIT_FIELD_RESISTANCES_FROST = ObjectField.OBJECT_END + 0x005A, // Size: 1, Type: INT, Flags: PRIVATE, OWNER, ITEM_OWNER
        UNIT_FIELD_RESISTANCES_SHADOW = ObjectField.OBJECT_END + 0x005B, // Size: 1, Type: INT, Flags: PRIVATE, OWNER, ITEM_OWNER
        UNIT_FIELD_RESISTANCES_ARCANE = ObjectField.OBJECT_END + 0x005C, // Size: 1, Type: INT, Flags: PRIVATE, OWNER, ITEM_OWNER
        UNIT_FIELD_RESISTANCEBUFFMODSPOSITIVE_ARMOR = ObjectField.OBJECT_END + 0x005D, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_RESISTANCEBUFFMODSPOSITIVE_HOLY = ObjectField.OBJECT_END + 0x005E, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_RESISTANCEBUFFMODSPOSITIVE_FIRE = ObjectField.OBJECT_END + 0x005F, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_RESISTANCEBUFFMODSPOSITIVE_NATURE = ObjectField.OBJECT_END + 0x0060, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_RESISTANCEBUFFMODSPOSITIVE_FROST = ObjectField.OBJECT_END + 0x0061, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_RESISTANCEBUFFMODSPOSITIVE_SHADOW = ObjectField.OBJECT_END + 0x0062, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_RESISTANCEBUFFMODSPOSITIVE_ARCANE = ObjectField.OBJECT_END + 0x0063, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_RESISTANCEBUFFMODSNEGATIVE_ARMOR = ObjectField.OBJECT_END + 0x0064, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_RESISTANCEBUFFMODSNEGATIVE_HOLY = ObjectField.OBJECT_END + 0x0065, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_RESISTANCEBUFFMODSNEGATIVE_FIRE = ObjectField.OBJECT_END + 0x0066, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_RESISTANCEBUFFMODSNEGATIVE_NATURE = ObjectField.OBJECT_END + 0x0067, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_RESISTANCEBUFFMODSNEGATIVE_FROST = ObjectField.OBJECT_END + 0x0068, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_RESISTANCEBUFFMODSNEGATIVE_SHADOW = ObjectField.OBJECT_END + 0x0069, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_RESISTANCEBUFFMODSNEGATIVE_ARCANE = ObjectField.OBJECT_END + 0x006A, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_BASE_MANA = ObjectField.OBJECT_END + 0x006B, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_BASE_HEALTH = ObjectField.OBJECT_END + 0x006C, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_BYTES_2 = ObjectField.OBJECT_END + 0x006D, // Size: 1, Type: BYTES, Flags: PUBLIC
        UNIT_FIELD_ATTACK_POWER = ObjectField.OBJECT_END + 0x006E, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_ATTACK_POWER_MOD_POS = ObjectField.OBJECT_END + 0x006F, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_ATTACK_POWER_MOD_NEG = ObjectField.OBJECT_END + 0x0070, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_ATTACK_POWER_MULTIPLIER = ObjectField.OBJECT_END + 0x0071, // Size: 1, Type: FLOAT, Flags: PRIVATE, OWNER
        UNIT_FIELD_RANGED_ATTACK_POWER = ObjectField.OBJECT_END + 0x0072, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_RANGED_ATTACK_POWER_MOD_POS = ObjectField.OBJECT_END + 0x0073, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_RANGED_ATTACK_POWER_MOD_NEG = ObjectField.OBJECT_END + 0x0074, // Size: 1, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_RANGED_ATTACK_POWER_MULTIPLIER = ObjectField.OBJECT_END + 0x0075, // Size: 1, Type: FLOAT, Flags: PRIVATE, OWNER
        UNIT_FIELD_MINRANGEDDAMAGE = ObjectField.OBJECT_END + 0x0076, // Size: 1, Type: FLOAT, Flags: PRIVATE, OWNER
        UNIT_FIELD_MAXRANGEDDAMAGE = ObjectField.OBJECT_END + 0x0077, // Size: 1, Type: FLOAT, Flags: PRIVATE, OWNER
        UNIT_FIELD_POWER_COST_MODIFIER = ObjectField.OBJECT_END + 0x0078, // Size: 7, Type: INT, Flags: PRIVATE, OWNER
        UNIT_FIELD_POWER_COST_MULTIPLIER = ObjectField.OBJECT_END + 0x007F, // Size: 7, Type: FLOAT, Flags: PRIVATE, OWNER
        UNIT_FIELD_MAXHEALTHMODIFIER = ObjectField.OBJECT_END + 0x0086, // Size: 1, Type: FLOAT, Flags: PRIVATE, OWNER
        UNIT_FIELD_HOVERHEIGHT = ObjectField.OBJECT_END + 0x0087, // Size: 1, Type: FLOAT, Flags: PUBLIC
        UNIT_FIELD_MAXITEMLEVEL = ObjectField.OBJECT_END + 0x0088, // Size: 1, Type: INT, Flags: PUBLIC
        UNIT_FIELD_PADDING = ObjectField.OBJECT_END + 0x0089, // Size: 1, Type: INT, Flags: NONE
        UNIT_END = ObjectField.OBJECT_END + 0x008A
    }

    public enum PlayerField
    {
        PLAYER_DUEL_ARBITER = UnitField.UNIT_END + 0x0000, // Size: 2, Type: LONG, Flags: PUBLIC
        PLAYER_FLAGS = UnitField.UNIT_END + 0x0002, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_GUILDRANK = UnitField.UNIT_END + 0x0003, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_GUILDDELETE_DATE = UnitField.UNIT_END + 0x0004, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_GUILDLEVEL = UnitField.UNIT_END + 0x0005, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_BYTES = UnitField.UNIT_END + 0x0006, // Size: 1, Type: BYTES, Flags: PUBLIC
        PLAYER_BYTES_2 = UnitField.UNIT_END + 0x0007, // Size: 1, Type: BYTES, Flags: PUBLIC
        PLAYER_BYTES_3 = UnitField.UNIT_END + 0x0008, // Size: 1, Type: BYTES, Flags: PUBLIC
        PLAYER_DUEL_TEAM = UnitField.UNIT_END + 0x0009, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_GUILD_TIMESTAMP = UnitField.UNIT_END + 0x000A, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_QUEST_LOG_1_1 = UnitField.UNIT_END + 0x000B, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_1_2 = UnitField.UNIT_END + 0x000C, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_1_3 = UnitField.UNIT_END + 0x000D, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_1_4 = UnitField.UNIT_END + 0x000F, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_2_1 = UnitField.UNIT_END + 0x0010, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_2_2 = UnitField.UNIT_END + 0x0011, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_2_3 = UnitField.UNIT_END + 0x0012, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_2_5 = UnitField.UNIT_END + 0x0014, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_3_1 = UnitField.UNIT_END + 0x0015, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_3_2 = UnitField.UNIT_END + 0x0016, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_3_3 = UnitField.UNIT_END + 0x0017, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_3_5 = UnitField.UNIT_END + 0x0019, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_4_1 = UnitField.UNIT_END + 0x001A, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_4_2 = UnitField.UNIT_END + 0x001B, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_4_3 = UnitField.UNIT_END + 0x001C, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_4_5 = UnitField.UNIT_END + 0x001E, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_5_1 = UnitField.UNIT_END + 0x001F, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_5_2 = UnitField.UNIT_END + 0x0020, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_5_3 = UnitField.UNIT_END + 0x0021, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_5_5 = UnitField.UNIT_END + 0x0023, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_6_1 = UnitField.UNIT_END + 0x0024, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_6_2 = UnitField.UNIT_END + 0x0025, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_6_3 = UnitField.UNIT_END + 0x0026, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_6_5 = UnitField.UNIT_END + 0x0028, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_7_1 = UnitField.UNIT_END + 0x0029, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_7_2 = UnitField.UNIT_END + 0x002A, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_7_3 = UnitField.UNIT_END + 0x002B, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_7_5 = UnitField.UNIT_END + 0x002D, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_8_1 = UnitField.UNIT_END + 0x002E, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_8_2 = UnitField.UNIT_END + 0x002F, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_8_3 = UnitField.UNIT_END + 0x0030, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_8_5 = UnitField.UNIT_END + 0x0032, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_9_1 = UnitField.UNIT_END + 0x0033, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_9_2 = UnitField.UNIT_END + 0x0034, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_9_3 = UnitField.UNIT_END + 0x0035, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_9_5 = UnitField.UNIT_END + 0x0037, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_10_1 = UnitField.UNIT_END + 0x0038, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_10_2 = UnitField.UNIT_END + 0x0039, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_10_3 = UnitField.UNIT_END + 0x003A, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_10_5 = UnitField.UNIT_END + 0x003C, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_11_1 = UnitField.UNIT_END + 0x003D, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_11_2 = UnitField.UNIT_END + 0x003E, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_11_3 = UnitField.UNIT_END + 0x003F, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_11_5 = UnitField.UNIT_END + 0x0041, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_12_1 = UnitField.UNIT_END + 0x0042, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_12_2 = UnitField.UNIT_END + 0x0043, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_12_3 = UnitField.UNIT_END + 0x0044, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_12_5 = UnitField.UNIT_END + 0x0046, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_13_1 = UnitField.UNIT_END + 0x0047, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_13_2 = UnitField.UNIT_END + 0x0048, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_13_3 = UnitField.UNIT_END + 0x0049, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_13_5 = UnitField.UNIT_END + 0x004B, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_14_1 = UnitField.UNIT_END + 0x004C, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_14_2 = UnitField.UNIT_END + 0x004D, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_14_3 = UnitField.UNIT_END + 0x004E, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_14_5 = UnitField.UNIT_END + 0x0050, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_15_1 = UnitField.UNIT_END + 0x0051, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_15_2 = UnitField.UNIT_END + 0x0052, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_15_3 = UnitField.UNIT_END + 0x0053, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_15_5 = UnitField.UNIT_END + 0x0055, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_16_1 = UnitField.UNIT_END + 0x0056, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_16_2 = UnitField.UNIT_END + 0x0057, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_16_3 = UnitField.UNIT_END + 0x0058, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_16_5 = UnitField.UNIT_END + 0x005A, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_17_1 = UnitField.UNIT_END + 0x005B, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_17_2 = UnitField.UNIT_END + 0x005C, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_17_3 = UnitField.UNIT_END + 0x005D, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_17_5 = UnitField.UNIT_END + 0x005F, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_18_1 = UnitField.UNIT_END + 0x0060, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_18_2 = UnitField.UNIT_END + 0x0061, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_18_3 = UnitField.UNIT_END + 0x0062, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_18_5 = UnitField.UNIT_END + 0x0064, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_19_1 = UnitField.UNIT_END + 0x0065, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_19_2 = UnitField.UNIT_END + 0x0066, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_19_3 = UnitField.UNIT_END + 0x0067, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_19_5 = UnitField.UNIT_END + 0x0069, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_20_1 = UnitField.UNIT_END + 0x006A, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_20_2 = UnitField.UNIT_END + 0x006B, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_20_3 = UnitField.UNIT_END + 0x006C, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_20_5 = UnitField.UNIT_END + 0x006E, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_21_1 = UnitField.UNIT_END + 0x006F, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_21_2 = UnitField.UNIT_END + 0x0070, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_21_3 = UnitField.UNIT_END + 0x0071, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_21_5 = UnitField.UNIT_END + 0x0073, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_22_1 = UnitField.UNIT_END + 0x0074, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_22_2 = UnitField.UNIT_END + 0x0075, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_22_3 = UnitField.UNIT_END + 0x0076, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_22_5 = UnitField.UNIT_END + 0x0078, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_23_1 = UnitField.UNIT_END + 0x0079, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_23_2 = UnitField.UNIT_END + 0x007A, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_23_3 = UnitField.UNIT_END + 0x007B, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_23_5 = UnitField.UNIT_END + 0x007D, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_24_1 = UnitField.UNIT_END + 0x007E, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_24_2 = UnitField.UNIT_END + 0x007F, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_24_3 = UnitField.UNIT_END + 0x0080, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_24_5 = UnitField.UNIT_END + 0x0082, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_25_1 = UnitField.UNIT_END + 0x0083, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_25_2 = UnitField.UNIT_END + 0x0084, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_25_3 = UnitField.UNIT_END + 0x0085, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_25_5 = UnitField.UNIT_END + 0x0087, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_26_1 = UnitField.UNIT_END + 0x0088, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_26_2 = UnitField.UNIT_END + 0x0089, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_26_3 = UnitField.UNIT_END + 0x008A, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_26_5 = UnitField.UNIT_END + 0x008C, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_27_1 = UnitField.UNIT_END + 0x008D, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_27_2 = UnitField.UNIT_END + 0x008E, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_27_3 = UnitField.UNIT_END + 0x008F, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_27_5 = UnitField.UNIT_END + 0x0091, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_28_1 = UnitField.UNIT_END + 0x0092, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_28_2 = UnitField.UNIT_END + 0x0093, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_28_3 = UnitField.UNIT_END + 0x0094, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_28_5 = UnitField.UNIT_END + 0x0096, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_29_1 = UnitField.UNIT_END + 0x0097, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_29_2 = UnitField.UNIT_END + 0x0098, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_29_3 = UnitField.UNIT_END + 0x0099, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_29_5 = UnitField.UNIT_END + 0x009B, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_30_1 = UnitField.UNIT_END + 0x009C, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_30_2 = UnitField.UNIT_END + 0x009D, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_30_3 = UnitField.UNIT_END + 0x009E, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_30_5 = UnitField.UNIT_END + 0x00A0, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_31_1 = UnitField.UNIT_END + 0x00A1, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_31_2 = UnitField.UNIT_END + 0x00A2, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_31_3 = UnitField.UNIT_END + 0x00A3, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_31_5 = UnitField.UNIT_END + 0x00A5, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_32_1 = UnitField.UNIT_END + 0x00A6, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_32_2 = UnitField.UNIT_END + 0x00A7, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_32_3 = UnitField.UNIT_END + 0x00A8, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_32_5 = UnitField.UNIT_END + 0x00AA, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_33_1 = UnitField.UNIT_END + 0x00AB, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_33_2 = UnitField.UNIT_END + 0x00AC, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_33_3 = UnitField.UNIT_END + 0x00AD, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_33_5 = UnitField.UNIT_END + 0x00AF, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_34_1 = UnitField.UNIT_END + 0x00B0, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_34_2 = UnitField.UNIT_END + 0x00B1, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_34_3 = UnitField.UNIT_END + 0x00B2, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_34_5 = UnitField.UNIT_END + 0x00B4, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_35_1 = UnitField.UNIT_END + 0x00B5, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_35_2 = UnitField.UNIT_END + 0x00B6, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_35_3 = UnitField.UNIT_END + 0x00B7, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_35_5 = UnitField.UNIT_END + 0x00B9, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_36_1 = UnitField.UNIT_END + 0x00BA, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_36_2 = UnitField.UNIT_END + 0x00BB, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_36_3 = UnitField.UNIT_END + 0x00BC, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_36_5 = UnitField.UNIT_END + 0x00BE, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_37_1 = UnitField.UNIT_END + 0x00BF, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_37_2 = UnitField.UNIT_END + 0x00C0, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_37_3 = UnitField.UNIT_END + 0x00C1, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_37_5 = UnitField.UNIT_END + 0x00C3, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_38_1 = UnitField.UNIT_END + 0x00C4, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_38_2 = UnitField.UNIT_END + 0x00C5, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_38_3 = UnitField.UNIT_END + 0x00C6, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_38_5 = UnitField.UNIT_END + 0x00C8, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_39_1 = UnitField.UNIT_END + 0x00C9, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_39_2 = UnitField.UNIT_END + 0x00CA, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_39_3 = UnitField.UNIT_END + 0x00CB, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_39_5 = UnitField.UNIT_END + 0x00CD, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_40_1 = UnitField.UNIT_END + 0x00CE, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_40_2 = UnitField.UNIT_END + 0x00CF, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_40_3 = UnitField.UNIT_END + 0x00D0, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_40_5 = UnitField.UNIT_END + 0x00D2, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_41_1 = UnitField.UNIT_END + 0x00D3, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_41_2 = UnitField.UNIT_END + 0x00D4, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_41_3 = UnitField.UNIT_END + 0x00D5, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_41_5 = UnitField.UNIT_END + 0x00D7, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_42_1 = UnitField.UNIT_END + 0x00D8, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_42_2 = UnitField.UNIT_END + 0x00D9, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_42_3 = UnitField.UNIT_END + 0x00DA, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_42_5 = UnitField.UNIT_END + 0x00DC, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_43_1 = UnitField.UNIT_END + 0x00DD, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_43_2 = UnitField.UNIT_END + 0x00DE, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_43_3 = UnitField.UNIT_END + 0x00DF, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_43_5 = UnitField.UNIT_END + 0x00E1, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_44_1 = UnitField.UNIT_END + 0x00E2, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_44_2 = UnitField.UNIT_END + 0x00E3, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_44_3 = UnitField.UNIT_END + 0x00E4, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_44_5 = UnitField.UNIT_END + 0x00E6, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_45_1 = UnitField.UNIT_END + 0x00E7, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_45_2 = UnitField.UNIT_END + 0x00E8, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_45_3 = UnitField.UNIT_END + 0x00E9, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_45_5 = UnitField.UNIT_END + 0x00EB, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_46_1 = UnitField.UNIT_END + 0x00EC, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_46_2 = UnitField.UNIT_END + 0x00ED, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_46_3 = UnitField.UNIT_END + 0x00EE, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_46_5 = UnitField.UNIT_END + 0x00F0, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_47_1 = UnitField.UNIT_END + 0x00F1, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_47_2 = UnitField.UNIT_END + 0x00F2, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_47_3 = UnitField.UNIT_END + 0x00F3, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_47_5 = UnitField.UNIT_END + 0x00F5, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_48_1 = UnitField.UNIT_END + 0x00F6, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_48_2 = UnitField.UNIT_END + 0x00F7, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_48_3 = UnitField.UNIT_END + 0x00F8, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_48_5 = UnitField.UNIT_END + 0x00FA, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_49_1 = UnitField.UNIT_END + 0x00FB, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_49_2 = UnitField.UNIT_END + 0x00FC, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_49_3 = UnitField.UNIT_END + 0x00FD, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_49_5 = UnitField.UNIT_END + 0x00FF, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_50_1 = UnitField.UNIT_END + 0x0100, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_50_2 = UnitField.UNIT_END + 0x0101, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_50_3 = UnitField.UNIT_END + 0x0102, // Size: 2, Type: TWO_SHORT, Flags: PARTY_LEADER
        PLAYER_QUEST_LOG_50_5 = UnitField.UNIT_END + 0x0104, // Size: 1, Type: INT, Flags: PARTY_LEADER
        PLAYER_VISIBLE_ITEM_1_ENTRYID = UnitField.UNIT_END + 0x0105, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_1_ENCHANTMENT = UnitField.UNIT_END + 0x0106, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_2_ENTRYID = UnitField.UNIT_END + 0x0107, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_2_ENCHANTMENT = UnitField.UNIT_END + 0x0108, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_3_ENTRYID = UnitField.UNIT_END + 0x0109, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_3_ENCHANTMENT = UnitField.UNIT_END + 0x010A, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_4_ENTRYID = UnitField.UNIT_END + 0x010B, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_4_ENCHANTMENT = UnitField.UNIT_END + 0x010C, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_5_ENTRYID = UnitField.UNIT_END + 0x010D, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_5_ENCHANTMENT = UnitField.UNIT_END + 0x010E, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_6_ENTRYID = UnitField.UNIT_END + 0x010F, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_6_ENCHANTMENT = UnitField.UNIT_END + 0x0110, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_7_ENTRYID = UnitField.UNIT_END + 0x0111, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_7_ENCHANTMENT = UnitField.UNIT_END + 0x0112, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_8_ENTRYID = UnitField.UNIT_END + 0x0113, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_8_ENCHANTMENT = UnitField.UNIT_END + 0x0114, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_9_ENTRYID = UnitField.UNIT_END + 0x0115, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_9_ENCHANTMENT = UnitField.UNIT_END + 0x0116, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_10_ENTRYID = UnitField.UNIT_END + 0x0117, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_10_ENCHANTMENT = UnitField.UNIT_END + 0x0118, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_11_ENTRYID = UnitField.UNIT_END + 0x0119, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_11_ENCHANTMENT = UnitField.UNIT_END + 0x011A, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_12_ENTRYID = UnitField.UNIT_END + 0x011B, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_12_ENCHANTMENT = UnitField.UNIT_END + 0x011C, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_13_ENTRYID = UnitField.UNIT_END + 0x011D, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_13_ENCHANTMENT = UnitField.UNIT_END + 0x011E, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_14_ENTRYID = UnitField.UNIT_END + 0x011F, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_14_ENCHANTMENT = UnitField.UNIT_END + 0x0120, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_15_ENTRYID = UnitField.UNIT_END + 0x0121, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_15_ENCHANTMENT = UnitField.UNIT_END + 0x0122, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_16_ENTRYID = UnitField.UNIT_END + 0x0123, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_16_ENCHANTMENT = UnitField.UNIT_END + 0x0124, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_17_ENTRYID = UnitField.UNIT_END + 0x0125, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_17_ENCHANTMENT = UnitField.UNIT_END + 0x0126, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_18_ENTRYID = UnitField.UNIT_END + 0x0127, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_18_ENCHANTMENT = UnitField.UNIT_END + 0x0128, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_19_ENTRYID = UnitField.UNIT_END + 0x0129, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_VISIBLE_ITEM_19_ENCHANTMENT = UnitField.UNIT_END + 0x012A, // Size: 1, Type: TWO_SHORT, Flags: PUBLIC
        PLAYER_CHOSEN_TITLE = UnitField.UNIT_END + 0x012B, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_FAKE_INEBRIATION = UnitField.UNIT_END + 0x012C, // Size: 1, Type: INT, Flags: PUBLIC
        PLAYER_FIELD_PAD_0 = UnitField.UNIT_END + 0x012D, // Size: 1, Type: INT, Flags: NONE
        PLAYER_FIELD_INV_SLOT_HEAD = UnitField.UNIT_END + 0x012E, // Size: 46, Type: LONG, Flags: PRIVATE
        PLAYER_FIELD_PACK_SLOT_1 = UnitField.UNIT_END + 0x015C, // Size: 32, Type: LONG, Flags: PRIVATE
        PLAYER_FIELD_BANK_SLOT_1 = UnitField.UNIT_END + 0x017C, // Size: 56, Type: LONG, Flags: PRIVATE
        PLAYER_FIELD_BANKBAG_SLOT_1 = UnitField.UNIT_END + 0x01B4, // Size: 14, Type: LONG, Flags: PRIVATE
        PLAYER_FIELD_VENDORBUYBACK_SLOT_1 = UnitField.UNIT_END + 0x01C2, // Size: 24, Type: LONG, Flags: PRIVATE
        PLAYER_FARSIGHT = UnitField.UNIT_END + 0x01DA, // Size: 2, Type: LONG, Flags: PRIVATE
        PLAYER__FIELD_KNOWN_TITLES = UnitField.UNIT_END + 0x01DC, // Size: 2, Type: LONG, Flags: PRIVATE
        PLAYER__FIELD_KNOWN_TITLES1 = UnitField.UNIT_END + 0x01DE, // Size: 2, Type: LONG, Flags: PRIVATE
        PLAYER__FIELD_KNOWN_TITLES2 = UnitField.UNIT_END + 0x01E0, // Size: 2, Type: LONG, Flags: PRIVATE
        PLAYER_XP = UnitField.UNIT_END + 0x01E2, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_NEXT_LEVEL_XP = UnitField.UNIT_END + 0x01E3, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_SKILL_INFO_1_1 = UnitField.UNIT_END + 0x01E4, // Size: 384, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_CHARACTER_POINTS = UnitField.UNIT_END + 0x0364, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_TRACK_CREATURES = UnitField.UNIT_END + 0x0365, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_TRACK_RESOURCES = UnitField.UNIT_END + 0x0366, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_EXPERTISE = UnitField.UNIT_END + 0x0367, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_OFFHAND_EXPERTISE = UnitField.UNIT_END + 0x0368, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_BLOCK_PERCENTAGE = UnitField.UNIT_END + 0x0369, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_DODGE_PERCENTAGE = UnitField.UNIT_END + 0x036A, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_PARRY_PERCENTAGE = UnitField.UNIT_END + 0x036B, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_CRIT_PERCENTAGE = UnitField.UNIT_END + 0x036C, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_RANGED_CRIT_PERCENTAGE = UnitField.UNIT_END + 0x036D, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_OFFHAND_CRIT_PERCENTAGE = UnitField.UNIT_END + 0x036E, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_SPELL_CRIT_PERCENTAGE1 = UnitField.UNIT_END + 0x036F, // Size: 7, Type: FLOAT, Flags: PRIVATE
        PLAYER_SHIELD_BLOCK = UnitField.UNIT_END + 0x0376, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_SHIELD_BLOCK_CRIT_PERCENTAGE = UnitField.UNIT_END + 0x0377, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_MASTERY = UnitField.UNIT_END + 0x0378, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_EXPLORED_ZONES_1 = UnitField.UNIT_END + 0x0379, // Size: 144, Type: BYTES, Flags: PRIVATE
        PLAYER_REST_STATE_EXPERIENCE = UnitField.UNIT_END + 0x0409, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_COINAGE = UnitField.UNIT_END + 0x040A, // Size: 2, Type: LONG, Flags: PRIVATE
        PLAYER_FIELD_MOD_DAMAGE_DONE_POS = UnitField.UNIT_END + 0x040C, // Size: 7, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_MOD_DAMAGE_DONE_NEG = UnitField.UNIT_END + 0x0413, // Size: 7, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_MOD_DAMAGE_DONE_PCT = UnitField.UNIT_END + 0x041A, // Size: 7, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_MOD_HEALING_DONE_POS = UnitField.UNIT_END + 0x0421, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_MOD_HEALING_PCT = UnitField.UNIT_END + 0x0422, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_FIELD_MOD_HEALING_DONE_PCT = UnitField.UNIT_END + 0x0423, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_FIELD_WEAPON_DMG_MULTIPLIERS = UnitField.UNIT_END + 0x0424, // Size: 3, Type: FLOAT, Flags: PRIVATE
        PLAYER_FIELD_MOD_SPELL_POWER_PCT = UnitField.UNIT_END + 0x0427, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_FIELD_MOD_TARGET_RESISTANCE = UnitField.UNIT_END + 0x0428, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_MOD_TARGET_PHYSICAL_RESISTANCE = UnitField.UNIT_END + 0x0429, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_BYTES = UnitField.UNIT_END + 0x042A, // Size: 1, Type: BYTES, Flags: PRIVATE
        PLAYER_SELF_RES_SPELL = UnitField.UNIT_END + 0x042B, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_PVP_MEDALS = UnitField.UNIT_END + 0x042C, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_BUYBACK_PRICE_1 = UnitField.UNIT_END + 0x042D, // Size: 12, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_BUYBACK_TIMESTAMP_1 = UnitField.UNIT_END + 0x0439, // Size: 12, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_KILLS = UnitField.UNIT_END + 0x0445, // Size: 1, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_FIELD_LIFETIME_HONORABLE_KILLS = UnitField.UNIT_END + 0x0446, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_BYTES2 = UnitField.UNIT_END + 0x0447, // Size: 1, Type: 6, Flags: PRIVATE
        PLAYER_FIELD_WATCHED_FACTION_INDEX = UnitField.UNIT_END + 0x0448, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_COMBAT_RATING_1 = UnitField.UNIT_END + 0x0449, // Size: 26, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_ARENA_TEAM_INFO_1_1 = UnitField.UNIT_END + 0x0463, // Size: 21, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_BATTLEGROUND_RATING = UnitField.UNIT_END + 0x0478, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_MAX_LEVEL = UnitField.UNIT_END + 0x0479, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_DAILY_QUESTS_1 = UnitField.UNIT_END + 0x047A, // Size: 25, Type: INT, Flags: PRIVATE
        PLAYER_RUNE_REGEN_1 = UnitField.UNIT_END + 0x0493, // Size: 4, Type: FLOAT, Flags: PRIVATE
        PLAYER_NO_REAGENT_COST_1 = UnitField.UNIT_END + 0x0497, // Size: 3, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_GLYPH_SLOTS_1 = UnitField.UNIT_END + 0x049A, // Size: 9, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_GLYPHS_1 = UnitField.UNIT_END + 0x04A3, // Size: 9, Type: INT, Flags: PRIVATE
        PLAYER_GLYPHS_ENABLED = UnitField.UNIT_END + 0x04AC, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_PET_SPELL_POWER = UnitField.UNIT_END + 0x04AD, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_RESEARCHING_1 = UnitField.UNIT_END + 0x04AE, // Size: 8, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_FIELD_RESERACH_SITE_1 = UnitField.UNIT_END + 0x04B6, // Size: 8, Type: TWO_SHORT, Flags: PRIVATE
        PLAYER_PROFESSION_SKILL_LINE_1 = UnitField.UNIT_END + 0x04BE, // Size: 2, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_UI_HIT_MODIFIER = UnitField.UNIT_END + 0x04C0, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_FIELD_UI_SPELL_HIT_MODIFIER = UnitField.UNIT_END + 0x04C1, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_FIELD_HOME_REALM_TIME_OFFSET = UnitField.UNIT_END + 0x04C2, // Size: 1, Type: INT, Flags: PRIVATE
        PLAYER_FIELD_MOD_HASTE = UnitField.UNIT_END + 0x04C3, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_FIELD_MOD_RANGED_HASTE = UnitField.UNIT_END + 0x04C4, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_FIELD_MOD_PET_HASTE = UnitField.UNIT_END + 0x04C5, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_FIELD_MOD_HASTE_REGEN = UnitField.UNIT_END + 0x04C6, // Size: 1, Type: FLOAT, Flags: PRIVATE
        PLAYER_FIELD_PADDING = UnitField.UNIT_END + 0x04C7, // Size: 1, Type: INT, Flags: NONE
        PLAYER_END = UnitField.UNIT_END + 0x04C8
    }

    public enum GameObjectField
    {
        GAMEOBJECT_FIELD_CREATED_BY = ObjectField.OBJECT_END + 0x0000, // Size: 2, Type: LONG, Flags: PUBLIC
        GAMEOBJECT_DISPLAYID = ObjectField.OBJECT_END + 0x0002, // Size: 1, Type: INT, Flags: PUBLIC
        GAMEOBJECT_FLAGS = ObjectField.OBJECT_END + 0x0003, // Size: 1, Type: INT, Flags: PUBLIC
        GAMEOBJECT_PARENTROTATION = ObjectField.OBJECT_END + 0x0004, // Size: 4, Type: FLOAT, Flags: PUBLIC
        GAMEOBJECT_DYNAMIC = ObjectField.OBJECT_END + 0x0008, // Size: 1, Type: TWO_SHORT, Flags: UNUSED2
        GAMEOBJECT_FACTION = ObjectField.OBJECT_END + 0x0009, // Size: 1, Type: INT, Flags: PUBLIC
        GAMEOBJECT_LEVEL = ObjectField.OBJECT_END + 0x000A, // Size: 1, Type: INT, Flags: PUBLIC
        GAMEOBJECT_BYTES_1 = ObjectField.OBJECT_END + 0x000B, // Size: 1, Type: BYTES, Flags: PUBLIC
        GAMEOBJECT_END = ObjectField.OBJECT_END + 0x000C
    }

    public enum DynamicObjectField
    {
        DYNAMICOBJECT_CASTER = ObjectField.OBJECT_END + 0x0000, // Size: 2, Type: LONG, Flags: PUBLIC
        DYNAMICOBJECT_BYTES = ObjectField.OBJECT_END + 0x0002, // Size: 1, Type: INT, Flags: UNUSED2
        DYNAMICOBJECT_SPELLID = ObjectField.OBJECT_END + 0x0003, // Size: 1, Type: INT, Flags: PUBLIC
        DYNAMICOBJECT_RADIUS = ObjectField.OBJECT_END + 0x0004, // Size: 1, Type: FLOAT, Flags: PUBLIC
        DYNAMICOBJECT_CASTTIME = ObjectField.OBJECT_END + 0x0005, // Size: 1, Type: INT, Flags: PUBLIC
        DYNAMICOBJECT_END = ObjectField.OBJECT_END + 0x0006
    }

    public enum CorpseField
    {
        CORPSE_FIELD_OWNER = ObjectField.OBJECT_END + 0x0000, // Size: 2, Type: LONG, Flags: PUBLIC
        CORPSE_FIELD_PARTY = ObjectField.OBJECT_END + 0x0002, // Size: 2, Type: LONG, Flags: PUBLIC
        CORPSE_FIELD_DISPLAY_ID = ObjectField.OBJECT_END + 0x0004, // Size: 1, Type: INT, Flags: PUBLIC
        CORPSE_FIELD_ITEM = ObjectField.OBJECT_END + 0x0005, // Size: 19, Type: INT, Flags: PUBLIC
        CORPSE_FIELD_BYTES_1 = ObjectField.OBJECT_END + 0x0018, // Size: 1, Type: BYTES, Flags: PUBLIC
        CORPSE_FIELD_BYTES_2 = ObjectField.OBJECT_END + 0x0019, // Size: 1, Type: BYTES, Flags: PUBLIC
        CORPSE_FIELD_FLAGS = ObjectField.OBJECT_END + 0x001A, // Size: 1, Type: INT, Flags: PUBLIC
        CORPSE_FIELD_DYNAMIC_FLAGS = ObjectField.OBJECT_END + 0x001B, // Size: 1, Type: INT, Flags: UNUSED2
        CORPSE_END = ObjectField.OBJECT_END + 0x001C
    }
    // ReSharper restore InconsistentNaming
}
