using WowPacketParser.Misc;

namespace WowPacketParser.Enums.Version.V4_3_4_15595
{
    public static class Opcodes_4_3_4
    {
        public static BiDictionary<Opcode, int> Opcodes(Direction direction)
        {
            switch (direction)
            {
                case Direction.ClientToServer:
                case Direction.BNClientToServer:
                    return ClientOpcodes;
                case Direction.ServerToClient:
                case Direction.BNServerToClient:
                    return ServerOpcodes;
                default:
                    return MiscOpcodes;
            }
        }

        private static readonly BiDictionary<Opcode, int> ClientOpcodes = new BiDictionary<Opcode, int>
        {
            {Opcode.CMSG_ACCEPT_LEVEL_GRANT, 0x0205},
            {Opcode.CMSG_ACCEPT_TRADE, 0x7110},
            {Opcode.CMSG_ACTIVATE_TAXI, 0x6E06},
            {Opcode.CMSG_ACTIVATE_TAXI_EXPRESS, 0x0515},
            {Opcode.CMSG_ADDON_REGISTERED_PREFIXES, 0x0954},
            {Opcode.CMSG_ADD_FRIEND, 0x6527},
            {Opcode.CMSG_ADD_IGNORE, 0x4726},
            {Opcode.CMSG_VOICE_ADD_IGNORE, 0x0F06},
            {Opcode.CMSG_ALTER_APPEARANCE, 0x0914},
            {Opcode.CMSG_AREA_TRIGGER, 0x0937},
            {Opcode.CMSG_AREA_SPIRIT_HEALER_QUERY, 0x4907},
            {Opcode.CMSG_AREA_SPIRIT_HEALER_QUEUE, 0x4815},
            {Opcode.CMSG_ARENA_TEAM_ACCEPT, 0x2A25},
            {Opcode.CMSG_ARENA_TEAM_CREATE, 0x04A1},
            {Opcode.CMSG_ARENA_TEAM_DECLINE, 0x6925},
            {Opcode.CMSG_ARENA_TEAM_DISBAND, 0x6504},
            {Opcode.CMSG_ARENA_TEAM_INVITE, 0x2F27},
            {Opcode.CMSG_ARENA_TEAM_LEADER, 0x4204},
            {Opcode.CMSG_ARENA_TEAM_LEAVE, 0x0E16},
            {Opcode.CMSG_ARENA_TEAM_QUERY, 0x0514},
            {Opcode.CMSG_ARENA_TEAM_REMOVE, 0x2F05},
            {Opcode.CMSG_ARENA_TEAM_ROSTER, 0x6F37},
            {Opcode.CMSG_ATTACK_STOP, 0x4106},
            {Opcode.CMSG_ATTACK_SWING, 0x0926},
            {Opcode.CMSG_AUCTION_LIST_BIDDER_ITEMS, 0x6937},
            {Opcode.CMSG_AUCTION_LIST_ITEMS, 0x0324},
            {Opcode.CMSG_AUCTION_LIST_OWNER_ITEMS, 0x0206},
            {Opcode.CMSG_AUCTION_LIST_PENDING_SALES, 0x2C17},
            {Opcode.CMSG_AUCTION_PLACE_BID, 0x2306},
            {Opcode.CMSG_AUCTION_REMOVE_ITEM, 0x6426},
            {Opcode.CMSG_AUCTION_SELL_ITEM, 0x4A06},
            {Opcode.CMSG_AUTH_CONTINUED_SESSION, 0x044D},
            {Opcode.CMSG_AUTH_SESSION, 0x0449},
            {Opcode.CMSG_AUTOBANK_ITEM, 0x2537},
            {Opcode.CMSG_AUTO_EQUIP_ITEM, 0x4304},
            {Opcode.CMSG_AUTO_EQUIP_ITEM_SLOT, 0x4A17},
            {Opcode.CMSG_AUTO_STORE_BAG_ITEM, 0x0236},
            {Opcode.CMSG_AUTOSTORE_BANK_ITEM, 0x0607},
            {Opcode.CMSG_AUTOSTORE_LOOT_ITEM, 0x0E34},
            {Opcode.CMSG_AUTO_DECLINE_GUILD_INVITES, 0x2034},
            {Opcode.CMSG_BANKER_ACTIVATE, 0x0005},
            {Opcode.CMSG_BATTLEFIELD_LEAVE, 0x3018},
            {Opcode.CMSG_BATTLEFIELD_LIST, 0x3814},
            {Opcode.CMSG_BF_MGR_ENTRY_INVITE_RESPONSE, 0x05A3},
            {Opcode.CMSG_BF_MGR_QUEUE_EXIT_REQUEST, 0x2490},
            {Opcode.CMSG_BF_MGR_QUEUE_INVITE_RESPONSE, 0x0413},
            {Opcode.CMSG_BF_MGR_QUEUE_REQUEST, 0x710C},
            {Opcode.CMSG_BATTLEFIELD_PORT, 0x711A},
            {Opcode.CMSG_BATTLEFIELD_STATUS, 0x2500},
            {Opcode.CMSG_BATTLEGROUND_PLAYER_POSITIONS, 0x3902},
            {Opcode.CMSG_BATTLEMASTER_HELLO, 0x0234},
            {Opcode.CMSG_BATTLEMASTER_JOIN, 0x7902},
            {Opcode.CMSG_BATTLEMASTER_JOIN_ARENA, 0x701C},
            {Opcode.CMSG_BATTLEMASTER_JOIN_RATED, 0x3B18},
            {Opcode.CMSG_BEGIN_TRADE, 0x721E},
            {Opcode.CMSG_BINDER_ACTIVATE, 0x4006},
            {Opcode.CMSG_BUG, 0x4035},
            {Opcode.CMSG_BUSY_TRADE, 0x331C},
            {Opcode.CMSG_BUY_BACK_ITEM, 0x6C17},
            {Opcode.CMSG_BUY_BANK_SLOT, 0x0425},
            {Opcode.CMSG_BUY_ITEM, 0x0736},
            {Opcode.CMSG_CALENDAR_ADD_EVENT, 0x0726},
            {Opcode.CMSG_CALENDAR_ARENA_TEAM, 0x0204},
            {Opcode.CMSG_CALENDAR_COMPLAIN, 0x4C36},
            {Opcode.CMSG_CALENDAR_COPY_EVENT, 0x0207},
            {Opcode.CMSG_CALENDAR_EVENT_INVITE, 0x2435},
            {Opcode.CMSG_CALENDAR_EVENT_MODERATOR_STATUS, 0x6B35},
            {Opcode.CMSG_CALENDAR_EVENT_REMOVE_INVITE, 0x4337},
            {Opcode.CMSG_CALENDAR_EVENT_RSVP, 0x0227},
            {Opcode.CMSG_CALENDAR_EVENT_SIGN_UP, 0x6606},
            {Opcode.CMSG_CALENDAR_EVENT_STATUS, 0x2D24},
            {Opcode.CMSG_CALENDAR_GET_CALENDAR, 0x2814},
            {Opcode.CMSG_CALENDAR_GET_EVENT, 0x6416},
            {Opcode.CMSG_CALENDAR_GET_NUM_PENDING, 0x4D05},
            {Opcode.CMSG_CALENDAR_GUILD_FILTER, 0x4A16},
            {Opcode.CMSG_CALENDAR_REMOVE_EVENT, 0x6636},
            {Opcode.CMSG_CALENDAR_UPDATE_EVENT, 0x2114},
            {Opcode.CMSG_CANCEL_AURA, 0x0E26},
            {Opcode.CMSG_CANCEL_AUTO_REPEAT_SPELL, 0x6C35},
            {Opcode.CMSG_CANCEL_CAST, 0x0115},
            {Opcode.CMSG_CANCEL_CHANNELLING, 0x6C25},
            {Opcode.CMSG_CANCEL_GROWTH_AURA, 0x0237},
            {Opcode.CMSG_CANCEL_MOUNT_AURA, 0x0635},
            {Opcode.CMSG_CANCEL_QUEUED_SPELL, 0x7B1C},
            {Opcode.CMSG_CANCEL_TEMP_ENCHANTMENT, 0x6C37},
            {Opcode.CMSG_CANCEL_TRADE, 0x731E},
            {Opcode.CMSG_CAST_SPELL, 0x4C07},
            {Opcode.CMSG_CHANGEPLAYER_DIFFICULTY, 0x6107},
            {Opcode.CMSG_CHANGE_SEATS_ON_CONTROLLED_VEHICLE, 0x7310},
            {Opcode.CMSG_CHAT_CHANNEL_ANNOUNCEMENTS, 0x1146},
            {Opcode.CMSG_CHAT_CHANNEL_BAN, 0x3D56},
            {Opcode.CMSG_CHAT_CHANNEL_DISPLAY_LIST, 0x2144},
            {Opcode.CMSG_CHAT_CHANNEL_INVITE, 0x0144},
            {Opcode.CMSG_CHAT_CHANNEL_KICK, 0x3156},
            {Opcode.CMSG_CHAT_CHANNEL_LIST, 0x1556},
            {Opcode.CMSG_CHAT_CHANNEL_MODERATE, 0x2944},
            {Opcode.CMSG_CHAT_CHANNEL_MODERATOR, 0x0146},
            {Opcode.CMSG_CHAT_CHANNEL_MUTE, 0x2554},
            {Opcode.CMSG_CHAT_CHANNEL_OWNER, 0x3D44},
            {Opcode.CMSG_CHAT_CHANNEL_PASSWORD, 0x2556},
            {Opcode.CMSG_CHAT_CHANNEL_ROSTER_INFO, 0x3546},
            {Opcode.CMSG_CHAT_CHANNEL_SET_OWNER, 0x3556},
            {Opcode.CMSG_CHAT_CHANNEL_SILENCE_ALL, 0x2154},
            {Opcode.CMSG_CHAT_CHANNEL_SILENCE_VOICE, 0x2D54},
            {Opcode.CMSG_CHAT_CHANNEL_UNBAN, 0x2D46},
            {Opcode.CMSG_CHAT_CHANNEL_UNMODERATOR, 0x1954},
            {Opcode.CMSG_CHAT_CHANNEL_UNMUTE, 0x3554},
            {Opcode.CMSG_CHAT_CHANNEL_UNSILENCE_ALL, 0x2546},
            {Opcode.CMSG_CHAT_CHANNEL_UNSILENCE_VOICE, 0x3146},
            {Opcode.CMSG_CHAT_CHANNEL_VOICE_OFF, 0x3144},
            {Opcode.CMSG_CHAT_CHANNEL_VOICE_ON, 0x1144},
            {Opcode.CMSG_CREATE_CHARACTER, 0x4A36},
            {Opcode.CMSG_CHAR_CUSTOMIZE, 0x2C34},
            {Opcode.CMSG_CHAR_DELETE, 0x6425},
            {Opcode.CMSG_ENUM_CHARACTERS, 0x0502},
            {Opcode.CMSG_CHAR_FACTION_CHANGE, 0x2735},
            {Opcode.CMSG_CHAR_RACE_CHANGE, 0x0D24},
            {Opcode.CMSG_CHARACTER_RENAME_REQUEST, 0x2327},
            {Opcode.CMSG_CLEAR_CHANNEL_WATCH, 0x2604},
            {Opcode.CMSG_CLEAR_RAID_MARKER, 0x7300},
            {Opcode.CMSG_CLEAR_TRADE_ITEM, 0x7018},
            {Opcode.CMSG_COMMENTATOR_ENABLE, 0x0B07},
            {Opcode.CMSG_COMMENTATOR_ENTER_INSTANCE, 0x4105},
            {Opcode.CMSG_COMMENTATOR_EXIT_INSTANCE, 0x6136},
            {Opcode.CMSG_COMMENTATOR_GET_MAP_INFO, 0x0026},
            {Opcode.CMSG_COMMENTATOR_GET_PARTY_INFO, 0x2412},
            {Opcode.CMSG_COMMENTATOR_GET_PLAYER_INFO, 0x0D14},
            {Opcode.CMSG_COMMENTATOR_INSTANCE_COMMAND, 0x0917},
            {Opcode.CMSG_COMMENTATOR_SKIRMISH_QUEUE_COMMAND, 0x0025},
            {Opcode.CMSG_COMMENTATOR_START_WARGAME, 0x25A0},
            {Opcode.CMSG_COMPLAINT, 0x0427},
            {Opcode.CMSG_COMPLETE_CINEMATIC, 0x2116},
            {Opcode.CMSG_COMPLETE_MOVIE, 0x4136},
            {Opcode.CMSG_CONNECT_TO_FAILED, 0x2533},
            {Opcode.CMSG_CONTACT_LIST, 0x4534},
            {Opcode.CMSG_CORPSE_MAP_POSITION_QUERY, 0x6205},
            {Opcode.CMSG_QUERY_CREATURE, 0x2706},
            {Opcode.CMSG_DANCE_QUERY, 0x4E07},
            {Opcode.CMSG_DEL_FRIEND, 0x6A15},
            {Opcode.CMSG_DEL_IGNORE, 0x6D26},
            {Opcode.CMSG_VOICE_DEL_IGNORE, 0x0024},
            {Opcode.CMSG_DESTROY_ITEM, 0x4A27},
            {Opcode.CMSG_DISMISS_CONTROLLED_VEHICLE, 0x3218},
            {Opcode.CMSG_DISMISS_CRITTER, 0x4227},
            {Opcode.CMSG_DUEL_ACCEPTED, 0x2136},
            {Opcode.CMSG_DUEL_CANCELLED, 0x6624},
            {Opcode.CMSG_EJECT_PASSENGER, 0x6927},
            {Opcode.CMSG_EMOTE, 0x4C26},
            {Opcode.CMSG_ENABLE_NAGLE, 0x4449},
            {Opcode.CMSG_ENABLE_TAXI_NODE, 0x0C16},
            {Opcode.CMSG_EQUIPMENT_SET_DELETE, 0x4D07},
            {Opcode.CMSG_SAVE_EQUIPMENT_SET, 0x4F27},
            {Opcode.CMSG_EQUIPMENT_SET_USE, 0x0417},
            {Opcode.CMSG_FAR_SIGHT, 0x4835},
            {Opcode.CMSG_FORCE_MOVE_ROOT_ACK, 0x701E},
            {Opcode.CMSG_FORCE_MOVE_UNROOT_ACK, 0x7808},
            {Opcode.CMSG_QUERY_GAME_OBJECT, 0x4017},
            {Opcode.CMSG_GAME_OBJ_REPORT_USE, 0x4827},
            {Opcode.CMSG_GAME_OBJ_USE, 0x4E17},
            {Opcode.CMSG_GET_ITEM_PURCHASE_DATA, 0x2206},
            {Opcode.CMSG_MAIL_GET_LIST, 0x4D37},
            {Opcode.CMSG_GET_MIRROR_IMAGE_DATA, 0x0C25},
            {Opcode.CMSG_GM_TICKET_RESPONSE_RESOLVE, 0x6506},
            {Opcode.CMSG_GM_SURVEY_SUBMIT, 0x2724},
            {Opcode.CMSG_GM_TICKET_CREATE, 0x0137},
            {Opcode.CMSG_GM_TICKET_DELETE_TICKET, 0x6B14},
            {Opcode.CMSG_GM_TICKET_GET_TICKET, 0x0326},
            {Opcode.CMSG_GM_TICKET_GET_SYSTEM_STATUS, 0x4205},
            {Opcode.CMSG_GM_TICKET_UPDATE_TEXT, 0x0636},
            {Opcode.CMSG_GM_LAG_REPORT, 0x6726},
            {Opcode.CMSG_GOSSIP_HELLO, 0x4525},
            {Opcode.CMSG_GOSSIP_SELECT_OPTION, 0x0216},
            {Opcode.CMSG_GRANT_LEVEL, 0x6D16},
            {Opcode.CMSG_GROUP_CHANGE_SUB_GROUP, 0x4124},
            {Opcode.CMSG_GROUP_DISBAND, 0x2804},
            {Opcode.CMSG_GROUP_INVITE, 0x0513},
            {Opcode.CMSG_GROUP_INVITE_RESPONSE, 0x0410},
            {Opcode.CMSG_GROUP_RAID_CONVERT, 0x6E27},
            {Opcode.CMSG_GROUP_REQUEST_JOIN_UPDATES, 0x2583},
            {Opcode.CMSG_GROUP_SET_LEADER , 0x4C17},
            {Opcode.CMSG_GROUP_SET_ROLES, 0x25B1},
            {Opcode.CMSG_GROUP_SWAP_SUB_GROUP, 0x0034},
            {Opcode.CMSG_GROUP_UNINVITE_GUID, 0x2E07},
            {Opcode.CMSG_GUILD_ACCEPT, 0x2531},
            {Opcode.CMSG_GUILD_ACHIEVEMENT_MEMBERS, 0x3025},
            {Opcode.CMSG_GUILD_SET_FOCUSED_ACHIEVEMENT, 0x3235},
            {Opcode.CMSG_GUILD_ADD_RANK, 0x3030},
            {Opcode.CMSG_GUILD_ASSIGN_MEMBER_RANK, 0x3032},
            {Opcode.CMSG_GUILD_AUTO_DECLINE_INVITATION, 0x1234},
            {Opcode.CMSG_GUILD_BANK_ACTIVATE, 0x2E37},
            {Opcode.CMSG_GUILD_BANK_BUY_TAB, 0x0C37},
            {Opcode.CMSG_GUILD_BANK_DEPOSIT_MONEY, 0x0707},
            {Opcode.CMSG_GUILD_BANK_LOG_QUERY, 0x3224},
            {Opcode.CMSG_GUILD_BANK_REMAINING_WITHDRAW_MONEY_QUERY, 0x1225},
            {Opcode.CMSG_GUILD_BANK_QUERY_TAB, 0x2E35},
            {Opcode.CMSG_GUILD_BANK_TEXT_QUERY, 0x3220},
            {Opcode.CMSG_GUILD_BANK_SET_TAB_TEXT, 0x3023},
            {Opcode.CMSG_GUILD_BANK_SWAP_ITEMS, 0x2315},
            {Opcode.CMSG_GUILD_BANK_UPDATE_TAB, 0x0106},
            {Opcode.CMSG_GUILD_BANK_WITHDRAW_MONEY, 0x0037},
            {Opcode.CMSG_GUILD_CHANGE_NAME_REQUEST, 0x1232},
            {Opcode.CMSG_GUILD_DECLINE_INVITATION, 0x3231},
            {Opcode.CMSG_GUILD_DELETE_RANK, 0x3234},
            {Opcode.CMSG_GUILD_DEMOTE_MEMBER, 0x1020},
            {Opcode.CMSG_GUILD_DISBAND, 0x3226},
            {Opcode.CMSG_GUILD_EVENT_LOG_QUERY, 0x1220},
            {Opcode.CMSG_GUILD_GET_RANKS, 0x1026},
            {Opcode.CMSG_GUILD_GET_ROSTER, 0x1226},
            {Opcode.CMSG_GUILD_INFO_TEXT, 0x3227},
            {Opcode.CMSG_GUILD_INVITE, 0x24B0},
            {Opcode.CMSG_GUILD_LEAVE, 0x1021},
            {Opcode.CMSG_GUILD_MEMBER_SEND_SOR_REQUEST, 0x3225},
            {Opcode.CMSG_GUILD_MOTD, 0x1035},
            {Opcode.CMSG_GUILD_NEWS_UPDATE_STICKY, 0x3223},
            {Opcode.CMSG_GUILD_OFFICER_REMOVE_MEMBER, 0x1231},
            {Opcode.CMSG_GUILD_PERMISSIONS_QUERY, 0x3022},
            {Opcode.CMSG_GUILD_PROMOTE_MEMBER, 0x1030},
            {Opcode.CMSG_QUERY_GUILD_INFO, 0x4426},
            {Opcode.CMSG_GUILD_QUERY_MEMBERS_FOR_RECIPE, 0x1036},
            {Opcode.CMSG_GUILD_QUERY_MEMBER_RECIPES, 0x1037},
            {Opcode.CMSG_GUILD_QUERY_NEWS, 0x3020},
            {Opcode.CMSG_GUILD_QUERY_RECIPES, 0x3033},
            {Opcode.CMSG_GUILD_REPLACE_GUILD_MASTER, 0x1034},
            {Opcode.CMSG_GUILD_REQUEST_CHALLENGE_UPDATE, 0x1224},
            {Opcode.CMSG_GUILD_REQUEST_MAX_DAILY_XP, 0x3232},
            {Opcode.CMSG_REQUEST_GUILD_PARTY_STATE, 0x3900},
            {Opcode.CMSG_GUILD_SET_ACHIEVEMENT_TRACKING, 0x1027},
            {Opcode.CMSG_GUILD_SET_GUILD_MASTER, 0x3034},
            {Opcode.CMSG_GUILD_SET_NOTE, 0x1233},
            {Opcode.CMSG_GUILD_SET_RANK_PERMISSIONS, 0x1024},
            {Opcode.CMSG_GUILD_SWITCH_RANK, 0x1221},
            {Opcode.CMSG_HEARTH_AND_RESURRECT, 0x4B34},
            {Opcode.CMSG_IGNORE_TRADE, 0x7112},
            {Opcode.CMSG_INITIATE_TRADE, 0x7916},
            {Opcode.CMSG_INSPECT, 0x0927},
            {Opcode.CMSG_INSTANCE_LOCK_WARNING_RESPONSE, 0x6234},
            {Opcode.CMSG_ITEM_PURCHASE_REFUND, 0x6134},
            {Opcode.CMSG_ITEM_TEXT_QUERY, 0x2406},
            {Opcode.CMSG_CHAT_JOIN_CHANNEL, 0x0156},
            {Opcode.CMSG_KEEP_ALIVE, 0x0015},
            {Opcode.CMSG_LEARN_PREVIEW_TALENTS, 0x2415},
            {Opcode.CMSG_LEARN_PREVIEW_TALENTS_PET, 0x6E24},
            {Opcode.CMSG_LEARN_TALENT, 0x0306},
            {Opcode.CMSG_CHAT_LEAVE_CHANNEL, 0x2D56},
            {Opcode.CMSG_DF_GET_JOIN_STATUS, 0x2581},
            {Opcode.CMSG_LFG_JOIN, 0x2430},
            {Opcode.CMSG_LFG_LEAVE, 0x2433},
            {Opcode.CMSG_LFG_LFR_JOIN, 0x0531},
            {Opcode.CMSG_LFG_LFR_LEAVE, 0x0500},
            {Opcode.CMSG_DF_GET_SYSTEM_INFO, 0x0412},
            {Opcode.CMSG_LFG_PROPOSAL_RESULT, 0x0403},
            {Opcode.CMSG_LFG_SET_BOOT_VOTE, 0x04B3},
            {Opcode.CMSG_LFG_SET_COMMENT, 0x0530},
            {Opcode.CMSG_LFG_SET_ROLES, 0x0480},
            {Opcode.CMSG_LFG_TELEPORT, 0x2482},
            {Opcode.CMSG_LF_GUILD_ADD_RECRUIT, 0x4448},
            {Opcode.CMSG_LF_GUILD_BROWSE, 0x0548},
            {Opcode.CMSG_LF_GUILD_DECLINE_RECRUIT, 0x1031},
            {Opcode.CMSG_LF_GUILD_GET_APPLICATIONS, 0x1230},
            {Opcode.CMSG_LF_GUILD_GET_GUILD_POST, 0x3237},
            {Opcode.CMSG_LF_GUILD_GET_RECRUITS, 0x3230},
            {Opcode.CMSG_LF_GUILD_REMOVE_RECRUIT, 0x3027},
            {Opcode.CMSG_LF_GUILD_SET_GUILD_POST, 0x0448},
            {Opcode.CMSG_LIST_INVENTORY, 0x2806},
            {Opcode.CMSG_LOADING_SCREEN_NOTIFY, 0x2422},
            {Opcode.CMSG_LOGOUT_CANCEL, 0x2324},
            {Opcode.CMSG_LOGOUT_REQUEST, 0x0A25},
            {Opcode.CMSG_LOG_DISCONNECT, 0x446D},
            {Opcode.CMSG_LOOT_UNIT, 0x0127},
            {Opcode.CMSG_LOOT_CURRENCY, 0x781C},
            {Opcode.CMSG_LOOT_MASTER_GIVE, 0x4F35},
            {Opcode.CMSG_SET_LOOT_METHOD, 0x2F24},
            {Opcode.CMSG_LOOT_MONEY, 0x6227},
            {Opcode.CMSG_LOOT_RELEASE, 0x2007},
            {Opcode.CMSG_LOOT_ROLL, 0x6934},
            {Opcode.CMSG_LOW_LEVEL_RAID1, 0x4435},
            {Opcode.CMSG_LOW_LEVEL_RAID2, 0x0536},
            {Opcode.CMSG_MAIL_CREATE_TEXT_ITEM, 0x0B14},
            {Opcode.CMSG_MAIL_DELETE, 0x6104},
            {Opcode.CMSG_MAIL_MARK_AS_READ, 0x0C07},
            {Opcode.CMSG_MAIL_RETURN_TO_SENDER, 0x0816},
            {Opcode.CMSG_MAIL_TAKE_ITEM, 0x2B06},
            {Opcode.CMSG_MAIL_TAKE_MONEY, 0x4034},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_BATTLEGROUND, 0x0D46},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_GUILD, 0x0544},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_OFFICER, 0x3954},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_PARTY, 0x0546},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_RAID, 0x1D56},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_WHISPER, 0x2146},
            {Opcode.CMSG_CHAT_MESSAGE_AFK, 0x0D44},
            {Opcode.CMSG_CHAT_MESSAGE_BATTLEGROUND, 0x2156},
            {Opcode.CMSG_CHAT_MESSAGE_CHANNEL, 0x1D44},
            {Opcode.CMSG_CHAT_MESSAGE_DND, 0x2946},
            {Opcode.CMSG_CHAT_MESSAGE_EMOTE, 0x1156},
            {Opcode.CMSG_CHAT_MESSAGE_GUILD, 0x3956},
            {Opcode.CMSG_CHAT_MESSAGE_OFFICER, 0x1946},
            {Opcode.CMSG_CHAT_MESSAGE_PARTY, 0x1D46},
            {Opcode.CMSG_CHAT_MESSAGE_RAID, 0x2D44},
            {Opcode.CMSG_CHAT_MESSAGE_RAID_WARNING, 0x0944},
            {Opcode.CMSG_CHAT_MESSAGE_SAY, 0x1154},
            {Opcode.CMSG_CHAT_MESSAGE_WHISPER, 0x0D56},
            {Opcode.CMSG_CHAT_MESSAGE_YELL, 0x3544},
            {Opcode.CMSG_MINIGAME_MOVE, 0x2A34},
            {Opcode.CMSG_MOUNT_SPECIAL_ANIM, 0x2807},
            {Opcode.CMSG_MOVE_CHANGE_TRANSPORT, 0x3102},
            {Opcode.CMSG_MOVE_FALL_RESET, 0x310A},
            {Opcode.CMSG_MOVE_FEATHER_FALL_ACK, 0x3110},
            {Opcode.CMSG_MOVE_FORCE_FLIGHT_BACK_SPEED_CHANGE_ACK, 0x310E},
            {Opcode.CMSG_MOVE_FORCE_FLIGHT_SPEED_CHANGE_ACK, 0x7314},
            {Opcode.CMSG_MOVE_FORCE_PITCH_RATE_CHANGE_ACK, 0x3100},
            {Opcode.CMSG_MOVE_FORCE_RUN_BACK_SPEED_CHANGE_ACK, 0x3216},
            {Opcode.CMSG_MOVE_FORCE_RUN_SPEED_CHANGE_ACK, 0x7818},
            {Opcode.CMSG_MOVE_FORCE_SWIM_BACK_SPEED_CHANGE_ACK, 0x7A16},
            {Opcode.CMSG_MOVE_FORCE_SWIM_SPEED_CHANGE_ACK, 0x7A10},
            {Opcode.CMSG_MOVE_FORCE_TURN_RATE_CHANGE_ACK, 0x7316},
            {Opcode.CMSG_MOVE_FORCE_WALK_SPEED_CHANGE_ACK, 0x7210},
            {Opcode.CMSG_MOVE_GRAVITY_DISABLE_ACK, 0x3118},
            {Opcode.CMSG_MOVE_GRAVITY_ENABLE_ACK, 0x700A},
            {Opcode.CMSG_MOVE_HOVER_ACK, 0x3318},
            {Opcode.CMSG_MOVE_KNOCK_BACK_ACK, 0x721C},
            {Opcode.CMSG_MOVE_NOT_ACTIVE_MOVER, 0x7A1A},
            {Opcode.CMSG_MOVE_SET_CAN_FLY, 0x720E},
            {Opcode.CMSG_MOVE_SET_CAN_FLY_ACK, 0x790C},
            {Opcode.CMSG_MOVE_SET_CAN_TRANSITION_BETWEEN_SWIM_AND_FLY_ACK, 0x3014},
            {Opcode.CMSG_MOVE_SET_COLLISION_HEIGHT_ACK, 0x7114},
            {Opcode.CMSG_MOVE_SPLINE_DONE, 0x790E},
            {Opcode.CMSG_MOVE_TIME_SKIPPED, 0x7A0A},
            {Opcode.CMSG_MOVE_WATER_WALK_ACK, 0x3B00},
            {Opcode.CMSG_NAME_QUERY, 0x2224},
            {Opcode.CMSG_NEXT_CINEMATIC_CAMERA, 0x2014},
            {Opcode.CMSG_QUERY_NPC_TEXT, 0x4E24},
            {Opcode.CMSG_OBJECT_UPDATE_FAILED, 0x3808},
            {Opcode.CMSG_OBJECT_UPDATE_RESCUED, 0x3906},
            {Opcode.CMSG_OFFER_PETITION, 0x4817},
            {Opcode.CMSG_OPENING_CINEMATIC, 0x0A16},
            {Opcode.CMSG_OPEN_ITEM, 0x6A34},
            {Opcode.CMSG_OPT_OUT_OF_LOOT, 0x6B16},
            {Opcode.CMSG_QUERY_PAGE_TEXT, 0x6614},
            {Opcode.CMSG_PARTY_SILENCE, 0x6B26},
            {Opcode.CMSG_PARTY_UNSILENCE, 0x4D24},
            {Opcode.CMSG_PETITION_BUY, 0x4E05},
            {Opcode.CMSG_PETITION_QUERY, 0x4424},
            {Opcode.CMSG_PETITION_SHOW_LIST, 0x4617},
            {Opcode.CMSG_PETITION_SHOW_SIGNATURES, 0x4F15},
            {Opcode.CMSG_PETITION_SIGN, 0x0E04},
            {Opcode.CMSG_PET_ABANDON, 0x0C24},
            {Opcode.CMSG_PET_ACTION, 0x0226},
            {Opcode.CMSG_PET_CANCEL_AURA, 0x4B25},
            {Opcode.CMSG_PET_CAST_SPELL, 0x6337},
            {Opcode.CMSG_PET_LEARN_TALENT, 0x6725},
            {Opcode.CMSG_QUERY_PET_NAME, 0x6F24},
            {Opcode.CMSG_PET_RENAME, 0x6406},
            {Opcode.CMSG_PET_SET_ACTION, 0x6904},
            {Opcode.CMSG_PET_SPELL_AUTOCAST, 0x2514},
            {Opcode.CMSG_PET_STOP_ATTACK, 0x6C14},
            {Opcode.CMSG_PING, 0x444D},
            {Opcode.CMSG_REQUEST_PLAYED_TIME, 0x0804},
            {Opcode.CMSG_PLAYER_LOGIN, 0x05B1},
            {Opcode.CMSG_PLAYER_VEHICLE_ENTER, 0x2705},
            {Opcode.CMSG_PLAY_DANCE, 0x6914},
            {Opcode.CMSG_CLIENT_PORT_GRAVEYARD, 0x301E},
            {Opcode.CMSG_PUSH_QUEST_TO_PARTY, 0x4B14},
            {Opcode.CMSG_PVP_LOG_DATA, 0x7308},
            {Opcode.CMSG_QUERY_BATTLEFIELD_STATE, 0x7202},
            {Opcode.CMSG_QUERY_INSPECT_ACHIEVEMENTS, 0x4D27},
            {Opcode.CMSG_QUERY_QUESTS_COMPLETED, 0x2317},
            {Opcode.CMSG_QUERY_TIME, 0x0A36},
            {Opcode.CMSG_QUEST_GIVER_ACCEPT_QUEST, 0x6B37},
            {Opcode.CMSG_QUEST_GIVER_CHOOSE_REWARD, 0x2125},
            {Opcode.CMSG_QUEST_GIVER_COMPLETE_QUEST, 0x0114},
            {Opcode.CMSG_QUEST_GIVER_HELLO, 0x0D17},
            {Opcode.CMSG_QUEST_GIVER_QUERY_QUEST, 0x2F14},
            {Opcode.CMSG_QUEST_GIVER_REQUEST_REWARD, 0x2534},
            {Opcode.CMSG_QUEST_GIVER_STATUS_MULTIPLE_QUERY, 0x6305},
            {Opcode.CMSG_QUEST_GIVER_STATUS_QUERY, 0x4407},
            {Opcode.CMSG_QUEST_LOG_REMOVE_QUEST, 0x0D16},
            {Opcode.CMSG_QUEST_CONFIRM_ACCEPT, 0x0D15},
            {Opcode.CMSG_QUERY_QUEST_COMPLETION_NPCS, 0x7302},
            {Opcode.CMSG_QUEST_POI_QUERY, 0x4037},
            {Opcode.CMSG_QUERY_QUEST_INFO, 0x0D06},
            {Opcode.CMSG_GENERATE_RANDOM_CHARACTER_NAME, 0x2413},
            {Opcode.CMSG_READY_FOR_ACCOUNT_DATA_TIMES, 0x2B16},
            {Opcode.CMSG_READ_ITEM, 0x2F16},
            {Opcode.CMSG_REALM_SPLIT, 0x2906},
            {Opcode.CMSG_RECLAIM_CORPSE, 0x4036},
            {Opcode.CMSG_REFORGE_ITEM, 0x331A},
            {Opcode.CMSG_REORDER_CHARACTERS, 0x0593},
            {Opcode.CMSG_REPAIR_ITEM, 0x2917},
            {Opcode.CMSG_REPOP_REQUEST, 0x6235},
            {Opcode.CMSG_CHAT_REPORT_FILTERED, 0x0946},
            {Opcode.CMSG_CHAT_REPORT_IGNORED, 0x0D54},
            {Opcode.CMSG_REPORT_PVP_PLAYER_AFK, 0x6734},
            {Opcode.CMSG_REQUEST_ACCOUNT_DATA, 0x6505},
            {Opcode.CMSG_REQUEST_CATEGORY_COOLDOWNS, 0x7102},
            {Opcode.CMSG_REQUEST_CEMETERY_LIST, 0x720A},
            {Opcode.CMSG_REQUEST_GUILD_REWARDS_LIST, 0x3012},
            {Opcode.CMSG_REQUEST_GUILD_XP, 0x1237},
            {Opcode.CMSG_REQUEST_HONOR_STATS, 0x791E},
            {Opcode.CMSG_REQUEST_HOTFIX, 0x2401},
            {Opcode.CMSG_REQUEST_INSPECT_RATED_BG_STATS, 0x3010},
            {Opcode.CMSG_REQUEST_PARTY_MEMBER_STATS, 0x0C04},
            {Opcode.CMSG_REQUEST_PET_INFO, 0x4924},
            {Opcode.CMSG_GET_PVP_OPTIONS_ENABLED, 0x24A1},
            {Opcode.CMSG_REQUEST_PVP_REWARDS, 0x780C},
            {Opcode.CMSG_REQUEST_RAID_INFO, 0x2F26},
            {Opcode.CMSG_REQUEST_RATED_BG_INFO, 0x2423},
            {Opcode.CMSG_REQUEST_RATED_BG_STATS, 0x05B3},
            {Opcode.CMSG_REQUEST_RESEARCH_HISTORY, 0x3306},
            {Opcode.CMSG_REQUEST_VEHICLE_EXIT, 0x2B35},
            {Opcode.CMSG_REQUEST_VEHICLE_NEXT_SEAT, 0x4434},
            {Opcode.CMSG_REQUEST_VEHICLE_PREV_SEAT, 0x4C04},
            {Opcode.CMSG_REQUEST_VEHICLE_SWITCH_SEAT, 0x4C14},
            {Opcode.CMSG_RESET_FACTION_CHEAT, 0x4469},
            {Opcode.CMSG_RESET_INSTANCES, 0x6E14},
            {Opcode.CMSG_RESURRECT_RESPONSE, 0x6827},
            {Opcode.CMSG_ROLE_POLL_BEGIN, 0x0430},
            {Opcode.CMSG_SAVE_CUF_PROFILES, 0x730E},
            {Opcode.CMSG_SELF_RES, 0x6115},
            {Opcode.CMSG_SELL_ITEM, 0x4E15},
            {Opcode.CMSG_SEND_MAIL, 0x0523},
            {Opcode.CMSG_SEND_SOR_REQUEST_VIA_ADDRESS, 0x0420},
            {Opcode.CMSG_SEND_SOR_REQUEST_VIA_BNET_ACCOUNT_ID, 0x0482},
            {Opcode.CMSG_SET_ACTION_BAR_TOGGLES, 0x2506},
            {Opcode.CMSG_SET_ACTION_BUTTON, 0x6F06},
            {Opcode.CMSG_SET_ACTIVE_MOVER, 0x3314},
            {Opcode.CMSG_SET_ACTIVE_VOICE_CHANNEL, 0x4305},
            {Opcode.CMSG_SET_ASSISTANT_LEADER, 0x6025},
            {Opcode.CMSG_SET_CHANNEL_WATCH, 0x4517},
            {Opcode.CMSG_SET_CONTACT_NOTES, 0x6135},
            {Opcode.CMSG_SET_CURRENCY_FLAGS, 0x7306},
            {Opcode.CMSG_SET_EVERYONE_IS_ASSISTANT, 0x2530},
            {Opcode.CMSG_SET_FACTION_AT_WAR, 0x0706},
            {Opcode.CMSG_SET_FACTION_INACTIVE, 0x0E37},
            {Opcode.CMSG_SET_PET_SLOT, 0x3A04},
            {Opcode.CMSG_SET_PLAYER_DECLINED_NAMES, 0x6316},
            {Opcode.CMSG_SET_PREFERRED_CEMETERY, 0x311E},
            {Opcode.CMSG_SET_PRIMARY_TALENT_TREE, 0x4524},
            {Opcode.CMSG_SET_RELATIVE_POSITION, 0x311A},
            {Opcode.CMSG_SET_SAVED_INSTANCE_EXTEND, 0x6706},
            {Opcode.CMSG_SET_SELECTION, 0x0506},
            {Opcode.CMSG_SET_SHEATHED, 0x4326},
            {Opcode.CMSG_SET_TAXI_BENCHMARK_MODE, 0x4314},
            {Opcode.CMSG_SET_TITLE, 0x2117},
            {Opcode.CMSG_SET_TRADE_CURRENCY, 0x3312},
            {Opcode.CMSG_SET_TRADE_GOLD, 0x3008},
            {Opcode.CMSG_SET_TRADE_ITEM, 0x7B0C},
            {Opcode.CMSG_SET_VEHICLE_REC_ID_ACK, 0x3108},
            {Opcode.CMSG_SET_WATCHED_FACTION, 0x2434},
            {Opcode.CMSG_SHOWING_CLOAK, 0x4135},
            {Opcode.CMSG_SHOWING_HELM, 0x0735},
            {Opcode.CMSG_SOCKET_GEMS, 0x2F04},
            {Opcode.CMSG_SPELL_CLICK, 0x0805},
            {Opcode.CMSG_SPIRIT_HEALER_ACTIVATE, 0x2E26},
            {Opcode.CMSG_SPLIT_ITEM, 0x0F17},
            {Opcode.CMSG_STAND_STATE_CHANGE, 0x0535},
            {Opcode.CMSG_STOP_DANCE, 0x2907},
            {Opcode.CMSG_SUPPORT_TICKET_SUBMIT_BUG, 0x2520},
            {Opcode.CMSG_SUPPORT_TICKET_SUBMIT_COMPLAINT, 0x2501},
            {Opcode.CMSG_SUGGESTION_SUBMIT, 0x2512},
            {Opcode.CMSG_SUMMON_RESPONSE, 0x6F27},
            {Opcode.CMSG_SUSPEND_TOKEN_RESPONSE, 0x046D},
            {Opcode.CMSG_SWAP_INV_ITEM, 0x2614},
            {Opcode.CMSG_SWAP_ITEM, 0x6326},
            {Opcode.CMSG_SYNC_DANCE, 0x0036},
            {Opcode.CMSG_TAXI_NODE_STATUS_QUERY, 0x2F25},
            {Opcode.CMSG_TAXI_QUERY_AVAILABLE_NODES, 0x6C06},
            {Opcode.CMSG_TELEPORT_TO_UNIT, 0x4206},
            {Opcode.CMSG_SEND_TEXT_EMOTE, 0x2E24},
            {Opcode.CMSG_TIME_ADJUSTMENT_RESPONSE, 0x3818},
            {Opcode.CMSG_TIME_SYNC_RESPONSE, 0x3B0C},
            {Opcode.CMSG_TIME_SYNC_RESPONSE_FAILED, 0x710A},
            {Opcode.CMSG_TOGGLE_PVP, 0x6815},
            {Opcode.CMSG_TOTEM_DESTROYED, 0x4207},
            {Opcode.CMSG_TRAINER_BUY_SPELL, 0x4415},
            {Opcode.CMSG_TRAINER_LIST, 0x2336},
            {Opcode.CMSG_TRANSMOGRIFY_ITEMS, 0x3B0E},
            {Opcode.CMSG_TURN_IN_PETITION, 0x0B27},
            {Opcode.CMSG_TUTORIAL_CLEAR, 0x6515},
            {Opcode.CMSG_TUTORIAL_FLAG, 0x6C26},
            {Opcode.CMSG_TUTORIAL_RESET, 0x2726},
            {Opcode.CMSG_UI_TIME_REQUEST, 0x4605},
            {Opcode.CMSG_UNACCEPT_TRADE, 0x391A},
            {Opcode.CMSG_UNLEARN_SKILL, 0x6106},
            {Opcode.CMSG_UNLEARN_SPECIALIZATION, 0x3210},
            {Opcode.CMSG_CHAT_UNREGISTER_ALL_ADDON_PREFIXES, 0x3D54},
            {Opcode.CMSG_UPDATE_ACCOUNT_DATA, 0x4736},
            {Opcode.CMSG_UPDATE_MISSILE_TRAJECTORY, 0x781E},
            {Opcode.CMSG_UPDATE_PROJECTILE_POSITION, 0x0E24},
            {Opcode.CMSG_USED_FOLLOW, 0x7912},
            {Opcode.CMSG_USE_ITEM, 0x2C06},
            {Opcode.CMSG_VIOLENCE_LEVEL, 0x7816},
            {Opcode.CMSG_VOICE_SESSION_ENABLE, 0x2314},
            {Opcode.CMSG_QUERY_VOID_STORAGE, 0x790A},
            {Opcode.CMSG_VOID_STORAGE_TRANSFER, 0x380E},
            {Opcode.CMSG_UNLOCK_VOID_STORAGE, 0x7B14},
            {Opcode.CMSG_SWAP_VOID_ITEM, 0x3204},
            {Opcode.CMSG_WARDEN_DATA, 0x25A2},
            {Opcode.CMSG_WARGAME_ACCEPT, 0x2410},
            {Opcode.CMSG_WARGAME_START, 0x05A0},
            {Opcode.CMSG_WHO, 0x6C15},
            {Opcode.CMSG_WHO_IS, 0x6B05},
            {Opcode.CMSG_WORLD_TELEPORT, 0x24B2},
            {Opcode.CMSG_WRAP_ITEM, 0x4F06},
            {Opcode.CMSG_ZONEUPDATE, 0x4F37}
        };

        private static readonly BiDictionary<Opcode, int> ServerOpcodes = new BiDictionary<Opcode, int>
        {
            {Opcode.SMSG_ACCOUNT_DATA_TIMES, 0x4B05},
            {Opcode.SMSG_ACCOUNT_INFO_RESPONSE, 0x10A7},
            {Opcode.SMSG_ACHIEVEMENT_DELETED, 0x6A16},
            {Opcode.SMSG_ACHIEVEMENT_EARNED, 0x4405},
            {Opcode.SMSG_ACTIVATE_TAXI_REPLY, 0x6A37},
            {Opcode.SMSG_ADDON_INFO, 0x2C14},
            {Opcode.SMSG_ADD_RUNE_POWER, 0x6915},
            {Opcode.SMSG_AI_REACTION, 0x0637},
            {Opcode.SMSG_ALL_ACHIEVEMENT_DATA, 0x58B1},
            {Opcode.SMSG_ALL_GUILD_ACHIEVEMENTS, 0x54B7},
            {Opcode.SMSG_AREA_SPIRIT_HEALER_TIME, 0x0734},
            {Opcode.SMSG_AREA_TRIGGER_MESSAGE, 0x4505},
            {Opcode.SMSG_AREA_TRIGGER_MOVEMENT_UPDATE, 0x3DB1},
            {Opcode.SMSG_AREA_TRIGGER_NO_CORPSE, 0x2A14},
            {Opcode.SMSG_ARENA_ERROR, 0x2D17},
            {Opcode.SMSG_ARENA_OPPONENT_UPDATE, 0x2637},
            {Opcode.SMSG_ARENA_TEAM_CHANGE_FAILED_QUEUED, 0x6E34},
            {Opcode.SMSG_ARENA_TEAM_COMMAND_RESULT, 0x39B3},
            {Opcode.SMSG_ARENA_TEAM_EVENT, 0x0617},
            {Opcode.SMSG_ARENA_TEAM_INVITE, 0x0F36},
            {Opcode.SMSG_ARENA_TEAM_QUERY_RESPONSE, 0x6336},
            {Opcode.SMSG_ARENA_TEAM_ROSTER, 0x2717},
            {Opcode.SMSG_ARENA_TEAM_STATS, 0x4425},
            {Opcode.SMSG_ATTACKER_STATE_UPDATE, 0x0B25},
            {Opcode.SMSG_ATTACK_START, 0x2D15},
            {Opcode.SMSG_ATTACK_STOP, 0x0934},
            {Opcode.SMSG_ATTACKSWING_BADFACING, 0x0B36},
            {Opcode.SMSG_ATTACKSWING_CANT_ATTACK, 0x0016},
            {Opcode.SMSG_ATTACKSWING_DEADTARGET, 0x2B26},
            {Opcode.SMSG_ATTACKSWING_NOTINRANGE, 0x6C07},
            {Opcode.SMSG_AUCTION_BIDDER_NOTIFICATION, 0x4E27},
            {Opcode.SMSG_AUCTION_COMMAND_RESULT, 0x4C25},
            {Opcode.SMSG_AUCTION_LIST_BIDDER_ITEMS_RESULT, 0x0027},
            {Opcode.SMSG_AUCTION_LIST_OWNER_ITEMS_RESULT, 0x6C34},
            {Opcode.SMSG_AUCTION_LIST_PENDING_SALES, 0x6A27},
            {Opcode.SMSG_AUCTION_LIST_RESULT, 0x6637},
            {Opcode.SMSG_AUCTION_OWNER_NOTIFICATION, 0x4116},
            {Opcode.SMSG_AUCTION_REMOVED_NOTIFICATION, 0x2334},
            {Opcode.SMSG_AURA_POINTS_DEPLETED, 0x7CB7},
            {Opcode.SMSG_AURA_UPDATE, 0x4707},
            {Opcode.SMSG_AURA_UPDATE_ALL, 0x6916},
            {Opcode.SMSG_AUTH_CHALLENGE, 0x4542},
            {Opcode.SMSG_AUTH_RESPONSE, 0x5DB6},
            {Opcode.SMSG_AVAILABLE_VOICE_CHANNEL, 0x2E16},
            {Opcode.SMSG_AVERAGE_ITEM_LEVEL_INFORM, 0x5DA7},
            {Opcode.SMSG_BARBER_SHOP_RESULT, 0x6125},
            {Opcode.SMSG_BATTLEFIELD_LIST, 0x71B5},
            {Opcode.SMSG_BATTLEFIELD_MGR_EJECTED, 0x7DB7},
            {Opcode.SMSG_BATTLEFIELD_MGR_EJECT_PENDING, 0x34A2},
            {Opcode.SMSG_BATTLEFIELD_MGR_ENTERING, 0x5CA0},
            {Opcode.SMSG_BATTLEFIELD_MGR_ENTRY_INVITE, 0x34B3},
            {Opcode.SMSG_BATTLEFIELD_MGR_EXIT_REQUEST, 0x51B1},
            {Opcode.SMSG_BATTLEFIELD_MGR_QUEUE_INVITE, 0x15A6},
            {Opcode.SMSG_BATTLEFIELD_MGR_QUEUE_REQUEST_RESPONSE, 0x79B6},
            {Opcode.SMSG_BATTLEFIELD_MGR_STATE_CHANGE, 0x35B4},
            {Opcode.SMSG_BATTLEFIELD_PLAYER_POSITIONS, 0x58B4},
            {Opcode.SMSG_BATTLEFIELD_PORT_DENIED, 0x35A3},
            {Opcode.SMSG_BATTLEFIELD_RATED_INFO, 0x54A3},
            {Opcode.SMSG_BATTLEFIELD_STATUS, 0x7DA1},
            {Opcode.SMSG_BATTLEFIELD_STATUS_ACTIVE, 0x74A4},
            {Opcode.SMSG_BATTLEFIELD_STATUS_FAILED, 0x71A7},
            {Opcode.SMSG_BATTLEFIELD_STATUS_NEED_CONFIRMATION, 0x59A0},
            {Opcode.SMSG_BATTLEFIELD_STATUS_QUEUED, 0x35A1}, // maybe 0x71A7
            {Opcode.SMSG_BATTLEFIELD_STATUS_WAIT_FOR_GROUPS, 0x75A2},
            {Opcode.SMSG_BATTLEGROUND_INFO_THROTTLED, 0x34B2},
            {Opcode.SMSG_BATTLEGROUND_PLAYER_JOINED, 0x50B0},
            {Opcode.SMSG_BATTLEGROUND_PLAYER_LEFT, 0x59A6},
            {Opcode.SMSG_BINDER_CONFIRM, 0x2835},
            {Opcode.SMSG_BIND_POINT_UPDATE, 0x0527},
            {Opcode.SMSG_BINDZONEREPLY, 0x4C34},
            {Opcode.SMSG_BREAK_TARGET, 0x0105},
            {Opcode.SMSG_BUY_BANK_SLOT_RESULT, 0x4806},
            {Opcode.SMSG_BUY_FAILED, 0x6435},
            {Opcode.SMSG_BUY_SUCCEEDED, 0x0F26},
            {Opcode.SMSG_CALENDAR_ARENA_TEAM, 0x0615}, // may be swapped with SMSG_CALENDAR_FILTER_GUILD
            {Opcode.SMSG_CALENDAR_CLEAR_PENDING_ACTION, 0x2106},
            {Opcode.SMSG_CALENDAR_COMMAND_RESULT, 0x6F36},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE, 0x4E16},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_ALERT, 0x2A05},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_NOTES, 0x0E17},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_NOTES_ALERT, 0x2535},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_REMOVED, 0x0725},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_REMOVED_ALERT, 0x2617},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_STATUS_ALERT, 0x6625},
            {Opcode.SMSG_CALENDAR_EVENT_MODERATOR_STATUS_ALERT, 0x6B06},
            {Opcode.SMSG_CALENDAR_EVENT_REMOVED_ALERT, 0x6D35},
            {Opcode.SMSG_CALENDAR_EVENT_STATUS, 0x2A27},
            {Opcode.SMSG_CALENDAR_EVENT_UPDATED_ALERT, 0x0907},
            {Opcode.SMSG_CALENDAR_FILTER_GUILD, 0x4A26}, // may be swapped with SMSG_CALENDAR_ARENA_TEAM
            {Opcode.SMSG_CALENDAR_RAID_LOCKOUT_ADDED, 0x2305},
            {Opcode.SMSG_CALENDAR_RAID_LOCKOUT_REMOVED, 0x2E25},
            {Opcode.SMSG_CALENDAR_RAID_LOCKOUT_UPDATED, 0x4636},
            {Opcode.SMSG_CALENDAR_SEND_CALENDAR, 0x6805},
            {Opcode.SMSG_CALENDAR_SEND_EVENT, 0x0C35},
            {Opcode.SMSG_CALENDAR_SEND_NUM_PENDING, 0x0C17},
            {Opcode.SMSG_CAMERA_SHAKE, 0x4214},
            {Opcode.SMSG_CANCEL_AUTO_REPEAT, 0x6436},
            {Opcode.SMSG_CANCEL_COMBAT, 0x4F04},
            {Opcode.SMSG_CAST_FAILED, 0x4D16},
            {Opcode.SMSG_CHANNEL_LIST, 0x2214},
            {Opcode.SMSG_CHANNEL_MEMBER_COUNT, 0x6414},
            {Opcode.SMSG_CHANNEL_NOTIFY, 0x0825},
            {Opcode.SMSG_CHARACTER_LOGIN_FAILED , 0x4417},
            {Opcode.SMSG_CREATE_CHAR, 0x2D05},
            {Opcode.SMSG_CHAR_CUSTOMIZE , 0x4F16},
            {Opcode.SMSG_DELETE_CHAR, 0x0304},
            {Opcode.SMSG_ENUM_CHARACTERS_RESULT, 0x10B0},
            {Opcode.SMSG_CHAR_FACTION_CHANGE_RESULT , 0x4C06},
            {Opcode.SMSG_CHARACTER_RENAME_RESULT , 0x2024},
            {Opcode.SMSG_CHAT, 0x2026},
            {Opcode.SMSG_CHAT_IGNORED_ACCOUNT_MUTED, 0x15A4},
            {Opcode.SMSG_CHAT_NOT_IN_PARTY, 0x6A14},
            {Opcode.SMSG_CHAT_PLAYER_AMBIGUOUS, 0x2F34},
            {Opcode.SMSG_CHAT_PLAYER_NOTFOUND, 0x2526},
            {Opcode.SMSG_CHAT_RESTRICTED, 0x6536},
            {Opcode.SMSG_CHAT_SERVER_DISCONNECTED, 0x6D34},
            {Opcode.SMSG_CHAT_SERVER_DISCONNECTED_2, 0x4627},
            {Opcode.SMSG_CHAT_SERVER_RECONNECTED, 0x6905},
            {Opcode.SMSG_CHAT_WRONG_FACTION, 0x6724},
            {Opcode.SMSG_CLEAR_BOSS_EMOTES, 0x19A3},
            {Opcode.SMSG_CLEAR_COOLDOWN, 0x0627},
            {Opcode.SMSG_CLEAR_COOLDOWNS, 0x59B4},
            {Opcode.SMSG_CLEAR_FAR_SIGHT_IMMEDIATE, 0x2A04},
            {Opcode.SMSG_CLEAR_TARGET, 0x4B26},
            {Opcode.SMSG_CACHE_VERSION, 0x2734},
            {Opcode.SMSG_CONTROL_UPDATE, 0x2837},
            {Opcode.SMSG_COMBAT_EVENT_FAILED, 0x2B07},
            {Opcode.SMSG_COMMENTATOR_MAP_INFO, 0x0327},
            {Opcode.SMSG_COMMENTATOR_PARTY_INFO, 0x38B0},
            {Opcode.SMSG_COMMENTATOR_PLAYER_INFO, 0x2F36},
            {Opcode.SMSG_COMMENTATOR_SKIRMISH_QUEUE_RESULT1, 0x2126},
            {Opcode.SMSG_COMMENTATOR_SKIRMISH_QUEUE_RESULT2, 0x6814},
            {Opcode.SMSG_COMMENTATOR_STATE_CHANGED, 0x0737},
            {Opcode.SMSG_COMPLAINT_RESULT, 0x6D24},
            {Opcode.SMSG_COMPRESSED_MOVES, 0x0517},
            {Opcode.SMSG_COMSAT_CONNECT_FAIL, 0x6317},
            {Opcode.SMSG_COMSAT_DISCONNECT, 0x0316},
            {Opcode.SMSG_COMSAT_RECONNECT_TRY, 0x4D35},
            {Opcode.SMSG_CONTACT_LIST, 0x6017},
            {Opcode.SMSG_CONVERT_RUNE, 0x4F14},
            {Opcode.SMSG_COOLDOWN_CHEAT, 0x4537},
            {Opcode.SMSG_COOLDOWN_EVENT, 0x4F26},
            {Opcode.SMSG_CORPSE_MAP_POSITION_QUERY_RESPONSE, 0x0E35},
            {Opcode.SMSG_CORPSE_RECLAIM_DELAY, 0x0D34},
            {Opcode.SMSG_QUERY_CREATURE_RESPONSE, 0x6024},
            {Opcode.SMSG_CRITERIA_DELETED, 0x2915},
            {Opcode.SMSG_CRITERIA_UPDATE, 0x6E37},
            {Opcode.SMSG_CROSSED_INEBRIATION_THRESHOLD, 0x2036},
            {Opcode.SMSG_CURRENCY_LOOT_REMOVED, 0x1DB4},
            {Opcode.SMSG_CURRENCY_LOOT_RESTORED, 0x30A0},
            {Opcode.SMSG_CUSTOM_LOAD_SCREEN, 0x1DB6},
            {Opcode.SMSG_DAMAGE_CALC_LOG, 0x2436},
            {Opcode.SMSG_DANCE_QUERY_RESPONSE, 0x2F06},
            {Opcode.SMSG_DB_REPLY, 0x38A4},
            {Opcode.SMSG_DEATH_RELEASE_LOC, 0x2F07},
            {Opcode.SMSG_RUNE_REGEN_DEBUG, 0x31B3},
            {Opcode.SMSG_DEBUG_SERVER_GEO, 0x0235},
            {Opcode.SMSG_DEFENSE_MESSAGE, 0x0314},
            {Opcode.SMSG_DESTROY_OBJECT, 0x4724},
            {Opcode.SMSG_DESTRUCTIBLE_BUILDING_DAMAGE, 0x4825},
            {Opcode.SMSG_DIFFERENT_INSTANCE_FROM_PARTY, 0x15B1},
            {Opcode.SMSG_DISENCHANT_CREDIT, 0x55A2},
            {Opcode.SMSG_DISMOUNT, 0x2135},
            {Opcode.SMSG_DISMOUNT_RESULT, 0x0D25},
            {Opcode.SMSG_DISPEL_FAILED, 0x0307},
            {Opcode.SMSG_DISPLAY_GAME_ERROR, 0x31A6},
            {Opcode.SMSG_DONT_AUTO_PUSH_SPELLS_TO_ACTION_BAR, 0x38A2},
            {Opcode.SMSG_DROP_NEW_CONNECTION, 0x4D40},
            {Opcode.SMSG_DUEL_COMPLETE, 0x2527},
            {Opcode.SMSG_DUEL_COUNTDOWN, 0x4836},
            {Opcode.SMSG_DUEL_IN_BOUNDS, 0x0A27},
            {Opcode.SMSG_DUEL_OUT_OF_BOUNDS, 0x0C26},
            {Opcode.SMSG_DUEL_REQUESTED, 0x4504},
            {Opcode.SMSG_DUEL_WINNER, 0x2D36},
            {Opcode.SMSG_DUMP_RIDE_TICKETS_RESPONSE, 0x11A3},
            {Opcode.SMSG_DURABILITY_DAMAGE_DEATH, 0x4C27},
            {Opcode.SMSG_ECHO_PARTY_SQUELCH, 0x0814},
            {Opcode.SMSG_EMOTE, 0x0A34},
            {Opcode.SMSG_ENABLE_BARBER_SHOP, 0x2D16},
            {Opcode.SMSG_ENCHANTMENT_LOG, 0x6035},
            {Opcode.SMSG_ENVIRONMENTAL_DAMAGE_LOG, 0x6C05},
            {Opcode.SMSG_EQUIPMENT_SET_ID, 0x2216},
            {Opcode.SMSG_EXPECTED_SPAM_RECORDS, 0x4D36},
            {Opcode.SMSG_EXPLORATION_EXPERIENCE, 0x6716},
            {Opcode.SMSG_FAILED_PLAYER_CONDITION, 0x19A4},
            {Opcode.SMSG_FEATURE_SYSTEM_STATUS, 0x3DB7},
            {Opcode.SMSG_FEIGN_DEATH_RESISTED, 0x0D05},
            {Opcode.SMSG_FISH_ESCAPED, 0x2205},
            {Opcode.SMSG_FISH_NOT_HOOKED, 0x0A17},
            {Opcode.SMSG_FLIGHT_SPLINE_SYNC, 0x0924},
            {Opcode.SMSG_FLOOD_DETECTED, 0x0542},
            {Opcode.SMSG_FORCEACTIONSHOW, 0x6126}, // can be swapped with SMSG_BINDZONEREPLY
            {Opcode.SMSG_FORCED_DEATH_UPDATE, 0x2606},
            {Opcode.SMSG_FORCE_ANIM, 0x4C05},
            {Opcode.SMSG_FORCE_SET_VEHICLE_REC_ID, 0x70A1},
            {Opcode.SMSG_FORGE_MASTER_SET, 0x70B7},
            {Opcode.SMSG_FRIEND_STATUS, 0x0717},
            {Opcode.SMSG_GAME_OBJECT_ACTIVATE_ANIM_KIT, 0x14A3},
            {Opcode.SMSG_GAME_OBJECT_CUSTOM_ANIM, 0x4936},
            {Opcode.SMSG_GAMEOBJECT_DESPAWN_ANIM, 0x6735},
            {Opcode.SMSG_QUERY_GAME_OBJECT_RESPONSE, 0x0915},
            {Opcode.SMSG_GAME_OBJECT_RESET_STATE, 0x2A16},
            {Opcode.SMSG_GAME_SPEED_SET, 0x4E34},
            {Opcode.SMSG_GAME_TIME_SET, 0x0014},
            {Opcode.SMSG_GAME_EVENT_DEBUG_LOG, 0x31A7},
            {Opcode.SMSG_GAME_TIME_UPDATE, 0x4127},
            {Opcode.SMSG_GMRESPONSE_DB_ERROR, 0x0006},
            {Opcode.SMSG_GMRESPONSE_RECEIVED, 0x2E34},
            {Opcode.SMSG_GMRESPONSE_STATUS_UPDATE, 0x0A04},
            {Opcode.SMSG_GM_TICKET_CREATE, 0x2107},
            {Opcode.SMSG_GM_TICKET_DELETE_TICKET, 0x6D17},
            {Opcode.SMSG_GM_TICKET_GET_TICKET, 0x2C15},
            {Opcode.SMSG_GM_TICKET_GET_SYSTEM_STATUS, 0x0D35},
            {Opcode.SMSG_GM_TICKET_UPDATE_TEXT, 0x6535},
            {Opcode.SMSG_GM_MESSAGECHAT, 0x6434},
            {Opcode.SMSG_GM_PLAYER_INFO, 0x4A15},
            {Opcode.SMSG_GM_TICKET_STATUS_UPDATE, 0x2C25},
            {Opcode.SMSG_GOD_MODE, 0x0405},
            {Opcode.SMSG_GOSSIP_COMPLETE, 0x0806},
            {Opcode.SMSG_GOSSIP_MESSAGE, 0x2035},
            {Opcode.SMSG_GOSSIP_POI, 0x4316},
            {Opcode.SMSG_GROUP_ACTION_THROTTLED, 0x6524},
            {Opcode.SMSG_GROUP_CANCEL, 0x4D25},
            {Opcode.SMSG_GROUP_DECLINE, 0x6835},
            {Opcode.SMSG_GROUP_DESTROYED, 0x2207},
            {Opcode.SMSG_GROUP_INVITE, 0x31B2},
            {Opcode.SMSG_GROUP_LIST, 0x4C24},
            {Opcode.SMSG_GROUP_SET_LEADER, 0x0526},
            {Opcode.SMSG_GROUP_SET_ROLE, 0x39A6},
            {Opcode.SMSG_GROUP_UNINVITE, 0x0A07},
            {Opcode.SMSG_GUILD_ACHIEVEMENT_DELETED, 0x35A0},
            {Opcode.SMSG_GUILD_ACHIEVEMENT_EARNED, 0x50B5},
            {Opcode.SMSG_GUILD_ACHIEVEMENT_MEMBERS, 0x38A5},
            {Opcode.SMSG_GUILD_BANK_QUERY_RESULTS, 0x78A5},
            {Opcode.SMSG_GUILD_BANK_LOG_QUERY_RESULTS, 0x30B2},
            {Opcode.SMSG_GUILD_BANK_REMAINING_WITHDRAW_MONEY, 0x5DB4},
            {Opcode.SMSG_GUILD_BANK_TEXT_QUERY_RESULT, 0x75A3},
            {Opcode.SMSG_GUILD_CHALLENGE_COMPLETED, 0x39A3},
            {Opcode.SMSG_GUILD_CHALLENGE_UPDATE, 0x18B1},
            {Opcode.SMSG_GUILD_CHANGE_NAME_RESULT, 0x3CB1},
            {Opcode.SMSG_GUILD_COMMAND_RESULT, 0x7DB3},
            {Opcode.SMSG_GUILD_COMMAND_RESULT_2, 0x2707},
            {Opcode.SMSG_GUILD_CRITERIA_DATA, 0x14B4},
            {Opcode.SMSG_GUILD_CRITERIA_DELETED, 0x55B1},
            {Opcode.SMSG_GUILD_DECLINE, 0x2C07},
            {Opcode.SMSG_GUILD_EVENT, 0x0705},
            {Opcode.SMSG_GUILD_EVENT_LOG_QUERY_RESULTS, 0x10B2},
            {Opcode.SMSG_GUILD_FLAGGED_FOR_RENAME, 0x30B6},
            {Opcode.SMSG_GUILD_INVITE, 0x14A2},
            {Opcode.SMSG_GUILD_INVITE_CANCEL, 0x0606},
            {Opcode.SMSG_GUILD_MAX_DAILY_XP, 0x79B5},
            {Opcode.SMSG_GUILD_MEMBERS_FOR_RECIPE, 0x1CB7},
            {Opcode.SMSG_GUILD_MEMBER_DAILY_RESET, 0x10A5},
            {Opcode.SMSG_GUILD_MEMBER_RECIPES, 0x1CB0},
            {Opcode.SMSG_GUILD_MEMBER_UPDATE_NOTE, 0x7CA0},
            {Opcode.SMSG_GUILD_MOVE_COMPLETE, 0x11B2},
            {Opcode.SMSG_GUILD_MOVE_STARTING, 0x70A4},
            {Opcode.SMSG_GUILD_NEWS_DELETED, 0x74A7},
            {Opcode.SMSG_GUILD_NEWS_UPDATE, 0x35A7},
            {Opcode.SMSG_GUILD_PARTY_STATE, 0x50A6},
            {Opcode.SMSG_GUILD_PERMISSIONS_QUERY_RESULTS, 0x34A3},
            {Opcode.SMSG_QUERY_GUILD_INFO_RESPONSE, 0x0E06},
            {Opcode.SMSG_GUILD_RANKS, 0x30B4},
            {Opcode.SMSG_GUILD_KNOWN_RECIPES, 0x10B3},
            {Opcode.SMSG_GUILD_RENAMED, 0x74A6},
            {Opcode.SMSG_GUILD_REPUTATION_REACTION_CHANGED, 0x74B0},
            {Opcode.SMSG_GUILD_REPUTATION_WEEKLY_CAP, 0x30B7},
            {Opcode.SMSG_GUILD_RESET, 0x1CB5},
            {Opcode.SMSG_GUILD_REWARD_LIST, 0x1DB0},
            {Opcode.SMSG_GUILD_ROSTER, 0x3DA3},
            {Opcode.SMSG_GUILD_ROSTER_UPDATE, 0x18B0},
            {Opcode.SMSG_GUILD_SEND_RANK_CHANGE, 0x5DA0},
            {Opcode.SMSG_GUILD_XP, 0x3DB0},
            {Opcode.SMSG_GUILD_XP_GAIN, 0x14A1},
            {Opcode.SMSG_HEALTH_UPDATE, 0x4734},
            {Opcode.SMSG_HIGHEST_THREAT_UPDATE, 0x4104},
            {Opcode.SMSG_HOTFIX_NOTIFY, 0x55A7},
            {Opcode.SMSG_HOTFIX_NOTIFY_BLOB, 0x19B5},
            {Opcode.SMSG_IGNORE_DIMINISHING_RETURNS_CHEAT, 0x0125}, //also might be SMSG_IGNORE_REQUIREMENTS_CHEAT
            {Opcode.SMSG_IGNORE_REQUIREMENTS_CHEAT, 0x4E36}, //also might be SMSG_IGNORE_DIMINISHING_RETURNS_CHEAT
            {Opcode.SMSG_INITIALIZE_FACTIONS, 0x4634},
            {Opcode.SMSG_SEND_KNOWN_SPELLS, 0x0104},
            {Opcode.SMSG_INIT_WORLD_STATES, 0x4C15},
            {Opcode.SMSG_INSPECT_HONOR_STATS, 0x79A5},
            {Opcode.SMSG_INSPECT_RATED_BG_STATS, 0x19A5},
            {Opcode.SMSG_INSPECT_RESULTS_UPDATE, 0x0C14},
            {Opcode.SMSG_INSPECT_TALENT, 0x4014},
            {Opcode.SMSG_INSTANCE_LOCK_WARNING_QUERY, 0x4F17},
            {Opcode.SMSG_INSTANCE_RESET, 0x6F05},
            {Opcode.SMSG_INSTANCE_RESET_FAILED, 0x4725},
            {Opcode.SMSG_INSTANCE_SAVE_CREATED, 0x0124},
            {Opcode.SMSG_INVALIDATE_DANCE, 0x0E27},
            {Opcode.SMSG_INVALIDATE_PLAYER, 0x6325},
            {Opcode.SMSG_INVALID_PROMOTION_CODE, 0x6F25},
            {Opcode.SMSG_INVENTORY_CHANGE_FAILURE, 0x2236},
            {Opcode.SMSG_ITEM_ADD_PASSIVE, 0x7CB4},
            {Opcode.SMSG_ITEM_COOLDOWN, 0x4D14},
            {Opcode.SMSG_ITEM_ENCHANT_TIME_UPDATE, 0x0F27},
            {Opcode.SMSG_ITEM_EXPIRE_PURCHASE_REFUND, 0x1CA0},
            {Opcode.SMSG_ITEM_PUSH_RESULT, 0x0E15},
            {Opcode.SMSG_ITEM_REFUND_INFO_RESPONSE, 0x15A3},
            {Opcode.SMSG_ITEM_PURCHASE_REFUND_RESULT, 0x5DB1},
            {Opcode.SMSG_ITEM_REMOVE_PASSIVE, 0x39A1},
            {Opcode.SMSG_ITEM_SEND_PASSIVE, 0x70B1},
            {Opcode.SMSG_QUERY_ITEM_TEXT_RESPONSE, 0x2725},
            {Opcode.SMSG_ITEM_TIME_UPDATE, 0x2407},
            {Opcode.SMSG_KICK_REASON, 0x4027},
            {Opcode.SMSG_LEARNED_DANCE_MOVES, 0x0E05},
            {Opcode.SMSG_LEARNED_SPELL, 0x58A2},
            {Opcode.SMSG_LEVEL_UP_INFO, 0x0435},
            {Opcode.SMSG_LFG_BOOT_PROPOSAL_UPDATE, 0x0F05},
            {Opcode.SMSG_LFG_DISABLED, 0x0815},
            {Opcode.SMSG_LFG_JOIN_RESULT, 0x38B6},
            {Opcode.SMSG_LFG_OFFER_CONTINUE, 0x6B27},
            {Opcode.SMSG_LFG_PARTY_INFO, 0x2325},
            {Opcode.SMSG_LFG_PLAYER_INFO, 0x4B36},
            {Opcode.SMSG_LFG_PLAYER_REWARD, 0x6834},
            {Opcode.SMSG_LFG_PROPOSAL_UPDATE, 0x7DA6},
            {Opcode.SMSG_LFG_QUEUE_STATUS, 0x78B4},
            {Opcode.SMSG_LFG_ROLE_CHECK_UPDATE, 0x0336},
            {Opcode.SMSG_LFG_ROLE_CHOSEN, 0x6A26},
            {Opcode.SMSG_LFG_SLOT_INVALID, 0x54B5},
            {Opcode.SMSG_LFG_TELEPORT_DENIED, 0x0E14},
            {Opcode.SMSG_LFG_UPDATE_SEARCH, 0x54A1}, // not confirmed
            {Opcode.SMSG_LFG_UPDATE_STATUS, 0x31A4},
            {Opcode.SMSG_LFG_UPDATE_STATUS_NONE, 0x7CA1},
            {Opcode.SMSG_LF_GUILD_APPLICANT_LIST_CHANGED, 0x10A4},
            {Opcode.SMSG_LF_GUILD_APPLICATIONS_LIST_CHANGED, 0x71A5},
            {Opcode.SMSG_LF_GUILD_BROWSE_UPDATED, 0x1DA3},
            {Opcode.SMSG_LF_GUILD_COMMAND_RESULT, 0x54A6},
            {Opcode.SMSG_LF_GUILD_MEMBERSHIP_LIST_UPDATED, 0x1CA5},
            {Opcode.SMSG_LF_GUILD_POST_UPDATED, 0x35B7},
            {Opcode.SMSG_LF_GUILD_RECRUIT_LIST_UPDATED, 0x1CB2},
            {Opcode.SMSG_VENDOR_INVENTORY, 0x7CB0},
            {Opcode.SMSG_LOAD_CUF_PROFILES, 0x50B1},
            {Opcode.SMSG_LOAD_EQUIPMENT_SET, 0x2E04},
            {Opcode.SMSG_LOGIN_SET_TIME_SPEED, 0x4D15},
            {Opcode.SMSG_LOGIN_VERIFY_WORLD, 0x2005},
            {Opcode.SMSG_LOGOUT_CANCEL_ACK , 0x6514},
            {Opcode.SMSG_LOGOUT_COMPLETE, 0x2137},
            {Opcode.SMSG_LOGOUT_RESPONSE, 0x0524},
            {Opcode.SMSG_LOG_XP_GAIN, 0x4514},
            {Opcode.SMSG_LOOT_ALL_PASSED, 0x6237},
            {Opcode.SMSG_LOOT_CLEAR_MONEY, 0x2B37},
            {Opcode.SMSG_LOOT_CONTENTS, 0x11B1},
            {Opcode.SMSG_LOOT_ITEM_NOTIFY, 0x6D15},
            {Opcode.SMSG_LOOT_LIST, 0x6807},
            {Opcode.SMSG_LOOT_MASTER_LIST, 0x0325},
            {Opcode.SMSG_LOOT_MONEY_NOTIFY, 0x2836},
            {Opcode.SMSG_LOOT_RELEASE, 0x6D25},
            {Opcode.SMSG_LOOT_REMOVED, 0x6817},
            {Opcode.SMSG_LOOT_RESPONSE, 0x4C16},
            {Opcode.SMSG_LOOT_ROLL, 0x6507},
            {Opcode.SMSG_LOOT_ROLL_WON, 0x6617},
            {Opcode.SMSG_LOOT_SLOT_CHANGED, 0x2935},
            {Opcode.SMSG_LOOT_START_ROLL, 0x2227},
            {Opcode.SMSG_MAIL_LIST_RESULT, 0x4217},
            {Opcode.SMSG_MAP_OBJ_EVENTS, 0x54B2},
            {Opcode.SMSG_MEETINGSTONE_IN_PROGRESS, 0x2D35},
            {Opcode.SMSG_MESSAGE_BOX, 0x30A1},
            {Opcode.SMSG_MINIGAME_SETUP, 0x6727},
            {Opcode.SMSG_MINIGAME_STATE, 0x2E17},
            {Opcode.SMSG_MIRROR_IMAGE_COMPONENTED_DATA, 0x2634},
            {Opcode.SMSG_MISSILE_CANCEL, 0x3DB4},
            {Opcode.SMSG_MODIFY_COOLDOWN, 0x6016},
            {Opcode.SMSG_MONEY_NOTIFY, 0x55B6},
            {Opcode.SMSG_MONSTER_MOVE_TRANSPORT, 0x2004},
            {Opcode.SMSG_MOTD, 0x0A35},
            {Opcode.SMSG_MOUNT_RESULT, 0x2225},
            {Opcode.SMSG_MOUNT_SPECIAL_ANIM, 0x0217},
            {Opcode.SMSG_MOVE_DISABLE_TRANSITION_BETWEEN_SWIM_AND_FLY, 0x7DB2},
            {Opcode.SMSG_MOVE_DISABLE_COLLISION, 0x31B0},
            {Opcode.SMSG_MOVE_DISABLE_GRAVITY, 0x75B2},
            {Opcode.SMSG_MOVE_ENABLE_TRANSITION_BETWEEN_SWIM_AND_FLY, 0x59A2},
            {Opcode.SMSG_MOVE_ENABLE_COLLISION, 0x11A7},
            {Opcode.SMSG_MOVE_ENABLE_GRAVITY, 0x30B3},
            {Opcode.SMSG_MOVE_KNOCK_BACK, 0x5CB4},
            {Opcode.SMSG_MOVE_ROOT, 0x7DA0},
            {Opcode.SMSG_MOVE_SET_ACTIVE_MOVER, 0x11B3},
            {Opcode.SMSG_MOVE_SET_CAN_FLY, 0x3DA1},
            {Opcode.SMSG_MOVE_SET_COLLISION_HEIGHT, 0x11B0},
            {Opcode.SMSG_MOVE_SET_COMPOUND_STATE, 0x75A0},
            {Opcode.SMSG_MOVE_SET_FEATHER_FALL, 0x79B0},
            {Opcode.SMSG_MOVE_SET_FLIGHT_BACK_SPEED, 0x30A2},
            {Opcode.SMSG_MOVE_SET_FLIGHT_SPEED, 0x71A6},
            {Opcode.SMSG_MOVE_SET_HOVERING, 0x5CB3},
            {Opcode.SMSG_MOVE_SET_LAND_WALK, 0x34B7},
            {Opcode.SMSG_MOVE_SET_NORMAL_FALL, 0x51B6},
            {Opcode.SMSG_MOVE_SET_PITCH_RATE, 0x75B0},
            {Opcode.SMSG_MOVE_SET_RUN_BACK_SPEED, 0x71B1},
            {Opcode.SMSG_MOVE_SET_RUN_SPEED, 0x3DB5},
            {Opcode.SMSG_MOVE_SET_SWIM_BACK_SPEED, 0x5CA6},
            {Opcode.SMSG_MOVE_SET_SWIM_SPEED, 0x15A7},
            {Opcode.SMSG_MOVE_SET_TURN_RATE, 0x30A5},
            {Opcode.SMSG_MOVE_SET_WALK_SPEED, 0x1DA4},
            {Opcode.SMSG_MOVE_SET_WATER_WALK, 0x75B1},
            {Opcode.SMSG_MOVE_SPLINE_DISABLE_COLLISION, 0x35B1},
            {Opcode.SMSG_MOVE_SPLINE_DISABLE_GRAVITY, 0x5DB5},
            {Opcode.SMSG_MOVE_SPLINE_ENABLE_COLLISION, 0x3CB0},
            {Opcode.SMSG_MOVE_SPLINE_ENABLE_GRAVITY, 0x3CA6},
            {Opcode.SMSG_MOVE_SPLINE_ROOT, 0x51B4},
            {Opcode.SMSG_MOVE_SPLINE_SET_ANIM, 0x4335},
            {Opcode.SMSG_MOVE_SPLINE_SET_FEATHER_FALL, 0x3DA5},
            {Opcode.SMSG_MOVE_SPLINE_SET_FLIGHT_BACK_SPEED, 0x38B3},
            {Opcode.SMSG_MOVE_SPLINE_SET_FLIGHT_SPEED, 0x39A0},
            {Opcode.SMSG_MOVE_SPLINE_SET_FLYING, 0x31B5},
            {Opcode.SMSG_MOVE_SPLINE_SET_HOVER, 0x14B6},
            {Opcode.SMSG_MOVE_SPLINE_SET_LAND_WALK, 0x3DA7},
            {Opcode.SMSG_MOVE_SPLINE_SET_NORMAL_FALL, 0x38B2},
            {Opcode.SMSG_MOVE_SPLINE_SET_PITCH_RATE, 0x14B0},
            {Opcode.SMSG_MOVE_SPLINE_SET_RUN_BACK_SPEED, 0x3DB3},
            {Opcode.SMSG_MOVE_SPLINE_SET_RUN_MODE, 0x75A7},
            {Opcode.SMSG_MOVE_SPLINE_SET_RUN_SPEED, 0x51B7},
            {Opcode.SMSG_MOVE_SPLINE_SET_SWIM_BACK_SPEED, 0x59A1},
            {Opcode.SMSG_MOVE_SPLINE_SET_SWIM_SPEED, 0x39A4},
            {Opcode.SMSG_MOVE_SPLINE_SET_TURN_RATE, 0x78B5},
            {Opcode.SMSG_MOVE_SPLINE_SET_WALK_BACK_SPEED, 0x34A5},
            {Opcode.SMSG_MOVE_SPLINE_SET_WALK_MODE, 0x54B6},
            {Opcode.SMSG_MOVE_SPLINE_SET_WATER_WALK, 0x50A2},
            {Opcode.SMSG_MOVE_SPLINE_START_SWIM, 0x31A5},
            {Opcode.SMSG_MOVE_SPLINE_STOP_SWIM, 0x1DA2},
            {Opcode.SMSG_MOVE_SPLINE_UNROOT, 0x75B6},
            {Opcode.SMSG_MOVE_SPLINE_UNSET_FLYING, 0x58A6},
            {Opcode.SMSG_MOVE_SPLINE_UNSET_HOVER, 0x7DA5},
            {Opcode.SMSG_MOVE_UNROOT, 0x7DB4},
            {Opcode.SMSG_MOVE_UNSET_CAN_FLY, 0x15A2},
            {Opcode.SMSG_MOVE_UNSET_HOVERING, 0x51B3},
            {Opcode.SMSG_MOVE_UPDATE, 0x79A2},
            {Opcode.SMSG_MOVE_UPDATE_COLLISION_HEIGHT, 0x59A3},
            {Opcode.SMSG_MOVE_UPDATE_FLIGHT_BACK_SPEED, 0x74A0},
            {Opcode.SMSG_MOVE_UPDATE_FLIGHT_SPEED, 0x30B1},
            {Opcode.SMSG_MOVE_UPDATE_KNOCK_BACK, 0x3DB2},
            {Opcode.SMSG_MOVE_UPDATE_PITCH_RATE, 0x1DB5},
            {Opcode.SMSG_MOVE_UPDATE_RUN_BACK_SPEED, 0x3DA6},
            {Opcode.SMSG_MOVE_UPDATE_RUN_SPEED, 0x14A6},
            {Opcode.SMSG_MOVE_UPDATE_SWIM_BACK_SPEED, 0x30B5},
            {Opcode.SMSG_MOVE_UPDATE_SWIM_SPEED, 0x59B5},
            {Opcode.SMSG_MOVE_UPDATE_TELEPORT, 0x50B2},
            {Opcode.SMSG_MOVE_UPDATE_TURN_RATE, 0x5DA1},
            {Opcode.SMSG_MOVE_UPDATE_WALK_SPEED, 0x54A2},
            {Opcode.SMSG_MULTIPLE_PACKETS, 0x6736},
            {Opcode.SMSG_QUERY_PLAYER_NAME_RESPONSE, 0x6E04},
            {Opcode.SMSG_NEW_TAXI_PATH, 0x4B35},
            {Opcode.SMSG_NEW_WORLD, 0x79B1},
            {Opcode.SMSG_NEW_WORLD_ABORT, 0x14B7},
            {Opcode.SMSG_NOTIFICATION, 0x14A0},
            {Opcode.SMSG_NOTIFICATION_2, 0x0724},
            {Opcode.SMSG_NOTIFY_DANCE, 0x4904},
            {Opcode.SMSG_NOTIFY_DEST_LOC_SPELL_CAST, 0x6204},
            {Opcode.SMSG_QUERY_NPC_TEXT_RESPONSE , 0x4436},
            {Opcode.SMSG_OFFER_PETITION_ERROR, 0x2716},
            {Opcode.SMSG_ON_CANCEL_EXPECTED_RIDE_VEHICLE_AURA, 0x4D34},
            {Opcode.SMSG_ON_MONSTER_MOVE, 0x6E17},
            {Opcode.SMSG_OPEN_CONTAINER, 0x4714},
            {Opcode.SMSG_OPEN_LFG_DUNGEON_FINDER, 0x2C37},
            {Opcode.SMSG_OVERRIDE_LIGHT, 0x4225},
            {Opcode.SMSG_PAGE_TEXT, 0x2925},
            {Opcode.SMSG_QUERY_PAGE_TEXT_RESPONSE, 0x2B14},
            {Opcode.SMSG_PARTY_COMMAND_RESULT, 0x6E07},
            {Opcode.SMSG_PARTY_KILL_LOG, 0x4937},
            {Opcode.SMSG_PARTY_MEMBER_STATS, 0x2104},
            {Opcode.SMSG_PARTY_MEMBER_STATS_FULL, 0x0215},
            {Opcode.SMSG_PAUSE_MIRROR_TIMER, 0x4015},
            {Opcode.SMSG_SPELL_PERIODIC_AURA_LOG, 0x0416},
            {Opcode.SMSG_PETGODMODE, 0x2E36},
            {Opcode.SMSG_PETITION_ALREADY_SIGNED, 0x5DA3},
            {Opcode.SMSG_PETITION_QUERY_RESPONSE, 0x4B37},
            {Opcode.SMSG_PETITION_SHOW_LIST, 0x6405},
            {Opcode.SMSG_PETITION_SHOW_SIGNATURES, 0x0716},
            {Opcode.SMSG_PETITION_SIGN_RESULTS, 0x6217},
            {Opcode.SMSG_PET_ACTION_FEEDBACK, 0x0807},
            {Opcode.SMSG_PET_ACTION_SOUND, 0x4324},
            {Opcode.SMSG_PET_ADDED, 0x3CA5},
            {Opcode.SMSG_PET_BROKEN, 0x2E27},
            {Opcode.SMSG_PET_CAST_FAILED, 0x2B15},
            {Opcode.SMSG_PET_DISMISS_SOUND, 0x2B05},
            {Opcode.SMSG_PET_GUIDS, 0x2D26},
            {Opcode.SMSG_PET_LEARNED_SPELLS, 0x0507},
            {Opcode.SMSG_PET_MODE, 0x2235},
            {Opcode.SMSG_PET_NAME_INVALID, 0x6007},
            {Opcode.SMSG_QUERY_PET_NAME_RESPONSE, 0x4C37},
            {Opcode.SMSG_PET_UNLEARNED_SPELLS, 0x6A04},
            {Opcode.SMSG_PET_RENAMEABLE, 0x2B27},
            {Opcode.SMSG_PET_SLOT_UPDATED, 0x51A3},
            {Opcode.SMSG_PET_SPELLS_MESSAGE, 0x4114},
            {Opcode.SMSG_PET_TAME_FAILURE, 0x6B24},
            {Opcode.SMSG_PET_UPDATE_COMBO_POINTS, 0x4325},
            {Opcode.SMSG_PLAYED_TIME, 0x6037},
            {Opcode.SMSG_PLAYERBINDERROR, 0x6A24},
            {Opcode.SMSG_PLAYER_BOUND, 0x2516},
            {Opcode.SMSG_PLAYER_DIFFICULTY_CHANGE, 0x2217},
            {Opcode.SMSG_PLAYER_SKINNED, 0x0116},
            {Opcode.SMSG_PLAYER_VEHICLE_DATA, 0x4115},
            {Opcode.SMSG_PLAY_DANCE, 0x4704},
            {Opcode.SMSG_PLAY_MUSIC, 0x4B06},
            {Opcode.SMSG_PLAY_OBJECT_SOUND, 0x2635},
            {Opcode.SMSG_PLAY_ONE_SHOT_ANIM_KIT, 0x4A35},
            {Opcode.SMSG_PLAY_SOUND, 0x2134},
            {Opcode.SMSG_PLAY_SPELL_VISUAL, 0x10B1},
            {Opcode.SMSG_PLAY_SPELL_VISUAL_KIT, 0x55A5},
            {Opcode.SMSG_PLAY_TIME_WARNING, 0x4814},
            {Opcode.SMSG_PONG, 0x4D42},
            {Opcode.SMSG_POWER_UPDATE, 0x4A07},
            {Opcode.SMSG_PRE_RESSURECT, 0x6C36},
            {Opcode.SMSG_PROC_RESIST, 0x0426},
            {Opcode.SMSG_PROPOSE_LEVEL_GRANT, 0x6114},
            {Opcode.SMSG_PVP_CREDIT, 0x6015},
            {Opcode.SMSG_PVP_LOG_DATA, 0x5CB2},
            {Opcode.SMSG_PVP_OPTIONS_ENABLED, 0x50A1},
            {Opcode.SMSG_QUERY_QUESTS_COMPLETED_RESPONSE, 0x6314},
            {Opcode.SMSG_QUERY_TIME_RESPONSE, 0x2124},
            {Opcode.SMSG_QUEST_GIVER_OFFER_REWARD_MESSAGE, 0x2427},
            {Opcode.SMSG_QUEST_GIVER_QUEST_COMPLETE, 0x55A4},
            {Opcode.SMSG_QUEST_GIVER_QUEST_DETAILS, 0x2425},
            {Opcode.SMSG_QUEST_GIVER_QUEST_FAILED, 0x4236},
            {Opcode.SMSG_QUEST_GIVER_INVALID_QUEST, 0x4016},
            {Opcode.SMSG_QUEST_GIVER_QUEST_LIST_MESSAGE, 0x0134},
            {Opcode.SMSG_QUEST_GIVER_REQUEST_ITEMS, 0x6236},
            {Opcode.SMSG_QUEST_GIVER_STATUS, 0x2115},
            {Opcode.SMSG_QUEST_GIVER_STATUS_MULTIPLE, 0x4F25},
            {Opcode.SMSG_QUEST_CONFIRM_ACCEPT, 0x6F07},
            {Opcode.SMSG_QUEST_FORCE_REMOVED, 0x6605},
            {Opcode.SMSG_QUEST_LOG_FULL, 0x0E36},
            {Opcode.SMSG_QUEST_COMPLETION_NPC_RESPONSE, 0x75A1},
            {Opcode.SMSG_QUEST_POI_QUERY_RESPONSE, 0x6304},
            {Opcode.SMSG_QUERY_QUEST_INFO_RESPONSE, 0x6936},
            {Opcode.SMSG_QUEST_UPDATE_ADD_KILL, 0x0D27},
            {Opcode.SMSG_QUEST_UPDATE_ADD_PVP_CREDIT, 0x4416},
            {Opcode.SMSG_QUEST_UPDATE_COMPLETE, 0x2937},
            {Opcode.SMSG_QUEST_UPDATE_FAILED, 0x6324},
            {Opcode.SMSG_QUEST_UPDATE_FAILED_TIMER, 0x6427},
            {Opcode.SMSG_RAID_GROUP_ONLY, 0x0837},
            {Opcode.SMSG_RAID_INSTANCE_INFO, 0x6626},
            {Opcode.SMSG_RAID_INSTANCE_MESSAGE, 0x6E15},
            {Opcode.SMSG_RAID_MARKERS_CHANGED, 0x10A1},
            {Opcode.SMSG_RAID_SUMMON_FAILED, 0x18B6},
            {Opcode.SMSG_GENERATE_RANDOM_CHARACTER_NAME_RESULT, 0x38B1},
            {Opcode.SMSG_RATED_BG_RATING, 0x15A1},
            {Opcode.SMSG_RATED_BATTLEFIELD_INFO, 0x34A1},
            {Opcode.SMSG_READY_CHECK_THROTTLED_ERROR, 0x2607},
            {Opcode.SMSG_READ_ITEM_RESULT_FAILED, 0x0F16},
            {Opcode.SMSG_READ_ITEM_RESULT_OK, 0x2605},
            {Opcode.SMSG_REALM_SPLIT, 0x2714},
            {Opcode.SMSG_REAL_GROUP_UPDATE, 0x0F34},
            {Opcode.SMSG_RECEIVED_MAIL, 0x2924},
            {Opcode.SMSG_CONNECT_TO, 0x0942},
            {Opcode.SMSG_REFER_A_FRIEND_EXPIRED, 0x4934},
            {Opcode.SMSG_REFER_A_FRIEND_FAILURE, 0x2037},
            {Opcode.SMSG_REFORGE_RESULT, 0x58A4},
            {Opcode.SMSG_REPORT_PVP_AFK_RESULT, 0x2D06},
            {Opcode.SMSG_REQUEST_CEMETERY_LIST_RESPONSE, 0x30A7},
            {Opcode.SMSG_REQUEST_PVP_REWARDS_RESPONSE, 0x5DA4},
            {Opcode.SMSG_RESEARCH_COMPLETE, 0x35A6},
            {Opcode.SMSG_SETUP_RESEARCH_HISTORY, 0x10B6},
            {Opcode.SMSG_RESET_COMPRESSION_CONTEXT, 0x0142},
            {Opcode.SMSG_RESET_FAILED_NOTIFY, 0x4616},
            {Opcode.SMSG_RESPOND_INSPECT_ACHIEVEMENTS, 0x15B0},
            {Opcode.SMSG_RESTRICTED_ACCOUNT_WARNING, 0x51A7},
            {Opcode.SMSG_RESUME_COMMS, 0x0140},
            {Opcode.SMSG_RESURRECT_FAILED, 0x6705},
            {Opcode.SMSG_RESURRECT_REQUEST, 0x2905},
            {Opcode.SMSG_RESYNC_RUNES, 0x6224},
            {Opcode.SMSG_ROLE_POLL_BEGIN, 0x70B0},
            {Opcode.SMSG_RWHOIS, 0x2437},
            {Opcode.SMSG_SELL_ITEM, 0x6105},
            {Opcode.SMSG_MAIL_COMMAND_RESULT, 0x4927},
            {Opcode.SMSG_SEND_UNLEARN_SPELLS, 0x4E25},
            {Opcode.SMSG_SERVERTIME, 0x6327},
            {Opcode.SMSG_SERVER_FIRST_ACHIEVEMENT, 0x6424},
            {Opcode.SMSG_SERVER_INFO_RESPONSE, 0x74B5},
            {Opcode.SMSG_CHAT_SERVER_MESSAGE, 0x6C04},
            {Opcode.SMSG_SERVER_PERF, 0x74B6},
            {Opcode.SMSG_SETUP_CURRENCY, 0x15A5},
            {Opcode.SMSG_SET_AI_ANIM_KIT, 0x4626},
            {Opcode.SMSG_SET_DF_FAST_LAUNCH_RESULT, 0x35B6},
            {Opcode.SMSG_SET_FACTION_AT_WAR, 0x4216},
            {Opcode.SMSG_SET_FACTION_NOT_VISIBLE, 0x6737},
            {Opcode.SMSG_SET_FACTION_STANDING, 0x0126},
            {Opcode.SMSG_SET_FACTION_VISIBLE, 0x2525},
            {Opcode.SMSG_SET_FLAT_SPELL_MODIFIER, 0x2834},
            {Opcode.SMSG_SET_FORCED_REACTIONS, 0x4615},
            {Opcode.SMSG_SET_MELEE_ANIM_KIT, 0x6715},
            {Opcode.SMSG_SET_MOVEMENT_ANIM_KIT, 0x0F14},
            {Opcode.SMSG_SET_PCT_SPELL_MODIFIER, 0x0224},
            {Opcode.SMSG_PHASE_SHIFT_CHANGE, 0x70A0},
            {Opcode.SMSG_SET_PLAYER_DECLINED_NAMES_RESULT , 0x2B25},
            {Opcode.SMSG_SET_PLAY_HOVER_ANIM, 0x30A6},
            {Opcode.SMSG_SET_PROFICIENCY, 0x6207},
            {Opcode.SMSG_SET_PROJECTILE_POSITION, 0x2616},
            {Opcode.SMSG_SHOW_BANK, 0x2627},
            {Opcode.SMSG_SHOW_MAILBOX, 0x2524},
            {Opcode.SMSG_SHOW_RATINGS, 0x11B4},
            {Opcode.SMSG_SHOW_TAXI_NODES, 0x2A36},
            {Opcode.SMSG_SOCKET_GEMS, 0x6014},
            {Opcode.SMSG_SOR_START_EXPERIENCE_INCOMPLETE, 0x7CA7},
            {Opcode.SMSG_SPELL_BREAK_LOG, 0x6B17},
            {Opcode.SMSG_CATEGORY_COOLDOWN, 0x71B6},
            {Opcode.SMSG_SPELL_COOLDOWN, 0x4B16},
            {Opcode.SMSG_SPELL_DAMAGE_SHIELD, 0x2927},
            {Opcode.SMSG_SPELL_DELAYED, 0x0715},
            {Opcode.SMSG_SPELL_DISPELL_LOG, 0x4516},
            {Opcode.SMSG_SPELL_ENERGIZE_LOG, 0x0414},
            {Opcode.SMSG_SPELL_EXECUTE_LOG, 0x0626},
            {Opcode.SMSG_SPELL_FAILED_OTHER, 0x0C34}, // or 0x4535
            {Opcode.SMSG_SPELL_FAILURE, 0x4535}, // or 0x0C34
            {Opcode.SMSG_SPELL_GO, 0x6E16},
            {Opcode.SMSG_SPELL_HEAL_LOG, 0x2816},
            {Opcode.SMSG_SPELL_INSTAKILL_LOG, 0x6216},
            {Opcode.SMSG_SPELL_INTERRUPT_LOG, 0x1DA7},
            {Opcode.SMSG_SPELL_MISS_LOG, 0x0625},
            {Opcode.SMSG_SPELL_NON_MELEE_DAMAGE_LOG, 0x4315},
            {Opcode.SMSG_SPELL_OR_DAMAGE_IMMUNE, 0x4507},
            {Opcode.SMSG_SPELL_START, 0x6415},
            {Opcode.SMSG_SPELL_STEAL_LOG, 0x4E26},
            {Opcode.SMSG_SPELL_UPDATE_CHAIN_TARGETS, 0x6006},
            {Opcode.SMSG_SPIRIT_HEALER_CONFIRM, 0x4917},
            {Opcode.SMSG_STABLE_RESULT, 0x2204},
            {Opcode.SMSG_STAND_STATE_UPDATE, 0x6F04},
            {Opcode.SMSG_START_MIRROR_TIMER, 0x6824},
            {Opcode.SMSG_START_TIMER, 0x59A5},
            {Opcode.SMSG_STOP_DANCE, 0x4637},
            {Opcode.SMSG_STOP_MIRROR_TIMER, 0x0B06},
            {Opcode.SMSG_STREAMING_MOVIES, 0x15B7},
            {Opcode.SMSG_SUMMON_CANCEL, 0x0B34},
            {Opcode.SMSG_SUMMON_REQUEST, 0x2A07},
            {Opcode.SMSG_SUPERCEDED_SPELLS, 0x35B0},
            {Opcode.SMSG_SUPPRESS_NPC_GREETINGS, 0x74B1},
            {Opcode.SMSG_SUSPEND_COMMS, 0x4140},
            {Opcode.SMSG_SUSPEND_TOKEN, 0x14B1},
            {Opcode.SMSG_TALENTS_ERROR, 0x0916},
            {Opcode.SMSG_UPDATE_TALENT_DATA, 0x6F26},
            {Opcode.SMSG_TALENTS_INVOLUNTARILY_RESET, 0x2C27},
            {Opcode.SMSG_TAXI_NODE_STATUS, 0x2936},
            {Opcode.SMSG_TEST_DROP_RATE_RESULT, 0x6816},
            {Opcode.SMSG_TEXT_EMOTE, 0x0B05},
            {Opcode.SMSG_THREAT_CLEAR, 0x6437},
            {Opcode.SMSG_THREAT_REMOVE, 0x2E05},
            {Opcode.SMSG_THREAT_UPDATE, 0x4735},
            {Opcode.SMSG_TIME_ADJUSTMENT, 0x79B7},
            {Opcode.SMSG_TIME_SYNC_REQUEST, 0x3CA4},
            {Opcode.SMSG_TITLE_EARNED, 0x2426},
            {Opcode.SMSG_TOGGLE_XP_GAIN, 0x6704},
            {Opcode.SMSG_TOTEM_CREATED, 0x2414},
            {Opcode.SMSG_TRADE_STATUS, 0x5CA3},
            {Opcode.SMSG_TRADE_STATUS_EXTENDED, 0x70A2},
            {Opcode.SMSG_TRAINER_BUY_FAILED, 0x0004},
            {Opcode.SMSG_TRAINER_BUY_SUCCEEDED, 0x6A05},
            {Opcode.SMSG_TRAINER_LIST, 0x4414},
            {Opcode.SMSG_TRANSFER_ABORTED, 0x0537},
            {Opcode.SMSG_TRANSFER_PENDING, 0x18A6},
            {Opcode.SMSG_TRIGGER_CINEMATIC, 0x6C27},
            {Opcode.SMSG_TRIGGER_MOVIE, 0x4625},
            {Opcode.SMSG_TURN_IN_PETITION_RESULT, 0x0F07},
            {Opcode.SMSG_TUTORIAL_FLAGS, 0x0B35},
            {Opcode.SMSG_UI_TIME, 0x4A14},
            {Opcode.SMSG_UNIT_HEALTH_FREQUENT, 0x2C26},
            {Opcode.SMSG_UNIT_SPELLCAST_START, 0x2517},
            {Opcode.SMSG_UNLEARNED_SPELLS, 0x4804},
            {Opcode.SMSG_UPDATE_ACCOUNT_DATA, 0x6837},
            {Opcode.SMSG_UPDATE_ACCOUNT_DATA_COMPLETE, 0x2015},
            {Opcode.SMSG_UPDATE_ACTION_BUTTONS, 0x38B5},
            {Opcode.SMSG_UPDATE_COMBO_POINTS, 0x6B34},
            {Opcode.SMSG_UPDATE_CURRENCY, 0x59B0},
            {Opcode.SMSG_UPDATE_CURRENCY_WEEK_LIMIT, 0x70A7},
            {Opcode.SMSG_UPDATE_DUNGEON_ENCOUNTER_FOR_LOOT, 0x3CB5},
            {Opcode.SMSG_UPDATE_INSTANCE_ENCOUNTER_UNIT, 0x4007},
            {Opcode.SMSG_UPDATE_INSTANCE_OWNERSHIP, 0x4915},
            {Opcode.SMSG_UPDATE_LAST_INSTANCE, 0x0437},
            {Opcode.SMSG_UPDATE_OBJECT, 0x4715},
            {Opcode.SMSG_UPDATE_SERVER_PLAYER_POSITION, 0x74A3},
            {Opcode.SMSG_UPDATE_WORLD_STATE, 0x4816},
            {Opcode.SMSG_USERLIST_ADD, 0x0F37},
            {Opcode.SMSG_USERLIST_REMOVE, 0x2006},
            {Opcode.SMSG_USERLIST_UPDATE, 0x0135},
            {Opcode.SMSG_USE_EQUIPMENT_SET_RESULT, 0x2424},
            {Opcode.SMSG_VOICESESSION_FULL, 0x6225},
            {Opcode.SMSG_VOICE_CHAT_STATUS, 0x0F15},
            {Opcode.SMSG_VOICE_PARENTAL_CONTROLS, 0x0534},
            {Opcode.SMSG_VOICE_SESSION_LEAVE, 0x2A24},
            {Opcode.SMSG_VOICE_SESSION_ROSTER_UPDATE, 0x2A17},
            {Opcode.SMSG_VOICE_SET_TALKER_MUTED, 0x6E35},
            {Opcode.SMSG_VOID_ITEM_SWAP_RESPONSE, 0x78A2},
            {Opcode.SMSG_VOID_STORAGE_CONTENTS, 0x75B4},
            {Opcode.SMSG_VOID_STORAGE_FAILED, 0x18A7},
            {Opcode.SMSG_VOID_STORAGE_TRANSFER_CHANGES, 0x51A6},
            {Opcode.SMSG_VOID_TRANSFER_RESULT, 0x1DA6},
            {Opcode.SMSG_WAIT_QUEUE_FINISH, 0x75B7},
            {Opcode.SMSG_WAIT_QUEUE_UPDATE, 0x58A1},
            {Opcode.SMSG_WARDEN_DATA, 0x31A0},
            {Opcode.SMSG_WARGAME_CHECK_ENTRY, 0x3DA4},
            {Opcode.SMSG_WARGAME_REQUEST_SENT, 0x59B2},
            {Opcode.SMSG_WEATHER, 0x2904},
            {Opcode.SMSG_WEEKLY_LAST_RESET, 0x50A5},
            {Opcode.SMSG_WEEKLY_RESET_CURRENCY, 0x3CA1},
            {Opcode.SMSG_WEEKLY_SPELL_USAGE, 0x39B7},
            {Opcode.SMSG_WEEKLY_SPELL_USAGE_UPDATE, 0x11B5},
            {Opcode.SMSG_WHO, 0x6907},
            {Opcode.SMSG_WHO_IS, 0x6917},
            {Opcode.SMSG_WORLD_SERVER_INFO, 0x31A2},
            {Opcode.SMSG_XP_GAIN_ABORTED, 0x50B4},
            {Opcode.SMSG_ZONE_UNDER_ATTACK, 0x0A06}
        };

        private static readonly BiDictionary<Opcode, int> MiscOpcodes = new BiDictionary<Opcode, int>
        {
            {Opcode.MSG_AUCTION_HELLO, 0x2307},
            {Opcode.MSG_CHANNEL_START, 0x0A15},
            {Opcode.MSG_CHANNEL_UPDATE, 0x2417},
            {Opcode.MSG_CORPSE_QUERY, 0x4336},
            {Opcode.MSG_INSPECT_ARENA_TEAMS, 0x2704},
            {Opcode.MSG_LIST_STABLED_PETS, 0x0834},
            {Opcode.MSG_MINIMAP_PING, 0x6635},
            {Opcode.MSG_MOVE_CHARM_TELEPORT_CHEAT, 0x7A08},
            {Opcode.MSG_MOVE_FALL_LAND, 0x380A},
            {Opcode.MSG_MOVE_HEARTBEAT, 0x3914},
            {Opcode.MSG_MOVE_JUMP, 0x7A06},
            {Opcode.MSG_MOVE_SET_FACING, 0x7914},
            {Opcode.MSG_MOVE_SET_PITCH, 0x7312},
            {Opcode.MSG_MOVE_SET_RUN_MODE, 0x791A},
            {Opcode.MSG_MOVE_SET_WALK_MODE, 0x7002},
            {Opcode.MSG_MOVE_START_ASCEND, 0x390A},
            {Opcode.MSG_MOVE_START_BACKWARD, 0x330A},
            {Opcode.MSG_MOVE_START_DESCEND, 0x3800},
            {Opcode.MSG_MOVE_START_FORWARD, 0x7814},
            {Opcode.MSG_MOVE_START_PITCH_DOWN, 0x3908},
            {Opcode.MSG_MOVE_START_PITCH_UP, 0x3304},
            {Opcode.MSG_MOVE_START_STRAFE_LEFT, 0x3A16},
            {Opcode.MSG_MOVE_START_STRAFE_RIGHT, 0x3A02},
            {Opcode.MSG_MOVE_START_SWIM, 0x3206},
            {Opcode.MSG_MOVE_START_TURN_LEFT, 0x700C},
            {Opcode.MSG_MOVE_START_TURN_RIGHT, 0x7000},
            {Opcode.MSG_MOVE_STOP, 0x320A},
            {Opcode.MSG_MOVE_STOP_ASCEND, 0x7B00},
            {Opcode.MSG_MOVE_STOP_PITCH, 0x7216},
            {Opcode.MSG_MOVE_STOP_STRAFE, 0x3002},
            {Opcode.MSG_MOVE_STOP_SWIM, 0x3802},
            {Opcode.MSG_MOVE_STOP_TURN, 0x331E},
            {Opcode.MSG_MOVE_TELEPORT, 0x55A0},
            {Opcode.MSG_MOVE_TELEPORT_ACK, 0x390C},
            {Opcode.MSG_MOVE_TELEPORT_CHEAT, 0x3A10},
            {Opcode.MSG_MOVE_TIME_SKIPPED, 0x19B3},
            {Opcode.MSG_MOVE_TOGGLE_COLLISION_CHEAT, 0x7B04},
            {Opcode.MSG_MOVE_WORLDPORT_ACK, 0x2411},
            {Opcode.MSG_NOTIFY_PARTY_SQUELCH, 0x4D06},
            {Opcode.MSG_PARTY_ASSIGNMENT, 0x0424}, // found CMSG
            {Opcode.MSG_PETITION_DECLINE, 0x4905},
            {Opcode.MSG_PETITION_RENAME, 0x4005},
            {Opcode.MSG_QUERY_NEXT_MAIL_TIME, 0x0F04},
            {Opcode.MSG_QUEST_PUSH_RESULT, 0x4515},
            {Opcode.MSG_RAID_READY_CHECK, 0x2304},
            {Opcode.MSG_RAID_READY_CHECK_CONFIRM, 0x4F05},
            {Opcode.MSG_RAID_READY_CHECK_FINISHED, 0x2E15},
            {Opcode.MSG_RAID_TARGET_UPDATE, 0x2C36},
            {Opcode.MSG_RANDOM_ROLL, 0x0905},
            {Opcode.MSG_SAVE_GUILD_EMBLEM, 0x2404},
            {Opcode.MSG_SET_DUNGEON_DIFFICULTY, 0x4925},
            {Opcode.MSG_SET_RAID_DIFFICULTY, 0x0614},
            {Opcode.MSG_TABARDVENDOR_ACTIVATE, 0x6926},
            {Opcode.MSG_TALENT_WIPE_CONFIRM, 0x0107},
            {Opcode.MSG_VERIFY_CONNECTIVITY, 0x4F57}
        };
    }
}
