using WowPacketParser.Misc;

namespace WowPacketParser.Enums.Version.V6_0_3_19103
{
    public static class Opcodes_6_0_3
    {
        public static BiDictionary<Opcode, int> Opcodes(Direction direction)
        {
            switch (direction)
            {
                case Direction.ClientToServer:
                case Direction.BNClientToServer:
                    return ClientOpcodes;
                case Direction.ServerToClient:
                case Direction.BNServerToClient:
                    return ServerOpcodes;
                default:
                    return MiscOpcodes;
            }
        }

        private static readonly BiDictionary<Opcode, int> ClientOpcodes = new BiDictionary<Opcode, int>
        {
            {Opcode.CMSG_ACCEPT_GUILD_INVITE, 0x0384},
            {Opcode.CMSG_ACCEPT_LEVEL_GRANT, 0x0B12},
            {Opcode.CMSG_ACCEPT_TRADE, 0x01E5},
            {Opcode.CMSG_ACCEPT_WARGAME_INVITE, 0x0B40},
            {Opcode.CMSG_ACTIVATE_TAXI, 0x0311},
            {Opcode.CMSG_ACTIVATE_TAXI_EXPRESS, 0x1B52},
            {Opcode.CMSG_ADD_BATTLENET_FRIEND, 0x0B36},
            {Opcode.CMSG_ADD_FRIEND, 0x0DB9},
            {Opcode.CMSG_ADD_IGNORE, 0x1321},
            {Opcode.CMSG_ALTER_APPEARANCE, 0x13E9},
            {Opcode.CMSG_AREA_TRIGGER, 0x01B4},
            {Opcode.CMSG_AREA_SPIRIT_HEALER_QUERY, 0x0A08},
            {Opcode.CMSG_AREA_SPIRIT_HEALER_QUEUE, 0x1921},
            {Opcode.CMSG_ATTACK_STOP, 0x065B},
            {Opcode.CMSG_ATTACK_SWING, 0x1E9B},
            {Opcode.CMSG_AUCTION_HELLO_REQUEST, 0x13EA},
            {Opcode.CMSG_AUCTION_LIST_BIDDER_ITEMS, 0x050E},
            {Opcode.CMSG_AUCTION_LIST_ITEMS, 0x0B53},
            {Opcode.CMSG_AUCTION_LIST_OWNER_ITEMS, 0x03E2},
            {Opcode.CMSG_AUCTION_LIST_PENDING_SALES, 0x11E2},
            {Opcode.CMSG_AUCTION_PLACE_BID, 0x0B11},
            {Opcode.CMSG_AUCTION_REMOVE_ITEM, 0x1BEB},
            {Opcode.CMSG_AUCTION_REPLICATE_ITEMS, 0x0805},
            {Opcode.CMSG_AUCTION_SELL_ITEM, 0x0027},
            {Opcode.CMSG_AUTH_CONTINUED_SESSION, 0x0485},
            {Opcode.CMSG_AUTH_SESSION, 0x0487},
            {Opcode.CMSG_AUTOBANK_ITEM, 0x0751},
            {Opcode.CMSG_AUTO_EQUIP_ITEM, 0x0F35},
            {Opcode.CMSG_AUTO_EQUIP_ITEM_SLOT, 0x07B1},
            {Opcode.CMSG_AUTO_STORE_BAG_ITEM, 0x0F18},
            {Opcode.CMSG_AUTOSTORE_BANK_ITEM, 0x0732},
            {Opcode.CMSG_AUTOSTORE_LOOT_ITEM, 0x0609},
            {Opcode.CMSG_BANKER_ACTIVATE, 0x1B24},
            {Opcode.CMSG_BATTLEFIELD_LEAVE, 0x06F1},
            {Opcode.CMSG_BATTLEFIELD_LIST, 0x03B1},
            {Opcode.CMSG_BF_MGR_ENTRY_INVITE_RESPONSE, 0x059A},
            {Opcode.CMSG_BF_MGR_QUEUE_EXIT_REQUEST, 0x1381},
            {Opcode.CMSG_BF_MGR_QUEUE_INVITE_RESPONSE, 0x122A},
            {Opcode.CMSG_BF_MGR_QUEUE_REQUEST, 0x0B49},
            {Opcode.CMSG_BATTLEFIELD_PORT, 0x11EB},
            {Opcode.CMSG_BATTLEMASTER_JOIN, 0x0D2E},
            {Opcode.CMSG_BATTLEMASTER_JOIN_ARENA, 0x0DAE},
            {Opcode.CMSG_BATTLENET_CHALLENGE_RESPONSE, 0x0138},
            {Opcode.CMSG_BATTLE_PAY_ACK_FAILED_RESPONSE, 0x052A},
            {Opcode.CMSG_BATTLE_PAY_CONFIRM_PURCHASE_RESPONSE, 0x012E},
            {Opcode.CMSG_BATTLE_PAY_DISTRIBUTION_ASSIGN_TO_TARGET, 0x198A},
            {Opcode.CMSG_BATTLE_PAY_GET_PRODUCT_LIST, 0x1389},
            {Opcode.CMSG_BATTLE_PAY_GET_PURCHASE_LIST, 0x120C},
            {Opcode.CMSG_BATTLE_PAY_START_PURCHASE, 0x011E},
            {Opcode.CMSG_BATTLE_PET_DELETE_PET, 0x0928},
            {Opcode.CMSG_BATTLE_PET_DELETE_PET_CHEAT, 0x07B9},
            {Opcode.CMSG_BATTLE_PET_MODIFY_NAME, 0x03A9},
            {Opcode.CMSG_QUERY_BATTLE_PET_NAME, 0x041C},
            {Opcode.CMSG_BATTLE_PET_REQUEST_JOURNAL, 0x0117},
            {Opcode.CMSG_BATTLE_PET_REQUEST_JOURNAL_LOCK, 0x07AA},
            {Opcode.CMSG_PET_BATTLE_REQUEST_UPDATE, 0x134A},
            {Opcode.CMSG_BATTLE_PET_SET_BATTLE_SLOT, 0x120B},
            {Opcode.CMSG_BATTLE_PET_SET_FLAGS, 0x0BA2},
            {Opcode.CMSG_BATTLE_PET_SUMMON, 0x0B38},
            {Opcode.CMSG_BATTLE_PET_UPDATE_NOTIFY, 0x03B5},
            {Opcode.CMSG_BEGIN_TRADE, 0x06CC},
            {Opcode.CMSG_BINDER_ACTIVATE, 0x02F3},
            {Opcode.CMSG_BLACK_MARKET_BID_ON_ITEM, 0x13C2},
            {Opcode.CMSG_BLACK_MARKET_OPEN, 0x1B39},
            {Opcode.CMSG_BLACK_MARKET_REQUEST_ITEMS, 0x0B21},
            {Opcode.CMSG_BUG_REPORT, 0x0181},
            {Opcode.CMSG_BUSY_TRADE, 0x00D5},
            {Opcode.CMSG_BUY_BACK_ITEM, 0x02D3},
            {Opcode.CMSG_BUY_BANK_SLOT, 0x0A25},
            {Opcode.CMSG_BUY_ITEM, 0x0352},
            {Opcode.CMSG_CAGE_BATTLE_PET, 0x0AFE},
            {Opcode.CMSG_CALENDAR_ADD_EVENT, 0x09A3},
            {Opcode.CMSG_CALENDAR_COMPLAIN, 0x0D19},
            {Opcode.CMSG_CALENDAR_COPY_EVENT, 0x0317},
            {Opcode.CMSG_CALENDAR_EVENT_INVITE, 0x010E},
            {Opcode.CMSG_CALENDAR_EVENT_MODERATOR_STATUS, 0x118C},
            {Opcode.CMSG_CALENDAR_EVENT_RSVP, 0x11A4},
            {Opcode.CMSG_CALENDAR_EVENT_SIGN_UP, 0x0BAA},
            {Opcode.CMSG_CALENDAR_EVENT_STATUS, 0x1201},
            {Opcode.CMSG_CALENDAR_GET, 0x0336},
            {Opcode.CMSG_CALENDAR_GET_EVENT, 0x1229},
            {Opcode.CMSG_CALENDAR_GET_NUM_PENDING, 0x033E},
            {Opcode.CMSG_CALENDAR_GUILD_FILTER, 0x070A},
            {Opcode.CMSG_CALENDAR_REMOVE_EVENT, 0x0330},
            {Opcode.CMSG_CALENDAR_REMOVE_INVITE, 0x03A3},
            {Opcode.CMSG_CALENDAR_UPDATE_EVENT, 0x12A2},
            {Opcode.CMSG_CANCEL_AURA, 0x08AE},
            {Opcode.CMSG_CANCEL_AUTO_REPEAT_SPELL, 0x0939},
            {Opcode.CMSG_CANCEL_CAST, 0x0071},
            {Opcode.CMSG_CANCEL_CHANNELLING, 0x0BE6},
            {Opcode.CMSG_CANCEL_GROWTH_AURA, 0x09B3},
            {Opcode.CMSG_CANCEL_MASTER_LOOT_ROLL, 0x0664},
            {Opcode.CMSG_CANCEL_MOD_SPEED_NO_CONTROL_AURAS, 0x02AE},
            {Opcode.CMSG_CANCEL_MOUNT_AURA, 0x03E6},
            {Opcode.CMSG_CANCEL_QUEUED_SPELL, 0x02DD},
            {Opcode.CMSG_CANCEL_TEMP_ENCHANTMENT, 0x13C4},
            {Opcode.CMSG_CANCEL_TRADE, 0x1159},
            {Opcode.CMSG_CAN_DUEL, 0x0B25},
            {Opcode.CMSG_CAST_SPELL, 0x08FE},
            {Opcode.CMSG_CHALLENGE_MODE_REQUEST_LEADERS, 0x0E66},
            {Opcode.CMSG_CHALLENGE_MODE_REQUEST_MAP_STATS, 0x0E78},
            {Opcode.CMSG_CHANGE_BAG_SLOT_FLAG, 0x1959},
            {Opcode.CMSG_CHANGE_BANK_BAG_SLOT_FLAG, 0x0ADE},
            {Opcode.CMSG_CHANGE_SUB_GROUP, 0x0BA4},
            {Opcode.CMSG_CHANGE_MONUMENT_APPEARANCE, 0x0B91},
            {Opcode.CMSG_CHAT_CHANNEL_ANNOUNCEMENTS, 0x1313},
            {Opcode.CMSG_CHAT_CHANNEL_BAN, 0x1A82},
            {Opcode.CMSG_CHAT_CHANNEL_DECLINE_INVITE, 0x19DB},
            {Opcode.CMSG_CHAT_CHANNEL_DISPLAY_LIST, 0x093B},
            {Opcode.CMSG_CHAT_CHANNEL_INVITE, 0x1933},
            {Opcode.CMSG_CHAT_CHANNEL_KICK, 0x0A2A},
            {Opcode.CMSG_CHAT_CHANNEL_LIST, 0x091C},
            {Opcode.CMSG_CHAT_CHANNEL_MODERATOR, 0x088B},
            {Opcode.CMSG_CHAT_CHANNEL_MUTE, 0x18AB},
            {Opcode.CMSG_CHAT_CHANNEL_OWNER, 0x0BFA},
            {Opcode.CMSG_CHAT_CHANNEL_PASSWORD, 0x1113},
            {Opcode.CMSG_CHAT_CHANNEL_SET_OWNER, 0x0174},
            {Opcode.CMSG_CHAT_CHANNEL_SILENCE_ALL, 0x11FB},
            {Opcode.CMSG_CHAT_CHANNEL_SILENCE_VOICE, 0x0AA3},
            {Opcode.CMSG_CHAT_CHANNEL_UNBAN, 0x0BCB},
            {Opcode.CMSG_CHAT_CHANNEL_UNMODERATOR, 0x1AA1},
            {Opcode.CMSG_CHAT_CHANNEL_UNMUTE, 0x0A81},
            {Opcode.CMSG_CHAT_CHANNEL_UNSILENCE_ALL, 0x1164},
            {Opcode.CMSG_CHAT_CHANNEL_UNSILENCE_VOICE, 0x0B4C},
            {Opcode.CMSG_CHAT_CHANNEL_VOICE_OFF, 0x016C},
            {Opcode.CMSG_CHAT_CHANNEL_VOICE_ON, 0x0374},
            {Opcode.CMSG_CREATE_CHARACTER, 0x070D},
            {Opcode.CMSG_CHAR_CUSTOMIZE, 0x072A},
            {Opcode.CMSG_CHAR_DELETE, 0x030E},
            {Opcode.CMSG_ENUM_CHARACTERS, 0x0918},
            {Opcode.CMSG_CHAR_RACE_OR_FACTION_CHANGE, 0x1209},
            {Opcode.CMSG_CHARACTER_RENAME_REQUEST, 0x038B},
            {Opcode.CMSG_ENUM_CHARACTERS_DELETED_BY_CLIENT, 0x0F2D},
            {Opcode.CMSG_CHECK_RAF_EMAIL_ENABLED, 0x0906},
            {Opcode.CMSG_CHOICE_RESPONSE, 0x00C3},
            {Opcode.CMSG_CLEAR_RAID_MARKER, 0x1C9C},
            {Opcode.CMSG_CLEAR_TRADE_ITEM, 0x1149},
            {Opcode.CMSG_CLOSE_INTERACTION, 0x1B19},
            {Opcode.CMSG_COMMENTATOR_ENABLE, 0x0322},
            {Opcode.CMSG_COMMENTATOR_ENTER_INSTANCE, 0x19A1},
            {Opcode.CMSG_COMMENTATOR_EXIT_INSTANCE, 0x1303},
            {Opcode.CMSG_COMMENTATOR_GET_MAP_INFO, 0x0B82},
            {Opcode.CMSG_COMMENTATOR_GET_PLAYER_INFO, 0x013D},
            {Opcode.CMSG_COMMENTATOR_START_WARGAME, 0x1B89},
            {Opcode.CMSG_COMPLAINT, 0x0917},
            {Opcode.CMSG_COMPLETE_CINEMATIC, 0x1B51},
            {Opcode.CMSG_COMPLETE_MOVIE, 0x13D4},
            {Opcode.CMSG_CONFIRM_RESPEC_WIPE, 0x14B4},
            {Opcode.CMSG_CONNECT_TO_FAILED, 0x0135},
            {Opcode.CMSG_CONVERSATION_UNK1, 0x0912},
            {Opcode.CMSG_CONVERT_RAID, 0x0137},
            {Opcode.CMSG_CREATE_SHIPMENT, 0x068B},
            {Opcode.CMSG_QUERY_CREATURE, 0x0505},
            {Opcode.CMSG_DB_QUERY_BULK, 0x138B},
            {Opcode.CMSG_DECLINE_GUILD_INVITES, 0x148A},
            {Opcode.CMSG_DECLINE_PETITION, 0x03EA},
            {Opcode.CMSG_DELETE_EQUIPMENT_SET, 0x03C3},
            {Opcode.CMSG_DEL_FRIEND, 0x0F2A},
            {Opcode.CMSG_DEL_IGNORE, 0x033D},
            {Opcode.CMSG_DEPOSIT_REAGENT_BANK, 0x039B},
            {Opcode.CMSG_DESTROY_ITEM, 0x01EE},
            {Opcode.CMSG_DF_BOOT_PLAYER_VOTE, 0x0308},
            {Opcode.CMSG_DF_JOIN, 0x0925},
            {Opcode.CMSG_DF_LEAVE, 0x01A2},
            {Opcode.CMSG_DF_PROPOSAL_RESPONSE, 0x0509},
            {Opcode.CMSG_DF_SEARCH_JOIN, 0x1183},
            {Opcode.CMSG_DF_SEARCH_LEAVE, 0x0983},
            {Opcode.CMSG_DF_SET_COMMENT, 0x0B89},
            {Opcode.CMSG_DF_SET_ROLES, 0x1B82},
            {Opcode.CMSG_DF_TELEPORT, 0x0316},
            {Opcode.CMSG_DISCARDED_TIME_SYNC_ACKS, 0x0142},
            {Opcode.CMSG_DISMISS_CRITTER, 0x02F1},
            {Opcode.CMSG_DO_MASTER_LOOT_ROLL, 0x09BE},
            {Opcode.CMSG_DO_READY_CHECK, 0x1221},
            {Opcode.CMSG_DUEL_RESPONSE, 0x1BD2},
            {Opcode.CMSG_EJECT_PASSENGER, 0x1029},
            {Opcode.CMSG_EMOTE, 0x0A27},
            {Opcode.CMSG_ENABLE_NAGLE, 0x0460},
            {Opcode.CMSG_ENABLE_TAXI_NODE, 0x00D2},
            {Opcode.CMSG_SAVE_EQUIPMENT_SET, 0x1B54},
            {Opcode.CMSG_FAR_SIGHT, 0x1C8A},
            {Opcode.CMSG_QUERY_GAME_OBJECT, 0x03AE},
            {Opcode.CMSG_GAME_OBJ_REPORT_USE, 0x082E},
            {Opcode.CMSG_GAME_OBJ_USE, 0x0B19},
            {Opcode.CMSG_GARRISON_ASSIGN_FOLLOWER_TO_BUILDING, 0x095A},
            {Opcode.CMSG_GARRISON_COMPLETE_MISSION, 0x102C},
            {Opcode.CMSG_GARRISON_MISSION_BONUS_ROLL, 0x02C2},
            {Opcode.CMSG_OPEN_TRADESKILL_NPC, 0x099D},
            {Opcode.CMSG_GARRISON_PURCHASE_BUILDING, 0x04A2},
            {Opcode.CMSG_GARRISON_RECRUIT_FOLLOWER, 0x028E},
            {Opcode.CMSG_GARRISON_REMOVE_FOLLOWER, 0x03A5},
            {Opcode.CMSG_GARRISON_REMOVE_FOLLOWER_FROM_BUILDING, 0x01BB},
            {Opcode.CMSG_GARRISON_REQUEST_BLUEPRINT_AND_SPECIALIZATION_DATA, 0x16F2},
            {Opcode.CMSG_GARRISON_REQUEST_LANDING_PAGE_SHIPMENT_INFO, 0x0623},
            {Opcode.CMSG_GARRISON_CHECK_UPGRADEABLE, 0x02BD},
            {Opcode.CMSG_GARRISON_SET_BUILDING_ACTIVE, 0x041A},
            {Opcode.CMSG_GARRISON_SET_FOLLOWER_INACTIVE, 0x03BC},
            {Opcode.CMSG_GARRISON_SET_RECRUITMENT_PREFERENCES, 0x0074},
            {Opcode.CMSG_GARRISON_START_MISSION, 0x1624},
            {Opcode.CMSG_GARRISON_SWAP_BUILDINGS, 0x09BD},
            {Opcode.CMSG_GARRISON_UNK1, 0x02F5},
            {Opcode.CMSG_GET_CHALLENGE_MODE_REWARDS, 0x1C2F},
            {Opcode.CMSG_GARRISON_GET_BUILDING_LANDMARKS, 0x03CA},
            {Opcode.CMSG_GET_ITEM_PURCHASE_DATA, 0x0924},
            {Opcode.CMSG_MAIL_GET_LIST, 0x0BD3},
            {Opcode.CMSG_GET_MIRROR_IMAGE_DATA, 0x08F6},
            {Opcode.CMSG_GET_SHIPMENT_INFO, 0x06E3},
            {Opcode.CMSG_GET_TROPHY_LIST, 0x13B1},
            {Opcode.CMSG_GET_UNDELETE_CHARACTER_COOLDOWN_STATUS, 0x19A9},
            {Opcode.CMSG_GM_LAG_REPORT, 0x0101},
            {Opcode.CMSG_GM_SURVEY_SUBMIT, 0x01AB},
            {Opcode.CMSG_GM_TICKET_ACKNOWLEDGE_SURVEY, 0x0327},
            {Opcode.CMSG_GM_TICKET_CREATE, 0x0935},
            {Opcode.CMSG_GM_TICKET_DELETE_TICKET, 0x0F2E},
            {Opcode.CMSG_GM_TICKET_GET_CASE_STATUS, 0x0F0A},
            {Opcode.CMSG_GM_TICKET_GET_SYSTEM_STATUS, 0x0B0E},
            {Opcode.CMSG_GM_TICKET_GET_TICKET, 0x0B28},
            {Opcode.CMSG_GM_TICKET_RESPONSE_RESOLVE, 0x0B20},
            {Opcode.CMSG_GM_TICKET_UPDATE_TEXT, 0x0323},
            {Opcode.CMSG_GOSSIP_HELLO, 0x00F3},
            {Opcode.CMSG_GOSSIP_SELECT_OPTION, 0x0332},
            {Opcode.CMSG_GRANT_LEVEL, 0x0BE3},
            {Opcode.CMSG_GUILD_ADD_BATTLENET_FRIEND, 0x1437},
            {Opcode.CMSG_GUILD_ADD_RANK, 0x1630},
            {Opcode.CMSG_GUILD_ASSIGN_MEMBER_RANK, 0x0436},
            {Opcode.CMSG_GUILD_AUTO_DECLINE_INVITATION, 0x062F},
            {Opcode.CMSG_GUILD_BANK_ACTIVATE, 0x19E3},
            {Opcode.CMSG_GUILD_BANK_BUY_TAB, 0x1BC3},
            {Opcode.CMSG_GUILD_BANK_DEPOSIT_MONEY, 0x1B11},
            {Opcode.CMSG_GUILD_BANK_LOG_QUERY, 0x0428},
            {Opcode.CMSG_GUILD_BANK_QUERY_TAB, 0x1139},
            {Opcode.CMSG_GUILD_BANK_REMAINING_WITHDRAW_MONEY_QUERY, 0x063D},
            {Opcode.CMSG_GUILD_BANK_SET_TAB_TEXT, 0x0E30},
            {Opcode.CMSG_GUILD_BANK_SWAP_ITEMS, 0x1131},
            {Opcode.CMSG_GUILD_BANK_TEXT_QUERY, 0x062D},
            {Opcode.CMSG_GUILD_BANK_UPDATE_TAB, 0x13C1},
            {Opcode.CMSG_GUILD_BANK_WITHDRAW_MONEY, 0x020D},
            {Opcode.CMSG_GUILD_CHALLENGE_UPDATE_REQUEST, 0x166E},
            {Opcode.CMSG_GUILD_CHANGE_NAME_REQUEST, 0x043E},
            {Opcode.CMSG_GUILD_DECLINE_INVITATION, 0x0667},
            {Opcode.CMSG_GUILD_DELETE, 0x1427},
            {Opcode.CMSG_GUILD_DELETE_RANK, 0x0C28},
            {Opcode.CMSG_GUILD_DEMOTE_MEMBER, 0x142F},
            {Opcode.CMSG_GUILD_EVENT_LOG_QUERY, 0x0E37},
            {Opcode.CMSG_GUILD_GET_ACHIEVEMENT_MEMBERS, 0x0C40},
            {Opcode.CMSG_GUILD_GET_RANKS, 0x0C37},
            {Opcode.CMSG_GUILD_GET_ROSTER, 0x0638},
            {Opcode.CMSG_GUILD_INVITE_BY_NAME, 0x19A4},
            {Opcode.CMSG_GUILD_LEAVE, 0x0476},
            {Opcode.CMSG_GUILD_MEMBER_SEND_SOR_REQUEST, 0x0666},
            {Opcode.CMSG_GUILD_NEWS_UPDATE_STICKY, 0x1625},
            {Opcode.CMSG_GUILD_OFFICER_REMOVE_MEMBER, 0x042F},
            {Opcode.CMSG_GUILD_PERMISSIONS_QUERY, 0x1436},
            {Opcode.CMSG_GUILD_PROMOTE_MEMBER, 0x1467},
            {Opcode.CMSG_QUERY_GUILD_INFO, 0x0930},
            {Opcode.CMSG_GUILD_QUERY_MEMBERS_FOR_RECIPE, 0x0E2E},
            {Opcode.CMSG_GUILD_QUERY_MEMBER_RECIPES, 0x163D},
            {Opcode.CMSG_GUILD_QUERY_NEWS, 0x0676},
            {Opcode.CMSG_GUILD_QUERY_RECIPES, 0x1438},
            {Opcode.CMSG_GUILD_REPLACE_GUILD_MASTER, 0x163E},
            {Opcode.CMSG_REQUEST_GUILD_PARTY_STATE, 0x0A8E},
            {Opcode.CMSG_GUILD_SET_ACHIEVEMENT_TRACKING, 0x1640},
            {Opcode.CMSG_GUILD_SET_FOCUSED_ACHIEVEMENT, 0x0C7E},
            {Opcode.CMSG_GUILD_SET_GUILD_MASTER, 0x1184},
            {Opcode.CMSG_GUILD_SET_MEMBER_NOTE, 0x1C27},
            {Opcode.CMSG_GUILD_SET_RANK_PERMISSIONS, 0x0E38},
            {Opcode.CMSG_GUILD_SHIFT_RANK, 0x0627},
            {Opcode.CMSG_GUILD_UPDATE_INFO_TEXT, 0x0C75},
            {Opcode.CMSG_GUILD_UPDATE_MOTD_TEXT, 0x0C2F},
            {Opcode.CMSG_HEARTH_AND_RESURRECT, 0x0D9D},
            {Opcode.CMSG_IGNORE_TRADE, 0x1419},
            {Opcode.CMSG_INCREASE_CAST_TIME_FOR_SPELL, 0x100A},
            {Opcode.CMSG_INITIATE_ROLE_POLL, 0x1BA2},
            {Opcode.CMSG_INITIATE_TRADE, 0x19BB},
            {Opcode.CMSG_INSPECT, 0x01EC},
            {Opcode.CMSG_INSPECT_PVP, 0x0382},
            {Opcode.CMSG_INSTANCE_LOCK_RESPONSE, 0x0808},
            {Opcode.CMSG_ITEM_PURCHASE_REFUND, 0x1111},
            {Opcode.CMSG_BATTLEMASTER_JOIN_ARENA_SKIRMISH, 0x09EB},
            {Opcode.CMSG_CHAT_JOIN_CHANNEL, 0x0B4B},
            {Opcode.CMSG_JOIN_PET_BATTLE_QUEUE, 0x04F4},
            {Opcode.CMSG_JOIN_RATED_BATTLEGROUND, 0x065A},
            {Opcode.CMSG_KEEP_ALIVE, 0x0981},
            {Opcode.CMSG_KEYBOUND_OVERRIDE, 0x0BBA},
            {Opcode.CMSG_LEARN_TALENTS, 0x0BB6},
            {Opcode.CMSG_CHAT_LEAVE_CHANNEL, 0x19F2},
            {Opcode.CMSG_LEAVE_GROUP, 0x1BA3},
            {Opcode.CMSG_LEAVE_PET_BATTLE_QUEUE, 0x038D},
            {Opcode.CMSG_DF_GET_JOIN_STATUS, 0x1BA4},
            {Opcode.CMSG_LFG_LIST_CANCEL_APPLICATION, 0x1B83},
            {Opcode.CMSG_LFG_LIST_DECLINE_APPLICANT, 0x0916},
            {Opcode.CMSG_LFG_LIST_GET_STATUS, 0x0B17},
            {Opcode.CMSG_LFG_LIST_INVITE_APPLICANT, 0x12AB},
            {Opcode.CMSG_LFG_LIST_INVITE_RESPONSE, 0x13AB},
            {Opcode.CMSG_LFG_LIST_JOIN, 0x0B84},
            {Opcode.CMSG_LFG_LIST_LEAVE, 0x0DA9},
            {Opcode.CMSG_LFG_LIST_SEARCH, 0x0915},
            {Opcode.CMSG_LFG_LIST_UPDATE_REQUEST, 0x07BD},
            {Opcode.CMSG_DF_GET_SYSTEM_INFO, 0x030F},
            {Opcode.CMSG_LF_GUILD_ADD_RECRUIT, 0x1223},
            {Opcode.CMSG_LF_GUILD_BROWSE, 0x0BA3},
            {Opcode.CMSG_LF_GUILD_DECLINE_RECRUIT, 0x066D},
            {Opcode.CMSG_LF_GUILD_GET_APPLICATIONS, 0x043F},
            {Opcode.CMSG_LF_GUILD_GET_GUILD_POST, 0x0E68},
            {Opcode.CMSG_LF_GUILD_GET_RECRUITS, 0x0430},
            {Opcode.CMSG_LF_GUILD_REMOVE_RECRUIT, 0x0680},
            {Opcode.CMSG_LF_GUILD_SET_GUILD_POST, 0x0B3D},
            {Opcode.CMSG_LIST_INVENTORY, 0x0B39},
            {Opcode.CMSG_LOADING_SCREEN_NOTIFY, 0x0B08},
            {Opcode.CMSG_LOGOUT_CANCEL, 0x03C2},
            {Opcode.CMSG_LOGOUT_INSTANT, 0x00F1},
            {Opcode.CMSG_LOGOUT_REQUEST, 0x1911},
            {Opcode.CMSG_LOG_DISCONNECT, 0x04D5},
            {Opcode.CMSG_LOG_STREAMING_ERROR, 0x0C10},
            {Opcode.CMSG_LOOT_UNIT, 0x01B1},
            {Opcode.CMSG_SET_LOOT_METHOD, 0x0729},
            {Opcode.CMSG_LOOT_MONEY, 0x1991},
            {Opcode.CMSG_LOOT_RELEASE, 0x1199},
            {Opcode.CMSG_LOOT_ROLL, 0x09C5},
            {Opcode.CMSG_LOW_LEVEL_RAID1, 0x09E9},
            {Opcode.CMSG_LOW_LEVEL_RAID2, 0x0102},
            {Opcode.CMSG_MAIL_CREATE_TEXT_ITEM, 0x13D1},
            {Opcode.CMSG_MAIL_DELETE, 0x068C},
            {Opcode.CMSG_MAIL_MARK_AS_READ, 0x02D1},
            {Opcode.CMSG_MAIL_RETURN_TO_SENDER, 0x1B84},
            {Opcode.CMSG_MAIL_TAKE_ITEM, 0x0030},
            {Opcode.CMSG_MAIL_TAKE_MONEY, 0x0806},
            {Opcode.CMSG_MASTER_LOOT_ITEM, 0x0AA6},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_CHANNEL, 0x13DC},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_GUILD, 0x137C},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_INSTANCE_CHAT, 0x1823},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_OFFICER, 0x188A},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_PARTY, 0x015C},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_RAID, 0x082C},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_WHISPER, 0x18A2},
            {Opcode.CMSG_CHAT_MESSAGE_AFK, 0x1BDC},
            {Opcode.CMSG_CHAT_MESSAGE_CHANNEL, 0x0913},
            {Opcode.CMSG_CHAT_MESSAGE_DND, 0x0AAB},
            {Opcode.CMSG_CHAT_MESSAGE_EMOTE, 0x113C},
            {Opcode.CMSG_CHAT_MESSAGE_GUILD, 0x0B1B},
            {Opcode.CMSG_CHAT_MESSAGE_INSTANCE_CHAT, 0x0134},
            {Opcode.CMSG_CHAT_MESSAGE_OFFICER, 0x0114},
            {Opcode.CMSG_CHAT_MESSAGE_PARTY, 0x0803},
            {Opcode.CMSG_CHAT_MESSAGE_RAID, 0x0B33},
            {Opcode.CMSG_CHAT_MESSAGE_RAID_WARNING, 0x0313},
            {Opcode.CMSG_CHAT_MESSAGE_SAY, 0x1884},
            {Opcode.CMSG_CHAT_MESSAGE_WHISPER, 0x1829},
            {Opcode.CMSG_CHAT_MESSAGE_YELL, 0x1161},
            {Opcode.CMSG_MINIMAP_PING, 0x0116},
            {Opcode.CMSG_MISSILE_TRAJECTORY_COLLISION, 0x1B92},
            {Opcode.CMSG_MOUNT_SET_FAVORITE, 0x090E},
            {Opcode.CMSG_MOUNT_SPECIAL_ANIM, 0x06DB},
            {Opcode.CMSG_MOVE_APPLY_MOVEMENT_FORCE_ACK, 0x196C},
            {Opcode.CMSG_MOVE_CHANGE_TRANSPORT, 0x0969},
            {Opcode.CMSG_MOVE_CHANGE_VEHICLE_SEATS, 0x0581},
            {Opcode.CMSG_MOVE_CHARM_TELEPORT_CHEAT, 0x1942},
            {Opcode.CMSG_MOVE_DISMISS_VEHICLE, 0x020A},
            {Opcode.CMSG_MOVE_ENABLE_SWIM_TO_FLY_TRANS_ACK, 0x0284},
            {Opcode.CMSG_MOVE_FALL_LAND, 0x0D54},
            {Opcode.CMSG_MOVE_FALL_RESET, 0x0522},
            {Opcode.CMSG_MOVE_FEATHER_FALL_ACK, 0x1142},
            {Opcode.CMSG_MOVE_FORCE_FLIGHT_BACK_SPEED_CHANGE_ACK, 0x05D3},
            {Opcode.CMSG_MOVE_FORCE_FLIGHT_SPEED_CHANGE_ACK, 0x028B},
            {Opcode.CMSG_MOVE_FORCE_PITCH_RATE_CHANGE_ACK, 0x0591},
            {Opcode.CMSG_MOVE_FORCE_ROOT_ACK, 0x0B73},
            {Opcode.CMSG_MOVE_FORCE_RUN_BACK_SPEED_CHANGE_ACK, 0x0089},
            {Opcode.CMSG_MOVE_FORCE_RUN_SPEED_CHANGE_ACK, 0x0B7C},
            {Opcode.CMSG_MOVE_FORCE_SWIM_BACK_SPEED_CHANGE_ACK, 0x0533},
            {Opcode.CMSG_MOVE_FORCE_SWIM_SPEED_CHANGE_ACK, 0x008A},
            {Opcode.CMSG_MOVE_FORCE_TURN_RATE_CHANGE_ACK, 0x0DC1},
            {Opcode.CMSG_MOVE_FORCE_UNROOT_ACK, 0x0B6C},
            {Opcode.CMSG_MOVE_FORCE_WALK_SPEED_CHANGE_ACK, 0x0204},
            {Opcode.CMSG_MOVE_GRAVITY_DISABLE_ACK, 0x0553},
            {Opcode.CMSG_MOVE_GRAVITY_ENABLE_ACK, 0x1952},
            {Opcode.CMSG_MOVE_HEARTBEAT, 0x19C1},
            {Opcode.CMSG_MOVE_HOVER_ACK, 0x0542},
            {Opcode.CMSG_MOVE_JUMP, 0x0282},
            {Opcode.CMSG_MOVE_KNOCK_BACK_ACK, 0x09C1},
            {Opcode.CMSG_MOVE_REMOVE_MOVEMENT_FORCES, 0x0D52},
            {Opcode.CMSG_MOVE_REMOVE_MOVEMENT_FORCE_ACK, 0x01C1},
            {Opcode.CMSG_MOVE_SET_CAN_FLY_ACK, 0x0202},
            {Opcode.CMSG_MOVE_SET_CAN_TURN_WHILE_FALLING_ACK, 0x0531},
            {Opcode.CMSG_MOVE_SET_COLLISION_HEIGHT_ACK, 0x0141},
            {Opcode.CMSG_MOVE_SET_FACING, 0x19D2},
            {Opcode.CMSG_MOVE_SET_FLY, 0x09D2},
            {Opcode.CMSG_MOVE_SET_IGNORE_MOVEMENT_FORCES_ACK, 0x05C3},
            {Opcode.CMSG_MOVE_SET_PITCH, 0x0D92},
            {Opcode.CMSG_MOVE_SET_RELATIVE_POSITION, 0x0973},
            {Opcode.CMSG_MOVE_SET_RUN_MODE, 0x0D51},
            {Opcode.CMSG_MOVE_SET_VEHICLE_REC_ID_ACK, 0x1973},
            {Opcode.CMSG_MOVE_SET_WALK_MODE, 0x0544},
            {Opcode.CMSG_MOVE_SPLINE_DONE, 0x0B63},
            {Opcode.CMSG_MOVE_START_ASCEND, 0x0D41},
            {Opcode.CMSG_MOVE_START_BACKWARD, 0x0583},
            {Opcode.CMSG_MOVE_START_DESCEND, 0x0B79},
            {Opcode.CMSG_MOVE_START_FORWARD, 0x0521},
            {Opcode.CMSG_MOVE_START_PITCH_DOWN, 0x0151},
            {Opcode.CMSG_MOVE_START_PITCH_UP, 0x1974},
            {Opcode.CMSG_MOVE_START_STRAFE_LEFT, 0x0082},
            {Opcode.CMSG_MOVE_START_STRAFE_RIGHT, 0x1151},
            {Opcode.CMSG_MOVE_START_SWIM, 0x0B7A},
            {Opcode.CMSG_MOVE_START_TURN_LEFT, 0x0D14},
            {Opcode.CMSG_MOVE_START_TURN_RIGHT, 0x0964},
            {Opcode.CMSG_MOVE_STOP, 0x0513},
            {Opcode.CMSG_MOVE_STOP_ASCEND, 0x197C},
            {Opcode.CMSG_MOVE_STOP_PITCH, 0x0503},
            {Opcode.CMSG_MOVE_STOP_STRAFE, 0x01D1},
            {Opcode.CMSG_MOVE_STOP_SWIM, 0x097C},
            {Opcode.CMSG_MOVE_STOP_TURN, 0x000B},
            {Opcode.CMSG_MOVE_TELEPORT_ACK, 0x0D01},
            {Opcode.CMSG_MOVE_TELEPORT_CHEAT, 0x196A},
            {Opcode.CMSG_MOVE_TIME_SKIPPED, 0x19C2},
            {Opcode.CMSG_MOVE_TOGGLE_COLLISION_CHEAT, 0x008B},
            {Opcode.CMSG_MOVE_WATER_WALK_ACK, 0x0543},
            {Opcode.CMSG_WORLD_PORT_RESPONSE, 0x0938},
            {Opcode.CMSG_NAME_QUERY, 0x0B15},
            {Opcode.CMSG_NEUTRAL_PLAYER_SELECT_FACTION, 0x0B5A},
            {Opcode.CMSG_NEXT_CINEMATIC_CAMERA, 0x1B3A},
            {Opcode.CMSG_QUERY_NPC_TEXT, 0x0ECB},
            {Opcode.CMSG_OBJECT_UPDATE_FAILED, 0x14E2},
            {Opcode.CMSG_OBJECT_UPDATE_RESCUED, 0x0AD6},
            {Opcode.CMSG_OFFER_PETITION, 0x0315},
            {Opcode.CMSG_OPENING_CINEMATIC, 0x02D2},
            {Opcode.CMSG_OPEN_MISSION_NPC, 0x03D9},
            {Opcode.CMSG_OPEN_ITEM, 0x08AD},
            {Opcode.CMSG_COMPLETE_ALL_READY_SHIPMENTS, 0x1359},
            {Opcode.CMSG_OPEN_SHIPMENT_NPC, 0x0432},
            {Opcode.CMSG_OPT_OUT_OF_LOOT, 0x0810},
            {Opcode.CMSG_QUERY_PAGE_TEXT, 0x0BBB},
            {Opcode.CMSG_PARTY_INVITE, 0x122C},
            {Opcode.CMSG_PARTY_INVITE_RESPONSE, 0x118A},
            {Opcode.CMSG_PARTY_UNINVITE, 0x1982},
            {Opcode.CMSG_PETITION_BUY, 0x0010},
            {Opcode.CMSG_PETITION_RENAME_GUILD, 0x0920},
            {Opcode.CMSG_PETITION_SHOW_LIST, 0x000F},
            {Opcode.CMSG_PETITION_SHOW_SIGNATURES, 0x0BC4},
            {Opcode.CMSG_PET_ABANDON, 0x0005},
            {Opcode.CMSG_PET_ACTION, 0x133A},
            {Opcode.CMSG_PET_BATTLE_FINAL_NOTIFY, 0x0565},
            {Opcode.CMSG_PET_BATTLE_INPUT, 0x0989},
            {Opcode.CMSG_PET_BATTLE_QUEUE_PROPOSE_MATCH_RESULT, 0x140A},
            {Opcode.CMSG_PET_BATTLE_QUIT_NOTIFY, 0x03D5},
            {Opcode.CMSG_PET_BATTLE_REPLACE_FRONT_PET, 0x0936},
            {Opcode.CMSG_PET_BATTLE_REQUEST_PVP, 0x1CDC},
            {Opcode.CMSG_PET_BATTLE_REQUEST_WILD, 0x03C6},
            {Opcode.CMSG_PET_BATTLE_SCRIPT_ERROR_NOTIFY, 0x09CA},
            {Opcode.CMSG_PET_CANCEL_AURA, 0x0A30},
            {Opcode.CMSG_PET_CAST_SPELL, 0x0286},
            {Opcode.CMSG_QUERY_PET_NAME, 0x1433},
            {Opcode.CMSG_PET_RENAME, 0x093F},
            {Opcode.CMSG_PET_SET_ACTION, 0x020F},
            {Opcode.CMSG_LEARN_PET_SPECIALIZATION_GROUP, 0x08D6},
            {Opcode.CMSG_PET_SPELL_AUTOCAST, 0x0A2F},
            {Opcode.CMSG_PET_STOP_ATTACK, 0x19E2},
            {Opcode.CMSG_PING, 0x0416},
            {Opcode.CMSG_REQUEST_PLAYED_TIME, 0x1BB2},
            {Opcode.CMSG_PLAYER_LOGIN, 0x0B1D},
            {Opcode.CMSG_CLIENT_PORT_GRAVEYARD, 0x0D3E},
            {Opcode.CMSG_PUSH_QUEST_TO_PARTY, 0x13E3},
            {Opcode.CMSG_PVP_LOG_DATA, 0x08B5},
            {Opcode.CMSG_QUERY_CORPSE_LOCATION_FROM_CLIENT, 0x128A},
            {Opcode.CMSG_QUERY_CORPSE_TRANSPORT, 0x0908},
            {Opcode.CMSG_QUERY_COUNTDOWN_TIMER, 0x09DE},
            {Opcode.CMSG_QUERY_INSPECT_ACHIEVEMENTS, 0x0A07},
            {Opcode.CMSG_QUERY_NEXT_MAIL_TIME, 0x0B31},
            {Opcode.CMSG_QUERY_PETITION, 0x048B},
            {Opcode.CMSG_QUERY_QUEST_COMPLETION_NPCS, 0x0BD9},
            {Opcode.CMSG_QUERY_SCENARIO_POI, 0x09A1},
            {Opcode.CMSG_QUERY_TIME, 0x1489},
            {Opcode.CMSG_QUEST_GIVER_ACCEPT_QUEST, 0x13D3},
            {Opcode.CMSG_QUEST_GIVER_CHOOSE_REWARD, 0x0DAD},
            {Opcode.CMSG_QUEST_GIVER_COMPLETE_QUEST, 0x1E8A},
            {Opcode.CMSG_QUEST_GIVER_HELLO, 0x058E},
            {Opcode.CMSG_QUEST_GIVER_QUERY_QUEST, 0x1924},
            {Opcode.CMSG_QUEST_GIVER_REQUEST_REWARD, 0x022E},
            {Opcode.CMSG_QUEST_GIVER_STATUS_MULTIPLE_QUERY, 0x0131},
            {Opcode.CMSG_QUEST_GIVER_STATUS_QUERY, 0x01E2},
            {Opcode.CMSG_QUEST_LOG_REMOVE_QUEST, 0x0139},
            {Opcode.CMSG_QUEST_CONFIRM_ACCEPT, 0x058D},
            {Opcode.CMSG_QUEST_POI_QUERY, 0x0B81},
            {Opcode.CMSG_QUEST_PUSH_RESULT, 0x03D2},
            {Opcode.CMSG_QUERY_QUEST_INFO, 0x09A6},
            {Opcode.CMSG_QUEUED_MESSAGES_END, 0x04DF},
            {Opcode.CMSG_GENERATE_RANDOM_CHARACTER_NAME, 0x1981},
            {Opcode.CMSG_RANDOM_ROLL, 0x12AA},
            {Opcode.CMSG_READY_CHECK_RESPONSE, 0x071A},
            {Opcode.CMSG_READ_ITEM, 0x09B9},
            {Opcode.CMSG_BUY_REAGENT_BANK, 0x11E4},
            {Opcode.CMSG_QUERY_REALM_NAME, 0x1189},
            {Opcode.CMSG_RECLAIM_CORPSE, 0x1BC4},
            {Opcode.CMSG_RECRUIT_A_FRIEND, 0x07BA},
            {Opcode.CMSG_CHAT_REGISTER_ADDON_PREFIXES, 0x03F4},
            {Opcode.CMSG_REORDER_CHARACTERS, 0x0DAA},
            {Opcode.CMSG_REPAIR_ITEM, 0x0B54},
            {Opcode.CMSG_REPLACE_TROPHY, 0x1431},
            {Opcode.CMSG_REPOP_REQUEST, 0x1BC2},
            {Opcode.CMSG_CHAT_REPORT_FILTERED, 0x1B5C},
            {Opcode.CMSG_CHAT_REPORT_IGNORED, 0x1B14},
            {Opcode.CMSG_REPORT_PVP_PLAYER_AFK, 0x113A},
            {Opcode.CMSG_REQUEST_ACCOUNT_DATA, 0x0F3E},
            {Opcode.CMSG_REQUEST_ARTIFACT_COMPLETION_HISTORY, 0x13D9},
            {Opcode.CMSG_REQUEST_BATTLEFIELD_STATUS, 0x0320},
            {Opcode.CMSG_REQUEST_CATEGORY_COOLDOWNS, 0x1B99},
            {Opcode.CMSG_REQUEST_CEMETERY_LIST, 0x10A2},
            {Opcode.CMSG_REQUEST_CONQUEST_FORMULA_CONSTANTS, 0x0359},
            {Opcode.CMSG_REQUEST_FORCED_REACTIONS, 0x02C3},
            {Opcode.CMSG_REQUEST_GUILD_REWARDS_LIST, 0x028D},
            {Opcode.CMSG_REQUEST_HONOR_STATS, 0x09FD},
            {Opcode.CMSG_REQUEST_LFG_LIST_BLACKLIST, 0x0BCA},
            {Opcode.CMSG_REQUEST_PARTY_JOIN_UPDATES, 0x071D},
            {Opcode.CMSG_REQUEST_PARTY_MEMBER_STATS, 0x031D},
            {Opcode.CMSG_REQUEST_PET_INFO, 0x1B12},
            {Opcode.CMSG_GET_PVP_OPTIONS_ENABLED, 0x1101},
            {Opcode.CMSG_REQUEST_PVP_REWARDS, 0x1399},
            {Opcode.CMSG_REQUEST_RAID_INFO, 0x0104},
            {Opcode.CMSG_REQUEST_RATED_BATTLEFIELD_INFO, 0x1323},
            {Opcode.CMSG_REQUEST_STABLED_PETS, 0x059D},
            {Opcode.CMSG_REQUEST_VEHICLE_EXIT, 0x09CE},
            {Opcode.CMSG_REQUEST_VEHICLE_NEXT_SEAT, 0x1672},
            {Opcode.CMSG_REQUEST_VEHICLE_PREV_SEAT, 0x0527},
            {Opcode.CMSG_REQUEST_VEHICLE_SWITCH_SEAT, 0x0AED},
            {Opcode.CMSG_RESET_CHALLENGE_MODE, 0x1619},
            {Opcode.CMSG_RESET_INSTANCES, 0x0389},
            {Opcode.CMSG_RESURRECT_RESPONSE, 0x073E},
            {Opcode.CMSG_REVERT_MONUMENT_APPEARANCE, 0x0085},
            {Opcode.CMSG_RIDE_VEHICLE_INTERACT, 0x11BC},
            {Opcode.CMSG_SAVE_CUF_PROFILES, 0x0053},
            {Opcode.CMSG_SAVE_GUILD_EMBLEM, 0x00F6},
            {Opcode.CMSG_SCENE_PLAYBACK_CANCELED, 0x14B3},
            {Opcode.CMSG_SCENE_PLAYBACK_COMPLETE, 0x0537},
            {Opcode.CMSG_SCENE_TRIGGER_EVENT, 0x11B9},
            {Opcode.CMSG_SELF_RES, 0x1343},
            {Opcode.CMSG_SELL_ITEM, 0x0351},
            {Opcode.CMSG_SEND_CONTACT_LIST, 0x079E},
            {Opcode.CMSG_SEND_MAIL, 0x0910},
            {Opcode.CMSG_SEND_SOR_REQUEST_VIA_ADDRESS, 0x0D39},
            {Opcode.CMSG_SEND_SOR_REQUEST_VIA_BNET_ACCOUNT_ID, 0x13A2},
            {Opcode.CMSG_SET_ACHIEVEMENTS_HIDDEN, 0x0464},
            {Opcode.CMSG_SET_ACTION_BAR_TOGGLES, 0x0BD2},
            {Opcode.CMSG_SET_ACTION_BUTTON, 0x0599},
            {Opcode.CMSG_SET_ACTIVE_MOVER, 0x0971},
            {Opcode.CMSG_SET_ACTIVE_VOICE_CHANNEL, 0x031E},
            {Opcode.CMSG_SET_ADVANCED_COMBAT_LOGGING, 0x0ECC},
            {Opcode.CMSG_SET_ASSISTANT_LEADER, 0x0B26},
            {Opcode.CMSG_SET_BACKPACK_AUTOSORT_DISABLED, 0x0C9C},
            {Opcode.CMSG_SET_BANK_AUTOSORT_DISABLED, 0x1393},
            {Opcode.CMSG_SET_CONTACT_NOTES, 0x03AC},
            {Opcode.CMSG_SET_CURRENCY_FLAGS, 0x14A1},
            {Opcode.CMSG_SET_DIFFICULTY_ID, 0x01F6},
            {Opcode.CMSG_SET_DUNGEON_DIFFICULTY, 0x012F},
            {Opcode.CMSG_SET_EVERYONE_IS_ASSISTANT, 0x0F3D},
            {Opcode.CMSG_SET_FACTION_AT_WAR, 0x051E},
            {Opcode.CMSG_SET_FACTION_INACTIVE, 0x09E2},
            {Opcode.CMSG_SET_FACTION_NOT_AT_WAR, 0x0A06},
            {Opcode.CMSG_SET_INSERT_ITEMS_LEFT_TO_RIGHT, 0x02C4},
            {Opcode.CMSG_SET_LFG_BONUS_FACTION_ID, 0x009D},
            {Opcode.CMSG_SET_LOOT_SPECIALIZATION, 0x0226},
            {Opcode.CMSG_SET_PARTY_ASSIGNMENT, 0x050A},
            {Opcode.CMSG_SET_PARTY_LEADER, 0x091E},
            {Opcode.CMSG_SET_PET_SLOT, 0x0BFD},
            {Opcode.CMSG_SET_PLAYER_DECLINED_NAMES, 0x018B},
            {Opcode.CMSG_SET_PREFERRED_CEMETERY, 0x1461},
            {Opcode.CMSG_SET_PVP, 0x19B9},
            {Opcode.CMSG_SET_RAID_DIFFICULTY, 0x1121},
            {Opcode.CMSG_SET_ROLE, 0x0326},
            {Opcode.CMSG_SET_SAVED_INSTANCE_EXTEND, 0x1222},
            {Opcode.CMSG_SET_SELECTION, 0x05BD},
            {Opcode.CMSG_SET_SHEATHED, 0x1B43},
            {Opcode.CMSG_SET_SORT_BAGS_RIGHT_TO_LEFT, 0x089D},
            {Opcode.CMSG_SET_SPECIALIZATION, 0x0AC5},
            {Opcode.CMSG_SET_TAXI_BENCHMARK_MODE, 0x1332},
            {Opcode.CMSG_SET_TITLE, 0x0BC6},
            {Opcode.CMSG_SET_TRADE_CURRENCY, 0x1462},
            {Opcode.CMSG_SET_TRADE_GOLD, 0x064C},
            {Opcode.CMSG_SET_TRADE_ITEM, 0x14A2},
            {Opcode.CMSG_SET_WATCHED_FACTION, 0x0206},
            {Opcode.CMSG_SHOWING_CLOAK, 0x0132},
            {Opcode.CMSG_SHOWING_HELM, 0x11E1},
            {Opcode.CMSG_SHOW_TRADE_SKILL, 0x07AD},
            {Opcode.CMSG_SIGN_PETITION, 0x0B03},
            {Opcode.CMSG_SILENCE_PARTY_TALKER, 0x0BAC},
            {Opcode.CMSG_SOCKET_GEMS, 0x1BE1},
            {Opcode.CMSG_SORT_BAGS, 0x0AE6},
            {Opcode.CMSG_SORT_BANK_BAGS, 0x06E4},
            {Opcode.CMSG_SORT_REAGENT_BANK_BAGS, 0x0557},
            {Opcode.CMSG_SPELL_CLICK, 0x0BC2},
            {Opcode.CMSG_SPIRIT_HEALER_ACTIVATE, 0x03EC},
            {Opcode.CMSG_SPLIT_ITEM, 0x0795},
            {Opcode.CMSG_STAND_STATE_CHANGE, 0x0ABD},
            {Opcode.CMSG_START_SPECTATOR_WAR_GAME, 0x13A3},
            {Opcode.CMSG_START_WAR_GAME, 0x03A2},
            {Opcode.CMSG_SUMMON_RESPONSE, 0x1124},
            {Opcode.CMSG_SUPPORT_TICKET_SUBMIT_BUG, 0x0B0D},
            {Opcode.CMSG_SUPPORT_TICKET_SUBMIT_COMPLAINT, 0x0B37}, // need structure | 2871 (0x0B37) | 0x0098E908 | 0x005E41E4 |
            {Opcode.CMSG_SUPPORT_TICKET_SUBMIT_SUGGESTION, 0x0D0A},
            {Opcode.CMSG_SUSPEND_COMMS_ACK, 0x0C56},
            {Opcode.CMSG_SUSPEND_TOKEN_RESPONSE, 0x041E},
            {Opcode.CMSG_SWAP_INV_ITEM, 0x0F17},
            {Opcode.CMSG_SWAP_ITEM, 0x0736},
            {Opcode.CMSG_SWAP_SUB_GROUPS, 0x0106},
            {Opcode.CMSG_TABARD_VENDOR_ACTIVATE, 0x08EE},
            {Opcode.CMSG_TAXI_NODE_STATUS_QUERY, 0x1BC1},
            {Opcode.CMSG_TAXI_QUERY_AVAILABLE_NODES, 0x000E},
            {Opcode.CMSG_TELEPORT_TO_UNIT, 0x0F19},
            {Opcode.CMSG_SEND_TEXT_EMOTE, 0x1901},
            {Opcode.CMSG_TIME_ADJUSTMENT_RESPONSE, 0x0289},
            {Opcode.CMSG_TIME_SYNC_RESPONSE, 0x0003},
            {Opcode.CMSG_TIME_SYNC_RESPONSE_DROPPED, 0x0D93},
            {Opcode.CMSG_TIME_SYNC_RESPONSE_FAILED, 0x1B73},
            {Opcode.CMSG_TOGGLE_DIFFICULTY, 0x0123},
            {Opcode.CMSG_TOGGLE_PVP, 0x149B},
            {Opcode.CMSG_TOTEM_DESTROYED, 0x000D},
            {Opcode.CMSG_TOY_SET_FAVORITE, 0x0105},
            {Opcode.CMSG_TRAINER_BUY_SPELL, 0x0A28},
            {Opcode.CMSG_TRAINER_LIST, 0x0A2E},
            {Opcode.CMSG_TRANSMOGRIFY_ITEMS, 0x0A85},
            {Opcode.CMSG_TROPHY_MONUMENT_LOAD_SELECTED_TROPHY_ID, 0x03DE},
            {Opcode.CMSG_TURN_IN_PETITION, 0x1C89},
            {Opcode.CMSG_TUTORIAL_FLAG, 0x0B16},
            {Opcode.CMSG_UI_TIME_REQUEST, 0x0302},
            {Opcode.CMSG_UNACCEPT_TRADE, 0x13BA},
            {Opcode.CMSG_UNDELETE_CHARACTER, 0x0D99},
            {Opcode.CMSG_UNLEARN_SKILL, 0x0A26},
            {Opcode.CMSG_UNLEARN_SPECIALIZATION, 0x16CB},
            {Opcode.CMSG_CHAT_UNREGISTER_ALL_ADDON_PREFIXES, 0x082A},
            {Opcode.CMSG_UPDATE_ACCOUNT_DATA, 0x12A1},
            {Opcode.CMSG_UPDATE_CLIENT_SETTINGS, 0x090F},
            {Opcode.CMSG_UPDATE_MISSILE_TRAJECTORY, 0x1CDB},
            {Opcode.CMSG_UPDATE_RAID_TARGET, 0x1122},
            {Opcode.CMSG_UPGRADE_GARRISON, 0x0526},
            {Opcode.CMSG_UPGRADE_ITEM, 0x0518},
            {Opcode.CMSG_USED_FOLLOW, 0x1609},
            {Opcode.CMSG_USE_CRITTER_ITEM, 0x0BBE},
            {Opcode.CMSG_USE_EQUIPMENT_SET, 0x0756},
            {Opcode.CMSG_USE_ITEM, 0x08B6},
            {Opcode.CMSG_SET_USING_PARTY_GARRISON, 0x14DB},
            {Opcode.CMSG_USE_TOY, 0x16E2},
            {Opcode.CMSG_VIOLENCE_LEVEL, 0x098D},
            {Opcode.CMSG_VOICE_ADD_IGNORE, 0x098A},
            {Opcode.CMSG_VOICE_DEL_IGNORE, 0x0128},
            {Opcode.CMSG_VOICE_SESSION_ENABLE, 0x1102},
            {Opcode.CMSG_QUERY_VOID_STORAGE, 0x019E},
            {Opcode.CMSG_VOID_STORAGE_TRANSFER, 0x0463},
            {Opcode.CMSG_UNLOCK_VOID_STORAGE, 0x13BB},
            {Opcode.CMSG_SWAP_VOID_ITEM, 0x0619},
            {Opcode.CMSG_WARDEN_DATA, 0x0BA1},
            {Opcode.CMSG_WHO, 0x1322},
            {Opcode.CMSG_WHO_IS, 0x011F},
            {Opcode.CMSG_WORLD_TELEPORT, 0x038A},
            {Opcode.CMSG_WRAP_ITEM, 0x0797}
        };

        private static readonly BiDictionary<Opcode, int> ServerOpcodes = new BiDictionary<Opcode, int>
        {
            {Opcode.SMSG_ABORT_NEW_WORLD, 0x138C},
            {Opcode.SMSG_ACCOUNT_CRITERIA_UPDATE, 0x0912},
            {Opcode.SMSG_ACCOUNT_DATA_TIMES, 0x0120},
            {Opcode.SMSG_ACCOUNT_INFO_RESPONSE, 0x03AB},
            {Opcode.SMSG_ACCOUNT_MOUNT_UPDATE, 0x0140},
            {Opcode.SMSG_ACCOUNT_PROFILE, 0x1B1A},
            {Opcode.SMSG_ACCOUNT_TOYS_UPDATE, 0x0590},
            {Opcode.SMSG_ACHIEVEMENT_DELETED, 0x050E},
            {Opcode.SMSG_ACHIEVEMENT_EARNED, 0x010E},
            {Opcode.SMSG_ACTIVATE_TAXI_REPLY, 0x1321},
            {Opcode.SMSG_ADDON_INFO, 0x1D9F},
            {Opcode.SMSG_ADD_BATTLENET_FRIEND_RESPONSE, 0x1BD4},
            {Opcode.SMSG_ADD_ITEM_PASSIVE, 0x13D2},
            {Opcode.SMSG_ADD_LOSS_OF_CONTROL, 0x02F4},
            {Opcode.SMSG_ADD_RUNE_POWER, 0x0322},
            {Opcode.SMSG_ADJUST_SPLINE_DURATION, 0x0104},
            {Opcode.SMSG_AE_LOOT_TARGETS, 0x15AF},
            {Opcode.SMSG_AE_LOOT_TARGET_ACK, 0x031D},
            {Opcode.SMSG_AI_REACTION, 0x0BA1},
            {Opcode.SMSG_ALL_ACCOUNT_CRITERIA, 0x0123},
            {Opcode.SMSG_ALL_ACHIEVEMENT_DATA, 0x0030},
            {Opcode.SMSG_ALL_GUILD_ACHIEVEMENTS, 0x1866},
            {Opcode.SMSG_ARCHAEOLOGY_SURVERY_CAST, 0x0008},
            {Opcode.SMSG_AREA_SHARE_INFO_RESPONSE, 0x0005},
            {Opcode.SMSG_AREA_SHARE_MAPPINGS_RESPONSE, 0x13E3},
            {Opcode.SMSG_AREA_SPIRIT_HEALER_TIME, 0x1182},
            {Opcode.SMSG_AREA_TRIGGER_DEBUG_PLAYER_INSIDE, 0x0789},
            {Opcode.SMSG_AREA_TRIGGER_DEBUG_SWEEP, 0x11EB},
            {Opcode.SMSG_AREA_TRIGGER_DENIED, 0x018A},
            {Opcode.SMSG_AREA_TRIGGER_NO_CORPSE, 0x0D3F},
            {Opcode.SMSG_AREA_TRIGGER_RE_PATH, 0x0D20},
            {Opcode.SMSG_AREA_TRIGGER_RE_SHAPE, 0x12A3},
            {Opcode.SMSG_ARENA_ERROR, 0x120B},
            {Opcode.SMSG_ARENA_PREP_OPPONENT_SPECIALIZATIONS, 0x03AA},
            {Opcode.SMSG_ATTACKER_STATE_UPDATE, 0x1204},
            {Opcode.SMSG_ATTACK_START, 0x1D3E},
            {Opcode.SMSG_ATTACK_STOP, 0x1382},
            {Opcode.SMSG_ATTACK_SWING_ERROR, 0x0509},
            {Opcode.SMSG_ATTACK_SWING_LANDED_LOG, 0x178E},
            {Opcode.SMSG_AUCTION_CLOSED_NOTIFICATION, 0x058E},
            {Opcode.SMSG_AUCTION_COMMAND_RESULT, 0x0B2D},
            {Opcode.SMSG_AUCTION_HELLO_RESPONSE, 0x011F},
            {Opcode.SMSG_AUCTION_LIST_BIDDER_ITEMS_RESULT, 0x01E9},
            {Opcode.SMSG_AUCTION_LIST_ITEMS_RESULT, 0x0BA4},
            {Opcode.SMSG_AUCTION_LIST_OWNER_ITEMS_RESULT, 0x0B42},
            {Opcode.SMSG_AUCTION_LIST_PENDING_SALES_RESULT, 0x0332},
            {Opcode.SMSG_AUCTION_OUTBID_NOTIFICATION, 0x172E},
            {Opcode.SMSG_AUCTION_OWNER_BID_NOTIFICATION, 0x0026},
            {Opcode.SMSG_AUCTION_REPLICATE_RESPONSE, 0x0325},
            {Opcode.SMSG_AUCTION_WON_NOTIFICATION, 0x0D90},
            {Opcode.SMSG_AURA_POINTS_DEPLETED, 0x093B},
            {Opcode.SMSG_AURA_UPDATE, 0x091C},
            {Opcode.SMSG_AUTH_CHALLENGE, 0x1759},
            {Opcode.SMSG_AUTH_RESPONSE, 0x0DA9},
            {Opcode.SMSG_AVAILABLE_VOICE_CHANNEL, 0x04D4},
            {Opcode.SMSG_AVERAGE_ITEM_LEVEL_INFORM, 0x1332},
            {Opcode.SMSG_BARBER_SHOP_RESULT, 0x150D},
            {Opcode.SMSG_BATTLEFIELD_LIST, 0x11A1},
            {Opcode.SMSG_BATTLEFIELD_MGR_DROP_TIMER_CANCELED, 0x179A},
            {Opcode.SMSG_BATTLEFIELD_MGR_DROP_TIMER_STARTED, 0x098B},
            {Opcode.SMSG_BATTLEFIELD_MGR_EJECTED, 0x0DAF},
            {Opcode.SMSG_BATTLEFIELD_MGR_EJECT_PENDING, 0x09A1},
            {Opcode.SMSG_BATTLEFIELD_MGR_ENTERING, 0x11A3},
            {Opcode.SMSG_BATTLEFIELD_MGR_ENTRY_INVITE, 0x128B},
            {Opcode.SMSG_BATTLEFIELD_MGR_QUEUE_INVITE, 0x0B32},
            {Opcode.SMSG_BATTLEFIELD_MGR_QUEUE_REQUEST_RESPONSE, 0x0B28},
            {Opcode.SMSG_BATTLEFIELD_MGR_STATE_CHANGED, 0x13C3},
            {Opcode.SMSG_BATTLEFIELD_PORT_DENIED, 0x0930},
            {Opcode.SMSG_BATTLEFIELD_RATED_INFO, 0x1F0A},
            {Opcode.SMSG_BATTLEFIELD_STATUS_ACTIVE, 0x1284},
            {Opcode.SMSG_BATTLEFIELD_STATUS_FAILED, 0x0308},
            {Opcode.SMSG_BATTLEFIELD_STATUS_NEED_CONFIRMATION, 0x1719},
            {Opcode.SMSG_BATTLEFIELD_STATUS_NONE, 0x1E89},
            {Opcode.SMSG_BATTLEFIELD_STATUS_QUEUED, 0x002D},
            {Opcode.SMSG_BATTLEFIELD_STATUS_WAIT_FOR_GROUPS, 0x082D},
            {Opcode.SMSG_BATTLEGROUND_INFO_THROTTLED, 0x19E2},
            {Opcode.SMSG_BATTLEGROUND_INIT, 0x13C4},
            {Opcode.SMSG_BATTLEGROUND_PLAYER_JOINED, 0x13EA},
            {Opcode.SMSG_BATTLEGROUND_PLAYER_LEFT, 0x1BD1},
            {Opcode.SMSG_BATTLEGROUND_PLAYER_POSITIONS, 0x1BE9},
            {Opcode.SMSG_BATTLEGROUND_POINTS, 0x122A},
            {Opcode.SMSG_BATTLENET_CHALLENGE_ABORT, 0x0010},
            {Opcode.SMSG_BATTLENET_CHALLENGE_START, 0x1322},
            {Opcode.SMSG_BATTLE_PAY_ACK_FAILED, 0x013D},
            {Opcode.SMSG_BATTLE_PAY_CONFIRM_PURCHASE, 0x0938},
            {Opcode.SMSG_BATTLE_PAY_DELIVERY_ENDED, 0x1D2F},
            {Opcode.SMSG_BATTLE_PAY_DELIVERY_STARTED, 0x0927},
            {Opcode.SMSG_BATTLE_PAY_DISTRIBUTION_UPDATE, 0x0BE3},
            {Opcode.SMSG_BATTLE_PAY_GET_DISTRIBUTION_LIST_RESPONSE, 0x0F2A},
            {Opcode.SMSG_BATTLE_PAY_GET_PRODUCT_LIST_RESPONSE, 0x12A4},
            {Opcode.SMSG_BATTLE_PAY_GET_PURCHASE_LIST_RESPONSE, 0x168A},
            {Opcode.SMSG_BATTLE_PAY_PURCHASE_UPDATE, 0x092F},
            {Opcode.SMSG_BATTLE_PAY_START_DISTRIBUTION_ASSIGN_TO_TARGET_RESPONSE, 0x03A2},
            {Opcode.SMSG_BATTLE_PAY_START_PURCHASE_RESPONSE, 0x0BA3},
            {Opcode.SMSG_BATTLE_PET_CAGE_DATE_ERROR, 0x1D1E},
            {Opcode.SMSG_BATTLE_PET_DELETED, 0x0138},
            {Opcode.SMSG_BATTLE_PET_ERROR, 0x0227},
            {Opcode.SMSG_BATTLE_PETS_HEALED, 0x1BC1},
            {Opcode.SMSG_BATTLE_PET_JOURNAL, 0x19A2},
            {Opcode.SMSG_BATTLE_PET_JOURNAL_LOCK_ACQUIRED, 0x01A3},
            {Opcode.SMSG_BATTLE_PET_JOURNAL_LOCK_DENIED, 0x1BEC},
            {Opcode.SMSG_BATTLE_PET_LICENSE_CHANGED, 0x0FA9},
            {Opcode.SMSG_BATTLE_PET_RESTORED, 0x159D},
            {Opcode.SMSG_BATTLE_PET_REVOKED, 0x0936},
            {Opcode.SMSG_BATTLE_PET_TRAP_LEVEL, 0x0911},
            {Opcode.SMSG_BATTLE_PET_UPDATES, 0x0354},
            {Opcode.SMSG_BINDER_CONFIRM, 0x0B11},
            {Opcode.SMSG_BIND_POINT_UPDATE, 0x0A30},
            {Opcode.SMSG_BLACK_MARKET_BID_ON_ITEM_RESULT, 0x0825},
            {Opcode.SMSG_BLACK_MARKET_OPEN_RESULT, 0x0A05},
            {Opcode.SMSG_BLACK_MARKET_OUTBID, 0x0B1D},
            {Opcode.SMSG_BLACK_MARKET_REQUEST_ITEMS_RESULT, 0x1BC2},
            {Opcode.SMSG_BLACK_MARKET_WON, 0x1BAA},
            {Opcode.SMSG_BONUS_ROLL_EMPTY, 0x0BEA},
            {Opcode.SMSG_BREAK_TARGET, 0x11A2},
            {Opcode.SMSG_BUY_FAILED, 0x013A},
            {Opcode.SMSG_BUY_SUCCEEDED, 0x0BD1},
            {Opcode.SMSG_CALENDAR_CLEAR_PENDING_ACTION, 0x1E8A},
            {Opcode.SMSG_CALENDAR_COMMAND_RESULT, 0x138A},
            {Opcode.SMSG_CALENDAR_EVENT_INITIAL_INVITES, 0x0139},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE, 0x0BA2},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_ALERT, 0x0A0F},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_MODERATOR_STATUS, 0x0B52},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_NOTES, 0x0208},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_NOTES_ALERT, 0x1104},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_REMOVED, 0x1F0E},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_REMOVED_ALERT, 0x0116},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_STATUS, 0x1183},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_STATUS_ALERT, 0x1BD3},
            {Opcode.SMSG_CALENDAR_EVENT_REMOVED_ALERT, 0x1124},
            {Opcode.SMSG_CALENDAR_EVENT_UPDATED_ALERT, 0x1D9D},
            {Opcode.SMSG_CALENDAR_RAID_LOCKOUT_ADDED, 0x0901},
            {Opcode.SMSG_CALENDAR_RAID_LOCKOUT_REMOVED, 0x0122},
            {Opcode.SMSG_CALENDAR_RAID_LOCKOUT_UPDATED, 0x09A4},
            {Opcode.SMSG_CALENDAR_SEND_CALENDAR, 0x0184},
            {Opcode.SMSG_CALENDAR_SEND_EVENT, 0x0225},
            {Opcode.SMSG_CALENDAR_SEND_NUM_PENDING, 0x1B3A},
            {Opcode.SMSG_CAMERA_SHAKE, 0x0926},
            {Opcode.SMSG_CANCEL_AUTO_REPEAT, 0x0B18},
            {Opcode.SMSG_CANCEL_COMBAT, 0x05AD},
            {Opcode.SMSG_CANCEL_ORPHAN_SPELL_VISUAL, 0x1BFB},
            {Opcode.SMSG_CANCEL_SCENE, 0x033F},
            {Opcode.SMSG_CANCEL_SPELL_VISUAL, 0x0361},
            {Opcode.SMSG_CANCEL_SPELL_VISUAL_KIT, 0x1173},
            {Opcode.SMSG_CAN_DUEL_RESULT, 0x03E9},
            {Opcode.SMSG_CAST_FAILED, 0x1A89},
            {Opcode.SMSG_CHALLENGE_MODE_ALL_MAP_STATS, 0x0904},
            {Opcode.SMSG_CHALLENGE_MODE_COMPLETE, 0x1B31},
            {Opcode.SMSG_CHALLENGE_MODE_MAP_STATS_UPDATE, 0x0135},
            {Opcode.SMSG_CHALLENGE_MODE_NEW_PLAYER_RECORD, 0x13A3},
            {Opcode.SMSG_CHALLENGE_MODE_REQUEST_LEADERS_RESULT, 0x07AA},
            {Opcode.SMSG_CHALLENGE_MODE_REWARDS, 0x1CC9},
            {Opcode.SMSG_CHALLENGE_MODE_START, 0x1221},
            {Opcode.SMSG_CHANGE_PLAYER_DIFFICULTY_RESULT, 0x0826},
            {Opcode.SMSG_CHANNEL_LIST, 0x1411},
            {Opcode.SMSG_CHANNEL_NOTIFY, 0x0643},
            {Opcode.SMSG_CHANNEL_NOTIFY_JOINED, 0x1602},
            {Opcode.SMSG_CHANNEL_NOTIFY_LEFT, 0x1452},
            {Opcode.SMSG_SPELL_CHANNEL_START, 0x016C},
            {Opcode.SMSG_SPELL_CHANNEL_UPDATE, 0x19DB},
            {Opcode.SMSG_CHARACTER_LOGIN_FAILED, 0x091E},
            {Opcode.SMSG_CHARACTER_OBJECT_TEST_RESPONSE, 0x038A},
            {Opcode.SMSG_CHARACTER_UPGRADE_COMPLETE, 0x0806},
            {Opcode.SMSG_CHARACTER_UPGRADE_SPELL_TIER_SET, 0x0B23},
            {Opcode.SMSG_CREATE_CHAR, 0x0107},
            {Opcode.SMSG_CHAR_CUSTOMIZE, 0x1932},
            {Opcode.SMSG_CHAR_CUSTOMIZE_RESULT, 0x0BAA},
            {Opcode.SMSG_CHAT, 0x0603},
            {Opcode.SMSG_DELETE_CHAR, 0x0BC4},
            {Opcode.SMSG_ENUM_CHARACTERS_RESULT, 0x05AF},
            {Opcode.SMSG_CHAR_FACTION_CHANGE_RESULT, 0x0810},
            {Opcode.SMSG_CHARACTER_RENAME_RESULT, 0x0D89},
            {Opcode.SMSG_CHAR_UPGRADE_STARTED, 0x01E2},
            {Opcode.SMSG_CHAT_AUTO_RESPONDED, 0x1482},
            {Opcode.SMSG_CHAT_DOWN, 0x0611},
            {Opcode.SMSG_CHAT_IGNORED_ACCOUNT_MUTED, 0x14C2},
            {Opcode.SMSG_CHAT_IS_DOWN, 0x0404},
            {Opcode.SMSG_CHAT_NOT_IN_PARTY, 0x0604},
            {Opcode.SMSG_CHAT_PLAYER_AMBIGUOUS, 0x06C1},
            {Opcode.SMSG_CHAT_PLAYER_NOTFOUND, 0x0614},
            {Opcode.SMSG_CHAT_RECONNECT, 0x0613},
            {Opcode.SMSG_CHAT_RESTRICTED, 0x0484},
            {Opcode.SMSG_CHEAT_IGNORE_DIMISHING_RETURNS, 0x194C},
            {Opcode.SMSG_CHECK_WARGAME_ENTRY, 0x1203},
            {Opcode.SMSG_CLEAR_ALL_SPELL_CHARGES, 0x088B},
            {Opcode.SMSG_CLEAR_BOSS_EMOTES, 0x118B},
            {Opcode.SMSG_CLEAR_COOLDOWN, 0x0226},
            {Opcode.SMSG_CLEAR_COOLDOWNS, 0x0BFA},
            {Opcode.SMSG_CLEAR_LOSS_OF_CONTROL, 0x1D20},
            {Opcode.SMSG_CLEAR_QUEST_COMPLETED_BIT, 0x1563},
            {Opcode.SMSG_CLEAR_QUEST_COMPLETED_BITS, 0x1D47},
            {Opcode.SMSG_CLEAR_SPELL_CHARGES, 0x1AA1},
            {Opcode.SMSG_CLEAR_TARGET, 0x17AE},
            {Opcode.SMSG_CACHE_VERSION, 0x080D},
            {Opcode.SMSG_CONTROL_UPDATE, 0x080E},
            {Opcode.SMSG_COIN_REMOVED, 0x0D30},
            {Opcode.SMSG_COMBAT_EVENT_FAILED, 0x1DAF},
            {Opcode.SMSG_COMMENTATOR_MAP_INFO, 0x1922},
            {Opcode.SMSG_COMMENTATOR_PLAYER_INFO, 0x1B23},
            {Opcode.SMSG_COMMENTATOR_STATE_CHANGED, 0x133A},
            {Opcode.SMSG_COMPLAINT_RESULT, 0x0B15},
            {Opcode.SMSG_COMPLETE_SHIPMENT_RESPONSE, 0x0739},
            {Opcode.SMSG_COMPRESSED_PACKET, 0x07CA},
            {Opcode.SMSG_CONQUEST_FORMULA_CONSTANTS, 0x1342},
            {Opcode.SMSG_CONSOLE_WRITE, 0x0230},
            {Opcode.SMSG_CONTACT_LIST, 0x0210},
            {Opcode.SMSG_CONTACT_STATUS, 0x1BEA},
            {Opcode.SMSG_CONVERT_RUNE, 0x1C89},
            {Opcode.SMSG_COOLDOWN_CHEAT, 0x118A},
            {Opcode.SMSG_COOLDOWN_EVENT, 0x05B0},
            {Opcode.SMSG_CORPSE_LOCATION, 0x09E1},
            {Opcode.SMSG_CORPSE_RECLAIM_DELAY, 0x0BE2},
            {Opcode.SMSG_CORPSE_TRANSPORT_QUERY, 0x13AB},
            {Opcode.SMSG_CREATE_SHIPMENT_RESPONSE, 0x11AB},
            {Opcode.SMSG_QUERY_CREATURE_RESPONSE, 0x0A26},
            {Opcode.SMSG_CRITERIA_DELETED, 0x0105},
            {Opcode.SMSG_CRITERIA_UPDATE, 0x1904},
            {Opcode.SMSG_CROSSED_INEBRIATION_THRESHOLD, 0x0103},
            {Opcode.SMSG_CUSTOM_LOAD_SCREEN, 0x0D1A},
            {Opcode.SMSG_DAILY_QUESTS_RESET, 0x1514},
            {Opcode.SMSG_DAMAGE_CALC_LOG, 0x1689},
            {Opcode.SMSG_DANCE_STUDIO_CREATE_RESULT, 0x178D},
            {Opcode.SMSG_DB_LOOKUP_RESULTS, 0x053A},
            {Opcode.SMSG_DB_REPLY, 0x1939},
            {Opcode.SMSG_DEATH_RELEASE_LOC, 0x098C},
            {Opcode.SMSG_DEBUG_AISTATE, 0x091A},
            {Opcode.SMSG_DEBUG_DRAW_AURA, 0x1919},
            {Opcode.SMSG_DEFENSE_MESSAGE, 0x1442},
            {Opcode.SMSG_DESTROY_ARENA_UNIT, 0x19E1},
            {Opcode.SMSG_DESTRUCTIBLE_BUILDING_DAMAGE, 0x0A28},
            {Opcode.SMSG_DIFFERENT_INSTANCE_FROM_PARTY, 0x0B12},
            {Opcode.SMSG_DISENCHANT_CREDIT, 0x050F},
            {Opcode.SMSG_DISMOUNT, 0x0B89},
            {Opcode.SMSG_DISMOUNT_RESULT, 0x0381},
            {Opcode.SMSG_DISPEL_FAILED, 0x0AA3},
            {Opcode.SMSG_DISPLAY_GAME_ERROR, 0x090D},
            {Opcode.SMSG_DISPLAY_PLAYER_CHOICE, 0x0907},
            {Opcode.SMSG_DISPLAY_PROMOTION, 0x151D},
            {Opcode.SMSG_DISPLAY_QUEST_POPUP, 0x15D7},
            {Opcode.SMSG_DISPLAY_TOAST, 0x17BD},
            {Opcode.SMSG_DONT_AUTO_PUSH_SPELLS_TO_ACTION_BAR, 0x13D1},
            {Opcode.SMSG_DUEL_COMPLETE, 0x14C9},
            {Opcode.SMSG_DUEL_COUNTDOWN, 0x020E},
            {Opcode.SMSG_DUEL_IN_BOUNDS, 0x03E4},
            {Opcode.SMSG_DUEL_OUT_OF_BOUNDS, 0x0111},
            {Opcode.SMSG_DUEL_REQUESTED, 0x0827},
            {Opcode.SMSG_DUEL_WINNER, 0x0935},
            {Opcode.SMSG_DUMP_RIDE_TICKETS_RESPONSE, 0x01E1},
            {Opcode.SMSG_DURABILITY_DAMAGE_DEATH, 0x01EC},
            {Opcode.SMSG_DYNAMIC_DROP_ROLL_RESULT, 0x0189},
            {Opcode.SMSG_EMOTE, 0x071D},
            {Opcode.SMSG_ENABLE_BARBER_SHOP, 0x13A2},
            {Opcode.SMSG_ENCHANTMENT_LOG, 0x15AD},
            {Opcode.SMSG_ENCOUNTER_END, 0x0311},
            {Opcode.SMSG_ENCOUNTER_START, 0x1B8A},
            {Opcode.SMSG_ENVIRONMENTAL_DAMAGE_LOG, 0x0AAB},
            {Opcode.SMSG_EQUIPMENT_SET_ID, 0x0027},
            {Opcode.SMSG_EXPECTED_SPAM_RECORDS, 0x0452},
            {Opcode.SMSG_EXPLORATION_EXPERIENCE, 0x07AE},
            {Opcode.SMSG_FACTION_BONUS_INFO, 0x0928},
            {Opcode.SMSG_FAILED_PLAYER_CONDITION, 0x09AB},
            {Opcode.SMSG_FEATURE_SYSTEM_STATUS, 0x0B1E},
            {Opcode.SMSG_FEATURE_SYSTEM_STATUS_GLUE_SCREEN, 0x1540},
            {Opcode.SMSG_FEIGN_DEATH_RESISTED, 0x1B43},
            {Opcode.SMSG_FISH_ESCAPED, 0x0530},
            {Opcode.SMSG_FISH_NOT_HOOKED, 0x0DC0},
            {Opcode.SMSG_FLIGHT_SPLINE_SYNC, 0x08A5},
            {Opcode.SMSG_FORCED_DEATH_UPDATE, 0x09EB},
            {Opcode.SMSG_FORCE_ACTION_SHOW_RESPONSE, 0x173A},
            {Opcode.SMSG_FORCE_ANIM, 0x0028},
            {Opcode.SMSG_FORCE_OBJECT_RELINK, 0x059D},
            {Opcode.SMSG_GAME_OBJECT_ACTIVATE_ANIM_KIT, 0x038C},
            {Opcode.SMSG_GAME_OBJECT_CUSTOM_ANIM, 0x03EB},
            {Opcode.SMSG_GAME_OBJECT_DESPAWN, 0x0D29},
            {Opcode.SMSG_GAME_OBJECT_PLAY_SPELL_VISUAL, 0x191B},
            {Opcode.SMSG_GAME_OBJECT_PLAY_SPELL_VISUAL_KIT, 0x01DB},
            {Opcode.SMSG_QUERY_GAME_OBJECT_RESPONSE, 0x128A},
            {Opcode.SMSG_GAME_OBJECT_RESET_STATE, 0x090E},
            {Opcode.SMSG_GAME_EVENT_DEBUG_LOG, 0x0121},
            {Opcode.SMSG_GAME_SPEED_SET, 0x0D40},
            {Opcode.SMSG_GAME_TIME_SET, 0x0B40},
            {Opcode.SMSG_GAME_TIME_UPDATE, 0x1709},
            {Opcode.SMSG_GARRISON_ADD_FOLLOWER_RESULT, 0x0544},
            {Opcode.SMSG_GARRISON_ADD_MISSION_RESULT, 0x0973},
            {Opcode.SMSG_GARRISON_ASSIGN_FOLLOWER_TO_BUILDING_RESULT, 0x0B7C},
            {Opcode.SMSG_GARRISON_BUILDING_ACTIVATED, 0x1974},
            {Opcode.SMSG_GARRISON_BUILDING_REMOVED, 0x1151},
            {Opcode.SMSG_GARRISON_BUILDING_SET_ACTIVE_SPECIALIZATION_RESULT, 0x0282},
            {Opcode.SMSG_GARRISON_COMPLETE_MISSION_RESULT, 0x0D54},
            {Opcode.SMSG_GARRISON_DELETE_RESULT, 0x19C1},
            {Opcode.SMSG_GARRISON_FOLLOWER_CHANGED_XP, 0x1B64},
            {Opcode.SMSG_GARRISON_LANDING_PAGE_SHIPMENT_INFO, 0x1901},
            {Opcode.SMSG_GARRISON_LEARN_BLUEPRINT_RESULT, 0x000B},
            {Opcode.SMSG_GARRISON_LEARN_SPECIALIZATION_RESULT, 0x01D1},
            {Opcode.SMSG_GARRISON_LIST_FOLLOWERS_CHEAT_RESULT, 0x1942},
            {Opcode.SMSG_GARRISON_MISSION_BONUS_ROLL_RESULT, 0x0952},
            {Opcode.SMSG_GARRISON_MONUMENT_SELECTED_TROPHY_ID_LOADED, 0x09EA},
            {Opcode.SMSG_GARRISON_OPEN_ARCHITECT, 0x0004},
            {Opcode.SMSG_GARRISON_OPEN_MISSION_NPC, 0x0542},
            {Opcode.SMSG_GARRISON_OPEN_TRADESKILL_NPC_RESPONSE, 0x09C1},
            {Opcode.SMSG_GARRISON_PLACE_BUILDING_RESULT, 0x0082},
            {Opcode.SMSG_GARRISON_PLOT_PLACED, 0x0583},
            {Opcode.SMSG_GARRISON_PLOT_REMOVED, 0x0513},
            {Opcode.SMSG_GARRISON_REMOTE_INFO, 0x0151},
            {Opcode.SMSG_GARRISON_REMOVE_FOLLOWER_FROM_BUILDING_RESULT, 0x0089},
            {Opcode.SMSG_GARRISON_REMOVE_FOLLOWER_RESULT, 0x196A},
            {Opcode.SMSG_GARRISON_REQUEST_BLUEPRINT_AND_SPECIALIZATION_DATA_RESULT, 0x0964},
            {Opcode.SMSG_GARRISON_SET_NUM_FOLLOWER_ACTIVATIONS_REMAINING, 0x0D92},
            {Opcode.SMSG_GARRISON_START_MISSION_RESULT, 0x0D01},
            {Opcode.SMSG_GARRISON_UNK1, 0x0543},
            {Opcode.SMSG_GARRISON_UNK3, 0x096B},
            {Opcode.SMSG_GARRISON_UPGRADEABLE_RESULT, 0x0522},
            {Opcode.SMSG_GARRISON_UPGRADE_FOLLOWER_ITEM_LEVEL, 0x000C},
            {Opcode.SMSG_GARRISON_UPGRADE_RESULT, 0x0D51},
            {Opcode.SMSG_GET_ACCOUNT_CHARACTER_LIST_RESULT, 0x1D3F},
            {Opcode.SMSG_GET_GARRISON_INFO_RESULT, 0x0521},
            {Opcode.SMSG_GET_SHIPMENT_INFO_RESPONSE, 0x1BAB},
            {Opcode.SMSG_GET_TROPHY_LIST_RESPONSE, 0x0126},
            {Opcode.SMSG_GHOST, 0x0BC2},
            {Opcode.SMSG_GHOSTEE_GONE, 0x0922},
            {Opcode.SMSG_GM_ACCOUNT_ONLINE_RESPONSE, 0x1D9E},
            {Opcode.SMSG_GM_CHANGE_ARENA_RATING, 0x1139},
            {Opcode.SMSG_GM_CHARACTER_RESTORE_RESPONSE, 0x11E2},
            {Opcode.SMSG_GM_PLAYER_INFO, 0x0118},
            {Opcode.SMSG_GM_REQUEST_PLAYER_INFO, 0x1381},
            {Opcode.SMSG_GM_SUMMON, 0x1223},
            {Opcode.SMSG_GM_TICKET_CASE_STATUS, 0x1D8D},
            {Opcode.SMSG_GM_TICKET_GET_TICKET_RESPONSE, 0x0389},
            {Opcode.SMSG_GM_TICKET_RESOLVE_RESPONSE, 0x091F},
            {Opcode.SMSG_GM_TICKET_RESPONSE, 0x03EA},
            {Opcode.SMSG_GM_TICKET_RESPONSE_ERROR, 0x070D},
            {Opcode.SMSG_GM_TICKET_STATUS_UPDATE, 0x1D2E},
            {Opcode.SMSG_GM_TICKET_SYSTEM_STATUS, 0x1229},
            {Opcode.SMSG_GM_TICKET_UPDATE, 0x13EB},
            {Opcode.SMSG_GOD_MODE, 0x0B36},
            {Opcode.SMSG_GOSSIP_COMPLETE, 0x15D1},
            {Opcode.SMSG_GOSSIP_MESSAGE, 0x1746},
            {Opcode.SMSG_GOSSIP_POI, 0x011E},
            {Opcode.SMSG_GROUP_ACTION_THROTTLED, 0x0136},
            {Opcode.SMSG_GROUP_DECLINE, 0x153F},
            {Opcode.SMSG_GROUP_DESTROYED, 0x1982},
            {Opcode.SMSG_GROUP_NEW_LEADER, 0x0984},
            {Opcode.SMSG_GROUP_UNINVITE, 0x0110},
            {Opcode.SMSG_GUILD_ACHIEVEMENT_DELETED, 0x1058},
            {Opcode.SMSG_GUILD_ACHIEVEMENT_EARNED, 0x1048},
            {Opcode.SMSG_GUILD_ACHIEVEMENT_MEMBERS, 0x1826},
            {Opcode.SMSG_GUILD_BANK_LOG_QUERY_RESULTS, 0x1237},
            {Opcode.SMSG_GUILD_BANK_QUERY_RESULTS, 0x1245},
            {Opcode.SMSG_GUILD_BANK_REMAINING_WITHDRAW_MONEY, 0x1047},
            {Opcode.SMSG_GUILD_BANK_TEXT_QUERY_RESULT, 0x1875},
            {Opcode.SMSG_GUILD_CHALLENGE_COMPLETED, 0x1836},
            {Opcode.SMSG_GUILD_CHALLENGE_UPDATE, 0x1A06},
            {Opcode.SMSG_GUILD_CHANGE_NAME_RESULT, 0x1006},
            {Opcode.SMSG_GUILD_COMMAND_RESULT, 0x1205},
            {Opcode.SMSG_GUILD_CRITERIA_DELETED, 0x1805},
            {Opcode.SMSG_GUILD_CRITERIA_UPDATE, 0x1208},
            {Opcode.SMSG_GUILD_EVENT_BANK_CONTENTS_CHANGED, 0x1045},
            {Opcode.SMSG_GUILD_EVENT_BANK_MONEY_CHANGED, 0x1077},
            {Opcode.SMSG_GUILD_EVENT_DISBANDED, 0x1A08},
            {Opcode.SMSG_GUILD_EVENT_LOG_QUERY_RESULTS, 0x1075},
            {Opcode.SMSG_GUILD_EVENT_MOTD, 0x1825},
            {Opcode.SMSG_GUILD_EVENT_NEW_LEADER, 0x1005},
            {Opcode.SMSG_GUILD_EVENT_PLAYER_JOINED, 0x1257},
            {Opcode.SMSG_GUILD_EVENT_PLAYER_LEFT, 0x1206},
            {Opcode.SMSG_GUILD_EVENT_PRESENCE_CHANGE, 0x1228},
            {Opcode.SMSG_GUILD_EVENT_RANKS_UPDATED, 0x1018},
            {Opcode.SMSG_GUILD_EVENT_RANK_CHANGED, 0x1276},
            {Opcode.SMSG_GUILD_EVENT_TAB_ADDED, 0x1868},
            {Opcode.SMSG_GUILD_EVENT_TAB_DELETED, 0x1808},
            {Opcode.SMSG_GUILD_EVENT_TAB_MODIFIED, 0x1035},
            {Opcode.SMSG_GUILD_EVENT_TAB_TEXT_CHANGED, 0x1076},
            {Opcode.SMSG_GUILD_FLAGGED_FOR_RENAME, 0x1248},
            {Opcode.SMSG_GUILD_INVITE, 0x1025},
            {Opcode.SMSG_GUILD_INVITE_DECLINED, 0x1226},
            {Opcode.SMSG_GUILD_INVITE_EXPIRED, 0x1246},
            {Opcode.SMSG_GUILD_KNOWN_RECIPES, 0x1078},
            {Opcode.SMSG_GUILD_MEMBERS_WITH_RECIPE, 0x1277},
            {Opcode.SMSG_GUILD_MEMBER_DAILY_RESET, 0x1015},
            {Opcode.SMSG_GUILD_MEMBER_RECIPES, 0x1036},
            {Opcode.SMSG_GUILD_MEMBER_UPDATE_NOTE, 0x1846},
            {Opcode.SMSG_GUILD_MOVED, 0x1838},
            {Opcode.SMSG_GUILD_MOVE_STARTING, 0x1877},
            {Opcode.SMSG_GUILD_NAME_CHANGED, 0x1A07},
            {Opcode.SMSG_GUILD_NEWS, 0x1027},
            {Opcode.SMSG_GUILD_NEWS_DELETED, 0x1007},
            {Opcode.SMSG_GUILD_PARTY_STATE, 0x1225},
            {Opcode.SMSG_GUILD_PERMISSIONS_QUERY_RESULTS, 0x1827},
            {Opcode.SMSG_QUERY_GUILD_INFO_RESPONSE, 0x1046},
            {Opcode.SMSG_GUILD_RANKS, 0x1218},
            {Opcode.SMSG_GUILD_REPUTATION_REACTION_CHANGED, 0x1068},
            {Opcode.SMSG_GUILD_RESET, 0x1258},
            {Opcode.SMSG_GUILD_REWARD_LIST, 0x1818},
            {Opcode.SMSG_GUILD_ROSTER, 0x1026},
            {Opcode.SMSG_GUILD_ROSTER_UPDATE, 0x1265},
            {Opcode.SMSG_GUILD_SEND_RANK_CHANGE, 0x1207},
            {Opcode.SMSG_HEALTH_UPDATE, 0x0BE1},
            {Opcode.SMSG_HIGHEST_THREAT_UPDATE, 0x059A},
            {Opcode.SMSG_HOTFIX_NOTIFY, 0x1304},
            {Opcode.SMSG_HOTFIX_NOTIFY_BLOB, 0x1D1D},
            {Opcode.SMSG_IMMIGRANT_HOST_SEARCH_LOG, 0x111A},
            {Opcode.SMSG_INCREASE_CAST_TIME_FOR_SPELL, 0x1179},
            {Opcode.SMSG_INITIALIZE_FACTIONS, 0x0B10},
            {Opcode.SMSG_INITIAL_SETUP, 0x0B07},
            {Opcode.SMSG_SEND_KNOWN_SPELLS, 0x0A81},
            {Opcode.SMSG_INIT_WORLD_STATES, 0x0B04},
            {Opcode.SMSG_INSPECT_HONOR_STATS, 0x02D3},
            {Opcode.SMSG_INSPECT_PVP, 0x050A},
            {Opcode.SMSG_INSPECT_RESULT, 0x052E},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_CHANGE_PRIORITY, 0x0B03},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_DISENGAGE_UNIT, 0x05AE},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_END, 0x0B1A},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_ENGAGE_UNIT, 0x0137},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_GAIN_COMBAT_RESURRECTION_CHARGE, 0x15BD},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_IN_COMBAT_RESURRECTION, 0x13A1},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_OBJECTIVE_COMPLETE, 0x150E},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_OBJECTIVE_START, 0x0F8D},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_OBJECTIVE_UPDATE, 0x0B0D},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_PHASE_SHIFT_CHANGED, 0x19EA},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_START, 0x051A},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_TIMER_START, 0x010F},
            {Opcode.SMSG_INSTANCE_GROUP_SIZE_CHANGED, 0x1B8B},
            {Opcode.SMSG_INSTANCE_INFO, 0x0DA0},
            {Opcode.SMSG_INSTANCE_RESET, 0x0B16},
            {Opcode.SMSG_INSTANCE_RESET_FAILED, 0x1189},
            {Opcode.SMSG_INSTANCE_SAVE_CREATED, 0x093A},
            {Opcode.SMSG_INVALIDATE_PLAYER, 0x0B37},
            {Opcode.SMSG_INVALID_PROMOTION_CODE, 0x1F09},
            {Opcode.SMSG_INVENTORY_CHANGE_FAILURE, 0x0112},
            {Opcode.SMSG_IS_QUEST_COMPLETE_RESPONSE, 0x17E1},
            {Opcode.SMSG_ITEM_COOLDOWN, 0x090F},
            {Opcode.SMSG_ITEM_ENCHANT_TIME_UPDATE, 0x010D},
            {Opcode.SMSG_ITEM_EXPIRE_PURCHASE_REFUND, 0x1282},
            {Opcode.SMSG_ITEM_PURCHASE_REFUND_RESULT, 0x0B3D},
            {Opcode.SMSG_ITEM_PUSH_RESULT, 0x0183},
            {Opcode.SMSG_ITEM_TIME_UPDATE, 0x0F3E},
            {Opcode.SMSG_ITEM_UPGRADE_RESULT, 0x0B2E},
            {Opcode.SMSG_KICK_REASON, 0x018C},
            {Opcode.SMSG_LEARNED_SPELLS, 0x08AB},
            {Opcode.SMSG_LEARN_TALENT_FAILED, 0x1BA3},
            {Opcode.SMSG_LEVEL_UP_INFO, 0x1BE4},
            {Opcode.SMSG_LFG_BOOT_PLAYER, 0x07B3},
            {Opcode.SMSG_LFG_DISABLED, 0x0714},
            {Opcode.SMSG_LFG_JOIN_RESULT, 0x0F72},
            {Opcode.SMSG_LFG_LIST_JOIN_RESULT, 0x0793},
            {Opcode.SMSG_LFG_LIST_UPDATE_BLACKLIST, 0x0754},
            {Opcode.SMSG_LFG_LIST_UPDATE_STATUS, 0x0F18},
            {Opcode.SMSG_LFG_OFFER_CONTINUE, 0x0797},
            {Opcode.SMSG_LFG_PARTY_INFO, 0x0F92},
            {Opcode.SMSG_LFG_PLAYER_INFO, 0x0F36},
            {Opcode.SMSG_LFG_PLAYER_REWARD, 0x0F15},
            {Opcode.SMSG_LFG_PROPOSAL_UPDATE, 0x0F32},
            {Opcode.SMSG_LFG_QUEUE_STATUS, 0x07F1},
            {Opcode.SMSG_LFG_ROLE_CHECK_UPDATE, 0x0736},
            {Opcode.SMSG_LFG_SEARCH_RESULTS, 0x0798},
            {Opcode.SMSG_LFG_SLOT_INVALID, 0x07B1},
            {Opcode.SMSG_LFG_TELEPORT_DENIED, 0x0795},
            {Opcode.SMSG_LFG_UPDATE_STATUS, 0x07F7},
            {Opcode.SMSG_LF_GUILD_APPLICANT_LIST_CHANGED, 0x1815},
            {Opcode.SMSG_LF_GUILD_APPLICATIONS, 0x1227},
            {Opcode.SMSG_LF_GUILD_APPLICATIONS_LIST_CHANGED, 0x1247},
            {Opcode.SMSG_LF_GUILD_BROWSE, 0x1215},
            {Opcode.SMSG_LF_GUILD_COMMAND_RESULT, 0x1217},
            {Opcode.SMSG_LF_GUILD_POST, 0x1817},
            {Opcode.SMSG_LF_GUILD_RECRUITS, 0x1008},
            {Opcode.SMSG_VENDOR_INVENTORY, 0x0940},
            {Opcode.SMSG_LIST_TARGETS, 0x058F},
            {Opcode.SMSG_LIVE_REGION_ACCOUNT_RESTORE_RESULT, 0x113A},
            {Opcode.SMSG_LIVE_REGION_CHARACTER_COPY_RESULT, 0x082E},
            {Opcode.SMSG_LIVE_REGION_GET_ACCOUNT_CHARACTER_LIST_RESULT, 0x11E1},
            {Opcode.SMSG_LOAD_CUF_PROFILES, 0x1530},
            {Opcode.SMSG_LOAD_EQUIPMENT_SET, 0x0F1E},
            {Opcode.SMSG_LOGIN_SET_TIME_SPEED, 0x09AA},
            {Opcode.SMSG_LOGIN_VERIFY_WORLD, 0x0B19},
            {Opcode.SMSG_LOGOUT_CANCEL_ACK, 0x0FAD},
            {Opcode.SMSG_LOGOUT_COMPLETE, 0x0B21},
            {Opcode.SMSG_LOGOUT_RESPONSE, 0x052D},
            {Opcode.SMSG_LOG_XP_GAIN, 0x1B53},
            {Opcode.SMSG_LOOT_ALL_PASSED, 0x0DBD},
            {Opcode.SMSG_LOOT_CONTENTS, 0x02F1},
            {Opcode.SMSG_LOOT_ITEM_LIST, 0x1789},
            {Opcode.SMSG_LOOT_LIST, 0x03A4},
            {Opcode.SMSG_LOOT_MONEY_NOTIFY, 0x12A9},
            {Opcode.SMSG_LOOT_RELEASE, 0x0BD3},
            {Opcode.SMSG_LOOT_RELEASE_ALL, 0x198C},
            {Opcode.SMSG_LOOT_REMOVED, 0x0906},
            {Opcode.SMSG_LOOT_RESPONSE, 0x0F8A},
            {Opcode.SMSG_LOOT_ROLL, 0x1BE2},
            {Opcode.SMSG_LOOT_ROLLS_COMPLETE, 0x0D2F},
            {Opcode.SMSG_LOOT_ROLL_WON, 0x071E},
            {Opcode.SMSG_LOOT_UPDATED, 0x0301},
            {Opcode.SMSG_LOSS_OF_CONTROL_AURA_UPDATE, 0x0305},
            {Opcode.SMSG_MAIL_LIST_RESULT, 0x0B3F},
            {Opcode.SMSG_MAIL_QUERY_NEXT_TIME_RESULT, 0x153D},
            {Opcode.SMSG_MAP_OBJECTIVES_INIT, 0x1323},
            {Opcode.SMSG_MAP_OBJ_EVENTS, 0x031A},
            {Opcode.SMSG_MASTER_LOOT_CANDIDATE_LIST, 0x171D},
            {Opcode.SMSG_MESSAGE_BOX, 0x0D10},
            {Opcode.SMSG_MINIMAP_PING, 0x07BA},
            {Opcode.SMSG_MIRROR_IMAGE_COMPONENTED_DATA, 0x1B5C},
            {Opcode.SMSG_MIRROR_IMAGE_CREATURE_DATA, 0x1B14},
            {Opcode.SMSG_MISSILE_CANCEL, 0x0337},
            {Opcode.SMSG_MODIFY_COOLDOWN, 0x17BA},
            {Opcode.SMSG_MOTD, 0x0442},
            {Opcode.SMSG_MOUNT_RESULT, 0x000F},
            {Opcode.SMSG_MOVE_APPLY_MOVEMENT_FORCE, 0x06CB},
            {Opcode.SMSG_MOVE_CHARACTER_CHEAT_FAILURE, 0x00F1},
            {Opcode.SMSG_MOVE_CHARACTER_CHEAT_SUCCESS, 0x11AA},
            {Opcode.SMSG_MOVE_DISABLE_TRANSITION_BETWEEN_SWIM_AND_FLY, 0x00C5},
            {Opcode.SMSG_MOVE_DISABLE_COLLISION, 0x135A},
            {Opcode.SMSG_MOVE_DISABLE_GRAVITY, 0x02C6},
            {Opcode.SMSG_MOVE_ENABLE_TRANSITION_BETWEEN_SWIM_AND_FLY, 0x08CE},
            {Opcode.SMSG_MOVE_ENABLE_COLLISION, 0x01B5},
            {Opcode.SMSG_MOVE_ENABLE_GRAVITY, 0x03B4},
            {Opcode.SMSG_MOVE_KNOCK_BACK, 0x0CCB},
            {Opcode.SMSG_MOVE_REMOVE_MOVEMENT_FORCE, 0x0073},
            {Opcode.SMSG_MOVE_ROOT, 0x1B5A},
            {Opcode.SMSG_MOVE_SET_ACTIVE_MOVER, 0x1021},
            {Opcode.SMSG_MOVE_SET_ANIM_KIT, 0x052F},
            {Opcode.SMSG_MOVE_SET_CAN_FLY, 0x01F6},
            {Opcode.SMSG_MOVE_SET_CAN_TURN_WHILE_FALLING, 0x09B2},
            {Opcode.SMSG_MOVE_SET_COLLISION_HEIGHT, 0x008D},
            {Opcode.SMSG_MOVE_SET_COMPOUND_STATE, 0x02E5},
            {Opcode.SMSG_MOVE_SET_FEATHER_FALL, 0x01DD},
            {Opcode.SMSG_MOVE_SET_FLIGHT_BACK_SPEED, 0x0BDA},
            {Opcode.SMSG_MOVE_SET_FLIGHT_SPEED, 0x100B},
            {Opcode.SMSG_MOVE_SET_HOVERING, 0x0296},
            {Opcode.SMSG_MOVE_SET_IGNORE_MOVEMENT_FORCES, 0x1BD9},
            {Opcode.SMSG_MOVE_SET_LAND_WALK, 0x13DA},
            {Opcode.SMSG_MOVE_SET_NORMAL_FALL, 0x0193},
            {Opcode.SMSG_MOVE_SET_PITCH_RATE, 0x0BBC},
            {Opcode.SMSG_MOVE_SET_RUN_BACK_SPEED, 0x09C5},
            {Opcode.SMSG_MOVE_SET_RUN_SPEED, 0x08F5},
            {Opcode.SMSG_MOVE_SET_SWIM_BACK_SPEED, 0x09E6},
            {Opcode.SMSG_MOVE_SET_SWIM_SPEED, 0x061A},
            {Opcode.SMSG_MOVE_SET_TURN_RATE, 0x0B4A},
            {Opcode.SMSG_MOVE_SET_VEHICLE_REC_ID, 0x09DD},
            {Opcode.SMSG_MOVE_SET_WALK_SPEED, 0x0396},
            {Opcode.SMSG_MOVE_SET_WATER_WALK, 0x02A6},
            {Opcode.SMSG_MOVE_SKIP_TIME, 0x08A6},
            {Opcode.SMSG_MOVE_SPLINE_DISABLE_COLLISION, 0x1349},
            {Opcode.SMSG_MOVE_SPLINE_DISABLE_GRAVITY, 0x0A86},
            {Opcode.SMSG_MOVE_SPLINE_ENABLE_COLLISION, 0x02DE},
            {Opcode.SMSG_MOVE_SPLINE_ENABLE_GRAVITY, 0x0659},
            {Opcode.SMSG_MOVE_SPLINE_ROOT, 0x1959},
            {Opcode.SMSG_MOVE_SPLINE_SET_FEATHER_FALL, 0x01FD},
            {Opcode.SMSG_MOVE_SPLINE_SET_FLIGHT_BACK_SPEED, 0x0061},
            {Opcode.SMSG_MOVE_SPLINE_SET_FLIGHT_SPEED, 0x060C},
            {Opcode.SMSG_MOVE_SPLINE_SET_FLYING, 0x02BD},
            {Opcode.SMSG_MOVE_SPLINE_SET_HOVER, 0x0BD6},
            {Opcode.SMSG_MOVE_SPLINE_SET_LAND_WALK, 0x01BC},
            {Opcode.SMSG_MOVE_SPLINE_SET_NORMAL_FALL, 0x11B1},
            {Opcode.SMSG_MOVE_SPLINE_SET_PITCH_RATE, 0x045C},
            {Opcode.SMSG_MOVE_SPLINE_SET_RUN_BACK_SPEED, 0x0086},
            {Opcode.SMSG_MOVE_SPLINE_SET_RUN_MODE, 0x0896},
            {Opcode.SMSG_MOVE_SPLINE_SET_RUN_SPEED, 0x1B9A},
            {Opcode.SMSG_MOVE_SPLINE_SET_SWIM_BACK_SPEED, 0x0895},
            {Opcode.SMSG_MOVE_SPLINE_SET_SWIM_SPEED, 0x098D},
            {Opcode.SMSG_MOVE_SPLINE_SET_TURN_RATE, 0x03F6},
            {Opcode.SMSG_MOVE_SPLINE_SET_WALK_BACK_SPEED, 0x01D5},
            {Opcode.SMSG_MOVE_SPLINE_SET_WALK_MODE, 0x03D6},
            {Opcode.SMSG_MOVE_SPLINE_SET_WATER_WALK, 0x02D5},
            {Opcode.SMSG_MOVE_SPLINE_START_SWIM, 0x01BB},
            {Opcode.SMSG_MOVE_SPLINE_STOP_SWIM, 0x1391},
            {Opcode.SMSG_MOVE_SPLINE_UNROOT, 0x03B2},
            {Opcode.SMSG_MOVE_SPLINE_UNSET_FLYING, 0x09D9},
            {Opcode.SMSG_MOVE_SPLINE_UNSET_HOVER, 0x1B4A},
            {Opcode.SMSG_MOVE_TELEPORT, 0x03A6},
            {Opcode.SMSG_MOVE_UNROOT, 0x08BD},
            {Opcode.SMSG_MOVE_UNSET_CAN_FLY, 0x0BAE},
            {Opcode.SMSG_MOVE_UNSET_CAN_TURN_WHILE_FALLING, 0x1192},
            {Opcode.SMSG_MOVE_UNSET_HOVERING, 0x01A5},
            {Opcode.SMSG_MOVE_UNSET_IGNORE_MOVEMENT_FORCES, 0x039E},
            {Opcode.SMSG_MOVE_UPDATE, 0x0ACE},
            {Opcode.SMSG_MOVE_UPDATE_APPLY_MOVEMENT_FORCE, 0x02B5},
            {Opcode.SMSG_MOVE_UPDATE_COLLISION_HEIGHT, 0x0ABD},
            {Opcode.SMSG_MOVE_UPDATE_FLIGHT_BACK_SPEED, 0x00BE},
            {Opcode.SMSG_MOVE_UPDATE_FLIGHT_SPEED, 0x1083},
            {Opcode.SMSG_MOVE_UPDATE_KNOCK_BACK, 0x13CA},
            {Opcode.SMSG_MOVE_UPDATE_PITCH_RATE, 0x13D9},
            {Opcode.SMSG_MOVE_UPDATE_REMOVE_MOVEMENT_FORCE, 0x0B99},
            {Opcode.SMSG_MOVE_UPDATE_RUN_BACK_SPEED, 0x09DE},
            {Opcode.SMSG_MOVE_UPDATE_RUN_SPEED, 0x09AD},
            {Opcode.SMSG_MOVE_UPDATE_SWIM_BACK_SPEED, 0x0992},
            {Opcode.SMSG_MOVE_UPDATE_SWIM_SPEED, 0x0B95},
            {Opcode.SMSG_MOVE_UPDATE_TELEPORT, 0x03D5},
            {Opcode.SMSG_MOVE_UPDATE_TURN_RATE, 0x08BE},
            {Opcode.SMSG_MOVE_UPDATE_WALK_SPEED, 0x01E5},
            {Opcode.SMSG_QUERY_PLAYER_NAME_RESPONSE, 0x0828},
            {Opcode.SMSG_NEUTRAL_PLAYER_FACTION_SELECT_RESULT, 0x0D0D},
            {Opcode.SMSG_NEW_TAXI_PATH, 0x080F},
            {Opcode.SMSG_NEW_WORLD, 0x0206},
            {Opcode.SMSG_NOTIFICATION, 0x0B22},
            {Opcode.SMSG_NOTIFY_DEST_LOC_SPELL_CAST, 0x01F1},
            {Opcode.SMSG_NOTIFY_MISSILE_TRAJECTORY_COLLISION, 0x0B84},
            {Opcode.SMSG_NOTIFY_MONEY, 0x19AC},
            {Opcode.SMSG_NOTIFY_RECEIVED_MAIL, 0x1F0D},
            {Opcode.SMSG_QUERY_NPC_TEXT_RESPONSE, 0x1122},
            {Opcode.SMSG_OFFER_PETITION_ERROR, 0x0B41},
            {Opcode.SMSG_ON_CANCEL_EXPECTED_RIDE_VEHICLE_AURA, 0x053F},
            {Opcode.SMSG_ON_MONSTER_MOVE, 0x0994},
            {Opcode.SMSG_OPEN_CONTAINER, 0x05AA},
            {Opcode.SMSG_OPEN_LFG_DUNGEON_FINDER, 0x0F17},
            {Opcode.SMSG_OPEN_SHIPMENT_NPC_FROM_GOSSIP, 0x0709},
            {Opcode.SMSG_OPEN_SHIPMENT_NPC_RESULT, 0x1B81},
            {Opcode.SMSG_OVERRIDE_LIGHT, 0x01EA},
            {Opcode.SMSG_PAGE_TEXT, 0x158D},
            {Opcode.SMSG_QUERY_PAGE_TEXT_RESPONSE, 0x05A0},
            {Opcode.SMSG_PARTY_COMMAND_RESULT, 0x0B44},
            {Opcode.SMSG_PARTY_INVITE, 0x0920},
            {Opcode.SMSG_PARTY_KILL_LOG, 0x1312},
            {Opcode.SMSG_PARTY_MEMBER_STATE, 0x0B8B},
            {Opcode.SMSG_PARTY_MEMBER_STATS, 0x1729},
            {Opcode.SMSG_PARTY_UPDATE, 0x15BE},
            {Opcode.SMSG_PAUSE_MIRROR_TIMER, 0x073A},
            {Opcode.SMSG_PENDING_RAID_LOCK, 0x178A},
            {Opcode.SMSG_SPELL_PERIODIC_AURA_LOG, 0x0B1B},
            {Opcode.SMSG_PETITION_ALREADY_SIGNED, 0x0D8E},
            {Opcode.SMSG_PETITION_DECLINED, 0x1B32},
            {Opcode.SMSG_PETITION_RENAME_GUILD_RESPONSE, 0x1055},
            {Opcode.SMSG_PETITION_SHOW_LIST, 0x0915},
            {Opcode.SMSG_PETITION_SHOW_SIGNATURES, 0x0830},
            {Opcode.SMSG_PETITION_SIGN_RESULTS, 0x11E9},
            {Opcode.SMSG_PET_ACTION_FEEDBACK, 0x0D9E},
            {Opcode.SMSG_PET_ACTION_SOUND, 0x0D39},
            {Opcode.SMSG_PET_ADDED, 0x0327},
            {Opcode.SMSG_PET_BATTLE_CHAT_RESTRICTED, 0x0982},
            {Opcode.SMSG_PET_BATTLE_DEBUG_QUEUE_DUMP_RESPONSE, 0x0B35},
            {Opcode.SMSG_PET_BATTLE_FINALIZE_LOCATION, 0x0F09},
            {Opcode.SMSG_PET_BATTLE_FINAL_ROUND, 0x05BA},
            {Opcode.SMSG_PET_BATTLE_FINISHED, 0x0D1F},
            {Opcode.SMSG_PET_BATTLE_FIRST_ROUND, 0x1981},
            {Opcode.SMSG_PET_BATTLE_INITIAL_UPDATE, 0x0D19},
            {Opcode.SMSG_PET_BATTLE_MAX_GAME_LENGTH_WARNING, 0x0F1A},
            {Opcode.SMSG_PET_BATTLE_PVP_CHALLENGE, 0x11EC},
            {Opcode.SMSG_PET_BATTLE_QUEUE_PROPOSE_MATCH, 0x0F19},
            {Opcode.SMSG_PET_BATTLE_QUEUE_STATUS, 0x0905},
            {Opcode.SMSG_PET_BATTLE_REPLACEMENTS_MADE, 0x1B83},
            {Opcode.SMSG_PET_BATTLE_REQUEST_FAILED, 0x1353},
            {Opcode.SMSG_PET_BATTLE_ROUND_RESULT, 0x0341},
            {Opcode.SMSG_PET_BATTLE_SLOT_UPDATES, 0x1D8F},
            {Opcode.SMSG_PET_CAST_FAILED, 0x1914},
            {Opcode.SMSG_PET_CLEAR_SPELLS, 0x1113},
            {Opcode.SMSG_PET_DISMISS_SOUND, 0x09A3},
            {Opcode.SMSG_PET_GOD_MODE, 0x13EC},
            {Opcode.SMSG_PET_GUIDS, 0x150F},
            {Opcode.SMSG_PET_LEARNED_SPELLS, 0x1822},
            {Opcode.SMSG_PET_MODE, 0x1D40},
            {Opcode.SMSG_PET_NAME_INVALID, 0x0007},
            {Opcode.SMSG_QUERY_PET_NAME_RESPONSE, 0x0D0E},
            {Opcode.SMSG_PET_UNLEARNED_SPELLS, 0x011B},
            {Opcode.SMSG_PET_SLOT_UPDATED, 0x0B26},
            {Opcode.SMSG_PET_SPECIALIZATION, 0x1989},
            {Opcode.SMSG_PET_SPELLS_MESSAGE, 0x0174},
            {Opcode.SMSG_PET_STABLE_LIST, 0x0B1F},
            {Opcode.SMSG_PET_STABLE_RESULT, 0x1383},
            {Opcode.SMSG_PET_TAME_FAILURE, 0x0025},
            {Opcode.SMSG_PLAYED_TIME, 0x038B},
            {Opcode.SMSG_PLAYER_BOUND, 0x078E},
            {Opcode.SMSG_PLAYER_SKINNED, 0x00D2},
            {Opcode.SMSG_PLAY_MUSIC, 0x0981},
            {Opcode.SMSG_PLAY_OBJECT_SOUND, 0x0519},
            {Opcode.SMSG_PLAY_ONE_SHOT_ANIM_KIT, 0x078D},
            {Opcode.SMSG_PLAY_ORPHAN_SPELL_VISUAL, 0x0BF9},
            {Opcode.SMSG_PLAY_SCENE, 0x0917},
            {Opcode.SMSG_PLAY_SOUND, 0x02D2},
            {Opcode.SMSG_PLAY_SPEAKERBOT_SOUND, 0x1C8A},
            {Opcode.SMSG_PLAY_SPELL_VISUAL, 0x1A84},
            {Opcode.SMSG_PLAY_SPELL_VISUAL_KIT, 0x0171},
            {Opcode.SMSG_PLAY_TIME_WARNING, 0x082F},
            {Opcode.SMSG_PONG, 0x17CA},
            {Opcode.SMSG_POWER_UPDATE, 0x0B27},
            {Opcode.SMSG_PRE_RESSURECT, 0x0D2E},
            {Opcode.SMSG_PROC_RESIST, 0x1DAD},
            {Opcode.SMSG_PROFILE_DATA_RESPONSE, 0x1902},
            {Opcode.SMSG_PROPOSE_LEVEL_GRANT, 0x1B8C},
            {Opcode.SMSG_PVP_CREDIT, 0x13A9},
            {Opcode.SMSG_PVP_LOG_DATA, 0x1ECA},
            {Opcode.SMSG_PVP_OPTIONS_ENABLED, 0x0320},
            {Opcode.SMSG_PVP_SEASON, 0x09E3},
            {Opcode.SMSG_QUERY_BATTLE_PET_NAME_RESPONSE, 0x09EC},
            {Opcode.SMSG_QUERY_ITEM_TEXT_RESPONSE, 0x011A},
            {Opcode.SMSG_QUERY_OBJ_POSITION, 0x0529},
            {Opcode.SMSG_QUERY_OBJ_ROTATION, 0x171A},
            {Opcode.SMSG_QUERY_PETITION_RESPONSE, 0x13AC},
            {Opcode.SMSG_QUERY_TIME_RESPONSE, 0x1DB0},
            {Opcode.SMSG_QUEST_GIVER_INVALID_QUEST, 0x15E1},
            {Opcode.SMSG_QUEST_GIVER_OFFER_REWARD_MESSAGE, 0x17B2},
            {Opcode.SMSG_QUEST_GIVER_QUEST_COMPLETE, 0x1773},
            {Opcode.SMSG_QUEST_GIVER_QUEST_DETAILS, 0x15B3},
            {Opcode.SMSG_QUEST_GIVER_QUEST_FAILED, 0x1D42},
            {Opcode.SMSG_QUEST_GIVER_QUEST_LIST_MESSAGE, 0x17A5},
            {Opcode.SMSG_QUEST_GIVER_REQUEST_ITEMS, 0x17B8},
            {Opcode.SMSG_QUEST_GIVER_STATUS, 0x1567},
            {Opcode.SMSG_QUEST_GIVER_STATUS_MULTIPLE, 0x17C6},
            {Opcode.SMSG_QUEST_COMPLETION_NPC_RESPONSE, 0x1591},
            {Opcode.SMSG_QUEST_CONFIRM_ACCEPT, 0x15B2},
            {Opcode.SMSG_QUEST_FORCE_REMOVED, 0x1D13},
            {Opcode.SMSG_QUEST_LOG_FULL, 0x17E4},
            {Opcode.SMSG_QUEST_POI_QUERY_RESPONSE, 0x1715},
            {Opcode.SMSG_QUEST_PUSH_RESULT, 0x1797},
            {Opcode.SMSG_QUERY_QUEST_INFO_RESPONSE, 0x1547},
            {Opcode.SMSG_QUEST_UPDATE_ADD_CREDIT, 0x1515},
            {Opcode.SMSG_QUEST_UPDATE_ADD_CREDIT_SIMPLE, 0x1D11},
            {Opcode.SMSG_QUEST_UPDATE_ADD_PVP_CREDIT, 0x15A6},
            {Opcode.SMSG_QUEST_UPDATE_COMPLETE, 0x1787},
            {Opcode.SMSG_QUEST_UPDATE_FAILED, 0x1542},
            {Opcode.SMSG_QUEST_UPDATE_FAILED_TIMER, 0x1D01},
            {Opcode.SMSG_RAF_EMAIL_ENABLED_RESPONSE, 0x1111},
            {Opcode.SMSG_RAID_GROUP_ONLY, 0x0D9D},
            {Opcode.SMSG_RAID_INSTANCE_MESSAGE, 0x0494},
            {Opcode.SMSG_RAID_MARKERS_CHANGED, 0x0384},
            {Opcode.SMSG_GENERATE_RANDOM_CHARACTER_NAME_RESULT, 0x0D8F},
            {Opcode.SMSG_RANDOM_ROLL, 0x1B04},
            {Opcode.SMSG_READY_CHECK_COMPLETED, 0x0BC3},
            {Opcode.SMSG_READY_CHECK_RESPONSE, 0x0A10},
            {Opcode.SMSG_READY_CHECK_STARTED, 0x17A9},
            {Opcode.SMSG_READ_ITEM_RESULT_FAILED, 0x0BD4},
            {Opcode.SMSG_READ_ITEM_RESULT_OK, 0x1BE1},
            {Opcode.SMSG_REALM_QUERY_RESPONSE, 0x011D},
            {Opcode.SMSG_REALM_SPLIT, 0x19EC},
            {Opcode.SMSG_RECRUIT_A_FRIEND_RESPONSE, 0x0B3E},
            {Opcode.SMSG_CONNECT_TO, 0x175A},
            {Opcode.SMSG_REFER_A_FRIEND_EXPIRED, 0x0318},
            {Opcode.SMSG_REFER_A_FRIEND_FAILURE, 0x0931},
            {Opcode.SMSG_REFRESH_COMPONENT, 0x01A1},
            {Opcode.SMSG_REFRESH_SPELL_HISTORY, 0x0A2A},
            {Opcode.SMSG_REMOVE_ITEM_PASSIVE, 0x148A},
            {Opcode.SMSG_REMOVE_LOSS_OF_CONTROL, 0x0307},
            {Opcode.SMSG_REPLACE_TROPHY_RESPONSE, 0x13C2},
            {Opcode.SMSG_REPORT_PVP_AFK_RESULT, 0x0A0E},
            {Opcode.SMSG_REQUEST_CEMETERY_LIST_RESPONSE, 0x059E},
            {Opcode.SMSG_REQUEST_PVP_REWARDS_RESPONSE, 0x1DAE},
            {Opcode.SMSG_RESEARCH_COMPLETE, 0x0B3A},
            {Opcode.SMSG_SETUP_RESEARCH_HISTORY, 0x0A25},
            {Opcode.SMSG_RESET_AREA_TRIGGER, 0x1B54},
            {Opcode.SMSG_RESET_FAILED_NOTIFY, 0x1B01},
            {Opcode.SMSG_RESET_RANGED_COMBAT_TIMER, 0x0106},
            {Opcode.SMSG_RESET_WEEKLY_CURRENCY, 0x0916},
            {Opcode.SMSG_RESPEC_WIPE_CONFIRM, 0x1341},
            {Opcode.SMSG_RESPOND_INSPECT_ACHIEVEMENTS, 0x1BA2},
            {Opcode.SMSG_RESTRICTED_ACCOUNT_WARNING, 0x0A2E},
            {Opcode.SMSG_RESUME_CAST_BAR, 0x082C},
            {Opcode.SMSG_RESUME_COMMS, 0x07C9},
            {Opcode.SMSG_RESUME_TOKEN, 0x0326},
            {Opcode.SMSG_RESURRECT_REQUEST, 0x0336},
            {Opcode.SMSG_RESYNC_RUNES, 0x00F4},
            {Opcode.SMSG_ROLE_CHANGED_INFORM, 0x0729},
            {Opcode.SMSG_ROLE_CHOSEN, 0x07D3},
            {Opcode.SMSG_ROLE_POLL_INFORM, 0x0F89},
            {Opcode.SMSG_RUNE_REGEN_DEBUG, 0x032E},
            {Opcode.SMSG_PLAYER_SAVE_GUILD_EMBLEM, 0x1037},
            {Opcode.SMSG_SCENARIO_BOOT, 0x1BEB},
            {Opcode.SMSG_SCENARIO_COMPLETED, 0x1BA4},
            {Opcode.SMSG_SCENARIO_OUT_OF_BOUNDS, 0x01E4},
            {Opcode.SMSG_SCENARIO_POIS, 0x0343},
            {Opcode.SMSG_SCENARIO_PROGRESS_UPDATE, 0x0324},
            {Opcode.SMSG_SCENARIO_STATE, 0x152D},
            {Opcode.SMSG_SCENE_OBJECT_EVENT, 0x0382},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_FINAL_ROUND, 0x092E},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_FINISHED, 0x1B44},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_FIRST_ROUND, 0x000E},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_INITIAL_UPDATE, 0x0540},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_REPLACEMENTS_MADE, 0x098A},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_ROUND_RESULT, 0x0130},
            {Opcode.SMSG_SCRIPT_CAST, 0x1B1C},
            {Opcode.SMSG_SCRIPT_MESSAGE, 0x1119},
            {Opcode.SMSG_SELL_RESPONSE, 0x1352},
            {Opcode.SMSG_SEND_ITEM_PASSIVES, 0x059F},
            {Opcode.SMSG_MAIL_COMMAND_RESULT, 0x0302},
            {Opcode.SMSG_SEND_RAID_TARGET_UPDATE_ALL, 0x000D},
            {Opcode.SMSG_SEND_RAID_TARGET_UPDATE_SINGLE, 0x0D3E},
            {Opcode.SMSG_SEND_SPELL_CHARGES, 0x1A82},
            {Opcode.SMSG_SEND_SPELL_HISTORY, 0x1933},
            {Opcode.SMSG_SEND_UNLEARN_SPELLS, 0x0BCB},
            {Opcode.SMSG_SERVER_BUCK_DATA, 0x1EC9},
            {Opcode.SMSG_SERVER_BUCK_DATA_START, 0x11E4},
            {Opcode.SMSG_SERVER_FIRST_ACHIEVEMENT, 0x1413},
            {Opcode.SMSG_SERVER_FIRST_ACHIEVEMENTS, 0x0BAC},
            {Opcode.SMSG_SERVER_INFO_QUERY_RESPONSE, 0x11A4},
            {Opcode.SMSG_SERVER_INFO_RESPONSE, 0x018B},
            {Opcode.SMSG_CHAT_SERVER_MESSAGE, 0x0683},
            {Opcode.SMSG_SERVER_PERF, 0x0319},
            {Opcode.SMSG_SERVER_TIME, 0x0339},
            {Opcode.SMSG_SETUP_CURRENCY,  0x0B06},
            {Opcode.SMSG_GET_DISPLAYED_TROPHY_LIST_RESPONSE, 0x0B63},
            {Opcode.SMSG_SET_AI_ANIM_KIT, 0x0335},
            {Opcode.SMSG_SET_ALL_TASK_PROGRESS, 0x1B52},
            {Opcode.SMSG_SET_ANIM_TIER, 0x079E},
            {Opcode.SMSG_SET_CURRENCY, 0x17BE},
            {Opcode.SMSG_SET_DF_FAST_LAUNCH_RESULT, 0x0F52},
            {Opcode.SMSG_SET_DUNGEON_DIFFICULTY, 0x0719},
            {Opcode.SMSG_SET_FACTION_AT_WAR, 0x079A},
            {Opcode.SMSG_SET_FACTION_NOT_VISIBLE, 0x1224},
            {Opcode.SMSG_SET_FACTION_STANDING, 0x1B03},
            {Opcode.SMSG_SET_FACTION_VISIBLE, 0x138B},
            {Opcode.SMSG_SET_FLAT_SPELL_MODIFIER, 0x1884},
            {Opcode.SMSG_SET_FORCED_REACTIONS, 0x09A9},
            {Opcode.SMSG_SET_ITEM_PURCHASE_DATA, 0x0316},
            {Opcode.SMSG_SET_LFG_TIME_WALKER, 0x0731},
            {Opcode.SMSG_SET_LOOT_METHOD_FAILED, 0x070E},
            {Opcode.SMSG_SET_MAX_WEEKLY_QUANTITY, 0x1489},
            {Opcode.SMSG_SET_MELEE_ANIM_KIT, 0x17AA},
            {Opcode.SMSG_SET_PCT_SPELL_MODIFIER, 0x113C},
            {Opcode.SMSG_PHASE_SHIFT_CHANGE, 0x00D1},
            {Opcode.SMSG_SET_PLAYER_DECLINED_NAMES_RESULT, 0x13E2},
            {Opcode.SMSG_SET_PLAY_HOVER_ANIM, 0x02D4},
            {Opcode.SMSG_SET_PROFICIENCY, 0x00D3},
            {Opcode.SMSG_SET_PROMOTION_RESPONSE, 0x0A07},
            {Opcode.SMSG_SET_QUEST_COMPLETED_BIT, 0x15D3},
            {Opcode.SMSG_RAID_DIFFICULTY_SET, 0x051F},
            {Opcode.SMSG_SET_SERVER_WOW_TIME, 0x0312},
            {Opcode.SMSG_SET_SPELL_CHARGES, 0x18AB},
            {Opcode.SMSG_SET_TASK_COMPLETE, 0x0B24},
            {Opcode.SMSG_SET_TIME_ZONE_INFORMATION, 0x153E},
            {Opcode.SMSG_SET_VEHICLE_REC_ID, 0x1BA1},
            {Opcode.SMSG_SHOW_BANK, 0x1B51},
            {Opcode.SMSG_SHOW_MAILBOX, 0x152F},
            {Opcode.SMSG_SHOW_NEUTRAL_PLAYER_FACTION_SELECT_UI, 0x053D},
            {Opcode.SMSG_SHOW_RATINGS, 0x0F9A},
            {Opcode.SMSG_SHOW_TAXI_NODES, 0x12A1},
            {Opcode.SMSG_SHOW_TRADE_SKILL_RESPONSE, 0x15C0},
            {Opcode.SMSG_SHOW_ZONES_CHEAT_RESULT, 0x1123},
            {Opcode.SMSG_SOCKET_GEMS, 0x1302},
            {Opcode.SMSG_SORT_BAGS_RESULT, 0x09E4}, // Trigger on CMSG_SORT_BAGS / CMSG_SORT_BANK_BAGS / CMSG_SORT_REAGENT_BANK_BAGS
            {Opcode.SMSG_SOR_START_EXPERIENCE_INCOMPLETE, 0x198B},
            {Opcode.SMSG_SPECIAL_MOUNT_ANIM, 0x159F},
            {Opcode.SMSG_SPELL_ABSORB_LOG, 0x188A},
            {Opcode.SMSG_CATEGORY_COOLDOWN, 0x082A},
            {Opcode.SMSG_SPELL_COOLDOWN, 0x03F4},
            {Opcode.SMSG_SPELL_DAMAGE_SHIELD, 0x0B4C},
            {Opcode.SMSG_SPELL_DELAYED, 0x0134},
            {Opcode.SMSG_SPELL_DISPELL_LOG, 0x18A2},
            {Opcode.SMSG_SPELL_ENERGIZE_LOG, 0x137C},
            {Opcode.SMSG_SPELL_EXECUTE_LOG, 0x1823},
            {Opcode.SMSG_SPELL_FAILED_OTHER, 0x1A03},
            {Opcode.SMSG_SPELL_FAILURE, 0x11DB},
            {Opcode.SMSG_SPELL_GO, 0x1161},
            {Opcode.SMSG_SPELL_HEAL_LOG, 0x0114},
            {Opcode.SMSG_SPELL_INSTAKILL_LOG, 0x1164},
            {Opcode.SMSG_SPELL_INTERRUPT_LOG, 0x1BDC},
            {Opcode.SMSG_SPELL_MISS_LOG, 0x0313},
            {Opcode.SMSG_SPELL_MULTISTRIKE_EFFECT, 0x131C},
            {Opcode.SMSG_SPELL_NON_MELEE_DAMAGE_LOG, 0x11FB},
            {Opcode.SMSG_SPELL_OR_DAMAGE_IMMUNE, 0x1313},
            {Opcode.SMSG_SPELL_START, 0x0803},
            {Opcode.SMSG_SPELL_UPDATE_CHAIN_TARGETS, 0x0374},
            {Opcode.SMSG_SPIRIT_HEALER_CONFIRM, 0x1331},
            {Opcode.SMSG_STAND_STATE_UPDATE, 0x1311},
            {Opcode.SMSG_START_ELAPSED_TIMER, 0x0D2A},
            {Opcode.SMSG_START_ELAPSED_TIMERS, 0x093F},
            {Opcode.SMSG_START_LOOT_ROLL, 0x1B84},
            {Opcode.SMSG_START_MIRROR_TIMER, 0x051E},
            {Opcode.SMSG_START_TIMER, 0x0317},
            {Opcode.SMSG_STOP_ELAPSED_TIMER, 0x1D10},
            {Opcode.SMSG_STOP_MIRROR_TIMER, 0x0D1E},
            {Opcode.SMSG_STREAMING_MOVIES, 0x158F},
            {Opcode.SMSG_SUMMON_CANCEL, 0x078A},
            {Opcode.SMSG_SUMMON_RAID_MEMBER_VALIDATE_FAILED, 0x1B24},
            {Opcode.SMSG_SUMMON_REQUEST, 0x0599},
            {Opcode.SMSG_SUPERCEDED_SPELLS, 0x0172},
            {Opcode.SMSG_SUPPRESS_NPC_GREETINGS, 0x193A},
            {Opcode.SMSG_SUSPEND_COMMS, 0x076A},
            {Opcode.SMSG_SUSPEND_TOKEN, 0x12A2},
            {Opcode.SMSG_PLAYER_TABARD_VENDOR_ACTIVATE, 0x1389},
            {Opcode.SMSG_UPDATE_TALENT_DATA, 0x012D},
            {Opcode.SMSG_TALENTS_INVOLUNTARILY_RESET, 0x01E3},
            {Opcode.SMSG_TAXI_NODE_STATUS, 0x0338},
            {Opcode.SMSG_TEXT_EMOTE, 0x0383},
            {Opcode.SMSG_THREAT_CLEAR, 0x030F},
            {Opcode.SMSG_THREAT_REMOVE, 0x0F3D},
            {Opcode.SMSG_THREAT_UPDATE, 0x03A9},
            {Opcode.SMSG_TIME_ADJUSTMENT, 0x04CB},
            {Opcode.SMSG_TIME_SYNC_REQUEST, 0x03B1},
            {Opcode.SMSG_TITLE_EARNED, 0x1324},
            {Opcode.SMSG_TITLE_LOST, 0x1D0E},
            {Opcode.SMSG_TOTEM_CREATED, 0x0352},
            {Opcode.SMSG_TOTEM_MOVED, 0x12AB},
            {Opcode.SMSG_TRADE_STATUS, 0x093D},
            {Opcode.SMSG_TRADE_UPDATED, 0x0B43},
            {Opcode.SMSG_TRAINER_BUY_FAILED, 0x1BD2},
            {Opcode.SMSG_TRAINER_LIST, 0x0BA9},
            {Opcode.SMSG_TRANSFER_ABORTED, 0x03C2},
            {Opcode.SMSG_TRANSFER_PENDING, 0x172A},
            {Opcode.SMSG_TRIGGER_CINEMATIC, 0x032F},
            {Opcode.SMSG_TRIGGER_MOVIE, 0x151F},
            {Opcode.SMSG_TURN_IN_PETITION_RESULT, 0x0919},
            {Opcode.SMSG_TUTORIAL_FLAGS, 0x020F},
            {Opcode.SMSG_UI_TIME, 0x0B83},
            {Opcode.SMSG_UNDELETE_CHARACTER_RESPONSE, 0x0344},
            {Opcode.SMSG_UNDELETE_COOLDOWN_STATUS_RESPONSE, 0x0310},
            {Opcode.SMSG_UNLEARNED_SPELLS, 0x0B3B},
            {Opcode.SMSG_UPDATE_ACCOUNT_DATA, 0x1520},
            {Opcode.SMSG_UPDATE_ACTION_BUTTONS, 0x1D1F},
            {Opcode.SMSG_UPDATE_CAPTURE_POINT, 0x1B11},
            {Opcode.SMSG_UPDATE_CHARACTER_FLAGS, 0x03D3},
            {Opcode.SMSG_UPDATE_DUNGEON_ENCOUNTER_FOR_LOOT, 0x0774},
            {Opcode.SMSG_UPDATE_EXPANSION_LEVEL, 0x173E},
            {Opcode.SMSG_UPDATE_INSTANCE_OWNERSHIP, 0x093E},
            {Opcode.SMSG_UPDATE_LAST_INSTANCE, 0x13A4},
            {Opcode.SMSG_UPDATE_OBJECT, 0x122C},
            {Opcode.SMSG_UPDATE_SERVER_PLAYER_POSITION, 0x01AC},
            {Opcode.SMSG_UPDATE_TASK_PROGRESS, 0x1209},
            {Opcode.SMSG_UPDATE_WORLD_STATE, 0x03EC},
            {Opcode.SMSG_USERLIST_ADD, 0x0441},
            {Opcode.SMSG_USERLIST_REMOVE, 0x0641},
            {Opcode.SMSG_USERLIST_UPDATE, 0x04C4},
            {Opcode.SMSG_USE_EQUIPMENT_SET_RESULT, 0x0128},
            {Opcode.SMSG_VIGNETTE_UPDATE, 0x09AC},
            {Opcode.SMSG_VOICE_CHAT_STATUS, 0x06D3},
            {Opcode.SMSG_VOICE_PARENTAL_CONTROLS, 0x1414},
            {Opcode.SMSG_VOICE_SESSION_LEAVE, 0x0403},
            {Opcode.SMSG_VOICE_SESSION_ROSTER_UPDATE, 0x0443},
            {Opcode.SMSG_VOID_ITEM_SWAP_RESPONSE, 0x1131},
            {Opcode.SMSG_VOID_STORAGE_CONTENTS, 0x0108},
            {Opcode.SMSG_VOID_STORAGE_FAILED, 0x0B01},
            {Opcode.SMSG_VOID_STORAGE_TRANSFER_CHANGES, 0x0321},
            {Opcode.SMSG_VOID_TRANSFER_RESULT, 0x0539},
            {Opcode.SMSG_WAIT_QUEUE_FINISH, 0x198A},
            {Opcode.SMSG_WAIT_QUEUE_UPDATE, 0x00D4},
            {Opcode.SMSG_WARDEN_DATA, 0x0BEC},
            {Opcode.SMSG_WARGAME_REQUEST_SUCCESSFULLY_SENT_TO_OPPONENT, 0x01A2},
            {Opcode.SMSG_WEATHER, 0x073E},
            {Opcode.SMSG_WEEKLY_LAST_RESET, 0x030D},
            {Opcode.SMSG_WEEKLY_SPELL_USAGE, 0x13DC},
            {Opcode.SMSG_WEEKLY_SPELL_USAGE_UPDATE, 0x1829},
            {Opcode.SMSG_WHO, 0x0601},
            {Opcode.SMSG_WHO_IS, 0x1D30},
            {Opcode.SMSG_WORLD_SERVER_INFO, 0x11AC},
            {Opcode.SMSG_WORLD_TEXT, 0x1D8E},
            {Opcode.SMSG_XP_GAIN_ABORTED, 0x031E},
            {Opcode.SMSG_XP_GAIN_ENABLED, 0x0FAA},
            {Opcode.SMSG_ZONE_UNDER_ATTACK, 0x1401}
        };

        private static readonly BiDictionary<Opcode, int> MiscOpcodes = new BiDictionary<Opcode, int>();
    }
}
