using WowPacketParser.Misc;

namespace WowPacketParser.Enums.Version.V6_1_0_19678
{
    public static class Opcodes_6_1_0
    {
        public static BiDictionary<Opcode, int> Opcodes(Direction direction)
        {
            switch (direction)
            {
                case Direction.ClientToServer:
                case Direction.BNClientToServer:
                    return ClientOpcodes;
                case Direction.ServerToClient:
                case Direction.BNServerToClient:
                    return ServerOpcodes;
                default:
                    return MiscOpcodes;
            }
        }

        private static readonly BiDictionary<Opcode, int> ClientOpcodes = new BiDictionary<Opcode, int>
        {
            {Opcode.CMSG_ACTIVATE_TAXI, 0x0823},
            {Opcode.CMSG_ADD_FRIEND, 0x15E2},
            {Opcode.CMSG_ADD_IGNORE, 0x1D33},
            {Opcode.CMSG_ALTER_APPEARANCE, 0x0822},
            {Opcode.CMSG_AREA_TRIGGER, 0x1904},
            {Opcode.CMSG_AREA_SPIRIT_HEALER_QUERY, 0x093A},
            {Opcode.CMSG_ATTACK_STOP, 0x0853},
            {Opcode.CMSG_ATTACK_SWING, 0x048B},
            {Opcode.CMSG_AUCTION_HELLO_REQUEST, 0x06E3},
            {Opcode.CMSG_AUCTION_LIST_BIDDER_ITEMS, 0x0C81},
            {Opcode.CMSG_AUCTION_LIST_ITEMS, 0x05C3},
            {Opcode.CMSG_AUCTION_LIST_OWNER_ITEMS, 0x082A},
            {Opcode.CMSG_AUCTION_LIST_PENDING_SALES, 0x0D82},
            {Opcode.CMSG_AUCTION_PLACE_BID, 0x09E1},
            {Opcode.CMSG_AUCTION_REMOVE_ITEM, 0x1309},
            {Opcode.CMSG_AUCTION_SELL_ITEM, 0x09A3},
            {Opcode.CMSG_AUTH_CONTINUED_SESSION, 0x1A72},
            {Opcode.CMSG_AUTH_SESSION, 0x1872},
            {Opcode.CMSG_AUTOBANK_ITEM, 0x00C6},
            {Opcode.CMSG_AUTO_EQUIP_ITEM, 0x0235},
            {Opcode.CMSG_AUTO_EQUIP_ITEM_SLOT, 0x0076},
            {Opcode.CMSG_AUTO_STORE_BAG_ITEM, 0x00E5},
            {Opcode.CMSG_AUTOSTORE_BANK_ITEM, 0x00D5},
            {Opcode.CMSG_AUTOSTORE_LOOT_ITEM, 0x0843},
            {Opcode.CMSG_BANKER_ACTIVATE, 0x0931},
            {Opcode.CMSG_BATTLEFIELD_LIST, 0x0042},
            {Opcode.CMSG_BATTLEMASTER_HELLO, 0x032A},
            {Opcode.CMSG_BATTLEMASTER_JOIN, 0x0B63},
            {Opcode.CMSG_BATTLE_PAY_GET_PURCHASE_LIST, 0x11AA},
            {Opcode.CMSG_BATTLE_PET_MODIFY_NAME, 0x1131},
            {Opcode.CMSG_QUERY_BATTLE_PET_NAME, 0x1184},
            {Opcode.CMSG_BATTLE_PET_REQUEST_JOURNAL, 0x1773},
            {Opcode.CMSG_BATTLE_PET_REQUEST_JOURNAL_LOCK, 0x1B24},
            {Opcode.CMSG_BATTLE_PET_SUMMON, 0x1321},
            {Opcode.CMSG_BINDER_ACTIVATE, 0x0E84},
            {Opcode.CMSG_BLACK_MARKET_OPEN, 0x0B69},
            {Opcode.CMSG_BUY_BACK_ITEM, 0x11CB},
            {Opcode.CMSG_BUY_BANK_SLOT, 0x0971},
            {Opcode.CMSG_BUY_ITEM, 0x01A2},
            {Opcode.CMSG_CALENDAR_GET, 0x17F2},
            {Opcode.CMSG_CALENDAR_GET_NUM_PENDING, 0x1564},
            {Opcode.CMSG_CANCEL_AURA, 0x084B},
            {Opcode.CMSG_CANCEL_CAST, 0x0F63},
            {Opcode.CMSG_CANCEL_MOD_SPEED_NO_CONTROL_AURAS, 0x0851},
            {Opcode.CMSG_CANCEL_MOUNT_AURA, 0x0B4C},
            {Opcode.CMSG_CANCEL_TRADE, 0x1114},
            {Opcode.CMSG_CAN_DUEL, 0x13F2},
            {Opcode.CMSG_CAST_SPELL, 0x1B02},
            {Opcode.CMSG_CHAT_CHANNEL_BAN, 0x108B},
            {Opcode.CMSG_CHAT_CHANNEL_INVITE, 0x188C},
            {Opcode.CMSG_CHAT_CHANNEL_KICK, 0x052B},
            {Opcode.CMSG_CHAT_CHANNEL_MODERATOR, 0x0E6B},
            {Opcode.CMSG_CHAT_CHANNEL_MUTE, 0x045B},
            {Opcode.CMSG_CHAT_CHANNEL_PASSWORD, 0x10CA},
            {Opcode.CMSG_CHAT_CHANNEL_SET_OWNER, 0x1483},
            {Opcode.CMSG_CHAT_CHANNEL_UNBAN, 0x18CC},
            {Opcode.CMSG_CHAT_CHANNEL_UNMODERATOR, 0x050B},
            {Opcode.CMSG_CHAT_CHANNEL_UNMUTE, 0x14C2},
            {Opcode.CMSG_CREATE_CHARACTER, 0x133A},
            {Opcode.CMSG_CHAR_DELETE, 0x1774},
            {Opcode.CMSG_ENUM_CHARACTERS, 0x19E3},
            {Opcode.CMSG_CHOICE_RESPONSE, 0x094C},
            {Opcode.CMSG_COMPLETE_CINEMATIC, 0x0EC4},
            {Opcode.CMSG_COMPLETE_MOVIE, 0x1319},
            {Opcode.CMSG_CLOSE_INTERACTION, 0x0A3A},
            {Opcode.CMSG_CONNECT_TO_FAILED, 0x15B4},
            {Opcode.CMSG_CONVERT_RAID, 0x1329},
            {Opcode.CMSG_CREATE_SHIPMENT, 0x1B94},
            {Opcode.CMSG_QUERY_CREATURE, 0x007C},
            {Opcode.CMSG_DB_QUERY_BULK, 0x1731},
            {Opcode.CMSG_DECLINE_PETITION, 0x0932},
            {Opcode.CMSG_DELETE_EQUIPMENT_SET, 0x1599},
            {Opcode.CMSG_DEL_FRIEND, 0x1B71},
            {Opcode.CMSG_DEL_IGNORE, 0x1BB3},
            {Opcode.CMSG_DEPOSIT_REAGENT_BANK, 0x1142},
            {Opcode.CMSG_DESTROY_ITEM, 0x0651},
            {Opcode.CMSG_DF_JOIN, 0x1D39},
            {Opcode.CMSG_DISCARDED_TIME_SYNC_ACKS, 0x02DA},
            {Opcode.CMSG_DUEL_RESPONSE, 0x01A1},
            {Opcode.CMSG_EMOTE, 0x0B2C},
            {Opcode.CMSG_ENABLE_NAGLE, 0x1433},
            {Opcode.CMSG_ENABLE_TAXI_NODE, 0x13D9},
            {Opcode.CMSG_ENGINE_SURVEY, 0x1161},
            {Opcode.CMSG_SAVE_EQUIPMENT_SET, 0x0A7C},
            {Opcode.CMSG_FAR_SIGHT, 0x0181},
            {Opcode.CMSG_QUERY_GAME_OBJECT, 0x021A},
            {Opcode.CMSG_GAME_OBJ_REPORT_USE, 0x087C},
            {Opcode.CMSG_GAME_OBJ_USE, 0x0EE4},
            {Opcode.CMSG_GARRISON_COMPLETE_MISSION, 0x15C3},
            {Opcode.CMSG_GARRISON_MISSION_BONUS_ROLL, 0x1B83},
            {Opcode.CMSG_GARRISON_PURCHASE_BUILDING, 0x0E24},
            {Opcode.CMSG_GARRISON_REQUEST_BLUEPRINT_AND_SPECIALIZATION_DATA, 0x1992},
            {Opcode.CMSG_GARRISON_REQUEST_LANDING_PAGE_SHIPMENT_INFO, 0x1701},
            {Opcode.CMSG_GARRISON_CHECK_UPGRADEABLE, 0x0CCC},
            {Opcode.CMSG_GARRISON_START_MISSION, 0x0023},
            {Opcode.CMSG_GARRISON_GET_BUILDING_LANDMARKS, 0x0352},
            {Opcode.CMSG_GET_ITEM_PURCHASE_DATA, 0x0CE4},
            {Opcode.CMSG_MAIL_GET_LIST, 0x0979},
            {Opcode.CMSG_GET_MIRROR_IMAGE_DATA, 0x1952},
            {Opcode.CMSG_GET_SHIPMENT_INFO, 0x0321},
            {Opcode.CMSG_GET_UNDELETE_CHARACTER_COOLDOWN_STATUS, 0x196A},
            {Opcode.CMSG_GM_SURVEY_SUBMIT, 0x1BAB},
            {Opcode.CMSG_GM_TICKET_CREATE, 0x19A4},
            {Opcode.CMSG_GM_TICKET_DELETE_TICKET, 0x1B39},
            {Opcode.CMSG_GM_TICKET_GET_SYSTEM_STATUS, 0x1BB9},
            {Opcode.CMSG_GM_TICKET_GET_TICKET, 0x1939},
            {Opcode.CMSG_GM_TICKET_GET_CASE_STATUS, 0x17E1},
            {Opcode.CMSG_GM_TICKET_RESPONSE_RESOLVE, 0x19FB},
            {Opcode.CMSG_GM_TICKET_UPDATE_TEXT, 0x19EB},
            {Opcode.CMSG_GOSSIP_HELLO, 0x0483},
            {Opcode.CMSG_GOSSIP_SELECT_OPTION, 0x086A},
            {Opcode.CMSG_GUILD_ADD_RANK, 0x038E},
            {Opcode.CMSG_GUILD_AUTO_DECLINE_INVITATION, 0x0386},
            {Opcode.CMSG_GUILD_BANK_ACTIVATE, 0x0B64},
            {Opcode.CMSG_GUILD_BANK_REMAINING_WITHDRAW_MONEY_QUERY, 0x0320},
            {Opcode.CMSG_GUILD_CHALLENGE_UPDATE_REQUEST, 0x03B0},
            {Opcode.CMSG_GUILD_DELETE_RANK, 0x019D},
            {Opcode.CMSG_GUILD_GET_RANKS, 0x05B0},
            {Opcode.CMSG_GUILD_GET_ROSTER, 0x03B6},
            {Opcode.CMSG_GUILD_PERMISSIONS_QUERY, 0x03AD},
            {Opcode.CMSG_QUERY_GUILD_INFO, 0x19B3},
            {Opcode.CMSG_GUILD_QUERY_MEMBER_RECIPES, 0x0110},
            {Opcode.CMSG_GUILD_QUERY_NEWS, 0x01A5},
            {Opcode.CMSG_GUILD_QUERY_RECIPES, 0x0538},
            {Opcode.CMSG_REQUEST_GUILD_PARTY_STATE, 0x0B52},
            {Opcode.CMSG_GUILD_SET_ACHIEVEMENT_TRACKING, 0x039E},
            {Opcode.CMSG_INSPECT, 0x0929},
            {Opcode.CMSG_CHAT_JOIN_CHANNEL, 0x0C6C},
            {Opcode.CMSG_KEEP_ALIVE, 0x1963},
            {Opcode.CMSG_CHAT_LEAVE_CHANNEL, 0x0D4C},
            {Opcode.CMSG_LEAVE_GROUP, 0x192B},
            {Opcode.CMSG_DF_GET_JOIN_STATUS, 0x11FB},
            {Opcode.CMSG_LFG_LIST_GET_STATUS, 0x1724},
            {Opcode.CMSG_DF_GET_SYSTEM_INFO, 0x19EA},
            {Opcode.CMSG_LF_GUILD_BROWSE, 0x11E4},
            {Opcode.CMSG_LF_GUILD_GET_GUILD_POST, 0x012E},
            {Opcode.CMSG_LIST_INVENTORY, 0x06C4},
            {Opcode.CMSG_LOADING_SCREEN_NOTIFY, 0x13E4},
            {Opcode.CMSG_LOGOUT_CANCEL, 0x0DC1},
            {Opcode.CMSG_LOGOUT_REQUEST, 0x0824},
            {Opcode.CMSG_LOG_DISCONNECT, 0x1432},
            {Opcode.CMSG_LOG_STREAMING_ERROR, 0x1439},
            {Opcode.CMSG_LOOT_UNIT, 0x1064},
            {Opcode.CMSG_LOOT_MONEY, 0x1593},
            {Opcode.CMSG_LOOT_RELEASE, 0x1BD2},
            {Opcode.CMSG_MAIL_DELETE, 0x0C89},
            {Opcode.CMSG_MAIL_MARK_AS_READ, 0x13C9},
            {Opcode.CMSG_MAIL_TAKE_ITEM, 0x0D84},
            {Opcode.CMSG_MAIL_TAKE_MONEY, 0x0861},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_CHANNEL, 0x108C},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_GUILD, 0x1A09},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_INSTANCE_CHAT, 0x060C},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_OFFICER, 0x14C1},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_PARTY, 0x168C},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_RAID, 0x1482},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_WHISPER, 0x061B},
            {Opcode.CMSG_CHAT_MESSAGE_AFK, 0x180C},
            {Opcode.CMSG_CHAT_MESSAGE_CHANNEL, 0x067B},
            {Opcode.CMSG_CHAT_MESSAGE_DND, 0x0479},
            {Opcode.CMSG_CHAT_MESSAGE_EMOTE, 0x0C59},
            {Opcode.CMSG_CHAT_MESSAGE_GUILD, 0x1A4B},
            {Opcode.CMSG_CHAT_MESSAGE_INSTANCE_CHAT, 0x077A},
            {Opcode.CMSG_CHAT_MESSAGE_OFFICER, 0x1243},
            {Opcode.CMSG_CHAT_MESSAGE_SAY, 0x140B},
            {Opcode.CMSG_CHAT_MESSAGE_WHISPER, 0x100C},
            {Opcode.CMSG_CHAT_MESSAGE_YELL, 0x1481},
            {Opcode.CMSG_MISSILE_TRAJECTORY_COLLISION, 0x085A},
            {Opcode.CMSG_MOUNT_SET_FAVORITE, 0x15B1},
            {Opcode.CMSG_MOVE_CHANGE_TRANSPORT, 0x098A},
            {Opcode.CMSG_MOVE_CHANGE_VEHICLE_SEATS, 0x05CC},
            {Opcode.CMSG_MOVE_DISMISS_VEHICLE, 0x0F8B},
            {Opcode.CMSG_MOVE_ENABLE_SWIM_TO_FLY_TRANS_ACK, 0x038B},
            {Opcode.CMSG_MOVE_FALL_LAND, 0x0DEA},
            {Opcode.CMSG_MOVE_FALL_RESET, 0x0F89},
            {Opcode.CMSG_MOVE_FEATHER_FALL_ACK, 0x02B1},
            {Opcode.CMSG_MOVE_FORCE_FLIGHT_SPEED_CHANGE_ACK, 0x09CB},
            {Opcode.CMSG_MOVE_FORCE_ROOT_ACK, 0x01C9},
            {Opcode.CMSG_MOVE_FORCE_RUN_BACK_SPEED_CHANGE_ACK, 0x03CB},
            {Opcode.CMSG_MOVE_FORCE_RUN_SPEED_CHANGE_ACK, 0x09E9},
            {Opcode.CMSG_MOVE_FORCE_SWIM_SPEED_CHANGE_ACK, 0x07C9},
            {Opcode.CMSG_MOVE_FORCE_UNROOT_ACK, 0x05A9},
            {Opcode.CMSG_MOVE_FORCE_WALK_SPEED_CHANGE_ACK, 0x03D1},
            {Opcode.CMSG_MOVE_GRAVITY_DISABLE_ACK, 0x0B8B},
            {Opcode.CMSG_MOVE_GRAVITY_ENABLE_ACK, 0x0399},
            {Opcode.CMSG_MOVE_HEARTBEAT, 0x01F1},
            {Opcode.CMSG_MOVE_HOVER_ACK, 0x0FA9},
            {Opcode.CMSG_MOVE_JUMP, 0x0BCC},
            {Opcode.CMSG_MOVE_KNOCK_BACK_ACK, 0x09EC},
            {Opcode.CMSG_MOVE_REMOVE_MOVEMENT_FORCES, 0x0899},
            {Opcode.CMSG_MOVE_SET_CAN_FLY_ACK, 0x01FA},
            {Opcode.CMSG_MOVE_SET_COLLISION_HEIGHT_ACK, 0x01CC},
            {Opcode.CMSG_MOVE_SET_FACING, 0x09CA},
            {Opcode.CMSG_MOVE_SET_FLY, 0x05AB},
            {Opcode.CMSG_MOVE_SET_PITCH, 0x0FAC},
            {Opcode.CMSG_MOVE_SET_RUN_MODE, 0x01AC},
            {Opcode.CMSG_MOVE_SET_VEHICLE_REC_ID_ACK, 0x00F2},
            {Opcode.CMSG_MOVE_SET_WALK_MODE, 0x01DA},
            {Opcode.CMSG_MOVE_SPLINE_DONE, 0x0091},
            {Opcode.CMSG_MOVE_START_ASCEND, 0x078C},
            {Opcode.CMSG_MOVE_START_BACKWARD, 0x0389},
            {Opcode.CMSG_MOVE_START_DESCEND, 0x00D2},
            {Opcode.CMSG_MOVE_START_FORWARD, 0x01EB},
            {Opcode.CMSG_MOVE_START_PITCH_DOWN, 0x0BAB},
            {Opcode.CMSG_MOVE_START_PITCH_UP, 0x03B2},
            {Opcode.CMSG_MOVE_START_STRAFE_LEFT, 0x03D2},
            {Opcode.CMSG_MOVE_START_STRAFE_RIGHT, 0x01CB},
            {Opcode.CMSG_MOVE_START_SWIM, 0x01B2},
            {Opcode.CMSG_MOVE_START_TURN_LEFT, 0x0189},
            {Opcode.CMSG_MOVE_START_TURN_RIGHT, 0x0DAA},
            {Opcode.CMSG_MOVE_STOP, 0x0892},
            {Opcode.CMSG_MOVE_STOP_ASCEND, 0x01F9},
            {Opcode.CMSG_MOVE_STOP_PITCH, 0x01AB},
            {Opcode.CMSG_MOVE_STOP_STRAFE, 0x0D8A},
            {Opcode.CMSG_MOVE_STOP_SWIM, 0x03F9},
            {Opcode.CMSG_MOVE_STOP_TURN, 0x05E9},
            {Opcode.CMSG_MOVE_TELEPORT_ACK, 0x0FCB},
            {Opcode.CMSG_MOVE_TIME_SKIPPED, 0x07EB},
            {Opcode.CMSG_MOVE_TOGGLE_COLLISION_CHEAT, 0x0DEB},
            {Opcode.CMSG_MOVE_WATER_WALK_ACK, 0x0BE9},
            {Opcode.CMSG_WORLD_PORT_RESPONSE, 0x17B3},
            {Opcode.CMSG_NAME_QUERY, 0x15A2},
            {Opcode.CMSG_NEXT_CINEMATIC_CAMERA, 0x110B},
            {Opcode.CMSG_QUERY_NPC_TEXT, 0x0E44},
            {Opcode.CMSG_OBJECT_UPDATE_RESCUED, 0x0C8A},
            {Opcode.CMSG_OPEN_MISSION_NPC, 0x1911},
            {Opcode.CMSG_OPEN_ITEM, 0x0E51},
            {Opcode.CMSG_OPEN_SHIPMENT_NPC, 0x0E41},
            {Opcode.CMSG_PARTY_INVITE, 0x19E2},
            {Opcode.CMSG_PARTY_INVITE_RESPONSE, 0x157A},
            {Opcode.CMSG_PETITION_SHOW_LIST, 0x06E1},
            {Opcode.CMSG_PETITION_SHOW_SIGNATURES, 0x115A},
            {Opcode.CMSG_PET_ACTION, 0x114A},
            {Opcode.CMSG_PET_BATTLE_FINAL_NOTIFY, 0x004B},
            {Opcode.CMSG_PET_BATTLE_INPUT, 0x1B34},
            {Opcode.CMSG_PET_BATTLE_REPLACE_FRONT_PET, 0x192A},
            {Opcode.CMSG_PET_BATTLE_REQUEST_WILD, 0x084C},
            {Opcode.CMSG_PET_CAST_SPELL, 0x1FC1},
            {Opcode.CMSG_PETITION_BUY, 0x159B},
            {Opcode.CMSG_QUERY_PET_NAME, 0x0CCB},
            {Opcode.CMSG_PET_RENAME, 0x1333},
            {Opcode.CMSG_PING, 0x167B},
            {Opcode.CMSG_REQUEST_PLAYED_TIME, 0x0074},
            {Opcode.CMSG_PLAYER_LOGIN, 0x1D31},
            {Opcode.CMSG_CLIENT_PORT_GRAVEYARD, 0x11DA},
            {Opcode.CMSG_QUERY_CORPSE_LOCATION_FROM_CLIENT, 0x1962},
            {Opcode.CMSG_QUERY_CORPSE_TRANSPORT, 0x1164},
            {Opcode.CMSG_QUERY_COUNTDOWN_TIMER, 0x015B},
            {Opcode.CMSG_QUERY_NEXT_MAIL_TIME, 0x1119},
            {Opcode.CMSG_QUERY_QUEST_COMPLETION_NPCS, 0x0662},
            {Opcode.CMSG_QUERY_TIME, 0x04E4},
            {Opcode.CMSG_QUEST_GIVER_ACCEPT_QUEST, 0x0A62},
            {Opcode.CMSG_QUEST_GIVER_CHOOSE_REWARD, 0x0CE1},
            {Opcode.CMSG_QUEST_GIVER_COMPLETE_QUEST, 0x0A69},
            {Opcode.CMSG_QUEST_GIVER_HELLO, 0x0B2A},
            {Opcode.CMSG_QUEST_GIVER_QUERY_QUEST, 0x131A},
            {Opcode.CMSG_QUEST_GIVER_REQUEST_REWARD, 0x1509},
            {Opcode.CMSG_QUEST_GIVER_STATUS_MULTIPLE_QUERY, 0x0A39},
            {Opcode.CMSG_QUEST_GIVER_STATUS_QUERY, 0x0A7B},
            {Opcode.CMSG_QUEST_LOG_REMOVE_QUEST, 0x04C3},
            {Opcode.CMSG_QUEST_CLOSE_AUTOACCEPT_QUEST, 0x150A},
            {Opcode.CMSG_QUEST_POI_QUERY, 0x1B2A},
            {Opcode.CMSG_QUERY_QUEST_INFO, 0x005A},
            {Opcode.CMSG_QUEUED_MESSAGES_END, 0x147B},
            {Opcode.CMSG_GENERATE_RANDOM_CHARACTER_NAME, 0x17FA},
            {Opcode.CMSG_RANDOM_ROLL, 0x1BE2},
            {Opcode.CMSG_QUERY_REALM_NAME, 0x17BC},
            {Opcode.CMSG_RECLAIM_CORPSE, 0x093B},
            {Opcode.CMSG_CHAT_REGISTER_ADDON_PREFIXES, 0x063B},
            {Opcode.CMSG_REORDER_CHARACTERS, 0x1729},
            {Opcode.CMSG_REPAIR_ITEM, 0x05E2},
            {Opcode.CMSG_REPOP_REQUEST, 0x0B3B},
            {Opcode.CMSG_REQUEST_ACCOUNT_DATA, 0x1934},
            {Opcode.CMSG_REQUEST_ARTIFACT_COMPLETION_HISTORY, 0x025A},
            {Opcode.CMSG_REQUEST_BATTLEFIELD_STATUS, 0x17EC},
            {Opcode.CMSG_REQUEST_CATEGORY_COOLDOWNS, 0x0C72},
            {Opcode.CMSG_REQUEST_CEMETERY_LIST, 0x0421},
            {Opcode.CMSG_REQUEST_CONQUEST_FORMULA_CONSTANTS, 0x1342},
            {Opcode.CMSG_REQUEST_FORCED_REACTIONS, 0x012A},
            {Opcode.CMSG_REQUEST_GUILD_REWARDS_LIST, 0x015A},
            {Opcode.CMSG_REQUEST_PARTY_JOIN_UPDATES, 0x1339},
            {Opcode.CMSG_REQUEST_PARTY_MEMBER_STATS, 0x1972},
            {Opcode.CMSG_REQUEST_PET_INFO, 0x0981},
            {Opcode.CMSG_GET_PVP_OPTIONS_ENABLED, 0x19F2},
            {Opcode.CMSG_REQUEST_PVP_REWARDS, 0x0363},
            {Opcode.CMSG_REQUEST_RAID_INFO, 0x1163},
            {Opcode.CMSG_REQUEST_RATED_BATTLEFIELD_INFO, 0x13B9},
            {Opcode.CMSG_REQUEST_STABLED_PETS, 0x110C},
            {Opcode.CMSG_REQUEST_VEHICLE_EXIT, 0x1743},
            {Opcode.CMSG_RESURRECT_RESPONSE, 0x177C},
            {Opcode.CMSG_RIDE_VEHICLE_INTERACT, 0x023A},
            {Opcode.CMSG_SAVE_CUF_PROFILES, 0x10E9},
            {Opcode.CMSG_SCENE_PLAYBACK_CANCELED, 0x1F94},
            {Opcode.CMSG_SCENE_PLAYBACK_COMPLETE, 0x024A},
            {Opcode.CMSG_SELL_ITEM, 0x1349},
            {Opcode.CMSG_SEND_CONTACT_LIST, 0x15F9},
            {Opcode.CMSG_SET_ACTION_BAR_TOGGLES, 0x111B},
            {Opcode.CMSG_SET_ACTION_BUTTON, 0x13BA},
            {Opcode.CMSG_SET_ACTIVE_MOVER, 0x07CC},
            {Opcode.CMSG_SET_ADVANCED_COMBAT_LOGGING, 0x017C},
            {Opcode.CMSG_SET_CONTACT_NOTES, 0x13AC},
            {Opcode.CMSG_SET_DUNGEON_DIFFICULTY, 0x117A},
            {Opcode.CMSG_SET_FACTION_AT_WAR, 0x05E4},
            {Opcode.CMSG_SET_FACTION_INACTIVE, 0x0821},
            {Opcode.CMSG_SET_FACTION_NOT_AT_WAR, 0x15C9},
            {Opcode.CMSG_SET_LOOT_SPECIALIZATION, 0x0B7A},
            {Opcode.CMSG_SET_PARTY_LEADER, 0x1932},
            {Opcode.CMSG_SET_PLAYER_DECLINED_NAMES, 0x1331},
            {Opcode.CMSG_SET_RAID_DIFFICULTY, 0x1162},
            {Opcode.CMSG_SET_ROLE, 0x11B2},
            {Opcode.CMSG_SET_SELECTION, 0x0DC4},
            {Opcode.CMSG_SET_SHEATHED, 0x0A64},
            {Opcode.CMSG_SET_SPECIALIZATION, 0x0472},
            {Opcode.CMSG_SET_TITLE, 0x0654},
            {Opcode.CMSG_SET_TRADE_CURRENCY, 0x0261},
            {Opcode.CMSG_SET_WATCHED_FACTION, 0x154B},
            {Opcode.CMSG_SHOWING_CLOAK, 0x1199},
            {Opcode.CMSG_SHOWING_HELM, 0x05A3},
            {Opcode.CMSG_SORT_BANK_BAGS, 0x1901},
            {Opcode.CMSG_SORT_BAGS, 0x0254},
            {Opcode.CMSG_SPELL_CLICK, 0x0DE3},
            {Opcode.CMSG_SPIRIT_HEALER_ACTIVATE, 0x0CA4},
            {Opcode.CMSG_SPLIT_ITEM, 0x0095},
            {Opcode.CMSG_STAND_STATE_CHANGE, 0x037A},
            {Opcode.CMSG_SUMMON_RESPONSE, 0x1BFA},
            {Opcode.CMSG_SUPPORT_TICKET_SUBMIT_BUG, 0x11BB},
            {Opcode.CMSG_SUPPORT_TICKET_SUBMIT_COMPLAINT, 0x1BB1},
            {Opcode.CMSG_SUPPORT_TICKET_SUBMIT_SUGGESTION, 0x1B63},
            {Opcode.CMSG_SUSPEND_COMMS_ACK, 0x123C},
            {Opcode.CMSG_SUSPEND_TOKEN_RESPONSE, 0x1273},
            {Opcode.CMSG_SWAP_INV_ITEM, 0x00C5},
            {Opcode.CMSG_SWAP_ITEM, 0x0206},
            {Opcode.CMSG_TABARD_VENDOR_ACTIVATE, 0x1951},
            {Opcode.CMSG_TAXI_NODE_STATUS_QUERY, 0x0EA1},
            {Opcode.CMSG_TAXI_QUERY_AVAILABLE_NODES, 0x0A3B},
            {Opcode.CMSG_SEND_TEXT_EMOTE, 0x0B2B},
            {Opcode.CMSG_TIME_SYNC_RESPONSE, 0x0B8C},
            {Opcode.CMSG_TOGGLE_PVP, 0x10A2},
            {Opcode.CMSG_TOTEM_DESTROYED, 0x1189},
            {Opcode.CMSG_TRAINER_BUY_SPELL, 0x151A},
            {Opcode.CMSG_TRAINER_LIST, 0x130C},
            {Opcode.CMSG_TUTORIAL_FLAG, 0x1132},
            {Opcode.CMSG_TWITTER_CHECK_STATUS, 0x1128},
            {Opcode.CMSG_UI_TIME_REQUEST, 0x1B7B},
            {Opcode.CMSG_CHAT_UNREGISTER_ALL_ADDON_PREFIXES, 0x0C5B},
            {Opcode.CMSG_UPDATE_ACCOUNT_DATA, 0x17BB},
            {Opcode.CMSG_USE_EQUIPMENT_SET, 0x0026},
            {Opcode.CMSG_USE_ITEM, 0x0A5A},
            {Opcode.CMSG_USE_TOY, 0x1BC3},
            {Opcode.CMSG_VIOLENCE_LEVEL, 0x0071},
            {Opcode.CMSG_VOICE_SESSION_ENABLE, 0x153A},
            {Opcode.CMSG_QUERY_VOID_STORAGE, 0x17C3},
            {Opcode.CMSG_VOID_STORAGE_TRANSFER, 0x0674},
            {Opcode.CMSG_WARDEN_DATA, 0x11E3},
            {Opcode.CMSG_WHO, 0x1B3B},
        };

        private static readonly BiDictionary<Opcode, int> ServerOpcodes = new BiDictionary<Opcode, int>
        {
            {Opcode.SMSG_ACCOUNT_CRITERIA_UPDATE, 0x0A7A},
            {Opcode.SMSG_ACCOUNT_DATA_TIMES, 0x15F3},
            {Opcode.SMSG_ACCOUNT_HEIRLOOM_UPDATE, 0x1BB2},
            {Opcode.SMSG_ACCOUNT_MOUNT_UPDATE, 0x19A2},
            {Opcode.SMSG_ACCOUNT_TOYS_UPDATE, 0x1F1C},
            {Opcode.SMSG_ACHIEVEMENT_DELETED, 0x0B2C},
            {Opcode.SMSG_ACHIEVEMENT_EARNED, 0x1D8C},
            {Opcode.SMSG_ACTIVATE_TAXI_REPLY, 0x1B8A},
            {Opcode.SMSG_ADDON_INFO, 0x1F5C},
            {Opcode.SMSG_ADJUST_SPLINE_DURATION, 0x131C},
            {Opcode.SMSG_AE_LOOT_TARGETS, 0x1763},
            {Opcode.SMSG_AE_LOOT_TARGET_ACK, 0x1B9A},
            {Opcode.SMSG_AI_REACTION, 0x1BDA},
            {Opcode.SMSG_ALL_ACCOUNT_CRITERIA, 0x17AC},
            {Opcode.SMSG_ALL_ACHIEVEMENT_DATA, 0x097A},
            {Opcode.SMSG_ALL_GUILD_ACHIEVEMENTS, 0x02F4},
            {Opcode.SMSG_AREA_TRIGGER_DENIED, 0x19FC},
            {Opcode.SMSG_ATTACKER_STATE_UPDATE, 0x13DC},
            {Opcode.SMSG_ATTACK_START, 0x19A4},
            {Opcode.SMSG_ATTACK_STOP, 0x171A},
            {Opcode.SMSG_ATTACK_SWING_ERROR, 0x1F4C},
            {Opcode.SMSG_ATTACK_SWING_LANDED_LOG, 0x15CB},
            {Opcode.SMSG_AUCTION_CLOSED_NOTIFICATION, 0x0B73},
            {Opcode.SMSG_AUCTION_COMMAND_RESULT, 0x1972},
            {Opcode.SMSG_AUCTION_HELLO_RESPONSE, 0x0A29},
            {Opcode.SMSG_AUCTION_LIST_BIDDER_ITEMS_RESULT, 0x1339},
            {Opcode.SMSG_AUCTION_LIST_ITEMS_RESULT, 0x09C4},
            {Opcode.SMSG_AUCTION_LIST_OWNER_ITEMS_RESULT, 0x0929},
            {Opcode.SMSG_AUCTION_LIST_PENDING_SALES_RESULT, 0x1F89},
            {Opcode.SMSG_AUCTION_OUTBID_NOTIFICATION, 0x0972},
            {Opcode.SMSG_AUCTION_OWNER_BID_NOTIFICATION, 0x1B09},
            {Opcode.SMSG_AUCTION_REPLICATE_RESPONSE, 0x193B},
            {Opcode.SMSG_AUCTION_WON_NOTIFICATION, 0x136B},
            {Opcode.SMSG_AURA_POINTS_DEPLETED, 0x02A9},
            {Opcode.SMSG_AURA_UPDATE, 0x070A},
            {Opcode.SMSG_AUTH_CHALLENGE, 0x0403},
            {Opcode.SMSG_AUTH_RESPONSE, 0x0B61},
            {Opcode.SMSG_BARBER_SHOP_RESULT, 0x1B89},
            {Opcode.SMSG_BATTLEGROUND_PLAYER_POSITIONS, 0x1962},
            {Opcode.SMSG_BATTLEGROUND_POINTS, 0x15AB},
            {Opcode.SMSG_BATTLEFIELD_LIST, 0x1909},
            {Opcode.SMSG_BATTLEFIELD_RATED_INFO, 0x1322},
            {Opcode.SMSG_BATTLEFIELD_STATUS_QUEUED, 0x135A},
            {Opcode.SMSG_BATTLE_PAY_GET_DISTRIBUTION_LIST_RESPONSE, 0x17A3},
            {Opcode.SMSG_BATTLE_PAY_GET_PURCHASE_LIST_RESPONSE, 0x1FC9},
            {Opcode.SMSG_BATTLE_PET_CAGE_DATE_ERROR, 0x175B},
            {Opcode.SMSG_BATTLE_PET_DELETED, 0x150A},
            {Opcode.SMSG_BATTLE_PET_ERROR, 0x1599},
            {Opcode.SMSG_BATTLE_PETS_HEALED, 0x093C},
            {Opcode.SMSG_BATTLE_PET_JOURNAL, 0x15AC},
            {Opcode.SMSG_BATTLE_PET_JOURNAL_LOCK_ACQUIRED, 0x13A9},
            {Opcode.SMSG_BATTLE_PET_JOURNAL_LOCK_DENIED, 0x1359},
            {Opcode.SMSG_BATTLE_PET_LICENSE_CHANGED, 0x0823},
            {Opcode.SMSG_BATTLE_PET_RESTORED, 0x0E82},
            {Opcode.SMSG_BATTLE_PET_REVOKED, 0x0B72},
            {Opcode.SMSG_BATTLE_PET_TRAP_LEVEL, 0x1BCB},
            {Opcode.SMSG_BATTLE_PET_UPDATES, 0x1FCC},
            {Opcode.SMSG_BINDER_CONFIRM, 0x1BBB},
            {Opcode.SMSG_BIND_POINT_UPDATE, 0x156C},
            {Opcode.SMSG_BREAK_TARGET, 0x159A},
            {Opcode.SMSG_BUY_SUCCEEDED, 0x117B},
            {Opcode.SMSG_CALENDAR_RAID_LOCKOUT_ADDED, 0x0C83},
            {Opcode.SMSG_CALENDAR_SEND_CALENDAR, 0x1562},
            {Opcode.SMSG_CALENDAR_SEND_NUM_PENDING, 0x17B1},
            {Opcode.SMSG_CANCEL_AUTO_REPEAT, 0x1959},
            {Opcode.SMSG_CANCEL_COMBAT, 0x09A2},
            {Opcode.SMSG_CANCEL_ORPHAN_SPELL_VISUAL, 0x0579},
            {Opcode.SMSG_CANCEL_SCENE, 0x19B2},
            {Opcode.SMSG_CANCEL_SPELL_VISUAL, 0x1849},
            {Opcode.SMSG_CANCEL_SPELL_VISUAL_KIT, 0x00AC},
            {Opcode.SMSG_CAN_DUEL_RESULT, 0x11BB},
            {Opcode.SMSG_CAST_FAILED, 0x040C},
            {Opcode.SMSG_CHANNEL_LIST, 0x12FC},
            {Opcode.SMSG_CHANNEL_NOTIFY, 0x1634},
            {Opcode.SMSG_CHANNEL_NOTIFY_JOINED, 0x123B},
            {Opcode.SMSG_CHANNEL_NOTIFY_LEFT, 0x143B},
            {Opcode.SMSG_CHAT, 0x1472},
            {Opcode.SMSG_SPELL_CHANNEL_START, 0x0F5A},
            {Opcode.SMSG_SPELL_CHANNEL_UPDATE, 0x12CA},
            {Opcode.SMSG_CHARACTER_LOGIN_FAILED, 0x1722},
            {Opcode.SMSG_CREATE_CHAR, 0x13E4},
            {Opcode.SMSG_DELETE_CHAR, 0x01C2},
            {Opcode.SMSG_ENUM_CHARACTERS_RESULT, 0x13F2},
            {Opcode.SMSG_CHAR_FACTION_CHANGE_RESULT, 0x0A64},
            {Opcode.SMSG_CHUNKED_PACKET, 0x0C23},
            {Opcode.SMSG_CLEAR_COOLDOWN, 0x0964},
            {Opcode.SMSG_CLEAR_TARGET, 0x17FA},
            {Opcode.SMSG_CACHE_VERSION, 0x116C},
            {Opcode.SMSG_CONTROL_UPDATE, 0x1B4C},
            {Opcode.SMSG_COIN_REMOVED, 0x11A4},
            {Opcode.SMSG_COMBAT_EVENT_FAILED, 0x19D9},
            {Opcode.SMSG_COMPRESSED_PACKET, 0x0689},
            {Opcode.SMSG_CONQUEST_FORMULA_CONSTANTS, 0x1B29},
            {Opcode.SMSG_CONTACT_LIST, 0x15A1},
            {Opcode.SMSG_CONTACT_STATUS, 0x174C},
            {Opcode.SMSG_COOLDOWN_EVENT, 0x1BE4},
            {Opcode.SMSG_CORPSE_LOCATION, 0x0A63},
            {Opcode.SMSG_CORPSE_RECLAIM_DELAY, 0x1B9C},
            {Opcode.SMSG_CORPSE_TRANSPORT_QUERY, 0x0B6C},
            {Opcode.SMSG_CREATE_SHIPMENT_RESPONSE, 0x0839},
            {Opcode.SMSG_QUERY_CREATURE_RESPONSE, 0x0DC2},
            {Opcode.SMSG_CROSSED_INEBRIATION_THRESHOLD, 0x0481},
            {Opcode.SMSG_CRITERIA_DELETED, 0x0B2A},
            {Opcode.SMSG_CRITERIA_UPDATE, 0x115A},
            {Opcode.SMSG_DANCE_STUDIO_CREATE_RESULT, 0x15F2},
            {Opcode.SMSG_DB_REPLY, 0x097C},
            {Opcode.SMSG_DEATH_RELEASE_LOC, 0x15DC},
            {Opcode.SMSG_DEFENSE_MESSAGE, 0x14F1},
            {Opcode.SMSG_DISMOUNT, 0x1371},
            {Opcode.SMSG_DISPLAY_GAME_ERROR, 0x173B},
            {Opcode.SMSG_DISPLAY_PLAYER_CHOICE, 0x087C},
            {Opcode.SMSG_DISPLAY_PROMOTION, 0x01E2},
            {Opcode.SMSG_DISPLAY_TOAST, 0x17DA},
            {Opcode.SMSG_DUEL_COUNTDOWN, 0x1B1A},
            {Opcode.SMSG_DUEL_REQUESTED, 0x0983},
            {Opcode.SMSG_DURABILITY_DAMAGE_DEATH, 0x1BCA},
            {Opcode.SMSG_EMOTE, 0x171C},
            {Opcode.SMSG_ENABLE_BARBER_SHOP, 0x1D5C},
            {Opcode.SMSG_ENCHANTMENT_LOG, 0x1563},
            {Opcode.SMSG_ENCOUNTER_END, 0x0EC4},
            {Opcode.SMSG_ENCOUNTER_START, 0x1B5C},
            {Opcode.SMSG_ENVIRONMENTAL_DAMAGE_LOG, 0x0679},
            {Opcode.SMSG_EXPLORATION_EXPERIENCE, 0x1139},
            {Opcode.SMSG_FACTION_BONUS_INFO, 0x13B9},
            {Opcode.SMSG_FAILED_PLAYER_CONDITION, 0x1161},
            {Opcode.SMSG_FEATURE_SYSTEM_STATUS, 0x13F3},
            {Opcode.SMSG_FEATURE_SYSTEM_STATUS_GLUE_SCREEN, 0x117A},
            {Opcode.SMSG_FINAL_CHUNK, 0x0C14},
            {Opcode.SMSG_FLIGHT_SPLINE_SYNC, 0x0272},
            {Opcode.SMSG_GAME_OBJECT_CUSTOM_ANIM, 0x0873},
            {Opcode.SMSG_GAME_OBJECT_DESPAWN, 0x1B99},
            {Opcode.SMSG_QUERY_GAME_OBJECT_RESPONSE, 0x1559},
            {Opcode.SMSG_GAME_TIME_SET, 0x1309},
            {Opcode.SMSG_GAME_TIME_UPDATE, 0x13E9},
            {Opcode.SMSG_GARRISON_COMPLETE_MISSION_RESULT, 0x02C2},
            {Opcode.SMSG_GARRISON_BUILDING_ACTIVATED, 0x07AA},
            {Opcode.SMSG_GARRISON_BUILDING_REMOVED, 0x0723},
            {Opcode.SMSG_GARRISON_LEARN_BLUEPRINT_RESULT, 0x0701},
            {Opcode.SMSG_GARRISON_PLACE_BUILDING_RESULT, 0x07CA},
            {Opcode.SMSG_GARRISON_REMOTE_INFO, 0x0C39},
            {Opcode.SMSG_GARRISON_START_MISSION_RESULT, 0x0AA1},
            {Opcode.SMSG_GET_GARRISON_INFO_RESULT, 0x0733},
            {Opcode.SMSG_GET_SHIPMENT_INFO_RESPONSE, 0x1F09},
            {Opcode.SMSG_GM_TICKET_CASE_STATUS, 0x086B},
            {Opcode.SMSG_GM_TICKET_GET_TICKET_RESPONSE, 0x0183},
            {Opcode.SMSG_GM_TICKET_RESOLVE_RESPONSE, 0x0869},
            {Opcode.SMSG_GM_TICKET_RESPONSE, 0x1729},
            {Opcode.SMSG_GM_TICKET_RESPONSE_ERROR, 0x0A33},
            {Opcode.SMSG_GM_TICKET_STATUS_UPDATE, 0x0B74},
            {Opcode.SMSG_GM_TICKET_SYSTEM_STATUS, 0x134C},
            {Opcode.SMSG_GM_TICKET_UPDATE, 0x193A},
            {Opcode.SMSG_GOSSIP_COMPLETE, 0x07A8},
            {Opcode.SMSG_GOSSIP_MESSAGE, 0x0117},
            {Opcode.SMSG_GOSSIP_POI, 0x1BBC},
            {Opcode.SMSG_GROUP_NEW_LEADER, 0x1BF1},
            {Opcode.SMSG_GUILD_ACHIEVEMENT_DELETED, 0x07B3},
            {Opcode.SMSG_GUILD_ACHIEVEMENT_EARNED, 0x00F3},
            {Opcode.SMSG_GUILD_ACHIEVEMENT_MEMBERS, 0x0B93},
            {Opcode.SMSG_GUILD_BANK_REMAINING_WITHDRAW_MONEY, 0x0793},
            {Opcode.SMSG_GUILD_CHALLENGE_UPDATE, 0x04F3},
            {Opcode.SMSG_GUILD_COMMAND_RESULT, 0x0B94},
            {Opcode.SMSG_GUILD_CRITERIA_DELETED, 0x09B4},
            {Opcode.SMSG_GUILD_CRITERIA_UPDATE, 0x03D4},
            {Opcode.SMSG_GUILD_EVENT_BANK_CONTENTS_CHANGED, 0x01F4},
            {Opcode.SMSG_GUILD_EVENT_BANK_MONEY_CHANGED, 0x04B4},
            {Opcode.SMSG_GUILD_EVENT_DISBANDED, 0x02F3},
            {Opcode.SMSG_GUILD_EVENT_LOG_QUERY_RESULTS, 0x0794},
            {Opcode.SMSG_GUILD_EVENT_MOTD, 0x09D3},
            {Opcode.SMSG_GUILD_EVENT_NEW_LEADER, 0x0AB4},
            {Opcode.SMSG_GUILD_EVENT_PLAYER_JOINED, 0x0AB3},
            {Opcode.SMSG_GUILD_EVENT_PLAYER_LEFT, 0x0093},
            {Opcode.SMSG_GUILD_EVENT_PRESENCE_CHANGE, 0x0C94},
            {Opcode.SMSG_GUILD_EVENT_RANKS_UPDATED, 0x02D4},
            {Opcode.SMSG_GUILD_EVENT_RANK_CHANGED, 0x09F3},
            {Opcode.SMSG_GUILD_EVENT_TAB_ADDED, 0x0BB4},
            {Opcode.SMSG_GUILD_EVENT_TAB_DELETED, 0x01D4},
            {Opcode.SMSG_GUILD_EVENT_TAB_MODIFIED, 0x0693},
            {Opcode.SMSG_GUILD_EVENT_TAB_TEXT_CHANGED, 0x0594},
            {Opcode.SMSG_GUILD_KNOWN_RECIPES, 0x04B3},
            {Opcode.SMSG_GUILD_MEMBER_DAILY_RESET, 0x08D4},
            {Opcode.SMSG_GUILD_NEWS, 0x05F4},
            {Opcode.SMSG_GUILD_NEWS_DELETED, 0x0194},
            {Opcode.SMSG_GUILD_PARTY_STATE, 0x0BD4},
            {Opcode.SMSG_GUILD_PERMISSIONS_QUERY_RESULTS, 0x07D4},
            {Opcode.SMSG_QUERY_GUILD_INFO_RESPONSE, 0x06F3},
            {Opcode.SMSG_GUILD_RANKS, 0x01D3},
            {Opcode.SMSG_GUILD_REPUTATION_REACTION_CHANGED, 0x0293},
            {Opcode.SMSG_GUILD_REWARD_LIST, 0x04D3},
            {Opcode.SMSG_GUILD_ROSTER, 0x07F3},
            {Opcode.SMSG_HEALTH_UPDATE, 0x1BD9},
            {Opcode.SMSG_HIGHEST_THREAT_UPDATE, 0x086A},
            {Opcode.SMSG_HOTFIX_NOTIFY_BLOB, 0x19B9},
            {Opcode.SMSG_INITIALIZE_FACTIONS, 0x06C3},
            {Opcode.SMSG_INITIAL_SETUP, 0x0A6B},
            {Opcode.SMSG_SEND_KNOWN_SPELLS, 0x12C2},
            {Opcode.SMSG_INIT_WORLD_STATES, 0x11F9},
            {Opcode.SMSG_INSPECT_HONOR_STATS, 0x0583},
            {Opcode.SMSG_INSPECT_PVP, 0x170B},
            {Opcode.SMSG_INSPECT_RESULT, 0x0C82},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_CHANGE_PRIORITY, 0x1971},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_DISENGAGE_UNIT, 0x0682},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_END, 0x1B2A},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_ENGAGE_UNIT, 0x1BAA},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_GAIN_COMBAT_RESURRECTION_CHARGE, 0x0EA2},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_IN_COMBAT_RESURRECTION, 0x1D9B},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_OBJECTIVE_COMPLETE, 0x17F4},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_OBJECTIVE_START, 0x0B3C},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_OBJECTIVE_UPDATE, 0x1331},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_PHASE_SHIFT_CHANGED, 0x11B9},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_START, 0x0A2C},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_TIMER_START, 0x19F4},
            {Opcode.SMSG_INSTANCE_GROUP_SIZE_CHANGED, 0x0EC3},
            {Opcode.SMSG_INSTANCE_INFO, 0x082B},
            {Opcode.SMSG_INSTANCE_RESET, 0x15CA},
            {Opcode.SMSG_INSTANCE_RESET_FAILED, 0x194C},
            {Opcode.SMSG_INSTANCE_SAVE_CREATED, 0x1B39},
            {Opcode.SMSG_INVALIDATE_PLAYER, 0x1799},
            {Opcode.SMSG_INVENTORY_CHANGE_FAILURE, 0x05E1},
            {Opcode.SMSG_IS_QUEST_COMPLETE_RESPONSE, 0x0108},
            {Opcode.SMSG_ITEM_COOLDOWN, 0x05A3},
            {Opcode.SMSG_ITEM_ENCHANT_TIME_UPDATE, 0x176A},
            {Opcode.SMSG_ITEM_EXPIRE_PURCHASE_REFUND, 0x112B},
            {Opcode.SMSG_ITEM_PURCHASE_REFUND_RESULT, 0x158C},
            {Opcode.SMSG_ITEM_PUSH_RESULT, 0x1121},
            {Opcode.SMSG_ITEM_TIME_UPDATE, 0x174A},
            {Opcode.SMSG_LEARNED_SPELLS, 0x08E9},
            {Opcode.SMSG_LEVEL_UP_INFO, 0x092C},
            {Opcode.SMSG_LFG_PLAYER_INFO, 0x03FA},
            {Opcode.SMSG_LFG_QUEUE_STATUS, 0x0292},
            {Opcode.SMSG_LFG_ROLE_CHECK_UPDATE, 0x01D9},
            {Opcode.SMSG_LFG_SLOT_INVALID, 0x0191},
            {Opcode.SMSG_LF_GUILD_POST, 0x0BD3},
            {Opcode.SMSG_LF_GUILD_RECRUITS, 0x0CB3},
            {Opcode.SMSG_LFG_JOIN_RESULT, 0x01BA},
            {Opcode.SMSG_LFG_UPDATE_STATUS, 0x02B1},
            {Opcode.SMSG_VENDOR_INVENTORY, 0x17A1},
            {Opcode.SMSG_LOAD_CUF_PROFILES, 0x17EA},
            {Opcode.SMSG_LOAD_EQUIPMENT_SET, 0x111A},
            {Opcode.SMSG_LOGIN_SET_TIME_SPEED, 0x1573},
            {Opcode.SMSG_LOGIN_VERIFY_WORLD, 0x0B31},
            {Opcode.SMSG_LOGOUT_CANCEL_ACK, 0x1D8A},
            {Opcode.SMSG_LOGOUT_COMPLETE, 0x17AA},
            {Opcode.SMSG_LOGOUT_RESPONSE, 0x05C3},
            {Opcode.SMSG_LOG_XP_GAIN, 0x1B8B},
            {Opcode.SMSG_LOOT_CONTENTS, 0x1334},
            {Opcode.SMSG_LOOT_LIST, 0x05A1},
            {Opcode.SMSG_LOOT_MONEY_NOTIFY, 0x1B23},
            {Opcode.SMSG_LOOT_RELEASE, 0x1789},
            {Opcode.SMSG_LOOT_RELEASE_ALL, 0x1B59},
            {Opcode.SMSG_LOOT_REMOVED, 0x17E9},
            {Opcode.SMSG_LOOT_RESPONSE, 0x1939},
            {Opcode.SMSG_LOSS_OF_CONTROL_AURA_UPDATE, 0x04C2},
            {Opcode.SMSG_MAIL_LIST_RESULT, 0x1B71},
            {Opcode.SMSG_MAIL_QUERY_NEXT_TIME_RESULT, 0x083A},
            {Opcode.SMSG_MISSILE_CANCEL, 0x1B33},
            {Opcode.SMSG_MODIFY_COOLDOWN, 0x15EA},
            {Opcode.SMSG_MOTD, 0x12FB},
            {Opcode.SMSG_MOVE_APPLY_MOVEMENT_FORCE, 0x033A},
            {Opcode.SMSG_MOVE_DISABLE_TRANSITION_BETWEEN_SWIM_AND_FLY, 0x0C12},
            {Opcode.SMSG_MOVE_DISABLE_COLLISION, 0x027C},
            {Opcode.SMSG_MOVE_DISABLE_GRAVITY, 0x0124},
            {Opcode.SMSG_MOVE_ENABLE_TRANSITION_BETWEEN_SWIM_AND_FLY, 0x0AC9},
            {Opcode.SMSG_MOVE_ENABLE_COLLISION, 0x0512},
            {Opcode.SMSG_MOVE_ENABLE_GRAVITY, 0x0024},
            {Opcode.SMSG_MOVE_KNOCK_BACK, 0x048B},
            {Opcode.SMSG_MOVE_REMOVE_MOVEMENT_FORCE, 0x0361},
            {Opcode.SMSG_MOVE_ROOT, 0x0031},
            {Opcode.SMSG_MOVE_SET_ACTIVE_MOVER, 0x024C},
            {Opcode.SMSG_MOVE_SET_ANIM_KIT, 0x1F9B},
            {Opcode.SMSG_MOVE_SET_CAN_FLY, 0x0D11},
            {Opcode.SMSG_MOVE_SET_CAN_TURN_WHILE_FALLING, 0x027A},
            {Opcode.SMSG_MOVE_SET_COLLISION_HEIGHT, 0x0D52},
            {Opcode.SMSG_MOVE_SET_COMPOUND_STATE, 0x0041},
            {Opcode.SMSG_MOVE_SET_FEATHER_FALL, 0x0264},
            {Opcode.SMSG_MOVE_SET_FLIGHT_BACK_SPEED, 0x0752},
            {Opcode.SMSG_MOVE_SET_FLIGHT_SPEED, 0x0324},
            {Opcode.SMSG_MOVE_SET_HOVERING, 0x0673},
            {Opcode.SMSG_MOVE_SET_IGNORE_MOVEMENT_FORCES, 0x0C8B},
            {Opcode.SMSG_MOVE_SET_LAND_WALK, 0x0661},
            {Opcode.SMSG_MOVE_SET_NORMAL_FALL, 0x1301},
            {Opcode.SMSG_MOVE_SET_PITCH_RATE, 0x0D21},
            {Opcode.SMSG_MOVE_SET_RUN_BACK_SPEED, 0x0019},
            {Opcode.SMSG_MOVE_SET_RUN_SPEED, 0x0363},
            {Opcode.SMSG_MOVE_SET_SWIM_BACK_SPEED, 0x0021},
            {Opcode.SMSG_MOVE_SET_SWIM_SPEED, 0x0432},
            {Opcode.SMSG_MOVE_SET_TURN_RATE, 0x0E74},
            {Opcode.SMSG_MOVE_SET_VEHICLE_REC_ID, 0x1302},
            {Opcode.SMSG_MOVE_SET_WALK_SPEED, 0x024A},
            {Opcode.SMSG_MOVE_SET_WATER_WALK, 0x0D62},
            {Opcode.SMSG_MOVE_SKIP_TIME, 0x0359},
            {Opcode.SMSG_MOVE_SPLINE_DISABLE_COLLISION, 0x1392},
            {Opcode.SMSG_MOVE_SPLINE_DISABLE_GRAVITY, 0x002A},
            {Opcode.SMSG_MOVE_SPLINE_ENABLE_COLLISION, 0x0152},
            {Opcode.SMSG_MOVE_SPLINE_ENABLE_GRAVITY, 0x0641},
            {Opcode.SMSG_MOVE_SPLINE_ROOT, 0x0A4B},
            {Opcode.SMSG_MOVE_SPLINE_SET_FEATHER_FALL, 0x094B},
            {Opcode.SMSG_MOVE_SPLINE_SET_FLIGHT_BACK_SPEED, 0x0C02},
            {Opcode.SMSG_MOVE_SPLINE_SET_FLIGHT_SPEED, 0x0A5B},
            {Opcode.SMSG_MOVE_SPLINE_SET_FLYING, 0x0212},
            {Opcode.SMSG_MOVE_SPLINE_SET_HOVER, 0x0301},
            {Opcode.SMSG_MOVE_SPLINE_SET_LAND_WALK, 0x0632},
            {Opcode.SMSG_MOVE_SPLINE_SET_NORMAL_FALL, 0x0073},
            {Opcode.SMSG_MOVE_SPLINE_SET_PITCH_RATE, 0x0289},
            {Opcode.SMSG_MOVE_SPLINE_SET_RUN_BACK_SPEED, 0x0111},
            {Opcode.SMSG_MOVE_SPLINE_SET_RUN_MODE, 0x014A},
            {Opcode.SMSG_MOVE_SPLINE_SET_RUN_SPEED, 0x0C89},
            {Opcode.SMSG_MOVE_SPLINE_SET_SWIM_BACK_SPEED, 0x0811},
            {Opcode.SMSG_MOVE_SPLINE_SET_SWIM_SPEED, 0x0131},
            {Opcode.SMSG_MOVE_SPLINE_SET_TURN_RATE, 0x13C1},
            {Opcode.SMSG_MOVE_SPLINE_SET_WALK_BACK_SPEED, 0x0172},
            {Opcode.SMSG_MOVE_SPLINE_SET_WALK_MODE, 0x0A51},
            {Opcode.SMSG_MOVE_SPLINE_SET_WATER_WALK, 0x0CCB},
            {Opcode.SMSG_MOVE_SPLINE_START_SWIM, 0x1594},
            {Opcode.SMSG_MOVE_SPLINE_STOP_SWIM, 0x11D1},
            {Opcode.SMSG_MOVE_SPLINE_UNROOT, 0x02CC},
            {Opcode.SMSG_MOVE_SPLINE_UNSET_FLYING, 0x1344},
            {Opcode.SMSG_MOVE_SPLINE_UNSET_HOVER, 0x025C},
            {Opcode.SMSG_MOVE_TELEPORT, 0x0C21},
            {Opcode.SMSG_MOVE_UNROOT, 0x0A52},
            {Opcode.SMSG_MOVE_UNSET_CAN_FLY, 0x0163},
            {Opcode.SMSG_MOVE_UNSET_CAN_TURN_WHILE_FALLING, 0x015C},
            {Opcode.SMSG_MOVE_UNSET_HOVERING, 0x1581},
            {Opcode.SMSG_MOVE_UNSET_IGNORE_MOVEMENT_FORCES, 0x0E31},
            {Opcode.SMSG_MOVE_UPDATE, 0x1514},
            {Opcode.SMSG_MOVE_UPDATE_APPLY_MOVEMENT_FORCE, 0x1193},
            {Opcode.SMSG_MOVE_UPDATE_COLLISION_HEIGHT, 0x0624},
            {Opcode.SMSG_MOVE_UPDATE_FLIGHT_BACK_SPEED, 0x036B},
            {Opcode.SMSG_MOVE_UPDATE_FLIGHT_SPEED, 0x0D72},
            {Opcode.SMSG_MOVE_UPDATE_KNOCK_BACK, 0x1304},
            {Opcode.SMSG_MOVE_UPDATE_PITCH_RATE, 0x0372},
            {Opcode.SMSG_MOVE_UPDATE_REMOVE_MOVEMENT_FORCE, 0x13D1},
            {Opcode.SMSG_MOVE_UPDATE_RUN_BACK_SPEED, 0x012A},
            {Opcode.SMSG_MOVE_UPDATE_RUN_SPEED, 0x015B},
            {Opcode.SMSG_MOVE_UPDATE_SWIM_BACK_SPEED, 0x0223},
            {Opcode.SMSG_MOVE_UPDATE_SWIM_SPEED, 0x016B},
            {Opcode.SMSG_MOVE_UPDATE_TELEPORT, 0x0171},
            {Opcode.SMSG_MOVE_UPDATE_TURN_RATE, 0x084A},
            {Opcode.SMSG_MOVE_UPDATE_WALK_SPEED, 0x0A19},
            {Opcode.SMSG_MULTIPLE_PACKETS, 0x0C33},
            {Opcode.SMSG_QUERY_PLAYER_NAME_RESPONSE, 0x11A9},
            {Opcode.SMSG_NEW_TAXI_PATH, 0x11EA},
            {Opcode.SMSG_NEW_WORLD, 0x190B},
            {Opcode.SMSG_NOTIFY_MISSILE_TRAJECTORY_COLLISION, 0x1F49},
            {Opcode.SMSG_NOTIFY_RECEIVED_MAIL, 0x136C},
            {Opcode.SMSG_QUERY_NPC_TEXT_RESPONSE, 0x0A31},
            {Opcode.SMSG_ON_CANCEL_EXPECTED_RIDE_VEHICLE_AURA, 0x096C},
            {Opcode.SMSG_ON_MONSTER_MOVE, 0x0B09},
            {Opcode.SMSG_OPEN_SHIPMENT_NPC_FROM_GOSSIP, 0x11F2},
            {Opcode.SMSG_PAGE_TEXT, 0x193C},
            {Opcode.SMSG_PARTY_COMMAND_RESULT, 0x0B63},
            {Opcode.SMSG_PARTY_INVITE, 0x1F9C},
            {Opcode.SMSG_PARTY_KILL_LOG, 0x0CA4},
            {Opcode.SMSG_PARTY_MEMBER_STATE, 0x1564},
            {Opcode.SMSG_PARTY_UPDATE, 0x0981},
            {Opcode.SMSG_SPELL_PERIODIC_AURA_LOG, 0x184B},
            {Opcode.SMSG_PET_ACTION_SOUND, 0x1924},
            {Opcode.SMSG_PET_ADDED, 0x0B34},
            {Opcode.SMSG_PET_BATTLE_FINALIZE_LOCATION, 0x1D24},
            {Opcode.SMSG_PET_BATTLE_FINAL_ROUND, 0x0B29},
            {Opcode.SMSG_PET_BATTLE_FINISHED, 0x15FC},
            {Opcode.SMSG_PET_BATTLE_FIRST_ROUND, 0x11CA},
            {Opcode.SMSG_PET_BATTLE_INITIAL_UPDATE, 0x153A},
            {Opcode.SMSG_PET_BATTLE_ROUND_RESULT, 0x15F9},
            {Opcode.SMSG_PET_CLEAR_SPELLS, 0x0EEA},
            {Opcode.SMSG_PET_DISMISS_SOUND, 0x11BC},
            {Opcode.SMSG_PET_GUIDS, 0x198A},
            {Opcode.SMSG_PETITION_SHOW_LIST, 0x1134},
            {Opcode.SMSG_PET_MODE, 0x196B},
            {Opcode.SMSG_QUERY_PET_NAME_RESPONSE, 0x15A9},
            {Opcode.SMSG_PET_SPELLS_MESSAGE, 0x1283},
            {Opcode.SMSG_PET_STABLE_LIST, 0x04E2},
            {Opcode.SMSG_PLAYED_TIME, 0x0B71},
            {Opcode.SMSG_PLAYER_BOUND, 0x19A1},
            {Opcode.SMSG_PLAY_MUSIC, 0x1BBA},
            {Opcode.SMSG_PLAY_OBJECT_SOUND, 0x1BB9},
            {Opcode.SMSG_PLAY_ONE_SHOT_ANIM_KIT, 0x1162},
            {Opcode.SMSG_PLAY_ORPHAN_SPELL_VISUAL, 0x164B},
            {Opcode.SMSG_PLAY_SCENE, 0x17CA},
            {Opcode.SMSG_PLAY_SOUND, 0x1B79},
            {Opcode.SMSG_PLAY_SPELL_VISUAL, 0x0749},
            {Opcode.SMSG_PLAY_SPELL_VISUAL_KIT, 0x0F6C},
            {Opcode.SMSG_PLAY_TIME_WARNING, 0x19EB},
            {Opcode.SMSG_PONG, 0x0C34},
            {Opcode.SMSG_POWER_UPDATE, 0x1B0A},
            {Opcode.SMSG_PRE_RESSURECT, 0x1572},
            {Opcode.SMSG_PVP_OPTIONS_ENABLED, 0x17CB},
            {Opcode.SMSG_PVP_SEASON, 0x13A1},
            {Opcode.SMSG_QUERY_BATTLE_PET_NAME_RESPONSE, 0x0584},
            {Opcode.SMSG_QUERY_ITEM_TEXT_RESPONSE, 0x119A},
            {Opcode.SMSG_QUERY_PAGE_TEXT_RESPONSE, 0x1F5B},
            {Opcode.SMSG_QUERY_PETITION_RESPONSE, 0x04A2},
            {Opcode.SMSG_QUERY_TIME_RESPONSE, 0x13B1},
            {Opcode.SMSG_QUEST_GIVER_INVALID_QUEST, 0x01AD},
            {Opcode.SMSG_QUEST_GIVER_OFFER_REWARD_MESSAGE, 0x05A0},
            {Opcode.SMSG_QUEST_GIVER_QUEST_COMPLETE, 0x01A7},
            {Opcode.SMSG_QUEST_GIVER_QUEST_DETAILS, 0x0925},
            {Opcode.SMSG_QUEST_GIVER_QUEST_FAILED, 0x0325},
            {Opcode.SMSG_QUEST_GIVER_QUEST_LIST_MESSAGE, 0x0507},
            {Opcode.SMSG_QUEST_GIVER_REQUEST_ITEMS, 0x0526},
            {Opcode.SMSG_QUEST_GIVER_STATUS, 0x039D},
            {Opcode.SMSG_QUEST_GIVER_STATUS_MULTIPLE, 0x030F},
            {Opcode.SMSG_QUEST_COMPLETION_NPC_RESPONSE, 0x071D},
            {Opcode.SMSG_QUEST_FORCE_REMOVED, 0x0120},
            {Opcode.SMSG_QUEST_POI_QUERY_RESPONSE, 0x01AE},
            {Opcode.SMSG_QUERY_QUEST_INFO_RESPONSE, 0x0508},
            {Opcode.SMSG_QUEST_UPDATE_ADD_CREDIT, 0x098F},
            {Opcode.SMSG_QUEST_UPDATE_ADD_CREDIT_SIMPLE, 0x03A8},
            {Opcode.SMSG_QUEST_UPDATE_ADD_PVP_CREDIT, 0x05A7},
            {Opcode.SMSG_QUEST_UPDATE_COMPLETE, 0x030E},
            {Opcode.SMSG_QUEST_UPDATE_FAILED, 0x07A6},
            {Opcode.SMSG_QUEST_UPDATE_FAILED_TIMER, 0x018F},
            {Opcode.SMSG_RAID_INSTANCE_MESSAGE, 0x12F3},
            {Opcode.SMSG_GENERATE_RANDOM_CHARACTER_NAME_RESULT, 0x195B},
            {Opcode.SMSG_RANDOM_ROLL, 0x04C1},
            {Opcode.SMSG_REALM_QUERY_RESPONSE, 0x1D22},
            {Opcode.SMSG_CONNECT_TO, 0x0413},
            {Opcode.SMSG_REFRESH_SPELL_HISTORY, 0x072B},
            {Opcode.SMSG_REQUEST_CEMETERY_LIST_RESPONSE, 0x15BB},
            {Opcode.SMSG_REQUEST_PVP_REWARDS_RESPONSE, 0x1B74},
            {Opcode.SMSG_SETUP_RESEARCH_HISTORY, 0x1D8B},
            {Opcode.SMSG_RESET_RANGED_COMBAT_TIMER, 0x135C},
            {Opcode.SMSG_RESPOND_INSPECT_ACHIEVEMENTS, 0x0974},
            {Opcode.SMSG_RESUME_CAST_BAR, 0x1282},
            {Opcode.SMSG_RESUME_COMMS, 0x068A},
            {Opcode.SMSG_RESUME_TOKEN, 0x0DA2},
            {Opcode.SMSG_SELL_RESPONSE, 0x0933},
            {Opcode.SMSG_MAIL_COMMAND_RESULT, 0x01C4},
            {Opcode.SMSG_SEND_SPELL_CHARGES, 0x0CEB},
            {Opcode.SMSG_SEND_SPELL_HISTORY, 0x168C},
            {Opcode.SMSG_SEND_UNLEARN_SPELLS, 0x16CC},
            {Opcode.SMSG_SERVER_FIRST_ACHIEVEMENTS, 0x0834},
            {Opcode.SMSG_SETUP_CURRENCY, 0x0969},
            {Opcode.SMSG_SET_AI_ANIM_KIT, 0x1B0B},
            {Opcode.SMSG_SET_ALL_TASK_PROGRESS, 0x0821},
            {Opcode.SMSG_SET_ANIM_TIER, 0x15D9},
            {Opcode.SMSG_SET_CURRENCY, 0x194A},
            {Opcode.SMSG_SET_DUNGEON_DIFFICULTY, 0x1109},
            {Opcode.SMSG_SET_FACTION_AT_WAR, 0x1589},
            {Opcode.SMSG_SET_FACTION_NOT_VISIBLE, 0x15A3},
            {Opcode.SMSG_SET_FACTION_STANDING, 0x1129},
            {Opcode.SMSG_SET_FACTION_VISIBLE, 0x0A72},
            {Opcode.SMSG_SET_FLAT_SPELL_MODIFIER, 0x120B},
            {Opcode.SMSG_SET_FORCED_REACTIONS, 0x0EC2},
            {Opcode.SMSG_SET_MAX_WEEKLY_QUANTITY, 0x1372},
            {Opcode.SMSG_SET_MELEE_ANIM_KIT, 0x1B2C},
            {Opcode.SMSG_SET_PCT_SPELL_MODIFIER, 0x0E59},
            {Opcode.SMSG_PHASE_SHIFT_CHANGE, 0x17F9},
            {Opcode.SMSG_SET_PLAYER_DECLINED_NAMES_RESULT, 0x1363},
            {Opcode.SMSG_SET_PLAY_HOVER_ANIM, 0x01C3},
            {Opcode.SMSG_SET_PROFICIENCY, 0x092A},
            {Opcode.SMSG_RAID_DIFFICULTY_SET, 0x1319},
            {Opcode.SMSG_SET_TIME_ZONE_INFORMATION, 0x15B4},
            {Opcode.SMSG_SET_VEHICLE_REC_ID, 0x0971},
            {Opcode.SMSG_SHOW_BANK, 0x1B3A},
            {Opcode.SMSG_SHOW_MAILBOX, 0x1B7A},
            {Opcode.SMSG_SHOW_NEUTRAL_PLAYER_FACTION_SELECT_UI, 0x1D5A},
            {Opcode.SMSG_SHOW_TAXI_NODES, 0x13B3},
            {Opcode.SMSG_SHOW_TRADE_SKILL_RESPONSE, 0x151B},
            {Opcode.SMSG_SPECIAL_MOUNT_ANIM, 0x19B1},
            {Opcode.SMSG_SPELL_ABSORB_LOG, 0x12C1},
            {Opcode.SMSG_CATEGORY_COOLDOWN, 0x0E5B},
            {Opcode.SMSG_SPELL_COOLDOWN, 0x047B},
            {Opcode.SMSG_SPELL_DELAYED, 0x0D7A},
            {Opcode.SMSG_SPELL_DISPELL_LOG, 0x045B},
            {Opcode.SMSG_SPELL_ENERGIZE_LOG, 0x1809},
            {Opcode.SMSG_SPELL_EXECUTE_LOG, 0x044C},
            {Opcode.SMSG_SPELL_FAILED_OTHER, 0x128A},
            {Opcode.SMSG_SPELL_FAILURE, 0x072A},
            {Opcode.SMSG_SPELL_GO, 0x1281},
            {Opcode.SMSG_SPELL_HEAL_LOG, 0x1043},
            {Opcode.SMSG_SPELL_INSTAKILL_LOG, 0x074C},
            {Opcode.SMSG_SPELL_INTERRUPT_LOG, 0x160C},
            {Opcode.SMSG_SPELL_MISS_LOG, 0x057A},
            {Opcode.SMSG_SPELL_MULTISTRIKE_EFFECT, 0x06A9},
            {Opcode.SMSG_SPELL_NON_MELEE_DAMAGE_LOG, 0x0479},
            {Opcode.SMSG_SPELL_START, 0x0629},
            {Opcode.SMSG_SPELL_UPDATE_CHAIN_TARGETS, 0x0AAB},
            {Opcode.SMSG_STAND_STATE_UPDATE, 0x178A},
            {Opcode.SMSG_START_ELAPSED_TIMERS, 0x192B},
            {Opcode.SMSG_START_MIRROR_TIMER, 0x15FB},
            {Opcode.SMSG_STOP_ELAPSED_TIMER, 0x092B},
            {Opcode.SMSG_STOP_MIRROR_TIMER, 0x0D81},
            {Opcode.SMSG_STREAMING_MOVIES, 0x0A7B},
            {Opcode.SMSG_SUPPRESS_NPC_GREETINGS, 0x118B},
            {Opcode.SMSG_SUSPEND_COMMS, 0x068B},
            {Opcode.SMSG_SUSPEND_TOKEN, 0x1BB4},
            {Opcode.SMSG_PLAYER_TABARD_VENDOR_ACTIVATE, 0x15BC},
            {Opcode.SMSG_UPDATE_TALENT_DATA, 0x04C4},
            {Opcode.SMSG_TAXI_NODE_STATUS, 0x13F1},
            {Opcode.SMSG_TEXT_EMOTE, 0x158A},
            {Opcode.SMSG_THREAT_CLEAR, 0x1929},
            {Opcode.SMSG_THREAT_REMOVE, 0x0CC1},
            {Opcode.SMSG_THREAT_UPDATE, 0x0B33},
            {Opcode.SMSG_TIME_SYNC_REQUEST, 0x0A01},
            {Opcode.SMSG_TITLE_EARNED, 0x0D83},
            {Opcode.SMSG_TITLE_LOST, 0x083B},
            {Opcode.SMSG_TOTEM_CREATED, 0x1F5A},
            {Opcode.SMSG_TRAINER_LIST, 0x1F4B},
            {Opcode.SMSG_TRANSFER_ABORTED, 0x1B7C},
            {Opcode.SMSG_TRANSFER_PENDING, 0x1BDB},
            {Opcode.SMSG_TRIGGER_CINEMATIC, 0x0863},
            {Opcode.SMSG_TRIGGER_MOVIE, 0x1B3C},
            {Opcode.SMSG_TUTORIAL_FLAGS, 0x0A39},
            {Opcode.SMSG_UI_TIME, 0x05E3},
            {Opcode.SMSG_UNDELETE_COOLDOWN_STATUS_RESPONSE, 0x1DDB},
            {Opcode.SMSG_UPDATE_ACCOUNT_DATA, 0x093B},
            {Opcode.SMSG_UPDATE_ACTION_BUTTONS, 0x153B},
            {Opcode.SMSG_UPDATE_DUNGEON_ENCOUNTER_FOR_LOOT, 0x09F1},
            {Opcode.SMSG_UPDATE_EXPANSION_LEVEL, 0x0D82},
            {Opcode.SMSG_UPDATE_INSTANCE_OWNERSHIP, 0x0922},
            {Opcode.SMSG_UPDATE_LAST_INSTANCE, 0x1B5A},
            {Opcode.SMSG_UPDATE_OBJECT, 0x1762},
            {Opcode.SMSG_UPDATE_TASK_PROGRESS, 0x155A},
            {Opcode.SMSG_UPDATE_WORLD_STATE, 0x15BA},
            {Opcode.SMSG_VIGNETTE_UPDATE, 0x11E4},
            {Opcode.SMSG_VOID_STORAGE_CONTENTS, 0x1122},
            {Opcode.SMSG_VOID_STORAGE_TRANSFER_CHANGES, 0x1BAB},
            {Opcode.SMSG_VOID_TRANSFER_RESULT, 0x192C},
            {Opcode.SMSG_WARDEN_DATA, 0x110A},
            {Opcode.SMSG_WEATHER, 0x0939},
            {Opcode.SMSG_WEEKLY_SPELL_USAGE, 0x0CEC},
            {Opcode.SMSG_WHO, 0x14F2},
            {Opcode.SMSG_WORLD_SERVER_INFO, 0x0864},
            {Opcode.SMSG_WORLD_TEXT, 0x172C},
            {Opcode.SMSG_XP_GAIN_ABORTED, 0x0B23},
            {Opcode.SMSG_XP_GAIN_ENABLED, 0x1B73},
            {Opcode.SMSG_ZONE_UNDER_ATTACK, 0x1474},
        };

        private static readonly BiDictionary<Opcode, int> MiscOpcodes = new BiDictionary<Opcode, int>();
    }
}
