﻿using WowPacketParser.Misc;

namespace WowPacketParser.Enums.Version.V6_1_2_19802
{
    public static class Opcodes_6_1_2
    {
        public static BiDictionary<Opcode, int> Opcodes(Direction direction)
        {
            switch (direction)
            {
                case Direction.ClientToServer:
                case Direction.BNClientToServer:
                    return ClientOpcodes;
                case Direction.ServerToClient:
                case Direction.BNServerToClient:
                    return ServerOpcodes;
                default:
                    return MiscOpcodes;
            }
        }

        private static readonly BiDictionary<Opcode, int> ClientOpcodes = new BiDictionary<Opcode, int>
        {
            {Opcode.CMSG_ACCEPT_GUILD_INVITE, 0x0B36},
            {Opcode.CMSG_ACCEPT_LEVEL_GRANT, 0x18F2},
            {Opcode.CMSG_ACCEPT_TRADE, 0x0F07},
            {Opcode.CMSG_ACCEPT_WARGAME_INVITE, 0x0E3F},
            {Opcode.CMSG_ACTIVATE_TAXI, 0x1E83},
            {Opcode.CMSG_ADD_BATTLENET_FRIEND, 0x0335},
            {Opcode.CMSG_ADD_FRIEND, 0x039E},
            {Opcode.CMSG_ADD_IGNORE, 0x16A0},
            {Opcode.CMSG_ADD_TOY, 0x1E48},
            {Opcode.CMSG_ALTER_APPEARANCE, 0x0F82},
            {Opcode.CMSG_AREA_SPIRIT_HEALER_QUERY, 0x1825},
            {Opcode.CMSG_AREA_SPIRIT_HEALER_QUEUE, 0x0E81},
            {Opcode.CMSG_AREA_TRIGGER, 0x0BDB},
            {Opcode.CMSG_ATTACK_STOP, 0x0A01},
            {Opcode.CMSG_ATTACK_SWING, 0x0BF4},
            {Opcode.CMSG_AUCTION_HELLO_REQUEST, 0x1F82},
            {Opcode.CMSG_AUCTION_LIST_BIDDER_ITEMS, 0x1821},
            {Opcode.CMSG_AUCTION_LIST_ITEMS, 0x0CB6},
            {Opcode.CMSG_AUCTION_LIST_OWNER_ITEMS, 0x08A5},
            {Opcode.CMSG_AUCTION_LIST_PENDING_SALES, 0x0935},
            {Opcode.CMSG_AUCTION_PLACE_BID, 0x18F6},
            {Opcode.CMSG_AUCTION_REMOVE_ITEM, 0x1C32},
            {Opcode.CMSG_AUCTION_REPLICATE_ITEMS, 0x0E82},
            {Opcode.CMSG_AUCTION_SELL_ITEM, 0x0D25},
            {Opcode.CMSG_AUTH_CONTINUED_SESSION, 0x0376},
            {Opcode.CMSG_AUTH_SESSION, 0x03DD},
            {Opcode.CMSG_AUTOBANK_ITEM, 0x043F},
            {Opcode.CMSG_AUTOBANK_REAGENT, 0x083F},
            {Opcode.CMSG_AUTOSTORE_BANK_ITEM, 0x0027},
            {Opcode.CMSG_AUTOSTORE_BANK_REAGENT, 0x0040},
            {Opcode.CMSG_AUTO_EQUIP_ITEM, 0x0423},
            {Opcode.CMSG_AUTO_EQUIP_ITEM_SLOT, 0x0838},
            {Opcode.CMSG_AUTO_STORE_BAG_ITEM, 0x0424},
            {Opcode.CMSG_BANKER_ACTIVATE, 0x0CA5},
            {Opcode.CMSG_BATTLEFIELD_LEAVE, 0x0272},
            {Opcode.CMSG_BATTLEFIELD_LIST, 0x0250},
            {Opcode.CMSG_BATTLEFIELD_PORT, 0x1D32},
            {Opcode.CMSG_BATTLEMASTER_HELLO, 0x1605},
            {Opcode.CMSG_BATTLEMASTER_JOIN, 0x1D36},
            {Opcode.CMSG_BATTLEMASTER_JOIN_ARENA, 0x0865},
            {Opcode.CMSG_BATTLEMASTER_JOIN_ARENA_SKIRMISH, 0x1E01},
            {Opcode.CMSG_BATTLENET_CHALLENGE_RESPONSE, 0x0695},
            {Opcode.CMSG_BATTLE_PAY_ACK_FAILED_RESPONSE, 0x0E3D},
            {Opcode.CMSG_BATTLE_PAY_CONFIRM_PURCHASE_RESPONSE, 0x1A1F},
            {Opcode.CMSG_BATTLE_PAY_DISTRIBUTION_ASSIGN_TO_TARGET, 0x0B1E},
            {Opcode.CMSG_BATTLE_PAY_GET_PRODUCT_LIST, 0x0A1D},
            {Opcode.CMSG_BATTLE_PAY_GET_PURCHASE_LIST, 0x1616},
            {Opcode.CMSG_BATTLE_PAY_START_PURCHASE, 0x173F},
            {Opcode.CMSG_BATTLE_PET_DELETE_PET, 0x07BD},
            {Opcode.CMSG_BATTLE_PET_DELETE_PET_CHEAT, 0x079D},
            {Opcode.CMSG_BATTLE_PET_MODIFY_NAME, 0x0B37},
            {Opcode.CMSG_BATTLE_PET_REQUEST_JOURNAL, 0x0F37},
            {Opcode.CMSG_BATTLE_PET_REQUEST_JOURNAL_LOCK, 0x0396},
            {Opcode.CMSG_BATTLE_PET_SET_BATTLE_SLOT, 0x17BD},
            {Opcode.CMSG_BATTLE_PET_SET_FLAGS, 0x16BD},
            {Opcode.CMSG_BATTLE_PET_SUMMON, 0x0A9D},
            {Opcode.CMSG_BATTLE_PET_UPDATE_NOTIFY, 0x1A24},
            {Opcode.CMSG_BEGIN_TRADE, 0x0E53},
            {Opcode.CMSG_BF_MGR_ENTRY_INVITE_RESPONSE, 0x0F36},
            {Opcode.CMSG_BF_MGR_QUEUE_EXIT_REQUEST, 0x0F96},
            {Opcode.CMSG_BF_MGR_QUEUE_INVITE_RESPONSE, 0x17BE},
            {Opcode.CMSG_BF_MGR_QUEUE_REQUEST, 0x1748},
            {Opcode.CMSG_BINDER_ACTIVATE, 0x1C71},
            {Opcode.CMSG_BLACK_MARKET_BID_ON_ITEM, 0x1822},
            {Opcode.CMSG_BLACK_MARKET_OPEN, 0x0F84},
            {Opcode.CMSG_BLACK_MARKET_REQUEST_ITEMS, 0x016D},
            {Opcode.CMSG_BUG_REPORT, 0x0B96},
            {Opcode.CMSG_BUSY_TRADE, 0x0E2B},
            {Opcode.CMSG_BUY_BACK_ITEM, 0x1E84},
            {Opcode.CMSG_BUY_BANK_SLOT, 0x1DE2},
            {Opcode.CMSG_BUY_ITEM, 0x1CE5},
            {Opcode.CMSG_BUY_REAGENT_BANK, 0x1D75},
            {Opcode.CMSG_BUY_WOW_TOKEN_CONFIRM, 0x17B8},
            {Opcode.CMSG_BUY_WOW_TOKEN_START, 0x1A35},
            {Opcode.CMSG_CAGE_BATTLE_PET, 0x0AAB},
            {Opcode.CMSG_CALENDAR_ADD_EVENT, 0x0320},
            {Opcode.CMSG_CALENDAR_COMPLAIN, 0x1395},
            {Opcode.CMSG_CALENDAR_COPY_EVENT, 0x123F},
            {Opcode.CMSG_CALENDAR_EVENT_INVITE, 0x02B5},
            {Opcode.CMSG_CALENDAR_EVENT_MODERATOR_STATUS, 0x03B8},
            {Opcode.CMSG_CALENDAR_EVENT_RSVP, 0x021E},
            {Opcode.CMSG_CALENDAR_EVENT_SIGN_UP, 0x0F3F},
            {Opcode.CMSG_CALENDAR_EVENT_STATUS, 0x13B8},
            {Opcode.CMSG_CALENDAR_GET, 0x1A38},
            {Opcode.CMSG_CALENDAR_GET_EVENT, 0x13BD},
            {Opcode.CMSG_CALENDAR_GET_NUM_PENDING, 0x0BB6},
            {Opcode.CMSG_CALENDAR_GUILD_FILTER, 0x123D},
            {Opcode.CMSG_CALENDAR_REMOVE_EVENT, 0x023F},
            {Opcode.CMSG_CALENDAR_REMOVE_INVITE, 0x16B8},
            {Opcode.CMSG_CALENDAR_UPDATE_EVENT, 0x0F1E},
            {Opcode.CMSG_CANCEL_AURA, 0x12FB},
            {Opcode.CMSG_CANCEL_AUTO_REPEAT_SPELL, 0x0821},
            {Opcode.CMSG_CANCEL_CAST, 0x058A},
            {Opcode.CMSG_CANCEL_CHANNELLING, 0x0F71},
            {Opcode.CMSG_CANCEL_GROWTH_AURA, 0x0AA3},
            {Opcode.CMSG_CANCEL_MASTER_LOOT_ROLL, 0x06F9},
            {Opcode.CMSG_CANCEL_MOD_SPEED_NO_CONTROL_AURAS, 0x018A},
            {Opcode.CMSG_CANCEL_MOUNT_AURA, 0x012D},
            {Opcode.CMSG_CANCEL_QUEUED_SPELL, 0x0EA2},
            {Opcode.CMSG_CANCEL_TEMP_ENCHANTMENT, 0x004E},
            {Opcode.CMSG_CANCEL_TRADE, 0x0E0F},
            {Opcode.CMSG_CAN_DUEL, 0x0A38},
            {Opcode.CMSG_CAST_SPELL, 0x1274},
            {Opcode.CMSG_CHALLENGE_MODE_REQUEST_LEADERS, 0x1017},
            {Opcode.CMSG_CHALLENGE_MODE_REQUEST_MAP_STATS, 0x1503},
            {Opcode.CMSG_CHANGE_BAG_SLOT_FLAG, 0x0628},
            {Opcode.CMSG_CHANGE_MONUMENT_APPEARANCE, 0x1A48},
            {Opcode.CMSG_CHANGE_SUB_GROUP, 0x0AB7},
            {Opcode.CMSG_CHARACTER_RENAME_REQUEST, 0x0616},
            {Opcode.CMSG_CHAR_CUSTOMIZE, 0x0A3D},
            {Opcode.CMSG_CHAR_DELETE, 0x12B8},
            {Opcode.CMSG_CHAR_RACE_OR_FACTION_CHANGE, 0x0F38},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_CHANNEL, 0x1199},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_GUILD, 0x1C3D},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_INSTANCE_CHAT, 0x1D9A},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_OFFICER, 0x1C8D},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_PARTY, 0x1D89},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_RAID, 0x10F9},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_WHISPER, 0x10FD},
            {Opcode.CMSG_CHAT_CHANNEL_ANNOUNCEMENTS, 0x11B9},
            {Opcode.CMSG_CHAT_CHANNEL_BAN, 0x187E},
            {Opcode.CMSG_CHAT_CHANNEL_DECLINE_INVITE, 0x10D9},
            {Opcode.CMSG_CHAT_CHANNEL_DISPLAY_LIST, 0x119D},
            {Opcode.CMSG_CHAT_CHANNEL_INVITE, 0x142D},
            {Opcode.CMSG_CHAT_CHANNEL_KICK, 0x153D},
            {Opcode.CMSG_CHAT_CHANNEL_LIST, 0x1999},
            {Opcode.CMSG_CHAT_CHANNEL_MODERATE, 0x1C8E},
            {Opcode.CMSG_CHAT_CHANNEL_MODERATOR, 0x152D},
            {Opcode.CMSG_CHAT_CHANNEL_MUTE, 0x1909},
            {Opcode.CMSG_CHAT_CHANNEL_OWNER, 0x15ED},
            {Opcode.CMSG_CHAT_CHANNEL_PASSWORD, 0x193A},
            {Opcode.CMSG_CHAT_CHANNEL_SET_OWNER, 0x14CA},
            {Opcode.CMSG_CHAT_CHANNEL_SILENCE_ALL, 0x141E},
            {Opcode.CMSG_CHAT_CHANNEL_SILENCE_VOICE, 0x148E},
            {Opcode.CMSG_CHAT_CHANNEL_UNBAN, 0x155D},
            {Opcode.CMSG_CHAT_CHANNEL_UNMODERATOR, 0x10AE},
            {Opcode.CMSG_CHAT_CHANNEL_UNMUTE, 0x109A},
            {Opcode.CMSG_CHAT_CHANNEL_UNSILENCE_ALL, 0x11FE},
            {Opcode.CMSG_CHAT_CHANNEL_UNSILENCE_VOICE, 0x10FE},
            {Opcode.CMSG_CHAT_CHANNEL_VOICE_OFF, 0x103E},
            {Opcode.CMSG_CHAT_CHANNEL_VOICE_ON, 0x1419},
            {Opcode.CMSG_CHAT_JOIN_CHANNEL, 0x152A},
            {Opcode.CMSG_CHAT_LEAVE_CHANNEL, 0x113D},
            {Opcode.CMSG_CHAT_MESSAGE_AFK, 0x185E},
            {Opcode.CMSG_CHAT_MESSAGE_CHANNEL, 0x1D8A},
            {Opcode.CMSG_CHAT_MESSAGE_DND, 0x183E},
            {Opcode.CMSG_CHAT_MESSAGE_EMOTE, 0x1DAA},
            {Opcode.CMSG_CHAT_MESSAGE_GUILD, 0x14E9},
            {Opcode.CMSG_CHAT_MESSAGE_INSTANCE_CHAT, 0x14FD},
            {Opcode.CMSG_CHAT_MESSAGE_OFFICER, 0x155A},
            {Opcode.CMSG_CHAT_MESSAGE_PARTY, 0x14BA},
            {Opcode.CMSG_CHAT_MESSAGE_RAID, 0x1CAA},
            {Opcode.CMSG_CHAT_MESSAGE_RAID_WARNING, 0x147A},
            {Opcode.CMSG_CHAT_MESSAGE_SAY, 0x192A},
            {Opcode.CMSG_CHAT_MESSAGE_WHISPER, 0x103A},
            {Opcode.CMSG_CHAT_MESSAGE_YELL, 0x1CB9},
            {Opcode.CMSG_CHAT_REGISTER_ADDON_PREFIXES, 0x1D2A},
            {Opcode.CMSG_CHAT_REPORT_FILTERED, 0x159E},
            {Opcode.CMSG_CHAT_REPORT_IGNORED, 0x151A},
            {Opcode.CMSG_CHAT_UNREGISTER_ALL_ADDON_PREFIXES, 0x15FA},
            {Opcode.CMSG_CHECK_RAF_EMAIL_ENABLED, 0x1620},
            {Opcode.CMSG_CHECK_WOW_TOKEN_VETERAN_ELIGIBILITY, 0x0337},
            {Opcode.CMSG_CHOICE_RESPONSE, 0x1FCF},
            {Opcode.CMSG_CLEAR_RAID_MARKER, 0x0FDB},
            {Opcode.CMSG_CLEAR_TRADE_ITEM, 0x0F7B},
            {Opcode.CMSG_CLIENT_PORT_GRAVEYARD, 0x0C65},
            {Opcode.CMSG_CLOSE_INTERACTION, 0x1C36},
            {Opcode.CMSG_COMMENTATOR_ENABLE, 0x073F},
            {Opcode.CMSG_COMMENTATOR_ENTER_INSTANCE, 0x03BD},
            {Opcode.CMSG_COMMENTATOR_EXIT_INSTANCE, 0x0698},
            {Opcode.CMSG_COMMENTATOR_GET_MAP_INFO, 0x1A40},
            {Opcode.CMSG_COMMENTATOR_GET_PLAYER_INFO, 0x171F},
            {Opcode.CMSG_COMMENTATOR_START_WARGAME, 0x0637},
            {Opcode.CMSG_COMPLAINT, 0x0F40},
            {Opcode.CMSG_COMPLETE_ALL_READY_SHIPMENTS, 0x0F06},
            {Opcode.CMSG_COMPLETE_CINEMATIC, 0x0CF2},
            {Opcode.CMSG_COMPLETE_MOVIE, 0x1E0A},
            {Opcode.CMSG_CONFIRM_RESPEC_WIPE, 0x1226},
            {Opcode.CMSG_CONNECT_TO_FAILED, 0x0736},
            {Opcode.CMSG_CONVERT_RAID, 0x0A98},
            {Opcode.CMSG_CREATE_CHARACTER, 0x1636},
            {Opcode.CMSG_CREATE_SHIPMENT, 0x010E},
            {Opcode.CMSG_DB_QUERY_BULK, 0x039F},
            {Opcode.CMSG_DECLINE_GUILD_INVITES, 0x09B1},
            {Opcode.CMSG_DECLINE_PETITION, 0x1D66},
            {Opcode.CMSG_DELETE_EQUIPMENT_SET, 0x014A},
            {Opcode.CMSG_DEL_FRIEND, 0x163F},
            {Opcode.CMSG_DEL_IGNORE, 0x03C0},
            {Opcode.CMSG_DEPOSIT_REAGENT_BANK, 0x002A},
            {Opcode.CMSG_DESTROY_ITEM, 0x0A72},
            {Opcode.CMSG_DF_BOOT_PLAYER_VOTE, 0x0EBF},
            {Opcode.CMSG_DF_GET_JOIN_STATUS, 0x1236},
            {Opcode.CMSG_DF_GET_SYSTEM_INFO, 0x1298},
            {Opcode.CMSG_DF_JOIN, 0x1237},
            {Opcode.CMSG_DF_LEAVE, 0x029D},
            {Opcode.CMSG_DF_PROPOSAL_RESPONSE, 0x0795},
            {Opcode.CMSG_DF_READY_CHECK_RESPONSE, 0x06A0},
            {Opcode.CMSG_DF_SEARCH_JOIN, 0x1797},
            {Opcode.CMSG_DF_SEARCH_LEAVE, 0x0EB7},
            {Opcode.CMSG_DF_SET_COMMENT, 0x0615},
            {Opcode.CMSG_DF_SET_ROLES, 0x0297},
            {Opcode.CMSG_DF_TELEPORT, 0x0FB7},
            {Opcode.CMSG_DISCARDED_TIME_SYNC_ACKS, 0x0103},
            {Opcode.CMSG_DISMISS_CRITTER, 0x1D21},
            {Opcode.CMSG_DO_MASTER_LOOT_ROLL, 0x0409},
            {Opcode.CMSG_DO_READY_CHECK, 0x139E},
            {Opcode.CMSG_DUEL_RESPONSE, 0x0C62},
            {Opcode.CMSG_EJECT_PASSENGER, 0x1AD0},
            {Opcode.CMSG_EMOTE, 0x0E03},
            {Opcode.CMSG_ENABLE_NAGLE, 0x0B55},
            {Opcode.CMSG_ENABLE_TAXI_NODE, 0x0926},
            {Opcode.CMSG_ENGINE_SURVEY, 0x0FA0},
            {Opcode.CMSG_ENUM_CHARACTERS, 0x1696},
            {Opcode.CMSG_ENUM_CHARACTERS_DELETED_BY_CLIENT, 0x1216},
            {Opcode.CMSG_FAR_SIGHT, 0x00EE},
            {Opcode.CMSG_GAME_OBJ_REPORT_USE, 0x18B2},
            {Opcode.CMSG_GAME_OBJ_USE, 0x08B1},
            {Opcode.CMSG_GARRISON_ASSIGN_FOLLOWER_TO_BUILDING, 0x0651},
            {Opcode.CMSG_GARRISON_CANCEL_CONSTRUCTION, 0x1A02},
            {Opcode.CMSG_GARRISON_CHECK_UPGRADEABLE, 0x12FA},
            {Opcode.CMSG_GARRISON_COMPLETE_MISSION, 0x0BA2},
            {Opcode.CMSG_GARRISON_GENERATE_RECRUITS, 0x0FFA},
            {Opcode.CMSG_GARRISON_GET_BUILDING_LANDMARKS, 0x0EFC},
            {Opcode.CMSG_GARRISON_MISSION_BONUS_ROLL, 0x07D2},
            {Opcode.CMSG_GARRISON_PURCHASE_BUILDING, 0x1208},
            {Opcode.CMSG_GARRISON_RECRUIT_FOLLOWER, 0x0E21},
            {Opcode.CMSG_GARRISON_REMOVE_FOLLOWER, 0x0374},
            {Opcode.CMSG_GARRISON_REMOVE_FOLLOWER_FROM_BUILDING, 0x035B},
            {Opcode.CMSG_GARRISON_REQUEST_BLUEPRINT_AND_SPECIALIZATION_DATA, 0x1B8C},
            {Opcode.CMSG_GARRISON_REQUEST_LANDING_PAGE_SHIPMENT_INFO, 0x06DA},
            {Opcode.CMSG_GARRISON_REQUEST_SHIPMENT_INFO, 0x03FA},
            {Opcode.CMSG_GARRISON_SET_BUILDING_ACTIVE, 0x16CF},
            {Opcode.CMSG_GARRISON_SET_FOLLOWER_FAVORITE, 0x0BDA},
            {Opcode.CMSG_GARRISON_SET_FOLLOWER_INACTIVE, 0x0AC8},
            {Opcode.CMSG_GARRISON_SET_RECRUITMENT_PREFERENCES, 0x020D},
            {Opcode.CMSG_GARRISON_START_MISSION, 0x0E0E},
            {Opcode.CMSG_GARRISON_SWAP_BUILDINGS, 0x0ADB},
            {Opcode.CMSG_GENERATE_RANDOM_CHARACTER_NAME, 0x0B3E},
            {Opcode.CMSG_GET_CHALLENGE_MODE_REWARDS, 0x1118},
            {Opcode.CMSG_GET_GARRISON_INFO, 0x072D},
            {Opcode.CMSG_GET_ITEM_PURCHASE_DATA, 0x016E},
            {Opcode.CMSG_GET_MIRROR_IMAGE_DATA, 0x0E74},
            {Opcode.CMSG_GET_PVP_OPTIONS_ENABLED, 0x029E},
            {Opcode.CMSG_GET_REMAINING_GAME_TIME, 0x0696},
            {Opcode.CMSG_GET_TROPHY_LIST, 0x17D0},
            {Opcode.CMSG_GET_UNDELETE_CHARACTER_COOLDOWN_STATUS, 0x063D},
            {Opcode.CMSG_GM_LAG_REPORT, 0x0B3F},
            {Opcode.CMSG_GM_SURVEY_SUBMIT, 0x0E15},
            {Opcode.CMSG_GM_TICKET_ACKNOWLEDGE_SURVEY, 0x0FBE},
            {Opcode.CMSG_GM_TICKET_CREATE, 0x0A1E},
            {Opcode.CMSG_GM_TICKET_DELETE_TICKET, 0x129E},
            {Opcode.CMSG_GM_TICKET_GET_CASE_STATUS, 0x1A3F},
            {Opcode.CMSG_GM_TICKET_GET_SYSTEM_STATUS, 0x0A18},
            {Opcode.CMSG_GM_TICKET_GET_TICKET, 0x0717},
            {Opcode.CMSG_GM_TICKET_RESPONSE_RESOLVE, 0x0217},
            {Opcode.CMSG_GM_TICKET_UPDATE_TEXT, 0x13A0},
            {Opcode.CMSG_GOSSIP_SELECT_OPTION, 0x1E0C},
            {Opcode.CMSG_GRANT_LEVEL, 0x1DF1},
            {Opcode.CMSG_GUILD_ADD_BATTLENET_FRIEND, 0x1C07},
            {Opcode.CMSG_GUILD_ADD_RANK, 0x1953},
            {Opcode.CMSG_GUILD_ASSIGN_MEMBER_RANK, 0x1844},
            {Opcode.CMSG_GUILD_AUTO_DECLINE_INVITATION, 0x1853},
            {Opcode.CMSG_GUILD_BANK_ACTIVATE, 0x0DE2},
            {Opcode.CMSG_GUILD_BANK_BUY_TAB, 0x0F09},
            {Opcode.CMSG_GUILD_BANK_DEPOSIT_MONEY, 0x0832},
            {Opcode.CMSG_GUILD_BANK_LOG_QUERY, 0x1973},
            {Opcode.CMSG_GUILD_BANK_QUERY_TAB, 0x1DE5},
            {Opcode.CMSG_GUILD_BANK_REMAINING_WITHDRAW_MONEY_QUERY, 0x1417},
            {Opcode.CMSG_GUILD_BANK_SET_TAB_TEXT, 0x1917},
            {Opcode.CMSG_GUILD_BANK_SWAP_ITEMS, 0x1C75},
            {Opcode.CMSG_GUILD_BANK_TEXT_QUERY, 0x1914},
            {Opcode.CMSG_GUILD_BANK_UPDATE_TAB, 0x1F09},
            {Opcode.CMSG_GUILD_BANK_WITHDRAW_MONEY, 0x1D61},
            {Opcode.CMSG_GUILD_CHALLENGE_UPDATE_REQUEST, 0x1817},
            {Opcode.CMSG_GUILD_CHANGE_NAME_REQUEST, 0x1527},
            {Opcode.CMSG_GUILD_DECLINE_INVITATION, 0x1967},
            {Opcode.CMSG_GUILD_DELETE, 0x1473},
            {Opcode.CMSG_GUILD_DELETE_RANK, 0x1864},
            {Opcode.CMSG_GUILD_DEMOTE_MEMBER, 0x1453},
            {Opcode.CMSG_GUILD_EVENT_LOG_QUERY, 0x1933},
            {Opcode.CMSG_GUILD_GET_ACHIEVEMENT_MEMBERS, 0x1833},
            {Opcode.CMSG_GUILD_GET_RANKS, 0x1533},
            {Opcode.CMSG_GUILD_GET_ROSTER, 0x1434},
            {Opcode.CMSG_GUILD_INVITE_BY_NAME, 0x0716},
            {Opcode.CMSG_GUILD_LEAVE, 0x1168},
            {Opcode.CMSG_GUILD_MEMBER_SEND_SOR_REQUEST, 0x1138},
            {Opcode.CMSG_GUILD_NEWS_UPDATE_STICKY, 0x1538},
            {Opcode.CMSG_GUILD_OFFICER_REMOVE_MEMBER, 0x1928},
            {Opcode.CMSG_GUILD_PERMISSIONS_QUERY, 0x1878},
            {Opcode.CMSG_GUILD_PROMOTE_MEMBER, 0x1147},
            {Opcode.CMSG_GUILD_QUERY_MEMBERS_FOR_RECIPE, 0x1C13},
            {Opcode.CMSG_GUILD_QUERY_MEMBER_RECIPES, 0x1063},
            {Opcode.CMSG_GUILD_QUERY_NEWS, 0x1573},
            {Opcode.CMSG_GUILD_QUERY_RECIPES, 0x1843},
            {Opcode.CMSG_GUILD_REPLACE_GUILD_MASTER, 0x1923},
            {Opcode.CMSG_GUILD_SET_ACHIEVEMENT_TRACKING, 0x1977},
            {Opcode.CMSG_GUILD_SET_FOCUSED_ACHIEVEMENT, 0x1167},
            {Opcode.CMSG_GUILD_SET_GUILD_MASTER, 0x1316},
            {Opcode.CMSG_GUILD_SET_MEMBER_NOTE, 0x1427},
            {Opcode.CMSG_GUILD_SET_RANK_PERMISSIONS, 0x1053},
            {Opcode.CMSG_GUILD_SHIFT_RANK, 0x1458},
            {Opcode.CMSG_GUILD_UPDATE_INFO_TEXT, 0x1507},
            {Opcode.CMSG_GUILD_UPDATE_MOTD_TEXT, 0x1C08},
            {Opcode.CMSG_HEARTH_AND_RESURRECT, 0x0E0C},
            {Opcode.CMSG_IGNORE_TRADE, 0x1A08},
            {Opcode.CMSG_INCREASE_CAST_TIME_FOR_SPELL, 0x0F5B},
            {Opcode.CMSG_INITIATE_ROLE_POLL, 0x071E},
            {Opcode.CMSG_INITIATE_TRADE, 0x1A8C},
            {Opcode.CMSG_INSPECT, 0x1C21},
            {Opcode.CMSG_INSPECT_PVP, 0x0A9E},
            {Opcode.CMSG_INSTANCE_LOCK_RESPONSE, 0x1DE6},
            {Opcode.CMSG_ITEM_PURCHASE_REFUND, 0x08B2},
            {Opcode.CMSG_ITEM_TEXT_QUERY, 0x037B},
            {Opcode.CMSG_JOIN_PET_BATTLE_QUEUE, 0x0F2A},
            {Opcode.CMSG_JOIN_RATED_BATTLEGROUND, 0x01AA},
            {Opcode.CMSG_KEEP_ALIVE, 0x1737},
            {Opcode.CMSG_KEYBOUND_OVERRIDE, 0x0ADA},
            {Opcode.CMSG_LEARN_PET_SPECIALIZATION_GROUP, 0x06FA},
            {Opcode.CMSG_LEARN_TALENTS, 0x0AAA},
            {Opcode.CMSG_LEAVE_GROUP, 0x179E},
            {Opcode.CMSG_LEAVE_PET_BATTLE_QUEUE, 0x0751},
            {Opcode.CMSG_LFG_LIST_APPLY_TO_GROUP, 0x061F},
            {Opcode.CMSG_LFG_LIST_CANCEL_APPLICATION, 0x0BB7},
            {Opcode.CMSG_LFG_LIST_DECLINE_APPLICANT, 0x17B6},
            {Opcode.CMSG_LFG_LIST_GET_STATUS, 0x0338},
            {Opcode.CMSG_LFG_LIST_INVITE_APPLICANT, 0x0A3F},
            {Opcode.CMSG_LFG_LIST_INVITE_RESPONSE, 0x0720},
            {Opcode.CMSG_LFG_LIST_JOIN, 0x13B6},
            {Opcode.CMSG_LFG_LIST_LEAVE, 0x0B20},
            {Opcode.CMSG_LFG_LIST_SEARCH, 0x1A1D},
            {Opcode.CMSG_LFG_LIST_UPDATE_REQUEST, 0x12B7},
            {Opcode.CMSG_LF_GUILD_ADD_RECRUIT, 0x0B9F},
            {Opcode.CMSG_LF_GUILD_BROWSE, 0x1A37},
            {Opcode.CMSG_LF_GUILD_DECLINE_RECRUIT, 0x1023},
            {Opcode.CMSG_LF_GUILD_GET_APPLICATIONS, 0x1548},
            {Opcode.CMSG_LF_GUILD_GET_GUILD_POST, 0x1054},
            {Opcode.CMSG_LF_GUILD_GET_RECRUITS, 0x1464},
            {Opcode.CMSG_LF_GUILD_REMOVE_RECRUIT, 0x1803},
            {Opcode.CMSG_LF_GUILD_SET_GUILD_POST, 0x121F},
            {Opcode.CMSG_LIST_INVENTORY, 0x1922},
            {Opcode.CMSG_LOADING_SCREEN_NOTIFY, 0x13C0},
            {Opcode.CMSG_LOAD_SELECTED_TROPHY, 0x0F47},
            {Opcode.CMSG_LOGOUT_CANCEL, 0x0F8C},
            {Opcode.CMSG_LOGOUT_INSTANT, 0x1CA5},
            {Opcode.CMSG_LOGOUT_REQUEST, 0x0CA6},
            {Opcode.CMSG_LOG_DISCONNECT, 0x12D5},
            {Opcode.CMSG_LOG_STREAMING_ERROR, 0x12D6},
            {Opcode.CMSG_LOOT_ITEM, 0x1BAC},
            {Opcode.CMSG_LOOT_MONEY, 0x050A},
            {Opcode.CMSG_LOOT_RELEASE, 0x1A25},
            {Opcode.CMSG_LOOT_ROLL, 0x1F23},
            {Opcode.CMSG_LOOT_UNIT, 0x0BF1},
            {Opcode.CMSG_LOW_LEVEL_RAID1, 0x02C0},
            {Opcode.CMSG_LOW_LEVEL_RAID2, 0x0F0B},
            {Opcode.CMSG_MAIL_CREATE_TEXT_ITEM, 0x0149},
            {Opcode.CMSG_MAIL_DELETE, 0x0A73},
            {Opcode.CMSG_MAIL_GET_LIST, 0x1F04},
            {Opcode.CMSG_MAIL_MARK_AS_READ, 0x1C31},
            {Opcode.CMSG_MAIL_RETURN_TO_SENDER, 0x02A0},
            {Opcode.CMSG_MAIL_TAKE_ITEM, 0x0975},
            {Opcode.CMSG_MAIL_TAKE_MONEY, 0x0871},
            {Opcode.CMSG_MASTER_LOOT_ITEM, 0x06D9},
            {Opcode.CMSG_MINIMAP_PING, 0x1218},
            {Opcode.CMSG_MISSILE_TRAJECTORY_COLLISION, 0x0B74},
            {Opcode.CMSG_MOUNT_SET_FAVORITE, 0x061E},
            {Opcode.CMSG_MOUNT_SPECIAL_ANIM, 0x02D1},
            {Opcode.CMSG_MOVE_APPLY_MOVEMENT_FORCE_ACK, 0x090F},
            {Opcode.CMSG_MOVE_CHANGE_TRANSPORT, 0x044F},
            {Opcode.CMSG_MOVE_CHANGE_VEHICLE_SEATS, 0x0404},
            {Opcode.CMSG_MOVE_CHARM_TELEPORT_CHEAT, 0x055B},
            {Opcode.CMSG_MOVE_DISMISS_VEHICLE, 0x085F},
            {Opcode.CMSG_MOVE_ENABLE_SWIM_TO_FLY_TRANS_ACK, 0x0944},
            {Opcode.CMSG_MOVE_FALL_LAND, 0x095F},
            {Opcode.CMSG_MOVE_FALL_RESET, 0x0448},
            {Opcode.CMSG_MOVE_FEATHER_FALL_ACK, 0x0120},
            {Opcode.CMSG_MOVE_FORCE_FLIGHT_BACK_SPEED_CHANGE_ACK, 0x0148},
            {Opcode.CMSG_MOVE_FORCE_FLIGHT_SPEED_CHANGE_ACK, 0x004F},
            {Opcode.CMSG_MOVE_FORCE_PITCH_RATE_CHANGE_ACK, 0x0410},
            {Opcode.CMSG_MOVE_FORCE_ROOT_ACK, 0x0008},
            {Opcode.CMSG_MOVE_FORCE_RUN_BACK_SPEED_CHANGE_ACK, 0x044C},
            {Opcode.CMSG_MOVE_FORCE_RUN_SPEED_CHANGE_ACK, 0x0407},
            {Opcode.CMSG_MOVE_FORCE_SWIM_BACK_SPEED_CHANGE_ACK, 0x0110},
            {Opcode.CMSG_MOVE_FORCE_SWIM_SPEED_CHANGE_ACK, 0x0517},
            {Opcode.CMSG_MOVE_FORCE_TURN_RATE_CHANGE_ACK, 0x014C},
            {Opcode.CMSG_MOVE_FORCE_UNROOT_ACK, 0x054C},
            {Opcode.CMSG_MOVE_FORCE_WALK_SPEED_CHANGE_ACK, 0x0813},
            {Opcode.CMSG_MOVE_GRAVITY_DISABLE_ACK, 0x050B},
            {Opcode.CMSG_MOVE_GRAVITY_ENABLE_ACK, 0x0017},
            {Opcode.CMSG_MOVE_HEARTBEAT, 0x055C},
            {Opcode.CMSG_MOVE_HOVER_ACK, 0x0860},
            {Opcode.CMSG_MOVE_JUMP, 0x0158},
            {Opcode.CMSG_MOVE_KNOCK_BACK_ACK, 0x040F},
            {Opcode.CMSG_MOVE_REMOVE_MOVEMENT_FORCES, 0x0913},
            {Opcode.CMSG_MOVE_REMOVE_MOVEMENT_FORCE_ACK, 0x090C},
            {Opcode.CMSG_MOVE_SET_CAN_FLY_ACK, 0x0C03},
            {Opcode.CMSG_MOVE_SET_CAN_TURN_WHILE_FALLING_ACK, 0x054F},
            {Opcode.CMSG_MOVE_SET_COLLISION_HEIGHT_ACK, 0x0018},
            {Opcode.CMSG_MOVE_SET_FACING, 0x0803},
            {Opcode.CMSG_MOVE_SET_FLY, 0x010C},
            {Opcode.CMSG_MOVE_SET_IGNORE_MOVEMENT_FORCES_ACK, 0x0557},
            {Opcode.CMSG_MOVE_SET_PITCH, 0x080F},
            {Opcode.CMSG_MOVE_SET_RELATIVE_POSITION, 0x051B},
            {Opcode.CMSG_MOVE_SET_RUN_MODE, 0x0053},
            {Opcode.CMSG_MOVE_SET_VEHICLE_REC_ID_ACK, 0x091B},
            {Opcode.CMSG_MOVE_SET_WALK_MODE, 0x0843},
            {Opcode.CMSG_MOVE_SPLINE_DONE, 0x0514},
            {Opcode.CMSG_MOVE_START_ASCEND, 0x0510},
            {Opcode.CMSG_MOVE_START_BACKWARD, 0x0147},
            {Opcode.CMSG_MOVE_START_DESCEND, 0x0117},
            {Opcode.CMSG_MOVE_START_FORWARD, 0x0004},
            {Opcode.CMSG_MOVE_START_PITCH_DOWN, 0x004B},
            {Opcode.CMSG_MOVE_START_PITCH_UP, 0x0450},
            {Opcode.CMSG_MOVE_START_STRAFE_LEFT, 0x0844},
            {Opcode.CMSG_MOVE_START_STRAFE_RIGHT, 0x0957},
            {Opcode.CMSG_MOVE_START_SWIM, 0x0157},
            {Opcode.CMSG_MOVE_START_TURN_LEFT, 0x0918},
            {Opcode.CMSG_MOVE_START_TURN_RIGHT, 0x094B},
            {Opcode.CMSG_MOVE_STOP, 0x044B},
            {Opcode.CMSG_MOVE_STOP_ASCEND, 0x011C},
            {Opcode.CMSG_MOVE_STOP_PITCH, 0x045B},
            {Opcode.CMSG_MOVE_STOP_STRAFE, 0x084B},
            {Opcode.CMSG_MOVE_STOP_SWIM, 0x081B},
            {Opcode.CMSG_MOVE_STOP_TURN, 0x0854},
            {Opcode.CMSG_MOVE_TELEPORT_ACK, 0x0520},
            {Opcode.CMSG_MOVE_TELEPORT_CHEAT, 0x0C0B},
            {Opcode.CMSG_MOVE_TIME_SKIPPED, 0x0903},
            {Opcode.CMSG_MOVE_TOGGLE_COLLISION_CHEAT, 0x0548},
            {Opcode.CMSG_MOVE_WATER_WALK_ACK, 0x0C07},
            {Opcode.CMSG_NEUTRAL_PLAYER_SELECT_FACTION, 0x0EC8},
            {Opcode.CMSG_NEXT_CINEMATIC_CAMERA, 0x0CE1},
            {Opcode.CMSG_OBJECT_UPDATE_FAILED, 0x0B2D},
            {Opcode.CMSG_OBJECT_UPDATE_RESCUED, 0x0A89},
            {Opcode.CMSG_OFFER_PETITION, 0x1A17},
            {Opcode.CMSG_OPENING_CINEMATIC, 0x0E0A},
            {Opcode.CMSG_OPEN_ITEM, 0x0354},
            {Opcode.CMSG_OPEN_MISSION_NPC, 0x0BA9},
            {Opcode.CMSG_OPEN_SHIPMENT_NPC, 0x074F},
            {Opcode.CMSG_OPEN_TRADESKILL_NPC, 0x06DB},
            {Opcode.CMSG_OPT_OUT_OF_LOOT, 0x1F89},
            {Opcode.CMSG_PARTY_INVITE, 0x12BD},
            {Opcode.CMSG_PARTY_INVITE_RESPONSE, 0x16BF},
            {Opcode.CMSG_PARTY_UNINVITE, 0x02B6},
            {Opcode.CMSG_PETITION_BUY, 0x1872},
            {Opcode.CMSG_PETITION_RENAME_GUILD, 0x0E37},
            {Opcode.CMSG_PETITION_SHOW_LIST, 0x0CF5},
            {Opcode.CMSG_PETITION_SHOW_SIGNATURES, 0x09B6},
            {Opcode.CMSG_PET_ABANDON, 0x09E1},
            {Opcode.CMSG_PET_ACTION, 0x09F5},
            {Opcode.CMSG_PET_BATTLE_FINAL_NOTIFY, 0x030D},
            {Opcode.CMSG_PET_BATTLE_INPUT, 0x071F},
            {Opcode.CMSG_PET_BATTLE_QUEUE_PROPOSE_MATCH_RESULT, 0x1ACF},
            {Opcode.CMSG_PET_BATTLE_QUIT_NOTIFY, 0x0B03},
            {Opcode.CMSG_PET_BATTLE_REPLACE_FRONT_PET, 0x0B35},
            {Opcode.CMSG_PET_BATTLE_REQUEST_PVP, 0x16C8},
            {Opcode.CMSG_PET_BATTLE_REQUEST_UPDATE, 0x0A5B},
            {Opcode.CMSG_PET_BATTLE_REQUEST_WILD, 0x1FAC},
            {Opcode.CMSG_PET_BATTLE_SCRIPT_ERROR_NOTIFY, 0x0EAB},
            {Opcode.CMSG_PET_CANCEL_AURA, 0x01E9},
            {Opcode.CMSG_PET_CAST_SPELL, 0x1B0A},
            {Opcode.CMSG_PET_RENAME, 0x1618},
            {Opcode.CMSG_PET_SET_ACTION, 0x0C75},
            {Opcode.CMSG_PET_SPELL_AUTOCAST, 0x0CE5},
            {Opcode.CMSG_PET_STOP_ATTACK, 0x09A6},
            {Opcode.CMSG_PING, 0x12DE},
            {Opcode.CMSG_PLAYER_LOGIN, 0x0E98},
            {Opcode.CMSG_PROTOCOL_MISMATCH, 0x0356},
            {Opcode.CMSG_PUSH_QUEST_TO_PARTY, 0x0DE1},
            {Opcode.CMSG_PVP_LOG_DATA, 0x0E08},
            {Opcode.CMSG_QUERY_BATTLE_PET_NAME, 0x0AFC},
            {Opcode.CMSG_QUERY_CORPSE_LOCATION_FROM_CLIENT, 0x03B7},
            {Opcode.CMSG_QUERY_CORPSE_TRANSPORT, 0x1215},
            {Opcode.CMSG_QUERY_COUNTDOWN_TIMER, 0x06F1},
            {Opcode.CMSG_QUERY_CREATURE, 0x0FD3},
            {Opcode.CMSG_QUERY_GAME_OBJECT, 0x06C8},
            {Opcode.CMSG_QUERY_GARRISON_CREATURE_NAME, 0x0F28},
            {Opcode.CMSG_QUERY_GUILD_INFO, 0x12BE},
            {Opcode.CMSG_QUERY_INSPECT_ACHIEVEMENTS, 0x014E},
            {Opcode.CMSG_QUERY_NEXT_MAIL_TIME, 0x08B6},
            {Opcode.CMSG_QUERY_NPC_TEXT, 0x1E24},
            {Opcode.CMSG_QUERY_PAGE_TEXT, 0x1AA2},
            {Opcode.CMSG_QUERY_PETITION, 0x0FAC},
            {Opcode.CMSG_QUERY_PET_NAME, 0x0E30},
            {Opcode.CMSG_QUERY_PLAYER_NAME, 0x0BBD},
            {Opcode.CMSG_QUERY_QUEST_COMPLETION_NPCS, 0x0489},
            {Opcode.CMSG_QUERY_QUEST_INFO, 0x0FA9},
            {Opcode.CMSG_QUERY_REALM_NAME, 0x0F9F},
            {Opcode.CMSG_QUERY_SCENARIO_POI, 0x161D},
            {Opcode.CMSG_QUERY_TIME, 0x0F0A},
            {Opcode.CMSG_QUERY_VOID_STORAGE, 0x03D3},
            {Opcode.CMSG_QUEST_CONFIRM_ACCEPT, 0x08A1},
            {Opcode.CMSG_QUEST_GIVER_ACCEPT_QUEST, 0x1865},
            {Opcode.CMSG_QUEST_GIVER_CHOOSE_REWARD, 0x0DA2},
            {Opcode.CMSG_QUEST_GIVER_COMPLETE_QUEST, 0x0CE6},
            {Opcode.CMSG_QUEST_GIVER_HELLO, 0x01CE},
            {Opcode.CMSG_QUEST_GIVER_QUERY_QUEST, 0x0DA6},
            {Opcode.CMSG_QUEST_GIVER_REQUEST_REWARD, 0x19F6},
            {Opcode.CMSG_QUEST_GIVER_STATUS_MULTIPLE_QUERY, 0x0DA5},
            {Opcode.CMSG_QUEST_GIVER_STATUS_QUERY, 0x0836},
            {Opcode.CMSG_QUEST_LOG_REMOVE_QUEST, 0x1DE1},
            {Opcode.CMSG_QUEST_POI_QUERY, 0x1240},
            {Opcode.CMSG_QUEST_PUSH_RESULT, 0x1F81},
            {Opcode.CMSG_QUEUED_MESSAGES_END, 0x027E},
            {Opcode.CMSG_RANDOM_ROLL, 0x179F},
            {Opcode.CMSG_READY_CHECK_RESPONSE, 0x07B5},
            {Opcode.CMSG_READ_ITEM, 0x042A},
            {Opcode.CMSG_RECLAIM_CORPSE, 0x0DB1},
            {Opcode.CMSG_RECRUIT_A_FRIEND, 0x0F3E},
            {Opcode.CMSG_REDEEM_WOW_TOKEN_CONFIRM, 0x06BD},
            {Opcode.CMSG_REDEEM_WOW_TOKEN_START, 0x03B5},
            {Opcode.CMSG_REORDER_CHARACTERS, 0x17B7},
            {Opcode.CMSG_REPAIR_ITEM, 0x19A2},
            {Opcode.CMSG_REPLACE_TROPHY, 0x0605},
            {Opcode.CMSG_REPOP_REQUEST, 0x0D36},
            {Opcode.CMSG_REPORT_PVP_PLAYER_AFK, 0x0F0C},
            {Opcode.CMSG_REQUEST_ACCOUNT_DATA, 0x0798},
            {Opcode.CMSG_REQUEST_BATTLEFIELD_STATUS, 0x039D},
            {Opcode.CMSG_REQUEST_CATEGORY_COOLDOWNS, 0x0ED3},
            {Opcode.CMSG_REQUEST_CEMETERY_LIST, 0x0FD0},
            {Opcode.CMSG_REQUEST_CONQUEST_FORMULA_CONSTANTS, 0x1B8A},
            {Opcode.CMSG_REQUEST_FORCED_REACTIONS, 0x1AAC},
            {Opcode.CMSG_REQUEST_GUILD_PARTY_STATE, 0x0B5B},
            {Opcode.CMSG_REQUEST_GUILD_REWARDS_LIST, 0x0F2F},
            {Opcode.CMSG_REQUEST_HONOR_STATS, 0x1207},
            {Opcode.CMSG_REQUEST_LFG_LIST_BLACKLIST, 0x0A02},
            {Opcode.CMSG_REQUEST_PARTY_JOIN_UPDATES, 0x0620},
            {Opcode.CMSG_REQUEST_PARTY_MEMBER_STATS, 0x0EB8},
            {Opcode.CMSG_REQUEST_PET_INFO, 0x19F5},
            {Opcode.CMSG_REQUEST_PLAYED_TIME, 0x0750},
            {Opcode.CMSG_REQUEST_PVP_REWARDS, 0x06DC},
            {Opcode.CMSG_REQUEST_RAID_INFO, 0x0A96},
            {Opcode.CMSG_REQUEST_RATED_BATTLEFIELD_INFO, 0x0A40},
            {Opcode.CMSG_REQUEST_RESEARCH_HISTORY, 0x0EA9},
            {Opcode.CMSG_REQUEST_STABLED_PETS, 0x01CA},
            {Opcode.CMSG_REQUEST_VEHICLE_EXIT, 0x054D},
            {Opcode.CMSG_REQUEST_VEHICLE_NEXT_SEAT, 0x0FA3},
            {Opcode.CMSG_REQUEST_VEHICLE_PREV_SEAT, 0x1E2A},
            {Opcode.CMSG_REQUEST_VEHICLE_SWITCH_SEAT, 0x0E7C},
            {Opcode.CMSG_REQUEST_WOW_TOKEN_MARKET_PRICE, 0x0718},
            {Opcode.CMSG_RESET_CHALLENGE_MODE, 0x1248},
            {Opcode.CMSG_RESET_INSTANCES, 0x0A97},
            {Opcode.CMSG_RESURRECT_RESPONSE, 0x033E},
            {Opcode.CMSG_REVERT_MONUMENT_APPEARANCE, 0x0679},
            {Opcode.CMSG_RIDE_VEHICLE_INTERACT, 0x1ED0},
            {Opcode.CMSG_SAVE_CUF_PROFILES, 0x0EC7},
            {Opcode.CMSG_SAVE_EQUIPMENT_SET, 0x09E2},
            {Opcode.CMSG_SAVE_GUILD_EMBLEM, 0x0B0C},
            {Opcode.CMSG_SCENE_PLAYBACK_CANCELED, 0x0A8C},
            {Opcode.CMSG_SCENE_PLAYBACK_COMPLETE, 0x0BD0},
            {Opcode.CMSG_SCENE_TRIGGER_EVENT, 0x0589},
            {Opcode.CMSG_SELF_RES, 0x1E0B},
            {Opcode.CMSG_SELL_ITEM, 0x1931},
            {Opcode.CMSG_SELL_WOW_TOKEN_CONFIRM, 0x031E},
            {Opcode.CMSG_SELL_WOW_TOKEN_START, 0x0FB8},
            {Opcode.CMSG_SEND_CONTACT_LIST, 0x0EC0},
            {Opcode.CMSG_SEND_MAIL, 0x0240},
            {Opcode.CMSG_SEND_SOR_REQUEST_VIA_ADDRESS, 0x1335},
            {Opcode.CMSG_SEND_SOR_REQUEST_VIA_BNET_ACCOUNT_ID, 0x0AB5},
            {Opcode.CMSG_SEND_TEXT_EMOTE, 0x01EE},
            {Opcode.CMSG_SET_ACHIEVEMENTS_HIDDEN, 0x16D0},
            {Opcode.CMSG_SET_ACTION_BAR_TOGGLES, 0x0F81},
            {Opcode.CMSG_SET_ACTION_BUTTON, 0x133F},
            {Opcode.CMSG_SET_ACTIVE_MOVER, 0x0108},
            {Opcode.CMSG_SET_ACTIVE_VOICE_CHANNEL, 0x0298},
            {Opcode.CMSG_SET_ADVANCED_COMBAT_LOGGING, 0x035A},
            {Opcode.CMSG_SET_ASSISTANT_LEADER, 0x0395},
            {Opcode.CMSG_SET_BACKPACK_AUTOSORT_DISABLED, 0x0AF9},
            {Opcode.CMSG_SET_BANK_AUTOSORT_DISABLED, 0x0BA3},
            {Opcode.CMSG_CHANGE_BANK_BAG_SLOT_FLAG, 0x0B72},
            {Opcode.CMSG_SET_CONTACT_NOTES, 0x0B3D},
            {Opcode.CMSG_SET_CURRENCY_FLAGS, 0x065C},
            {Opcode.CMSG_SET_DIFFICULTY_ID, 0x0BD3},
            {Opcode.CMSG_SET_DUNGEON_DIFFICULTY, 0x0E16},
            {Opcode.CMSG_SET_EVERYONE_IS_ASSISTANT, 0x1716},
            {Opcode.CMSG_SET_FACTION_AT_WAR, 0x1C66},
            {Opcode.CMSG_SET_FACTION_INACTIVE, 0x1862},
            {Opcode.CMSG_SET_FACTION_NOT_AT_WAR, 0x0DF2},
            {Opcode.CMSG_SET_INSERT_ITEMS_LEFT_TO_RIGHT, 0x12DB},
            {Opcode.CMSG_SET_LFG_BONUS_FACTION_ID, 0x0252},
            {Opcode.CMSG_SET_LOOT_METHOD, 0x0E3E},
            {Opcode.CMSG_SET_LOOT_SPECIALIZATION, 0x0D72},
            {Opcode.CMSG_SET_PARTY_ASSIGNMENT, 0x0AB8},
            {Opcode.CMSG_SET_PARTY_LEADER, 0x131D},
            {Opcode.CMSG_SET_PET_SLOT, 0x1B02},
            {Opcode.CMSG_SET_PLAYER_DECLINED_NAMES, 0x1617},
            {Opcode.CMSG_SET_PREFERRED_CEMETERY, 0x07DA},
            {Opcode.CMSG_SET_PVP, 0x1BC7},
            {Opcode.CMSG_SET_RAID_DIFFICULTY, 0x0397},
            {Opcode.CMSG_SET_ROLE, 0x0398},
            {Opcode.CMSG_SET_SAVED_INSTANCE_EXTEND, 0x0B97},
            {Opcode.CMSG_SET_SELECTION, 0x0E8C},
            {Opcode.CMSG_SET_SHEATHED, 0x1CB1},
            {Opcode.CMSG_SET_SORT_BAGS_RIGHT_TO_LEFT, 0x1F2C},
            {Opcode.CMSG_SET_SPECIALIZATION, 0x0759},
            {Opcode.CMSG_SET_TAXI_BENCHMARK_MODE, 0x0CF6},
            {Opcode.CMSG_SET_TITLE, 0x1650},
            {Opcode.CMSG_SET_TRADE_CURRENCY, 0x06F2},
            {Opcode.CMSG_SET_TRADE_GOLD, 0x0E5A},
            {Opcode.CMSG_SET_TRADE_ITEM, 0x0626},
            {Opcode.CMSG_SET_USING_PARTY_GARRISON, 0x1A26},
            {Opcode.CMSG_SET_WATCHED_FACTION, 0x1E82},
            {Opcode.CMSG_SHOWING_CLOAK, 0x0F04},
            {Opcode.CMSG_SHOWING_HELM, 0x0C36},
            {Opcode.CMSG_SHOW_TRADE_SKILL, 0x1735},
            {Opcode.CMSG_SIGN_PETITION, 0x18E5},
            {Opcode.CMSG_SILENCE_PARTY_TALKER, 0x1A36},
            {Opcode.CMSG_SOCKET_GEMS, 0x0F8B},
            {Opcode.CMSG_SORT_BAGS, 0x0AF1},
            {Opcode.CMSG_SORT_BANK_BAGS, 0x0659},
            {Opcode.CMSG_SORT_REAGENT_BANK_BAGS, 0x06D2},
            {Opcode.CMSG_SPELL_CLICK, 0x1DB2},
            {Opcode.CMSG_SPIRIT_HEALER_ACTIVATE, 0x1E8A},
            {Opcode.CMSG_SPLIT_ITEM, 0x052B},
            {Opcode.CMSG_STAND_STATE_CHANGE, 0x01AD},
            {Opcode.CMSG_START_SPECTATOR_WAR_GAME, 0x16B5},
            {Opcode.CMSG_START_WAR_GAME, 0x12BF},
            {Opcode.CMSG_SUMMON_RESPONSE, 0x0740},
            {Opcode.CMSG_SUPPORT_TICKET_SUBMIT_BUG, 0x06B6},
            {Opcode.CMSG_SUPPORT_TICKET_SUBMIT_COMPLAINT, 0x16C0},
            {Opcode.CMSG_SUPPORT_TICKET_SUBMIT_SUGGESTION, 0x1A16},
            {Opcode.CMSG_SUSPEND_COMMS_ACK, 0x1375},
            {Opcode.CMSG_SUSPEND_TOKEN_RESPONSE, 0x1255},
            {Opcode.CMSG_SWAP_INV_ITEM, 0x003C},
            {Opcode.CMSG_SWAP_ITEM, 0x0438},
            {Opcode.CMSG_SWAP_SUB_GROUPS, 0x0F98},
            {Opcode.CMSG_SWAP_VOID_ITEM, 0x0B02},
            {Opcode.CMSG_TABARD_VENDOR_ACTIVATE, 0x07FC},
            {Opcode.CMSG_TALK_TO_GOSSIP, 0x1C22},
            {Opcode.CMSG_TAXI_NODE_STATUS_QUERY, 0x0CF1},
            {Opcode.CMSG_TAXI_QUERY_AVAILABLE_NODES, 0x0E02},
            {Opcode.CMSG_TAXI_REQUEST_EARLY_LANDING, 0x0DE6},
            {Opcode.CMSG_TELEPORT_TO_UNIT, 0x069D},
            {Opcode.CMSG_TIME_ADJUSTMENT_RESPONSE, 0x0554},
            {Opcode.CMSG_TIME_SYNC_RESPONSE, 0x0550},
            {Opcode.CMSG_TIME_SYNC_RESPONSE_DROPPED, 0x040B},
            {Opcode.CMSG_TIME_SYNC_RESPONSE_FAILED, 0x0153},
            {Opcode.CMSG_TOGGLE_DIFFICULTY, 0x0FC0},
            {Opcode.CMSG_TOGGLE_PVP, 0x1BAB},
            {Opcode.CMSG_TOTEM_DESTROYED, 0x19B5},
            {Opcode.CMSG_TOY_SET_FAVORITE, 0x02BE},
            {Opcode.CMSG_TRAINER_BUY_SPELL, 0x0921},
            {Opcode.CMSG_TRAINER_LIST, 0x0D21},
            {Opcode.CMSG_TRANSMOGRIFY_ITEMS, 0x03F1},
            {Opcode.CMSG_TURN_IN_PETITION, 0x0DF5},
            {Opcode.CMSG_TUTORIAL_FLAG, 0x0E9F},
            {Opcode.CMSG_TWITTER_CHECK_STATUS, 0x0CDE},
            {Opcode.CMSG_TWITTER_CONNECT, 0x089D},
            {Opcode.CMSG_TWITTER_DISCONNECT, 0x0D1A},
            {Opcode.CMSG_TWITTER_POST, 0x0FA2},
            {Opcode.CMSG_UI_TIME_REQUEST, 0x0316},
            {Opcode.CMSG_UNACCEPT_TRADE, 0x0AD1},
            {Opcode.CMSG_UNDELETE_CHARACTER, 0x1296},
            {Opcode.CMSG_UNLEARN_SKILL, 0x0931},
            {Opcode.CMSG_UNLEARN_SPECIALIZATION, 0x0708},
            {Opcode.CMSG_UNLOCK_VOID_STORAGE, 0x0AA1},
            {Opcode.CMSG_UPDATE_ACCOUNT_DATA, 0x1637},
            {Opcode.CMSG_UPDATE_CLIENT_SETTINGS, 0x0218},
            {Opcode.CMSG_UPDATE_MISSILE_TRAJECTORY, 0x025A},
            {Opcode.CMSG_UPDATE_RAID_TARGET, 0x17A0},
            {Opcode.CMSG_UPDATE_WOW_TOKEN_AUCTIONABLE_LIST, 0x1795},
            {Opcode.CMSG_UPDATE_WOW_TOKEN_COUNT, 0x0A16},
            {Opcode.CMSG_UPGRADE_GARRISON, 0x1B82},
            {Opcode.CMSG_UPGRADE_ITEM, 0x0AA4},
            {Opcode.CMSG_USED_FOLLOW, 0x054E},
            {Opcode.CMSG_USE_CRITTER_ITEM, 0x0ADC},
            {Opcode.CMSG_USE_EQUIPMENT_SET, 0x083C},
            {Opcode.CMSG_USE_ITEM, 0x06D0},
            {Opcode.CMSG_USE_TOY, 0x0B48},
            {Opcode.CMSG_VIOLENCE_LEVEL, 0x0F48},
            {Opcode.CMSG_VOICE_ADD_IGNORE, 0x033D},
            {Opcode.CMSG_VOICE_DEL_IGNORE, 0x0E95},
            {Opcode.CMSG_VOICE_SESSION_ENABLE, 0x1238},
            {Opcode.CMSG_VOID_STORAGE_TRANSFER, 0x0E07},
            {Opcode.CMSG_WARDEN_DATA, 0x02B8},
            {Opcode.CMSG_WHO, 0x079E},
            {Opcode.CMSG_WHO_IS, 0x17BF},
            {Opcode.CMSG_WORLD_PORT_RESPONSE, 0x061D},
            {Opcode.CMSG_WORLD_TELEPORT, 0x0E97},
            {Opcode.CMSG_WRAP_ITEM, 0x0528},
        };

        private static readonly BiDictionary<Opcode, int> ServerOpcodes = new BiDictionary<Opcode, int>
        {
            {Opcode.SMSG_ABORT_NEW_WORLD, 0x0740},
            {Opcode.SMSG_ACCOUNT_CRITERIA_UPDATE, 0x1635},
            {Opcode.SMSG_ACCOUNT_DATA_TIMES, 0x16B8},
            {Opcode.SMSG_ACCOUNT_HEIRLOOM_UPDATE, 0x1799},
            {Opcode.SMSG_ACCOUNT_MOUNT_UPDATE, 0x079D},
            {Opcode.SMSG_ACCOUNT_TOYS_UPDATE, 0x0E1D},
            {Opcode.SMSG_ACHIEVEMENT_DELETED, 0x1CF2},
            {Opcode.SMSG_ACHIEVEMENT_EARNED, 0x06C0},
            {Opcode.SMSG_ACTIVATE_TAXI_REPLY, 0x0C61},
            {Opcode.SMSG_ADDON_INFO, 0x1715},
            {Opcode.SMSG_ADD_BATTLENET_FRIEND_RESPONSE, 0x0F8B},
            {Opcode.SMSG_ADD_ITEM_PASSIVE, 0x1DB1},
            {Opcode.SMSG_ADD_LOSS_OF_CONTROL, 0x19E2},
            {Opcode.SMSG_ADD_RUNE_POWER, 0x1718},
            {Opcode.SMSG_ADJUST_SPLINE_DURATION, 0x0E97},
            {Opcode.SMSG_AE_LOOT_TARGETS, 0x1835},
            {Opcode.SMSG_AE_LOOT_TARGET_ACK, 0x1C72},
            {Opcode.SMSG_AI_REACTION, 0x1739},
            {Opcode.SMSG_ALL_ACCOUNT_CRITERIA, 0x0392},
            {Opcode.SMSG_ALL_ACHIEVEMENT_DATA, 0x163D},
            {Opcode.SMSG_ALL_GUILD_ACHIEVEMENTS, 0x14AB},
            {Opcode.SMSG_ARCHAEOLOGY_SURVERY_CAST, 0x160F},
            {Opcode.SMSG_AREA_SPIRIT_HEALER_TIME, 0x02B7},
            {Opcode.SMSG_AREA_TRIGGER_DENIED, 0x1391},
            {Opcode.SMSG_AREA_TRIGGER_NO_CORPSE, 0x0297},
            {Opcode.SMSG_AREA_TRIGGER_RE_PATH, 0x1F09},
            {Opcode.SMSG_AREA_TRIGGER_RE_SHAPE, 0x1A0E},
            {Opcode.SMSG_ARENA_ERROR, 0x122E},
            {Opcode.SMSG_ARENA_PREP_OPPONENT_SPECIALIZATIONS, 0x1876},
            {Opcode.SMSG_ATTACKER_STATE_UPDATE, 0x0EBD},
            {Opcode.SMSG_ATTACK_START, 0x1971},
            {Opcode.SMSG_ATTACK_STOP, 0x17C0},
            {Opcode.SMSG_ATTACK_SWING_ERROR, 0x1D66},
            {Opcode.SMSG_ATTACK_SWING_LANDED_LOG, 0x1865},
            {Opcode.SMSG_AUCTION_CLOSED_NOTIFICATION, 0x0EA0},
            {Opcode.SMSG_AUCTION_COMMAND_RESULT, 0x13B6},
            {Opcode.SMSG_AUCTION_HELLO_RESPONSE, 0x1338},
            {Opcode.SMSG_AUCTION_LIST_BIDDER_ITEMS_RESULT, 0x02B9},
            {Opcode.SMSG_AUCTION_LIST_ITEMS_RESULT, 0x0E01},
            {Opcode.SMSG_AUCTION_LIST_OWNER_ITEMS_RESULT, 0x0FA0},
            {Opcode.SMSG_AUCTION_LIST_PENDING_SALES_RESULT, 0x0E1F},
            {Opcode.SMSG_AUCTION_OUTBID_NOTIFICATION, 0x073E},
            {Opcode.SMSG_AUCTION_OWNER_BID_NOTIFICATION, 0x0612},
            {Opcode.SMSG_AUCTION_REPLICATE_RESPONSE, 0x161D},
            {Opcode.SMSG_AUCTION_WON_NOTIFICATION, 0x161A},
            {Opcode.SMSG_AURA_POINTS_DEPLETED, 0x119D},
            {Opcode.SMSG_AURA_UPDATE, 0x1999},
            {Opcode.SMSG_AUTH_CHALLENGE, 0x007E},
            {Opcode.SMSG_AUTH_RESPONSE, 0x18F6},
            {Opcode.SMSG_AVAILABLE_VOICE_CHANNEL, 0x15C3},
            {Opcode.SMSG_BARBER_SHOP_RESULT, 0x1866},
            {Opcode.SMSG_BATTLEFIELD_LIST, 0x0338},
            {Opcode.SMSG_BATTLEFIELD_PORT_DENIED, 0x1E82},
            {Opcode.SMSG_BATTLEFIELD_STATUS_ACTIVE, 0x0B38},
            {Opcode.SMSG_BATTLEFIELD_STATUS_FAILED, 0x0715},
            {Opcode.SMSG_BATTLEFIELD_STATUS_NEED_CONFIRMATION, 0x1E8A},
            {Opcode.SMSG_BATTLEFIELD_STATUS_NONE, 0x07B7},
            {Opcode.SMSG_BATTLEFIELD_STATUS_QUEUED, 0x163F},
            {Opcode.SMSG_BATTLEFIELD_STATUS_WAIT_FOR_GROUPS, 0x0791},
            {Opcode.SMSG_BATTLEGROUND_INFO_THROTTLED, 0x12A0},
            {Opcode.SMSG_BATTLEGROUND_INIT, 0x1961},
            {Opcode.SMSG_BATTLEGROUND_PLAYER_JOINED, 0x1C26},
            {Opcode.SMSG_BATTLEGROUND_PLAYER_LEFT, 0x0AA0},
            {Opcode.SMSG_BATTLEGROUND_PLAYER_POSITIONS, 0x0976},
            {Opcode.SMSG_BATTLEGROUND_POINTS, 0x0617},
            {Opcode.SMSG_BATTLENET_CHALLENGE_ABORT, 0x0312},
            {Opcode.SMSG_BATTLENET_CHALLENGE_START, 0x0961},
            {Opcode.SMSG_BATTLE_PAY_ACK_FAILED, 0x09F6},
            {Opcode.SMSG_BATTLE_PAY_CONFIRM_PURCHASE, 0x1716},
            {Opcode.SMSG_BATTLE_PAY_DELIVERY_ENDED, 0x0DE1},
            {Opcode.SMSG_BATTLE_PAY_DELIVERY_STARTED, 0x058E},
            {Opcode.SMSG_BATTLE_PAY_DISTRIBUTION_UPDATE, 0x08B6},
            {Opcode.SMSG_BATTLE_PAY_GET_DISTRIBUTION_LIST_RESPONSE, 0x120E},
            {Opcode.SMSG_BATTLE_PAY_GET_PRODUCT_LIST_RESPONSE, 0x0CE1},
            {Opcode.SMSG_BATTLE_PAY_GET_PURCHASE_LIST_RESPONSE, 0x02C0},
            {Opcode.SMSG_BATTLE_PAY_PURCHASE_UPDATE, 0x1639},
            {Opcode.SMSG_BATTLE_PAY_START_DISTRIBUTION_ASSIGN_TO_TARGET_RESPONSE, 0x1212},
            {Opcode.SMSG_BATTLE_PAY_START_PURCHASE_RESPONSE, 0x0F04},
            {Opcode.SMSG_BATTLE_PETS_HEALED, 0x162E},
            {Opcode.SMSG_BATTLE_PET_CAGE_DATE_ERROR, 0x1972},
            {Opcode.SMSG_BATTLE_PET_DELETED, 0x0A40},
            {Opcode.SMSG_BATTLE_PET_ERROR, 0x1DB2},
            {Opcode.SMSG_BATTLE_PET_JOURNAL, 0x1C35},
            {Opcode.SMSG_BATTLE_PET_JOURNAL_LOCK_ACQUIRED, 0x023F},
            {Opcode.SMSG_BATTLE_PET_JOURNAL_LOCK_DENIED, 0x1346},
            {Opcode.SMSG_BATTLE_PET_LICENSE_CHANGED, 0x131A},
            {Opcode.SMSG_BATTLE_PET_RESTORED, 0x1D62},
            {Opcode.SMSG_BATTLE_PET_REVOKED, 0x0F0C},
            {Opcode.SMSG_BATTLE_PET_TRAP_LEVEL, 0x0638},
            {Opcode.SMSG_BATTLE_PET_UPDATES, 0x1340},
            {Opcode.SMSG_BF_MGR_DROP_TIMER_CANCELLED, 0x120D},
            {Opcode.SMSG_BF_MGR_DROP_TIMER_STARTED, 0x0F98},
            {Opcode.SMSG_BF_MGR_EJECTED, 0x121E},
            {Opcode.SMSG_BF_MGR_EJECT_PENDING, 0x0F95},
            {Opcode.SMSG_BF_MGR_ENTERING, 0x0299},
            {Opcode.SMSG_BF_MGR_ENTRY_INVITE, 0x18B1},
            {Opcode.SMSG_BF_MGR_QUEUE_INVITE, 0x0B17},
            {Opcode.SMSG_BF_MGR_QUEUE_REQUEST_RESPONSE, 0x1631},
            {Opcode.SMSG_BF_MGR_QUEUE_STATUS_UPDATE, 0x169A},
            {Opcode.SMSG_BF_MGR_STATE_CHANGED, 0x0316},
            {Opcode.SMSG_BINDER_CONFIRM, 0x19E5},
            {Opcode.SMSG_BIND_POINT_UPDATE, 0x0399},
            {Opcode.SMSG_BLACK_MARKET_BID_ON_ITEM_RESULT, 0x0DB2},
            {Opcode.SMSG_BLACK_MARKET_OPEN_RESULT, 0x18B5},
            {Opcode.SMSG_BLACK_MARKET_OUTBID, 0x18E6},
            {Opcode.SMSG_BLACK_MARKET_REQUEST_ITEMS_RESULT, 0x06B6},
            {Opcode.SMSG_BLACK_MARKET_WON, 0x1A45},
            {Opcode.SMSG_BONUS_ROLL_EMPTY, 0x0A46},
            {Opcode.SMSG_BOSS_KILL_CREDIT, 0x0395},
            {Opcode.SMSG_BREAK_TARGET, 0x0E02},
            {Opcode.SMSG_BUY_FAILED, 0x1337},
            {Opcode.SMSG_BUY_SUCCEEDED, 0x1320},
            {Opcode.SMSG_CACHE_VERSION, 0x0E09},
            {Opcode.SMSG_CALENDAR_CLEAR_PENDING_ACTION, 0x0932},
            {Opcode.SMSG_CALENDAR_COMMAND_RESULT, 0x0CE5},
            {Opcode.SMSG_CALENDAR_EVENT_INITIAL_INVITES, 0x1F82},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE, 0x0298},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_ALERT, 0x1797},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_MODERATOR_STATUS, 0x0835},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_NOTES, 0x0F01},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_NOTES_ALERT, 0x1922},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_REMOVED, 0x09A6},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_REMOVED_ALERT, 0x0A20},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_STATUS, 0x1637},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_STATUS_ALERT, 0x0738},
            {Opcode.SMSG_CALENDAR_EVENT_REMOVED_ALERT, 0x061D},
            {Opcode.SMSG_CALENDAR_EVENT_UPDATED_ALERT, 0x12B7},
            {Opcode.SMSG_CALENDAR_RAID_LOCKOUT_ADDED, 0x05AE},
            {Opcode.SMSG_CALENDAR_RAID_LOCKOUT_REMOVED, 0x07B9},
            {Opcode.SMSG_CALENDAR_RAID_LOCKOUT_UPDATED, 0x0CF5},
            {Opcode.SMSG_CALENDAR_SEND_CALENDAR, 0x0A1F},
            {Opcode.SMSG_CALENDAR_SEND_EVENT, 0x17BE},
            {Opcode.SMSG_CALENDAR_SEND_NUM_PENDING, 0x129E},
            {Opcode.SMSG_CAMERA_SHAKE, 0x1638},
            {Opcode.SMSG_CANCEL_AUTO_REPEAT, 0x1931},
            {Opcode.SMSG_CANCEL_COMBAT, 0x0220},
            {Opcode.SMSG_CANCEL_ORPHAN_SPELL_VISUAL, 0x10ED},
            {Opcode.SMSG_CANCEL_SCENE, 0x0AB8},
            {Opcode.SMSG_CANCEL_SPELL_VISUAL, 0x106D},
            {Opcode.SMSG_CANCEL_SPELL_VISUAL_KIT, 0x112E},
            {Opcode.SMSG_CAN_DUEL_RESULT, 0x1831},
            {Opcode.SMSG_CAST_FAILED, 0x1409},
            {Opcode.SMSG_CATEGORY_COOLDOWN, 0x15FA},
            {Opcode.SMSG_CHALLENGE_MODE_REWARDS, 0x08F5},
            {Opcode.SMSG_CHALLENGE_MODE_ALL_MAP_STATS, 0x0D22},
            {Opcode.SMSG_CHALLENGE_MODE_COMPLETE, 0x0A97},
            {Opcode.SMSG_CHALLENGE_MODE_MAP_STATS_UPDATE, 0x07C0},
            {Opcode.SMSG_CHALLENGE_MODE_NEW_PLAYER_RECORD, 0x13A0},
            {Opcode.SMSG_CHALLENGE_MODE_REQUEST_LEADERS_RESULT, 0x1976},
            {Opcode.SMSG_CHALLENGE_MODE_RESET, 0x1232},
            {Opcode.SMSG_CHALLENGE_MODE_START, 0x03B1},
            {Opcode.SMSG_CHANGE_PLAYER_DIFFICULTY_RESULT, 0x0921},
            {Opcode.SMSG_CHANNEL_LIST, 0x14CC},
            {Opcode.SMSG_CHANNEL_NOTIFY, 0x15EF},
            {Opcode.SMSG_CHANNEL_NOTIFY_JOINED, 0x14C3},
            {Opcode.SMSG_CHANNEL_NOTIFY_LEFT, 0x19CF},
            {Opcode.SMSG_CHARACTER_LOGIN_FAILED, 0x0FBD},
            {Opcode.SMSG_CHARACTER_OBJECT_TEST_RESPONSE, 0x0872},
            {Opcode.SMSG_CHARACTER_RENAME_RESULT, 0x1F81},
            {Opcode.SMSG_CHARACTER_UPGRADE_CHARACTER_CHOSEN, 0x0FBF},
            {Opcode.SMSG_CHARACTER_UPGRADE_COMPLETE, 0x063F},
            {Opcode.SMSG_CHARACTER_UPGRADE_SPELL_TIER_SET, 0x0339},
            {Opcode.SMSG_CHARACTER_UPGRADE_STARTED, 0x1732},
            {Opcode.SMSG_CHAR_CUSTOMIZE, 0x03B9},
            {Opcode.SMSG_CHAR_CUSTOMIZE_FAILED, 0x121A},
            {Opcode.SMSG_CHAR_FACTION_CHANGE_RESULT, 0x0F8A},
            {Opcode.SMSG_CHAT, 0x11E7},
            {Opcode.SMSG_CHAT_AUTO_RESPONDED, 0x14C7},
            {Opcode.SMSG_CHAT_DOWN, 0x14E7},
            {Opcode.SMSG_CHAT_IGNORED_ACCOUNT_MUTED, 0x19CB},
            {Opcode.SMSG_CHAT_IS_DOWN, 0x15EB},
            {Opcode.SMSG_CHAT_NOT_IN_PARTY, 0x19CC},
            {Opcode.SMSG_CHAT_PLAYER_AMBIGUOUS, 0x18E3},
            {Opcode.SMSG_CHAT_PLAYER_NOTFOUND, 0x19D0},
            {Opcode.SMSG_CHAT_RECONNECT, 0x14F0},
            {Opcode.SMSG_CHAT_RESTRICTED, 0x19E8},
            {Opcode.SMSG_CHAT_SERVER_MESSAGE, 0x14E3},
            {Opcode.SMSG_CHEAT_IGNORE_DIMISHING_RETURNS, 0x118E},
            {Opcode.SMSG_CHECK_WARGAME_ENTRY, 0x129F},
            {Opcode.SMSG_CHUNKED_PACKET, 0x005A},
            {Opcode.SMSG_CLEAR_ALL_SPELL_CHARGES, 0x152D},
            {Opcode.SMSG_CLEAR_BOSS_EMOTES, 0x18A1},
            {Opcode.SMSG_CLEAR_COOLDOWN, 0x0A38},
            {Opcode.SMSG_CLEAR_COOLDOWNS, 0x15ED},
            {Opcode.SMSG_CLEAR_LOSS_OF_CONTROL, 0x0636},
            {Opcode.SMSG_CLEAR_SPELL_CHARGES, 0x10AE},
            {Opcode.SMSG_CLEAR_TARGET, 0x1DF5},
            {Opcode.SMSG_COIN_REMOVED, 0x069D},
            {Opcode.SMSG_COMBAT_EVENT_FAILED, 0x0792},
            {Opcode.SMSG_COMMENTATOR_MAP_INFO, 0x02B6},
            {Opcode.SMSG_COMMENTATOR_PLAYER_INFO, 0x1A30},
            {Opcode.SMSG_COMMENTATOR_STATE_CHANGED, 0x0332},
            {Opcode.SMSG_COMPLAINT_RESULT, 0x1C71},
            {Opcode.SMSG_COMPLETE_SHIPMENT_RESPONSE, 0x0EBE},
            {Opcode.SMSG_COMPRESSED_PACKET, 0x007D},
            {Opcode.SMSG_CONNECT_TO, 0x0119},
            {Opcode.SMSG_CONQUEST_FORMULA_CONSTANTS, 0x1C75},
            {Opcode.SMSG_CONSOLE_WRITE, 0x169F},
            {Opcode.SMSG_CONTACT_LIST, 0x039F},
            {Opcode.SMSG_CONTROL_UPDATE, 0x0D32},
            {Opcode.SMSG_CONVERT_RUNE, 0x052E},
            {Opcode.SMSG_COOLDOWN_CHEAT, 0x029D},
            {Opcode.SMSG_COOLDOWN_EVENT, 0x0922},
            {Opcode.SMSG_CORPSE_LOCATION, 0x0ABF},
            {Opcode.SMSG_CORPSE_RECLAIM_DELAY, 0x02BA},
            {Opcode.SMSG_CORPSE_TRANSPORT_QUERY, 0x1E2E},
            {Opcode.SMSG_CREATE_CHAR, 0x16BA},
            {Opcode.SMSG_CREATE_SHIPMENT_RESPONSE, 0x0D61},
            {Opcode.SMSG_CRITERIA_DELETED, 0x1E2F},
            {Opcode.SMSG_CRITERIA_UPDATE, 0x0716},
            {Opcode.SMSG_CROSSED_INEBRIATION_THRESHOLD, 0x133A},
            {Opcode.SMSG_CUSTOM_LOAD_SCREEN, 0x1E0E},
            {Opcode.SMSG_DAILY_QUESTS_RESET, 0x055B},
            {Opcode.SMSG_DAMAGE_CALC_LOG, 0x123D},
            {Opcode.SMSG_DANCE_STUDIO_CREATE_RESULT, 0x09E6},
            {Opcode.SMSG_DB_REPLY, 0x09A5},
            {Opcode.SMSG_DEATH_RELEASE_LOC, 0x0A17},
            {Opcode.SMSG_DEFENSE_MESSAGE, 0x11E3},
            {Opcode.SMSG_DELETE_CHAR, 0x06B8},
            {Opcode.SMSG_DESTROY_ARENA_UNIT, 0x0826},
            {Opcode.SMSG_DESTRUCTIBLE_BUILDING_DAMAGE, 0x08B5},
            {Opcode.SMSG_DIFFERENT_INSTANCE_FROM_PARTY, 0x1DE5},
            {Opcode.SMSG_DISENCHANT_CREDIT, 0x19A1},
            {Opcode.SMSG_DISMOUNT, 0x03BF},
            {Opcode.SMSG_DISMOUNT_RESULT, 0x0C62},
            {Opcode.SMSG_DISPEL_FAILED, 0x148E},
            {Opcode.SMSG_DISPLAY_GAME_ERROR, 0x13B1},
            {Opcode.SMSG_DISPLAY_PLAYER_CHOICE, 0x0C76},
            {Opcode.SMSG_DISPLAY_PROMOTION, 0x0236},
            {Opcode.SMSG_DISPLAY_QUEST_POPUP, 0x0827},
            {Opcode.SMSG_DISPLAY_TOAST, 0x1CF1},
            {Opcode.SMSG_DONT_AUTO_PUSH_SPELLS_TO_ACTION_BAR, 0x162D},
            {Opcode.SMSG_DROP_NEW_CONNECTION, 0x011E},
            {Opcode.SMSG_DUEL_COMPLETE, 0x1E83},
            {Opcode.SMSG_DUEL_COUNTDOWN, 0x0318},
            {Opcode.SMSG_DUEL_IN_BOUNDS, 0x0796},
            {Opcode.SMSG_DUEL_OUT_OF_BOUNDS, 0x07B1},
            {Opcode.SMSG_DUEL_REQUESTED, 0x0BBF},
            {Opcode.SMSG_DUEL_WINNER, 0x1299},
            {Opcode.SMSG_DURABILITY_DAMAGE_DEATH, 0x1936},
            {Opcode.SMSG_EMOTE, 0x0FC0},
            {Opcode.SMSG_ENABLE_BARBER_SHOP, 0x17B1},
            {Opcode.SMSG_ENCHANTMENT_LOG, 0x0DA6},
            {Opcode.SMSG_ENCOUNTER_END, 0x0862},
            {Opcode.SMSG_ENCOUNTER_START, 0x171A},
            {Opcode.SMSG_ENUM_CHARACTERS_RESULT, 0x18F1},
            {Opcode.SMSG_ENVIRONMENTAL_DAMAGE_LOG, 0x183E},
            {Opcode.SMSG_EQUIPMENT_SET_ID, 0x03B7},
            {Opcode.SMSG_EXPECTED_SPAM_RECORDS, 0x18C3},
            {Opcode.SMSG_EXPLORATION_EXPERIENCE, 0x0692},
            {Opcode.SMSG_FACTION_BONUS_INFO, 0x0E89},
            {Opcode.SMSG_FAILED_PLAYER_CONDITION, 0x0A9E},
            {Opcode.SMSG_FEATURE_SYSTEM_STATUS, 0x0B3E},
            {Opcode.SMSG_FEATURE_SYSTEM_STATUS_GLUE_SCREEN, 0x0A1D},
            {Opcode.SMSG_FEIGN_DEATH_RESISTED, 0x1CE5},
            {Opcode.SMSG_FINAL_CHUNK, 0x001A},
            {Opcode.SMSG_FISH_ESCAPED, 0x0A3E},
            {Opcode.SMSG_FISH_NOT_HOOKED, 0x0231},
            {Opcode.SMSG_FLIGHT_SPLINE_SYNC, 0x1647},
            {Opcode.SMSG_FORCED_DEATH_UPDATE, 0x0346},
            {Opcode.SMSG_FORCE_ANIM, 0x0F37},
            {Opcode.SMSG_FORCE_OBJECT_RELINK, 0x173F},
            {Opcode.SMSG_FRIEND_STATUS, 0x0F03},
            {Opcode.SMSG_GAME_OBJECT_ACTIVATE_ANIM_KIT, 0x0DA5},
            {Opcode.SMSG_GAME_OBJECT_CUSTOM_ANIM, 0x0797},
            {Opcode.SMSG_GAME_OBJECT_DESPAWN, 0x0E0A},
            {Opcode.SMSG_GAME_OBJECT_PLAY_SPELL_VISUAL, 0x19AD},
            {Opcode.SMSG_GAME_OBJECT_PLAY_SPELL_VISUAL_KIT, 0x141D},
            {Opcode.SMSG_GAME_OBJECT_RESET_STATE, 0x1CB1},
            {Opcode.SMSG_GAME_SPEED_SET, 0x1331},
            {Opcode.SMSG_GAME_TIME_SET, 0x0F9F},
            {Opcode.SMSG_GAME_TIME_UPDATE, 0x0D76},
            {Opcode.SMSG_GARRISON_ADD_FOLLOWER_RESULT, 0x08A3},
            {Opcode.SMSG_GARRISON_ADD_MISSION_RESULT, 0x01DB},
            {Opcode.SMSG_GARRISON_ASSIGN_FOLLOWER_TO_BUILDING_RESULT, 0x0187},
            {Opcode.SMSG_GARRISON_BUILDING_ACTIVATED, 0x00AB},
            {Opcode.SMSG_GARRISON_BUILDING_LANDMARKS, 0x0987},
            {Opcode.SMSG_GARRISON_BUILDING_REMOVED, 0x08F7},
            {Opcode.SMSG_GARRISON_BUILDING_SET_ACTIVE_SPECIALIZATION_RESULT, 0x00F8},
            {Opcode.SMSG_GARRISON_COMPLETE_MISSION_RESULT, 0x00F7},
            {Opcode.SMSG_GARRISON_CREATE_RESULT, 0x01BB},
            {Opcode.SMSG_GARRISON_DELETE_RESULT, 0x01FC},
            {Opcode.SMSG_GARRISON_FOLLOWER_CHANGED_ITEM_LEVEL, 0x01B4},
            {Opcode.SMSG_GARRISON_FOLLOWER_CHANGED_ABILITIES, 0x0093},
            {Opcode.SMSG_GARRISON_FOLLOWER_CHANGED_XP, 0x00AC},
            {Opcode.SMSG_GARRISON_IS_UPGRADEABLE_RESULT, 0x01A8},
            {Opcode.SMSG_GARRISON_LANDING_PAGE_SHIPMENT_INFO, 0x1CA5},
            {Opcode.SMSG_GARRISON_LEARN_BLUEPRINT_RESULT, 0x08D8},
            {Opcode.SMSG_GARRISON_LEARN_SPECIALIZATION_RESULT, 0x08AB},
            {Opcode.SMSG_GARRISON_LIST_FOLLOWERS_CHEAT_RESULT, 0x01FB},
            {Opcode.SMSG_GARRISON_LIST_MISSIONS_CHEAT_RESULT, 0x08C3},
            {Opcode.SMSG_GARRISON_MISSION_BONUS_ROLL_RESULT, 0x019C},
            {Opcode.SMSG_GARRISON_NUM_FOLLOWER_ACTIVATIONS_REMAINING, 0x088F},
            {Opcode.SMSG_GARRISON_OPEN_ARCHITECT, 0x08FB},
            {Opcode.SMSG_GARRISON_OPEN_MISSION_NPC, 0x08C0},
            {Opcode.SMSG_GARRISON_OPEN_TRADESKILL_NPC, 0x018F},
            {Opcode.SMSG_GARRISON_PLACE_BUILDING_RESULT, 0x08A4},
            {Opcode.SMSG_GARRISON_PLOT_PLACED, 0x00E7},
            {Opcode.SMSG_GARRISON_PLOT_REMOVED, 0x01AB},
            {Opcode.SMSG_GARRISON_RECRUITMENT_FOLLOWERS_GENERATED, 0x0088},
            {Opcode.SMSG_GARRISON_RECRUIT_FOLLOWER_RESULT, 0x01EC},
            {Opcode.SMSG_GARRISON_REMOTE_INFO, 0x01B0},
            {Opcode.SMSG_GARRISON_REMOVE_FOLLOWER_FROM_BUILDING_RESULT, 0x01AC},
            {Opcode.SMSG_GARRISON_REMOVE_FOLLOWER_RESULT, 0x098B},
            {Opcode.SMSG_GARRISON_REQUEST_BLUEPRINT_AND_SPECIALIZATION_DATA_RESULT, 0x08B4},
            {Opcode.SMSG_GARRISON_START_MISSION_RESULT, 0x01E0},
            {Opcode.SMSG_GARRISON_UNLEARN_BLUEPRINT_RESULT, 0x08EB},
            {Opcode.SMSG_GARRISON_UPGRADE_RESULT, 0x00B3},
            {Opcode.SMSG_GENERATE_RANDOM_CHARACTER_NAME_RESULT, 0x0216},
            {Opcode.SMSG_GET_ACCOUNT_CHARACTER_LIST_RESULT, 0x0DB6},
            {Opcode.SMSG_GET_DISPLAYED_TROPHY_LIST_RESPONSE, 0x01D4},
            {Opcode.SMSG_GET_GARRISON_INFO_RESULT, 0x0084},
            {Opcode.SMSG_GET_SHIPMENTS_OF_TYPE_RESPONSE, 0x1A10},
            {Opcode.SMSG_GET_SHIPMENT_INFO_RESPONSE, 0x1D35},
            {Opcode.SMSG_GET_TROPHY_LIST_RESPONSE, 0x0391},
            {Opcode.SMSG_GM_PLAYER_INFO, 0x0CB5},
            {Opcode.SMSG_GM_REQUEST_PLAYER_INFO, 0x0BC0},
            {Opcode.SMSG_GM_TICKET_CASE_STATUS, 0x17B7},
            {Opcode.SMSG_GM_TICKET_GET_TICKET_RESPONSE, 0x0B95},
            {Opcode.SMSG_GM_TICKET_RESOLVE_RESPONSE, 0x0A37},
            {Opcode.SMSG_GM_TICKET_RESPONSE, 0x07B6},
            {Opcode.SMSG_GM_TICKET_RESPONSE_ERROR, 0x08A2},
            {Opcode.SMSG_GM_TICKET_STATUS_UPDATE, 0x13B7},
            {Opcode.SMSG_GM_TICKET_SYSTEM_STATUS, 0x0B16},
            {Opcode.SMSG_GM_TICKET_UPDATE, 0x0925},
            {Opcode.SMSG_GOD_MODE, 0x0DE2},
            {Opcode.SMSG_GOSSIP_COMPLETE, 0x0010},
            {Opcode.SMSG_GOSSIP_MESSAGE, 0x0077},
            {Opcode.SMSG_GOSSIP_POI, 0x1CA1},
            {Opcode.SMSG_GROUP_ACTION_THROTTLED, 0x1F02},
            {Opcode.SMSG_GROUP_DECLINE, 0x139F},
            {Opcode.SMSG_GROUP_DESTROYED, 0x1395},
            {Opcode.SMSG_GROUP_NEW_LEADER, 0x0C32},
            {Opcode.SMSG_GROUP_UNINVITE, 0x1318},
            {Opcode.SMSG_GUILD_ACHIEVEMENT_DELETED, 0x11AB},
            {Opcode.SMSG_GUILD_ACHIEVEMENT_EARNED, 0x14B8},
            {Opcode.SMSG_GUILD_ACHIEVEMENT_MEMBERS, 0x10B3},
            {Opcode.SMSG_GUILD_BANK_LOG_QUERY_RESULTS, 0x10AB},
            {Opcode.SMSG_GUILD_BANK_QUERY_RESULTS, 0x1083},
            {Opcode.SMSG_GUILD_BANK_REMAINING_WITHDRAW_MONEY, 0x1588},
            {Opcode.SMSG_GUILD_BANK_TEXT_QUERY_RESULT, 0x10B8},
            {Opcode.SMSG_GUILD_CHALLENGE_COMPLETED, 0x14AF},
            {Opcode.SMSG_GUILD_CHALLENGE_UPDATE, 0x1183},
            {Opcode.SMSG_GUILD_CHANGE_NAME_RESULT, 0x11B4},
            {Opcode.SMSG_GUILD_COMMAND_RESULT, 0x10AC},
            {Opcode.SMSG_GUILD_CRITERIA_DELETED, 0x118F},
            {Opcode.SMSG_GUILD_CRITERIA_UPDATE, 0x14AC},
            {Opcode.SMSG_GUILD_EVENT_BANK_CONTENTS_CHANGED, 0x11AF},
            {Opcode.SMSG_GUILD_EVENT_BANK_MONEY_CHANGED, 0x10C0},
            {Opcode.SMSG_GUILD_EVENT_DISBANDED, 0x14A3},
            {Opcode.SMSG_GUILD_EVENT_LOG_QUERY_RESULTS, 0x119B},
            {Opcode.SMSG_GUILD_EVENT_MOTD, 0x10BF},
            {Opcode.SMSG_GUILD_EVENT_NEW_LEADER, 0x1587},
            {Opcode.SMSG_GUILD_EVENT_PLAYER_JOINED, 0x1198},
            {Opcode.SMSG_GUILD_EVENT_PLAYER_LEFT, 0x109B},
            {Opcode.SMSG_GUILD_EVENT_PRESENCE_CHANGE, 0x10AF},
            {Opcode.SMSG_GUILD_EVENT_RANKS_UPDATED, 0x11BC},
            {Opcode.SMSG_GUILD_EVENT_RANK_CHANGED, 0x10BC},
            {Opcode.SMSG_GUILD_EVENT_TAB_ADDED, 0x1084},
            {Opcode.SMSG_GUILD_EVENT_TAB_DELETED, 0x1190},
            {Opcode.SMSG_GUILD_EVENT_TAB_MODIFIED, 0x14A8},
            {Opcode.SMSG_GUILD_EVENT_TAB_TEXT_CHANGED, 0x1497},
            {Opcode.SMSG_GUILD_FLAGGED_FOR_RENAME, 0x14B3},
            {Opcode.SMSG_GUILD_INVITE, 0x11C0},
            {Opcode.SMSG_GUILD_INVITE_DECLINED, 0x10A7},
            {Opcode.SMSG_GUILD_INVITE_EXPIRED, 0x118B},
            {Opcode.SMSG_GUILD_KNOWN_RECIPES, 0x11A3},
            {Opcode.SMSG_GUILD_MEMBERS_WITH_RECIPE, 0x1090},
            {Opcode.SMSG_GUILD_MEMBER_DAILY_RESET, 0x148C},
            {Opcode.SMSG_GUILD_MEMBER_RECIPES, 0x1483},
            {Opcode.SMSG_GUILD_MEMBER_UPDATE_NOTE, 0x1187},
            {Opcode.SMSG_GUILD_MOVED, 0x11A8},
            {Opcode.SMSG_GUILD_MOVE_STARTING, 0x14A7},
            {Opcode.SMSG_GUILD_NAME_CHANGED, 0x1488},
            {Opcode.SMSG_GUILD_NEWS, 0x10A4},
            {Opcode.SMSG_GUILD_NEWS_DELETED, 0x149B},
            {Opcode.SMSG_GUILD_PARTY_STATE, 0x1094},
            {Opcode.SMSG_GUILD_PERMISSIONS_QUERY_RESULTS, 0x1097},
            {Opcode.SMSG_GUILD_RANKS, 0x14B0},
            {Opcode.SMSG_GUILD_REPUTATION_REACTION_CHANGED, 0x149F},
            {Opcode.SMSG_GUILD_RESET, 0x119C},
            {Opcode.SMSG_GUILD_REWARD_LIST, 0x1494},
            {Opcode.SMSG_GUILD_ROSTER, 0x1498},
            {Opcode.SMSG_GUILD_ROSTER_UPDATE, 0x1493},
            {Opcode.SMSG_GUILD_SEND_RANK_CHANGE, 0x10B7},
            {Opcode.SMSG_HEALTH_UPDATE, 0x07BD},
            {Opcode.SMSG_HIGHEST_THREAT_UPDATE, 0x0F35},
            {Opcode.SMSG_HOTFIX_NOTIFY, 0x1736},
            {Opcode.SMSG_HOTFIX_NOTIFY_BLOB, 0x1D71},
            {Opcode.SMSG_INCREASE_CAST_TIME_FOR_SPELL, 0x1C8E},
            {Opcode.SMSG_INITIALIZE_FACTIONS, 0x1C32},
            {Opcode.SMSG_INITIAL_SETUP, 0x0238},
            {Opcode.SMSG_INIT_WORLD_STATES, 0x09E1},
            {Opcode.SMSG_INSPECT_HONOR_STATS, 0x1740},
            {Opcode.SMSG_INSPECT_PVP, 0x12B9},
            {Opcode.SMSG_INSPECT_RESULT, 0x1D22},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_CHANGE_PRIORITY, 0x0C72},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_DISENGAGE_UNIT, 0x1DB6},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_END, 0x16B5},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_ENGAGE_UNIT, 0x08E6},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_GAIN_COMBAT_RESURRECTION_CHARGE, 0x0866},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_IN_COMBAT_RESURRECTION, 0x1717},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_OBJECTIVE_COMPLETE, 0x0735},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_OBJECTIVE_START, 0x0B3D},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_OBJECTIVE_UPDATE, 0x1219},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_PHASE_SHIFT_CHANGED, 0x0F89},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_START, 0x06B9},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_TIMER_START, 0x0619},
            {Opcode.SMSG_INSTANCE_GROUP_SIZE_CHANGED, 0x1C22},
            {Opcode.SMSG_INSTANCE_INFO, 0x12B5},
            {Opcode.SMSG_INSTANCE_RESET, 0x0825},
            {Opcode.SMSG_INSTANCE_RESET_FAILED, 0x0F40},
            {Opcode.SMSG_INSTANCE_SAVE_CREATED, 0x0DA2},
            {Opcode.SMSG_INVALIDATE_PLAYER, 0x0B9D},
            {Opcode.SMSG_INVALID_PROMOTION_CODE, 0x1A16},
            {Opcode.SMSG_INVENTORY_CHANGE_FAILURE, 0x07B5},
            {Opcode.SMSG_IS_QUEST_COMPLETE_RESPONSE, 0x0063},
            {Opcode.SMSG_ITEM_CHANGED, 0x19B5},
            {Opcode.SMSG_ITEM_COOLDOWN, 0x0D35},
            {Opcode.SMSG_ITEM_ENCHANT_TIME_UPDATE, 0x1E30},
            {Opcode.SMSG_ITEM_EXPIRE_PURCHASE_REFUND, 0x1798},
            {Opcode.SMSG_ITEM_PURCHASE_REFUND_RESULT, 0x1620},
            {Opcode.SMSG_ITEM_PUSH_RESULT, 0x0B15},
            {Opcode.SMSG_ITEM_TIME_UPDATE, 0x1DB5},
            {Opcode.SMSG_KICK_REASON, 0x042E},
            {Opcode.SMSG_LEARNED_SPELLS, 0x183D},
            {Opcode.SMSG_LEARN_TALENT_FAILED, 0x0B9E},
            {Opcode.SMSG_LEVEL_UP_INFO, 0x0B36},
            {Opcode.SMSG_LFG_BOOT_PLAYER, 0x0E11},
            {Opcode.SMSG_LFG_DISABLED, 0x0EBA},
            {Opcode.SMSG_LFG_JOIN_RESULT, 0x1B31},
            {Opcode.SMSG_LFG_LIST_JOIN_RESULT, 0x0B99},
            {Opcode.SMSG_LFG_LIST_SEARCH_RESULTS, 0x0B32},
            {Opcode.SMSG_LFG_LIST_SEARCH_STATUS, 0x1A9A},
            {Opcode.SMSG_LFG_LIST_UPDATE_BLACKLIST, 0x0F31},
            {Opcode.SMSG_LFG_LIST_UPDATE_STATUS, 0x0B12},
            {Opcode.SMSG_LFG_OFFER_CONTINUE, 0x0FB9},
            {Opcode.SMSG_LFG_PARTY_INFO, 0x1B39},
            {Opcode.SMSG_LFG_PLAYER_INFO, 0x0E32},
            {Opcode.SMSG_LFG_PLAYER_REWARD, 0x0E91},
            {Opcode.SMSG_LFG_PROPOSAL_UPDATE, 0x1B3A},
            {Opcode.SMSG_LFG_QUEUE_STATUS, 0x1A91},
            {Opcode.SMSG_LFG_READY_CHECK_RESULT, 0x0EB2},
            {Opcode.SMSG_LFG_READY_CHECK_UPDATE, 0x0F11},
            {Opcode.SMSG_LFG_ROLE_CHECK_UPDATE, 0x1A11},
            {Opcode.SMSG_LFG_SEARCH_RESULTS, 0x0E19},
            {Opcode.SMSG_LFG_SLOT_INVALID, 0x1AB9},
            {Opcode.SMSG_LFG_TELEPORT_DENIED, 0x0FB1},
            {Opcode.SMSG_LFG_UPDATE_STATUS, 0x1A92},
            {Opcode.SMSG_LF_GUILD_APPLICANT_LIST_CHANGED, 0x118C},
            {Opcode.SMSG_LF_GUILD_APPLICATIONS, 0x11BF},
            {Opcode.SMSG_LF_GUILD_APPLICATIONS_LIST_CHANGED, 0x1193},
            {Opcode.SMSG_LF_GUILD_BROWSE, 0x1197},
            {Opcode.SMSG_LF_GUILD_COMMAND_RESULT, 0x11A0},
            {Opcode.SMSG_LF_GUILD_POST, 0x10B0},
            {Opcode.SMSG_LF_GUILD_RECRUITS, 0x11BB},
            {Opcode.SMSG_LIVE_REGION_ACCOUNT_RESTORE_RESULT, 0x1A0D},
            {Opcode.SMSG_LIVE_REGION_CHARACTER_COPY_RESULT, 0x0E3D},
            {Opcode.SMSG_LIVE_REGION_GET_ACCOUNT_CHARACTER_LIST_RESULT, 0x18B2},
            {Opcode.SMSG_LOAD_CUF_PROFILES, 0x139A},
            {Opcode.SMSG_LOAD_EQUIPMENT_SET, 0x079E},
            {Opcode.SMSG_LOAD_SELECTED_TROPHY_RESULT, 0x1D72},
            {Opcode.SMSG_LOGIN_SET_TIME_SPEED, 0x0D65},
            {Opcode.SMSG_LOGIN_VERIFY_WORLD, 0x0A98},
            {Opcode.SMSG_LOGOUT_CANCEL_ACK, 0x08B2},
            {Opcode.SMSG_LOGOUT_COMPLETE, 0x0E95},
            {Opcode.SMSG_LOGOUT_RESPONSE, 0x0731},
            {Opcode.SMSG_LOG_XP_GAIN, 0x0E3E},
            {Opcode.SMSG_LOOT_ALL_PASSED, 0x0C26},
            {Opcode.SMSG_LOOT_CONTENTS, 0x02BF},
            {Opcode.SMSG_LOOT_ITEM_LIST, 0x061F},
            {Opcode.SMSG_LOOT_LIST, 0x08E2},
            {Opcode.SMSG_LOOT_MONEY_NOTIFY, 0x17A0},
            {Opcode.SMSG_LOOT_RELEASE, 0x06B7},
            {Opcode.SMSG_LOOT_RELEASE_ALL, 0x1C61},
            {Opcode.SMSG_LOOT_REMOVED, 0x0F15},
            {Opcode.SMSG_LOOT_RESPONSE, 0x122D},
            {Opcode.SMSG_LOOT_ROLL, 0x09B2},
            {Opcode.SMSG_LOOT_ROLLS_COMPLETE, 0x0219},
            {Opcode.SMSG_LOOT_ROLL_WON, 0x1296},
            {Opcode.SMSG_LOSS_OF_CONTROL_AURA_UPDATE, 0x0737},
            {Opcode.SMSG_MAIL_COMMAND_RESULT, 0x17BF},
            {Opcode.SMSG_MAIL_LIST_RESULT, 0x0871},
            {Opcode.SMSG_MAIL_QUERY_NEXT_TIME_RESULT, 0x0F8C},
            {Opcode.SMSG_MAP_OBJECTIVES_INIT, 0x1238},
            {Opcode.SMSG_MAP_OBJ_EVENTS, 0x161F},
            {Opcode.SMSG_MASTER_LOOT_CANDIDATE_LIST, 0x1821},
            {Opcode.SMSG_MESSAGE_BOX, 0x13BD},
            {Opcode.SMSG_MINIMAP_PING, 0x1697},
            {Opcode.SMSG_MIRROR_IMAGE_COMPONENTED_DATA, 0x159E},
            {Opcode.SMSG_MIRROR_IMAGE_CREATURE_DATA, 0x151A},
            {Opcode.SMSG_MISSILE_CANCEL, 0x1A17},
            {Opcode.SMSG_MODIFY_COOLDOWN, 0x0832},
            {Opcode.SMSG_MOTD, 0x18E8},
            {Opcode.SMSG_MOUNT_RESULT, 0x06BE},
            {Opcode.SMSG_MOVE_APPLY_MOVEMENT_FORCE, 0x1F50},
            {Opcode.SMSG_MOVE_DISABLE_COLLISION, 0x0A2A},
            {Opcode.SMSG_MOVE_DISABLE_GRAVITY, 0x1B81},
            {Opcode.SMSG_MOVE_DISABLE_TRANSITION_BETWEEN_SWIM_AND_FLY, 0x1EAC},
            {Opcode.SMSG_MOVE_ENABLE_COLLISION, 0x1E27},
            {Opcode.SMSG_MOVE_ENABLE_GRAVITY, 0x002D},
            {Opcode.SMSG_MOVE_ENABLE_TRANSITION_BETWEEN_SWIM_AND_FLY, 0x0BCF},
            {Opcode.SMSG_MOVE_KNOCK_BACK, 0x1BA3},
            {Opcode.SMSG_MOVE_REMOVE_MOVEMENT_FORCE, 0x000E},
            {Opcode.SMSG_MOVE_ROOT, 0x018A},
            {Opcode.SMSG_MOVE_SET_ACTIVE_MOVER, 0x025B},
            {Opcode.SMSG_MOVE_SET_CAN_FLY, 0x012A},
            {Opcode.SMSG_MOVE_SET_CAN_TURN_WHILE_FALLING, 0x0EA1},
            {Opcode.SMSG_MOVE_SET_COLLISION_HEIGHT, 0x1BA4},
            {Opcode.SMSG_MOVE_SET_COMPOUND_STATE, 0x02D0},
            {Opcode.SMSG_MOVE_SET_FEATHER_FALL, 0x0674},
            {Opcode.SMSG_MOVE_SET_FLIGHT_BACK_SPEED, 0x030D},
            {Opcode.SMSG_MOVE_SET_FLIGHT_SPEED, 0x046D},
            {Opcode.SMSG_MOVE_SET_HOVERING, 0x0B21},
            {Opcode.SMSG_MOVE_SET_IGNORE_MOVEMENT_FORCES, 0x1347},
            {Opcode.SMSG_MOVE_SET_LAND_WALK, 0x0AC7},
            {Opcode.SMSG_MOVE_SET_NORMAL_FALL, 0x04EE},
            {Opcode.SMSG_MOVE_SET_PITCH_RATE, 0x0B2C},
            {Opcode.SMSG_MOVE_SET_RUN_BACK_SPEED, 0x03DA},
            {Opcode.SMSG_MOVE_SET_RUN_SPEED, 0x1EA9},
            {Opcode.SMSG_MOVE_SET_SWIM_BACK_SPEED, 0x0605},
            {Opcode.SMSG_MOVE_SET_SWIM_SPEED, 0x1628},
            {Opcode.SMSG_MOVE_SET_TURN_RATE, 0x1E24},
            {Opcode.SMSG_MOVE_SET_VEHICLE_REC_ID, 0x1A29},
            {Opcode.SMSG_MOVE_SET_WALK_SPEED, 0x0F28},
            {Opcode.SMSG_MOVE_SET_WATER_WALK, 0x035C},
            {Opcode.SMSG_MOVE_SKIP_TIME, 0x0FCF},
            {Opcode.SMSG_MOVE_SPLINE_DISABLE_COLLISION, 0x1A8A},
            {Opcode.SMSG_MOVE_SPLINE_DISABLE_GRAVITY, 0x1A21},
            {Opcode.SMSG_MOVE_SPLINE_ENABLE_COLLISION, 0x0254},
            {Opcode.SMSG_MOVE_SPLINE_ENABLE_GRAVITY, 0x0252},
            {Opcode.SMSG_MOVE_SPLINE_ROOT, 0x02D1},
            {Opcode.SMSG_MOVE_SPLINE_SET_FEATHER_FALL, 0x0F30},
            {Opcode.SMSG_MOVE_SPLINE_SET_FLIGHT_BACK_SPEED, 0x1F22},
            {Opcode.SMSG_MOVE_SPLINE_SET_FLIGHT_SPEED, 0x1208},
            {Opcode.SMSG_MOVE_SPLINE_SET_FLYING, 0x0B2A},
            {Opcode.SMSG_MOVE_SPLINE_SET_HOVER, 0x1B21},
            {Opcode.SMSG_MOVE_SPLINE_SET_LAND_WALK, 0x1A28},
            {Opcode.SMSG_MOVE_SPLINE_SET_NORMAL_FALL, 0x037A},
            {Opcode.SMSG_MOVE_SPLINE_SET_PITCH_RATE, 0x02C8},
            {Opcode.SMSG_MOVE_SPLINE_SET_RUN_BACK_SPEED, 0x0305},
            {Opcode.SMSG_MOVE_SPLINE_SET_RUN_MODE, 0x1A8C},
            {Opcode.SMSG_MOVE_SPLINE_SET_RUN_SPEED, 0x164F},
            {Opcode.SMSG_MOVE_SPLINE_SET_SWIM_BACK_SPEED, 0x0A47},
            {Opcode.SMSG_MOVE_SPLINE_SET_SWIM_SPEED, 0x0E22},
            {Opcode.SMSG_MOVE_SPLINE_SET_TURN_RATE, 0x035B},
            {Opcode.SMSG_MOVE_SPLINE_SET_WALK_MODE, 0x0B09},
            {Opcode.SMSG_MOVE_SPLINE_SET_WALK_SPEED, 0x1205},
            {Opcode.SMSG_MOVE_SPLINE_SET_WATER_WALK, 0x0EAB},
            {Opcode.SMSG_MOVE_SPLINE_START_SWIM, 0x1A81},
            {Opcode.SMSG_MOVE_SPLINE_STOP_SWIM, 0x1A0B},
            {Opcode.SMSG_MOVE_SPLINE_UNROOT, 0x1BA2},
            {Opcode.SMSG_MOVE_SPLINE_UNSET_FLYING, 0x1A2C},
            {Opcode.SMSG_MOVE_SPLINE_UNSET_HOVER, 0x0E47},
            {Opcode.SMSG_MOVE_TELEPORT, 0x1206},
            {Opcode.SMSG_MOVE_UNROOT, 0x046E},
            {Opcode.SMSG_MOVE_UNSET_CAN_FLY, 0x03DC},
            {Opcode.SMSG_MOVE_UNSET_CAN_TURN_WHILE_FALLING, 0x124F},
            {Opcode.SMSG_MOVE_UNSET_HOVERING, 0x0651},
            {Opcode.SMSG_MOVE_UNSET_IGNORE_MOVEMENT_FORCES, 0x0F2B},
            {Opcode.SMSG_MOVE_UPDATE, 0x0F2C},
            {Opcode.SMSG_MOVE_UPDATE_APPLY_MOVEMENT_FORCE, 0x0705},
            {Opcode.SMSG_MOVE_UPDATE_COLLISION_HEIGHT, 0x1A04},
            {Opcode.SMSG_MOVE_UPDATE_FLIGHT_BACK_SPEED, 0x032E},
            {Opcode.SMSG_MOVE_UPDATE_FLIGHT_SPEED, 0x0628},
            {Opcode.SMSG_MOVE_UPDATE_KNOCK_BACK, 0x0273},
            {Opcode.SMSG_MOVE_UPDATE_PITCH_RATE, 0x1AAC},
            {Opcode.SMSG_MOVE_UPDATE_REMOVE_MOVEMENT_FORCE, 0x1F47},
            {Opcode.SMSG_MOVE_UPDATE_RUN_BACK_SPEED, 0x1B82},
            {Opcode.SMSG_MOVE_UPDATE_RUN_SPEED, 0x06DA},
            {Opcode.SMSG_MOVE_UPDATE_SWIM_BACK_SPEED, 0x0B06},
            {Opcode.SMSG_MOVE_UPDATE_SWIM_SPEED, 0x1A83},
            {Opcode.SMSG_MOVE_UPDATE_TELEPORT, 0x1F21},
            {Opcode.SMSG_MOVE_UPDATE_TURN_RATE, 0x000A},
            {Opcode.SMSG_MOVE_UPDATE_WALK_SPEED, 0x1F29},
            {Opcode.SMSG_MULTIPLE_PACKETS, 0x0039},
            {Opcode.SMSG_NEUTRAL_PLAYER_FACTION_SELECT_RESULT, 0x1332},
            {Opcode.SMSG_NEW_TAXI_PATH, 0x06BA},
            {Opcode.SMSG_NEW_WORLD, 0x0A15},
            {Opcode.SMSG_NOTIFY_DEST_LOC_SPELL_CAST, 0x1589},
            {Opcode.SMSG_NOTIFY_MISSILE_TRAJECTORY_COLLISION, 0x073F},
            {Opcode.SMSG_NOTIFY_MONEY, 0x0B1E},
            {Opcode.SMSG_NOTIFY_RECEIVED_MAIL, 0x18E2},
            {Opcode.SMSG_OFFER_PETITION_ERROR, 0x1DA2},
            {Opcode.SMSG_ON_CANCEL_EXPECTED_RIDE_VEHICLE_AURA, 0x0C66},
            {Opcode.SMSG_ON_MONSTER_MOVE, 0x0EA9},
            {Opcode.SMSG_OPEN_CONTAINER, 0x0235},
            {Opcode.SMSG_OPEN_LFG_DUNGEON_FINDER, 0x0E99},
            {Opcode.SMSG_OPEN_SHIPMENT_NPC_FROM_GOSSIP, 0x1712},
            {Opcode.SMSG_OPEN_SHIPMENT_NPC_RESULT, 0x1230},
            {Opcode.SMSG_OVERRIDE_LIGHT, 0x0936},
            {Opcode.SMSG_PAGE_TEXT, 0x0E03},
            {Opcode.SMSG_PARTY_COMMAND_RESULT, 0x13B5},
            {Opcode.SMSG_PARTY_INVITE, 0x0E83},
            {Opcode.SMSG_PARTY_KILL_LOG, 0x120F},
            {Opcode.SMSG_PARTY_MEMBER_STATE, 0x0335},
            {Opcode.SMSG_PARTY_UPDATE, 0x0F02},
            {Opcode.SMSG_PAUSE_MIRROR_TIMER, 0x029F},
            {Opcode.SMSG_PENDING_RAID_LOCK, 0x071D},
            {Opcode.SMSG_PETITION_ALREADY_SIGNED, 0x0F18},
            {Opcode.SMSG_PETITION_RENAME_GUILD_RESPONSE, 0x1484},
            {Opcode.SMSG_PETITION_SHOW_LIST, 0x0B1F},
            {Opcode.SMSG_PETITION_SHOW_SIGNATURES, 0x1CA2},
            {Opcode.SMSG_PETITION_SIGN_RESULTS, 0x1C31},
            {Opcode.SMSG_PET_ACTION_FEEDBACK, 0x1692},
            {Opcode.SMSG_PET_ACTION_SOUND, 0x0875},
            {Opcode.SMSG_PET_ADDED, 0x0F83},
            {Opcode.SMSG_PET_BATTLE_CHAT_RESTRICTED, 0x1396},
            {Opcode.SMSG_PET_BATTLE_DEBUG_QUEUE_DUMP_RESPONSE, 0x1F01},
            {Opcode.SMSG_PET_BATTLE_FINALIZE_LOCATION, 0x0A35},
            {Opcode.SMSG_PET_BATTLE_FINAL_ROUND, 0x18B6},
            {Opcode.SMSG_PET_BATTLE_FINISHED, 0x19B6},
            {Opcode.SMSG_PET_BATTLE_FIRST_ROUND, 0x08A1},
            {Opcode.SMSG_PET_BATTLE_INITIAL_UPDATE, 0x17B6},
            {Opcode.SMSG_PET_BATTLE_MAX_GAME_LENGTH_WARNING, 0x0962},
            {Opcode.SMSG_PET_BATTLE_PVP_CHALLENGE, 0x1A2F},
            {Opcode.SMSG_PET_BATTLE_QUEUE_PROPOSE_MATCH, 0x1C76},
            {Opcode.SMSG_PET_BATTLE_QUEUE_STATUS, 0x1612},
            {Opcode.SMSG_PET_BATTLE_REPLACEMENTS_MADE, 0x0E9E},
            {Opcode.SMSG_PET_BATTLE_REQUEST_FAILED, 0x0EB5},
            {Opcode.SMSG_PET_BATTLE_ROUND_RESULT, 0x0292},
            {Opcode.SMSG_PET_BATTLE_SLOT_UPDATES, 0x1D21},
            {Opcode.SMSG_PET_CAST_FAILED, 0x108D},
            {Opcode.SMSG_PET_CLEAR_SPELLS, 0x193A},
            {Opcode.SMSG_PET_DISMISS_SOUND, 0x0237},
            {Opcode.SMSG_PET_GOD_MODE, 0x1C66},
            {Opcode.SMSG_PET_GUIDS, 0x0245},
            {Opcode.SMSG_PET_LEARNED_SPELLS, 0x1099},
            {Opcode.SMSG_PET_MODE, 0x1F0B},
            {Opcode.SMSG_PET_NAME_INVALID, 0x0975},
            {Opcode.SMSG_PET_SLOT_UPDATED, 0x0640},
            {Opcode.SMSG_PET_SPELLS_MESSAGE, 0x14CA},
            {Opcode.SMSG_PET_STABLE_LIST, 0x0D36},
            {Opcode.SMSG_PET_STABLE_RESULT, 0x0E0C},
            {Opcode.SMSG_PET_TAME_FAILURE, 0x0616},
            {Opcode.SMSG_PET_UNLEARNED_SPELLS, 0x15CD},
            {Opcode.SMSG_PHASE_SHIFT_CHANGE, 0x18A6},
            {Opcode.SMSG_PLAYED_TIME, 0x1875},
            {Opcode.SMSG_PLAYER_BOUND, 0x1935},
            {Opcode.SMSG_PLAYER_SAVE_GUILD_EMBLEM, 0x148B},
            {Opcode.SMSG_PLAYER_SKINNED, 0x0D21},
            {Opcode.SMSG_PLAYER_TABARD_VENDOR_ACTIVATE, 0x139E},
            {Opcode.SMSG_PLAY_MUSIC, 0x09F1},
            {Opcode.SMSG_PLAY_OBJECT_SOUND, 0x16BF},
            {Opcode.SMSG_PLAY_ONE_SHOT_ANIM_KIT, 0x0FB6},
            {Opcode.SMSG_PLAY_ORPHAN_SPELL_VISUAL, 0x191E},
            {Opcode.SMSG_PLAY_SCENE, 0x09B1},
            {Opcode.SMSG_PLAY_SOUND, 0x1298},
            {Opcode.SMSG_PLAY_SPEAKERBOT_SOUND, 0x0F81},
            {Opcode.SMSG_PLAY_SPELL_VISUAL, 0x11EA},
            {Opcode.SMSG_PLAY_SPELL_VISUAL_KIT, 0x1859},
            {Opcode.SMSG_PLAY_TIME_WARNING, 0x0972},
            {Opcode.SMSG_PONG, 0x005E},
            {Opcode.SMSG_POWER_UPDATE, 0x0F96},
            {Opcode.SMSG_PRE_RESSURECT, 0x058D},
            {Opcode.SMSG_PRINT_NOTIFICATION, 0x0F3D},
            {Opcode.SMSG_PROC_RESIST, 0x0611},
            {Opcode.SMSG_PROPOSE_LEVEL_GRANT, 0x1C65},
            {Opcode.SMSG_PVP_CREDIT, 0x0B18},
            {Opcode.SMSG_PVP_LOG_DATA, 0x063E},
            {Opcode.SMSG_PVP_OPTIONS_ENABLED, 0x1E0F},
            {Opcode.SMSG_PVP_SEASON, 0x1D61},
            {Opcode.SMSG_QUERY_BATTLE_PET_NAME_RESPONSE, 0x17BD},
            {Opcode.SMSG_QUERY_CREATURE_RESPONSE, 0x1A15},
            {Opcode.SMSG_QUERY_GAME_OBJECT_RESPONSE, 0x1345},
            {Opcode.SMSG_QUERY_GARRISON_CREATURE_NAME_RESPONSE, 0x00E0},
            {Opcode.SMSG_QUERY_GUILD_INFO_RESPONSE, 0x1194},
            {Opcode.SMSG_QUERY_ITEM_TEXT_RESPONSE, 0x1D36},
            {Opcode.SMSG_QUERY_NPC_TEXT_RESPONSE, 0x071E},
            {Opcode.SMSG_QUERY_PAGE_TEXT_RESPONSE, 0x048E},
            {Opcode.SMSG_QUERY_PETITION_RESPONSE, 0x1872},
            {Opcode.SMSG_QUERY_PET_NAME_RESPONSE, 0x023D},
            {Opcode.SMSG_QUERY_PLAYER_NAME_RESPONSE, 0x0C71},
            {Opcode.SMSG_QUERY_QUEST_INFO_RESPONSE, 0x0817},
            {Opcode.SMSG_QUERY_TIME_RESPONSE, 0x0CF1},
            {Opcode.SMSG_QUEST_COMPLETION_NPC_RESPONSE, 0x0540},
            {Opcode.SMSG_QUEST_CONFIRM_ACCEPT, 0x054C},
            {Opcode.SMSG_QUEST_FORCE_REMOVED, 0x0504},
            {Opcode.SMSG_QUEST_GIVER_INVALID_QUEST, 0x0543},
            {Opcode.SMSG_QUEST_GIVER_OFFER_REWARD_MESSAGE, 0x0547},
            {Opcode.SMSG_QUEST_GIVER_QUEST_COMPLETE, 0x004C},
            {Opcode.SMSG_QUEST_GIVER_QUEST_DETAILS, 0x0534},
            {Opcode.SMSG_QUEST_GIVER_QUEST_FAILED, 0x007F},
            {Opcode.SMSG_QUEST_GIVER_QUEST_LIST_MESSAGE, 0x0843},
            {Opcode.SMSG_QUEST_GIVER_REQUEST_ITEMS, 0x0528},
            {Opcode.SMSG_QUEST_GIVER_STATUS, 0x052F},
            {Opcode.SMSG_QUEST_GIVER_STATUS_MULTIPLE, 0x0814},
            {Opcode.SMSG_QUEST_LOG_FULL, 0x0508},
            {Opcode.SMSG_QUEST_POI_QUERY_RESPONSE, 0x051F},
            {Opcode.SMSG_QUEST_PUSH_RESULT, 0x007B},
            {Opcode.SMSG_QUEST_UPDATE_ADD_CREDIT, 0x006C},
            {Opcode.SMSG_QUEST_UPDATE_ADD_CREDIT_SIMPLE, 0x0070},
            {Opcode.SMSG_QUEST_UPDATE_ADD_PVP_CREDIT, 0x005B},
            {Opcode.SMSG_QUEST_UPDATE_COMPLETE, 0x0480},
            {Opcode.SMSG_QUEST_UPDATE_FAILED, 0x0573},
            {Opcode.SMSG_QUEST_UPDATE_FAILED_TIMER, 0x0108},
            {Opcode.SMSG_RAF_EMAIL_ENABLED_RESPONSE, 0x0695},
            {Opcode.SMSG_RAID_DIFFICULTY_SET, 0x0E8B},
            {Opcode.SMSG_RAID_GROUP_ONLY, 0x1832},
            {Opcode.SMSG_RAID_INSTANCE_MESSAGE, 0x15CB},
            {Opcode.SMSG_RAID_MARKERS_CHANGED, 0x18F5},
            {Opcode.SMSG_RANDOM_ROLL, 0x1240},
            {Opcode.SMSG_RATED_BATTLEFIELD_INFO, 0x0311},
            {Opcode.SMSG_READY_CHECK_COMPLETED, 0x0B35},
            {Opcode.SMSG_READY_CHECK_RESPONSE, 0x0DF6},
            {Opcode.SMSG_READY_CHECK_STARTED, 0x1618},
            {Opcode.SMSG_READ_ITEM_RESULT_FAILED, 0x1617},
            {Opcode.SMSG_READ_ITEM_RESULT_OK, 0x131E},
            {Opcode.SMSG_REALM_QUERY_RESPONSE, 0x0DF2},
            {Opcode.SMSG_REALM_SPLIT, 0x1E8C},
            {Opcode.SMSG_RECRUIT_A_FRIEND_RESPONSE, 0x08F1},
            {Opcode.SMSG_REFER_A_FRIEND_EXPIRED, 0x0C25},
            {Opcode.SMSG_REFER_A_FRIEND_FAILURE, 0x0B98},
            {Opcode.SMSG_REFRESH_COMPONENT, 0x0E04},
            {Opcode.SMSG_REFRESH_SPELL_HISTORY, 0x153D},
            {Opcode.SMSG_REMOVE_ITEM_PASSIVE, 0x179D},
            {Opcode.SMSG_REMOVE_LOSS_OF_CONTROL, 0x0821},
            {Opcode.SMSG_REPLACE_TROPHY_RESPONSE, 0x19B2},
            {Opcode.SMSG_REPORT_PVP_PLAYER_AFK_RESULT, 0x12B2},
            {Opcode.SMSG_REQUEST_CEMETERY_LIST_RESPONSE, 0x1398},
            {Opcode.SMSG_REQUEST_PVP_REWARDS_RESPONSE, 0x0218},
            {Opcode.SMSG_REQUEST_WOW_TOKEN_MARKET_PRICE_RESPONSE, 0x1215},
            {Opcode.SMSG_RESEARCH_COMPLETE, 0x1335},
            {Opcode.SMSG_RESET_COMPRESSION_CONTEXT, 0x0059},
            {Opcode.SMSG_RESET_FAILED_NOTIFY, 0x040D},
            {Opcode.SMSG_RESET_RANGED_COMBAT_TIMER, 0x171F},
            {Opcode.SMSG_RESET_WEEKLY_CURRENCY, 0x18F2},
            {Opcode.SMSG_RESPEC_WIPE_CONFIRM, 0x1630},
            {Opcode.SMSG_RESPOND_INSPECT_ACHIEVEMENTS, 0x1A2E},
            {Opcode.SMSG_RESUME_CAST_BAR, 0x10F9},
            {Opcode.SMSG_RESUME_COMMS, 0x003A},
            {Opcode.SMSG_RESUME_TOKEN, 0x0E20},
            {Opcode.SMSG_RESURRECT_REQUEST, 0x0CF2},
            {Opcode.SMSG_RESYNC_RUNES, 0x06BD},
            {Opcode.SMSG_ROLE_CHANGED_INFORM, 0x0F09},
            {Opcode.SMSG_ROLE_CHOSEN, 0x0A9A},
            {Opcode.SMSG_ROLE_POLL_INFORM, 0x0EC0},
            {Opcode.SMSG_RUNE_REGEN_DEBUG, 0x0732},
            {Opcode.SMSG_SCENARIO_BOOT, 0x0212},
            {Opcode.SMSG_SCENARIO_COMPLETED, 0x1925},
            {Opcode.SMSG_SCENARIO_OUT_OF_BOUNDS, 0x16BD},
            {Opcode.SMSG_SCENARIO_POIS, 0x0CB2},
            {Opcode.SMSG_SCENARIO_PROGRESS_UPDATE, 0x1F89},
            {Opcode.SMSG_SCENARIO_STATE, 0x0E16},
            {Opcode.SMSG_SCENE_OBJECT_EVENT, 0x1DA5},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_FINAL_ROUND, 0x1792},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_FINISHED, 0x1610},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_FIRST_ROUND, 0x1611},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_INITIAL_UPDATE, 0x021E},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_REPLACEMENTS_MADE, 0x0A36},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_ROUND_RESULT, 0x1E84},
            {Opcode.SMSG_SCRIPT_CAST, 0x106A},
            {Opcode.SMSG_SELL_RESPONSE, 0x133E},
            {Opcode.SMSG_SEND_ITEM_PASSIVES, 0x0CB6},
            {Opcode.SMSG_SEND_KNOWN_SPELLS, 0x109A},
            {Opcode.SMSG_SEND_RAID_TARGET_UPDATE_ALL, 0x1F84},
            {Opcode.SMSG_SEND_RAID_TARGET_UPDATE_SINGLE, 0x1F0C},
            {Opcode.SMSG_SEND_SPELL_CHARGES, 0x187E},
            {Opcode.SMSG_SEND_SPELL_HISTORY, 0x142D},
            {Opcode.SMSG_SEND_UNLEARN_SPELLS, 0x155D},
            {Opcode.SMSG_SERVER_FIRST_ACHIEVEMENT, 0x11D0},
            {Opcode.SMSG_SERVER_FIRST_ACHIEVEMENTS, 0x0337},
            {Opcode.SMSG_SERVER_TIME, 0x160D},
            {Opcode.SMSG_SETUP_CURRENCY, 0x1CE2},
            {Opcode.SMSG_SETUP_RESEARCH_HISTORY, 0x071F},
            {Opcode.SMSG_SET_AI_ANIM_KIT, 0x1295},
            {Opcode.SMSG_SET_ALL_TASK_PROGRESS, 0x0ABD},
            {Opcode.SMSG_SET_ANIM_TIER, 0x0317},
            {Opcode.SMSG_SET_CURRENCY, 0x0336},
            {Opcode.SMSG_SET_DF_FAST_LAUNCH_RESULT, 0x0FBA},
            {Opcode.SMSG_SET_DUNGEON_DIFFICULTY, 0x19F2},
            {Opcode.SMSG_SET_FACTION_AT_WAR, 0x0F9D},
            {Opcode.SMSG_SET_FACTION_NOT_VISIBLE, 0x1217},
            {Opcode.SMSG_SET_FACTION_STANDING, 0x1210},
            {Opcode.SMSG_SET_FACTION_VISIBLE, 0x18A5},
            {Opcode.SMSG_SET_FLAT_SPELL_MODIFIER, 0x192A},
            {Opcode.SMSG_SET_FORCED_REACTIONS, 0x07BA},
            {Opcode.SMSG_SET_ITEM_PURCHASE_DATA, 0x179E},
            {Opcode.SMSG_SET_LFG_TIME_WALKER, 0x0A92},
            {Opcode.SMSG_SET_LOOT_METHOD_FAILED, 0x09B6},
            {Opcode.SMSG_SET_MAX_WEEKLY_QUANTITY, 0x0D31},
            {Opcode.SMSG_SET_MELEE_ANIM_KIT, 0x0BB5},
            {Opcode.SMSG_SET_MOVEMENT_ANIM_KIT, 0x0D25},
            {Opcode.SMSG_SET_PCT_SPELL_MODIFIER, 0x1DAA},
            {Opcode.SMSG_SET_PET_SPECIALIZATION, 0x1336},
            {Opcode.SMSG_SET_PLAYER_DECLINED_NAMES_RESULT, 0x0CA2},
            {Opcode.SMSG_SET_PLAY_HOVER_ANIM, 0x0F9E},
            {Opcode.SMSG_SET_PROFICIENCY, 0x0D75},
            {Opcode.SMSG_SET_SPELL_CHARGES, 0x1909},
            {Opcode.SMSG_SET_TASK_COMPLETE, 0x0865},
            {Opcode.SMSG_SET_TIME_ZONE_INFORMATION, 0x073A},
            {Opcode.SMSG_SET_VEHICLE_REC_ID, 0x0F1F},
            {Opcode.SMSG_SHOW_BANK, 0x179F},
            {Opcode.SMSG_SHOW_MAILBOX, 0x1871},
            {Opcode.SMSG_SHOW_NEUTRAL_PLAYER_FACTION_SELECT_UI, 0x0331},
            {Opcode.SMSG_SHOW_TAXI_NODES, 0x0FB8},
            {Opcode.SMSG_SHOW_TRADE_SKILL_RESPONSE, 0x1E0D},
            {Opcode.SMSG_SOCKET_GEMS, 0x1DF6},
            {Opcode.SMSG_SOR_START_EXPERIENCE_INCOMPLETE, 0x1640},
            {Opcode.SMSG_SPECIAL_MOUNT_ANIM, 0x1319},
            {Opcode.SMSG_SPELL_CHANNEL_START, 0x103E},
            {Opcode.SMSG_SPELL_CHANNEL_UPDATE, 0x10D9},
            {Opcode.SMSG_SPELL_COOLDOWN, 0x1D2A},
            {Opcode.SMSG_SPELL_DAMAGE_SHIELD, 0x10FE},
            {Opcode.SMSG_SPELL_DELAYED, 0x14FD},
            {Opcode.SMSG_SPELL_DISPELL_LOG, 0x10FD},
            {Opcode.SMSG_SPELL_ENERGIZE_LOG, 0x1C3D},
            {Opcode.SMSG_SPELL_EXECUTE_LOG, 0x1D9A},
            {Opcode.SMSG_SPELL_FAILED_OTHER, 0x10CE},
            {Opcode.SMSG_SPELL_FAILURE, 0x1CAD},
            {Opcode.SMSG_SPELL_GO, 0x1CB9},
            {Opcode.SMSG_SPELL_HEAL_LOG, 0x155A},
            {Opcode.SMSG_SPELL_INSTAKILL_LOG, 0x11FE},
            {Opcode.SMSG_SPELL_INTERRUPT_LOG, 0x185E},
            {Opcode.SMSG_SPELL_MISS_LOG, 0x147A},
            {Opcode.SMSG_SPELL_MULTISTRIKE_EFFECT, 0x150A},
            {Opcode.SMSG_SPELL_NON_MELEE_DAMAGE_LOG, 0x141E},
            {Opcode.SMSG_SPELL_OR_DAMAGE_IMMUNE, 0x11B9},
            {Opcode.SMSG_SPELL_PERIODIC_AURA_LOG, 0x14E9},
            {Opcode.SMSG_SPELL_START, 0x14BA},
            {Opcode.SMSG_SPELL_UPDATE_CHAIN_TARGETS, 0x1419},
            {Opcode.SMSG_SPIRIT_HEALER_CONFIRM, 0x1737},
            {Opcode.SMSG_STAND_STATE_UPDATE, 0x0B37},
            {Opcode.SMSG_START_ELAPSED_TIMER, 0x0E98},
            {Opcode.SMSG_START_ELAPSED_TIMERS, 0x063D},
            {Opcode.SMSG_START_LOOT_ROLL, 0x0831},
            {Opcode.SMSG_START_MIRROR_TIMER, 0x0861},
            {Opcode.SMSG_START_TIMER, 0x1A2D},
            {Opcode.SMSG_STOP_ELAPSED_TIMER, 0x0795},
            {Opcode.SMSG_STOP_MIRROR_TIMER, 0x0BB6},
            {Opcode.SMSG_STOP_SPEAKERBOT_SOUND, 0x1E81},
            {Opcode.SMSG_STREAMING_MOVIES, 0x0DE6},
            {Opcode.SMSG_SUMMON_CANCEL, 0x1926},
            {Opcode.SMSG_SUMMON_RAID_MEMBER_VALIDATE_FAILED, 0x08E5},
            {Opcode.SMSG_SUMMON_REQUEST, 0x1CE1},
            {Opcode.SMSG_SUPERCEDED_SPELLS, 0x15EA},
            {Opcode.SMSG_SUPPRESS_NPC_GREETINGS, 0x07A0},
            {Opcode.SMSG_SUSPEND_COMMS, 0x001E},
            {Opcode.SMSG_SUSPEND_TOKEN, 0x07BF},
            {Opcode.SMSG_TALENTS_INVOLUNTARILY_RESET, 0x1246},
            {Opcode.SMSG_TAXI_NODE_STATUS, 0x0EBF},
            {Opcode.SMSG_TEXT_EMOTE, 0x0696},
            {Opcode.SMSG_THREAT_CLEAR, 0x0F1D},
            {Opcode.SMSG_THREAT_REMOVE, 0x0BBE},
            {Opcode.SMSG_THREAT_UPDATE, 0x0AC0},
            {Opcode.SMSG_TIME_ADJUSTMENT, 0x06C8},
            {Opcode.SMSG_TIME_SYNC_REQUEST, 0x1E23},
            {Opcode.SMSG_TITLE_EARNED, 0x1E03},
            {Opcode.SMSG_TITLE_LOST, 0x03B2},
            {Opcode.SMSG_TOKEN_SELL_RESULT, 0x029E},
            {Opcode.SMSG_TOKEN_UNK1, 0x1796},
            {Opcode.SMSG_TOTEM_CREATED, 0x0BB7},
            {Opcode.SMSG_TOTEM_MOVED, 0x040E},
            {Opcode.SMSG_TRADE_STATUS, 0x071A},
            {Opcode.SMSG_TRADE_UPDATED, 0x123F},
            {Opcode.SMSG_TRAINER_BUY_FAILED, 0x0876},
            {Opcode.SMSG_TRAINER_LIST, 0x17B2},
            {Opcode.SMSG_TRANSFER_ABORTED, 0x1D31},
            {Opcode.SMSG_TRANSFER_PENDING, 0x03B8},
            {Opcode.SMSG_TRIGGER_CINEMATIC, 0x1CF6},
            {Opcode.SMSG_TRIGGER_MOVIE, 0x163A},
            {Opcode.SMSG_TURN_IN_PETITION_RESULT, 0x0A45},
            {Opcode.SMSG_TUTORIAL_FLAGS, 0x0E82},
            {Opcode.SMSG_TWITTER_STATUS, 0x0CBB},
            {Opcode.SMSG_UI_TIME, 0x0DA1},
            {Opcode.SMSG_UNDELETE_CHARACTER_RESPONSE, 0x0CA5},
            {Opcode.SMSG_UNDELETE_COOLDOWN_STATUS_RESPONSE, 0x0B9F},
            {Opcode.SMSG_UNLEARNED_SPELLS, 0x151E},
            {Opcode.SMSG_UPDATE_ACCOUNT_DATA, 0x1698},
            {Opcode.SMSG_UPDATE_ACTION_BUTTONS, 0x03C0},
            {Opcode.SMSG_UPDATE_CHARACTER_FLAGS, 0x171E},
            {Opcode.SMSG_UPDATE_DUNGEON_ENCOUNTER_FOR_LOOT, 0x0B3A},
            {Opcode.SMSG_UPDATE_EXPANSION_LEVEL, 0x1236},
            {Opcode.SMSG_UPDATE_INSTANCE_OWNERSHIP, 0x12BF},
            {Opcode.SMSG_UPDATE_LAST_INSTANCE, 0x0971},
            {Opcode.SMSG_UPDATE_OBJECT, 0x1CB2},
            {Opcode.SMSG_UPDATE_TALENT_DATA, 0x1862},
            {Opcode.SMSG_UPDATE_TASK_PROGRESS, 0x1317},
            {Opcode.SMSG_UPDATE_WEEKLY_SPELL_USAGE, 0x103A},
            {Opcode.SMSG_UPDATE_WORLD_STATE, 0x1DF1},
            {Opcode.SMSG_UPDATE_WOW_TOKEN_AUCTIONABLE_LIST_RESPONSE, 0x1836},
            {Opcode.SMSG_UPDATE_WOW_TOKEN_COUNT_RESPONSE, 0x1822},
            {Opcode.SMSG_USERLIST_ADD, 0x15F0},
            {Opcode.SMSG_USERLIST_REMOVE, 0x10E4},
            {Opcode.SMSG_USERLIST_UPDATE, 0x18EF},
            {Opcode.SMSG_USE_EQUIPMENT_SET_RESULT, 0x07B2},
            {Opcode.SMSG_VENDOR_INVENTORY, 0x0E40},
            {Opcode.SMSG_VIGNETTE_UPDATE, 0x1691},
            {Opcode.SMSG_VOICE_CHAT_STATUS, 0x10D0},
            {Opcode.SMSG_VOICE_PARENTAL_CONTROLS, 0x18E4},
            {Opcode.SMSG_VOICE_SESSION_LEAVE, 0x18EB},
            {Opcode.SMSG_VOICE_SESSION_ROSTER_UPDATE, 0x11C4},
            {Opcode.SMSG_VOID_ITEM_SWAP_RESPONSE, 0x08A5},
            {Opcode.SMSG_VOID_STORAGE_CONTENTS, 0x0F82},
            {Opcode.SMSG_VOID_STORAGE_FAILED, 0x1962},
            {Opcode.SMSG_VOID_STORAGE_TRANSFER_CHANGES, 0x162F},
            {Opcode.SMSG_VOID_TRANSFER_RESULT, 0x0D66},
            {Opcode.SMSG_WAIT_QUEUE_FINISH, 0x163E},
            {Opcode.SMSG_WAIT_QUEUE_UPDATE, 0x0A18},
            {Opcode.SMSG_WARDEN_DATA, 0x0E96},
            {Opcode.SMSG_WARGAME_REQUEST_SUCCESSFULLY_SENT_TO_OPPONENT, 0x0965},
            {Opcode.SMSG_WEATHER, 0x0397},
            {Opcode.SMSG_WEEKLY_SPELL_USAGE, 0x1199},
            {Opcode.SMSG_WHO, 0x11CC},
            {Opcode.SMSG_WHO_IS, 0x0F20},
            {Opcode.SMSG_WORLD_SERVER_INFO, 0x0FB5},
            {Opcode.SMSG_WORLD_TEXT, 0x1CB6},
            {Opcode.SMSG_XP_GAIN_ABORTED, 0x19F5},
            {Opcode.SMSG_XP_GAIN_ENABLED, 0x0EB7},
            {Opcode.SMSG_ZONE_UNDER_ATTACK, 0x14CF},
        };

        private static readonly BiDictionary<Opcode, int> MiscOpcodes = new BiDictionary<Opcode, int>();
    }
}
