﻿using WowPacketParser.Misc;

namespace WowPacketParser.Enums.Version.V6_2_0_20173
{
    public static class Opcodes_6_2_0
    {
        public static BiDictionary<Opcode, int> Opcodes(Direction direction)
        {
            switch (direction)
            {
                case Direction.ClientToServer:
                    return ClientOpcodes;
                case Direction.ServerToClient:
                    return ServerOpcodes;
                default:
                    return MiscOpcodes;
            }
        }

        private static readonly BiDictionary<Opcode, int> ClientOpcodes = new BiDictionary<Opcode, int>
        {
            {Opcode.CMSG_ACCEPT_GUILD_INVITE, 0x00A6},
            {Opcode.CMSG_ACCEPT_LEVEL_GRANT, 0x04D8},
            {Opcode.CMSG_ACCEPT_TRADE, 0x10D4},
            {Opcode.CMSG_ACCEPT_WARGAME_INVITE, 0x0A11},
            {Opcode.CMSG_ACTIVATE_TAXI, 0x024F},
            {Opcode.CMSG_ADD_BATTLENET_FRIEND, 0x04B2},
            {Opcode.CMSG_ADD_FRIEND, 0x0035},
            {Opcode.CMSG_ADD_IGNORE, 0x00D6},
            {Opcode.CMSG_ADD_TOY, 0x16B7},
            {Opcode.CMSG_ALTER_APPEARANCE, 0x068F},
            {Opcode.CMSG_AREA_SPIRIT_HEALER_QUERY, 0x021B},
            {Opcode.CMSG_AREA_SPIRIT_HEALER_QUEUE, 0x02DF},
            {Opcode.CMSG_AREA_TRIGGER, 0x1044},
            {Opcode.CMSG_ATTACK_STOP, 0x022B},
            {Opcode.CMSG_ATTACK_SWING, 0x1D58},
            {Opcode.CMSG_AUCTION_HELLO_REQUEST, 0x04A0},
            {Opcode.CMSG_AUCTION_LIST_BIDDER_ITEMS, 0x0293},
            {Opcode.CMSG_AUCTION_LIST_ITEMS, 0x0848},
            {Opcode.CMSG_AUCTION_LIST_OWNER_ITEMS, 0x0810},
            {Opcode.CMSG_AUCTION_LIST_PENDING_SALES, 0x0887},
            {Opcode.CMSG_AUCTION_PLACE_BID, 0x00D3},
            {Opcode.CMSG_AUCTION_REMOVE_ITEM, 0x061C},
            {Opcode.CMSG_AUCTION_REPLICATE_ITEMS, 0x00DF},
            {Opcode.CMSG_AUCTION_SELL_ITEM, 0x0A08},
            {Opcode.CMSG_AUTH_CONTINUED_SESSION, 0x06DA},
            {Opcode.CMSG_AUTH_SESSION, 0x045A},
            {Opcode.CMSG_AUTOBANK_ITEM, 0x0263},
            {Opcode.CMSG_AUTOBANK_REAGENT, 0x0352},
            {Opcode.CMSG_AUTOSTORE_BANK_ITEM, 0x0364},
            {Opcode.CMSG_AUTOSTORE_BANK_REAGENT, 0x076C},
            {Opcode.CMSG_AUTO_EQUIP_ITEM, 0x0A64},
            {Opcode.CMSG_AUTO_EQUIP_ITEM_SLOT, 0x0612},
            {Opcode.CMSG_AUTO_STORE_BAG_ITEM, 0x0245},
            {Opcode.CMSG_BANKER_ACTIVATE, 0x0298},
            {Opcode.CMSG_BATTLEFIELD_LEAVE, 0x13F3},
            {Opcode.CMSG_BATTLEFIELD_LIST, 0x1553},
            {Opcode.CMSG_BATTLEFIELD_PORT, 0x08CB},
            {Opcode.CMSG_BATTLEMASTER_HELLO, 0x0C45},
            {Opcode.CMSG_BATTLEMASTER_JOIN, 0x02E0},
            {Opcode.CMSG_BATTLEMASTER_JOIN_ARENA, 0x00E0},
            {Opcode.CMSG_BATTLEMASTER_JOIN_ARENA_SKIRMISH, 0x025C},
            {Opcode.CMSG_BATTLENET_CHALLENGE_RESPONSE, 0x0725},
            {Opcode.CMSG_BATTLE_PAY_ACK_FAILED_RESPONSE, 0x0721},
            {Opcode.CMSG_BATTLE_PAY_CONFIRM_PURCHASE_RESPONSE, 0x0621},
            {Opcode.CMSG_BATTLE_PAY_DISTRIBUTION_ASSIGN_TO_TARGET, 0x0FB5},
            {Opcode.CMSG_BATTLE_PAY_GET_PRODUCT_LIST, 0x0B02},
            {Opcode.CMSG_BATTLE_PAY_GET_PURCHASE_LIST, 0x0C21},
            {Opcode.CMSG_BATTLE_PAY_START_PURCHASE, 0x0935},
            {Opcode.CMSG_BATTLE_PAY_START_VAS_PURCHASE, 0x01A2},
            {Opcode.CMSG_BATTLE_PET_DELETE_PET, 0x0AD1},
            {Opcode.CMSG_BATTLE_PET_DELETE_PET_CHEAT, 0x0095},
            {Opcode.CMSG_BATTLE_PET_MODIFY_NAME, 0x0A92},
            {Opcode.CMSG_BATTLE_PET_REQUEST_JOURNAL, 0x0BB1},
            {Opcode.CMSG_BATTLE_PET_REQUEST_JOURNAL_LOCK, 0x03B1},
            {Opcode.CMSG_BATTLE_PET_SET_BATTLE_SLOT, 0x08D6},
            {Opcode.CMSG_BATTLE_PET_SET_FLAGS, 0x07A5},
            {Opcode.CMSG_BATTLE_PET_SUMMON, 0x03C1},
            {Opcode.CMSG_BATTLE_PET_UPDATE_NOTIFY, 0x0CC2},
            {Opcode.CMSG_BEGIN_TRADE, 0x1661},
            {Opcode.CMSG_BF_MGR_ENTRY_INVITE_RESPONSE, 0x00B1},
            {Opcode.CMSG_BF_MGR_QUEUE_EXIT_REQUEST, 0x0BB6},
            {Opcode.CMSG_BF_MGR_QUEUE_INVITE_RESPONSE, 0x01A1},
            {Opcode.CMSG_BF_MGR_QUEUE_REQUEST, 0x12E6},
            {Opcode.CMSG_BINDER_ACTIVATE, 0x0604},
            {Opcode.CMSG_BLACK_MARKET_BID_ON_ITEM, 0x0853},
            {Opcode.CMSG_BLACK_MARKET_OPEN, 0x0297},
            {Opcode.CMSG_BLACK_MARKET_REQUEST_ITEMS, 0x0A44},
            {Opcode.CMSG_BUG_REPORT, 0x0836},
            {Opcode.CMSG_BUSY_TRADE, 0x1731},
            {Opcode.CMSG_BUY_BACK_ITEM, 0x008C},
            {Opcode.CMSG_BUY_BANK_SLOT, 0x0813},
            {Opcode.CMSG_BUY_ITEM, 0x08DF},
            {Opcode.CMSG_BUY_REAGENT_BANK, 0x00CF},
            {Opcode.CMSG_BUY_WOW_TOKEN_CONFIRM, 0x09A2},
            {Opcode.CMSG_BUY_WOW_TOKEN_START, 0x0952},
            {Opcode.CMSG_CAGE_BATTLE_PET, 0x1448},
            {Opcode.CMSG_CALENDAR_ADD_EVENT, 0x0955},
            {Opcode.CMSG_CALENDAR_COMPLAIN, 0x0BD5},
            {Opcode.CMSG_CALENDAR_COPY_EVENT, 0x0956},
            {Opcode.CMSG_CALENDAR_EVENT_INVITE, 0x0FA1},
            {Opcode.CMSG_CALENDAR_EVENT_MODERATOR_STATUS, 0x09A5},
            {Opcode.CMSG_CALENDAR_EVENT_RSVP, 0x03C2},
            {Opcode.CMSG_CALENDAR_EVENT_SIGN_UP, 0x0826},
            {Opcode.CMSG_CALENDAR_EVENT_STATUS, 0x01D6},
            {Opcode.CMSG_CALENDAR_GET, 0x0B41},
            {Opcode.CMSG_CALENDAR_GET_EVENT, 0x06A1},
            {Opcode.CMSG_CALENDAR_GET_NUM_PENDING, 0x0AB1},
            {Opcode.CMSG_CALENDAR_GUILD_FILTER, 0x0531},
            {Opcode.CMSG_CALENDAR_REMOVE_EVENT, 0x03A1},
            {Opcode.CMSG_CALENDAR_REMOVE_INVITE, 0x0026},
            {Opcode.CMSG_CALENDAR_UPDATE_EVENT, 0x0922},
            {Opcode.CMSG_CANCEL_AURA, 0x14D3},
            {Opcode.CMSG_CANCEL_AUTO_REPEAT_SPELL, 0x04D0},
            {Opcode.CMSG_CANCEL_CAST, 0x1458},
            {Opcode.CMSG_CANCEL_CHANNELLING, 0x17F1},
            {Opcode.CMSG_CANCEL_GROWTH_AURA, 0x1C04},
            {Opcode.CMSG_CANCEL_MASTER_LOOT_ROLL, 0x1375},
            {Opcode.CMSG_CANCEL_MOD_SPEED_NO_CONTROL_AURAS, 0x1A31},
            {Opcode.CMSG_CANCEL_MOUNT_AURA, 0x1518},
            {Opcode.CMSG_CANCEL_QUEUED_SPELL, 0x1225},
            {Opcode.CMSG_CANCEL_TEMP_ENCHANTMENT, 0x0697},
            {Opcode.CMSG_CANCEL_TRADE, 0x1223},
            {Opcode.CMSG_CAN_DUEL, 0x0096},
            {Opcode.CMSG_CAST_SPELL, 0x1632},
            {Opcode.CMSG_CHALLENGE_MODE_REQUEST_LEADERS, 0x0A09},
            {Opcode.CMSG_CHALLENGE_MODE_REQUEST_MAP_STATS, 0x0B49},
            {Opcode.CMSG_CHANGE_BAG_SLOT_FLAG, 0x10D8},
            {Opcode.CMSG_CHANGE_MONUMENT_APPEARANCE, 0x1C13},
            {Opcode.CMSG_CHANGE_SUB_GROUP, 0x04B1},
            {Opcode.CMSG_CHARACTER_RENAME_REQUEST, 0x0B06},
            {Opcode.CMSG_CHAR_CUSTOMIZE, 0x0DB2},
            {Opcode.CMSG_CHAR_DELETE, 0x0DA2},
            {Opcode.CMSG_CHAR_RACE_OR_FACTION_CHANGE, 0x09D5},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_CHANNEL, 0x04E9},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_GUILD, 0x0C39},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_INSTANCE_CHAT, 0x05EE},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_OFFICER, 0x0139},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_PARTY, 0x0A7A},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_RAID, 0x0379},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_WHISPER, 0x04AA},
            {Opcode.CMSG_CHAT_CHANNEL_ANNOUNCEMENTS, 0x05BE},
            {Opcode.CMSG_CHAT_CHANNEL_BAN, 0x057E},
            {Opcode.CMSG_CHAT_CHANNEL_DECLINE_INVITE, 0x067E},
            {Opcode.CMSG_CHAT_CHANNEL_DISPLAY_LIST, 0x0C6D},
            {Opcode.CMSG_CHAT_CHANNEL_INVITE, 0x07AE},
            {Opcode.CMSG_CHAT_CHANNEL_KICK, 0x062E},
            {Opcode.CMSG_CHAT_CHANNEL_LIST, 0x00BE},
            {Opcode.CMSG_CHAT_CHANNEL_MODERATE, 0x036E},
            {Opcode.CMSG_CHAT_CHANNEL_MODERATOR, 0x016D},
            {Opcode.CMSG_CHAT_CHANNEL_MUTE, 0x002D},
            {Opcode.CMSG_CHAT_CHANNEL_OWNER, 0x0ABD},
            {Opcode.CMSG_CHAT_CHANNEL_PASSWORD, 0x09ED},
            {Opcode.CMSG_CHAT_CHANNEL_SET_OWNER, 0x08A9},
            {Opcode.CMSG_CHAT_CHANNEL_SILENCE_ALL, 0x016A},
            {Opcode.CMSG_CHAT_CHANNEL_SILENCE_VOICE, 0x03AA},
            {Opcode.CMSG_CHAT_CHANNEL_UNBAN, 0x0BF9},
            {Opcode.CMSG_CHAT_CHANNEL_UNMODERATOR, 0x02FA},
            {Opcode.CMSG_CHAT_CHANNEL_UNMUTE, 0x0629},
            {Opcode.CMSG_CHAT_CHANNEL_UNSILENCE_ALL, 0x096E},
            {Opcode.CMSG_CHAT_CHANNEL_UNSILENCE_VOICE, 0x07B9},
            {Opcode.CMSG_CHAT_CHANNEL_VOICE_OFF, 0x04A9},
            {Opcode.CMSG_CHAT_CHANNEL_VOICE_ON, 0x07BD},
            {Opcode.CMSG_CHAT_JOIN_CHANNEL, 0x0829},
            {Opcode.CMSG_CHAT_LEAVE_CHANNEL, 0x03EE},
            {Opcode.CMSG_CHAT_MESSAGE_AFK, 0x05A9},
            {Opcode.CMSG_CHAT_MESSAGE_CHANNEL, 0x0479},
            {Opcode.CMSG_CHAT_MESSAGE_DND, 0x093D},
            {Opcode.CMSG_CHAT_MESSAGE_EMOTE, 0x01BA},
            {Opcode.CMSG_CHAT_MESSAGE_GUILD, 0x06FA},
            {Opcode.CMSG_CHAT_MESSAGE_INSTANCE_CHAT, 0x012E},
            {Opcode.CMSG_CHAT_MESSAGE_OFFICER, 0x02A9},
            {Opcode.CMSG_CHAT_MESSAGE_PARTY, 0x007D},
            {Opcode.CMSG_CHAT_MESSAGE_RAID, 0x0BB9},
            {Opcode.CMSG_CHAT_MESSAGE_RAID_WARNING, 0x07BE},
            {Opcode.CMSG_CHAT_MESSAGE_SAY, 0x0AE9},
            {Opcode.CMSG_CHAT_MESSAGE_WHISPER, 0x09FE},
            {Opcode.CMSG_CHAT_MESSAGE_YELL, 0x046E},
            {Opcode.CMSG_CHAT_REGISTER_ADDON_PREFIXES, 0x0569},
            {Opcode.CMSG_CHAT_REPORT_FILTERED, 0x092D},
            {Opcode.CMSG_CHAT_REPORT_IGNORED, 0x097D},
            {Opcode.CMSG_CHAT_UNREGISTER_ALL_ADDON_PREFIXES, 0x0C7E},
            {Opcode.CMSG_CHECK_RAF_EMAIL_ENABLED, 0x0C31},
            {Opcode.CMSG_CHECK_WOW_TOKEN_VETERAN_ELIGIBILITY, 0x0946},
            {Opcode.CMSG_CHOICE_RESPONSE, 0x17A2},
            {Opcode.CMSG_CLEAR_RAID_MARKER, 0x0B2B},
            {Opcode.CMSG_CLEAR_TRADE_ITEM, 0x1674},
            {Opcode.CMSG_CLIENT_PORT_GRAVEYARD, 0x06A0},
            {Opcode.CMSG_CLOSE_INTERACTION, 0x04E0},
            {Opcode.CMSG_COMMENTATOR_ENABLE, 0x09C1},
            {Opcode.CMSG_COMMENTATOR_ENTER_INSTANCE, 0x0731},
            {Opcode.CMSG_COMMENTATOR_EXIT_INSTANCE, 0x0426},
            {Opcode.CMSG_COMMENTATOR_GET_MAP_INFO, 0x0916},
            {Opcode.CMSG_COMMENTATOR_GET_PLAYER_INFO, 0x02B6},
            {Opcode.CMSG_COMMENTATOR_START_WARGAME, 0x0FB1},
            {Opcode.CMSG_COMPLAINT, 0x0BD1},
            {Opcode.CMSG_COMPLETE_CINEMATIC, 0x06D4},
            {Opcode.CMSG_COMPLETE_MOVIE, 0x08DB},
            {Opcode.CMSG_CONFIRM_RESPEC_WIPE, 0x1364},
            {Opcode.CMSG_CONNECT_TO_FAILED, 0x0821},
            {Opcode.CMSG_CONVERT_RAID, 0x02A6},
            {Opcode.CMSG_CREATE_CHARACTER, 0x0FA5},
            {Opcode.CMSG_CREATE_SHIPMENT, 0x0E16},
            {Opcode.CMSG_DB_QUERY_BULK, 0x0A42},
            {Opcode.CMSG_DECLINE_GUILD_INVITES, 0x084C},
            {Opcode.CMSG_DECLINE_PETITION, 0x02CF},
            {Opcode.CMSG_DELETE_EQUIPMENT_SET, 0x0620},
            {Opcode.CMSG_DEL_FRIEND, 0x0CB1},
            {Opcode.CMSG_DEL_IGNORE, 0x0532},
            {Opcode.CMSG_DEPOSIT_REAGENT_BANK, 0x1A73},
            {Opcode.CMSG_DESTROY_ITEM, 0x1331},
            {Opcode.CMSG_DF_BOOT_PLAYER_VOTE, 0x0911},
            {Opcode.CMSG_DF_GET_JOIN_STATUS, 0x07B6},
            {Opcode.CMSG_DF_GET_SYSTEM_INFO, 0x04A6},
            {Opcode.CMSG_DF_JOIN, 0x0B15},
            {Opcode.CMSG_DF_LEAVE, 0x0942},
            {Opcode.CMSG_DF_PROPOSAL_RESPONSE, 0x0806},
            {Opcode.CMSG_DF_READY_CHECK_RESPONSE, 0x0092},
            {Opcode.CMSG_DF_SEARCH_JOIN, 0x0F22},
            {Opcode.CMSG_DF_SEARCH_LEAVE, 0x0906},
            {Opcode.CMSG_DF_SET_COMMENT, 0x0E21},
            {Opcode.CMSG_DF_SET_ROLES, 0x0B56},
            {Opcode.CMSG_DF_TELEPORT, 0x0635},
            {Opcode.CMSG_DISCARDED_TIME_SYNC_ACKS, 0x1217},
            {Opcode.CMSG_DISMISS_CRITTER, 0x0653},
            {Opcode.CMSG_DO_MASTER_LOOT_ROLL, 0x08C5},
            {Opcode.CMSG_DO_READY_CHECK, 0x0AD6},
            {Opcode.CMSG_DUEL_RESPONSE, 0x0248},
            {Opcode.CMSG_EJECT_PASSENGER, 0x1D03},
            {Opcode.CMSG_EMOTE, 0x0488},
            {Opcode.CMSG_ENABLE_NAGLE, 0x065D},
            {Opcode.CMSG_ENABLE_TAXI_NODE, 0x0857},
            {Opcode.CMSG_ENGINE_SURVEY, 0x0025},
            {Opcode.CMSG_ENUM_CHARACTERS, 0x03C6},
            {Opcode.CMSG_ENUM_CHARACTERS_DELETED_BY_CLIENT, 0x0C22},
            {Opcode.CMSG_FAR_SIGHT, 0x040F},
            {Opcode.CMSG_GAME_OBJ_REPORT_USE, 0x02D4},
            {Opcode.CMSG_GAME_OBJ_USE, 0x068B},
            {Opcode.CMSG_GARRISON_ASSIGN_FOLLOWER_TO_BUILDING, 0x0928},
            {Opcode.CMSG_GARRISON_CANCEL_CONSTRUCTION, 0x1635},
            {Opcode.CMSG_GARRISON_CHECK_UPGRADEABLE, 0x1048},
            {Opcode.CMSG_GARRISON_COMPLETE_MISSION, 0x0B2F},
            {Opcode.CMSG_GARRISON_GENERATE_RECRUITS, 0x0C81},
            {Opcode.CMSG_GARRISON_GET_BUILDING_LANDMARKS, 0x072B},
            {Opcode.CMSG_GARRISON_MISSION_BONUS_ROLL, 0x1738},
            {Opcode.CMSG_GARRISON_PURCHASE_BUILDING, 0x1A77},
            {Opcode.CMSG_GARRISON_RECRUIT_FOLLOWER, 0x1D97},
            {Opcode.CMSG_GARRISON_REMOVE_FOLLOWER, 0x1C84},
            {Opcode.CMSG_GARRISON_REMOVE_FOLLOWER_FROM_BUILDING, 0x032B},
            {Opcode.CMSG_GARRISON_REQUEST_BLUEPRINT_AND_SPECIALIZATION_DATA, 0x12A3},
            {Opcode.CMSG_GARRISON_REQUEST_LANDING_PAGE_SHIPMENT_INFO, 0x12E4},
            {Opcode.CMSG_GARRISON_REQUEST_SHIPMENT_INFO, 0x16F4},
            {Opcode.CMSG_GARRISON_SET_BUILDING_ACTIVE, 0x1807},
            {Opcode.CMSG_GARRISON_SET_FOLLOWER_FAVORITE, 0x0155},
            {Opcode.CMSG_GARRISON_SET_FOLLOWER_INACTIVE, 0x1C54},
            {Opcode.CMSG_GARRISON_SET_RECRUITMENT_PREFERENCES, 0x1987},
            {Opcode.CMSG_GARRISON_START_MISSION, 0x1508},
            {Opcode.CMSG_GARRISON_SWAP_BUILDINGS, 0x0824},
            {Opcode.CMSG_GENERATE_RANDOM_CHARACTER_NAME, 0x0336},
            {Opcode.CMSG_GET_CHALLENGE_MODE_REWARDS, 0x0849},
            {Opcode.CMSG_GET_GARRISON_INFO, 0x17E3},
            {Opcode.CMSG_GET_ITEM_PURCHASE_DATA, 0x0897},
            {Opcode.CMSG_GET_MIRROR_IMAGE_DATA, 0x1113},
            {Opcode.CMSG_GET_PVP_OPTIONS_ENABLED, 0x0726},
            {Opcode.CMSG_GET_REMAINING_GAME_TIME, 0x0032},
            {Opcode.CMSG_GET_TROPHY_LIST, 0x12B2},
            {Opcode.CMSG_GET_UNDELETE_CHARACTER_COOLDOWN_STATUS, 0x0332},
            {Opcode.CMSG_GM_TICKET_ACKNOWLEDGE_SURVEY, 0x0326},
            {Opcode.CMSG_GM_TICKET_GET_SYSTEM_STATUS, 0x0B21},
            {Opcode.CMSG_GM_TICKET_RESPONSE_RESOLVE, 0x0892},
            {Opcode.CMSG_GOSSIP_SELECT_OPTION, 0x0420},
            {Opcode.CMSG_GRANT_LEVEL, 0x0890},
            {Opcode.CMSG_GUILD_ADD_BATTLENET_FRIEND, 0x0A5A},
            {Opcode.CMSG_GUILD_ADD_RANK, 0x0409},
            {Opcode.CMSG_GUILD_ASSIGN_MEMBER_RANK, 0x04C9},
            {Opcode.CMSG_GUILD_AUTO_DECLINE_INVITATION, 0x001E},
            {Opcode.CMSG_GUILD_BANK_ACTIVATE, 0x0250},
            {Opcode.CMSG_GUILD_BANK_BUY_TAB, 0x025F},
            {Opcode.CMSG_GUILD_BANK_DEPOSIT_MONEY, 0x04C8},
            {Opcode.CMSG_GUILD_BANK_LOG_QUERY, 0x091E},
            {Opcode.CMSG_GUILD_BANK_QUERY_TAB, 0x0850},
            {Opcode.CMSG_GUILD_BANK_REMAINING_WITHDRAW_MONEY_QUERY, 0x004A},
            {Opcode.CMSG_GUILD_BANK_SET_TAB_TEXT, 0x060D},
            {Opcode.CMSG_GUILD_BANK_SWAP_ITEMS, 0x0847},
            {Opcode.CMSG_GUILD_BANK_TEXT_QUERY, 0x0C0D},
            {Opcode.CMSG_GUILD_BANK_UPDATE_TAB, 0x0A48},
            {Opcode.CMSG_GUILD_BANK_WITHDRAW_MONEY, 0x080F},
            {Opcode.CMSG_GUILD_CHALLENGE_UPDATE_REQUEST, 0x0B1D},
            {Opcode.CMSG_GUILD_CHANGE_NAME_REQUEST, 0x021A},
            {Opcode.CMSG_GUILD_DECLINE_INVITATION, 0x085D},
            {Opcode.CMSG_GUILD_DELETE, 0x080E},
            {Opcode.CMSG_GUILD_DELETE_RANK, 0x095D},
            {Opcode.CMSG_GUILD_DEMOTE_MEMBER, 0x040E},
            {Opcode.CMSG_GUILD_EVENT_LOG_QUERY, 0x07CD},
            {Opcode.CMSG_GUILD_GET_ACHIEVEMENT_MEMBERS, 0x004D},
            {Opcode.CMSG_GUILD_GET_RANKS, 0x030E},
            {Opcode.CMSG_GUILD_GET_ROSTER, 0x015A},
            {Opcode.CMSG_GUILD_INVITE_BY_NAME, 0x0845},
            {Opcode.CMSG_GUILD_LEAVE, 0x044E},
            {Opcode.CMSG_GUILD_MEMBER_SEND_SOR_REQUEST, 0x0A0D},
            {Opcode.CMSG_GUILD_NEWS_UPDATE_STICKY, 0x0B4E},
            {Opcode.CMSG_GUILD_OFFICER_REMOVE_MEMBER, 0x011E},
            {Opcode.CMSG_GUILD_PERMISSIONS_QUERY, 0x010A},
            {Opcode.CMSG_GUILD_PROMOTE_MEMBER, 0x011A},
            {Opcode.CMSG_GUILD_QUERY_MEMBERS_FOR_RECIPE, 0x04CD},
            {Opcode.CMSG_GUILD_QUERY_MEMBER_RECIPES, 0x010D},
            {Opcode.CMSG_GUILD_QUERY_NEWS, 0x080A},
            {Opcode.CMSG_GUILD_QUERY_RECIPES, 0x094A},
            {Opcode.CMSG_GUILD_REPLACE_GUILD_MASTER, 0x090E},
            {Opcode.CMSG_GUILD_SET_ACHIEVEMENT_TRACKING, 0x014E},
            {Opcode.CMSG_GUILD_SET_FOCUSED_ACHIEVEMENT, 0x034E},
            {Opcode.CMSG_GUILD_SET_GUILD_MASTER, 0x07A2},
            {Opcode.CMSG_GUILD_SET_MEMBER_NOTE, 0x0B59},
            {Opcode.CMSG_GUILD_SET_RANK_PERMISSIONS, 0x0A0A},
            {Opcode.CMSG_GUILD_SHIFT_RANK, 0x015D},
            {Opcode.CMSG_GUILD_UPDATE_INFO_TEXT, 0x0049},
            {Opcode.CMSG_GUILD_UPDATE_MOTD_TEXT, 0x05CD},
            {Opcode.CMSG_HEARTH_AND_RESURRECT, 0x08CF},
            {Opcode.CMSG_IGNORE_TRADE, 0x18C3},
            {Opcode.CMSG_INCREASE_CAST_TIME_FOR_SPELL, 0x0282},
            {Opcode.CMSG_INITIATE_ROLE_POLL, 0x02A1},
            {Opcode.CMSG_INITIATE_TRADE, 0x12F4},
            {Opcode.CMSG_INSPECT, 0x004C},
            {Opcode.CMSG_INSPECT_PVP, 0x0AB2},
            {Opcode.CMSG_INSTANCE_LOCK_RESPONSE, 0x06C7},
            {Opcode.CMSG_ITEM_PURCHASE_REFUND, 0x028B},
            {Opcode.CMSG_ITEM_TEXT_QUERY, 0x1774},
            {Opcode.CMSG_JOIN_PET_BATTLE_QUEUE, 0x0185},
            {Opcode.CMSG_JOIN_RATED_BATTLEGROUND, 0x1584},
            {Opcode.CMSG_KEEP_ALIVE, 0x0325},
            {Opcode.CMSG_KEYBOUND_OVERRIDE, 0x13F5},
            {Opcode.CMSG_LEARN_PET_SPECIALIZATION_GROUP, 0x15C8},
            {Opcode.CMSG_LEARN_TALENTS, 0x16A3},
            {Opcode.CMSG_LEAVE_GROUP, 0x01C2},
            {Opcode.CMSG_LEAVE_PET_BATTLE_QUEUE, 0x1637},
            {Opcode.CMSG_LFG_LIST_APPLY_TO_GROUP, 0x00D2},
            {Opcode.CMSG_LFG_LIST_CANCEL_APPLICATION, 0x0A22},
            {Opcode.CMSG_LFG_LIST_DECLINE_APPLICANT, 0x0131},
            {Opcode.CMSG_LFG_LIST_GET_STATUS, 0x0D26},
            {Opcode.CMSG_LFG_LIST_INVITE_APPLICANT, 0x0931},
            {Opcode.CMSG_LFG_LIST_INVITE_RESPONSE, 0x0536},
            {Opcode.CMSG_LFG_LIST_JOIN, 0x01B6},
            {Opcode.CMSG_LFG_LIST_LEAVE, 0x0E36},
            {Opcode.CMSG_LFG_LIST_SEARCH, 0x03D5},
            {Opcode.CMSG_LFG_LIST_UPDATE_REQUEST, 0x0FB2},
            {Opcode.CMSG_LF_GUILD_ADD_RECRUIT, 0x0941},
            {Opcode.CMSG_LF_GUILD_BROWSE, 0x0022},
            {Opcode.CMSG_LF_GUILD_DECLINE_RECRUIT, 0x068A},
            {Opcode.CMSG_LF_GUILD_GET_APPLICATIONS, 0x054E},
            {Opcode.CMSG_LF_GUILD_GET_GUILD_POST, 0x0709},
            {Opcode.CMSG_LF_GUILD_GET_RECRUITS, 0x078A},
            {Opcode.CMSG_LF_GUILD_REMOVE_RECRUIT, 0x0449},
            {Opcode.CMSG_LF_GUILD_SET_GUILD_POST, 0x0926},
            {Opcode.CMSG_LIST_INVENTORY, 0x001F},
            {Opcode.CMSG_LOADING_SCREEN_NOTIFY, 0x0735},
            {Opcode.CMSG_LOAD_SELECTED_TROPHY, 0x1328},
            {Opcode.CMSG_LOGOUT_CANCEL, 0x00C8},
            {Opcode.CMSG_LOGOUT_INSTANT, 0x0410},
            {Opcode.CMSG_LOGOUT_REQUEST, 0x085C},
            {Opcode.CMSG_LOG_DISCONNECT, 0x045D},
            {Opcode.CMSG_LOG_STREAMING_ERROR, 0x0DD9},
            {Opcode.CMSG_LOOT_ITEM, 0x11C3},
            {Opcode.CMSG_LOOT_MONEY, 0x0D24},
            {Opcode.CMSG_LOOT_RELEASE, 0x17F6},
            {Opcode.CMSG_LOOT_ROLL, 0x0B28},
            {Opcode.CMSG_LOOT_UNIT, 0x14C8},
            {Opcode.CMSG_LOW_LEVEL_RAID1, 0x0CB6},
            {Opcode.CMSG_LOW_LEVEL_RAID2, 0x0618},
            {Opcode.CMSG_MAIL_CREATE_TEXT_ITEM, 0x0660},
            {Opcode.CMSG_MAIL_DELETE, 0x1984},
            {Opcode.CMSG_MAIL_GET_LIST, 0x0090},
            {Opcode.CMSG_MAIL_MARK_AS_READ, 0x029F},
            {Opcode.CMSG_MAIL_RETURN_TO_SENDER, 0x0A36},
            {Opcode.CMSG_MAIL_TAKE_ITEM, 0x0244},
            {Opcode.CMSG_MAIL_TAKE_MONEY, 0x00CC},
            {Opcode.CMSG_MASTER_LOOT_ITEM, 0x11C8},
            {Opcode.CMSG_MINIMAP_PING, 0x02D2},
            {Opcode.CMSG_MISSILE_TRAJECTORY_COLLISION, 0x0568},
            {Opcode.CMSG_MOUNT_SET_FAVORITE, 0x01A5},
            {Opcode.CMSG_MOUNT_SPECIAL_ANIM, 0x0E28},
            {Opcode.CMSG_MOVE_APPLY_MOVEMENT_FORCE_ACK, 0x1B07},
            {Opcode.CMSG_MOVE_CHANGE_TRANSPORT, 0x1B13},
            {Opcode.CMSG_MOVE_CHANGE_VEHICLE_SEATS, 0x1B58},
            {Opcode.CMSG_MOVE_CHARM_TELEPORT_CHEAT, 0x1604},
            {Opcode.CMSG_MOVE_DISMISS_VEHICLE, 0x1A84},
            {Opcode.CMSG_MOVE_ENABLE_SWIM_TO_FLY_TRANS_ACK, 0x1794},
            {Opcode.CMSG_MOVE_FALL_LAND, 0x12C8},
            {Opcode.CMSG_MOVE_FALL_RESET, 0x1BC8},
            {Opcode.CMSG_MOVE_FEATHER_FALL_ACK, 0x1707},
            {Opcode.CMSG_MOVE_FORCE_FLIGHT_BACK_SPEED_CHANGE_ACK, 0x1397},
            {Opcode.CMSG_MOVE_FORCE_FLIGHT_SPEED_CHANGE_ACK, 0x1A44},
            {Opcode.CMSG_MOVE_FORCE_PITCH_RATE_CHANGE_ACK, 0x12C4},
            {Opcode.CMSG_MOVE_FORCE_ROOT_ACK, 0x1747},
            {Opcode.CMSG_MOVE_FORCE_RUN_BACK_SPEED_CHANGE_ACK, 0x1A04},
            {Opcode.CMSG_MOVE_FORCE_RUN_SPEED_CHANGE_ACK, 0x1383},
            {Opcode.CMSG_MOVE_FORCE_SWIM_BACK_SPEED_CHANGE_ACK, 0x1B83},
            {Opcode.CMSG_MOVE_FORCE_SWIM_SPEED_CHANGE_ACK, 0x1314},
            {Opcode.CMSG_MOVE_FORCE_TURN_RATE_CHANGE_ACK, 0x1683},
            {Opcode.CMSG_MOVE_FORCE_UNROOT_ACK, 0x1744},
            {Opcode.CMSG_MOVE_FORCE_WALK_SPEED_CHANGE_ACK, 0x1E18},
            {Opcode.CMSG_MOVE_GRAVITY_DISABLE_ACK, 0x13D4},
            {Opcode.CMSG_MOVE_GRAVITY_ENABLE_ACK, 0x1394},
            {Opcode.CMSG_MOVE_HEARTBEAT, 0x1B18},
            {Opcode.CMSG_MOVE_HOVER_ACK, 0x1284},
            {Opcode.CMSG_MOVE_JUMP, 0x1A18},
            {Opcode.CMSG_MOVE_KNOCK_BACK_ACK, 0x1244},
            {Opcode.CMSG_MOVE_REMOVE_MOVEMENT_FORCES, 0x1688},
            {Opcode.CMSG_MOVE_REMOVE_MOVEMENT_FORCE_ACK, 0x1E07},
            {Opcode.CMSG_MOVE_SET_CAN_FLY_ACK, 0x1798},
            {Opcode.CMSG_MOVE_SET_CAN_TURN_WHILE_FALLING_ACK, 0x17C7},
            {Opcode.CMSG_MOVE_SET_COLLISION_HEIGHT_ACK, 0x1BC7},
            {Opcode.CMSG_MOVE_SET_FACING, 0x1A13},
            {Opcode.CMSG_MOVE_SET_FLY, 0x1384},
            {Opcode.CMSG_MOVE_SET_IGNORE_MOVEMENT_FORCES_ACK, 0x1A97},
            {Opcode.CMSG_MOVE_SET_PITCH, 0x1797},
            {Opcode.CMSG_MOVE_SET_RELATIVE_POSITION, 0x1388},
            {Opcode.CMSG_MOVE_SET_RUN_MODE, 0x1287},
            {Opcode.CMSG_MOVE_SET_VEHICLE_REC_ID_ACK, 0x1BD7},
            {Opcode.CMSG_MOVE_SET_WALK_MODE, 0x16C4},
            {Opcode.CMSG_MOVE_SPLINE_DONE, 0x16C8},
            {Opcode.CMSG_MOVE_START_ASCEND, 0x17C4},
            {Opcode.CMSG_MOVE_START_BACKWARD, 0x1294},
            {Opcode.CMSG_MOVE_START_DESCEND, 0x1B43},
            {Opcode.CMSG_MOVE_START_FORWARD, 0x1B97},
            {Opcode.CMSG_MOVE_START_PITCH_DOWN, 0x1704},
            {Opcode.CMSG_MOVE_START_PITCH_UP, 0x12D7},
            {Opcode.CMSG_MOVE_START_STRAFE_LEFT, 0x1A53},
            {Opcode.CMSG_MOVE_START_STRAFE_RIGHT, 0x1657},
            {Opcode.CMSG_MOVE_START_SWIM, 0x13C8},
            {Opcode.CMSG_MOVE_START_TURN_LEFT, 0x1298},
            {Opcode.CMSG_MOVE_START_TURN_RIGHT, 0x1A03},
            {Opcode.CMSG_MOVE_STOP, 0x1A08},
            {Opcode.CMSG_MOVE_STOP_ASCEND, 0x1303},
            {Opcode.CMSG_MOVE_STOP_PITCH, 0x1A98},
            {Opcode.CMSG_MOVE_STOP_STRAFE, 0x1218},
            {Opcode.CMSG_MOVE_STOP_SWIM, 0x1247},
            {Opcode.CMSG_MOVE_STOP_TURN, 0x16D7},
            {Opcode.CMSG_MOVE_TELEPORT_ACK, 0x17C8},
            {Opcode.CMSG_MOVE_TELEPORT_CHEAT, 0x1A57},
            {Opcode.CMSG_MOVE_TIME_SKIPPED, 0x1317},
            {Opcode.CMSG_MOVE_TOGGLE_COLLISION_CHEAT, 0x1608},
            {Opcode.CMSG_MOVE_WATER_WALK_ACK, 0x1754},
            {Opcode.CMSG_NEUTRAL_PLAYER_SELECT_FACTION, 0x1237},
            {Opcode.CMSG_NEXT_CINEMATIC_CAMERA, 0x0057},
            {Opcode.CMSG_OBJECT_UPDATE_FAILED, 0x1C87},
            {Opcode.CMSG_OBJECT_UPDATE_RESCUED, 0x1988},
            {Opcode.CMSG_OFFER_PETITION, 0x08B1},
            {Opcode.CMSG_OPENING_CINEMATIC, 0x0650},
            {Opcode.CMSG_OPEN_ITEM, 0x16F2},
            {Opcode.CMSG_OPEN_MISSION_NPC, 0x0D64},
            {Opcode.CMSG_OPEN_SHIPMENT_NPC, 0x0E92},
            {Opcode.CMSG_OPEN_TRADESKILL_NPC, 0x0B24},
            {Opcode.CMSG_OPT_OUT_OF_LOOT, 0x0A17},
            {Opcode.CMSG_PARTY_INVITE, 0x10C1},
            {Opcode.CMSG_PARTY_INVITE_RESPONSE, 0x0736},
            {Opcode.CMSG_PARTY_UNINVITE, 0x01B2},
            {Opcode.CMSG_PETITION_BUY, 0x00DB},
            {Opcode.CMSG_PETITION_RENAME_GUILD, 0x0F26},
            {Opcode.CMSG_PETITION_SHOW_LIST, 0x0208},
            {Opcode.CMSG_PETITION_SHOW_SIGNATURES, 0x0658},
            {Opcode.CMSG_PET_ABANDON, 0x02C3},
            {Opcode.CMSG_PET_ACTION, 0x000B},
            {Opcode.CMSG_PET_BATTLE_FINAL_NOTIFY, 0x10C8},
            {Opcode.CMSG_PET_BATTLE_INPUT, 0x0C25},
            {Opcode.CMSG_PET_BATTLE_QUEUE_PROPOSE_MATCH_RESULT, 0x1808},
            {Opcode.CMSG_PET_BATTLE_QUIT_NOTIFY, 0x1594},
            {Opcode.CMSG_PET_BATTLE_REPLACE_FRONT_PET, 0x0D31},
            {Opcode.CMSG_PET_BATTLE_REQUEST_PVP, 0x1DC8},
            {Opcode.CMSG_PET_BATTLE_REQUEST_UPDATE, 0x16A8},
            {Opcode.CMSG_PET_BATTLE_REQUEST_WILD, 0x13F8},
            {Opcode.CMSG_PET_BATTLE_SCRIPT_ERROR_NOTIFY, 0x1C88},
            {Opcode.CMSG_PET_CANCEL_AURA, 0x0A4F},
            {Opcode.CMSG_PET_CAST_SPELL, 0x13E2},
            {Opcode.CMSG_PET_RENAME, 0x09A1},
            {Opcode.CMSG_PET_SET_ACTION, 0x06D8},
            {Opcode.CMSG_PET_SPELL_AUTOCAST, 0x0083},
            {Opcode.CMSG_PET_STOP_ATTACK, 0x0694},
            {Opcode.CMSG_PING, 0x0659},
            {Opcode.CMSG_PLAYER_LOGIN, 0x0921},
            {Opcode.CMSG_PROTOCOL_MISMATCH, 0x0419},
            {Opcode.CMSG_PUSH_QUEST_TO_PARTY, 0x044F},
            {Opcode.CMSG_PVP_LOG_DATA, 0x1CC3},
            {Opcode.CMSG_QUERY_BATTLE_PET_NAME, 0x0B23},
            {Opcode.CMSG_QUERY_CORPSE_LOCATION_FROM_CLIENT, 0x05A1},
            {Opcode.CMSG_QUERY_CORPSE_TRANSPORT, 0x0B32},
            {Opcode.CMSG_QUERY_COUNTDOWN_TIMER, 0x1376},
            {Opcode.CMSG_QUERY_CREATURE, 0x1408},
            {Opcode.CMSG_QUERY_GAME_OBJECT, 0x17F8},
            {Opcode.CMSG_QUERY_GARRISON_CREATURE_NAME, 0x1D14},
            {Opcode.CMSG_QUERY_GUILD_INFO, 0x08B5},
            {Opcode.CMSG_QUERY_INSPECT_ACHIEVEMENTS, 0x0A4B},
            {Opcode.CMSG_QUERY_NEXT_MAIL_TIME, 0x0883},
            {Opcode.CMSG_QUERY_NPC_TEXT, 0x1C47},
            {Opcode.CMSG_QUERY_PAGE_TEXT, 0x1D94},
            {Opcode.CMSG_QUERY_PETITION, 0x1675},
            {Opcode.CMSG_QUERY_PET_NAME, 0x17E8},
            {Opcode.CMSG_QUERY_PLAYER_NAME, 0x0DA6},
            {Opcode.CMSG_QUERY_QUEST_COMPLETION_NPCS, 0x1488},
            {Opcode.CMSG_QUERY_QUEST_INFO, 0x0A24},
            {Opcode.CMSG_QUERY_REALM_NAME, 0x0951},
            {Opcode.CMSG_QUERY_SCENARIO_POI, 0x0236},
            {Opcode.CMSG_QUERY_TIME, 0x025B},
            {Opcode.CMSG_QUERY_VOID_STORAGE, 0x1814},
            {Opcode.CMSG_QUEST_CONFIRM_ACCEPT, 0x0807},
            {Opcode.CMSG_QUEST_GIVER_ACCEPT_QUEST, 0x0014},
            {Opcode.CMSG_QUEST_GIVER_CHOOSE_REWARD, 0x0084},
            {Opcode.CMSG_QUEST_GIVER_COMPLETE_QUEST, 0x0017},
            {Opcode.CMSG_QUEST_GIVER_HELLO, 0x009C},
            {Opcode.CMSG_QUEST_GIVER_QUERY_QUEST, 0x0A43},
            {Opcode.CMSG_QUEST_GIVER_REQUEST_REWARD, 0x0894},
            {Opcode.CMSG_QUEST_GIVER_STATUS_MULTIPLE_QUERY, 0x065C},
            {Opcode.CMSG_QUEST_GIVER_STATUS_QUERY, 0x0493},
            {Opcode.CMSG_QUEST_LOG_REMOVE_QUEST, 0x060B},
            {Opcode.CMSG_QUEST_POI_QUERY, 0x05B5},
            {Opcode.CMSG_QUEST_PUSH_RESULT, 0x089C},
            {Opcode.CMSG_QUEUED_MESSAGES_END, 0x069A},
            {Opcode.CMSG_RANDOM_ROLL, 0x0231},
            {Opcode.CMSG_READY_CHECK_RESPONSE, 0x0B46},
            {Opcode.CMSG_READ_ITEM, 0x1D43},
            {Opcode.CMSG_RECLAIM_CORPSE, 0x0287},
            {Opcode.CMSG_RECRUIT_A_FRIEND, 0x0031},
            {Opcode.CMSG_REDEEM_WOW_TOKEN_CONFIRM, 0x0801},
            {Opcode.CMSG_REDEEM_WOW_TOKEN_START, 0x09C6},
            {Opcode.CMSG_REORDER_CHARACTERS, 0x0A45},
            {Opcode.CMSG_REPAIR_ITEM, 0x0498},
            {Opcode.CMSG_REPLACE_TROPHY, 0x0982},
            {Opcode.CMSG_REPOP_REQUEST, 0x089F},
            {Opcode.CMSG_REPORT_PVP_PLAYER_AFK, 0x04C7},
            {Opcode.CMSG_REQUEST_ACCOUNT_DATA, 0x0A46},
            {Opcode.CMSG_REQUEST_BATTLEFIELD_STATUS, 0x0122},
            {Opcode.CMSG_REQUEST_CATEGORY_COOLDOWNS, 0x0D23},
            {Opcode.CMSG_REQUEST_CEMETERY_LIST, 0x15D3},
            {Opcode.CMSG_REQUEST_CONQUEST_FORMULA_CONSTANTS, 0x0E02},
            {Opcode.CMSG_REQUEST_FORCED_REACTIONS, 0x12E8},
            {Opcode.CMSG_REQUEST_GUILD_PARTY_STATE, 0x0868},
            {Opcode.CMSG_REQUEST_GUILD_REWARDS_LIST, 0x1407},
            {Opcode.CMSG_REQUEST_HONOR_STATS, 0x0146},
            {Opcode.CMSG_REQUEST_PARTY_JOIN_UPDATES, 0x0121},
            {Opcode.CMSG_REQUEST_PARTY_MEMBER_STATS, 0x0851},
            {Opcode.CMSG_REQUEST_PET_INFO, 0x0288},
            {Opcode.CMSG_REQUEST_PLAYED_TIME, 0x18D8},
            {Opcode.CMSG_REQUEST_PVP_REWARDS, 0x1361},
            {Opcode.CMSG_REQUEST_RAID_INFO, 0x0A12},
            {Opcode.CMSG_REQUEST_RESEARCH_HISTORY, 0x1768},
            {Opcode.CMSG_REQUEST_STABLED_PETS, 0x04C4},
            {Opcode.CMSG_REQUEST_VEHICLE_EXIT, 0x1843},
            {Opcode.CMSG_REQUEST_VEHICLE_NEXT_SEAT, 0x1636},
            {Opcode.CMSG_REQUEST_VEHICLE_PREV_SEAT, 0x1737},
            {Opcode.CMSG_REQUEST_VEHICLE_SWITCH_SEAT, 0x14C4},
            {Opcode.CMSG_REQUEST_WOW_TOKEN_MARKET_PRICE, 0x05B1},
            {Opcode.CMSG_RESET_CHALLENGE_MODE, 0x1A75},
            {Opcode.CMSG_RESURRECT_RESPONSE, 0x0535},
            {Opcode.CMSG_REVERT_MONUMENT_APPEARANCE, 0x062C},
            {Opcode.CMSG_RIDE_VEHICLE_INTERACT, 0x1A34},
            {Opcode.CMSG_SAVE_CUF_PROFILES, 0x1267},
            {Opcode.CMSG_SAVE_EQUIPMENT_SET, 0x04CF},
            {Opcode.CMSG_SAVE_GUILD_EMBLEM, 0x0A2B},
            {Opcode.CMSG_SCENE_PLAYBACK_CANCELED, 0x0145},
            {Opcode.CMSG_SCENE_PLAYBACK_COMPLETE, 0x0F2F},
            {Opcode.CMSG_SCENE_TRIGGER_EVENT, 0x1621},
            {Opcode.CMSG_SELF_RES, 0x0484},
            {Opcode.CMSG_SELL_ITEM, 0x045B},
            {Opcode.CMSG_SELL_WOW_TOKEN_CONFIRM, 0x0222},
            {Opcode.CMSG_SELL_WOW_TOKEN_START, 0x06B1},
            {Opcode.CMSG_SEND_CONTACT_LIST, 0x02D5},
            {Opcode.CMSG_SEND_MAIL, 0x0DA1},
            {Opcode.CMSG_SEND_SOR_REQUEST_VIA_ADDRESS, 0x02B2},
            {Opcode.CMSG_SEND_SOR_REQUEST_VIA_BNET_ACCOUNT_ID, 0x07B2},
            {Opcode.CMSG_SEND_TEXT_EMOTE, 0x0A53},
            {Opcode.CMSG_SET_ACHIEVEMENTS_HIDDEN, 0x1723},
            {Opcode.CMSG_SET_ACTION_BAR_TOGGLES, 0x0418},
            {Opcode.CMSG_SET_ACTION_BUTTON, 0x03A5},
            {Opcode.CMSG_SET_ACTIVE_MOVER, 0x12C3},
            {Opcode.CMSG_SET_ACTIVE_VOICE_CHANNEL, 0x0D32},
            {Opcode.CMSG_SET_ADVANCED_COMBAT_LOGGING, 0x0E12},
            {Opcode.CMSG_SET_ASSISTANT_LEADER, 0x0C26},
            {Opcode.CMSG_SET_BACKPACK_AUTOSORT_DISABLED, 0x1233},
            {Opcode.CMSG_SET_BANK_AUTOSORT_DISABLED, 0x0330},
            {Opcode.CMSG_CHANGE_BANK_BAG_SLOT_FLAG, 0x1507},
            {Opcode.CMSG_SET_CONTACT_NOTES, 0x0901},
            {Opcode.CMSG_SET_CURRENCY_FLAGS, 0x0E85},
            {Opcode.CMSG_SET_DIFFICULTY_ID, 0x1634},
            {Opcode.CMSG_SET_DUNGEON_DIFFICULTY, 0x0EA6},
            {Opcode.CMSG_SET_EVERYONE_IS_ASSISTANT, 0x0432},
            {Opcode.CMSG_SET_FACTION_AT_WAR, 0x028F},
            {Opcode.CMSG_SET_FACTION_INACTIVE, 0x009B},
            {Opcode.CMSG_SET_FACTION_NOT_AT_WAR, 0x0A10},
            {Opcode.CMSG_SET_INSERT_ITEMS_LEFT_TO_RIGHT, 0x0D63},
            {Opcode.CMSG_SET_LFG_BONUS_FACTION_ID, 0x1363},
            {Opcode.CMSG_SET_LOOT_METHOD, 0x05A2},
            {Opcode.CMSG_SET_LOOT_SPECIALIZATION, 0x0048},
            {Opcode.CMSG_SET_PARTY_ASSIGNMENT, 0x0636},
            {Opcode.CMSG_SET_PARTY_LEADER, 0x0856},
            {Opcode.CMSG_SET_PET_SLOT, 0x0C41},
            {Opcode.CMSG_SET_PLAYER_DECLINED_NAMES, 0x0522},
            {Opcode.CMSG_SET_PREFERRED_CEMETERY, 0x1C08},
            {Opcode.CMSG_SET_PVP, 0x13A1},
            {Opcode.CMSG_SET_RAID_DIFFICULTY, 0x0F25},
            {Opcode.CMSG_SET_ROLE, 0x0A25},
            {Opcode.CMSG_SET_SAVED_INSTANCE_EXTEND, 0x0521},
            {Opcode.CMSG_SET_SELECTION, 0x0610},
            {Opcode.CMSG_SET_SHEATHED, 0x06DC},
            {Opcode.CMSG_SET_SORT_BAGS_RIGHT_TO_LEFT, 0x1268},
            {Opcode.CMSG_SET_SPECIALIZATION, 0x17A7},
            {Opcode.CMSG_SET_TAXI_BENCHMARK_MODE, 0x04D7},
            {Opcode.CMSG_SET_TITLE, 0x1676},
            {Opcode.CMSG_SET_TRADE_CURRENCY, 0x0886},
            {Opcode.CMSG_SET_TRADE_GOLD, 0x1761},
            {Opcode.CMSG_SET_TRADE_ITEM, 0x0152},
            {Opcode.CMSG_SET_USING_PARTY_GARRISON, 0x1338},
            {Opcode.CMSG_SET_WATCHED_FACTION, 0x0007},
            {Opcode.CMSG_SHOWING_CLOAK, 0x0843},
            {Opcode.CMSG_SHOWING_HELM, 0x0A5B},
            {Opcode.CMSG_SHOW_TRADE_SKILL, 0x01D2},
            {Opcode.CMSG_SIGN_PETITION, 0x08D4},
            {Opcode.CMSG_SILENCE_PARTY_TALKER, 0x0925},
            {Opcode.CMSG_SOCKET_GEMS, 0x0260},
            {Opcode.CMSG_SORT_BAGS, 0x16A1},
            {Opcode.CMSG_SORT_BANK_BAGS, 0x1A74},
            {Opcode.CMSG_SORT_REAGENT_BANK_BAGS, 0x18C8},
            {Opcode.CMSG_SPELL_CLICK, 0x0403},
            {Opcode.CMSG_SPIRIT_HEALER_ACTIVATE, 0x0A54},
            {Opcode.CMSG_SPLIT_ITEM, 0x0370},
            {Opcode.CMSG_STAND_STATE_CHANGE, 0x1913},
            {Opcode.CMSG_START_SPECTATOR_WAR_GAME, 0x0891},
            {Opcode.CMSG_START_WAR_GAME, 0x03A6},
            {Opcode.CMSG_SUMMON_RESPONSE, 0x0E25},
            {Opcode.CMSG_SUPPORT_TICKET_SUBMIT_BUG, 0x0B55},
            {Opcode.CMSG_SUPPORT_TICKET_SUBMIT_COMPLAINT, 0x0F35},
            {Opcode.CMSG_SUPPORT_TICKET_SUBMIT_SUGGESTION, 0x03D6},
            {Opcode.CMSG_SUSPEND_COMMS_ACK, 0x0C99},
            {Opcode.CMSG_SUSPEND_TOKEN_RESPONSE, 0x0C9E},
            {Opcode.CMSG_SWAP_INV_ITEM, 0x0651},
            {Opcode.CMSG_SWAP_ITEM, 0x066C},
            {Opcode.CMSG_SWAP_SUB_GROUPS, 0x0A52},
            {Opcode.CMSG_SWAP_VOID_ITEM, 0x0ED2},
            {Opcode.CMSG_TABARD_VENDOR_ACTIVATE, 0x1625},
            {Opcode.CMSG_TALK_TO_GOSSIP, 0x04D3},
            {Opcode.CMSG_TAXI_NODE_STATUS_QUERY, 0x0284},
            {Opcode.CMSG_TAXI_QUERY_AVAILABLE_NODES, 0x0218},
            {Opcode.CMSG_TAXI_REQUEST_EARLY_LANDING, 0x088F},
            {Opcode.CMSG_TELEPORT_TO_UNIT, 0x0A21},
            {Opcode.CMSG_TIME_ADJUSTMENT_RESPONSE, 0x1344},
            {Opcode.CMSG_TIME_SYNC_RESPONSE, 0x1A94},
            {Opcode.CMSG_TIME_SYNC_RESPONSE_DROPPED, 0x1283},
            {Opcode.CMSG_TIME_SYNC_RESPONSE_FAILED, 0x13C7},
            {Opcode.CMSG_TOGGLE_DIFFICULTY, 0x0AB6},
            {Opcode.CMSG_TOGGLE_PVP, 0x16E4},
            {Opcode.CMSG_TOTEM_DESTROYED, 0x0614},
            {Opcode.CMSG_TOY_SET_FAVORITE, 0x02D6},
            {Opcode.CMSG_TRAINER_BUY_SPELL, 0x0207},
            {Opcode.CMSG_TRAINER_LIST, 0x0258},
            {Opcode.CMSG_TRANSMOGRIFY_ITEMS, 0x1147},
            {Opcode.CMSG_TURN_IN_PETITION, 0x069F},
            {Opcode.CMSG_TUTORIAL_FLAG, 0x0842},
            {Opcode.CMSG_TWITTER_CHECK_STATUS, 0x08F4},
            {Opcode.CMSG_TWITTER_CONNECT, 0x04A3},
            {Opcode.CMSG_TWITTER_DISCONNECT, 0x00AB},
            {Opcode.CMSG_TWITTER_POST, 0x12A4},
            {Opcode.CMSG_UI_TIME_REQUEST, 0x0905},
            {Opcode.CMSG_UNACCEPT_TRADE, 0x1666},
            {Opcode.CMSG_UNDELETE_CHARACTER, 0x0DB1},
            {Opcode.CMSG_UNLEARN_SKILL, 0x04DB},
            {Opcode.CMSG_UNLEARN_SPECIALIZATION, 0x1778},
            {Opcode.CMSG_UNLOCK_VOID_STORAGE, 0x032C},
            {Opcode.CMSG_UPDATE_ACCOUNT_DATA, 0x0FA2},
            {Opcode.CMSG_UPDATE_CLIENT_SETTINGS, 0x0812},
            {Opcode.CMSG_UPDATE_MISSILE_TRAJECTORY, 0x13B2},
            {Opcode.CMSG_UPDATE_RAID_TARGET, 0x0BD6},
            {Opcode.CMSG_UPDATE_VAS_PURCHASE_STATES, 0x0722},
            {Opcode.CMSG_UPDATE_WOW_TOKEN_AUCTIONABLE_LIST, 0x0E26},
            {Opcode.CMSG_UPDATE_WOW_TOKEN_COUNT, 0x08B2},
            {Opcode.CMSG_UPGRADE_GARRISON, 0x1117},
            {Opcode.CMSG_UPGRADE_ITEM, 0x1047},
            {Opcode.CMSG_USED_FOLLOW, 0x0C46},
            {Opcode.CMSG_USE_CRITTER_ITEM, 0x1018},
            {Opcode.CMSG_USE_EQUIPMENT_SET, 0x0668},
            {Opcode.CMSG_USE_ITEM, 0x1144},
            {Opcode.CMSG_USE_TOY, 0x16F1},
            {Opcode.CMSG_VIOLENCE_LEVEL, 0x1118},
            {Opcode.CMSG_VOICE_ADD_IGNORE, 0x00D5},
            {Opcode.CMSG_VOICE_DEL_IGNORE, 0x0425},
            {Opcode.CMSG_VOICE_SESSION_ENABLE, 0x08A5},
            {Opcode.CMSG_VOID_STORAGE_TRANSFER, 0x0A82},
            {Opcode.CMSG_WARDEN_DATA, 0x0AA6},
            {Opcode.CMSG_WHO, 0x03A2},
            {Opcode.CMSG_WHO_IS, 0x0126},
            {Opcode.CMSG_WORLD_PORT_RESPONSE, 0x04B6},
            {Opcode.CMSG_WORLD_TELEPORT, 0x0A35},
            {Opcode.CMSG_WRAP_ITEM, 0x0363}
        };

        private static readonly BiDictionary<Opcode, int> ServerOpcodes = new BiDictionary<Opcode, int>
        {
            {Opcode.SMSG_ABORT_NEW_WORLD, 0x0895},
            {Opcode.SMSG_ACCOUNT_CRITERIA_UPDATE, 0x09C5},
            {Opcode.SMSG_ACCOUNT_DATA_TIMES, 0x000C},
            {Opcode.SMSG_ACCOUNT_HEIRLOOM_UPDATE, 0x0521},
            {Opcode.SMSG_ACCOUNT_MOUNT_UPDATE, 0x085C},
            {Opcode.SMSG_ACCOUNT_TOYS_UPDATE, 0x0ACF},
            {Opcode.SMSG_ACHIEVEMENT_DELETED, 0x0093},
            {Opcode.SMSG_ACHIEVEMENT_EARNED, 0x01A1},
            {Opcode.SMSG_ACTIVATE_TAXI_REPLY, 0x0A90},
            {Opcode.SMSG_ADDON_INFO, 0x0B21},
            {Opcode.SMSG_ADD_BATTLENET_FRIEND_RESPONSE, 0x03A5},
            {Opcode.SMSG_ADD_ITEM_PASSIVE, 0x04C7},
            {Opcode.SMSG_ADD_LOSS_OF_CONTROL, 0x0CB6},
            {Opcode.SMSG_ADD_RUNE_POWER, 0x0288},
            {Opcode.SMSG_ADJUST_SPLINE_DURATION, 0x025B},
            {Opcode.SMSG_AE_LOOT_TARGETS, 0x02C7},
            {Opcode.SMSG_AE_LOOT_TARGET_ACK, 0x0221},
            {Opcode.SMSG_AI_REACTION, 0x080B},
            {Opcode.SMSG_ALL_ACCOUNT_CRITERIA, 0x0887},
            {Opcode.SMSG_ALL_ACHIEVEMENT_DATA, 0x0457},
            {Opcode.SMSG_ALL_GUILD_ACHIEVEMENTS, 0x08E3},
            {Opcode.SMSG_ARCHAEOLOGY_SURVERY_CAST, 0x0825},
            {Opcode.SMSG_AREA_SPIRIT_HEALER_TIME, 0x03D5},
            {Opcode.SMSG_AREA_TRIGGER_DENIED, 0x0436},
            {Opcode.SMSG_AREA_TRIGGER_NO_CORPSE, 0x0E90},
            {Opcode.SMSG_AREA_TRIGGER_RE_PATH, 0x05A5},
            {Opcode.SMSG_AREA_TRIGGER_RE_SHAPE, 0x0C13},
            {Opcode.SMSG_ARENA_ERROR, 0x0816},
            {Opcode.SMSG_ARENA_PREP_OPPONENT_SPECIALIZATIONS, 0x0E50},
            {Opcode.SMSG_ATTACKER_STATE_UPDATE, 0x0813},
            {Opcode.SMSG_ATTACK_START, 0x01B5},
            {Opcode.SMSG_ATTACK_STOP, 0x0C57},
            {Opcode.SMSG_ATTACK_SWING_ERROR, 0x0A95},
            {Opcode.SMSG_ATTACK_SWING_LANDED_LOG, 0x0526},
            {Opcode.SMSG_AUCTION_CLOSED_NOTIFICATION, 0x0C18},
            {Opcode.SMSG_AUCTION_COMMAND_RESULT, 0x0B16},
            {Opcode.SMSG_AUCTION_HELLO_RESPONSE, 0x0C5B},
            {Opcode.SMSG_AUCTION_LIST_BIDDER_ITEMS_RESULT, 0x04A0},
            {Opcode.SMSG_AUCTION_LIST_ITEMS_RESULT, 0x0847},
            {Opcode.SMSG_AUCTION_LIST_OWNER_ITEMS_RESULT, 0x0287},
            {Opcode.SMSG_AUCTION_LIST_PENDING_SALES_RESULT, 0x0EC3},
            {Opcode.SMSG_AUCTION_OUTBID_NOTIFICATION, 0x04DB},
            {Opcode.SMSG_AUCTION_OWNER_BID_NOTIFICATION, 0x0418},
            {Opcode.SMSG_AUCTION_REPLICATE_RESPONSE, 0x0ECB},
            {Opcode.SMSG_AUCTION_WON_NOTIFICATION, 0x0636},
            {Opcode.SMSG_AURA_POINTS_DEPLETED, 0x0C6D},
            {Opcode.SMSG_AURA_UPDATE, 0x0ABD},
            {Opcode.SMSG_AUTH_CHALLENGE, 0x1102},
            {Opcode.SMSG_AUTH_RESPONSE, 0x0403},
            {Opcode.SMSG_AVAILABLE_VOICE_CHANNEL, 0x1659},
            {Opcode.SMSG_BARBER_SHOP_RESULT, 0x0E44},
            {Opcode.SMSG_BATTLEFIELD_LIST, 0x0454},
            {Opcode.SMSG_BATTLEFIELD_PORT_DENIED, 0x0058},
            {Opcode.SMSG_BATTLEFIELD_STATUS_ACTIVE, 0x065F},
            {Opcode.SMSG_BATTLEFIELD_STATUS_FAILED, 0x0525},
            {Opcode.SMSG_BATTLEFIELD_STATUS_NEED_CONFIRMATION, 0x06C8},
            {Opcode.SMSG_BATTLEFIELD_STATUS_NONE, 0x0E22},
            {Opcode.SMSG_BATTLEFIELD_STATUS_QUEUED, 0x0888},
            {Opcode.SMSG_BATTLEFIELD_STATUS_WAIT_FOR_GROUPS, 0x0B26},
            {Opcode.SMSG_BATTLEGROUND_INFO_THROTTLED, 0x0B11},
            {Opcode.SMSG_BATTLEGROUND_INIT, 0x0A11},
            {Opcode.SMSG_BATTLEGROUND_PLAYER_JOINED, 0x00C8},
            {Opcode.SMSG_BATTLEGROUND_PLAYER_LEFT, 0x0018},
            {Opcode.SMSG_BATTLEGROUND_PLAYER_POSITIONS, 0x0C98},
            {Opcode.SMSG_BATTLEGROUND_POINTS, 0x00D6},
            {Opcode.SMSG_BATTLENET_CHALLENGE_ABORT, 0x0532},
            {Opcode.SMSG_BATTLENET_CHALLENGE_START, 0x0A18},
            {Opcode.SMSG_BATTLE_PAY_ACK_FAILED, 0x0F25},
            {Opcode.SMSG_BATTLE_PAY_CONFIRM_PURCHASE, 0x0608},
            {Opcode.SMSG_BATTLE_PAY_DELIVERY_ENDED, 0x07A2},
            {Opcode.SMSG_BATTLE_PAY_DELIVERY_STARTED, 0x0ED3},
            {Opcode.SMSG_BATTLE_PAY_DISTRIBUTION_UPDATE, 0x06D0},
            {Opcode.SMSG_BATTLE_PAY_GET_DISTRIBUTION_LIST_RESPONSE, 0x04CF},
            {Opcode.SMSG_BATTLE_PAY_GET_PRODUCT_LIST_RESPONSE, 0x0295},
            {Opcode.SMSG_BATTLE_PAY_GET_PURCHASE_LIST_RESPONSE, 0x0EC4},
            {Opcode.SMSG_BATTLE_PAY_PURCHASE_UPDATE, 0x0E14},
            {Opcode.SMSG_BATTLE_PAY_START_DISTRIBUTION_ASSIGN_TO_TARGET_RESPONSE, 0x0614},
            {Opcode.SMSG_BATTLE_PAY_START_PURCHASE_RESPONSE, 0x0858},
            {Opcode.SMSG_BATTLE_PETS_HEALED, 0x0254},
            {Opcode.SMSG_BATTLE_PET_CAGE_DATE_ERROR, 0x068F},
            {Opcode.SMSG_BATTLE_PET_DELETED, 0x0AD8},
            {Opcode.SMSG_BATTLE_PET_ERROR, 0x09A6},
            {Opcode.SMSG_BATTLE_PET_JOURNAL, 0x060F},
            {Opcode.SMSG_BATTLE_PET_JOURNAL_LOCK_ACQUIRED, 0x0AA0},
            {Opcode.SMSG_BATTLE_PET_JOURNAL_LOCK_DENIED, 0x02C4},
            {Opcode.SMSG_BATTLE_PET_LICENSE_CHANGED, 0x05B1},
            {Opcode.SMSG_BATTLE_PET_RESTORED, 0x0A51},
            {Opcode.SMSG_BATTLE_PET_REVOKED, 0x0854},
            {Opcode.SMSG_BATTLE_PET_TRAP_LEVEL, 0x0247},
            {Opcode.SMSG_BATTLE_PET_UPDATES, 0x0AD5},
            {Opcode.SMSG_BF_MGR_DROP_TIMER_CANCELLED, 0x04D4},
            {Opcode.SMSG_BF_MGR_DROP_TIMER_STARTED, 0x0617},
            {Opcode.SMSG_BF_MGR_EJECTED, 0x0AD2},
            {Opcode.SMSG_BF_MGR_EJECT_PENDING, 0x0603},
            {Opcode.SMSG_BF_MGR_ENTERING, 0x028B},
            {Opcode.SMSG_BF_MGR_ENTRY_INVITE, 0x0FA2},
            {Opcode.SMSG_BF_MGR_QUEUE_INVITE, 0x0CC7},
            {Opcode.SMSG_BF_MGR_QUEUE_REQUEST_RESPONSE, 0x0250},
            {Opcode.SMSG_BF_MGR_QUEUE_STATUS_UPDATE, 0x0684},
            {Opcode.SMSG_BF_MGR_STATE_CHANGED, 0x0C20},
            {Opcode.SMSG_BINDER_CONFIRM, 0x0497},
            {Opcode.SMSG_BIND_POINT_UPDATE, 0x00C4},
            {Opcode.SMSG_BLACK_MARKET_BID_ON_ITEM_RESULT, 0x0921},
            {Opcode.SMSG_BLACK_MARKET_OPEN_RESULT, 0x0A58},
            {Opcode.SMSG_BLACK_MARKET_OUTBID, 0x0226},
            {Opcode.SMSG_BLACK_MARKET_REQUEST_ITEMS_RESULT, 0x0A14},
            {Opcode.SMSG_BLACK_MARKET_WON, 0x01C5},
            {Opcode.SMSG_BONUS_ROLL_EMPTY, 0x000F},
            {Opcode.SMSG_BOSS_KILL_CREDIT, 0x06C4},
            {Opcode.SMSG_BREAK_TARGET, 0x0A44},
            {Opcode.SMSG_BUY_FAILED, 0x0604},
            {Opcode.SMSG_BUY_SUCCEEDED, 0x0E26},
            {Opcode.SMSG_CACHE_VERSION, 0x0932},
            {Opcode.SMSG_CALENDAR_CLEAR_PENDING_ACTION, 0x09C2},
            {Opcode.SMSG_CALENDAR_COMMAND_RESULT, 0x0722},
            {Opcode.SMSG_CALENDAR_EVENT_INITIAL_INVITES, 0x0C48},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE, 0x0284},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_ALERT, 0x0C93},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_MODERATOR_STATUS, 0x0735},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_NOTES, 0x0C53},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_NOTES_ALERT, 0x0243},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_REMOVED, 0x0484},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_REMOVED_ALERT, 0x00D8},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_STATUS, 0x0235},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_STATUS_ALERT, 0x088C},
            {Opcode.SMSG_CALENDAR_EVENT_REMOVED_ALERT, 0x09B6},
            {Opcode.SMSG_CALENDAR_EVENT_UPDATED_ALERT, 0x0A87},
            {Opcode.SMSG_CALENDAR_RAID_LOCKOUT_ADDED, 0x0232},
            {Opcode.SMSG_CALENDAR_RAID_LOCKOUT_REMOVED, 0x0C1B},
            {Opcode.SMSG_CALENDAR_RAID_LOCKOUT_UPDATED, 0x0CC4},
            {Opcode.SMSG_CALENDAR_SEND_CALENDAR, 0x088B},
            {Opcode.SMSG_CALENDAR_SEND_EVENT, 0x05B2},
            {Opcode.SMSG_CALENDAR_SEND_NUM_PENDING, 0x08B5},
            {Opcode.SMSG_CAMERA_SHAKE, 0x0C43},
            {Opcode.SMSG_CANCEL_AUTO_REPEAT, 0x0814},
            {Opcode.SMSG_CANCEL_COMBAT, 0x020F},
            {Opcode.SMSG_CANCEL_ORPHAN_SPELL_VISUAL, 0x01BD},
            {Opcode.SMSG_CANCEL_SCENE, 0x0A15},
            {Opcode.SMSG_CANCEL_SPELL_VISUAL, 0x006D},
            {Opcode.SMSG_CANCEL_SPELL_VISUAL_KIT, 0x0BFA},
            {Opcode.SMSG_CAN_DUEL_RESULT, 0x0098},
            {Opcode.SMSG_CAST_FAILED, 0x066E},
            {Opcode.SMSG_CATEGORY_COOLDOWN, 0x0C7E},
            {Opcode.SMSG_CHALLENGE_MODE_REWARDS, 0x00E0},
            {Opcode.SMSG_CHALLENGE_MODE_ALL_MAP_STATS, 0x0A22},
            {Opcode.SMSG_CHALLENGE_MODE_COMPLETE, 0x0935},
            {Opcode.SMSG_CHALLENGE_MODE_MAP_STATS_UPDATE, 0x0810},
            {Opcode.SMSG_CHALLENGE_MODE_NEW_PLAYER_RECORD, 0x02D1},
            {Opcode.SMSG_CHALLENGE_MODE_REQUEST_LEADERS_RESULT, 0x0453},
            {Opcode.SMSG_CHALLENGE_MODE_RESET, 0x0E83},
            {Opcode.SMSG_CHALLENGE_MODE_START, 0x068B},
            {Opcode.SMSG_CHANGE_PLAYER_DIFFICULTY_RESULT, 0x03B6},
            {Opcode.SMSG_CHANNEL_LIST, 0x14DA},
            {Opcode.SMSG_CHANNEL_NOTIFY, 0x1699},
            {Opcode.SMSG_CHANNEL_NOTIFY_JOINED, 0x1519},
            {Opcode.SMSG_CHANNEL_NOTIFY_LEFT, 0x145A},
            {Opcode.SMSG_CHARACTER_LOGIN_FAILED, 0x0488},
            {Opcode.SMSG_CHARACTER_OBJECT_TEST_RESPONSE, 0x0CE0},
            {Opcode.SMSG_CHARACTER_RENAME_RESULT, 0x00A6},
            {Opcode.SMSG_CHARACTER_UPGRADE_CHARACTER_CHOSEN, 0x00D3},
            {Opcode.SMSG_CHARACTER_UPGRADE_COMPLETE, 0x0893},
            {Opcode.SMSG_CHARACTER_UPGRADE_SPELL_TIER_SET, 0x0860},
            {Opcode.SMSG_CHARACTER_UPGRADE_STARTED, 0x07B5},
            {Opcode.SMSG_CHAR_CUSTOMIZE, 0x0A1B},
            {Opcode.SMSG_CHAR_CUSTOMIZE_FAILED, 0x041F},
            {Opcode.SMSG_CHAR_FACTION_CHANGE_RESULT, 0x0C22},
            {Opcode.SMSG_CHAT, 0x144A},
            {Opcode.SMSG_CHAT_AUTO_RESPONDED, 0x15D9},
            {Opcode.SMSG_CHAT_DOWN, 0x1CDA},
            {Opcode.SMSG_CHAT_IGNORED_ACCOUNT_MUTED, 0x1C89},
            {Opcode.SMSG_CHAT_IS_DOWN, 0x1C8A},
            {Opcode.SMSG_CHAT_NOT_IN_PARTY, 0x1719},
            {Opcode.SMSG_CHAT_PLAYER_AMBIGUOUS, 0x1459},
            {Opcode.SMSG_CHAT_PLAYER_NOTFOUND, 0x17D9},
            {Opcode.SMSG_CHAT_RECONNECT, 0x179A},
            {Opcode.SMSG_CHAT_RESTRICTED, 0x16DA},
            {Opcode.SMSG_CHAT_SERVER_MESSAGE, 0x1D49},
            {Opcode.SMSG_CHEAT_IGNORE_DIMISHING_RETURNS, 0x067D},
            {Opcode.SMSG_CHECK_WARGAME_ENTRY, 0x0BB2},
            {Opcode.SMSG_CHUNKED_PACKET, 0x1201},
            {Opcode.SMSG_CLEAR_ALL_SPELL_CHARGES, 0x016D},
            {Opcode.SMSG_CLEAR_BOSS_EMOTES, 0x0048},
            {Opcode.SMSG_CLEAR_COOLDOWN, 0x0ED7},
            {Opcode.SMSG_CLEAR_COOLDOWNS, 0x05BE},
            {Opcode.SMSG_CLEAR_LOSS_OF_CONTROL, 0x0883},
            {Opcode.SMSG_CLEAR_SPELL_CHARGES, 0x08A9},
            {Opcode.SMSG_CLEAR_TARGET, 0x02D5},
            {Opcode.SMSG_COIN_REMOVED, 0x0846},
            {Opcode.SMSG_COMBAT_EVENT_FAILED, 0x0A46},
            {Opcode.SMSG_COMMENTATOR_MAP_INFO, 0x061F},
            {Opcode.SMSG_COMMENTATOR_PLAYER_INFO, 0x0A4C},
            {Opcode.SMSG_COMMENTATOR_STATE_CHANGED, 0x0856},
            {Opcode.SMSG_COMPLAINT_RESULT, 0x0D31},
            {Opcode.SMSG_COMPLETE_SHIPMENT_RESPONSE, 0x0643},
            {Opcode.SMSG_COMPRESSED_PACKET, 0x1806},
            {Opcode.SMSG_CONNECT_TO, 0x1101},
            {Opcode.SMSG_CONQUEST_FORMULA_CONSTANTS, 0x0906},
            {Opcode.SMSG_CONSOLE_WRITE, 0x06D3},
            {Opcode.SMSG_CONTACT_LIST, 0x0B05},
            {Opcode.SMSG_CONTROL_UPDATE, 0x004B},
            {Opcode.SMSG_CONVERT_RUNE, 0x0822},
            {Opcode.SMSG_COOLDOWN_CHEAT, 0x0E87},
            {Opcode.SMSG_COOLDOWN_EVENT, 0x021F},
            {Opcode.SMSG_CORPSE_LOCATION, 0x0905},
            {Opcode.SMSG_CORPSE_RECLAIM_DELAY, 0x0031},
            {Opcode.SMSG_CORPSE_TRANSPORT_QUERY, 0x02A0},
            {Opcode.SMSG_CREATE_CHAR, 0x0A16},
            {Opcode.SMSG_CREATE_SHIPMENT_RESPONSE, 0x0220},
            {Opcode.SMSG_CRITERIA_DELETED, 0x0EE0},
            {Opcode.SMSG_CRITERIA_UPDATE, 0x0BA5},
            {Opcode.SMSG_CROSSED_INEBRIATION_THRESHOLD, 0x08D6},
            {Opcode.SMSG_CUSTOM_LOAD_SCREEN, 0x02D6},
            {Opcode.SMSG_DAILY_QUESTS_RESET, 0x090A},
            {Opcode.SMSG_DAMAGE_CALC_LOG, 0x0CC3},
            {Opcode.SMSG_DANCE_STUDIO_CREATE_RESULT, 0x0945},
            {Opcode.SMSG_DB_REPLY, 0x0C5F},
            {Opcode.SMSG_DEATH_RELEASE_LOC, 0x0A5C},
            {Opcode.SMSG_DEFENSE_MESSAGE, 0x1CD9},
            {Opcode.SMSG_DELETE_CHAR, 0x0E9B},
            {Opcode.SMSG_DESTROY_ARENA_UNIT, 0x0322},
            {Opcode.SMSG_DESTRUCTIBLE_BUILDING_DAMAGE, 0x02C8},
            {Opcode.SMSG_DIFFERENT_INSTANCE_FROM_PARTY, 0x03A2},
            {Opcode.SMSG_DISENCHANT_CREDIT, 0x02DB},
            {Opcode.SMSG_DISMOUNT, 0x02DF},
            {Opcode.SMSG_DISMOUNT_RESULT, 0x0AB2},
            {Opcode.SMSG_DISPEL_FAILED, 0x057E},
            {Opcode.SMSG_DISPLAY_GAME_ERROR, 0x07B1},
            {Opcode.SMSG_DISPLAY_PLAYER_CHOICE, 0x0244},
            {Opcode.SMSG_DISPLAY_PROMOTION, 0x0B06},
            {Opcode.SMSG_DISPLAY_QUEST_POPUP, 0x060D},
            {Opcode.SMSG_DISPLAY_TOAST, 0x0B25},
            {Opcode.SMSG_DONT_AUTO_PUSH_SPELLS_TO_ACTION_BAR, 0x0931},
            {Opcode.SMSG_DROP_NEW_CONNECTION, 0x1002},
            {Opcode.SMSG_DUEL_COMPLETE, 0x03D2},
            {Opcode.SMSG_DUEL_COUNTDOWN, 0x0450},
            {Opcode.SMSG_DUEL_IN_BOUNDS, 0x069F},
            {Opcode.SMSG_DUEL_OUT_OF_BOUNDS, 0x08B6},
            {Opcode.SMSG_DUEL_REQUESTED, 0x0941},
            {Opcode.SMSG_DUEL_WINNER, 0x0B15},
            {Opcode.SMSG_DURABILITY_DAMAGE_DEATH, 0x0698},
            {Opcode.SMSG_EMOTE, 0x0531},
            {Opcode.SMSG_ENABLE_BARBER_SHOP, 0x09C6},
            {Opcode.SMSG_ENCHANTMENT_LOG, 0x0926},
            {Opcode.SMSG_ENCOUNTER_END, 0x08DF},
            {Opcode.SMSG_ENCOUNTER_START, 0x08D7},
            {Opcode.SMSG_ENUM_CHARACTERS_RESULT, 0x0290},
            {Opcode.SMSG_ENVIRONMENTAL_DAMAGE_LOG, 0x093D},
            {Opcode.SMSG_EQUIPMENT_SET_ID, 0x0843},
            {Opcode.SMSG_EXPECTED_SPAM_RECORDS, 0x1C9A},
            {Opcode.SMSG_EXPLORATION_EXPERIENCE, 0x0C90},
            {Opcode.SMSG_FACTION_BONUS_INFO, 0x041C},
            {Opcode.SMSG_FAILED_PLAYER_CONDITION, 0x0DA5},
            {Opcode.SMSG_FEATURE_SYSTEM_STATUS, 0x0090},
            {Opcode.SMSG_FEATURE_SYSTEM_STATUS_GLUE_SCREEN, 0x0683},
            {Opcode.SMSG_FEIGN_DEATH_RESISTED, 0x0DB5},
            {Opcode.SMSG_FINAL_CHUNK, 0x1305},
            {Opcode.SMSG_FISH_ESCAPED, 0x0087},
            {Opcode.SMSG_FISH_NOT_HOOKED, 0x0955},
            {Opcode.SMSG_FLIGHT_SPLINE_SYNC, 0x0F23},
            {Opcode.SMSG_FORCED_DEATH_UPDATE, 0x089F},
            {Opcode.SMSG_FORCE_ANIM, 0x029F},
            {Opcode.SMSG_FORCE_OBJECT_RELINK, 0x0E9F},
            {Opcode.SMSG_FRIEND_STATUS, 0x0084},
            {Opcode.SMSG_GAME_OBJECT_ACTIVATE_ANIM_KIT, 0x0335},
            {Opcode.SMSG_GAME_OBJECT_CUSTOM_ANIM, 0x0FB2},
            {Opcode.SMSG_GAME_OBJECT_DESPAWN, 0x0E88},
            {Opcode.SMSG_GAME_OBJECT_PLAY_SPELL_VISUAL, 0x037D},
            {Opcode.SMSG_GAME_OBJECT_PLAY_SPELL_VISUAL_KIT, 0x0AAE},
            {Opcode.SMSG_GAME_OBJECT_RESET_STATE, 0x07A6},
            {Opcode.SMSG_GAME_SPEED_SET, 0x0125},
            {Opcode.SMSG_GAME_TIME_SET, 0x0421},
            {Opcode.SMSG_GAME_TIME_UPDATE, 0x0207},
            {Opcode.SMSG_GARRISON_ADD_FOLLOWER_RESULT, 0x05E2},
            {Opcode.SMSG_GARRISON_ADD_MISSION_RESULT, 0x0366},
            {Opcode.SMSG_GARRISON_ASSIGN_FOLLOWER_TO_BUILDING_RESULT, 0x0272},
            {Opcode.SMSG_GARRISON_BUILDING_ACTIVATED, 0x0662},
            {Opcode.SMSG_GARRISON_BUILDING_LANDMARKS, 0x0B61},
            {Opcode.SMSG_GARRISON_BUILDING_REMOVED, 0x04F5},
            {Opcode.SMSG_GARRISON_BUILDING_SET_ACTIVE_SPECIALIZATION_RESULT, 0x0876},
            {Opcode.SMSG_GARRISON_CLEAR_ALL_FOLLOWERS_EXHAUSTION, 0x0361},
            {Opcode.SMSG_GARRISON_COMPLETE_MISSION_RESULT, 0x03E6},
            {Opcode.SMSG_GARRISON_CREATE_RESULT, 0x0976},
            {Opcode.SMSG_GARRISON_DELETE_RESULT, 0x0BF5},
            {Opcode.SMSG_GARRISON_FOLLOWER_CHANGED_ABILITIES, 0x0871},
            {Opcode.SMSG_GARRISON_FOLLOWER_CHANGED_ITEM_LEVEL, 0x0466},
            {Opcode.SMSG_GARRISON_FOLLOWER_CHANGED_STATUS, 0x0775},
            {Opcode.SMSG_GARRISON_FOLLOWER_CHANGED_XP, 0x0AE2},
            {Opcode.SMSG_GARRISON_IS_UPGRADEABLE_RESULT, 0x07E1},
            {Opcode.SMSG_GARRISON_LANDING_PAGE_SHIPMENT_INFO, 0x089C},
            {Opcode.SMSG_GARRISON_LEARN_BLUEPRINT_RESULT, 0x0176},
            {Opcode.SMSG_GARRISON_LEARN_SPECIALIZATION_RESULT, 0x0076},
            {Opcode.SMSG_GARRISON_LIST_FOLLOWERS_CHEAT_RESULT, 0x0462},
            {Opcode.SMSG_GARRISON_LIST_MISSIONS_CHEAT_RESULT, 0x0661},
            {Opcode.SMSG_GARRISON_MISSION_AREA_BONUS_ADDED, 0x04E1},
            {Opcode.SMSG_GARRISON_MISSION_BONUS_ROLL_RESULT, 0x01F2},
            {Opcode.SMSG_GARRISON_MISSION_UPDATE_CAN_START, 0x0BE2},
            {Opcode.SMSG_GARRISON_NUM_FOLLOWER_ACTIVATIONS_REMAINING, 0x0862},
            {Opcode.SMSG_GARRISON_OPEN_ARCHITECT, 0x0A65},
            {Opcode.SMSG_GARRISON_OPEN_MISSION_NPC, 0x0566},
            {Opcode.SMSG_GARRISON_OPEN_RECRUITMENT_NPC, 0x0576},
            {Opcode.SMSG_GARRISON_OPEN_TRADESKILL_NPC, 0x0C65},
            {Opcode.SMSG_GARRISON_PLACE_BUILDING_RESULT, 0x08F1},
            {Opcode.SMSG_GARRISON_PLOT_PLACED, 0x0172},
            {Opcode.SMSG_GARRISON_PLOT_REMOVED, 0x0866},
            {Opcode.SMSG_GARRISON_RECALL_PORTAL_LAST_USED_TIME, 0x00E5},
            {Opcode.SMSG_GARRISON_RECALL_PORTAL_USED, 0x07F1},
            {Opcode.SMSG_GARRISON_RECRUITMENT_FOLLOWERS_GENERATED, 0x00E2},
            {Opcode.SMSG_GARRISON_RECRUIT_FOLLOWER_RESULT, 0x0162},
            {Opcode.SMSG_GARRISON_REMOTE_INFO, 0x01F5},
            {Opcode.SMSG_GARRISON_REMOVE_FOLLOWER_FROM_BUILDING_RESULT, 0x06E5},
            {Opcode.SMSG_GARRISON_REMOVE_FOLLOWER_RESULT, 0x08F5},
            {Opcode.SMSG_GARRISON_REQUEST_BLUEPRINT_AND_SPECIALIZATION_DATA_RESULT, 0x05F5},
            {Opcode.SMSG_GARRISON_START_MISSION_RESULT, 0x07E6},
            {Opcode.SMSG_GARRISON_UNLEARN_BLUEPRINT_RESULT, 0x0861},
            {Opcode.SMSG_GARRISON_UPGRADE_RESULT, 0x0165},
            {Opcode.SMSG_GENERATE_RANDOM_CHARACTER_NAME_RESULT, 0x0693},
            {Opcode.SMSG_GET_ACCOUNT_CHARACTER_LIST_RESULT, 0x0008},
            {Opcode.SMSG_GET_DISPLAYED_TROPHY_LIST_RESPONSE, 0x06F2},
            {Opcode.SMSG_GET_GARRISON_INFO_RESULT, 0x0B75},
            {Opcode.SMSG_GET_SHIPMENTS_OF_TYPE_RESPONSE, 0x03A6},
            {Opcode.SMSG_GET_SHIPMENT_INFO_RESPONSE, 0x024F},
            {Opcode.SMSG_GET_TROPHY_LIST_RESPONSE, 0x005C},
            {Opcode.SMSG_GM_PLAYER_INFO, 0x0E25},
            {Opcode.SMSG_GM_REQUEST_PLAYER_INFO, 0x0946},
            {Opcode.SMSG_GM_TICKET_CASE_STATUS, 0x005F},
            {Opcode.SMSG_GM_TICKET_SYSTEM_STATUS, 0x0ADF},
            {Opcode.SMSG_GOD_MODE, 0x04A5},
            {Opcode.SMSG_GOSSIP_COMPLETE, 0x0D89},
            {Opcode.SMSG_GOSSIP_MESSAGE, 0x0E0A},
            {Opcode.SMSG_GOSSIP_POI, 0x0925},
            {Opcode.SMSG_GROUP_ACTION_THROTTLED, 0x06DC},
            {Opcode.SMSG_GROUP_DECLINE, 0x0E1F},
            {Opcode.SMSG_GROUP_DESTROYED, 0x08D4},
            {Opcode.SMSG_GROUP_NEW_LEADER, 0x009F},
            {Opcode.SMSG_GROUP_UNINVITE, 0x0126},
            {Opcode.SMSG_GUILD_ACHIEVEMENT_DELETED, 0x06AC},
            {Opcode.SMSG_GUILD_ACHIEVEMENT_EARNED, 0x04FC},
            {Opcode.SMSG_GUILD_ACHIEVEMENT_MEMBERS, 0x08FB},
            {Opcode.SMSG_GUILD_BANK_LOG_QUERY_RESULTS, 0x06EB},
            {Opcode.SMSG_GUILD_BANK_QUERY_RESULTS, 0x06FC},
            {Opcode.SMSG_GUILD_BANK_REMAINING_WITHDRAW_MONEY, 0x0CA4},
            {Opcode.SMSG_GUILD_BANK_TEXT_QUERY_RESULT, 0x02E4},
            {Opcode.SMSG_GUILD_CHALLENGE_COMPLETED, 0x00BC},
            {Opcode.SMSG_GUILD_CHALLENGE_UPDATE, 0x02AB},
            {Opcode.SMSG_GUILD_CHANGE_NAME_RESULT, 0x08AC},
            {Opcode.SMSG_GUILD_COMMAND_RESULT, 0x04F4},
            {Opcode.SMSG_GUILD_CRITERIA_DELETED, 0x00AB},
            {Opcode.SMSG_GUILD_CRITERIA_UPDATE, 0x06AB},
            {Opcode.SMSG_GUILD_EVENT_BANK_CONTENTS_CHANGED, 0x00F3},
            {Opcode.SMSG_GUILD_EVENT_BANK_MONEY_CHANGED, 0x0AF4},
            {Opcode.SMSG_GUILD_EVENT_DISBANDED, 0x06F3},
            {Opcode.SMSG_GUILD_EVENT_LOG_QUERY_RESULTS, 0x08B4},
            {Opcode.SMSG_GUILD_EVENT_MOTD, 0x02A3},
            {Opcode.SMSG_GUILD_EVENT_NEW_LEADER, 0x02F3},
            {Opcode.SMSG_GUILD_EVENT_PLAYER_JOINED, 0x06E4},
            {Opcode.SMSG_GUILD_EVENT_PLAYER_LEFT, 0x06A4},
            {Opcode.SMSG_GUILD_EVENT_PRESENCE_CHANGE, 0x06F4},
            {Opcode.SMSG_GUILD_EVENT_RANKS_UPDATED, 0x00F4},
            {Opcode.SMSG_GUILD_EVENT_RANK_CHANGED, 0x08A3},
            {Opcode.SMSG_GUILD_EVENT_TAB_ADDED, 0x0AA4},
            {Opcode.SMSG_GUILD_EVENT_TAB_DELETED, 0x04B4},
            {Opcode.SMSG_GUILD_EVENT_TAB_MODIFIED, 0x04A3},
            {Opcode.SMSG_GUILD_EVENT_TAB_TEXT_CHANGED, 0x08F4},
            {Opcode.SMSG_GUILD_FLAGGED_FOR_RENAME, 0x02F4},
            {Opcode.SMSG_GUILD_INVITE, 0x08BB},
            {Opcode.SMSG_GUILD_INVITE_DECLINED, 0x02E3},
            {Opcode.SMSG_GUILD_INVITE_EXPIRED, 0x0AA3},
            {Opcode.SMSG_GUILD_KNOWN_RECIPES, 0x04BB},
            {Opcode.SMSG_GUILD_MEMBERS_WITH_RECIPE, 0x04E4},
            {Opcode.SMSG_GUILD_MEMBER_DAILY_RESET, 0x0AFB},
            {Opcode.SMSG_GUILD_MEMBER_RECIPES, 0x08EC},
            {Opcode.SMSG_GUILD_MEMBER_UPDATE_NOTE, 0x02FB},
            {Opcode.SMSG_GUILD_MOVED, 0x0AE4},
            {Opcode.SMSG_GUILD_MOVE_STARTING, 0x08EB},
            {Opcode.SMSG_GUILD_NAME_CHANGED, 0x0AAB},
            {Opcode.SMSG_GUILD_NEWS, 0x00A3},
            {Opcode.SMSG_GUILD_NEWS_DELETED, 0x0AEC},
            {Opcode.SMSG_GUILD_PARTY_STATE, 0x0ABC},
            {Opcode.SMSG_GUILD_PERMISSIONS_QUERY_RESULTS, 0x00EC},
            {Opcode.SMSG_GUILD_RANKS, 0x06FB},
            {Opcode.SMSG_GUILD_REPUTATION_REACTION_CHANGED, 0x00E3},
            {Opcode.SMSG_GUILD_RESET, 0x0AFC},
            {Opcode.SMSG_GUILD_REWARD_LIST, 0x0AF3},
            {Opcode.SMSG_GUILD_ROSTER, 0x04B3},
            {Opcode.SMSG_GUILD_ROSTER_UPDATE, 0x00BB},
            {Opcode.SMSG_GUILD_SEND_RANK_CHANGE, 0x00B4},
            {Opcode.SMSG_HEALTH_UPDATE, 0x06D4},
            {Opcode.SMSG_HIGHEST_THREAT_UPDATE, 0x0B36},
            {Opcode.SMSG_HOTFIX_NOTIFY, 0x0AA1},
            {Opcode.SMSG_HOTFIX_NOTIFY_BLOB, 0x0095},
            {Opcode.SMSG_INCREASE_CAST_TIME_FOR_SPELL, 0x036E},
            {Opcode.SMSG_INITIALIZE_FACTIONS, 0x04E0},
            {Opcode.SMSG_INITIAL_SETUP, 0x02CC},
            {Opcode.SMSG_INIT_WORLD_STATES, 0x0E53},
            {Opcode.SMSG_INSPECT_HONOR_STATS, 0x0AC7},
            {Opcode.SMSG_INSPECT_PVP, 0x08D3},
            {Opcode.SMSG_INSPECT_RESULT, 0x01B2},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_CHANGE_PRIORITY, 0x0094},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_DISENGAGE_UNIT, 0x0648},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_END, 0x0901},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_ENGAGE_UNIT, 0x0CDF},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_GAIN_COMBAT_RESURRECTION_CHARGE, 0x0ECC},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_IN_COMBAT_RESURRECTION, 0x0E07},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_OBJECTIVE_COMPLETE, 0x084B},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_OBJECTIVE_START, 0x0625},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_OBJECTIVE_UPDATE, 0x0B01},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_PHASE_SHIFT_CHANGED, 0x0447},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_START, 0x06CC},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_TIMER_START, 0x09A2},
            {Opcode.SMSG_INSTANCE_GROUP_SIZE_CHANGED, 0x0B55},
            {Opcode.SMSG_INSTANCE_INFO, 0x025F},
            {Opcode.SMSG_INSTANCE_RESET, 0x0E31},
            {Opcode.SMSG_INSTANCE_RESET_FAILED, 0x03D6},
            {Opcode.SMSG_INSTANCE_SAVE_CREATED, 0x00DB},
            {Opcode.SMSG_INVALIDATE_PLAYER, 0x07A1},
            {Opcode.SMSG_INVALID_PROMOTION_CODE, 0x0AC3},
            {Opcode.SMSG_INVENTORY_CHANGE_FAILURE, 0x0C4B},
            {Opcode.SMSG_IS_QUEST_COMPLETE_RESPONSE, 0x0D0A},
            {Opcode.SMSG_ITEM_CHANGED, 0x0A91},
            {Opcode.SMSG_ITEM_COOLDOWN, 0x0A32},
            {Opcode.SMSG_ITEM_ENCHANT_TIME_UPDATE, 0x0236},
            {Opcode.SMSG_ITEM_EXPIRE_PURCHASE_REFUND, 0x0426},
            {Opcode.SMSG_ITEM_PURCHASE_REFUND_RESULT, 0x0047},
            {Opcode.SMSG_ITEM_PUSH_RESULT, 0x0690},
            {Opcode.SMSG_ITEM_TIME_UPDATE, 0x0EB2},
            {Opcode.SMSG_KICK_REASON, 0x02D4},
            {Opcode.SMSG_LEARNED_SPELLS, 0x092A},
            {Opcode.SMSG_LEARN_TALENT_FAILED, 0x0AA2},
            {Opcode.SMSG_LEVEL_UP_INFO, 0x01D2},
            {Opcode.SMSG_LFG_BOOT_PLAYER, 0x0611},
            {Opcode.SMSG_LFG_DISABLED, 0x0C6C},
            {Opcode.SMSG_LFG_JOIN_RESULT, 0x0363},
            {Opcode.SMSG_LFG_LIST_JOIN_RESULT, 0x0252},
            {Opcode.SMSG_LFG_LIST_SEARCH_RESULTS, 0x052C},
            {Opcode.SMSG_LFG_LIST_SEARCH_STATUS, 0x012B},
            {Opcode.SMSG_LFG_LIST_UPDATE_BLACKLIST, 0x086C},
            {Opcode.SMSG_LFG_LIST_UPDATE_STATUS, 0x0241},
            {Opcode.SMSG_LFG_OFFER_CONTINUE, 0x046B},
            {Opcode.SMSG_LFG_PARTY_INFO, 0x0256},
            {Opcode.SMSG_LFG_PLAYER_INFO, 0x0356},
            {Opcode.SMSG_LFG_PLAYER_REWARD, 0x066B},
            {Opcode.SMSG_LFG_PROPOSAL_UPDATE, 0x0D6B},
            {Opcode.SMSG_LFG_QUEUE_STATUS, 0x0255},
            {Opcode.SMSG_LFG_READY_CHECK_RESULT, 0x0770},
            {Opcode.SMSG_LFG_READY_CHECK_UPDATE, 0x016B},
            {Opcode.SMSG_LFG_ROLE_CHECK_UPDATE, 0x0368},
            {Opcode.SMSG_LFG_SEARCH_RESULTS, 0x06D1},
            {Opcode.SMSG_LFG_SLOT_INVALID, 0x0341},
            {Opcode.SMSG_LFG_TELEPORT_DENIED, 0x0364},
            {Opcode.SMSG_LFG_UPDATE_STATUS, 0x076B},
            {Opcode.SMSG_LF_GUILD_APPLICANT_LIST_CHANGED, 0x00FC},
            {Opcode.SMSG_LF_GUILD_APPLICATIONS, 0x04EB},
            {Opcode.SMSG_LF_GUILD_APPLICATIONS_LIST_CHANGED, 0x0AB3},
            {Opcode.SMSG_LF_GUILD_BROWSE, 0x08FC},
            {Opcode.SMSG_LF_GUILD_COMMAND_RESULT, 0x06EC},
            {Opcode.SMSG_LF_GUILD_POST, 0x02B4},
            {Opcode.SMSG_LF_GUILD_RECRUITS, 0x08E4},
            {Opcode.SMSG_LIVE_REGION_ACCOUNT_RESTORE_RESULT, 0x0A42},
            {Opcode.SMSG_LIVE_REGION_CHARACTER_COPY_RESULT, 0x0E8F},
            {Opcode.SMSG_LIVE_REGION_GET_ACCOUNT_CHARACTER_LIST_RESULT, 0x0135},
            {Opcode.SMSG_LOAD_CUF_PROFILES, 0x0848},
            {Opcode.SMSG_LOAD_EQUIPMENT_SET, 0x048B},
            {Opcode.SMSG_LOAD_SELECTED_TROPHY_RESULT, 0x02A2},
            {Opcode.SMSG_LOGIN_SET_TIME_SPEED, 0x0C47},
            {Opcode.SMSG_LOGIN_VERIFY_WORLD, 0x0CD3},
            {Opcode.SMSG_LOGOUT_CANCEL_ACK, 0x0817},
            {Opcode.SMSG_LOGOUT_COMPLETE, 0x0618},
            {Opcode.SMSG_LOGOUT_RESPONSE, 0x0535},
            {Opcode.SMSG_LOG_XP_GAIN, 0x0C84},
            {Opcode.SMSG_LOOT_ALL_PASSED, 0x089B},
            {Opcode.SMSG_LOOT_CONTENTS, 0x0490},
            {Opcode.SMSG_LOOT_ITEM_LIST, 0x0832},
            {Opcode.SMSG_LOOT_LIST, 0x0AB6},
            {Opcode.SMSG_LOOT_MONEY_NOTIFY, 0x0E94},
            {Opcode.SMSG_LOOT_RELEASE, 0x0404},
            {Opcode.SMSG_LOOT_RELEASE_ALL, 0x06A5},
            {Opcode.SMSG_LOOT_REMOVED, 0x0FA6},
            {Opcode.SMSG_LOOT_RESPONSE, 0x0DB1},
            {Opcode.SMSG_LOOT_ROLL, 0x008F},
            {Opcode.SMSG_LOOT_ROLLS_COMPLETE, 0x0C0C},
            {Opcode.SMSG_LOOT_ROLL_WON, 0x0DB2},
            {Opcode.SMSG_LOSS_OF_CONTROL_AURA_UPDATE, 0x0217},
            {Opcode.SMSG_MAIL_COMMAND_RESULT, 0x04B1},
            {Opcode.SMSG_MAIL_LIST_RESULT, 0x025C},
            {Opcode.SMSG_MAIL_QUERY_NEXT_TIME_RESULT, 0x01A2},
            {Opcode.SMSG_MAP_OBJECTIVES_INIT, 0x0E58},
            {Opcode.SMSG_MAP_OBJ_EVENTS, 0x0694},
            {Opcode.SMSG_MASTER_LOOT_CANDIDATE_LIST, 0x0EC8},
            {Opcode.SMSG_MESSAGE_BOX, 0x0AC8},
            {Opcode.SMSG_MINIMAP_PING, 0x0CA0},
            {Opcode.SMSG_MIRROR_IMAGE_COMPONENTED_DATA, 0x092D},
            {Opcode.SMSG_MIRROR_IMAGE_CREATURE_DATA, 0x097D},
            {Opcode.SMSG_MISSILE_CANCEL, 0x00D1},
            {Opcode.SMSG_MODIFY_COOLDOWN, 0x0892},
            {Opcode.SMSG_MOTD, 0x1649},
            {Opcode.SMSG_MOUNT_RESULT, 0x0AB1},
            {Opcode.SMSG_MOVE_APPLY_MOVEMENT_FORCE, 0x1C53},
            {Opcode.SMSG_MOVE_DISABLE_COLLISION, 0x02C6},
            {Opcode.SMSG_MOVE_DISABLE_GRAVITY, 0x0A27},
            {Opcode.SMSG_MOVE_DISABLE_TRANSITION_BETWEEN_SWIM_AND_FLY, 0x1D84},
            {Opcode.SMSG_MOVE_ENABLE_COLLISION, 0x0564},
            {Opcode.SMSG_MOVE_ENABLE_GRAVITY, 0x1453},
            {Opcode.SMSG_MOVE_ENABLE_TRANSITION_BETWEEN_SWIM_AND_FLY, 0x1143},
            {Opcode.SMSG_MOVE_KNOCK_BACK, 0x19D3},
            {Opcode.SMSG_MOVE_REMOVE_MOVEMENT_FORCE, 0x19C3},
            {Opcode.SMSG_MOVE_ROOT, 0x0AC6},
            {Opcode.SMSG_MOVE_SET_ACTIVE_MOVER, 0x0ED1},
            {Opcode.SMSG_MOVE_SET_CAN_FLY, 0x0824},
            {Opcode.SMSG_MOVE_SET_CAN_TURN_WHILE_FALLING, 0x1488},
            {Opcode.SMSG_MOVE_SET_COLLISION_HEIGHT, 0x1918},
            {Opcode.SMSG_MOVE_SET_COMPOUND_STATE, 0x0C46},
            {Opcode.SMSG_MOVE_SET_FEATHER_FALL, 0x1D04},
            {Opcode.SMSG_MOVE_SET_FLIGHT_BACK_SPEED, 0x0ED6},
            {Opcode.SMSG_MOVE_SET_FLIGHT_SPEED, 0x1C43},
            {Opcode.SMSG_MOVE_SET_HOVERING, 0x1054},
            {Opcode.SMSG_MOVE_SET_IGNORE_MOVEMENT_FORCES, 0x1884},
            {Opcode.SMSG_MOVE_SET_LAND_WALK, 0x0C82},
            {Opcode.SMSG_MOVE_SET_NORMAL_FALL, 0x1513},
            {Opcode.SMSG_MOVE_SET_PITCH_RATE, 0x0F30},
            {Opcode.SMSG_MOVE_SET_RUN_BACK_SPEED, 0x1CC8},
            {Opcode.SMSG_MOVE_SET_RUN_SPEED, 0x1C04},
            {Opcode.SMSG_MOVE_SET_SWIM_BACK_SPEED, 0x1227},
            {Opcode.SMSG_MOVE_SET_SWIM_SPEED, 0x10D3},
            {Opcode.SMSG_MOVE_SET_TURN_RATE, 0x032C},
            {Opcode.SMSG_MOVE_SET_VEHICLE_REC_ID, 0x1276},
            {Opcode.SMSG_MOVE_SET_WALK_SPEED, 0x1954},
            {Opcode.SMSG_MOVE_SET_WATER_WALK, 0x1508},
            {Opcode.SMSG_MOVE_SKIP_TIME, 0x0E06},
            {Opcode.SMSG_MOVE_SPLINE_DISABLE_COLLISION, 0x0E28},
            {Opcode.SMSG_MOVE_SPLINE_DISABLE_GRAVITY, 0x0827},
            {Opcode.SMSG_MOVE_SPLINE_ENABLE_COLLISION, 0x1D57},
            {Opcode.SMSG_MOVE_SPLINE_ENABLE_GRAVITY, 0x12F5},
            {Opcode.SMSG_MOVE_SPLINE_ROOT, 0x12E3},
            {Opcode.SMSG_MOVE_SPLINE_SET_FEATHER_FALL, 0x1335},
            {Opcode.SMSG_MOVE_SPLINE_SET_FLIGHT_BACK_SPEED, 0x1264},
            {Opcode.SMSG_MOVE_SPLINE_SET_FLIGHT_SPEED, 0x18C7},
            {Opcode.SMSG_MOVE_SPLINE_SET_FLYING, 0x1048},
            {Opcode.SMSG_MOVE_SPLINE_SET_HOVER, 0x0E91},
            {Opcode.SMSG_MOVE_SPLINE_SET_LAND_WALK, 0x0B24},
            {Opcode.SMSG_MOVE_SPLINE_SET_NORMAL_FALL, 0x0281},
            {Opcode.SMSG_MOVE_SPLINE_SET_PITCH_RATE, 0x1908},
            {Opcode.SMSG_MOVE_SPLINE_SET_RUN_BACK_SPEED, 0x1058},
            {Opcode.SMSG_MOVE_SPLINE_SET_RUN_MODE, 0x0C91},
            {Opcode.SMSG_MOVE_SPLINE_SET_RUN_SPEED, 0x12E1},
            {Opcode.SMSG_MOVE_SPLINE_SET_SWIM_BACK_SPEED, 0x1D17},
            {Opcode.SMSG_MOVE_SPLINE_SET_SWIM_SPEED, 0x1588},
            {Opcode.SMSG_MOVE_SPLINE_SET_TURN_RATE, 0x1557},
            {Opcode.SMSG_MOVE_SPLINE_SET_WALK_MODE, 0x12F1},
            {Opcode.SMSG_MOVE_SPLINE_SET_WALK_SPEED, 0x062F},
            {Opcode.SMSG_MOVE_SPLINE_SET_WATER_WALK, 0x0C45},
            {Opcode.SMSG_MOVE_SPLINE_START_SWIM, 0x1044},
            {Opcode.SMSG_MOVE_SPLINE_STOP_SWIM, 0x0CC1},
            {Opcode.SMSG_MOVE_SPLINE_UNROOT, 0x0141},
            {Opcode.SMSG_MOVE_SPLINE_UNSET_FLYING, 0x1483},
            {Opcode.SMSG_MOVE_SPLINE_UNSET_HOVER, 0x0627},
            {Opcode.SMSG_MOVE_TELEPORT, 0x1157},
            {Opcode.SMSG_MOVE_UNROOT, 0x1271},
            {Opcode.SMSG_MOVE_UNSET_CAN_FLY, 0x0A81},
            {Opcode.SMSG_MOVE_UNSET_CAN_TURN_WHILE_FALLING, 0x0B2F},
            {Opcode.SMSG_MOVE_UNSET_HOVERING, 0x0082},
            {Opcode.SMSG_MOVE_UNSET_IGNORE_MOVEMENT_FORCES, 0x0468},
            {Opcode.SMSG_MOVE_UPDATE, 0x1325},
            {Opcode.SMSG_MOVE_UPDATE_APPLY_MOVEMENT_FORCE, 0x0C95},
            {Opcode.SMSG_MOVE_UPDATE_COLLISION_HEIGHT, 0x1D44},
            {Opcode.SMSG_MOVE_UPDATE_FLIGHT_BACK_SPEED, 0x0C51},
            {Opcode.SMSG_MOVE_UPDATE_FLIGHT_SPEED, 0x1104},
            {Opcode.SMSG_MOVE_UPDATE_KNOCK_BACK, 0x1D18},
            {Opcode.SMSG_MOVE_UPDATE_PITCH_RATE, 0x0423},
            {Opcode.SMSG_MOVE_UPDATE_REMOVE_MOVEMENT_FORCE, 0x02C2},
            {Opcode.SMSG_MOVE_UPDATE_RUN_BACK_SPEED, 0x0623},
            {Opcode.SMSG_MOVE_UPDATE_RUN_SPEED, 0x0630},
            {Opcode.SMSG_MOVE_UPDATE_SWIM_BACK_SPEED, 0x0E92},
            {Opcode.SMSG_MOVE_UPDATE_SWIM_SPEED, 0x0C64},
            {Opcode.SMSG_MOVE_UPDATE_TELEPORT, 0x1958},
            {Opcode.SMSG_MOVE_UPDATE_TURN_RATE, 0x0196},
            {Opcode.SMSG_MOVE_UPDATE_WALK_SPEED, 0x1188},
            {Opcode.SMSG_MULTIPLE_PACKETS, 0x1206},
            {Opcode.SMSG_NEUTRAL_PLAYER_FACTION_SELECT_RESULT, 0x0C9F},
            {Opcode.SMSG_NEW_TAXI_PATH, 0x02B5},
            {Opcode.SMSG_NEW_WORLD, 0x0026},
            {Opcode.SMSG_NOTIFY_DEST_LOC_SPELL_CAST, 0x0AAD},
            {Opcode.SMSG_NOTIFY_MISSILE_TRAJECTORY_COLLISION, 0x0A03},
            {Opcode.SMSG_NOTIFY_MONEY, 0x01D1},
            {Opcode.SMSG_NOTIFY_RECEIVED_MAIL, 0x06B5},
            {Opcode.SMSG_OFFER_PETITION_ERROR, 0x0C35},
            {Opcode.SMSG_ON_CANCEL_EXPECTED_RIDE_VEHICLE_AURA, 0x081C},
            {Opcode.SMSG_ON_MONSTER_MOVE, 0x0C28},
            {Opcode.SMSG_OPEN_CONTAINER, 0x09B1},
            {Opcode.SMSG_OPEN_LFG_DUNGEON_FINDER, 0x0370},
            {Opcode.SMSG_OPEN_SHIPMENT_NPC_FROM_GOSSIP, 0x0A97},
            {Opcode.SMSG_OPEN_SHIPMENT_NPC_RESULT, 0x0121},
            {Opcode.SMSG_OVERRIDE_LIGHT, 0x08DC},
            {Opcode.SMSG_PAGE_TEXT, 0x0A4B},
            {Opcode.SMSG_PARTY_COMMAND_RESULT, 0x045F},
            {Opcode.SMSG_PARTY_INVITE, 0x0208},
            {Opcode.SMSG_PARTY_KILL_LOG, 0x00A0},
            {Opcode.SMSG_PARTY_MEMBER_STATE, 0x06CF},
            {Opcode.SMSG_PARTY_MEMBER_STATS, 0x0BC2},
            {Opcode.SMSG_PARTY_UPDATE, 0x0736},
            {Opcode.SMSG_PAUSE_MIRROR_TIMER, 0x00C3},
            {Opcode.SMSG_PENDING_RAID_LOCK, 0x0802},
            {Opcode.SMSG_PETITION_ALREADY_SIGNED, 0x0C60},
            {Opcode.SMSG_PETITION_RENAME_GUILD_RESPONSE, 0x08AB},
            {Opcode.SMSG_PETITION_SHOW_LIST, 0x0C08},
            {Opcode.SMSG_PETITION_SHOW_SIGNATURES, 0x0222},
            {Opcode.SMSG_PETITION_SIGN_RESULTS, 0x08A2},
            {Opcode.SMSG_PET_ACTION_FEEDBACK, 0x0091},
            {Opcode.SMSG_PET_ACTION_SOUND, 0x0050},
            {Opcode.SMSG_PET_ADDED, 0x0493},
            {Opcode.SMSG_PET_BATTLE_CHAT_RESTRICTED, 0x0894},
            {Opcode.SMSG_PET_BATTLE_DEBUG_QUEUE_DUMP_RESPONSE, 0x0A02},
            {Opcode.SMSG_PET_BATTLE_FINALIZE_LOCATION, 0x0EA6},
            {Opcode.SMSG_PET_BATTLE_FINAL_ROUND, 0x0A1C},
            {Opcode.SMSG_PET_BATTLE_FINISHED, 0x0B51},
            {Opcode.SMSG_PET_BATTLE_FIRST_ROUND, 0x0522},
            {Opcode.SMSG_PET_BATTLE_INITIAL_UPDATE, 0x0136},
            {Opcode.SMSG_PET_BATTLE_MAX_GAME_LENGTH_WARNING, 0x0BA6},
            {Opcode.SMSG_PET_BATTLE_PVP_CHALLENGE, 0x000B},
            {Opcode.SMSG_PET_BATTLE_QUEUE_PROPOSE_MATCH, 0x069B},
            {Opcode.SMSG_PET_BATTLE_QUEUE_STATUS, 0x0631},
            {Opcode.SMSG_PET_BATTLE_REPLACEMENTS_MADE, 0x08C4},
            {Opcode.SMSG_PET_BATTLE_REQUEST_FAILED, 0x04C4},
            {Opcode.SMSG_PET_BATTLE_ROUND_RESULT, 0x029C},
            {Opcode.SMSG_PET_BATTLE_SLOT_UPDATES, 0x0025},
            {Opcode.SMSG_PET_CAST_FAILED, 0x07FE},
            {Opcode.SMSG_PET_CLEAR_SPELLS, 0x09ED},
            {Opcode.SMSG_PET_DISMISS_SOUND, 0x0BA2},
            {Opcode.SMSG_PET_GOD_MODE, 0x04D3},
            {Opcode.SMSG_PET_GUIDS, 0x06A0},
            {Opcode.SMSG_PET_LEARNED_SPELLS, 0x08B9},
            {Opcode.SMSG_PET_MODE, 0x049F},
            {Opcode.SMSG_PET_NAME_INVALID, 0x0D25},
            {Opcode.SMSG_PET_SLOT_UPDATED, 0x0CD8},
            {Opcode.SMSG_PET_SPELLS_MESSAGE, 0x016A},
            {Opcode.SMSG_PET_STABLE_LIST, 0x0A48},
            {Opcode.SMSG_PET_STABLE_RESULT, 0x0054},
            {Opcode.SMSG_PET_TAME_FAILURE, 0x09D1},
            {Opcode.SMSG_PET_UNLEARNED_SPELLS, 0x06BE},
            {Opcode.SMSG_PHASE_SHIFT_CHANGE, 0x0C36},
            {Opcode.SMSG_PLAYED_TIME, 0x0842},
            {Opcode.SMSG_PLAYER_BOUND, 0x08A0},
            {Opcode.SMSG_PLAYER_SAVE_GUILD_EMBLEM, 0x02EB},
            {Opcode.SMSG_PLAYER_SKINNED, 0x02B6},
            {Opcode.SMSG_PLAYER_TABARD_VENDOR_ACTIVATE, 0x0E48},
            {Opcode.SMSG_PLAY_MUSIC, 0x0942},
            {Opcode.SMSG_PLAY_OBJECT_SOUND, 0x061B},
            {Opcode.SMSG_PLAY_ONE_SHOT_ANIM_KIT, 0x0017},
            {Opcode.SMSG_PLAY_ORPHAN_SPELL_VISUAL, 0x04FE},
            {Opcode.SMSG_PLAY_SCENE, 0x0BD6},
            {Opcode.SMSG_PLAY_SOUND, 0x0044},
            {Opcode.SMSG_PLAY_SPEAKERBOT_SOUND, 0x0912},
            {Opcode.SMSG_PLAY_SPELL_VISUAL, 0x002E},
            {Opcode.SMSG_PLAY_SPELL_VISUAL_KIT, 0x0B3E},
            {Opcode.SMSG_PLAY_TIME_WARNING, 0x0A50},
            {Opcode.SMSG_PONG, 0x1805},
            {Opcode.SMSG_POWER_UPDATE, 0x004F},
            {Opcode.SMSG_PRE_RESSURECT, 0x01A5},
            {Opcode.SMSG_PRINT_NOTIFICATION, 0x0E20},
            {Opcode.SMSG_PROC_RESIST, 0x0951},
            {Opcode.SMSG_PROPOSE_LEVEL_GRANT, 0x07B2},
            {Opcode.SMSG_PVP_CREDIT, 0x0726},
            {Opcode.SMSG_PVP_LOG_DATA, 0x01C1},
            {Opcode.SMSG_PVP_OPTIONS_ENABLED, 0x0B56},
            {Opcode.SMSG_PVP_SEASON, 0x0CB2},
            {Opcode.SMSG_QUERY_BATTLE_PET_NAME_RESPONSE, 0x080C},
            {Opcode.SMSG_QUERY_CREATURE_RESPONSE, 0x0EDB},
            {Opcode.SMSG_QUERY_GAME_OBJECT_RESPONSE, 0x04CC},
            {Opcode.SMSG_QUERY_GARRISON_CREATURE_NAME_RESPONSE, 0x0C76},
            {Opcode.SMSG_QUERY_GUILD_INFO_RESPONSE, 0x04A4},
            {Opcode.SMSG_QUERY_ITEM_TEXT_RESPONSE, 0x0CDB},
            {Opcode.SMSG_QUERY_NPC_TEXT_RESPONSE, 0x049B},
            {Opcode.SMSG_QUERY_PAGE_TEXT_RESPONSE, 0x0022},
            {Opcode.SMSG_QUERY_PETITION_RESPONSE, 0x00A2},
            {Opcode.SMSG_QUERY_PET_NAME_RESPONSE, 0x064F},
            {Opcode.SMSG_QUERY_PLAYER_NAME_RESPONSE, 0x0331},
            {Opcode.SMSG_QUERY_QUEST_INFO_RESPONSE, 0x0C09},
            {Opcode.SMSG_QUERY_TIME_RESPONSE, 0x05A6},
            {Opcode.SMSG_QUEST_COMPLETION_NPC_RESPONSE, 0x0E8A},
            {Opcode.SMSG_QUEST_CONFIRM_ACCEPT, 0x0589},
            {Opcode.SMSG_QUEST_FORCE_REMOVED, 0x085A},
            {Opcode.SMSG_QUEST_GIVER_INVALID_QUEST, 0x0689},
            {Opcode.SMSG_QUEST_GIVER_OFFER_REWARD_MESSAGE, 0x0949},
            {Opcode.SMSG_QUEST_GIVER_QUEST_COMPLETE, 0x021A},
            {Opcode.SMSG_QUEST_GIVER_QUEST_DETAILS, 0x015D},
            {Opcode.SMSG_QUEST_GIVER_QUEST_FAILED, 0x040E},
            {Opcode.SMSG_QUEST_GIVER_QUEST_LIST_MESSAGE, 0x05C9},
            {Opcode.SMSG_QUEST_GIVER_REQUEST_ITEMS, 0x06CA},
            {Opcode.SMSG_QUEST_GIVER_STATUS, 0x084D},
            {Opcode.SMSG_QUEST_GIVER_STATUS_MULTIPLE, 0x000D},
            {Opcode.SMSG_QUEST_LOG_FULL, 0x06CE},
            {Opcode.SMSG_QUEST_POI_QUERY_RESPONSE, 0x0409},
            {Opcode.SMSG_QUEST_PUSH_RESULT, 0x035A},
            {Opcode.SMSG_QUEST_UPDATE_ADD_CREDIT, 0x005E},
            {Opcode.SMSG_QUEST_UPDATE_ADD_CREDIT_SIMPLE, 0x1218},
            {Opcode.SMSG_QUEST_UPDATE_ADD_PVP_CREDIT, 0x1203},
            {Opcode.SMSG_QUEST_UPDATE_COMPLETE, 0x1344},
            {Opcode.SMSG_QUEST_UPDATE_FAILED, 0x044A},
            {Opcode.SMSG_QUEST_UPDATE_FAILED_TIMER, 0x0919},
            {Opcode.SMSG_RAF_EMAIL_ENABLED_RESPONSE, 0x0836},
            {Opcode.SMSG_RAID_DIFFICULTY_SET, 0x0296},
            {Opcode.SMSG_RAID_GROUP_ONLY, 0x0ED8},
            {Opcode.SMSG_RAID_INSTANCE_MESSAGE, 0x171A},
            {Opcode.SMSG_RAID_MARKERS_CHANGED, 0x0E5F},
            {Opcode.SMSG_RANDOM_ROLL, 0x0844},
            {Opcode.SMSG_RATED_BATTLEFIELD_INFO, 0x0621},
            {Opcode.SMSG_READY_CHECK_COMPLETED, 0x0E84},
            {Opcode.SMSG_READY_CHECK_RESPONSE, 0x029B},
            {Opcode.SMSG_READY_CHECK_STARTED, 0x0010},
            {Opcode.SMSG_READ_ITEM_RESULT_FAILED, 0x0283},
            {Opcode.SMSG_READ_ITEM_RESULT_OK, 0x0826},
            {Opcode.SMSG_REALM_QUERY_RESPONSE, 0x0E0F},
            {Opcode.SMSG_REALM_SPLIT, 0x0CDC},
            {Opcode.SMSG_RECRUIT_A_FRIEND_RESPONSE, 0x0815},
            {Opcode.SMSG_REFER_A_FRIEND_EXPIRED, 0x021C},
            {Opcode.SMSG_REFER_A_FRIEND_FAILURE, 0x0C44},
            {Opcode.SMSG_REFRESH_COMPONENT, 0x045B},
            {Opcode.SMSG_REFRESH_SPELL_HISTORY, 0x07AE},
            {Opcode.SMSG_REMOVE_ITEM_PASSIVE, 0x02B1},
            {Opcode.SMSG_REMOVE_LOSS_OF_CONTROL, 0x0097},
            {Opcode.SMSG_REPLACE_TROPHY_RESPONSE, 0x04D0},
            {Opcode.SMSG_REPORT_PVP_PLAYER_AFK_RESULT, 0x0225},
            {Opcode.SMSG_REQUEST_CEMETERY_LIST_RESPONSE, 0x00A1},
            {Opcode.SMSG_REQUEST_PVP_REWARDS_RESPONSE, 0x0820},
            {Opcode.SMSG_RESEARCH_COMPLETE, 0x0297},
            {Opcode.SMSG_RESET_COMPRESSION_CONTEXT, 0x1006},
            {Opcode.SMSG_RESET_FAILED_NOTIFY, 0x088F},
            {Opcode.SMSG_RESET_RANGED_COMBAT_TIMER, 0x0C8F},
            {Opcode.SMSG_RESET_WEEKLY_CURRENCY, 0x0D26},
            {Opcode.SMSG_RESPEC_WIPE_CONFIRM, 0x0E21},
            {Opcode.SMSG_RESPOND_INSPECT_ACHIEVEMENTS, 0x0B32},
            {Opcode.SMSG_RESUME_CAST_BAR, 0x0379},
            {Opcode.SMSG_RESUME_COMMS, 0x1302},
            {Opcode.SMSG_RESUME_TOKEN, 0x0E08},
            {Opcode.SMSG_RESURRECT_REQUEST, 0x08A6},
            {Opcode.SMSG_RESYNC_RUNES, 0x0806},
            {Opcode.SMSG_ROLE_CHANGED_INFORM, 0x0E8C},
            {Opcode.SMSG_ROLE_CHOSEN, 0x066F},
            {Opcode.SMSG_ROLE_POLL_INFORM, 0x0731},
            {Opcode.SMSG_RUNE_REGEN_DEBUG, 0x0EB1},
            {Opcode.SMSG_SCENARIO_BOOT, 0x00B6},
            {Opcode.SMSG_SCENARIO_COMPLETED, 0x0EA2},
            {Opcode.SMSG_SCENARIO_OUT_OF_BOUNDS, 0x0410},
            {Opcode.SMSG_SCENARIO_POIS, 0x00CC},
            {Opcode.SMSG_SCENARIO_PROGRESS_UPDATE, 0x0AA5},
            {Opcode.SMSG_SCENARIO_STATE, 0x0E35},
            {Opcode.SMSG_SCENE_OBJECT_EVENT, 0x0644},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_FINAL_ROUND, 0x0C8B},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_FINISHED, 0x0DA2},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_FIRST_ROUND, 0x06B6},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_INITIAL_UPDATE, 0x0A36},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_REPLACEMENTS_MADE, 0x0417},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_ROUND_RESULT, 0x0896},
            {Opcode.SMSG_SCRIPT_CAST, 0x00AE},
            {Opcode.SMSG_SELL_RESPONSE, 0x08DB},
            {Opcode.SMSG_SEND_ITEM_PASSIVES, 0x0E8B},
            {Opcode.SMSG_SEND_KNOWN_SPELLS, 0x096E},
            {Opcode.SMSG_SEND_RAID_TARGET_UPDATE_ALL, 0x001F},
            {Opcode.SMSG_SEND_RAID_TARGET_UPDATE_SINGLE, 0x049C},
            {Opcode.SMSG_SEND_SPELL_CHARGES, 0x0BF9},
            {Opcode.SMSG_SEND_SPELL_HISTORY, 0x0629},
            {Opcode.SMSG_SEND_UNLEARN_SPELLS, 0x03AA},
            {Opcode.SMSG_SERVER_FIRST_ACHIEVEMENT, 0x154A},
            {Opcode.SMSG_SERVER_FIRST_ACHIEVEMENTS, 0x0487},
            {Opcode.SMSG_SERVER_TIME, 0x0658},
            {Opcode.SMSG_SETUP_CURRENCY, 0x0B45},
            {Opcode.SMSG_SETUP_RESEARCH_HISTORY, 0x0325},
            {Opcode.SMSG_SET_AI_ANIM_KIT, 0x0E36},
            {Opcode.SMSG_SET_ALL_TASK_PROGRESS, 0x0E04},
            {Opcode.SMSG_SET_ANIM_TIER, 0x0F22},
            {Opcode.SMSG_SET_CURRENCY, 0x0214},
            {Opcode.SMSG_SET_DF_FAST_LAUNCH_RESULT, 0x026F},
            {Opcode.SMSG_SET_DUNGEON_DIFFICULTY, 0x0A94},
            {Opcode.SMSG_SET_FACTION_AT_WAR, 0x0EA5},
            {Opcode.SMSG_SET_FACTION_NOT_VISIBLE, 0x0C4C},
            {Opcode.SMSG_SET_FACTION_STANDING, 0x06DF},
            {Opcode.SMSG_SET_FACTION_VISIBLE, 0x04DC},
            {Opcode.SMSG_SET_FLAT_SPELL_MODIFIER, 0x0AE9},
            {Opcode.SMSG_SET_FORCED_REACTIONS, 0x08D1},
            {Opcode.SMSG_SET_ITEM_PURCHASE_DATA, 0x1085},
            {Opcode.SMSG_SET_LOOT_METHOD_FAILED, 0x0536},
            {Opcode.SMSG_SET_MAX_WEEKLY_QUANTITY, 0x0853},
            {Opcode.SMSG_SET_MELEE_ANIM_KIT, 0x0C83},
            {Opcode.SMSG_SET_MOVEMENT_ANIM_KIT, 0x0688},
            {Opcode.SMSG_SET_PCT_SPELL_MODIFIER, 0x01BA},
            {Opcode.SMSG_SET_PET_SPECIALIZATION, 0x0132},
            {Opcode.SMSG_SET_PLAYER_DECLINED_NAMES_RESULT, 0x0CA2},
            {Opcode.SMSG_SET_PLAY_HOVER_ANIM, 0x0F35},
            {Opcode.SMSG_SET_PROFICIENCY, 0x0A53},
            {Opcode.SMSG_SET_SPELL_CHARGES, 0x002D},
            {Opcode.SMSG_SET_TASK_COMPLETE, 0x0C9B},
            {Opcode.SMSG_SET_TIME_ZONE_INFORMATION, 0x0E9C},
            {Opcode.SMSG_SET_VEHICLE_REC_ID, 0x0952},
            {Opcode.SMSG_SHOW_BANK, 0x01C2},
            {Opcode.SMSG_SHOW_MAILBOX, 0x02D2},
            {Opcode.SMSG_SHOW_NEUTRAL_PLAYER_FACTION_SELECT_UI, 0x068C},
            {Opcode.SMSG_SHOW_TAXI_NODES, 0x1086},
            {Opcode.SMSG_SHOW_TRADE_SKILL_RESPONSE, 0x0C97},
            {Opcode.SMSG_SOCKET_GEMS, 0x061C},
            {Opcode.SMSG_SOR_START_EXPERIENCE_INCOMPLETE, 0x0448},
            {Opcode.SMSG_SPECIAL_MOUNT_ANIM, 0x0E13},
            {Opcode.SMSG_SPELL_ABSORB_LOG, 0x0139},
            {Opcode.SMSG_SPELL_CHANNEL_START, 0x07BD},
            {Opcode.SMSG_SPELL_CHANNEL_UPDATE, 0x067E},
            {Opcode.SMSG_SPELL_COOLDOWN, 0x0569},
            {Opcode.SMSG_SPELL_DAMAGE_SHIELD, 0x07B9},
            {Opcode.SMSG_SPELL_DELAYED, 0x012E},
            {Opcode.SMSG_SPELL_DISPELL_LOG, 0x04AA},
            {Opcode.SMSG_SPELL_ENERGIZE_LOG, 0x05EE},
            {Opcode.SMSG_SPELL_EXECUTE_LOG, 0x0C39},
            {Opcode.SMSG_SPELL_FAILED_OTHER, 0x0BAA},
            {Opcode.SMSG_SPELL_FAILURE, 0x00EA},
            {Opcode.SMSG_SPELL_GO, 0x046E},
            {Opcode.SMSG_SPELL_HEAL_LOG, 0x02A9},
            {Opcode.SMSG_SPELL_INSTAKILL_LOG, 0x02FA},
            {Opcode.SMSG_SPELL_INTERRUPT_LOG, 0x05A9},
            {Opcode.SMSG_SPELL_MISS_LOG, 0x07BE},
            {Opcode.SMSG_SPELL_MULTISTRIKE_EFFECT, 0x02EE},
            {Opcode.SMSG_SPELL_NON_MELEE_DAMAGE_LOG, 0x062E},
            {Opcode.SMSG_SPELL_OR_DAMAGE_IMMUNE, 0x00BE},
            {Opcode.SMSG_SPELL_PERIODIC_AURA_LOG, 0x06FA},
            {Opcode.SMSG_SPELL_START, 0x007D},
            {Opcode.SMSG_SPELL_UPDATE_CHAIN_TARGETS, 0x04A9},
            {Opcode.SMSG_SPIRIT_HEALER_CONFIRM, 0x0E4C},
            {Opcode.SMSG_STAND_STATE_UPDATE, 0x0A52},
            {Opcode.SMSG_START_ELAPSED_TIMER, 0x0498},
            {Opcode.SMSG_START_ELAPSED_TIMERS, 0x048F},
            {Opcode.SMSG_START_LOOT_ROLL, 0x0B42},
            {Opcode.SMSG_START_MIRROR_TIMER, 0x0E32},
            {Opcode.SMSG_START_TIMER, 0x0F26},
            {Opcode.SMSG_STOP_ELAPSED_TIMER, 0x0A8C},
            {Opcode.SMSG_STOP_MIRROR_TIMER, 0x0293},
            {Opcode.SMSG_STOP_SPEAKERBOT_SOUND, 0x0831},
            {Opcode.SMSG_STREAMING_MOVIES, 0x0A35},
            {Opcode.SMSG_SUMMON_CANCEL, 0x00B5},
            {Opcode.SMSG_SUMMON_RAID_MEMBER_VALIDATE_FAILED, 0x0A10},
            {Opcode.SMSG_SUMMON_REQUEST, 0x0053},
            {Opcode.SMSG_SUPERCEDED_SPELLS, 0x023A},
            {Opcode.SMSG_SUPPRESS_NPC_GREETINGS, 0x0B22},
            {Opcode.SMSG_SUSPEND_COMMS, 0x1105},
            {Opcode.SMSG_SUSPEND_TOKEN, 0x0FA5},
            {Opcode.SMSG_TALENTS_INVOLUNTARILY_RESET, 0x00B1},
            {Opcode.SMSG_TAXI_NODE_STATUS, 0x00DF},
            {Opcode.SMSG_TEXT_EMOTE, 0x0C54},
            {Opcode.SMSG_THREAT_CLEAR, 0x0C9C},
            {Opcode.SMSG_THREAT_REMOVE, 0x0A83},
            {Opcode.SMSG_THREAT_UPDATE, 0x0660},
            {Opcode.SMSG_TIME_ADJUSTMENT, 0x1DC7},
            {Opcode.SMSG_TIME_SYNC_REQUEST, 0x1097},
            {Opcode.SMSG_TITLE_EARNED, 0x0A0C},
            {Opcode.SMSG_TITLE_LOST, 0x0852},
            {Opcode.SMSG_TOTEM_CREATED, 0x0851},
            {Opcode.SMSG_TOTEM_MOVED, 0x03B2},
            {Opcode.SMSG_TRADE_STATUS, 0x0A9C},
            {Opcode.SMSG_TRADE_UPDATED, 0x0EA0},
            {Opcode.SMSG_TRAINER_BUY_FAILED, 0x0C1F},
            {Opcode.SMSG_TRAINER_LIST, 0x03C6},
            {Opcode.SMSG_TRANSFER_ABORTED, 0x03C2},
            {Opcode.SMSG_TRANSFER_PENDING, 0x05B5},
            {Opcode.SMSG_TRIGGER_CINEMATIC, 0x0422},
            {Opcode.SMSG_TRIGGER_MOVIE, 0x045C},
            {Opcode.SMSG_TURN_IN_PETITION_RESULT, 0x0C88},
            {Opcode.SMSG_TUTORIAL_FLAGS, 0x0C5C},
            {Opcode.SMSG_TWITTER_STATUS, 0x04DA},
            {Opcode.SMSG_UI_TIME, 0x0B52},
            {Opcode.SMSG_UNDELETE_CHARACTER_RESPONSE, 0x0A47},
            {Opcode.SMSG_UNDELETE_COOLDOWN_STATUS_RESPONSE, 0x0620},
            {Opcode.SMSG_UNLEARNED_SPELLS, 0x04B9},
            {Opcode.SMSG_UPDATE_ACCOUNT_DATA, 0x02C3},
            {Opcode.SMSG_UPDATE_ACTION_BUTTONS, 0x0A0B},
            {Opcode.SMSG_UPDATE_CHARACTER_FLAGS, 0x0CCF},
            {Opcode.SMSG_UPDATE_DUNGEON_ENCOUNTER_FOR_LOOT, 0x0642},
            {Opcode.SMSG_UPDATE_EXPANSION_LEVEL, 0x009C},
            {Opcode.SMSG_UPDATE_INSTANCE_OWNERSHIP, 0x03D1},
            {Opcode.SMSG_UPDATE_LAST_INSTANCE, 0x0C0F},
            {Opcode.SMSG_UPDATE_OBJECT, 0x0D36},
            {Opcode.SMSG_UPDATE_TALENT_DATA, 0x0057},
            {Opcode.SMSG_UPDATE_TASK_PROGRESS, 0x0E98},
            {Opcode.SMSG_UPDATE_WEEKLY_SPELL_USAGE, 0x09FE},
            {Opcode.SMSG_UPDATE_WORLD_STATE, 0x0036},
            {Opcode.SMSG_USERLIST_ADD, 0x1C59},
            {Opcode.SMSG_USERLIST_REMOVE, 0x1D5A},
            {Opcode.SMSG_USERLIST_UPDATE, 0x1489},
            {Opcode.SMSG_USE_EQUIPMENT_SET_RESULT, 0x0897},
            {Opcode.SMSG_VENDOR_INVENTORY, 0x0AD4},
            {Opcode.SMSG_VIGNETTE_UPDATE, 0x08CC},
            {Opcode.SMSG_VOICE_CHAT_STATUS, 0x168A},
            {Opcode.SMSG_VOICE_PARENTAL_CONTROLS, 0x1DC9},
            {Opcode.SMSG_VOICE_SESSION_LEAVE, 0x1D9A},
            {Opcode.SMSG_VOICE_SESSION_ROSTER_UPDATE, 0x1409},
            {Opcode.SMSG_VOID_ITEM_SWAP_RESPONSE, 0x0004},
            {Opcode.SMSG_VOID_STORAGE_CONTENTS, 0x08D2},
            {Opcode.SMSG_VOID_STORAGE_FAILED, 0x008B},
            {Opcode.SMSG_VOID_STORAGE_TRANSFER_CHANGES, 0x00D5},
            {Opcode.SMSG_VOID_TRANSFER_RESULT, 0x0D35},
            {Opcode.SMSG_WAIT_QUEUE_FINISH, 0x0A84},
            {Opcode.SMSG_WAIT_QUEUE_UPDATE, 0x0A56},
            {Opcode.SMSG_WARDEN_DATA, 0x0EDC},
            {Opcode.SMSG_WARGAME_REQUEST_SUCCESSFULLY_SENT_TO_OPPONENT, 0x0613},
            {Opcode.SMSG_WEATHER, 0x0131},
            {Opcode.SMSG_WEEKLY_SPELL_USAGE, 0x04E9},
            {Opcode.SMSG_WHO, 0x16CA},
            {Opcode.SMSG_WHO_IS, 0x0841},
            {Opcode.SMSG_WORLD_SERVER_INFO, 0x0626},
            {Opcode.SMSG_WORLD_TEXT, 0x0258},
            {Opcode.SMSG_WOW_TOKEN_AUCTION_SOLD, 0x0007},
            {Opcode.SMSG_WOW_TOKEN_BUY_REQUEST_CONFIRMATION, 0x0855},
            {Opcode.SMSG_WOW_TOKEN_BUY_RESULT_CONFIRMATION, 0x024C},
            {Opcode.SMSG_WOW_TOKEN_MARKET_PRICE_RESPONSE, 0x0BC5},
            {Opcode.SMSG_WOW_TOKEN_REDEEM_GAME_TIME_UPDATED, 0x0420},
            {Opcode.SMSG_WOW_TOKEN_REDEEM_REQUEST_CONFIRMATION, 0x0203},
            {Opcode.SMSG_WOW_TOKEN_REDEEM_RESULT, 0x008C},
            {Opcode.SMSG_WOW_TOKEN_SELL_REQUEST_CONFIRMATION, 0x0898},
            {Opcode.SMSG_WOW_TOKEN_SELL_RESULT_CONFIRMATION, 0x06A6},
            {Opcode.SMSG_WOW_TOKEN_UPDATE_AUCTIONABLE_LIST_RESPONSE, 0x028F},
            {Opcode.SMSG_XP_GAIN_ABORTED, 0x01A6},
            {Opcode.SMSG_XP_GAIN_ENABLED, 0x02DC},
            {Opcode.SMSG_ZONE_UNDER_ATTACK, 0x1419}
        };

        private static readonly BiDictionary<Opcode, int> MiscOpcodes = new BiDictionary<Opcode, int>();
    }
}
