﻿using WowPacketParser.Misc;

namespace WowPacketParser.Enums.Version.V6_2_2_20444
{
    public static class Opcodes_6_2_2
    {
        public static BiDictionary<Opcode, int> Opcodes(Direction direction)
        {
            switch (direction)
            {
                case Direction.ClientToServer:
                    return ClientOpcodes;
                case Direction.ServerToClient:
                    return ServerOpcodes;
                default:
                    return MiscOpcodes;
            }
        }

        private static readonly BiDictionary<Opcode, int> ClientOpcodes = new BiDictionary<Opcode, int>
        {
            {Opcode.CMSG_ACCEPT_GUILD_INVITE, 0x08E3},
            {Opcode.CMSG_ACCEPT_LEVEL_GRANT, 0x0FCE},
            {Opcode.CMSG_ACCEPT_TRADE, 0x1ACF},
            {Opcode.CMSG_ACCEPT_WARGAME_INVITE, 0x097C},
            {Opcode.CMSG_ACTIVATE_TAXI, 0x0815},
            {Opcode.CMSG_ADD_BATTLENET_FRIEND, 0x0273},
            {Opcode.CMSG_ADD_FRIEND, 0x09AC},
            {Opcode.CMSG_ADD_IGNORE, 0x0862},
            {Opcode.CMSG_ADD_TOY, 0x0144},
            {Opcode.CMSG_ALTER_APPEARANCE, 0x0F1D},
            {Opcode.CMSG_AREA_SPIRIT_HEALER_QUERY, 0x068A},
            {Opcode.CMSG_AREA_SPIRIT_HEALER_QUEUE, 0x0C31},
            {Opcode.CMSG_AREA_TRIGGER, 0x12D0},
            {Opcode.CMSG_ATTACK_STOP, 0x1020},
            {Opcode.CMSG_ATTACK_SWING, 0x17A0},
            {Opcode.CMSG_AUCTION_HELLO_REQUEST, 0x0F0D},
            {Opcode.CMSG_AUCTION_LIST_BIDDER_ITEMS, 0x0F5D},
            {Opcode.CMSG_AUCTION_LIST_ITEMS, 0x051E},
            {Opcode.CMSG_AUCTION_LIST_OWNER_ITEMS, 0x1C22},
            {Opcode.CMSG_AUCTION_LIST_PENDING_SALES, 0x0C95},
            {Opcode.CMSG_AUCTION_PLACE_BID, 0x0609},
            {Opcode.CMSG_AUCTION_REMOVE_ITEM, 0x0E71},
            {Opcode.CMSG_AUCTION_REPLICATE_ITEMS, 0x040D},
            {Opcode.CMSG_AUCTION_SELL_ITEM, 0x058E},
            {Opcode.CMSG_AUTH_CONTINUED_SESSION, 0x1926},
            {Opcode.CMSG_AUTH_SESSION, 0x116D},
            {Opcode.CMSG_AUTOBANK_ITEM, 0x10CC},
            {Opcode.CMSG_AUTOBANK_REAGENT, 0x10DB},
            {Opcode.CMSG_AUTOSTORE_BANK_ITEM, 0x111C},
            {Opcode.CMSG_AUTOSTORE_BANK_REAGENT, 0x108B},
            {Opcode.CMSG_AUTO_EQUIP_ITEM, 0x1119},
            {Opcode.CMSG_AUTO_EQUIP_ITEM_SLOT, 0x121C},
            {Opcode.CMSG_AUTO_STORE_BAG_ITEM, 0x1109},
            {Opcode.CMSG_BANKER_ACTIVATE, 0x0E9A},
            {Opcode.CMSG_BATTLEFIELD_LEAVE, 0x0D08},
            {Opcode.CMSG_BATTLEFIELD_LIST, 0x0103},
            {Opcode.CMSG_BATTLEFIELD_PORT, 0x0C96},
            {Opcode.CMSG_BATTLEMASTER_HELLO, 0x0191},
            {Opcode.CMSG_BATTLEMASTER_JOIN, 0x1E22},
            {Opcode.CMSG_BATTLEMASTER_JOIN_ARENA, 0x06DD},
            {Opcode.CMSG_BATTLEMASTER_JOIN_ARENA_SKIRMISH, 0x0C9E},
            {Opcode.CMSG_BATTLENET_CHALLENGE_RESPONSE, 0x0971},
            {Opcode.CMSG_BATTLE_PAY_ACK_FAILED_RESPONSE, 0x086A},
            {Opcode.CMSG_BATTLE_PAY_CONFIRM_PURCHASE_RESPONSE, 0x03BC},
            {Opcode.CMSG_BATTLE_PAY_DISTRIBUTION_ASSIGN_TO_TARGET, 0x00AA},
            {Opcode.CMSG_BATTLE_PAY_GET_PRODUCT_LIST, 0x0973},
            {Opcode.CMSG_BATTLE_PAY_GET_PURCHASE_LIST, 0x03B9},
            {Opcode.CMSG_BATTLE_PAY_START_PURCHASE, 0x03A3},
            {Opcode.CMSG_BATTLE_PAY_START_VAS_PURCHASE, 0x0164},
            {Opcode.CMSG_BATTLE_PET_DELETE_PET, 0x09A3},
            {Opcode.CMSG_BATTLE_PET_DELETE_PET_CHEAT, 0x0173},
            {Opcode.CMSG_BATTLE_PET_MODIFY_NAME, 0x092C},
            {Opcode.CMSG_BATTLE_PET_REQUEST_JOURNAL, 0x08A9},
            {Opcode.CMSG_BATTLE_PET_REQUEST_JOURNAL_LOCK, 0x0924},
            {Opcode.CMSG_BATTLE_PET_SET_BATTLE_SLOT, 0x02E9},
            {Opcode.CMSG_BATTLE_PET_SET_FLAGS, 0x01BA},
            {Opcode.CMSG_BATTLE_PET_SUMMON, 0x01B9},
            {Opcode.CMSG_BATTLE_PET_UPDATE_NOTIFY, 0x0D55},
            {Opcode.CMSG_BEGIN_TRADE, 0x0812},
            {Opcode.CMSG_BF_MGR_ENTRY_INVITE_RESPONSE, 0x09A9},
            {Opcode.CMSG_BF_MGR_QUEUE_EXIT_REQUEST, 0x08FC},
            {Opcode.CMSG_BF_MGR_QUEUE_INVITE_RESPONSE, 0x0931},
            {Opcode.CMSG_BF_MGR_QUEUE_REQUEST, 0x11CE},
            {Opcode.CMSG_BINDER_ACTIVATE, 0x0D5A},
            {Opcode.CMSG_BLACK_MARKET_BID_ON_ITEM, 0x0E1A},
            {Opcode.CMSG_BLACK_MARKET_OPEN, 0x065D},
            {Opcode.CMSG_BLACK_MARKET_REQUEST_ITEMS, 0x0897},
            {Opcode.CMSG_BUG_REPORT, 0x00FA},
            {Opcode.CMSG_BUSY_TRADE, 0x1C5E},
            {Opcode.CMSG_BUY_BACK_ITEM, 0x064A},
            {Opcode.CMSG_BUY_BANK_SLOT, 0x0C09},
            {Opcode.CMSG_BUY_ITEM, 0x078D},
            {Opcode.CMSG_BUY_REAGENT_BANK, 0x0C19},
            {Opcode.CMSG_BUY_WOW_TOKEN_CONFIRM, 0x09FA},
            {Opcode.CMSG_BUY_WOW_TOKEN_START, 0x08B2},
            {Opcode.CMSG_CAGE_BATTLE_PET, 0x16DE},
            {Opcode.CMSG_CALENDAR_ADD_EVENT, 0x02FA},
            {Opcode.CMSG_CALENDAR_COMPLAIN, 0x017C},
            {Opcode.CMSG_CALENDAR_COPY_EVENT, 0x00BB},
            {Opcode.CMSG_CALENDAR_EVENT_INVITE, 0x006A},
            {Opcode.CMSG_CALENDAR_EVENT_MODERATOR_STATUS, 0x086B},
            {Opcode.CMSG_CALENDAR_EVENT_RSVP, 0x097A},
            {Opcode.CMSG_CALENDAR_EVENT_SIGN_UP, 0x022C},
            {Opcode.CMSG_CALENDAR_EVENT_STATUS, 0x00F9},
            {Opcode.CMSG_CALENDAR_GET, 0x0A39},
            {Opcode.CMSG_CALENDAR_GET_EVENT, 0x0821},
            {Opcode.CMSG_CALENDAR_GET_NUM_PENDING, 0x083A},
            {Opcode.CMSG_CALENDAR_GUILD_FILTER, 0x02B9},
            {Opcode.CMSG_CALENDAR_REMOVE_EVENT, 0x0271},
            {Opcode.CMSG_CALENDAR_REMOVE_INVITE, 0x0239},
            {Opcode.CMSG_CALENDAR_UPDATE_EVENT, 0x0261},
            {Opcode.CMSG_CANCEL_AURA, 0x15DD},
            {Opcode.CMSG_CANCEL_AUTO_REPEAT_SPELL, 0x0D0D},
            {Opcode.CMSG_CANCEL_CAST, 0x10DF},
            {Opcode.CMSG_CANCEL_CHANNELLING, 0x14D0},
            {Opcode.CMSG_CANCEL_GROWTH_AURA, 0x0915},
            {Opcode.CMSG_CANCEL_MASTER_LOOT_ROLL, 0x1A8E},
            {Opcode.CMSG_CANCEL_MOD_SPEED_NO_CONTROL_AURAS, 0x0826},
            {Opcode.CMSG_CANCEL_MOUNT_AURA, 0x1CCF},
            {Opcode.CMSG_CANCEL_QUEUED_SPELL, 0x148E},
            {Opcode.CMSG_CANCEL_TEMP_ENCHANTMENT, 0x0C59},
            {Opcode.CMSG_CANCEL_TRADE, 0x115F},
            {Opcode.CMSG_CAN_DUEL, 0x09F2},
            {Opcode.CMSG_CAST_SPELL, 0x191D},
            {Opcode.CMSG_CHALLENGE_MODE_REQUEST_LEADERS, 0x08C0},
            {Opcode.CMSG_CHALLENGE_MODE_REQUEST_MAP_STATS, 0x006D},
            {Opcode.CMSG_CHANGE_BAG_SLOT_FLAG, 0x09D4},
            {Opcode.CMSG_CHANGE_MONUMENT_APPEARANCE, 0x0184},
            {Opcode.CMSG_CHANGE_SUB_GROUP, 0x00AC},
            {Opcode.CMSG_CHARACTER_RENAME_REQUEST, 0x01FC},
            {Opcode.CMSG_CHAR_CUSTOMIZE, 0x01F9},
            {Opcode.CMSG_CHAR_DELETE, 0x093C},
            {Opcode.CMSG_CHAR_RACE_OR_FACTION_CHANGE, 0x01B2},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_CHANNEL, 0x0BF5},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_GUILD, 0x0A53},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_INSTANCE_CHAT, 0x11B8},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_OFFICER, 0x11C0},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_PARTY, 0x11BF},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_RAID, 0x1E0F},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_WHISPER, 0x13AF},
            {Opcode.CMSG_CHAT_CHANNEL_ANNOUNCEMENTS, 0x161D},
            {Opcode.CMSG_CHAT_CHANNEL_BAN, 0x148B},
            {Opcode.CMSG_CHAT_CHANNEL_DECLINE_INVITE, 0x0A55},
            {Opcode.CMSG_CHAT_CHANNEL_DISPLAY_LIST, 0x09A8},
            {Opcode.CMSG_CHAT_CHANNEL_INVITE, 0x13E6},
            {Opcode.CMSG_CHAT_CHANNEL_KICK, 0x01FE},
            {Opcode.CMSG_CHAT_CHANNEL_LIST, 0x01A6},
            {Opcode.CMSG_CHAT_CHANNEL_MODERATE, 0x13BF},
            {Opcode.CMSG_CHAT_CHANNEL_MODERATOR, 0x14CB},
            {Opcode.CMSG_CHAT_CHANNEL_MUTE, 0x1619},
            {Opcode.CMSG_CHAT_CHANNEL_OWNER, 0x17CC},
            {Opcode.CMSG_CHAT_CHANNEL_PASSWORD, 0x09F5},
            {Opcode.CMSG_CHAT_CHANNEL_SET_OWNER, 0x03A6},
            {Opcode.CMSG_CHAT_CHANNEL_SILENCE_ALL, 0x149B},
            {Opcode.CMSG_CHAT_CHANNEL_SILENCE_VOICE, 0x165D},
            {Opcode.CMSG_CHAT_CHANNEL_UNBAN, 0x11B0},
            {Opcode.CMSG_CHAT_CHANNEL_UNMODERATOR, 0x03BD},
            {Opcode.CMSG_CHAT_CHANNEL_UNMUTE, 0x1E4A},
            {Opcode.CMSG_CHAT_CHANNEL_UNSILENCE_ALL, 0x13A5},
            {Opcode.CMSG_CHAT_CHANNEL_UNSILENCE_VOICE, 0x1E59},
            {Opcode.CMSG_CHAT_CHANNEL_VOICE_OFF, 0x158B},
            {Opcode.CMSG_CHAT_CHANNEL_VOICE_ON, 0x1AD8},
            {Opcode.CMSG_CHAT_JOIN_CHANNEL, 0x15CA},
            {Opcode.CMSG_CHAT_LEAVE_CHANNEL, 0x1499},
            {Opcode.CMSG_CHAT_MESSAGE_AFK, 0x1857},
            {Opcode.CMSG_CHAT_MESSAGE_CHANNEL, 0x11ED},
            {Opcode.CMSG_CHAT_MESSAGE_DND, 0x0A52},
            {Opcode.CMSG_CHAT_MESSAGE_EMOTE, 0x159B},
            {Opcode.CMSG_CHAT_MESSAGE_GUILD, 0x18D1},
            {Opcode.CMSG_CHAT_MESSAGE_INSTANCE_CHAT, 0x13C0},
            {Opcode.CMSG_CHAT_MESSAGE_OFFICER, 0x0A00},
            {Opcode.CMSG_CHAT_MESSAGE_PARTY, 0x03F5},
            {Opcode.CMSG_CHAT_MESSAGE_RAID, 0x0A57},
            {Opcode.CMSG_CHAT_MESSAGE_RAID_WARNING, 0x01AF},
            {Opcode.CMSG_CHAT_MESSAGE_SAY, 0x1AD3},
            {Opcode.CMSG_CHAT_MESSAGE_WHISPER, 0x0BC0},
            {Opcode.CMSG_CHAT_MESSAGE_YELL, 0x0BA7},
            {Opcode.CMSG_CHAT_REGISTER_ADDON_PREFIXES, 0x16DA},
            {Opcode.CMSG_CHAT_REPORT_FILTERED, 0x17CB},
            {Opcode.CMSG_CHAT_REPORT_IGNORED, 0x14DA},
            {Opcode.CMSG_CHAT_UNREGISTER_ALL_ADDON_PREFIXES, 0x160E},
            {Opcode.CMSG_CHECK_RAF_EMAIL_ENABLED, 0x0021},
            {Opcode.CMSG_CHECK_WOW_TOKEN_VETERAN_ELIGIBILITY, 0x03A9},
            {Opcode.CMSG_CHOICE_RESPONSE, 0x0558},
            {Opcode.CMSG_CLEAR_RAID_MARKER, 0x19DE},
            {Opcode.CMSG_CLEAR_TRADE_ITEM, 0x0114},
            {Opcode.CMSG_CLIENT_PORT_GRAVEYARD, 0x0A17},
            {Opcode.CMSG_CLOSE_INTERACTION, 0x0559},
            {Opcode.CMSG_COMMENTATOR_ENABLE, 0x08AA},
            {Opcode.CMSG_COMMENTATOR_ENTER_INSTANCE, 0x01F1},
            {Opcode.CMSG_COMMENTATOR_EXIT_INSTANCE, 0x022B},
            {Opcode.CMSG_COMMENTATOR_GET_MAP_INFO, 0x0139},
            {Opcode.CMSG_COMMENTATOR_GET_PLAYER_INFO, 0x0179},
            {Opcode.CMSG_COMMENTATOR_START_WARGAME, 0x0223},
            {Opcode.CMSG_COMPLAINT, 0x0874},
            {Opcode.CMSG_COMPLETE_CINEMATIC, 0x0FDA},
            {Opcode.CMSG_COMPLETE_MOVIE, 0x0C69},
            {Opcode.CMSG_CONFIRM_RESPEC_WIPE, 0x0151},
            {Opcode.CMSG_CONNECT_TO_FAILED, 0x0272},
            {Opcode.CMSG_CONVERT_RAID, 0x02AB},
            {Opcode.CMSG_CREATE_CHARACTER, 0x00B2},
            {Opcode.CMSG_CREATE_SHIPMENT, 0x0275},
            {Opcode.CMSG_DB_QUERY_BULK, 0x03E2},
            {Opcode.CMSG_DECLINE_GUILD_INVITES, 0x0E8E},
            {Opcode.CMSG_DECLINE_PETITION, 0x0499},
            {Opcode.CMSG_DELETE_EQUIPMENT_SET, 0x1E69},
            {Opcode.CMSG_DEL_FRIEND, 0x0962},
            {Opcode.CMSG_DEL_IGNORE, 0x02A2},
            {Opcode.CMSG_DEPOSIT_REAGENT_BANK, 0x114D},
            {Opcode.CMSG_DESTROY_ITEM, 0x1C5A},
            {Opcode.CMSG_DF_BOOT_PLAYER_VOTE, 0x01B1},
            {Opcode.CMSG_DF_GET_JOIN_STATUS, 0x013C},
            {Opcode.CMSG_DF_GET_SYSTEM_INFO, 0x002B},
            {Opcode.CMSG_DF_JOIN, 0x00BA},
            {Opcode.CMSG_DF_LEAVE, 0x0A21},
            {Opcode.CMSG_DF_PROPOSAL_RESPONSE, 0x03AB},
            {Opcode.CMSG_DF_READY_CHECK_RESPONSE, 0x0A3A},
            {Opcode.CMSG_DF_SEARCH_JOIN, 0x0232},
            {Opcode.CMSG_DF_SEARCH_LEAVE, 0x0A32},
            {Opcode.CMSG_DF_SET_COMMENT, 0x01F4},
            {Opcode.CMSG_DF_SET_ROLES, 0x03FB},
            {Opcode.CMSG_DF_TELEPORT, 0x00E1},
            {Opcode.CMSG_DISCARDED_TIME_SYNC_ACKS, 0x0387},
            {Opcode.CMSG_DISMISS_CRITTER, 0x0EDD},
            {Opcode.CMSG_DO_MASTER_LOOT_ROLL, 0x1460},
            {Opcode.CMSG_DO_READY_CHECK, 0x00FB},
            {Opcode.CMSG_DUEL_RESPONSE, 0x045D},
            {Opcode.CMSG_EJECT_PASSENGER, 0x0917},
            {Opcode.CMSG_EMOTE, 0x0F0A},
            {Opcode.CMSG_ENABLE_NAGLE, 0x017D},
            {Opcode.CMSG_ENABLE_TAXI_NODE, 0x1C62},
            {Opcode.CMSG_ENGINE_SURVEY, 0x0824},
            {Opcode.CMSG_ENUM_CHARACTERS, 0x09FB},
            {Opcode.CMSG_ENUM_CHARACTERS_DELETED_BY_CLIENT, 0x003C},
            {Opcode.CMSG_FAR_SIGHT, 0x0E97},
            {Opcode.CMSG_GAME_OBJ_REPORT_USE, 0x06CE},
            {Opcode.CMSG_GAME_OBJ_USE, 0x05DA},
            {Opcode.CMSG_GARRISON_ASSIGN_FOLLOWER_TO_BUILDING, 0x0067},
            {Opcode.CMSG_GARRISON_CANCEL_CONSTRUCTION, 0x1A9F},
            {Opcode.CMSG_GARRISON_CHECK_UPGRADEABLE, 0x14E0},
            {Opcode.CMSG_GARRISON_COMPLETE_MISSION, 0x0C11},
            {Opcode.CMSG_GARRISON_GENERATE_RECRUITS, 0x09C5},
            {Opcode.CMSG_GARRISON_GET_BUILDING_LANDMARKS, 0x14CE},
            {Opcode.CMSG_GARRISON_MISSION_BONUS_ROLL, 0x191E},
            {Opcode.CMSG_GARRISON_PURCHASE_BUILDING, 0x121D},
            {Opcode.CMSG_GARRISON_RECRUIT_FOLLOWER, 0x1DCD},
            {Opcode.CMSG_GARRISON_REMOVE_FOLLOWER, 0x0505},
            {Opcode.CMSG_GARRISON_REMOVE_FOLLOWER_FROM_BUILDING, 0x1A5F},
            {Opcode.CMSG_GARRISON_REQUEST_BLUEPRINT_AND_SPECIALIZATION_DATA, 0x100E},
            {Opcode.CMSG_GARRISON_REQUEST_LANDING_PAGE_SHIPMENT_INFO, 0x1C0E},
            {Opcode.CMSG_GARRISON_REQUEST_SHIPMENT_INFO, 0x17DE},
            {Opcode.CMSG_GARRISON_SET_BUILDING_ACTIVE, 0x0814},
            {Opcode.CMSG_GARRISON_SET_FOLLOWER_FAVORITE, 0x0182},
            {Opcode.CMSG_GARRISON_SET_FOLLOWER_INACTIVE, 0x0554},
            {Opcode.CMSG_GARRISON_SET_RECRUITMENT_PREFERENCES, 0x1B0E},
            {Opcode.CMSG_GARRISON_START_MISSION, 0x0187},
            {Opcode.CMSG_GARRISON_SWAP_BUILDINGS, 0x0997},
            {Opcode.CMSG_GENERATE_RANDOM_CHARACTER_NAME, 0x02F4},
            {Opcode.CMSG_GET_CHALLENGE_MODE_REWARDS, 0x02A6},
            {Opcode.CMSG_GET_GARRISON_INFO, 0x1235},
            {Opcode.CMSG_GET_ITEM_PURCHASE_DATA, 0x061E},
            {Opcode.CMSG_GET_MIRROR_IMAGE_DATA, 0x1A8D},
            {Opcode.CMSG_GET_PVP_OPTIONS_ENABLED, 0x03BA},
            {Opcode.CMSG_GET_REMAINING_GAME_TIME, 0x032A},
            {Opcode.CMSG_GET_TROPHY_LIST, 0x1290},
            {Opcode.CMSG_GET_UNDELETE_CHARACTER_COOLDOWN_STATUS, 0x0921},
            {Opcode.CMSG_GM_TICKET_ACKNOWLEDGE_SURVEY, 0x0964},
            {Opcode.CMSG_GM_TICKET_GET_CASE_STATUS, 0x03E1},
            {Opcode.CMSG_GM_TICKET_GET_SYSTEM_STATUS, 0x02EB},
            {Opcode.CMSG_GOSSIP_SELECT_OPTION, 0x0CDE},
            {Opcode.CMSG_GRANT_LEVEL, 0x0E17},
            {Opcode.CMSG_GUILD_ADD_BATTLENET_FRIEND, 0x187D},
            {Opcode.CMSG_GUILD_ADD_RANK, 0x102E},
            {Opcode.CMSG_GUILD_ASSIGN_MEMBER_RANK, 0x02AF},
            {Opcode.CMSG_GUILD_AUTO_DECLINE_INVITATION, 0x0A3D},
            {Opcode.CMSG_GUILD_BANK_ACTIVATE, 0x0E18},
            {Opcode.CMSG_GUILD_BANK_BUY_TAB, 0x0619},
            {Opcode.CMSG_GUILD_BANK_DEPOSIT_MONEY, 0x0C72},
            {Opcode.CMSG_GUILD_BANK_LOG_QUERY, 0x10A6},
            {Opcode.CMSG_GUILD_BANK_QUERY_TAB, 0x048A},
            {Opcode.CMSG_GUILD_BANK_REMAINING_WITHDRAW_MONEY_QUERY, 0x0AAE},
            {Opcode.CMSG_GUILD_BANK_SET_TAB_TEXT, 0x102D},
            {Opcode.CMSG_GUILD_BANK_SWAP_ITEMS, 0x0E5D},
            {Opcode.CMSG_GUILD_BANK_TEXT_QUERY, 0x0CD1},
            {Opcode.CMSG_GUILD_BANK_UPDATE_TAB, 0x1E32},
            {Opcode.CMSG_GUILD_BANK_WITHDRAW_MONEY, 0x0ECA},
            {Opcode.CMSG_GUILD_CHALLENGE_UPDATE_REQUEST, 0x087D},
            {Opcode.CMSG_GUILD_CHANGE_NAME_REQUEST, 0x10A5},
            {Opcode.CMSG_GUILD_DECLINE_INVITATION, 0x00AE},
            {Opcode.CMSG_GUILD_DELETE, 0x122E},
            {Opcode.CMSG_GUILD_DELETE_RANK, 0x1A3E},
            {Opcode.CMSG_GUILD_DEMOTE_MEMBER, 0x0ED1},
            {Opcode.CMSG_GUILD_EVENT_LOG_QUERY, 0x007D},
            {Opcode.CMSG_GUILD_GET_ACHIEVEMENT_MEMBERS, 0x026D},
            {Opcode.CMSG_GUILD_GET_RANKS, 0x0ED2},
            {Opcode.CMSG_GUILD_GET_ROSTER, 0x082E},
            {Opcode.CMSG_GUILD_INVITE_BY_NAME, 0x023B},
            {Opcode.CMSG_GUILD_LEAVE, 0x08B8},
            {Opcode.CMSG_GUILD_MEMBER_SEND_SOR_REQUEST, 0x10A8},
            {Opcode.CMSG_GUILD_NEWS_UPDATE_STICKY, 0x00AD},
            {Opcode.CMSG_GUILD_OFFICER_REMOVE_MEMBER, 0x1ED2},
            {Opcode.CMSG_GUILD_PERMISSIONS_QUERY, 0x003E},
            {Opcode.CMSG_GUILD_PROMOTE_MEMBER, 0x0ABD},
            {Opcode.CMSG_GUILD_QUERY_MEMBERS_FOR_RECIPE, 0x0C53},
            {Opcode.CMSG_GUILD_QUERY_MEMBER_RECIPES, 0x0AA6},
            {Opcode.CMSG_GUILD_QUERY_NEWS, 0x10B0},
            {Opcode.CMSG_GUILD_QUERY_RECIPES, 0x022E},
            {Opcode.CMSG_GUILD_REPLACE_GUILD_MASTER, 0x10AF},
            {Opcode.CMSG_GUILD_SET_ACHIEVEMENT_TRACKING, 0x1A2E},
            {Opcode.CMSG_GUILD_SET_FOCUSED_ACHIEVEMENT, 0x02B0},
            {Opcode.CMSG_GUILD_SET_GUILD_MASTER, 0x0071},
            {Opcode.CMSG_GUILD_SET_MEMBER_NOTE, 0x00A6},
            {Opcode.CMSG_GUILD_SET_RANK_PERMISSIONS, 0x0ABE},
            {Opcode.CMSG_GUILD_SHIFT_RANK, 0x0C52},
            {Opcode.CMSG_GUILD_UPDATE_INFO_TEXT, 0x002D},
            {Opcode.CMSG_GUILD_UPDATE_MOTD_TEXT, 0x0ED8},
            {Opcode.CMSG_HEARTH_AND_RESURRECT, 0x055E},
            {Opcode.CMSG_IGNORE_TRADE, 0x09D5},
            {Opcode.CMSG_INCREASE_CAST_TIME_FOR_SPELL, 0x188F},
            {Opcode.CMSG_INITIATE_ROLE_POLL, 0x02BA},
            {Opcode.CMSG_INITIATE_TRADE, 0x0544},
            {Opcode.CMSG_INSPECT, 0x07CD},
            {Opcode.CMSG_INSPECT_PVP, 0x03A4},
            {Opcode.CMSG_INSTANCE_LOCK_RESPONSE, 0x054A},
            {Opcode.CMSG_ITEM_PURCHASE_REFUND, 0x0FD9},
            {Opcode.CMSG_ITEM_TEXT_QUERY, 0x0A78},
            {Opcode.CMSG_JOIN_PET_BATTLE_QUEUE, 0x180E},
            {Opcode.CMSG_JOIN_RATED_BATTLEGROUND, 0x1B5D},
            {Opcode.CMSG_KEEP_ALIVE, 0x00A1},
            {Opcode.CMSG_KEYBOUND_OVERRIDE, 0x1BD0},
            {Opcode.CMSG_LEARN_PET_SPECIALIZATION_GROUP, 0x0982},
            {Opcode.CMSG_LEARN_TALENTS, 0x1A35},
            {Opcode.CMSG_LEAVE_GROUP, 0x02E2},
            {Opcode.CMSG_LEAVE_PET_BATTLE_QUEUE, 0x15D0},
            {Opcode.CMSG_LFG_LIST_APPLY_TO_GROUP, 0x09F3},
            {Opcode.CMSG_LFG_LIST_CANCEL_APPLICATION, 0x0022},
            {Opcode.CMSG_LFG_LIST_DECLINE_APPLICANT, 0x0333},
            {Opcode.CMSG_LFG_LIST_GET_STATUS, 0x09BB},
            {Opcode.CMSG_LFG_LIST_INVITE_APPLICANT, 0x08F1},
            {Opcode.CMSG_LFG_LIST_INVITE_RESPONSE, 0x0262},
            {Opcode.CMSG_LFG_LIST_JOIN, 0x09EC},
            {Opcode.CMSG_LFG_LIST_LEAVE, 0x0932},
            {Opcode.CMSG_LFG_LIST_SEARCH, 0x01E1},
            {Opcode.CMSG_LFG_LIST_UPDATE_REQUEST, 0x08F2},
            {Opcode.CMSG_LF_GUILD_ADD_RECRUIT, 0x0279},
            {Opcode.CMSG_LF_GUILD_BROWSE, 0x0379},
            {Opcode.CMSG_LF_GUILD_DECLINE_RECRUIT, 0x0AA5},
            {Opcode.CMSG_LF_GUILD_GET_APPLICATIONS, 0x0A7D},
            {Opcode.CMSG_LF_GUILD_GET_GUILD_POST, 0x1ED1},
            {Opcode.CMSG_LF_GUILD_GET_RECRUITS, 0x1CD4},
            {Opcode.CMSG_LF_GUILD_REMOVE_RECRUIT, 0x00BD},
            {Opcode.CMSG_LF_GUILD_SET_GUILD_POST, 0x087A},
            {Opcode.CMSG_LIST_INVENTORY, 0x0E9D},
            {Opcode.CMSG_LOADING_SCREEN_NOTIFY, 0x00FC},
            {Opcode.CMSG_LOAD_SELECTED_TROPHY, 0x189F},
            {Opcode.CMSG_LOGOUT_CANCEL, 0x050E},
            {Opcode.CMSG_LOGOUT_INSTANT, 0x049A},
            {Opcode.CMSG_LOGOUT_REQUEST, 0x0C5E},
            {Opcode.CMSG_LOG_DISCONNECT, 0x117E},
            {Opcode.CMSG_LOG_STREAMING_ERROR, 0x1170},
            {Opcode.CMSG_LOOT_ITEM, 0x09C6},
            {Opcode.CMSG_LOOT_MONEY, 0x05C1},
            {Opcode.CMSG_LOOT_RELEASE, 0x1A5D},
            {Opcode.CMSG_LOOT_ROLL, 0x15CD},
            {Opcode.CMSG_LOOT_UNIT, 0x1ACE},
            {Opcode.CMSG_LOW_LEVEL_RAID1, 0x092A},
            {Opcode.CMSG_LOW_LEVEL_RAID2, 0x0C9D},
            {Opcode.CMSG_MAIL_CREATE_TEXT_ITEM, 0x0E0E},
            {Opcode.CMSG_MAIL_DELETE, 0x14DD},
            {Opcode.CMSG_MAIL_GET_LIST, 0x048D},
            {Opcode.CMSG_MAIL_MARK_AS_READ, 0x0C99},
            {Opcode.CMSG_MAIL_RETURN_TO_SENDER, 0x0A3C},
            {Opcode.CMSG_MAIL_TAKE_ITEM, 0x0E0A},
            {Opcode.CMSG_MAIL_TAKE_MONEY, 0x0E39},
            {Opcode.CMSG_MASTER_LOOT_ITEM, 0x138E},
            {Opcode.CMSG_MINIMAP_PING, 0x09BC},
            {Opcode.CMSG_MISSILE_TRAJECTORY_COLLISION, 0x05C3},
            {Opcode.CMSG_MOUNT_SET_FAVORITE, 0x09A4},
            {Opcode.CMSG_MOUNT_SPECIAL_ANIM, 0x0948},
            {Opcode.CMSG_MOVE_APPLY_MOVEMENT_FORCE_ACK, 0x0781},
            {Opcode.CMSG_MOVE_CHANGE_TRANSPORT, 0x0397},
            {Opcode.CMSG_MOVE_CHANGE_VEHICLE_SEATS, 0x0703},
            {Opcode.CMSG_MOVE_CHARM_TELEPORT_CHEAT, 0x0F08},
            {Opcode.CMSG_MOVE_DISMISS_VEHICLE, 0x0315},
            {Opcode.CMSG_MOVE_ENABLE_SWIM_TO_FLY_TRANS_ACK, 0x07D8},
            {Opcode.CMSG_MOVE_FALL_LAND, 0x07D2},
            {Opcode.CMSG_MOVE_FALL_RESET, 0x0B91},
            {Opcode.CMSG_MOVE_FEATHER_FALL_ACK, 0x0F04},
            {Opcode.CMSG_MOVE_FORCE_FLIGHT_BACK_SPEED_CHANGE_ACK, 0x0B13},
            {Opcode.CMSG_MOVE_FORCE_FLIGHT_SPEED_CHANGE_ACK, 0x0F05},
            {Opcode.CMSG_MOVE_FORCE_PITCH_RATE_CHANGE_ACK, 0x0718},
            {Opcode.CMSG_MOVE_FORCE_ROOT_ACK, 0x0382},
            {Opcode.CMSG_MOVE_FORCE_RUN_BACK_SPEED_CHANGE_ACK, 0x0745},
            {Opcode.CMSG_MOVE_FORCE_RUN_SPEED_CHANGE_ACK, 0x03C7},
            {Opcode.CMSG_MOVE_FORCE_SWIM_BACK_SPEED_CHANGE_ACK, 0x0B42},
            {Opcode.CMSG_MOVE_FORCE_SWIM_SPEED_CHANGE_ACK, 0x0F01},
            {Opcode.CMSG_MOVE_FORCE_TURN_RATE_CHANGE_ACK, 0x07C3},
            {Opcode.CMSG_MOVE_FORCE_UNROOT_ACK, 0x03D7},
            {Opcode.CMSG_MOVE_FORCE_WALK_SPEED_CHANGE_ACK, 0x0793},
            {Opcode.CMSG_MOVE_GRAVITY_DISABLE_ACK, 0x0711},
            {Opcode.CMSG_MOVE_GRAVITY_ENABLE_ACK, 0x03C5},
            {Opcode.CMSG_MOVE_HEARTBEAT, 0x0306},
            {Opcode.CMSG_MOVE_HOVER_ACK, 0x0704},
            {Opcode.CMSG_MOVE_JUMP, 0x0B94},
            {Opcode.CMSG_MOVE_KNOCK_BACK_ACK, 0x0BC6},
            {Opcode.CMSG_MOVE_REMOVE_MOVEMENT_FORCES, 0x0F07},
            {Opcode.CMSG_MOVE_REMOVE_MOVEMENT_FORCE_ACK, 0x0311},
            {Opcode.CMSG_MOVE_SET_CAN_FLY_ACK, 0x03D6},
            {Opcode.CMSG_MOVE_SET_CAN_TURN_WHILE_FALLING_ACK, 0x0342},
            {Opcode.CMSG_MOVE_SET_COLLISION_HEIGHT_ACK, 0x07D7},
            {Opcode.CMSG_MOVE_SET_FACING, 0x0B15},
            {Opcode.CMSG_MOVE_SET_FLY, 0x0B43},
            {Opcode.CMSG_MOVE_SET_IGNORE_MOVEMENT_FORCES_ACK, 0x0B88},
            {Opcode.CMSG_MOVE_SET_PITCH, 0x0747},
            {Opcode.CMSG_MOVE_SET_RELATIVE_POSITION, 0x0352},
            {Opcode.CMSG_MOVE_SET_RUN_MODE, 0x0BC2},
            {Opcode.CMSG_MOVE_SET_VEHICLE_REC_ID_ACK, 0x0707},
            {Opcode.CMSG_MOVE_SET_WALK_MODE, 0x0712},
            {Opcode.CMSG_MOVE_SPLINE_DONE, 0x0741},
            {Opcode.CMSG_MOVE_START_ASCEND, 0x0B58},
            {Opcode.CMSG_MOVE_START_BACKWARD, 0x0BD5},
            {Opcode.CMSG_MOVE_START_DESCEND, 0x0754},
            {Opcode.CMSG_MOVE_START_FORWARD, 0x0B14},
            {Opcode.CMSG_MOVE_START_PITCH_DOWN, 0x0BD6},
            {Opcode.CMSG_MOVE_START_PITCH_UP, 0x0302},
            {Opcode.CMSG_MOVE_START_STRAFE_LEFT, 0x0B47},
            {Opcode.CMSG_MOVE_START_STRAFE_RIGHT, 0x0B06},
            {Opcode.CMSG_MOVE_START_SWIM, 0x0B48},
            {Opcode.CMSG_MOVE_START_TURN_LEFT, 0x03D2},
            {Opcode.CMSG_MOVE_START_TURN_RIGHT, 0x0782},
            {Opcode.CMSG_MOVE_STOP, 0x0351},
            {Opcode.CMSG_MOVE_STOP_ASCEND, 0x0B82},
            {Opcode.CMSG_MOVE_STOP_PITCH, 0x0792},
            {Opcode.CMSG_MOVE_STOP_STRAFE, 0x0753},
            {Opcode.CMSG_MOVE_STOP_SWIM, 0x0715},
            {Opcode.CMSG_MOVE_STOP_TURN, 0x07D4},
            {Opcode.CMSG_MOVE_TELEPORT_ACK, 0x0B05},
            {Opcode.CMSG_MOVE_TELEPORT_CHEAT, 0x0303},
            {Opcode.CMSG_MOVE_TIME_SKIPPED, 0x0787},
            {Opcode.CMSG_MOVE_TOGGLE_COLLISION_CHEAT, 0x0757},
            {Opcode.CMSG_MOVE_WATER_WALK_ACK, 0x07C7},
            {Opcode.CMSG_NEUTRAL_PLAYER_SELECT_FACTION, 0x1BCD},
            {Opcode.CMSG_NEXT_CINEMATIC_CAMERA, 0x0E32},
            {Opcode.CMSG_OBJECT_UPDATE_FAILED, 0x11E0},
            {Opcode.CMSG_OBJECT_UPDATE_RESCUED, 0x1C4F},
            {Opcode.CMSG_OFFER_PETITION, 0x08A3},
            {Opcode.CMSG_OPENING_CINEMATIC, 0x0FDD},
            {Opcode.CMSG_OPEN_ITEM, 0x1310},
            {Opcode.CMSG_OPEN_MISSION_NPC, 0x1FA0},
            {Opcode.CMSG_OPEN_SHIPMENT_NPC, 0x118D},
            {Opcode.CMSG_OPEN_TRADESKILL_NPC, 0x1236},
            {Opcode.CMSG_OPT_OUT_OF_LOOT, 0x1E3A},
            {Opcode.CMSG_PARTY_INVITE, 0x0974},
            {Opcode.CMSG_PARTY_INVITE_RESPONSE, 0x036B},
            {Opcode.CMSG_PARTY_UNINVITE, 0x02B1},
            {Opcode.CMSG_PETITION_BUY, 0x1E21},
            {Opcode.CMSG_PETITION_RENAME_GUILD, 0x02FB},
            {Opcode.CMSG_PETITION_SHOW_LIST, 0x0E19},
            {Opcode.CMSG_PETITION_SHOW_SIGNATURES, 0x0F99},
            {Opcode.CMSG_PET_ABANDON, 0x0F59},
            {Opcode.CMSG_PET_ACTION, 0x0C79},
            {Opcode.CMSG_PET_BATTLE_FINAL_NOTIFY, 0x11DE},
            {Opcode.CMSG_PET_BATTLE_INPUT, 0x026C},
            {Opcode.CMSG_PET_BATTLE_QUEUE_PROPOSE_MATCH_RESULT, 0x0D98},
            {Opcode.CMSG_PET_BATTLE_QUIT_NOTIFY, 0x1A1D},
            {Opcode.CMSG_PET_BATTLE_REPLACE_FRONT_PET, 0x03A1},
            {Opcode.CMSG_PET_BATTLE_REQUEST_PVP, 0x128E},
            {Opcode.CMSG_PET_BATTLE_REQUEST_UPDATE, 0x141F},
            {Opcode.CMSG_PET_BATTLE_REQUEST_WILD, 0x111F},
            {Opcode.CMSG_PET_BATTLE_SCRIPT_ERROR_NOTIFY, 0x0147},
            {Opcode.CMSG_PET_CANCEL_AURA, 0x0C49},
            {Opcode.CMSG_PET_CAST_SPELL, 0x16CF},
            {Opcode.CMSG_PET_RENAME, 0x0133},
            {Opcode.CMSG_PET_SET_ACTION, 0x0789},
            {Opcode.CMSG_PET_SPELL_AUTOCAST, 0x065A},
            {Opcode.CMSG_PET_STOP_ATTACK, 0x0E1E},
            {Opcode.CMSG_PING, 0x0930},
            {Opcode.CMSG_PLAYER_LOGIN, 0x03F9},
            {Opcode.CMSG_PROTOCOL_MISMATCH, 0x0137},
            {Opcode.CMSG_PUSH_QUEST_TO_PARTY, 0x0E69},
            {Opcode.CMSG_PVP_LOG_DATA, 0x0143},
            {Opcode.CMSG_QUERY_BATTLE_PET_NAME, 0x0278},
            {Opcode.CMSG_QUERY_CORPSE_LOCATION_FROM_CLIENT, 0x09A1},
            {Opcode.CMSG_QUERY_CORPSE_TRANSPORT, 0x0039},
            {Opcode.CMSG_QUERY_COUNTDOWN_TIMER, 0x134E},
            {Opcode.CMSG_QUERY_CREATURE, 0x0511},
            {Opcode.CMSG_QUERY_GAME_OBJECT, 0x0995},
            {Opcode.CMSG_QUERY_GARRISON_CREATURE_NAME, 0x118E},
            {Opcode.CMSG_QUERY_GUILD_INFO, 0x033B},
            {Opcode.CMSG_QUERY_INSPECT_ACHIEVEMENTS, 0x0D5E},
            {Opcode.CMSG_QUERY_NEXT_MAIL_TIME, 0x0FCA},
            {Opcode.CMSG_QUERY_NPC_TEXT, 0x13CF},
            {Opcode.CMSG_QUERY_PAGE_TEXT, 0x1920},
            {Opcode.CMSG_QUERY_PETITION, 0x124E},
            {Opcode.CMSG_QUERY_PET_NAME, 0x0867},
            {Opcode.CMSG_QUERY_PLAYER_NAME, 0x0929},
            {Opcode.CMSG_QUERY_QUEST_COMPLETION_NPCS, 0x0592},
            {Opcode.CMSG_QUERY_QUEST_INFO, 0x1CDE},
            {Opcode.CMSG_QUERY_REALM_NAME, 0x08B9},
            {Opcode.CMSG_QUERY_SCENARIO_POI, 0x01F2},
            {Opcode.CMSG_QUERY_TIME, 0x0C1E},
            {Opcode.CMSG_QUERY_VOID_STORAGE, 0x05C2},
            {Opcode.CMSG_QUEST_CONFIRM_ACCEPT, 0x1E2A},
            {Opcode.CMSG_QUEST_GIVER_ACCEPT_QUEST, 0x0817},
            {Opcode.CMSG_QUEST_GIVER_CHOOSE_REWARD, 0x0E59},
            {Opcode.CMSG_QUEST_GIVER_COMPLETE_QUEST, 0x0709},
            {Opcode.CMSG_QUEST_GIVER_HELLO, 0x0FCD},
            {Opcode.CMSG_QUEST_GIVER_QUERY_QUEST, 0x07C9},
            {Opcode.CMSG_QUEST_GIVER_REQUEST_REWARD, 0x0D0A},
            {Opcode.CMSG_QUEST_GIVER_STATUS_MULTIPLE_QUERY, 0x055D},
            {Opcode.CMSG_QUEST_GIVER_STATUS_QUERY, 0x075E},
            {Opcode.CMSG_QUEST_LOG_REMOVE_QUEST, 0x0E5A},
            {Opcode.CMSG_QUEST_POI_QUERY, 0x082A},
            {Opcode.CMSG_QUEST_PUSH_RESULT, 0x0D0E},
            {Opcode.CMSG_QUEUED_MESSAGES_END, 0x0130},
            {Opcode.CMSG_RANDOM_ROLL, 0x032B},
            {Opcode.CMSG_READY_CHECK_RESPONSE, 0x0061},
            {Opcode.CMSG_READ_ITEM, 0x199E},
            {Opcode.CMSG_RECLAIM_CORPSE, 0x0C39},
            {Opcode.CMSG_RECRUIT_A_FRIEND, 0x0373},
            {Opcode.CMSG_REDEEM_WOW_TOKEN_CONFIRM, 0x0934},
            {Opcode.CMSG_REDEEM_WOW_TOKEN_START, 0x0A2C},
            {Opcode.CMSG_REORDER_CHARACTERS, 0x0233},
            {Opcode.CMSG_REPAIR_ITEM, 0x0759},
            {Opcode.CMSG_REPLACE_TROPHY, 0x1C5D},
            {Opcode.CMSG_REPOP_REQUEST, 0x0F8D},
            {Opcode.CMSG_REPORT_PVP_PLAYER_AFK, 0x05CA},
            {Opcode.CMSG_REQUEST_ACCOUNT_DATA, 0x09F9},
            {Opcode.CMSG_REQUEST_BATTLEFIELD_STATUS, 0x09EB},
            {Opcode.CMSG_REQUEST_CATEGORY_COOLDOWNS, 0x1BA0},
            {Opcode.CMSG_REQUEST_CEMETERY_LIST, 0x0957},
            {Opcode.CMSG_REQUEST_CONQUEST_FORMULA_CONSTANTS, 0x1C1F},
            {Opcode.CMSG_REQUEST_FORCED_REACTIONS, 0x1C9D},
            {Opcode.CMSG_REQUEST_GUILD_PARTY_STATE, 0x1ADD},
            {Opcode.CMSG_REQUEST_GUILD_REWARDS_LIST, 0x105F},
            {Opcode.CMSG_REQUEST_HONOR_STATS, 0x0504},
            {Opcode.CMSG_REQUEST_LFG_LIST_BLACKLIST, 0x1960},
            {Opcode.CMSG_REQUEST_PARTY_JOIN_UPDATES, 0x0263},
            {Opcode.CMSG_REQUEST_PARTY_MEMBER_STATS, 0x0171},
            {Opcode.CMSG_REQUEST_PET_INFO, 0x0F9E},
            {Opcode.CMSG_REQUEST_PLAYED_TIME, 0x0158},
            {Opcode.CMSG_REQUEST_PVP_REWARDS, 0x190D},
            {Opcode.CMSG_REQUEST_RAID_INFO, 0x01B4},
            {Opcode.CMSG_REQUEST_RATED_BATTLEFIELD_INFO, 0x0864},
            {Opcode.CMSG_REQUEST_RESEARCH_HISTORY, 0x0265},
            {Opcode.CMSG_REQUEST_STABLED_PETS, 0x0C9A},
            {Opcode.CMSG_REQUEST_VEHICLE_EXIT, 0x09C1},
            {Opcode.CMSG_REQUEST_VEHICLE_NEXT_SEAT, 0x0277},
            {Opcode.CMSG_REQUEST_VEHICLE_PREV_SEAT, 0x0036},
            {Opcode.CMSG_REQUEST_VEHICLE_SWITCH_SEAT, 0x1A20},
            {Opcode.CMSG_REQUEST_WOW_TOKEN_MARKET_PRICE, 0x01A2},
            {Opcode.CMSG_RESET_CHALLENGE_MODE, 0x0918},
            {Opcode.CMSG_RESET_INSTANCES, 0x03F4},
            {Opcode.CMSG_RESURRECT_RESPONSE, 0x01E3},
            {Opcode.CMSG_REVERT_MONUMENT_APPEARANCE, 0x01C6},
            {Opcode.CMSG_RIDE_VEHICLE_INTERACT, 0x0893},
            {Opcode.CMSG_SAVE_CUF_PROFILES, 0x0195},
            {Opcode.CMSG_SAVE_EQUIPMENT_SET, 0x060A},
            {Opcode.CMSG_SAVE_GUILD_EMBLEM, 0x1AE0},
            {Opcode.CMSG_SCENE_PLAYBACK_CANCELED, 0x0118},
            {Opcode.CMSG_SCENE_PLAYBACK_COMPLETE, 0x14DF},
            {Opcode.CMSG_SCENE_TRIGGER_EVENT, 0x110F},
            {Opcode.CMSG_SELF_RES, 0x05DE},
            {Opcode.CMSG_SELL_ITEM, 0x0D1A},
            {Opcode.CMSG_SELL_WOW_TOKEN_CONFIRM, 0x02B4},
            {Opcode.CMSG_SELL_WOW_TOKEN_START, 0x03AA},
            {Opcode.CMSG_SEND_CONTACT_LIST, 0x0961},
            {Opcode.CMSG_SEND_MAIL, 0x00F3},
            {Opcode.CMSG_SEND_SOR_REQUEST_VIA_ADDRESS, 0x03F3},
            {Opcode.CMSG_SEND_SOR_REQUEST_VIA_BNET_ACCOUNT_ID, 0x00E3},
            {Opcode.CMSG_SEND_TEXT_EMOTE, 0x0D59},
            {Opcode.CMSG_SET_ACHIEVEMENTS_HIDDEN, 0x0907},
            {Opcode.CMSG_SET_ACTION_BAR_TOGGLES, 0x0E49},
            {Opcode.CMSG_SET_ACTION_BUTTON, 0x093B},
            {Opcode.CMSG_SET_ACTIVE_MOVER, 0x0B96},
            {Opcode.CMSG_SET_ACTIVE_VOICE_CHANNEL, 0x0122},
            {Opcode.CMSG_SET_ADVANCED_COMBAT_LOGGING, 0x1EDF},
            {Opcode.CMSG_SET_ASSISTANT_LEADER, 0x03B4},
            {Opcode.CMSG_SET_BACKPACK_AUTOSORT_DISABLED, 0x1B5E},
            {Opcode.CMSG_SET_BANK_AUTOSORT_DISABLED, 0x16A0},
            {Opcode.CMSG_CHANGE_BANK_BAG_SLOT_FLAG, 0x1A9E},
            {Opcode.CMSG_SET_CONTACT_NOTES, 0x037B},
            {Opcode.CMSG_SET_CURRENCY_FLAGS, 0x12DF},
            {Opcode.CMSG_SET_DIFFICULTY_ID, 0x125D},
            {Opcode.CMSG_SET_DUNGEON_DIFFICULTY, 0x00B3},
            {Opcode.CMSG_SET_EVERYONE_IS_ASSISTANT, 0x08A2},
            {Opcode.CMSG_SET_FACTION_AT_WAR, 0x0699},
            {Opcode.CMSG_SET_FACTION_INACTIVE, 0x0C71},
            {Opcode.CMSG_SET_FACTION_NOT_AT_WAR, 0x0599},
            {Opcode.CMSG_SET_INSERT_ITEMS_LEFT_TO_RIGHT, 0x0077},
            {Opcode.CMSG_SET_LFG_BONUS_FACTION_ID, 0x1910},
            {Opcode.CMSG_SET_LOOT_METHOD, 0x02A4},
            {Opcode.CMSG_SET_LOOT_SPECIALIZATION, 0x0449},
            {Opcode.CMSG_SET_PARTY_ASSIGNMENT, 0x0329},
            {Opcode.CMSG_SET_PARTY_LEADER, 0x037A},
            {Opcode.CMSG_SET_PET_SLOT, 0x0DD7},
            {Opcode.CMSG_SET_PLAYER_DECLINED_NAMES, 0x00B4},
            {Opcode.CMSG_SET_PREFERRED_CEMETERY, 0x1C8E},
            {Opcode.CMSG_SET_PVP, 0x0A35},
            {Opcode.CMSG_SET_RAID_DIFFICULTY, 0x09E9},
            {Opcode.CMSG_SET_ROLE, 0x02F3},
            {Opcode.CMSG_SET_SAVED_INSTANCE_EXTEND, 0x0923},
            {Opcode.CMSG_SET_SELECTION, 0x0C98},
            {Opcode.CMSG_SET_SHEATHED, 0x058D},
            {Opcode.CMSG_SET_SORT_BAGS_RIGHT_TO_LEFT, 0x1090},
            {Opcode.CMSG_SET_SPECIALIZATION, 0x1320},
            {Opcode.CMSG_SET_TAXI_BENCHMARK_MODE, 0x048E},
            {Opcode.CMSG_SET_TITLE, 0x11CF},
            {Opcode.CMSG_SET_TRADE_CURRENCY, 0x1C4B},
            {Opcode.CMSG_SET_TRADE_GOLD, 0x145F},
            {Opcode.CMSG_SET_TRADE_ITEM, 0x0157},
            {Opcode.CMSG_SET_USING_PARTY_GARRISON, 0x0193},
            {Opcode.CMSG_SET_WATCHED_FACTION, 0x06DA},
            {Opcode.CMSG_SHOWING_CLOAK, 0x0E09},
            {Opcode.CMSG_SHOWING_HELM, 0x0F5E},
            {Opcode.CMSG_SHOW_TRADE_SKILL, 0x026A},
            {Opcode.CMSG_SIGN_PETITION, 0x1C3A},
            {Opcode.CMSG_SILENCE_PARTY_TALKER, 0x0224},
            {Opcode.CMSG_SOCKET_GEMS, 0x0F9A},
            {Opcode.CMSG_SORT_BAGS, 0x05C6},
            {Opcode.CMSG_SORT_BANK_BAGS, 0x1C1A},
            {Opcode.CMSG_SORT_REAGENT_BANK_BAGS, 0x1BCE},
            {Opcode.CMSG_SPELL_CLICK, 0x1C7A},
            {Opcode.CMSG_SPIRIT_HEALER_ACTIVATE, 0x0C7A},
            {Opcode.CMSG_SPLIT_ITEM, 0x120A},
            {Opcode.CMSG_STAND_STATE_CHANGE, 0x1B4F},
            {Opcode.CMSG_START_SPECTATOR_WAR_GAME, 0x08BC},
            {Opcode.CMSG_START_WAR_GAME, 0x0063},
            {Opcode.CMSG_SUMMON_RESPONSE, 0x082B},
            {Opcode.CMSG_SUPPORT_TICKET_SUBMIT_BUG, 0x0939},
            {Opcode.CMSG_SUPPORT_TICKET_SUBMIT_COMPLAINT, 0x02F2},
            {Opcode.CMSG_SUPPORT_TICKET_SUBMIT_SUGGESTION, 0x0374},
            {Opcode.CMSG_SUSPEND_COMMS_ACK, 0x092E},
            {Opcode.CMSG_SUSPEND_TOKEN_RESPONSE, 0x0978},
            {Opcode.CMSG_SWAP_INV_ITEM, 0x1019},
            {Opcode.CMSG_SWAP_ITEM, 0x119C},
            {Opcode.CMSG_SWAP_SUB_GROUPS, 0x02A3},
            {Opcode.CMSG_SWAP_VOID_ITEM, 0x1250},
            {Opcode.CMSG_TABARD_VENDOR_ACTIVATE, 0x0D04},
            {Opcode.CMSG_TALK_TO_GOSSIP, 0x079D},
            {Opcode.CMSG_TAXI_NODE_STATUS_QUERY, 0x0C6A},
            {Opcode.CMSG_TAXI_QUERY_AVAILABLE_NODES, 0x0E8A},
            {Opcode.CMSG_TAXI_REQUEST_EARLY_LANDING, 0x0F5A},
            {Opcode.CMSG_TELEPORT_TO_UNIT, 0x01EB},
            {Opcode.CMSG_TIME_ADJUSTMENT_RESPONSE, 0x0758},
            {Opcode.CMSG_TIME_SYNC_RESPONSE, 0x0312},
            {Opcode.CMSG_TIME_SYNC_RESPONSE_DROPPED, 0x0392},
            {Opcode.CMSG_TIME_SYNC_RESPONSE_FAILED, 0x0346},
            {Opcode.CMSG_TOGGLE_DIFFICULTY, 0x0079},
            {Opcode.CMSG_TOGGLE_PVP, 0x13DD},
            {Opcode.CMSG_TOTEM_DESTROYED, 0x0E98},
            {Opcode.CMSG_TOY_SET_FAVORITE, 0x016C},
            {Opcode.CMSG_TRAINER_BUY_SPELL, 0x1C72},
            {Opcode.CMSG_TRAINER_LIST, 0x0D5D},
            {Opcode.CMSG_TRANSMOGRIFY_ITEMS, 0x1836},
            {Opcode.CMSG_TURN_IN_PETITION, 0x0DC9},
            {Opcode.CMSG_TUTORIAL_FLAG, 0x09E2},
            {Opcode.CMSG_TWITTER_CHECK_STATUS, 0x0DA6},
            {Opcode.CMSG_TWITTER_CONNECT, 0x0DB9},
            {Opcode.CMSG_TWITTER_DISCONNECT, 0x1DBA},
            {Opcode.CMSG_TWITTER_POST, 0x0066},
            {Opcode.CMSG_UI_TIME_REQUEST, 0x0339},
            {Opcode.CMSG_UNACCEPT_TRADE, 0x05D2},
            {Opcode.CMSG_UNDELETE_CHARACTER, 0x02B2},
            {Opcode.CMSG_UNLEARN_SKILL, 0x1E29},
            {Opcode.CMSG_UNLEARN_SPECIALIZATION, 0x145A},
            {Opcode.CMSG_UNLOCK_VOID_STORAGE, 0x0D16},
            {Opcode.CMSG_UPDATE_ACCOUNT_DATA, 0x02E3},
            {Opcode.CMSG_UPDATE_CLIENT_SETTINGS, 0x0369},
            {Opcode.CMSG_UPDATE_MISSILE_TRAJECTORY, 0x1B10},
            {Opcode.CMSG_UPDATE_RAID_TARGET, 0x0969},
            {Opcode.CMSG_UPDATE_VAS_PURCHASE_STATES, 0x0222},
            {Opcode.CMSG_UPDATE_WOW_TOKEN_AUCTIONABLE_LIST, 0x0371},
            {Opcode.CMSG_UPDATE_WOW_TOKEN_COUNT, 0x01A1},
            {Opcode.CMSG_UPGRADE_GARRISON, 0x0501},
            {Opcode.CMSG_UPGRADE_ITEM, 0x13D0},
            {Opcode.CMSG_USED_FOLLOW, 0x18E0},
            {Opcode.CMSG_USE_CRITTER_ITEM, 0x1010},
            {Opcode.CMSG_USE_EQUIPMENT_SET, 0x104C},
            {Opcode.CMSG_USE_ITEM, 0x1490},
            {Opcode.CMSG_USE_TOY, 0x0811},
            {Opcode.CMSG_VIOLENCE_LEVEL, 0x0A76},
            {Opcode.CMSG_VOICE_ADD_IGNORE, 0x02BB},
            {Opcode.CMSG_VOICE_DEL_IGNORE, 0x002A},
            {Opcode.CMSG_VOICE_SESSION_ENABLE, 0x0A29},
            {Opcode.CMSG_VOID_STORAGE_TRANSFER, 0x0985},
            {Opcode.CMSG_WARDEN_DATA, 0x01E2},
            {Opcode.CMSG_WHO, 0x0829},
            {Opcode.CMSG_WHO_IS, 0x03B2},
            {Opcode.CMSG_WORLD_PORT_RESPONSE, 0x0069},
            {Opcode.CMSG_WORLD_TELEPORT, 0x0062},
            {Opcode.CMSG_WRAP_ITEM, 0x124C},
        };

        private static readonly BiDictionary<Opcode, int> ServerOpcodes = new BiDictionary<Opcode, int>
        {
            {Opcode.SMSG_ABORT_NEW_WORLD, 0x01F3},
            {Opcode.SMSG_ACCOUNT_CRITERIA_UPDATE, 0x1E2A},
            {Opcode.SMSG_ACCOUNT_DATA_TIMES, 0x09FB},
            {Opcode.SMSG_ACCOUNT_HEIRLOOM_UPDATE, 0x082B},
            {Opcode.SMSG_ACCOUNT_MOUNT_UPDATE, 0x03B4},
            {Opcode.SMSG_ACCOUNT_TOYS_UPDATE, 0x013B},
            {Opcode.SMSG_ACHIEVEMENT_DELETED, 0x0064},
            {Opcode.SMSG_ACHIEVEMENT_EARNED, 0x0E97},
            {Opcode.SMSG_ACTIVATE_TAXI_REPLY, 0x0C16},
            {Opcode.SMSG_ADDON_INFO, 0x08B1},
            {Opcode.SMSG_ADD_BATTLENET_FRIEND_RESPONSE, 0x06CD},
            {Opcode.SMSG_ADD_ITEM_PASSIVE, 0x08AB},
            {Opcode.SMSG_ADD_LOSS_OF_CONTROL, 0x01E3},
            {Opcode.SMSG_ADD_RUNE_POWER, 0x03FA},
            {Opcode.SMSG_ADJUST_SPLINE_DURATION, 0x0A62},
            {Opcode.SMSG_AE_LOOT_TARGETS, 0x0519},
            {Opcode.SMSG_AE_LOOT_TARGET_ACK, 0x045E},
            {Opcode.SMSG_AI_REACTION, 0x0F9D},
            {Opcode.SMSG_ALL_ACCOUNT_CRITERIA, 0x0A39},
            {Opcode.SMSG_ALL_ACHIEVEMENT_DATA, 0x0033},
            {Opcode.SMSG_ALL_GUILD_ACHIEVEMENTS, 0x092E},
            {Opcode.SMSG_ARCHAEOLOGY_SURVERY_CAST, 0x0E9D},
            {Opcode.SMSG_AREA_SPIRIT_HEALER_TIME, 0x0A2A},
            {Opcode.SMSG_AREA_TRIGGER_DENIED, 0x0E8D},
            {Opcode.SMSG_AREA_TRIGGER_NO_CORPSE, 0x0AAB},
            {Opcode.SMSG_AREA_TRIGGER_RE_PATH, 0x072A},
            {Opcode.SMSG_AREA_TRIGGER_RE_SHAPE, 0x012C},
            {Opcode.SMSG_ARENA_ERROR, 0x02A3},
            {Opcode.SMSG_ARENA_PREP_OPPONENT_SPECIALIZATIONS, 0x0E49},
            {Opcode.SMSG_ATTACKER_STATE_UPDATE, 0x049E},
            {Opcode.SMSG_ATTACK_START, 0x0F0A},
            {Opcode.SMSG_ATTACK_STOP, 0x00FC},
            {Opcode.SMSG_ATTACK_SWING_ERROR, 0x00BA},
            {Opcode.SMSG_ATTACK_SWING_LANDED_LOG, 0x01EA},
            {Opcode.SMSG_AUCTION_CLOSED_NOTIFICATION, 0x0969},
            {Opcode.SMSG_AUCTION_COMMAND_RESULT, 0x0F99},
            {Opcode.SMSG_AUCTION_HELLO_RESPONSE, 0x08B4},
            {Opcode.SMSG_AUCTION_LIST_BIDDER_ITEMS_RESULT, 0x07D9},
            {Opcode.SMSG_AUCTION_LIST_ITEMS_RESULT, 0x003A},
            {Opcode.SMSG_AUCTION_LIST_OWNER_ITEMS_RESULT, 0x0B6A},
            {Opcode.SMSG_AUCTION_LIST_PENDING_SALES_RESULT, 0x06CA},
            {Opcode.SMSG_AUCTION_OUTBID_NOTIFICATION, 0x0031},
            {Opcode.SMSG_AUCTION_OWNER_BID_NOTIFICATION, 0x0831},
            {Opcode.SMSG_AUCTION_REPLICATE_RESPONSE, 0x037C},
            {Opcode.SMSG_AUCTION_WON_NOTIFICATION, 0x08B3},
            {Opcode.SMSG_AURA_POINTS_DEPLETED, 0x09A8},
            {Opcode.SMSG_AURA_UPDATE, 0x01A6},
            {Opcode.SMSG_AUTH_CHALLENGE, 0x1028},
            {Opcode.SMSG_AUTH_RESPONSE, 0x09B3},
            {Opcode.SMSG_AVAILABLE_VOICE_CHANNEL, 0x10D9},
            {Opcode.SMSG_BARBER_SHOP_RESULT, 0x0379},
            {Opcode.SMSG_BATTLEFIELD_LIST, 0x0AF9},
            {Opcode.SMSG_BATTLEFIELD_PORT_DENIED, 0x03EB},
            {Opcode.SMSG_BATTLEFIELD_STATUS_ACTIVE, 0x07CD},
            {Opcode.SMSG_BATTLEFIELD_STATUS_FAILED, 0x03F9},
            {Opcode.SMSG_BATTLEFIELD_STATUS_NEED_CONFIRMATION, 0x059A},
            {Opcode.SMSG_BATTLEFIELD_STATUS_NONE, 0x0A6C},
            {Opcode.SMSG_BATTLEFIELD_STATUS_QUEUED, 0x03BC},
            {Opcode.SMSG_BATTLEFIELD_STATUS_WAIT_FOR_GROUPS, 0x0C6A},
            {Opcode.SMSG_BATTLEGROUND_INFO_THROTTLED, 0x00FB},
            {Opcode.SMSG_BATTLEGROUND_INIT, 0x065E},
            {Opcode.SMSG_BATTLEGROUND_PLAYER_JOINED, 0x0BBB},
            {Opcode.SMSG_BATTLEGROUND_PLAYER_LEFT, 0x0024},
            {Opcode.SMSG_BATTLEGROUND_PLAYER_POSITIONS, 0x0CCD},
            {Opcode.SMSG_BATTLEGROUND_POINTS, 0x0AB3},
            {Opcode.SMSG_BATTLENET_CHALLENGE_ABORT, 0x0BB2},
            {Opcode.SMSG_BATTLENET_CHALLENGE_START, 0x0C1A},
            {Opcode.SMSG_BATTLE_PAY_ACK_FAILED, 0x056A},
            {Opcode.SMSG_BATTLE_PAY_CONFIRM_PURCHASE, 0x0324},
            {Opcode.SMSG_BATTLE_PAY_DELIVERY_ENDED, 0x0699},
            {Opcode.SMSG_BATTLE_PAY_DELIVERY_STARTED, 0x0BBA},
            {Opcode.SMSG_BATTLE_PAY_DISTRIBUTION_UPDATE, 0x0C79},
            {Opcode.SMSG_BATTLE_PAY_GET_DISTRIBUTION_LIST_RESPONSE, 0x0E21},
            {Opcode.SMSG_BATTLE_PAY_GET_PRODUCT_LIST_RESPONSE, 0x0ED9},
            {Opcode.SMSG_BATTLE_PAY_GET_PURCHASE_LIST_RESPONSE, 0x050A},
            {Opcode.SMSG_BATTLE_PAY_PURCHASE_UPDATE, 0x01BA},
            {Opcode.SMSG_BATTLE_PAY_START_DISTRIBUTION_ASSIGN_TO_TARGET_RESPONSE, 0x152A},
            {Opcode.SMSG_BATTLE_PAY_START_PURCHASE_RESPONSE, 0x0974},
            {Opcode.SMSG_BATTLE_PETS_HEALED, 0x086B},
            {Opcode.SMSG_BATTLE_PET_CAGE_DATE_ERROR, 0x0332},
            {Opcode.SMSG_BATTLE_PET_DELETED, 0x01A1},
            {Opcode.SMSG_BATTLE_PET_ERROR, 0x03F4},
            {Opcode.SMSG_BATTLE_PET_JOURNAL, 0x0A17},
            {Opcode.SMSG_BATTLE_PET_JOURNAL_LOCK_ACQUIRED, 0x00EA},
            {Opcode.SMSG_BATTLE_PET_JOURNAL_LOCK_DENIED, 0x0459},
            {Opcode.SMSG_BATTLE_PET_LICENSE_CHANGED, 0x086C},
            {Opcode.SMSG_BATTLE_PET_RESTORED, 0x0D9E},
            {Opcode.SMSG_BATTLE_PET_REVOKED, 0x09F3},
            {Opcode.SMSG_BATTLE_PET_TRAP_LEVEL, 0x0F1A},
            {Opcode.SMSG_BATTLE_PET_UPDATES, 0x0264},
            {Opcode.SMSG_BF_MGR_DROP_TIMER_CANCELLED, 0x0934},
            {Opcode.SMSG_BF_MGR_DROP_TIMER_STARTED, 0x002A},
            {Opcode.SMSG_BF_MGR_EJECTED, 0x0B73},
            {Opcode.SMSG_BF_MGR_EJECT_PENDING, 0x0A95},
            {Opcode.SMSG_BF_MGR_ENTERING, 0x061A},
            {Opcode.SMSG_BF_MGR_ENTRY_INVITE, 0x0D99},
            {Opcode.SMSG_BF_MGR_QUEUE_INVITE, 0x0823},
            {Opcode.SMSG_BF_MGR_QUEUE_REQUEST_RESPONSE, 0x074D},
            {Opcode.SMSG_BF_MGR_QUEUE_STATUS_UPDATE, 0x0F5E},
            {Opcode.SMSG_BF_MGR_STATE_CHANGED, 0x1C7A},
            {Opcode.SMSG_BINDER_CONFIRM, 0x0DCE},
            {Opcode.SMSG_BIND_POINT_UPDATE, 0x04C9},
            {Opcode.SMSG_BLACK_MARKET_BID_ON_ITEM_RESULT, 0x02EA},
            {Opcode.SMSG_BLACK_MARKET_OPEN_RESULT, 0x0063},
            {Opcode.SMSG_BLACK_MARKET_OUTBID, 0x0A97},
            {Opcode.SMSG_BLACK_MARKET_REQUEST_ITEMS_RESULT, 0x0BEB},
            {Opcode.SMSG_BLACK_MARKET_WON, 0x03E4},
            {Opcode.SMSG_BONUS_ROLL_EMPTY, 0x0822},
            {Opcode.SMSG_BOSS_KILL_CREDIT, 0x093B},
            {Opcode.SMSG_BREAK_TARGET, 0x1529},
            {Opcode.SMSG_BUY_FAILED, 0x0815},
            {Opcode.SMSG_BUY_SUCCEEDED, 0x02FB},
            {Opcode.SMSG_CACHE_VERSION, 0x0E31},
            {Opcode.SMSG_CALENDAR_CLEAR_PENDING_ACTION, 0x0022},
            {Opcode.SMSG_CALENDAR_COMMAND_RESULT, 0x0C31},
            {Opcode.SMSG_CALENDAR_EVENT_INITIAL_INVITES, 0x0F9A},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE, 0x0F1E},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_ALERT, 0x177A},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_MODERATOR_STATUS, 0x02B2},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_NOTES, 0x068A},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_NOTES_ALERT, 0x033C},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_REMOVED, 0x0132},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_REMOVED_ALERT, 0x061D},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_STATUS, 0x0AA9},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_STATUS_ALERT, 0x0E6A},
            {Opcode.SMSG_CALENDAR_EVENT_REMOVED_ALERT, 0x0F89},
            {Opcode.SMSG_CALENDAR_EVENT_UPDATED_ALERT, 0x003C},
            {Opcode.SMSG_CALENDAR_RAID_LOCKOUT_ADDED, 0x0D5A},
            {Opcode.SMSG_CALENDAR_RAID_LOCKOUT_REMOVED, 0x074E},
            {Opcode.SMSG_CALENDAR_RAID_LOCKOUT_UPDATED, 0x0D59},
            {Opcode.SMSG_CALENDAR_SEND_CALENDAR, 0x0B2C},
            {Opcode.SMSG_CALENDAR_SEND_EVENT, 0x0C29},
            {Opcode.SMSG_CALENDAR_SEND_NUM_PENDING, 0x00F3},
            {Opcode.SMSG_CAMERA_SHAKE, 0x0719},
            {Opcode.SMSG_CANCEL_AUTO_REPEAT, 0x0B74},
            {Opcode.SMSG_CANCEL_COMBAT, 0x00E2},
            {Opcode.SMSG_CANCEL_ORPHAN_SPELL_VISUAL, 0x0AD6},
            {Opcode.SMSG_CANCEL_SCENE, 0x0C62},
            {Opcode.SMSG_CANCEL_SPELL_VISUAL, 0x1E5F},
            {Opcode.SMSG_CANCEL_SPELL_VISUAL_KIT, 0x0BB6},
            {Opcode.SMSG_CAN_DUEL_RESULT, 0x0C1E},
            {Opcode.SMSG_CAST_FAILED, 0x1895},
            {Opcode.SMSG_CATEGORY_COOLDOWN, 0x1A56},
            {Opcode.SMSG_CHALLENGE_MODE_REWARDS, 0x02A1},
            {Opcode.SMSG_CHALLENGE_MODE_ALL_MAP_STATS, 0x0E09},
            {Opcode.SMSG_CHALLENGE_MODE_COMPLETE, 0x08E9},
            {Opcode.SMSG_CHALLENGE_MODE_MAP_STATS_UPDATE, 0x0AEB},
            {Opcode.SMSG_CHALLENGE_MODE_NEW_PLAYER_RECORD, 0x073A},
            {Opcode.SMSG_CHALLENGE_MODE_REQUEST_LEADERS_RESULT, 0x02F3},
            {Opcode.SMSG_CHALLENGE_MODE_RESET, 0x0C0D},
            {Opcode.SMSG_CHALLENGE_MODE_START, 0x0AE2},
            {Opcode.SMSG_CHANGE_PLAYER_DIFFICULTY_RESULT, 0x0331},
            {Opcode.SMSG_CHANNEL_LIST, 0x1259},
            {Opcode.SMSG_CHANNEL_NOTIFY, 0x111B},
            {Opcode.SMSG_CHANNEL_NOTIFY_JOINED, 0x10DA},
            {Opcode.SMSG_CHANNEL_NOTIFY_LEFT, 0x1099},
            {Opcode.SMSG_CHARACTER_LOGIN_FAILED, 0x0BA2},
            {Opcode.SMSG_CHARACTER_OBJECT_TEST_RESPONSE, 0x092A},
            {Opcode.SMSG_CHARACTER_RENAME_RESULT, 0x082A},
            {Opcode.SMSG_CHARACTER_UPGRADE_CHARACTER_CHOSEN, 0x0789},
            {Opcode.SMSG_CHARACTER_UPGRADE_COMPLETE, 0x1C79},
            {Opcode.SMSG_CHARACTER_UPGRADE_SPELL_TIER_SET, 0x0F1D},
            {Opcode.SMSG_CHARACTER_UPGRADE_STARTED, 0x0896},
            {Opcode.SMSG_CHAR_CUSTOMIZE, 0x079D},
            {Opcode.SMSG_CHAR_CUSTOMIZE_FAILED, 0x00E9},
            {Opcode.SMSG_CHAR_FACTION_CHANGE_RESULT, 0x0AFC},
            {Opcode.SMSG_CHAT, 0x1299},
            {Opcode.SMSG_CHAT_AUTO_RESPONDED, 0x10C9},
            {Opcode.SMSG_CHAT_DOWN, 0x128B},
            {Opcode.SMSG_CHAT_IGNORED_ACCOUNT_MUTED, 0x111A},
            {Opcode.SMSG_CHAT_IS_DOWN, 0x108B},
            {Opcode.SMSG_CHAT_NOT_IN_PARTY, 0x120C},
            {Opcode.SMSG_CHAT_PLAYER_AMBIGUOUS, 0x12DA},
            {Opcode.SMSG_CHAT_PLAYER_NOTFOUND, 0x118B},
            {Opcode.SMSG_CHAT_RECONNECT, 0x12C9},
            {Opcode.SMSG_CHAT_RESTRICTED, 0x11CB},
            {Opcode.SMSG_CHAT_SERVER_MESSAGE, 0x104C},
            {Opcode.SMSG_CHEAT_IGNORE_DIMISHING_RETURNS, 0x1855},
            {Opcode.SMSG_CHECK_WARGAME_ENTRY, 0x0B64},
            {Opcode.SMSG_CHUNKED_PACKET, 0x0028},
            {Opcode.SMSG_CLEAR_ALL_SPELL_CHARGES, 0x1E5B},
            {Opcode.SMSG_CLEAR_BOSS_EMOTES, 0x0E89},
            {Opcode.SMSG_CLEAR_COOLDOWN, 0x01A2},
            {Opcode.SMSG_CLEAR_COOLDOWNS, 0x16CC},
            {Opcode.SMSG_CLEAR_LOSS_OF_CONTROL, 0x059D},
            {Opcode.SMSG_CLEAR_SPELL_CHARGES, 0x03BD},
            {Opcode.SMSG_CLEAR_TARGET, 0x0649},
            {Opcode.SMSG_COIN_REMOVED, 0x01B2},
            {Opcode.SMSG_COMBAT_EVENT_FAILED, 0x0821},
            {Opcode.SMSG_COMMENTATOR_MAP_INFO, 0x0E19},
            {Opcode.SMSG_COMMENTATOR_PLAYER_INFO, 0x023C},
            {Opcode.SMSG_COMMENTATOR_STATE_CHANGED, 0x0ABB},
            {Opcode.SMSG_COMPLAINT_RESULT, 0x0BFC},
            {Opcode.SMSG_COMPLETE_SHIPMENT_RESPONSE, 0x0E15},
            {Opcode.SMSG_COMPRESSED_PACKET, 0x0827},
            {Opcode.SMSG_CONNECT_TO, 0x0A27},
            {Opcode.SMSG_CONQUEST_FORMULA_CONSTANTS, 0x0D49},
            {Opcode.SMSG_CONSOLE_WRITE, 0x0E39},
            {Opcode.SMSG_CONTACT_LIST, 0x02A2},
            {Opcode.SMSG_CONTROL_UPDATE, 0x0C3A},
            {Opcode.SMSG_CONVERT_RUNE, 0x04DE},
            {Opcode.SMSG_COOLDOWN_CHEAT, 0x058D},
            {Opcode.SMSG_COOLDOWN_EVENT, 0x0E1E},
            {Opcode.SMSG_CORPSE_LOCATION, 0x01BB},
            {Opcode.SMSG_CORPSE_RECLAIM_DELAY, 0x04CD},
            {Opcode.SMSG_CORPSE_TRANSPORT_QUERY, 0x0029},
            {Opcode.SMSG_CREATE_CHAR, 0x1C71},
            {Opcode.SMSG_CREATE_SHIPMENT_RESPONSE, 0x0121},
            {Opcode.SMSG_CRITERIA_DELETED, 0x064E},
            {Opcode.SMSG_CRITERIA_UPDATE, 0x0B62},
            {Opcode.SMSG_CROSSED_INEBRIATION_THRESHOLD, 0x069E},
            {Opcode.SMSG_CUSTOM_LOAD_SCREEN, 0x0E98},
            {Opcode.SMSG_DAILY_QUESTS_RESET, 0x1172},
            {Opcode.SMSG_DAMAGE_CALC_LOG, 0x0923},
            {Opcode.SMSG_DANCE_STUDIO_CREATE_RESULT, 0x0922},
            {Opcode.SMSG_DB_REPLY, 0x0C9A},
            {Opcode.SMSG_DEATH_RELEASE_LOC, 0x016A},
            {Opcode.SMSG_DEFENSE_MESSAGE, 0x1289},
            {Opcode.SMSG_DELETE_CHAR, 0x0272},
            {Opcode.SMSG_DESTROY_ARENA_UNIT, 0x0729},
            {Opcode.SMSG_DESTRUCTIBLE_BUILDING_DAMAGE, 0x0ECA},
            {Opcode.SMSG_DIFFERENT_INSTANCE_FROM_PARTY, 0x03E3},
            {Opcode.SMSG_DISENCHANT_CREDIT, 0x0862},
            {Opcode.SMSG_DISMOUNT, 0x1E6A},
            {Opcode.SMSG_DISMOUNT_RESULT, 0x08EA},
            {Opcode.SMSG_DISPEL_FAILED, 0x161D},
            {Opcode.SMSG_DISPLAY_GAME_ERROR, 0x0161},
            {Opcode.SMSG_DISPLAY_PLAYER_CHOICE, 0x01FC},
            {Opcode.SMSG_DISPLAY_PROMOTION, 0x00B2},
            {Opcode.SMSG_DISPLAY_QUEST_POPUP, 0x11E1},
            {Opcode.SMSG_DISPLAY_TOAST, 0x0873},
            {Opcode.SMSG_DONT_AUTO_PUSH_SPELLS_TO_ACTION_BAR, 0x0E59},
            {Opcode.SMSG_DROP_NEW_CONNECTION, 0x0837},
            {Opcode.SMSG_DUEL_COMPLETE, 0x0AEA},
            {Opcode.SMSG_DUEL_COUNTDOWN, 0x0E99},
            {Opcode.SMSG_DUEL_IN_BOUNDS, 0x157A},
            {Opcode.SMSG_DUEL_OUT_OF_BOUNDS, 0x08E2},
            {Opcode.SMSG_DUEL_REQUESTED, 0x0659},
            {Opcode.SMSG_DUEL_WINNER, 0x0F4A},
            {Opcode.SMSG_DURABILITY_DAMAGE_DEATH, 0x173A},
            {Opcode.SMSG_EMOTE, 0x0599},
            {Opcode.SMSG_ENABLE_BARBER_SHOP, 0x0E8E},
            {Opcode.SMSG_ENCHANTMENT_LOG, 0x0AF4},
            {Opcode.SMSG_ENCOUNTER_END, 0x02E2},
            {Opcode.SMSG_ENCOUNTER_START, 0x05CE},
            {Opcode.SMSG_ENUM_CHARACTERS_RESULT, 0x096B},
            {Opcode.SMSG_ENVIRONMENTAL_DAMAGE_LOG, 0x0852},
            {Opcode.SMSG_EQUIPMENT_SET_ID, 0x0A3B},
            {Opcode.SMSG_EXPECTED_SPAM_RECORDS, 0x11CC},
            {Opcode.SMSG_EXPLORATION_EXPERIENCE, 0x0224},
            {Opcode.SMSG_FACTION_BONUS_INFO, 0x0032},
            {Opcode.SMSG_FAILED_PLAYER_CONDITION, 0x0A96},
            {Opcode.SMSG_FEATURE_SYSTEM_STATUS, 0x0E96},
            {Opcode.SMSG_FEATURE_SYSTEM_STATUS_GLUE_SCREEN, 0x02E9},
            {Opcode.SMSG_FEIGN_DEATH_RESISTED, 0x05A6},
            {Opcode.SMSG_FINAL_CHUNK, 0x0238},
            {Opcode.SMSG_FISH_ESCAPED, 0x02F4},
            {Opcode.SMSG_FISH_NOT_HOOKED, 0x06DD},
            {Opcode.SMSG_FLIGHT_SPLINE_SYNC, 0x191D},
            {Opcode.SMSG_FORCED_DEATH_UPDATE, 0x037B},
            {Opcode.SMSG_FORCE_ANIM, 0x075E},
            {Opcode.SMSG_FORCE_OBJECT_RELINK, 0x036C},
            {Opcode.SMSG_FRIEND_STATUS, 0x0898},
            {Opcode.SMSG_GAME_OBJECT_ACTIVATE_ANIM_KIT, 0x0AA1},
            {Opcode.SMSG_GAME_OBJECT_CUSTOM_ANIM, 0x0074},
            {Opcode.SMSG_GAME_OBJECT_DESPAWN, 0x0AE9},
            {Opcode.SMSG_GAME_OBJECT_PLAY_SPELL_VISUAL, 0x1E09},
            {Opcode.SMSG_GAME_OBJECT_PLAY_SPELL_VISUAL_KIT, 0x11FF},
            {Opcode.SMSG_GAME_OBJECT_RESET_STATE, 0x03E1},
            {Opcode.SMSG_GAME_SPEED_SET, 0x02E4},
            {Opcode.SMSG_GAME_TIME_SET, 0x0963},
            {Opcode.SMSG_GAME_TIME_UPDATE, 0x0AF3},
            {Opcode.SMSG_GARRISON_ADD_FOLLOWER_RESULT, 0x0712},
            {Opcode.SMSG_GARRISON_ADD_MISSION_RESULT, 0x0352},
            {Opcode.SMSG_GARRISON_ASSIGN_FOLLOWER_TO_BUILDING_RESULT, 0x0F01},
            {Opcode.SMSG_GARRISON_BUILDING_ACTIVATED, 0x0BD6},
            {Opcode.SMSG_GARRISON_BUILDING_LANDMARKS, 0x0B42},
            {Opcode.SMSG_GARRISON_BUILDING_REMOVED, 0x0B06},
            {Opcode.SMSG_GARRISON_BUILDING_SET_ACTIVE_SPECIALIZATION_RESULT, 0x0B94},
            {Opcode.SMSG_GARRISON_CLEAR_ALL_FOLLOWERS_EXHAUSTION, 0x03C7},
            {Opcode.SMSG_GARRISON_COMPLETE_MISSION_RESULT, 0x0B48},
            {Opcode.SMSG_GARRISON_CREATE_RESULT, 0x0792},
            {Opcode.SMSG_GARRISON_DELETE_RESULT, 0x0707},
            {Opcode.SMSG_GARRISON_FOLLOWER_CHANGED_ABILITIES, 0x0B15},
            {Opcode.SMSG_GARRISON_FOLLOWER_CHANGED_ITEM_LEVEL, 0x0757},
            {Opcode.SMSG_GARRISON_FOLLOWER_CHANGED_STATUS, 0x0747},
            {Opcode.SMSG_GARRISON_FOLLOWER_CHANGED_XP, 0x0BC1},
            {Opcode.SMSG_GARRISON_IS_UPGRADEABLE_RESULT, 0x0705},
            {Opcode.SMSG_GARRISON_LANDING_PAGE_SHIPMENT_INFO, 0x0A7C},
            {Opcode.SMSG_GARRISON_LEARN_BLUEPRINT_RESULT, 0x03D2},
            {Opcode.SMSG_GARRISON_LEARN_SPECIALIZATION_RESULT, 0x0753},
            {Opcode.SMSG_GARRISON_LIST_FOLLOWERS_CHEAT_RESULT, 0x0F08},
            {Opcode.SMSG_GARRISON_LIST_MISSIONS_CHEAT_RESULT, 0x0B98},
            {Opcode.SMSG_GARRISON_MISSION_AREA_BONUS_ADDED, 0x03D1},
            {Opcode.SMSG_GARRISON_MISSION_BONUS_ROLL_RESULT, 0x0742},
            {Opcode.SMSG_GARRISON_MISSION_UPDATE_CAN_START, 0x0394},
            {Opcode.SMSG_GARRISON_NUM_FOLLOWER_ACTIVATIONS_REMAINING, 0x0745},
            {Opcode.SMSG_GARRISON_OPEN_ARCHITECT, 0x0781},
            {Opcode.SMSG_GARRISON_OPEN_MISSION_NPC, 0x0F07},
            {Opcode.SMSG_GARRISON_OPEN_RECRUITMENT_NPC, 0x0F02},
            {Opcode.SMSG_GARRISON_OPEN_TRADESKILL_NPC, 0x0311},
            {Opcode.SMSG_GARRISON_PLACE_BUILDING_RESULT, 0x0B47},
            {Opcode.SMSG_GARRISON_PLOT_PLACED, 0x0BD5},
            {Opcode.SMSG_GARRISON_PLOT_REMOVED, 0x0351},
            {Opcode.SMSG_GARRISON_RECALL_PORTAL_LAST_USED_TIME, 0x0715},
            {Opcode.SMSG_GARRISON_RECALL_PORTAL_USED, 0x0B02},
            {Opcode.SMSG_GARRISON_RECRUITMENT_FOLLOWERS_GENERATED, 0x0BC6},
            {Opcode.SMSG_GARRISON_RECRUIT_FOLLOWER_RESULT, 0x0704},
            {Opcode.SMSG_GARRISON_REMOTE_INFO, 0x0302},
            {Opcode.SMSG_GARRISON_REMOVE_FOLLOWER_FROM_BUILDING_RESULT, 0x0382},
            {Opcode.SMSG_GARRISON_REMOVE_FOLLOWER_RESULT, 0x0303},
            {Opcode.SMSG_GARRISON_REQUEST_BLUEPRINT_AND_SPECIALIZATION_DATA_RESULT, 0x07D4},
            {Opcode.SMSG_GARRISON_START_MISSION_RESULT, 0x0B05},
            {Opcode.SMSG_GARRISON_UNLEARN_BLUEPRINT_RESULT, 0x0782},
            {Opcode.SMSG_GARRISON_UPGRADE_RESULT, 0x0BC2},
            {Opcode.SMSG_GENERATE_RANDOM_CHARACTER_NAME_RESULT, 0x070E},
            {Opcode.SMSG_GET_ACCOUNT_CHARACTER_LIST_RESULT, 0x02EB},
            {Opcode.SMSG_GET_DISPLAYED_TROPHY_LIST_RESPONSE, 0x07C7},
            {Opcode.SMSG_GET_GARRISON_INFO_RESULT, 0x0B14},
            {Opcode.SMSG_GET_SHIPMENTS_OF_TYPE_RESPONSE, 0x052A},
            {Opcode.SMSG_GET_SHIPMENT_INFO_RESPONSE, 0x027A},
            {Opcode.SMSG_GET_TROPHY_LIST_RESPONSE, 0x07C9},
            {Opcode.SMSG_GM_PLAYER_INFO, 0x0A15},
            {Opcode.SMSG_GM_REQUEST_PLAYER_INFO, 0x053A},
            {Opcode.SMSG_GM_TICKET_CASE_STATUS, 0x0EDA},
            {Opcode.SMSG_GM_TICKET_SYSTEM_STATUS, 0x0B31},
            {Opcode.SMSG_GOD_MODE, 0x0274},
            {Opcode.SMSG_GOSSIP_COMPLETE, 0x187B},
            {Opcode.SMSG_GOSSIP_MESSAGE, 0x127B},
            {Opcode.SMSG_GOSSIP_POI, 0x00FA},
            {Opcode.SMSG_GROUP_ACTION_THROTTLED, 0x079E},
            {Opcode.SMSG_GROUP_DECLINE, 0x0223},
            {Opcode.SMSG_GROUP_DESTROYED, 0x0D1D},
            {Opcode.SMSG_GROUP_NEW_LEADER, 0x04CA},
            {Opcode.SMSG_GROUP_UNINVITE, 0x0B3A},
            {Opcode.SMSG_GUILD_ACHIEVEMENT_DELETED, 0x1180},
            {Opcode.SMSG_GUILD_ACHIEVEMENT_EARNED, 0x0977},
            {Opcode.SMSG_GUILD_ACHIEVEMENT_MEMBERS, 0x1165},
            {Opcode.SMSG_GUILD_BANK_LOG_QUERY_RESULTS, 0x0170},
            {Opcode.SMSG_GUILD_BANK_QUERY_RESULTS, 0x1166},
            {Opcode.SMSG_GUILD_BANK_REMAINING_WITHDRAW_MONEY, 0x1176},
            {Opcode.SMSG_GUILD_BANK_TEXT_QUERY_RESULT, 0x096F},
            {Opcode.SMSG_GUILD_CHALLENGE_COMPLETED, 0x016D},
            {Opcode.SMSG_GUILD_CHALLENGE_UPDATE, 0x017E},
            {Opcode.SMSG_GUILD_CHANGE_NAME_RESULT, 0x1135},
            {Opcode.SMSG_GUILD_COMMAND_RESULT, 0x1926},
            {Opcode.SMSG_GUILD_CRITERIA_DELETED, 0x0965},
            {Opcode.SMSG_GUILD_CRITERIA_UPDATE, 0x1128},
            {Opcode.SMSG_GUILD_EVENT_BANK_CONTENTS_CHANGED, 0x0976},
            {Opcode.SMSG_GUILD_EVENT_BANK_MONEY_CHANGED, 0x0970},
            {Opcode.SMSG_GUILD_EVENT_DISBANDED, 0x0165},
            {Opcode.SMSG_GUILD_EVENT_LOG_QUERY_RESULTS, 0x013E},
            {Opcode.SMSG_GUILD_EVENT_MOTD, 0x0937},
            {Opcode.SMSG_GUILD_EVENT_NEW_LEADER, 0x0925},
            {Opcode.SMSG_GUILD_EVENT_PLAYER_JOINED, 0x012E},
            {Opcode.SMSG_GUILD_EVENT_PLAYER_LEFT, 0x113E},
            {Opcode.SMSG_GUILD_EVENT_PRESENCE_CHANGE, 0x112E},
            {Opcode.SMSG_GUILD_EVENT_RANKS_UPDATED, 0x0168},
            {Opcode.SMSG_GUILD_EVENT_RANK_CHANGED, 0x1136},
            {Opcode.SMSG_GUILD_EVENT_TAB_ADDED, 0x012D},
            {Opcode.SMSG_GUILD_EVENT_TAB_DELETED, 0x092D},
            {Opcode.SMSG_GUILD_EVENT_TAB_MODIFIED, 0x097F},
            {Opcode.SMSG_GUILD_EVENT_TAB_TEXT_CHANGED, 0x0135},
            {Opcode.SMSG_GUILD_FLAGGED_FOR_RENAME, 0x1925},
            {Opcode.SMSG_GUILD_INVITE, 0x013D},
            {Opcode.SMSG_GUILD_INVITE_DECLINED, 0x1138},
            {Opcode.SMSG_GUILD_INVITE_EXPIRED, 0x112D},
            {Opcode.SMSG_GUILD_KNOWN_RECIPES, 0x017D},
            {Opcode.SMSG_GUILD_MEMBERS_WITH_RECIPE, 0x0130},
            {Opcode.SMSG_GUILD_MEMBER_DAILY_RESET, 0x0980},
            {Opcode.SMSG_GUILD_MEMBER_RECIPES, 0x0978},
            {Opcode.SMSG_GUILD_MEMBER_UPDATE_NOTE, 0x0175},
            {Opcode.SMSG_GUILD_MOVED, 0x0140},
            {Opcode.SMSG_GUILD_MOVE_STARTING, 0x0975},
            {Opcode.SMSG_GUILD_NAME_CHANGED, 0x0180},
            {Opcode.SMSG_GUILD_NEWS, 0x0137},
            {Opcode.SMSG_GUILD_NEWS_DELETED, 0x116E},
            {Opcode.SMSG_GUILD_PARTY_STATE, 0x097E},
            {Opcode.SMSG_GUILD_PERMISSIONS_QUERY_RESULTS, 0x0127},
            {Opcode.SMSG_GUILD_RANKS, 0x0967},
            {Opcode.SMSG_GUILD_REPUTATION_REACTION_CHANGED, 0x112F},
            {Opcode.SMSG_GUILD_RESET, 0x117D},
            {Opcode.SMSG_GUILD_REWARD_LIST, 0x1170},
            {Opcode.SMSG_GUILD_ROSTER, 0x0930},
            {Opcode.SMSG_GUILD_ROSTER_UPDATE, 0x117E},
            {Opcode.SMSG_GUILD_SEND_RANK_CHANGE, 0x116D},
            {Opcode.SMSG_HEALTH_UPDATE, 0x0A33},
            {Opcode.SMSG_HIGHEST_THREAT_UPDATE, 0x0579},
            {Opcode.SMSG_HOTFIX_NOTIFY, 0x02EC},
            {Opcode.SMSG_HOTFIX_NOTIFY_BLOB, 0x017C},
            {Opcode.SMSG_INCREASE_CAST_TIME_FOR_SPELL, 0x13BF},
            {Opcode.SMSG_INITIALIZE_FACTIONS, 0x0924},
            {Opcode.SMSG_INITIAL_SETUP, 0x0B3B},
            {Opcode.SMSG_INIT_WORLD_STATES, 0x0F8E},
            {Opcode.SMSG_INSPECT_HONOR_STATS, 0x0BAB},
            {Opcode.SMSG_INSPECT_PVP, 0x0262},
            {Opcode.SMSG_INSPECT_RESULT, 0x02BA},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_CHANGE_PRIORITY, 0x0F09},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_DISENGAGE_UNIT, 0x0932},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_END, 0x01BC},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_ENGAGE_UNIT, 0x02B9},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_GAIN_COMBAT_RESURRECTION_CHARGE, 0x0B79},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_IN_COMBAT_RESURRECTION, 0x03F1},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_OBJECTIVE_COMPLETE, 0x0B34},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_OBJECTIVE_START, 0x08AA},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_OBJECTIVE_UPDATE, 0x05A2},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_PHASE_SHIFT_CHANGED, 0x1C22},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_START, 0x0D5D},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_TIMER_START, 0x0864},
            {Opcode.SMSG_INSTANCE_GROUP_SIZE_CHANGED, 0x044A},
            {Opcode.SMSG_INSTANCE_INFO, 0x08FA},
            {Opcode.SMSG_INSTANCE_RESET, 0x03B3},
            {Opcode.SMSG_INSTANCE_RESET_FAILED, 0x01FA},
            {Opcode.SMSG_INSTANCE_SAVE_CREATED, 0x0895},
            {Opcode.SMSG_INVALIDATE_PLAYER, 0x0EDE},
            {Opcode.SMSG_INVALID_PROMOTION_CODE, 0x0CDD},
            {Opcode.SMSG_INVENTORY_CHANGE_FAILURE, 0x1C62},
            {Opcode.SMSG_IS_QUEST_COMPLETE_RESPONSE, 0x12A1},
            {Opcode.SMSG_ITEM_CHANGED, 0x01A3},
            {Opcode.SMSG_ITEM_COOLDOWN, 0x055D},
            {Opcode.SMSG_ITEM_ENCHANT_TIME_UPDATE, 0x0374},
            {Opcode.SMSG_ITEM_EXPIRE_PURCHASE_REFUND, 0x002B},
            {Opcode.SMSG_ITEM_PURCHASE_REFUND_RESULT, 0x00E3},
            {Opcode.SMSG_ITEM_PUSH_RESULT, 0x00E1},
            {Opcode.SMSG_ITEM_TIME_UPDATE, 0x017B},
            {Opcode.SMSG_KICK_REASON, 0x0B24},
            {Opcode.SMSG_LEARNED_SPELLS, 0x1812},
            {Opcode.SMSG_LEARN_TALENT_FAILED, 0x0DD9},
            {Opcode.SMSG_LEVEL_UP_INFO, 0x0E72},
            {Opcode.SMSG_LFG_BOOT_PLAYER, 0x0ED6},
            {Opcode.SMSG_LFG_DISABLED, 0x0A2D},
            {Opcode.SMSG_LFG_JOIN_RESULT, 0x1C56},
            {Opcode.SMSG_LFG_LIST_JOIN_RESULT, 0x086D},
            {Opcode.SMSG_LFG_LIST_SEARCH_RESULTS, 0x102E},
            {Opcode.SMSG_LFG_LIST_SEARCH_STATUS, 0x1C58},
            {Opcode.SMSG_LFG_LIST_UPDATE_BLACKLIST, 0x0A7E},
            {Opcode.SMSG_LFG_LIST_UPDATE_STATUS, 0x0CD3},
            {Opcode.SMSG_LFG_OFFER_CONTINUE, 0x1C57},
            {Opcode.SMSG_LFG_PARTY_INFO, 0x0E55},
            {Opcode.SMSG_LFG_PLAYER_INFO, 0x026D},
            {Opcode.SMSG_LFG_PLAYER_REWARD, 0x0CD4},
            {Opcode.SMSG_LFG_PROPOSAL_UPDATE, 0x1E53},
            {Opcode.SMSG_LFG_QUEUE_STATUS, 0x0A6E},
            {Opcode.SMSG_LFG_READY_CHECK_RESULT, 0x0A6D},
            {Opcode.SMSG_LFG_READY_CHECK_UPDATE, 0x0ED5},
            {Opcode.SMSG_LFG_ROLE_CHECK_UPDATE, 0x1ED4},
            {Opcode.SMSG_LFG_SEARCH_RESULTS, 0x0ED1},
            {Opcode.SMSG_LFG_SLOT_INVALID, 0x007D},
            {Opcode.SMSG_LFG_TELEPORT_DENIED, 0x0E53},
            {Opcode.SMSG_LFG_UPDATE_STATUS, 0x087E},
            {Opcode.SMSG_LF_GUILD_APPLICANT_LIST_CHANGED, 0x113D},
            {Opcode.SMSG_LF_GUILD_APPLICATIONS, 0x092F},
            {Opcode.SMSG_LF_GUILD_APPLICATIONS_LIST_CHANGED, 0x0138},
            {Opcode.SMSG_LF_GUILD_BROWSE, 0x1167},
            {Opcode.SMSG_LF_GUILD_COMMAND_RESULT, 0x1175},
            {Opcode.SMSG_LF_GUILD_POST, 0x1127},
            {Opcode.SMSG_LF_GUILD_RECRUITS, 0x0167},
            {Opcode.SMSG_LIVE_REGION_ACCOUNT_RESTORE_RESULT, 0x0271},
            {Opcode.SMSG_LIVE_REGION_CHARACTER_COPY_RESULT, 0x0AB4},
            {Opcode.SMSG_LIVE_REGION_GET_ACCOUNT_CHARACTER_LIST_RESULT, 0x03A3},
            {Opcode.SMSG_LOAD_CUF_PROFILES, 0x044E},
            {Opcode.SMSG_LOAD_EQUIPMENT_SET, 0x0C69},
            {Opcode.SMSG_LOAD_SELECTED_TROPHY_RESULT, 0x00BB},
            {Opcode.SMSG_LOGIN_SET_TIME_SPEED, 0x0CCA},
            {Opcode.SMSG_LOGIN_VERIFY_WORLD, 0x03AB},
            {Opcode.SMSG_LOGOUT_CANCEL_ACK, 0x1E22},
            {Opcode.SMSG_LOGOUT_COMPLETE, 0x0C7A},
            {Opcode.SMSG_LOGOUT_RESPONSE, 0x00E4},
            {Opcode.SMSG_LOG_XP_GAIN, 0x0C71},
            {Opcode.SMSG_LOOT_ALL_PASSED, 0x0BE2},
            {Opcode.SMSG_LOOT_CONTENTS, 0x048A},
            {Opcode.SMSG_LOOT_ITEM_LIST, 0x01E4},
            {Opcode.SMSG_LOOT_LIST, 0x0D0A},
            {Opcode.SMSG_LOOT_MONEY_NOTIFY, 0x0B2B},
            {Opcode.SMSG_LOOT_RELEASE, 0x0E61},
            {Opcode.SMSG_LOOT_RELEASE_ALL, 0x0B72},
            {Opcode.SMSG_LOOT_REMOVED, 0x05D9},
            {Opcode.SMSG_LOOT_RESPONSE, 0x0972},
            {Opcode.SMSG_LOOT_ROLL, 0x0489},
            {Opcode.SMSG_LOOT_ROLLS_COMPLETE, 0x0AE4},
            {Opcode.SMSG_LOOT_ROLL_WON, 0x0A73},
            {Opcode.SMSG_LOSS_OF_CONTROL_AURA_UPDATE, 0x0179},
            {Opcode.SMSG_MAIL_COMMAND_RESULT, 0x07CE},
            {Opcode.SMSG_MAIL_LIST_RESULT, 0x0CDA},
            {Opcode.SMSG_MAIL_QUERY_NEXT_TIME_RESULT, 0x1E29},
            {Opcode.SMSG_MAP_OBJECTIVES_INIT, 0x0832},
            {Opcode.SMSG_MAP_OBJ_EVENTS, 0x0B7C},
            {Opcode.SMSG_MASTER_LOOT_CANDIDATE_LIST, 0x0C95},
            {Opcode.SMSG_MESSAGE_BOX, 0x08F9},
            {Opcode.SMSG_MINIMAP_PING, 0x0AAA},
            {Opcode.SMSG_MIRROR_IMAGE_COMPONENTED_DATA, 0x16CB},
            {Opcode.SMSG_MIRROR_IMAGE_CREATURE_DATA, 0x1E5E},
            {Opcode.SMSG_MISSILE_CANCEL, 0x0079},
            {Opcode.SMSG_MODIFY_COOLDOWN, 0x0C2A},
            {Opcode.SMSG_MOTD, 0x111C},
            {Opcode.SMSG_MOUNT_RESULT, 0x0F49},
            {Opcode.SMSG_MOVE_APPLY_MOVEMENT_FORCE, 0x1320},
            {Opcode.SMSG_MOVE_DISABLE_COLLISION, 0x191E},
            {Opcode.SMSG_MOVE_DISABLE_GRAVITY, 0x0894},
            {Opcode.SMSG_MOVE_DISABLE_TRANSITION_BETWEEN_SWIM_AND_FLY, 0x131E},
            {Opcode.SMSG_MOVE_ENABLE_COLLISION, 0x0891},
            {Opcode.SMSG_MOVE_ENABLE_GRAVITY, 0x0584},
            {Opcode.SMSG_MOVE_ENABLE_TRANSITION_BETWEEN_SWIM_AND_FLY, 0x191F},
            {Opcode.SMSG_MOVE_KNOCK_BACK, 0x19CE},
            {Opcode.SMSG_MOVE_REMOVE_MOVEMENT_FORCE, 0x0E91},
            {Opcode.SMSG_MOVE_ROOT, 0x09D4},
            {Opcode.SMSG_MOVE_SET_ACTIVE_MOVER, 0x0DD7},
            {Opcode.SMSG_MOVE_SET_CAN_FLY, 0x0158},
            {Opcode.SMSG_MOVE_SET_CAN_TURN_WHILE_FALLING, 0x198E},
            {Opcode.SMSG_MOVE_SET_COLLISION_HEIGHT, 0x0505},
            {Opcode.SMSG_MOVE_SET_COMPOUND_STATE, 0x1C1D},
            {Opcode.SMSG_MOVE_SET_FEATHER_FALL, 0x189E},
            {Opcode.SMSG_MOVE_SET_FLIGHT_BACK_SPEED, 0x0A91},
            {Opcode.SMSG_MOVE_SET_FLIGHT_SPEED, 0x104F},
            {Opcode.SMSG_MOVE_SET_HOVERING, 0x1B9D},
            {Opcode.SMSG_MOVE_SET_IGNORE_MOVEMENT_FORCES, 0x120E},
            {Opcode.SMSG_MOVE_SET_LAND_WALK, 0x0918},
            {Opcode.SMSG_MOVE_SET_NORMAL_FALL, 0x0153},
            {Opcode.SMSG_MOVE_SET_PITCH_RATE, 0x1950},
            {Opcode.SMSG_MOVE_SET_RUN_BACK_SPEED, 0x1459},
            {Opcode.SMSG_MOVE_SET_RUN_SPEED, 0x0553},
            {Opcode.SMSG_MOVE_SET_SWIM_BACK_SPEED, 0x190F},
            {Opcode.SMSG_MOVE_SET_SWIM_SPEED, 0x0D43},
            {Opcode.SMSG_MOVE_SET_TURN_RATE, 0x101E},
            {Opcode.SMSG_MOVE_SET_VEHICLE_REC_ID, 0x129E},
            {Opcode.SMSG_MOVE_SET_WALK_SPEED, 0x1449},
            {Opcode.SMSG_MOVE_SET_WATER_WALK, 0x0114},
            {Opcode.SMSG_MOVE_SKIP_TIME, 0x1C20},
            {Opcode.SMSG_MOVE_SPLINE_DISABLE_COLLISION, 0x18D0},
            {Opcode.SMSG_MOVE_SPLINE_DISABLE_GRAVITY, 0x0551},
            {Opcode.SMSG_MOVE_SPLINE_ENABLE_COLLISION, 0x181E},
            {Opcode.SMSG_MOVE_SPLINE_ENABLE_GRAVITY, 0x0E92},
            {Opcode.SMSG_MOVE_SPLINE_ROOT, 0x1B10},
            {Opcode.SMSG_MOVE_SPLINE_SET_FEATHER_FALL, 0x1C1E},
            {Opcode.SMSG_MOVE_SPLINE_SET_FLIGHT_BACK_SPEED, 0x0118},
            {Opcode.SMSG_MOVE_SPLINE_SET_FLIGHT_SPEED, 0x1110},
            {Opcode.SMSG_MOVE_SPLINE_SET_FLYING, 0x0E13},
            {Opcode.SMSG_MOVE_SPLINE_SET_HOVER, 0x0DD8},
            {Opcode.SMSG_MOVE_SPLINE_SET_LAND_WALK, 0x0145},
            {Opcode.SMSG_MOVE_SPLINE_SET_NORMAL_FALL, 0x0193},
            {Opcode.SMSG_MOVE_SPLINE_SET_PITCH_RATE, 0x05D1},
            {Opcode.SMSG_MOVE_SPLINE_SET_RUN_BACK_SPEED, 0x1850},
            {Opcode.SMSG_MOVE_SPLINE_SET_RUN_MODE, 0x10D0},
            {Opcode.SMSG_MOVE_SPLINE_SET_RUN_SPEED, 0x1A20},
            {Opcode.SMSG_MOVE_SPLINE_SET_SWIM_BACK_SPEED, 0x1A4D},
            {Opcode.SMSG_MOVE_SPLINE_SET_SWIM_SPEED, 0x0554},
            {Opcode.SMSG_MOVE_SPLINE_SET_TURN_RATE, 0x18DD},
            {Opcode.SMSG_MOVE_SPLINE_SET_WALK_MODE, 0x0511},
            {Opcode.SMSG_MOVE_SPLINE_SET_WALK_SPEED, 0x0D14},
            {Opcode.SMSG_MOVE_SPLINE_SET_WATER_WALK, 0x0907},
            {Opcode.SMSG_MOVE_SPLINE_START_SWIM, 0x0181},
            {Opcode.SMSG_MOVE_SPLINE_STOP_SWIM, 0x1890},
            {Opcode.SMSG_MOVE_SPLINE_UNROOT, 0x111D},
            {Opcode.SMSG_MOVE_SPLINE_UNSET_FLYING, 0x18E0},
            {Opcode.SMSG_MOVE_SPLINE_UNSET_HOVER, 0x114F},
            {Opcode.SMSG_MOVE_TELEPORT, 0x09C3},
            {Opcode.SMSG_MOVE_UNROOT, 0x13D0},
            {Opcode.SMSG_MOVE_UNSET_CAN_FLY, 0x05C7},
            {Opcode.SMSG_MOVE_UNSET_CAN_TURN_WHILE_FALLING, 0x05D7},
            {Opcode.SMSG_MOVE_UNSET_HOVERING, 0x100D},
            {Opcode.SMSG_MOVE_UNSET_IGNORE_MOVEMENT_FORCES, 0x12DF},
            {Opcode.SMSG_MOVE_UPDATE, 0x18A0},
            {Opcode.SMSG_MOVE_UPDATE_APPLY_MOVEMENT_FORCE, 0x0917},
            {Opcode.SMSG_MOVE_UPDATE_COLLISION_HEIGHT, 0x1C1F},
            {Opcode.SMSG_MOVE_UPDATE_FLIGHT_BACK_SPEED, 0x10DF},
            {Opcode.SMSG_MOVE_UPDATE_FLIGHT_SPEED, 0x0946},
            {Opcode.SMSG_MOVE_UPDATE_KNOCK_BACK, 0x1BCE},
            {Opcode.SMSG_MOVE_UPDATE_PITCH_RATE, 0x145C},
            {Opcode.SMSG_MOVE_UPDATE_REMOVE_MOVEMENT_FORCE, 0x0D95},
            {Opcode.SMSG_MOVE_UPDATE_RUN_BACK_SPEED, 0x0192},
            {Opcode.SMSG_MOVE_UPDATE_RUN_SPEED, 0x195E},
            {Opcode.SMSG_MOVE_UPDATE_SWIM_BACK_SPEED, 0x0D11},
            {Opcode.SMSG_MOVE_UPDATE_SWIM_SPEED, 0x0901},
            {Opcode.SMSG_MOVE_UPDATE_TELEPORT, 0x19DF},
            {Opcode.SMSG_MOVE_UPDATE_TURN_RATE, 0x05C4},
            {Opcode.SMSG_MOVE_UPDATE_WALK_SPEED, 0x1820},
            {Opcode.SMSG_MULTIPLE_PACKETS, 0x1038},
            {Opcode.SMSG_NEUTRAL_PLAYER_FACTION_SELECT_RESULT, 0x0979},
            {Opcode.SMSG_NEW_TAXI_PATH, 0x023A},
            {Opcode.SMSG_NEW_WORLD, 0x061E},
            {Opcode.SMSG_NOTIFY_DEST_LOC_SPELL_CAST, 0x09B6},
            {Opcode.SMSG_NOTIFY_MISSILE_TRAJECTORY_COLLISION, 0x049D},
            {Opcode.SMSG_NOTIFY_MONEY, 0x0E0A},
            {Opcode.SMSG_NOTIFY_RECEIVED_MAIL, 0x09EA},
            {Opcode.SMSG_OFFER_PETITION_ERROR, 0x0A63},
            {Opcode.SMSG_ON_CANCEL_EXPECTED_RIDE_VEHICLE_AURA, 0x026C},
            {Opcode.SMSG_ON_MONSTER_MOVE, 0x1310},
            {Opcode.SMSG_OPEN_CONTAINER, 0x03E9},
            {Opcode.SMSG_OPEN_LFG_DUNGEON_FINDER, 0x083D},
            {Opcode.SMSG_OPEN_SHIPMENT_NPC_FROM_GOSSIP, 0x08B9},
            {Opcode.SMSG_OPEN_SHIPMENT_NPC_RESULT, 0x0A34},
            {Opcode.SMSG_OVERRIDE_LIGHT, 0x0239},
            {Opcode.SMSG_PAGE_TEXT, 0x06CE},
            {Opcode.SMSG_PARTY_COMMAND_RESULT, 0x0F19},
            {Opcode.SMSG_PARTY_INVITE, 0x01EB},
            {Opcode.SMSG_PARTY_KILL_LOG, 0x0172},
            {Opcode.SMSG_PARTY_MEMBER_STATE, 0x0164},
            {Opcode.SMSG_PARTY_UPDATE, 0x0263},
            {Opcode.SMSG_PAUSE_MIRROR_TIMER, 0x1C39},
            {Opcode.SMSG_PENDING_RAID_LOCK, 0x08A1},
            {Opcode.SMSG_PETITION_ALREADY_SIGNED, 0x078D},
            {Opcode.SMSG_PETITION_RENAME_GUILD_RESPONSE, 0x016E},
            {Opcode.SMSG_PETITION_SHOW_LIST, 0x08EB},
            {Opcode.SMSG_PETITION_SHOW_SIGNATURES, 0x1E32},
            {Opcode.SMSG_PETITION_SIGN_RESULTS, 0x0139},
            {Opcode.SMSG_PET_ACTION_FEEDBACK, 0x045D},
            {Opcode.SMSG_PET_ACTION_SOUND, 0x0C4E},
            {Opcode.SMSG_PET_ADDED, 0x1C72},
            {Opcode.SMSG_PET_BATTLE_CHAT_RESTRICTED, 0x083A},
            {Opcode.SMSG_PET_BATTLE_DEBUG_QUEUE_DUMP_RESPONSE, 0x0C98},
            {Opcode.SMSG_PET_BATTLE_FINALIZE_LOCATION, 0x0071},
            {Opcode.SMSG_PET_BATTLE_FINAL_ROUND, 0x0BF2},
            {Opcode.SMSG_PET_BATTLE_FINISHED, 0x0171},
            {Opcode.SMSG_PET_BATTLE_FIRST_ROUND, 0x0FD9},
            {Opcode.SMSG_PET_BATTLE_INITIAL_UPDATE, 0x05A5},
            {Opcode.SMSG_PET_BATTLE_MAX_GAME_LENGTH_WARNING, 0x0C61},
            {Opcode.SMSG_PET_BATTLE_PVP_CHALLENGE, 0x0E62},
            {Opcode.SMSG_PET_BATTLE_QUEUE_PROPOSE_MATCH, 0x03B2},
            {Opcode.SMSG_PET_BATTLE_QUEUE_STATUS, 0x0AE3},
            {Opcode.SMSG_PET_BATTLE_REPLACEMENTS_MADE, 0x01A9},
            {Opcode.SMSG_PET_BATTLE_REQUEST_FAILED, 0x09EC},
            {Opcode.SMSG_PET_BATTLE_ROUND_RESULT, 0x08BB},
            {Opcode.SMSG_PET_BATTLE_SLOT_UPDATES, 0x0BA4},
            {Opcode.SMSG_PET_CAST_FAILED, 0x1AD8},
            {Opcode.SMSG_PET_CLEAR_SPELLS, 0x09F5},
            {Opcode.SMSG_PET_DISMISS_SOUND, 0x0233},
            {Opcode.SMSG_PET_GOD_MODE, 0x03AC},
            {Opcode.SMSG_PET_GUIDS, 0x0129},
            {Opcode.SMSG_PET_LEARNED_SPELLS, 0x0BB5},
            {Opcode.SMSG_PET_MODE, 0x1E62},
            {Opcode.SMSG_PET_NAME_INVALID, 0x0231},
            {Opcode.SMSG_PET_SLOT_UPDATED, 0x0221},
            {Opcode.SMSG_PET_SPELLS_MESSAGE, 0x03A6},
            {Opcode.SMSG_PET_STABLE_LIST, 0x0AB9},
            {Opcode.SMSG_PET_STABLE_RESULT, 0x0131},
            {Opcode.SMSG_PET_TAME_FAILURE, 0x0AF1},
            {Opcode.SMSG_PET_UNLEARNED_SPELLS, 0x148A},
            {Opcode.SMSG_PHASE_SHIFT_CHANGE, 0x0871},
            {Opcode.SMSG_PLAYED_TIME, 0x0E5D},
            {Opcode.SMSG_PLAYER_BOUND, 0x0DCD},
            {Opcode.SMSG_PLAYER_SAVE_GUILD_EMBLEM, 0x093F},
            {Opcode.SMSG_PLAYER_SKINNED, 0x00EB},
            {Opcode.SMSG_PLAYER_TABARD_VENDOR_ACTIVATE, 0x079A},
            {Opcode.SMSG_PLAY_MUSIC, 0x0A79},
            {Opcode.SMSG_PLAY_OBJECT_SOUND, 0x0AEC},
            {Opcode.SMSG_PLAY_ONE_SHOT_ANIM_KIT, 0x0EC9},
            {Opcode.SMSG_PLAY_ORPHAN_SPELL_VISUAL, 0x13B0},
            {Opcode.SMSG_PLAY_SCENE, 0x09A4},
            {Opcode.SMSG_PLAY_SOUND, 0x0AF2},
            {Opcode.SMSG_PLAY_SPEAKERBOT_SOUND, 0x09E4},
            {Opcode.SMSG_PLAY_SPELL_VISUAL, 0x01EF},
            {Opcode.SMSG_PLAY_SPELL_VISUAL_KIT, 0x0BF6},
            {Opcode.SMSG_PLAY_TIME_WARNING, 0x02BC},
            {Opcode.SMSG_PONG, 0x0237},
            {Opcode.SMSG_POWER_UPDATE, 0x0779},
            {Opcode.SMSG_PRE_RESSURECT, 0x026A},
            {Opcode.SMSG_PRINT_NOTIFICATION, 0x0E3A},
            {Opcode.SMSG_PROC_RESIST, 0x05DE},
            {Opcode.SMSG_PROPOSE_LEVEL_GRANT, 0x02A4},
            {Opcode.SMSG_PVP_CREDIT, 0x06DE},
            {Opcode.SMSG_PVP_LOG_DATA, 0x00BC},
            {Opcode.SMSG_PVP_OPTIONS_ENABLED, 0x01F2},
            {Opcode.SMSG_PVP_SEASON, 0x0A29},
            {Opcode.SMSG_QUERY_BATTLE_PET_NAME_RESPONSE, 0x0BF1},
            {Opcode.SMSG_QUERY_CREATURE_RESPONSE, 0x022A},
            {Opcode.SMSG_QUERY_GAME_OBJECT_RESPONSE, 0x0E2A},
            {Opcode.SMSG_QUERY_GARRISON_CREATURE_NAME_RESPONSE, 0x0793},
            {Opcode.SMSG_QUERY_GUILD_INFO_RESPONSE, 0x0178},
            {Opcode.SMSG_QUERY_ITEM_TEXT_RESPONSE, 0x1579},
            {Opcode.SMSG_QUERY_NPC_TEXT_RESPONSE, 0x0799},
            {Opcode.SMSG_QUERY_PAGE_TEXT_RESPONSE, 0x0816},
            {Opcode.SMSG_QUERY_PETITION_RESPONSE, 0x0BEA},
            {Opcode.SMSG_QUERY_PET_NAME_RESPONSE, 0x00B4},
            {Opcode.SMSG_QUERY_PLAYER_NAME_RESPONSE, 0x0B2A},
            {Opcode.SMSG_QUERY_QUEST_INFO_RESPONSE, 0x11F1},
            {Opcode.SMSG_QUERY_TIME_RESPONSE, 0x0261},
            {Opcode.SMSG_QUEST_COMPLETION_NPC_RESPONSE, 0x1834},
            {Opcode.SMSG_QUEST_CONFIRM_ACCEPT, 0x10E2},
            {Opcode.SMSG_QUEST_FORCE_REMOVED, 0x1073},
            {Opcode.SMSG_QUEST_GIVER_INVALID_QUEST, 0x12F1},
            {Opcode.SMSG_QUEST_GIVER_OFFER_REWARD_MESSAGE, 0x1034},
            {Opcode.SMSG_QUEST_GIVER_QUEST_COMPLETE, 0x18A1},
            {Opcode.SMSG_QUEST_GIVER_QUEST_DETAILS, 0x12E3},
            {Opcode.SMSG_QUEST_GIVER_QUEST_FAILED, 0x11A3},
            {Opcode.SMSG_QUEST_GIVER_QUEST_LIST_MESSAGE, 0x1333},
            {Opcode.SMSG_QUEST_GIVER_REQUEST_ITEMS, 0x12F9},
            {Opcode.SMSG_QUEST_GIVER_STATUS, 0x1363},
            {Opcode.SMSG_QUEST_GIVER_STATUS_MULTIPLE, 0x1264},
            {Opcode.SMSG_QUEST_LOG_FULL, 0x132B},
            {Opcode.SMSG_QUEST_POI_QUERY_RESPONSE, 0x116A},
            {Opcode.SMSG_QUEST_PUSH_RESULT, 0x123B},
            {Opcode.SMSG_QUEST_UPDATE_ADD_CREDIT, 0x10B1},
            {Opcode.SMSG_QUEST_UPDATE_ADD_CREDIT_SIMPLE, 0x18AC},
            {Opcode.SMSG_QUEST_UPDATE_ADD_PVP_CREDIT, 0x11A9},
            {Opcode.SMSG_QUEST_UPDATE_COMPLETE, 0x11FA},
            {Opcode.SMSG_QUEST_UPDATE_FAILED, 0x10FB},
            {Opcode.SMSG_QUEST_UPDATE_FAILED_TIMER, 0x1139},
            {Opcode.SMSG_RAF_EMAIL_ENABLED_RESPONSE, 0x0818},
            {Opcode.SMSG_RAID_DIFFICULTY_SET, 0x0A32},
            {Opcode.SMSG_RAID_GROUP_ONLY, 0x0F4D},
            {Opcode.SMSG_RAID_INSTANCE_MESSAGE, 0x12DC},
            {Opcode.SMSG_RAID_MARKERS_CHANGED, 0x033B},
            {Opcode.SMSG_RANDOM_ROLL, 0x0929},
            {Opcode.SMSG_RATED_BATTLEFIELD_INFO, 0x0163},
            {Opcode.SMSG_READY_CHECK_COMPLETED, 0x03EA},
            {Opcode.SMSG_READY_CHECK_RESPONSE, 0x0962},
            {Opcode.SMSG_READY_CHECK_STARTED, 0x0F5D},
            {Opcode.SMSG_READ_ITEM_RESULT_FAILED, 0x048D},
            {Opcode.SMSG_READ_ITEM_RESULT_OK, 0x09BA},
            {Opcode.SMSG_REALM_QUERY_RESPONSE, 0x074A},
            {Opcode.SMSG_REALM_SPLIT, 0x1C21},
            {Opcode.SMSG_RECRUIT_A_FRIEND_RESPONSE, 0x044D},
            {Opcode.SMSG_REFER_A_FRIEND_EXPIRED, 0x0769},
            {Opcode.SMSG_REFER_A_FRIEND_FAILURE, 0x03FC},
            {Opcode.SMSG_REFRESH_COMPONENT, 0x097A},
            {Opcode.SMSG_REFRESH_SPELL_HISTORY, 0x01FE},
            {Opcode.SMSG_REMOVE_ITEM_PASSIVE, 0x01B4},
            {Opcode.SMSG_REMOVE_LOSS_OF_CONTROL, 0x054A},
            {Opcode.SMSG_REPLACE_TROPHY_RESPONSE, 0x03E2},
            {Opcode.SMSG_REPORT_PVP_PLAYER_AFK_RESULT, 0x0C97},
            {Opcode.SMSG_REQUEST_CEMETERY_LIST_RESPONSE, 0x0E71},
            {Opcode.SMSG_REQUEST_PVP_REWARDS_RESPONSE, 0x02F9},
            {Opcode.SMSG_RESEARCH_COMPLETE, 0x055E},
            {Opcode.SMSG_RESET_COMPRESSION_CONTEXT, 0x0228},
            {Opcode.SMSG_RESET_FAILED_NOTIFY, 0x065A},
            {Opcode.SMSG_RESET_RANGED_COMBAT_TIMER, 0x0C19},
            {Opcode.SMSG_RESET_WEEKLY_CURRENCY, 0x050D},
            {Opcode.SMSG_RESPEC_WIPE_CONFIRM, 0x0039},
            {Opcode.SMSG_RESPOND_INSPECT_ACHIEVEMENTS, 0x0839},
            {Opcode.SMSG_RESUME_CAST_BAR, 0x164F},
            {Opcode.SMSG_RESUME_COMMS, 0x1037},
            {Opcode.SMSG_RESUME_TOKEN, 0x0169},
            {Opcode.SMSG_RESURRECT_REQUEST, 0x08E1},
            {Opcode.SMSG_RESYNC_RUNES, 0x071E},
            {Opcode.SMSG_ROLE_CHANGED_INFORM, 0x070A},
            {Opcode.SMSG_ROLE_CHOSEN, 0x0C54},
            {Opcode.SMSG_ROLE_POLL_INFORM, 0x0ECE},
            {Opcode.SMSG_RUNE_REGEN_DEBUG, 0x093C},
            {Opcode.SMSG_SCENARIO_BOOT, 0x00A1},
            {Opcode.SMSG_SCENARIO_COMPLETED, 0x0D1A},
            {Opcode.SMSG_SCENARIO_OUT_OF_BOUNDS, 0x07DE},
            {Opcode.SMSG_SCENARIO_POIS, 0x0F59},
            {Opcode.SMSG_SCENARIO_PROGRESS_UPDATE, 0x0971},
            {Opcode.SMSG_SCENARIO_STATE, 0x054D},
            {Opcode.SMSG_SCENE_OBJECT_EVENT, 0x0964},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_FINAL_ROUND, 0x0C9D},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_FINISHED, 0x01B9},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_FIRST_ROUND, 0x1E71},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_INITIAL_UPDATE, 0x1E61},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_REPLACEMENTS_MADE, 0x172A},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_ROUND_RESULT, 0x040D},
            {Opcode.SMSG_SCRIPT_CAST, 0x13F6},
            {Opcode.SMSG_SELL_RESPONSE, 0x0B32},
            {Opcode.SMSG_SEND_ITEM_PASSIVES, 0x08F4},
            {Opcode.SMSG_SEND_KNOWN_SPELLS, 0x1E0A},
            {Opcode.SMSG_SEND_RAID_TARGET_UPDATE_ALL, 0x0BFB},
            {Opcode.SMSG_SEND_RAID_TARGET_UPDATE_SINGLE, 0x071D},
            {Opcode.SMSG_SEND_SPELL_CHARGES, 0x1E4B},
            {Opcode.SMSG_SEND_SPELL_HISTORY, 0x13E6},
            {Opcode.SMSG_SEND_UNLEARN_SPELLS, 0x11B0},
            {Opcode.SMSG_SERVER_FIRST_ACHIEVEMENT, 0x120B},
            {Opcode.SMSG_SERVER_FIRST_ACHIEVEMENTS, 0x09F4},
            {Opcode.SMSG_SERVER_TIME, 0x0A18},
            {Opcode.SMSG_SETUP_CURRENCY, 0x0D19},
            {Opcode.SMSG_SETUP_RESEARCH_HISTORY, 0x03A4},
            {Opcode.SMSG_SET_AI_ANIM_KIT, 0x057A},
            {Opcode.SMSG_SET_ALL_TASK_PROGRESS, 0x0023},
            {Opcode.SMSG_SET_ANIM_TIER, 0x0C39},
            {Opcode.SMSG_SET_CURRENCY, 0x051D},
            {Opcode.SMSG_SET_DF_FAST_LAUNCH_RESULT, 0x0CD5},
            {Opcode.SMSG_SET_DUNGEON_DIFFICULTY, 0x0E9A},
            {Opcode.SMSG_SET_FACTION_AT_WAR, 0x01AA},
            {Opcode.SMSG_SET_FACTION_NOT_VISIBLE, 0x007A},
            {Opcode.SMSG_SET_FACTION_STANDING, 0x1E39},
            {Opcode.SMSG_SET_FACTION_VISIBLE, 0x03EC},
            {Opcode.SMSG_SET_FLAT_SPELL_MODIFIER, 0x18D3},
            {Opcode.SMSG_SET_FORCED_REACTIONS, 0x05DD},
            {Opcode.SMSG_SET_ITEM_PURCHASE_DATA, 0x0C49},
            {Opcode.SMSG_SET_LOOT_METHOD_FAILED, 0x083C},
            {Opcode.SMSG_SET_MAX_WEEKLY_QUANTITY, 0x01AB},
            {Opcode.SMSG_SET_MELEE_ANIM_KIT, 0x03F2},
            {Opcode.SMSG_SET_MOVEMENT_ANIM_KIT, 0x00F1},
            {Opcode.SMSG_SET_PCT_SPELL_MODIFIER, 0x149B},
            {Opcode.SMSG_SET_PET_SPECIALIZATION, 0x049A},
            {Opcode.SMSG_SET_PLAYER_DECLINED_NAMES_RESULT, 0x0329},
            {Opcode.SMSG_SET_PLAY_HOVER_ANIM, 0x093A},
            {Opcode.SMSG_SET_PROFICIENCY, 0x0E1A},
            {Opcode.SMSG_SET_SPELL_CHARGES, 0x1AD1},
            {Opcode.SMSG_SET_TASK_COMPLETE, 0x08FC},
            {Opcode.SMSG_SET_TIME_ZONE_INFORMATION, 0x09A2},
            {Opcode.SMSG_SET_VEHICLE_REC_ID, 0x0229},
            {Opcode.SMSG_SHOW_BANK, 0x0939},
            {Opcode.SMSG_SHOW_MAILBOX, 0x0A61},
            {Opcode.SMSG_SHOW_NEUTRAL_PLAYER_FACTION_SELECT_UI, 0x0334},
            {Opcode.SMSG_SHOW_TAXI_NODES, 0x0C99},
            {Opcode.SMSG_SHOW_TRADE_SKILL_RESPONSE, 0x0E69},
            {Opcode.SMSG_SOCKET_GEMS, 0x082C},
            {Opcode.SMSG_SOR_START_EXPERIENCE_INCOMPLETE, 0x0072},
            {Opcode.SMSG_SPECIAL_MOUNT_ANIM, 0x02BB},
            {Opcode.SMSG_SPELL_ABSORB_LOG, 0x11C0},
            {Opcode.SMSG_SPELL_CHANNEL_START, 0x18D8},
            {Opcode.SMSG_SPELL_CHANNEL_UPDATE, 0x0855},
            {Opcode.SMSG_SPELL_COOLDOWN, 0x15DA},
            {Opcode.SMSG_SPELL_DAMAGE_SHIELD, 0x1E19},
            {Opcode.SMSG_SPELL_DELAYED, 0x13C0},
            {Opcode.SMSG_SPELL_DISPELL_LOG, 0x13AF},
            {Opcode.SMSG_SPELL_ENERGIZE_LOG, 0x0853},
            {Opcode.SMSG_SPELL_EXECUTE_LOG, 0x11B8},
            {Opcode.SMSG_SPELL_FAILED_OTHER, 0x1E5A},
            {Opcode.SMSG_SPELL_FAILURE, 0x13E5},
            {Opcode.SMSG_SPELL_GO, 0x0BA7},
            {Opcode.SMSG_SPELL_HEAL_LOG, 0x0A00},
            {Opcode.SMSG_SPELL_INSTAKILL_LOG, 0x13A5},
            {Opcode.SMSG_SPELL_INTERRUPT_LOG, 0x0A57},
            {Opcode.SMSG_SPELL_MISS_LOG, 0x01AF},
            {Opcode.SMSG_SPELL_MULTISTRIKE_EFFECT, 0x1A53},
            {Opcode.SMSG_SPELL_NON_MELEE_DAMAGE_LOG, 0x1E4F},
            {Opcode.SMSG_SPELL_OR_DAMAGE_IMMUNE, 0x1AD5},
            {Opcode.SMSG_SPELL_PERIODIC_AURA_LOG, 0x0AD1},
            {Opcode.SMSG_SPELL_START, 0x03F5},
            {Opcode.SMSG_SPELL_UPDATE_CHAIN_TARGETS, 0x148B},
            {Opcode.SMSG_SPIRIT_HEALER_CONFIRM, 0x0BAA},
            {Opcode.SMSG_STAND_STATE_UPDATE, 0x01B1},
            {Opcode.SMSG_START_ELAPSED_TIMER, 0x176A},
            {Opcode.SMSG_START_ELAPSED_TIMERS, 0x0134},
            {Opcode.SMSG_START_LOOT_ROLL, 0x033A},
            {Opcode.SMSG_START_MIRROR_TIMER, 0x09B4},
            {Opcode.SMSG_START_TIMER, 0x078A},
            {Opcode.SMSG_STOP_ELAPSED_TIMER, 0x09AA},
            {Opcode.SMSG_STOP_MIRROR_TIMER, 0x0F0E},
            {Opcode.SMSG_STOP_SPEAKERBOT_SOUND, 0x03FB},
            {Opcode.SMSG_STREAMING_MOVIES, 0x041A},
            {Opcode.SMSG_SUMMON_CANCEL, 0x0829},
            {Opcode.SMSG_SUMMON_RAID_MEMBER_VALIDATE_FAILED, 0x003B},
            {Opcode.SMSG_SUMMON_REQUEST, 0x02AC},
            {Opcode.SMSG_SUPERCEDED_SPELLS, 0x13B7},
            {Opcode.SMSG_SUPPRESS_NPC_GREETINGS, 0x0E4A},
            {Opcode.SMSG_SUSPEND_COMMS, 0x0A38},
            {Opcode.SMSG_SUSPEND_TOKEN, 0x0549},
            {Opcode.SMSG_TALENTS_INVOLUNTARILY_RESET, 0x0D09},
            {Opcode.SMSG_TAXI_NODE_STATUS, 0x0A3A},
            {Opcode.SMSG_TEXT_EMOTE, 0x0B23},
            {Opcode.SMSG_THREAT_CLEAR, 0x0A7A},
            {Opcode.SMSG_THREAT_REMOVE, 0x0B3C},
            {Opcode.SMSG_THREAT_UPDATE, 0x04CE},
            {Opcode.SMSG_TIME_ADJUSTMENT, 0x0D04},
            {Opcode.SMSG_TIME_SYNC_REQUEST, 0x1A8D},
            {Opcode.SMSG_TITLE_EARNED, 0x09B2},
            {Opcode.SMSG_TITLE_LOST, 0x02F2},
            {Opcode.SMSG_TOTEM_CREATED, 0x0FDA},
            {Opcode.SMSG_TOTEM_MOVED, 0x0A16},
            {Opcode.SMSG_TRADE_STATUS, 0x0CC9},
            {Opcode.SMSG_TRADE_UPDATED, 0x0739},
            {Opcode.SMSG_TRAINER_BUY_FAILED, 0x1E31},
            {Opcode.SMSG_TRAINER_LIST, 0x0C96},
            {Opcode.SMSG_TRANSFER_ABORTED, 0x02F1},
            {Opcode.SMSG_TRANSFER_PENDING, 0x087C},
            {Opcode.SMSG_TRIGGER_CINEMATIC, 0x058E},
            {Opcode.SMSG_TRIGGER_MOVIE, 0x083B},
            {Opcode.SMSG_TURN_IN_PETITION_RESULT, 0x026B},
            {Opcode.SMSG_TUTORIAL_FLAGS, 0x03A1},
            {Opcode.SMSG_TWITTER_STATUS, 0x02BF},
            {Opcode.SMSG_UI_TIME, 0x1C2A},
            {Opcode.SMSG_UNDELETE_CHARACTER_RESPONSE, 0x0589},
            {Opcode.SMSG_UNDELETE_COOLDOWN_STATUS_RESPONSE, 0x096A},
            {Opcode.SMSG_UNLEARNED_SPELLS, 0x17CB},
            {Opcode.SMSG_UPDATE_ACCOUNT_DATA, 0x0C5A},
            {Opcode.SMSG_UPDATE_ACTION_BUTTONS, 0x0BE4},
            {Opcode.SMSG_UPDATE_CHARACTER_FLAGS, 0x0FCD},
            {Opcode.SMSG_UPDATE_DUNGEON_ENCOUNTER_FOR_LOOT, 0x003D},
            {Opcode.SMSG_UPDATE_EXPANSION_LEVEL, 0x0824},
            {Opcode.SMSG_UPDATE_INSTANCE_OWNERSHIP, 0x0569},
            {Opcode.SMSG_UPDATE_LAST_INSTANCE, 0x156A},
            {Opcode.SMSG_UPDATE_OBJECT, 0x0C59},
            {Opcode.SMSG_UPDATE_TALENT_DATA, 0x1739},
            {Opcode.SMSG_UPDATE_TASK_PROGRESS, 0x055A},
            {Opcode.SMSG_UPDATE_WEEKLY_SPELL_USAGE, 0x0BC0},
            {Opcode.SMSG_UPDATE_WORLD_STATE, 0x0C17},
            {Opcode.SMSG_USERLIST_ADD, 0x1059},
            {Opcode.SMSG_USERLIST_REMOVE, 0x11DA},
            {Opcode.SMSG_USERLIST_UPDATE, 0x121B},
            {Opcode.SMSG_USE_EQUIPMENT_SET_RESULT, 0x060D},
            {Opcode.SMSG_VENDOR_INVENTORY, 0x07CA},
            {Opcode.SMSG_VIGNETTE_UPDATE, 0x0419},
            {Opcode.SMSG_VOICE_CHAT_STATUS, 0x101C},
            {Opcode.SMSG_VOICE_PARENTAL_CONTROLS, 0x129C},
            {Opcode.SMSG_VOICE_SESSION_LEAVE, 0x129A},
            {Opcode.SMSG_VOICE_SESSION_ROSTER_UPDATE, 0x104B},
            {Opcode.SMSG_VOID_ITEM_SWAP_RESPONSE, 0x0872},
            {Opcode.SMSG_VOID_STORAGE_CONTENTS, 0x0122},
            {Opcode.SMSG_VOID_STORAGE_FAILED, 0x05C9},
            {Opcode.SMSG_VOID_STORAGE_TRANSFER_CHANGES, 0x0E4D},
            {Opcode.SMSG_VOID_TRANSFER_RESULT, 0x0EDD},
            {Opcode.SMSG_WAIT_QUEUE_FINISH, 0x0FDD},
            {Opcode.SMSG_WAIT_QUEUE_UPDATE, 0x0D1E},
            {Opcode.SMSG_WARDEN_DATA, 0x0AE1},
            {Opcode.SMSG_WARGAME_REQUEST_SUCCESSFULLY_SENT_TO_OPPONENT, 0x0C1D},
            {Opcode.SMSG_WEATHER, 0x013C},
            {Opcode.SMSG_WEEKLY_SPELL_USAGE, 0x0BF5},
            {Opcode.SMSG_WHO, 0x130A},
            {Opcode.SMSG_WHO_IS, 0x00AA},
            {Opcode.SMSG_WORLD_SERVER_INFO, 0x01E1},
            {Opcode.SMSG_WORLD_TEXT, 0x05A1},
            {Opcode.SMSG_WOW_TOKEN_AUCTION_SOLD, 0x0A6B},
            {Opcode.SMSG_WOW_TOKEN_BUY_REQUEST_CONFIRMATION, 0x0BEC},
            {Opcode.SMSG_WOW_TOKEN_BUY_RESULT_CONFIRMATION, 0x0322},
            {Opcode.SMSG_WOW_TOKEN_MARKET_PRICE_RESPONSE, 0x08F2},
            {Opcode.SMSG_WOW_TOKEN_REDEEM_GAME_TIME_UPDATED, 0x0D5E},
            {Opcode.SMSG_WOW_TOKEN_REDEEM_REQUEST_CONFIRMATION, 0x0C0E},
            {Opcode.SMSG_WOW_TOKEN_REDEEM_RESULT, 0x051E},
            {Opcode.SMSG_WOW_TOKEN_SELL_REQUEST_CONFIRMATION, 0x0A22},
            {Opcode.SMSG_WOW_TOKEN_SELL_RESULT_CONFIRMATION, 0x09F2},
            {Opcode.SMSG_WOW_TOKEN_UPDATE_AUCTIONABLE_LIST_RESPONSE, 0x09BC},
            {Opcode.SMSG_XP_GAIN_ABORTED, 0x0C8D},
            {Opcode.SMSG_XP_GAIN_ENABLED, 0x0371},
            {Opcode.SMSG_ZONE_UNDER_ATTACK, 0x1189},
        };

        private static readonly BiDictionary<Opcode, int> MiscOpcodes = new BiDictionary<Opcode, int>();
    }
}
