﻿using WowPacketParser.Misc;

namespace WowPacketParser.Enums.Version.V6_2_3_20726
{
    public static class Opcodes_6_2_3
    {
        public static BiDictionary<Opcode, int> Opcodes(Direction direction)
        {
            switch (direction)
            {
                case Direction.ClientToServer:
                    return ClientOpcodes;
                case Direction.ServerToClient:
                    return ServerOpcodes;
                default:
                    return MiscOpcodes;
            }
        }

        private static readonly BiDictionary<Opcode, int> ClientOpcodes = new BiDictionary<Opcode, int>
        {
            {Opcode.CMSG_ACCEPT_GUILD_INVITE, 0x00BF},
            {Opcode.CMSG_ACCEPT_LEVEL_GRANT, 0x0731},
            {Opcode.CMSG_ACCEPT_TRADE, 0x00FD},
            {Opcode.CMSG_ACCEPT_WARGAME_INVITE, 0x117F},
            {Opcode.CMSG_ACTIVATE_TAXI, 0x037A},
            {Opcode.CMSG_ADDON_LIST, 0x0540},
            {Opcode.CMSG_ADD_BATTLENET_FRIEND, 0x0140},
            {Opcode.CMSG_ADD_FRIEND, 0x046B},
            {Opcode.CMSG_ADD_IGNORE, 0x04A7},
            {Opcode.CMSG_ADD_TOY, 0x05E1},
            {Opcode.CMSG_ALTER_APPEARANCE, 0x152D},
            {Opcode.CMSG_AREA_SPIRIT_HEALER_QUERY, 0x1DAA},
            {Opcode.CMSG_AREA_SPIRIT_HEALER_QUEUE, 0x0675},
            {Opcode.CMSG_AREA_TRIGGER, 0x043D},
            {Opcode.CMSG_ATTACK_STOP, 0x0DA6},
            {Opcode.CMSG_ATTACK_SWING, 0x0C2A},
            {Opcode.CMSG_AUCTION_HELLO_REQUEST, 0x1D0E},
            {Opcode.CMSG_AUCTION_LIST_BIDDER_ITEMS, 0x150D},
            {Opcode.CMSG_AUCTION_LIST_ITEMS, 0x118D},
            {Opcode.CMSG_AUCTION_LIST_OWNER_ITEMS, 0x15AE},
            {Opcode.CMSG_AUCTION_LIST_PENDING_SALES, 0x0256},
            {Opcode.CMSG_AUCTION_PLACE_BID, 0x0811},
            {Opcode.CMSG_AUCTION_REMOVE_ITEM, 0x0659},
            {Opcode.CMSG_AUCTION_REPLICATE_ITEMS, 0x15AA},
            {Opcode.CMSG_AUCTION_SELL_ITEM, 0x005D},
            {Opcode.CMSG_AUTH_CONTINUED_SESSION, 0x0C33},
            {Opcode.CMSG_AUTH_SESSION, 0x0977},
            {Opcode.CMSG_AUTOBANK_ITEM, 0x121E},
            {Opcode.CMSG_AUTOBANK_REAGENT, 0x127E},
            {Opcode.CMSG_AUTOSTORE_BANK_ITEM, 0x1312},
            {Opcode.CMSG_AUTOSTORE_BANK_REAGENT, 0x1635},
            {Opcode.CMSG_AUTO_EQUIP_ITEM, 0x1375},
            {Opcode.CMSG_AUTO_EQUIP_ITEM_SLOT, 0x1239},
            {Opcode.CMSG_AUTO_STORE_BAG_ITEM, 0x161E},
            {Opcode.CMSG_BANKER_ACTIVATE, 0x1526},
            {Opcode.CMSG_BATTLEFIELD_LEAVE, 0x0429},
            {Opcode.CMSG_BATTLEFIELD_LIST, 0x08F9},
            {Opcode.CMSG_BATTLEFIELD_PORT, 0x0619},
            {Opcode.CMSG_BATTLEMASTER_HELLO, 0x01E1},
            {Opcode.CMSG_BATTLEMASTER_JOIN, 0x0A71},
            {Opcode.CMSG_BATTLEMASTER_JOIN_ARENA, 0x0A16},
            {Opcode.CMSG_BATTLEMASTER_JOIN_ARENA_SKIRMISH, 0x1DA9},
            {Opcode.CMSG_BATTLENET_CHALLENGE_RESPONSE, 0x113C},
            {Opcode.CMSG_BATTLE_PAY_ACK_FAILED_RESPONSE, 0x00B4},
            {Opcode.CMSG_BATTLE_PAY_CONFIRM_PURCHASE_RESPONSE, 0x1424},
            {Opcode.CMSG_BATTLE_PAY_DISTRIBUTION_ASSIGN_TO_TARGET, 0x1168},
            {Opcode.CMSG_BATTLE_PAY_GET_PRODUCT_LIST, 0x00F0},
            {Opcode.CMSG_BATTLE_PAY_GET_PURCHASE_LIST, 0x05E8},
            {Opcode.CMSG_BATTLE_PAY_START_PURCHASE, 0x0430},
            {Opcode.CMSG_BATTLE_PAY_START_VAS_PURCHASE, 0x046C},
            {Opcode.CMSG_BATTLE_PET_DELETE_PET, 0x0168},
            {Opcode.CMSG_BATTLE_PET_DELETE_PET_CHEAT, 0x0600},
            {Opcode.CMSG_BATTLE_PET_MODIFY_NAME, 0x00E3},
            {Opcode.CMSG_BATTLE_PET_REQUEST_JOURNAL, 0x0123},
            {Opcode.CMSG_BATTLE_PET_REQUEST_JOURNAL_LOCK, 0x116C},
            {Opcode.CMSG_BATTLE_PET_SET_BATTLE_SLOT, 0x106C},
            {Opcode.CMSG_BATTLE_PET_SET_FLAGS, 0x0538},
            {Opcode.CMSG_BATTLE_PET_SUMMON, 0x007B},
            {Opcode.CMSG_BATTLE_PET_UPDATE_NOTIFY, 0x1085},
            {Opcode.CMSG_BEGIN_TRADE, 0x1022},
            {Opcode.CMSG_BF_MGR_ENTRY_INVITE_RESPONSE, 0x04B4},
            {Opcode.CMSG_BF_MGR_QUEUE_EXIT_REQUEST, 0x10BF},
            {Opcode.CMSG_BF_MGR_QUEUE_INVITE_RESPONSE, 0x00E8},
            {Opcode.CMSG_BF_MGR_QUEUE_REQUEST, 0x0846},
            {Opcode.CMSG_BINDER_ACTIVATE, 0x073D},
            {Opcode.CMSG_BLACK_MARKET_BID_ON_ITEM, 0x031A},
            {Opcode.CMSG_BLACK_MARKET_OPEN, 0x021E},
            {Opcode.CMSG_BLACK_MARKET_REQUEST_ITEMS, 0x0C59},
            {Opcode.CMSG_BUG_REPORT, 0x04EF},
            {Opcode.CMSG_BUSY_TRADE, 0x0590},
            {Opcode.CMSG_BUY_BACK_ITEM, 0x1906},
            {Opcode.CMSG_BUY_BANK_SLOT, 0x0016},
            {Opcode.CMSG_BUY_ITEM, 0x158A},
            {Opcode.CMSG_BUY_REAGENT_BANK, 0x0636},
            {Opcode.CMSG_BUY_WOW_TOKEN_CONFIRM, 0x102C},
            {Opcode.CMSG_BUY_WOW_TOKEN_START, 0x003F},
            {Opcode.CMSG_CAGE_BATTLE_PET, 0x10A2},
            {Opcode.CMSG_CALENDAR_ADD_EVENT, 0x00F8},
            {Opcode.CMSG_CALENDAR_COMPLAIN, 0x0180},
            {Opcode.CMSG_CALENDAR_COPY_EVENT, 0x01B7},
            {Opcode.CMSG_CALENDAR_EVENT_INVITE, 0x0438},
            {Opcode.CMSG_CALENDAR_EVENT_MODERATOR_STATUS, 0x0130},
            {Opcode.CMSG_CALENDAR_EVENT_RSVP, 0x1040},
            {Opcode.CMSG_CALENDAR_EVENT_SIGN_UP, 0x01A8},
            {Opcode.CMSG_CALENDAR_EVENT_STATUS, 0x013C},
            {Opcode.CMSG_CALENDAR_GET, 0x0477},
            {Opcode.CMSG_CALENDAR_GET_EVENT, 0x01BB},
            {Opcode.CMSG_CALENDAR_GET_NUM_PENDING, 0x00A7},
            {Opcode.CMSG_CALENDAR_GUILD_FILTER, 0x04A3},
            {Opcode.CMSG_CALENDAR_REMOVE_EVENT, 0x00E7},
            {Opcode.CMSG_CALENDAR_REMOVE_INVITE, 0x1067},
            {Opcode.CMSG_CALENDAR_UPDATE_EVENT, 0x056F},
            {Opcode.CMSG_CANCEL_AURA, 0x0CB6},
            {Opcode.CMSG_CANCEL_AUTO_REPEAT_SPELL, 0x1185},
            {Opcode.CMSG_CANCEL_CAST, 0x0525},
            {Opcode.CMSG_CANCEL_CHANNELLING, 0x01F1},
            {Opcode.CMSG_CANCEL_GROWTH_AURA, 0x002E},
            {Opcode.CMSG_CANCEL_MASTER_LOOT_ROLL, 0x09FD},
            {Opcode.CMSG_CANCEL_MOD_SPEED_NO_CONTROL_AURAS, 0x09BE},
            {Opcode.CMSG_CANCEL_MOUNT_AURA, 0x0425},
            {Opcode.CMSG_CANCEL_QUEUED_SPELL, 0x0935},
            {Opcode.CMSG_CANCEL_TEMP_ENCHANTMENT, 0x075D},
            {Opcode.CMSG_CANCEL_TRADE, 0x18AE},
            {Opcode.CMSG_CAN_DUEL, 0x10EB},
            {Opcode.CMSG_CAST_SPELL, 0x00F5},
            {Opcode.CMSG_CHALLENGE_MODE_REQUEST_LEADERS, 0x089E},
            {Opcode.CMSG_CHALLENGE_MODE_REQUEST_MAP_STATS, 0x00DA},
            {Opcode.CMSG_CHANGE_BAG_SLOT_FLAG, 0x0CA2},
            {Opcode.CMSG_CHANGE_MONUMENT_APPEARANCE, 0x1086},
            {Opcode.CMSG_CHANGE_SUB_GROUP, 0x11B8},
            {Opcode.CMSG_CHARACTER_RENAME_REQUEST, 0x05F0},
            {Opcode.CMSG_CHAR_CUSTOMIZE, 0x0433},
            {Opcode.CMSG_CHAR_DELETE, 0x0428},
            {Opcode.CMSG_CHAR_RACE_OR_FACTION_CHANGE, 0x0528},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_CHANNEL, 0x03D6},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_GUILD, 0x03FE},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_INSTANCE_CHAT, 0x17FA},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_OFFICER, 0x16FD},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_PARTY, 0x02BE},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_RAID, 0x07B1},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_WHISPER, 0x16D9},
            {Opcode.CMSG_CHAT_CHANNEL_ANNOUNCEMENTS, 0x0BBE},
            {Opcode.CMSG_CHAT_CHANNEL_BAN, 0x0FFA},
            {Opcode.CMSG_CHAT_CHANNEL_DECLINE_INVITE, 0x0BF5},
            {Opcode.CMSG_CHAT_CHANNEL_DISPLAY_LIST, 0x039E},
            {Opcode.CMSG_CHAT_CHANNEL_INVITE, 0x07DE},
            {Opcode.CMSG_CHAT_CHANNEL_KICK, 0x12B6},
            {Opcode.CMSG_CHAT_CHANNEL_LIST, 0x139D},
            {Opcode.CMSG_CHAT_CHANNEL_MODERATE, 0x16D1},
            {Opcode.CMSG_CHAT_CHANNEL_MODERATOR, 0x13B1},
            {Opcode.CMSG_CHAT_CHANNEL_MUTE, 0x1295},
            {Opcode.CMSG_CHAT_CHANNEL_OWNER, 0x0EFE},
            {Opcode.CMSG_CHAT_CHANNEL_PASSWORD, 0x16B2},
            {Opcode.CMSG_CHAT_CHANNEL_SET_OWNER, 0x13D2},
            {Opcode.CMSG_CHAT_CHANNEL_SILENCE_ALL, 0x13DE},
            {Opcode.CMSG_CHAT_CHANNEL_SILENCE_VOICE, 0x02F1},
            {Opcode.CMSG_CHAT_CHANNEL_UNBAN, 0x0FB1},
            {Opcode.CMSG_CHAT_CHANNEL_UNMODERATOR, 0x13F1},
            {Opcode.CMSG_CHAT_CHANNEL_UNMUTE, 0x03DD},
            {Opcode.CMSG_CHAT_CHANNEL_UNSILENCE_ALL, 0x02D2},
            {Opcode.CMSG_CHAT_CHANNEL_UNSILENCE_VOICE, 0x0AF9},
            {Opcode.CMSG_CHAT_CHANNEL_VOICE_OFF, 0x0EDE},
            {Opcode.CMSG_CHAT_CHANNEL_VOICE_ON, 0x1A96},
            {Opcode.CMSG_CHAT_JOIN_CHANNEL, 0x0BF6},
            {Opcode.CMSG_CHAT_LEAVE_CHANNEL, 0x0BF1},
            {Opcode.CMSG_CHAT_MESSAGE_AFK, 0x07BE},
            {Opcode.CMSG_CHAT_MESSAGE_CHANNEL, 0x0BB2},
            {Opcode.CMSG_CHAT_MESSAGE_DND, 0x13DA},
            {Opcode.CMSG_CHAT_MESSAGE_EMOTE, 0x1799},
            {Opcode.CMSG_CHAT_MESSAGE_GUILD, 0x13FA},
            {Opcode.CMSG_CHAT_MESSAGE_INSTANCE_CHAT, 0x16DD},
            {Opcode.CMSG_CHAT_MESSAGE_OFFICER, 0x13B5},
            {Opcode.CMSG_CHAT_MESSAGE_PARTY, 0x12F5},
            {Opcode.CMSG_CHAT_MESSAGE_RAID, 0x07D2},
            {Opcode.CMSG_CHAT_MESSAGE_RAID_WARNING, 0x0EF9},
            {Opcode.CMSG_CHAT_MESSAGE_SAY, 0x03BE},
            {Opcode.CMSG_CHAT_MESSAGE_WHISPER, 0x13BD},
            {Opcode.CMSG_CHAT_MESSAGE_YELL, 0x03BD},
            {Opcode.CMSG_CHAT_REGISTER_ADDON_PREFIXES, 0x0692},
            {Opcode.CMSG_CHAT_REPORT_FILTERED, 0x07BD},
            {Opcode.CMSG_CHAT_REPORT_IGNORED, 0x0EBE},
            {Opcode.CMSG_CHAT_UNREGISTER_ALL_ADDON_PREFIXES, 0x03F9},
            {Opcode.CMSG_CHECK_RAF_EMAIL_ENABLED, 0x1033},
            {Opcode.CMSG_CHECK_WOW_TOKEN_VETERAN_ELIGIBILITY, 0x01BC},
            {Opcode.CMSG_CHOICE_RESPONSE, 0x1001},
            {Opcode.CMSG_CLEAR_RAID_MARKER, 0x09EE},
            {Opcode.CMSG_CLEAR_TRADE_ITEM, 0x087A},
            {Opcode.CMSG_CLIENT_PORT_GRAVEYARD, 0x1509},
            {Opcode.CMSG_CLOSE_INTERACTION, 0x001D},
            {Opcode.CMSG_COMMENTATOR_ENABLE, 0x1167},
            {Opcode.CMSG_COMMENTATOR_ENTER_INSTANCE, 0x047B},
            {Opcode.CMSG_COMMENTATOR_EXIT_INSTANCE, 0x10F0},
            {Opcode.CMSG_COMMENTATOR_GET_MAP_INFO, 0x04C0},
            {Opcode.CMSG_COMMENTATOR_GET_PLAYER_INFO, 0x0073},
            {Opcode.CMSG_COMMENTATOR_START_WARGAME, 0x05FC},
            {Opcode.CMSG_COMPLAINT, 0x0133},
            {Opcode.CMSG_COMPLETE_CINEMATIC, 0x023A},
            {Opcode.CMSG_COMPLETE_MOVIE, 0x0612},
            {Opcode.CMSG_CONFIRM_RESPEC_WIPE, 0x04A2},
            {Opcode.CMSG_CONNECT_TO_FAILED, 0x04F8},
            {Opcode.CMSG_CONVERT_RAID, 0x11FF},
            {Opcode.CMSG_CREATE_CHARACTER, 0x143B},
            {Opcode.CMSG_CREATE_SHIPMENT, 0x0575},
            {Opcode.CMSG_DB_QUERY_BULK, 0x10E4},
            {Opcode.CMSG_DECLINE_GUILD_INVITES, 0x1D0A},
            {Opcode.CMSG_DECLINE_PETITION, 0x1D86},
            {Opcode.CMSG_DELETE_EQUIPMENT_SET, 0x027A},
            {Opcode.CMSG_DEL_FRIEND, 0x117C},
            {Opcode.CMSG_DEL_IGNORE, 0x11EB},
            {Opcode.CMSG_DEPOSIT_REAGENT_BANK, 0x0C69},
            {Opcode.CMSG_DESTROY_ITEM, 0x00F2},
            {Opcode.CMSG_DF_BOOT_PLAYER_VOTE, 0x05AC},
            {Opcode.CMSG_DF_GET_JOIN_STATUS, 0x11A7},
            {Opcode.CMSG_DF_GET_SYSTEM_INFO, 0x1138},
            {Opcode.CMSG_DF_JOIN, 0x11F8},
            {Opcode.CMSG_DF_LEAVE, 0x0424},
            {Opcode.CMSG_DF_PROPOSAL_RESPONSE, 0x11B0},
            {Opcode.CMSG_DF_READY_CHECK_RESPONSE, 0x1028},
            {Opcode.CMSG_DF_SEARCH_JOIN, 0x11EC},
            {Opcode.CMSG_DF_SEARCH_LEAVE, 0x00F4},
            {Opcode.CMSG_DF_SET_COMMENT, 0x10B4},
            {Opcode.CMSG_DF_SET_ROLES, 0x003B},
            {Opcode.CMSG_DF_TELEPORT, 0x00A8},
            {Opcode.CMSG_DISCARDED_TIME_SYNC_ACKS, 0x111A},
            {Opcode.CMSG_DISMISS_CRITTER, 0x0A1D},
            {Opcode.CMSG_DO_MASTER_LOOT_ROLL, 0x0036},
            {Opcode.CMSG_DO_READY_CHECK, 0x012B},
            {Opcode.CMSG_DUEL_RESPONSE, 0x19A6},
            {Opcode.CMSG_EJECT_PASSENGER, 0x0D65},
            {Opcode.CMSG_EMOTE, 0x077E},
            {Opcode.CMSG_ENABLE_NAGLE, 0x0827},
            {Opcode.CMSG_ENABLE_TAXI_NODE, 0x190D},
            {Opcode.CMSG_ENGINE_SURVEY, 0x0534},
            {Opcode.CMSG_ENUM_CHARACTERS, 0x1163},
            {Opcode.CMSG_ENUM_CHARACTERS_DELETED_BY_CLIENT, 0x043B},
            {Opcode.CMSG_FAR_SIGHT, 0x025A},
            {Opcode.CMSG_GAME_OBJ_REPORT_USE, 0x1101},
            {Opcode.CMSG_GAME_OBJ_USE, 0x0359},
            {Opcode.CMSG_GARRISON_ASSIGN_FOLLOWER_TO_BUILDING, 0x0583},
            {Opcode.CMSG_GARRISON_CANCEL_CONSTRUCTION, 0x01AE},
            {Opcode.CMSG_GARRISON_CHECK_UPGRADEABLE, 0x08ED},
            {Opcode.CMSG_GARRISON_COMPLETE_MISSION, 0x0D4D},
            {Opcode.CMSG_GARRISON_GENERATE_RECRUITS, 0x016E},
            {Opcode.CMSG_GARRISON_GET_BUILDING_LANDMARKS, 0x0175},
            {Opcode.CMSG_GARRISON_MISSION_BONUS_ROLL, 0x0125},
            {Opcode.CMSG_GARRISON_PURCHASE_BUILDING, 0x047E},
            {Opcode.CMSG_GARRISON_RECRUIT_FOLLOWER, 0x0588},
            {Opcode.CMSG_GARRISON_REMOVE_FOLLOWER, 0x0136},
            {Opcode.CMSG_GARRISON_REMOVE_FOLLOWER_FROM_BUILDING, 0x100A},
            {Opcode.CMSG_GARRISON_RENAME_FOLLOWER, 0x0472},
            {Opcode.CMSG_GARRISON_REQUEST_BLUEPRINT_AND_SPECIALIZATION_DATA, 0x1CA6},
            {Opcode.CMSG_GARRISON_REQUEST_LANDING_PAGE_SHIPMENT_INFO, 0x18AA},
            {Opcode.CMSG_GARRISON_REQUEST_SHIPMENT_INFO, 0x00EA},
            {Opcode.CMSG_GARRISON_SET_BUILDING_ACTIVE, 0x0417},
            {Opcode.CMSG_GARRISON_SET_FOLLOWER_FAVORITE, 0x0822},
            {Opcode.CMSG_GARRISON_SET_FOLLOWER_INACTIVE, 0x08B0},
            {Opcode.CMSG_GARRISON_SET_RECRUITMENT_PREFERENCES, 0x013E},
            {Opcode.CMSG_GARRISON_START_MISSION, 0x087E},
            {Opcode.CMSG_GARRISON_SWAP_BUILDINGS, 0x1CAE},
            {Opcode.CMSG_GENERATE_RANDOM_CHARACTER_NAME, 0x0580},
            {Opcode.CMSG_GET_CHALLENGE_MODE_REWARDS, 0x04D6},
            {Opcode.CMSG_GET_GARRISON_INFO, 0x0414},
            {Opcode.CMSG_GET_ITEM_PURCHASE_DATA, 0x1DA1},
            {Opcode.CMSG_GET_MIRROR_IMAGE_DATA, 0x0461},
            {Opcode.CMSG_GET_PVP_OPTIONS_ENABLED, 0x1038},
            {Opcode.CMSG_GET_REMAINING_GAME_TIME, 0x04A8},
            {Opcode.CMSG_GET_TROPHY_LIST, 0x093A},
            {Opcode.CMSG_GET_UNDELETE_CHARACTER_COOLDOWN_STATUS, 0x017C},
            {Opcode.CMSG_GM_TICKET_ACKNOWLEDGE_SURVEY, 0x10E8},
            {Opcode.CMSG_GM_TICKET_GET_CASE_STATUS, 0x01F4},
            {Opcode.CMSG_GM_TICKET_GET_SYSTEM_STATUS, 0x0200},
            {Opcode.CMSG_GOSSIP_SELECT_OPTION, 0x0A59},
            {Opcode.CMSG_GRANT_LEVEL, 0x0459},
            {Opcode.CMSG_GUILD_ADD_BATTLENET_FRIEND, 0x08D2},
            {Opcode.CMSG_GUILD_ADD_RANK, 0x048D},
            {Opcode.CMSG_GUILD_ASSIGN_MEMBER_RANK, 0x09C2},
            {Opcode.CMSG_GUILD_AUTO_DECLINE_INVITATION, 0x00C5},
            {Opcode.CMSG_GUILD_BANK_ACTIVATE, 0x0311},
            {Opcode.CMSG_GUILD_BANK_BUY_TAB, 0x0C11},
            {Opcode.CMSG_GUILD_BANK_DEPOSIT_MONEY, 0x0051},
            {Opcode.CMSG_GUILD_BANK_LOG_QUERY, 0x0C82},
            {Opcode.CMSG_GUILD_BANK_QUERY_TAB, 0x0252},
            {Opcode.CMSG_GUILD_BANK_REMAINING_WITHDRAW_MONEY_QUERY, 0x05CE},
            {Opcode.CMSG_GUILD_BANK_SET_TAB_TEXT, 0x01C5},
            {Opcode.CMSG_GUILD_BANK_SWAP_ITEMS, 0x1522},
            {Opcode.CMSG_GUILD_BANK_TEXT_QUERY, 0x048E},
            {Opcode.CMSG_GUILD_BANK_UPDATE_TAB, 0x112E},
            {Opcode.CMSG_GUILD_BANK_WITHDRAW_MONEY, 0x0855},
            {Opcode.CMSG_GUILD_CHALLENGE_UPDATE_REQUEST, 0x0592},
            {Opcode.CMSG_GUILD_CHANGE_NAME_REQUEST, 0x0991},
            {Opcode.CMSG_GUILD_DECLINE_INVITATION, 0x019D},
            {Opcode.CMSG_GUILD_DELETE, 0x0589},
            {Opcode.CMSG_GUILD_DELETE_RANK, 0x04C1},
            {Opcode.CMSG_GUILD_DEMOTE_MEMBER, 0x0C86},
            {Opcode.CMSG_GUILD_EVENT_LOG_QUERY, 0x0896},
            {Opcode.CMSG_GUILD_GET_ACHIEVEMENT_MEMBERS, 0x04D5},
            {Opcode.CMSG_GUILD_GET_RANKS, 0x0195},
            {Opcode.CMSG_GUILD_GET_ROSTER, 0x04D2},
            {Opcode.CMSG_GUILD_INVITE_BY_NAME, 0x1440},
            {Opcode.CMSG_GUILD_LEAVE, 0x09CE},
            {Opcode.CMSG_GUILD_MEMBER_SEND_SOR_REQUEST, 0x01DE},
            {Opcode.CMSG_GUILD_NEWS_UPDATE_STICKY, 0x0C8A},
            {Opcode.CMSG_GUILD_OFFICER_REMOVE_MEMBER, 0x0889},
            {Opcode.CMSG_GUILD_PERMISSIONS_QUERY, 0x018D},
            {Opcode.CMSG_GUILD_PROMOTE_MEMBER, 0x01C1},
            {Opcode.CMSG_GUILD_QUERY_MEMBERS_FOR_RECIPE, 0x08D5},
            {Opcode.CMSG_GUILD_QUERY_MEMBER_RECIPES, 0x088E},
            {Opcode.CMSG_GUILD_QUERY_NEWS, 0x09C6},
            {Opcode.CMSG_GUILD_QUERY_RECIPES, 0x019A},
            {Opcode.CMSG_GUILD_REPLACE_GUILD_MASTER, 0x05CA},
            {Opcode.CMSG_GUILD_SET_ACHIEVEMENT_TRACKING, 0x04CD},
            {Opcode.CMSG_GUILD_SET_FOCUSED_ACHIEVEMENT, 0x08CE},
            {Opcode.CMSG_GUILD_SET_GUILD_MASTER, 0x0034},
            {Opcode.CMSG_GUILD_SET_MEMBER_NOTE, 0x0586},
            {Opcode.CMSG_GUILD_SET_RANK_PERMISSIONS, 0x058A},
            {Opcode.CMSG_GUILD_SHIFT_RANK, 0x0881},
            {Opcode.CMSG_GUILD_UPDATE_INFO_TEXT, 0x0882},
            {Opcode.CMSG_GUILD_UPDATE_MOTD_TEXT, 0x01CE},
            {Opcode.CMSG_HEARTH_AND_RESURRECT, 0x065E},
            {Opcode.CMSG_IGNORE_TRADE, 0x083C},
            {Opcode.CMSG_INCREASE_CAST_TIME_FOR_SPELL, 0x0D39},
            {Opcode.CMSG_INITIATE_ROLE_POLL, 0x0124},
            {Opcode.CMSG_INITIATE_TRADE, 0x041F},
            {Opcode.CMSG_INSPECT, 0x0371},
            {Opcode.CMSG_INSPECT_PVP, 0x1024},
            {Opcode.CMSG_INSTANCE_LOCK_RESPONSE, 0x1909},
            {Opcode.CMSG_ITEM_PURCHASE_REFUND, 0x0C1A},
            {Opcode.CMSG_ITEM_TEXT_QUERY, 0x08BA},
            {Opcode.CMSG_JOIN_PET_BATTLE_QUEUE, 0x140D},
            {Opcode.CMSG_JOIN_RATED_BATTLEGROUND, 0x053A},
            {Opcode.CMSG_KEEP_ALIVE, 0x1434},
            {Opcode.CMSG_KEYBOUND_OVERRIDE, 0x0431},
            {Opcode.CMSG_LEARN_PET_SPECIALIZATION_GROUP, 0x04B1},
            {Opcode.CMSG_LEARN_TALENTS, 0x0497},
            {Opcode.CMSG_LEAVE_GROUP, 0x01A7},
            {Opcode.CMSG_LEAVE_PET_BATTLE_QUEUE, 0x04F6},
            {Opcode.CMSG_LFG_LIST_APPLY_TO_GROUP, 0x04F4},
            {Opcode.CMSG_LFG_LIST_CANCEL_APPLICATION, 0x05A7},
            {Opcode.CMSG_LFG_LIST_DECLINE_APPLICANT, 0x0470},
            {Opcode.CMSG_LFG_LIST_GET_STATUS, 0x10E3},
            {Opcode.CMSG_LFG_LIST_INVITE_APPLICANT, 0x046F},
            {Opcode.CMSG_LFG_LIST_INVITE_RESPONSE, 0x053F},
            {Opcode.CMSG_LFG_LIST_JOIN, 0x10A3},
            {Opcode.CMSG_LFG_LIST_LEAVE, 0x00F3},
            {Opcode.CMSG_LFG_LIST_SEARCH, 0x0473},
            {Opcode.CMSG_LFG_LIST_UPDATE_REQUEST, 0x0167},
            {Opcode.CMSG_LF_GUILD_ADD_RECRUIT, 0x11F7},
            {Opcode.CMSG_LF_GUILD_BROWSE, 0x11EF},
            {Opcode.CMSG_LF_GUILD_DECLINE_RECRUIT, 0x05C9},
            {Opcode.CMSG_LF_GUILD_GET_APPLICATIONS, 0x0181},
            {Opcode.CMSG_LF_GUILD_GET_GUILD_POST, 0x049D},
            {Opcode.CMSG_LF_GUILD_GET_RECRUITS, 0x08DE},
            {Opcode.CMSG_LF_GUILD_REMOVE_RECRUIT, 0x0189},
            {Opcode.CMSG_LF_GUILD_SET_GUILD_POST, 0x11B4},
            {Opcode.CMSG_LIST_INVENTORY, 0x0A55},
            {Opcode.CMSG_LOADING_SCREEN_NOTIFY, 0x1428},
            {Opcode.CMSG_LOAD_SELECTED_TROPHY, 0x0D2E},
            {Opcode.CMSG_LOGOUT_CANCEL, 0x0632},
            {Opcode.CMSG_LOGOUT_INSTANT, 0x0411},
            {Opcode.CMSG_LOGOUT_REQUEST, 0x1126},
            {Opcode.CMSG_LOG_DISCONNECT, 0x0C67},
            {Opcode.CMSG_LOG_STREAMING_ERROR, 0x0838},
            {Opcode.CMSG_LOOT_ITEM, 0x0936},
            {Opcode.CMSG_LOOT_MONEY, 0x0025},
            {Opcode.CMSG_LOOT_RELEASE, 0x0922},
            {Opcode.CMSG_LOOT_ROLL, 0x08AD},
            {Opcode.CMSG_LOOT_UNIT, 0x096E},
            {Opcode.CMSG_LOW_LEVEL_RAID1, 0x1170},
            {Opcode.CMSG_LOW_LEVEL_RAID2, 0x0351},
            {Opcode.CMSG_MAIL_CREATE_TEXT_ITEM, 0x19A9},
            {Opcode.CMSG_MAIL_DELETE, 0x0876},
            {Opcode.CMSG_MAIL_GET_LIST, 0x0859},
            {Opcode.CMSG_MAIL_MARK_AS_READ, 0x0A1A},
            {Opcode.CMSG_MAIL_RETURN_TO_SENDER, 0x10C0},
            {Opcode.CMSG_MAIL_TAKE_ITEM, 0x0715},
            {Opcode.CMSG_MAIL_TAKE_MONEY, 0x0379},
            {Opcode.CMSG_MASTER_LOOT_ITEM, 0x04FA},
            {Opcode.CMSG_MINIMAP_PING, 0x1173},
            {Opcode.CMSG_MISSILE_TRAJECTORY_COLLISION, 0x0C0D},
            {Opcode.CMSG_MOUNT_SET_FAVORITE, 0x142C},
            {Opcode.CMSG_MOUNT_SPECIAL_ANIM, 0x04F5},
            {Opcode.CMSG_MOVE_APPLY_MOVEMENT_FORCE_ACK, 0x1195},
            {Opcode.CMSG_MOVE_CHANGE_TRANSPORT, 0x1412},
            {Opcode.CMSG_MOVE_CHANGE_VEHICLE_SEATS, 0x1032},
            {Opcode.CMSG_MOVE_CHARM_TELEPORT_CHEAT, 0x1996},
            {Opcode.CMSG_MOVE_DISMISS_VEHICLE, 0x111E},
            {Opcode.CMSG_MOVE_ENABLE_SWIM_TO_FLY_TRANS_ACK, 0x1C11},
            {Opcode.CMSG_MOVE_FALL_LAND, 0x149D},
            {Opcode.CMSG_MOVE_FALL_RESET, 0x10B6},
            {Opcode.CMSG_MOVE_FEATHER_FALL_ACK, 0x11BE},
            {Opcode.CMSG_MOVE_FORCE_FLIGHT_BACK_SPEED_CHANGE_ACK, 0x103D},
            {Opcode.CMSG_MOVE_FORCE_FLIGHT_SPEED_CHANGE_ACK, 0x1431},
            {Opcode.CMSG_MOVE_FORCE_PITCH_RATE_CHANGE_ACK, 0x10B2},
            {Opcode.CMSG_MOVE_FORCE_ROOT_ACK, 0x1036},
            {Opcode.CMSG_MOVE_FORCE_RUN_BACK_SPEED_CHANGE_ACK, 0x1832},
            {Opcode.CMSG_MOVE_FORCE_RUN_SPEED_CHANGE_ACK, 0x1436},
            {Opcode.CMSG_MOVE_FORCE_SWIM_BACK_SPEED_CHANGE_ACK, 0x14B6},
            {Opcode.CMSG_MOVE_FORCE_SWIM_SPEED_CHANGE_ACK, 0x1931},
            {Opcode.CMSG_MOVE_FORCE_TURN_RATE_CHANGE_ACK, 0x1112},
            {Opcode.CMSG_MOVE_FORCE_UNROOT_ACK, 0x1939},
            {Opcode.CMSG_MOVE_FORCE_WALK_SPEED_CHANGE_ACK, 0x15BE},
            {Opcode.CMSG_MOVE_GRAVITY_DISABLE_ACK, 0x143E},
            {Opcode.CMSG_MOVE_GRAVITY_ENABLE_ACK, 0x1511},
            {Opcode.CMSG_MOVE_HEARTBEAT, 0x1512},
            {Opcode.CMSG_MOVE_HOVER_ACK, 0x111D},
            {Opcode.CMSG_MOVE_JUMP, 0x199E},
            {Opcode.CMSG_MOVE_KNOCK_BACK_ACK, 0x159E},
            {Opcode.CMSG_MOVE_REMOVE_MOVEMENT_FORCES, 0x159A},
            {Opcode.CMSG_MOVE_REMOVE_MOVEMENT_FORCE_ACK, 0x141E},
            {Opcode.CMSG_MOVE_SET_CAN_FLY_ACK, 0x1411},
            {Opcode.CMSG_MOVE_SET_CAN_TURN_WHILE_FALLING_ACK, 0x181D},
            {Opcode.CMSG_MOVE_SET_COLLISION_HEIGHT_ACK, 0x11B2},
            {Opcode.CMSG_MOVE_SET_FACING, 0x1119},
            {Opcode.CMSG_MOVE_SET_FLY, 0x1531},
            {Opcode.CMSG_MOVE_SET_IGNORE_MOVEMENT_FORCES_ACK, 0x11B6},
            {Opcode.CMSG_MOVE_SET_PITCH, 0x1532},
            {Opcode.CMSG_MOVE_SET_RELATIVE_POSITION, 0x1135},
            {Opcode.CMSG_MOVE_SET_RUN_MODE, 0x181E},
            {Opcode.CMSG_MOVE_SET_VEHICLE_REC_ID_ACK, 0x1836},
            {Opcode.CMSG_MOVE_SET_WALK_MODE, 0x113A},
            {Opcode.CMSG_MOVE_SPLINE_DONE, 0x1991},
            {Opcode.CMSG_MOVE_START_ASCEND, 0x1515},
            {Opcode.CMSG_MOVE_START_BACKWARD, 0x1191},
            {Opcode.CMSG_MOVE_START_DESCEND, 0x1419},
            {Opcode.CMSG_MOVE_START_FORWARD, 0x1196},
            {Opcode.CMSG_MOVE_START_PITCH_DOWN, 0x151A},
            {Opcode.CMSG_MOVE_START_PITCH_UP, 0x1811},
            {Opcode.CMSG_MOVE_START_STRAFE_LEFT, 0x1992},
            {Opcode.CMSG_MOVE_START_STRAFE_RIGHT, 0x113D},
            {Opcode.CMSG_MOVE_START_SWIM, 0x189E},
            {Opcode.CMSG_MOVE_START_TURN_LEFT, 0x1819},
            {Opcode.CMSG_MOVE_START_TURN_RIGHT, 0x141D},
            {Opcode.CMSG_MOVE_STOP, 0x1C16},
            {Opcode.CMSG_MOVE_STOP_ASCEND, 0x1912},
            {Opcode.CMSG_MOVE_STOP_PITCH, 0x1519},
            {Opcode.CMSG_MOVE_STOP_STRAFE, 0x1095},
            {Opcode.CMSG_MOVE_STOP_SWIM, 0x14B5},
            {Opcode.CMSG_MOVE_STOP_TURN, 0x1491},
            {Opcode.CMSG_MOVE_TELEPORT_ACK, 0x1C1A},
            {Opcode.CMSG_MOVE_TELEPORT_CHEAT, 0x18B5},
            {Opcode.CMSG_MOVE_TIME_SKIPPED, 0x18B9},
            {Opcode.CMSG_MOVE_TOGGLE_COLLISION_CHEAT, 0x1111},
            {Opcode.CMSG_MOVE_WATER_WALK_ACK, 0x18B2},
            {Opcode.CMSG_NEUTRAL_PLAYER_SELECT_FACTION, 0x092E},
            {Opcode.CMSG_NEXT_CINEMATIC_CAMERA, 0x0C51},
            {Opcode.CMSG_OBJECT_UPDATE_FAILED, 0x01A9},
            {Opcode.CMSG_OBJECT_UPDATE_RESCUED, 0x059F},
            {Opcode.CMSG_OFFER_PETITION, 0x053B},
            {Opcode.CMSG_OPENING_CINEMATIC, 0x0655},
            {Opcode.CMSG_OPEN_ITEM, 0x042D},
            {Opcode.CMSG_OPEN_MISSION_NPC, 0x08B1},
            {Opcode.CMSG_OPEN_SHIPMENT_NPC, 0x09B1},
            {Opcode.CMSG_OPEN_TRADESKILL_NPC, 0x092D},
            {Opcode.CMSG_OPT_OUT_OF_LOOT, 0x065A},
            {Opcode.CMSG_PARTY_INVITE, 0x11FC},
            {Opcode.CMSG_PARTY_INVITE_RESPONSE, 0x057B},
            {Opcode.CMSG_PARTY_UNINVITE, 0x05FF},
            {Opcode.CMSG_PETITION_BUY, 0x150E},
            {Opcode.CMSG_PETITION_RENAME_GUILD, 0x1133},
            {Opcode.CMSG_PETITION_SHOW_LIST, 0x0779},
            {Opcode.CMSG_PETITION_SHOW_SIGNATURES, 0x1521},
            {Opcode.CMSG_PET_ABANDON, 0x1129},
            {Opcode.CMSG_PET_ACTION, 0x0312},
            {Opcode.CMSG_PET_BATTLE_FINAL_NOTIFY, 0x1025},
            {Opcode.CMSG_PET_BATTLE_INPUT, 0x01FC},
            {Opcode.CMSG_PET_BATTLE_QUEUE_PROPOSE_MATCH_RESULT, 0x1C02},
            {Opcode.CMSG_PET_BATTLE_QUIT_NOTIFY, 0x1029},
            {Opcode.CMSG_PET_BATTLE_REPLACE_FRONT_PET, 0x1137},
            {Opcode.CMSG_PET_BATTLE_REQUEST_PVP, 0x1422},
            {Opcode.CMSG_PET_BATTLE_REQUEST_UPDATE, 0x0CBE},
            {Opcode.CMSG_PET_BATTLE_REQUEST_WILD, 0x05AE},
            {Opcode.CMSG_PET_BATTLE_SCRIPT_ERROR_NOTIFY, 0x0488},
            {Opcode.CMSG_PET_CANCEL_AURA, 0x0019},
            {Opcode.CMSG_PET_CAST_SPELL, 0x1089},
            {Opcode.CMSG_PET_RENAME, 0x05F7},
            {Opcode.CMSG_PET_SET_ACTION, 0x0355},
            {Opcode.CMSG_PET_SPELL_AUTOCAST, 0x045D},
            {Opcode.CMSG_PET_STOP_ATTACK, 0x0271},
            {Opcode.CMSG_PING, 0x0828},
            {Opcode.CMSG_PLAYER_LOGIN, 0x10F3},
            {Opcode.CMSG_PROTOCOL_MISMATCH, 0x0CE7},
            {Opcode.CMSG_PUSH_QUEST_TO_PARTY, 0x110A},
            {Opcode.CMSG_PVP_LOG_DATA, 0x0075},
            {Opcode.CMSG_QUERY_BATTLE_PET_NAME, 0x0CE1},
            {Opcode.CMSG_QUERY_CORPSE_LOCATION_FROM_CLIENT, 0x0074},
            {Opcode.CMSG_QUERY_CORPSE_TRANSPORT, 0x1124},
            {Opcode.CMSG_QUERY_COUNTDOWN_TIMER, 0x08F2},
            {Opcode.CMSG_QUERY_CREATURE, 0x1002},
            {Opcode.CMSG_QUERY_GAME_OBJECT, 0x182D},
            {Opcode.CMSG_QUERY_GARRISON_CREATURE_NAME, 0x090E},
            {Opcode.CMSG_QUERY_GUILD_INFO, 0x00BC},
            {Opcode.CMSG_QUERY_INSPECT_ACHIEVEMENTS, 0x1921},
            {Opcode.CMSG_QUERY_NEXT_MAIL_TIME, 0x1189},
            {Opcode.CMSG_QUERY_NPC_TEXT, 0x04E2},
            {Opcode.CMSG_QUERY_PAGE_TEXT, 0x0C21},
            {Opcode.CMSG_QUERY_PETITION, 0x050A},
            {Opcode.CMSG_QUERY_PET_NAME, 0x0569},
            {Opcode.CMSG_QUERY_PLAYER_NAME, 0x01A4},
            {Opcode.CMSG_QUERY_QUEST_COMPLETION_NPCS, 0x04E9},
            {Opcode.CMSG_QUERY_QUEST_INFO, 0x08BD},
            {Opcode.CMSG_QUERY_REALM_NAME, 0x016C},
            {Opcode.CMSG_QUERY_SCENARIO_POI, 0x01E7},
            {Opcode.CMSG_QUERY_TIME, 0x0A32},
            {Opcode.CMSG_QUERY_VOID_STORAGE, 0x08E5},
            {Opcode.CMSG_QUEST_CONFIRM_ACCEPT, 0x0C16},
            {Opcode.CMSG_QUEST_GIVER_ACCEPT_QUEST, 0x005E},
            {Opcode.CMSG_QUEST_GIVER_CHOOSE_REWARD, 0x037E},
            {Opcode.CMSG_QUEST_GIVER_COMPLETE_QUEST, 0x0775},
            {Opcode.CMSG_QUEST_GIVER_HELLO, 0x035A},
            {Opcode.CMSG_QUEST_GIVER_QUERY_QUEST, 0x198A},
            {Opcode.CMSG_QUEST_GIVER_REQUEST_REWARD, 0x118A},
            {Opcode.CMSG_QUEST_GIVER_STATUS_MULTIPLE_QUERY, 0x061E},
            {Opcode.CMSG_QUEST_GIVER_STATUS_QUERY, 0x001A},
            {Opcode.CMSG_QUEST_LOG_REMOVE_QUEST, 0x033E},
            {Opcode.CMSG_QUEST_POI_QUERY, 0x04AF},
            {Opcode.CMSG_QUEST_PUSH_RESULT, 0x0415},
            {Opcode.CMSG_QUEUED_MESSAGES_END, 0x0878},
            {Opcode.CMSG_RANDOM_ROLL, 0x10BC},
            {Opcode.CMSG_READY_CHECK_RESPONSE, 0x1078},
            {Opcode.CMSG_READ_ITEM, 0x0071},
            {Opcode.CMSG_RECLAIM_CORPSE, 0x0275},
            {Opcode.CMSG_RECRUIT_A_FRIEND, 0x04EC},
            {Opcode.CMSG_REDEEM_WOW_TOKEN_CONFIRM, 0x04AC},
            {Opcode.CMSG_REDEEM_WOW_TOKEN_START, 0x05BC},
            {Opcode.CMSG_REORDER_CHARACTERS, 0x10B3},
            {Opcode.CMSG_REPAIR_ITEM, 0x0736},
            {Opcode.CMSG_REPLACE_TROPHY, 0x0DE9},
            {Opcode.CMSG_REPOP_REQUEST, 0x15A9},
            {Opcode.CMSG_REPORT_PVP_PLAYER_AFK, 0x1D09},
            {Opcode.CMSG_REQUEST_ACCOUNT_DATA, 0x01B4},
            {Opcode.CMSG_REQUEST_BATTLEFIELD_STATUS, 0x116B},
            {Opcode.CMSG_REQUEST_CATEGORY_COOLDOWNS, 0x09A9},
            {Opcode.CMSG_REQUEST_CEMETERY_LIST, 0x0DBA},
            {Opcode.CMSG_REQUEST_CONQUEST_FORMULA_CONSTANTS, 0x0875},
            {Opcode.CMSG_REQUEST_FORCED_REACTIONS, 0x086A},
            {Opcode.CMSG_REQUEST_GUILD_PARTY_STATE, 0x08A6},
            {Opcode.CMSG_REQUEST_GUILD_REWARDS_LIST, 0x00B1},
            {Opcode.CMSG_REQUEST_HONOR_STATS, 0x1C86},
            {Opcode.CMSG_REQUEST_LFG_LIST_BLACKLIST, 0x0D7A},
            {Opcode.CMSG_REQUEST_PARTY_JOIN_UPDATES, 0x0570},
            {Opcode.CMSG_REQUEST_PARTY_MEMBER_STATS, 0x01FF},
            {Opcode.CMSG_REQUEST_PET_INFO, 0x0A11},
            {Opcode.CMSG_REQUEST_PLAYED_TIME, 0x003D},
            {Opcode.CMSG_REQUEST_PVP_REWARDS, 0x0435},
            {Opcode.CMSG_REQUEST_RAID_INFO, 0x0533},
            {Opcode.CMSG_REQUEST_RATED_BATTLEFIELD_INFO, 0x00B0},
            {Opcode.CMSG_REQUEST_RESEARCH_HISTORY, 0x017A},
            {Opcode.CMSG_REQUEST_STABLED_PETS, 0x0456},
            {Opcode.CMSG_REQUEST_VEHICLE_EXIT, 0x0DF5},
            {Opcode.CMSG_REQUEST_VEHICLE_NEXT_SEAT, 0x08BB},
            {Opcode.CMSG_REQUEST_VEHICLE_PREV_SEAT, 0x10A6},
            {Opcode.CMSG_REQUEST_VEHICLE_SWITCH_SEAT, 0x0C6A},
            {Opcode.CMSG_REQUEST_WOW_TOKEN_MARKET_PRICE, 0x0024},
            {Opcode.CMSG_RESET_CHALLENGE_MODE, 0x0065},
            {Opcode.CMSG_RESET_INSTANCES, 0x04FF},
            {Opcode.CMSG_RESURRECT_RESPONSE, 0x003C},
            {Opcode.CMSG_REVERT_MONUMENT_APPEARANCE, 0x0171},
            {Opcode.CMSG_RIDE_VEHICLE_INTERACT, 0x1CA9},
            {Opcode.CMSG_SAVE_CUF_PROFILES, 0x000A},
            {Opcode.CMSG_SAVE_EQUIPMENT_SET, 0x041E},
            {Opcode.CMSG_SAVE_GUILD_EMBLEM, 0x1402},
            {Opcode.CMSG_SCENE_PLAYBACK_CANCELED, 0x0C65},
            {Opcode.CMSG_SCENE_PLAYBACK_COMPLETE, 0x04A0},
            {Opcode.CMSG_SCENE_TRIGGER_EVENT, 0x084D},
            {Opcode.CMSG_SELF_RES, 0x1989},
            {Opcode.CMSG_SELL_ITEM, 0x1922},
            {Opcode.CMSG_SELL_WOW_TOKEN_CONFIRM, 0x11A3},
            {Opcode.CMSG_SELL_WOW_TOKEN_START, 0x1140},
            {Opcode.CMSG_SEND_CONTACT_LIST, 0x0077},
            {Opcode.CMSG_SEND_MAIL, 0x00C0},
            {Opcode.CMSG_SEND_SOR_REQUEST_VIA_ADDRESS, 0x00AC},
            {Opcode.CMSG_SEND_SOR_REQUEST_VIA_BNET_ACCOUNT_ID, 0x0530},
            {Opcode.CMSG_SEND_TEXT_EMOTE, 0x0412},
            {Opcode.CMSG_SET_ACHIEVEMENTS_HIDDEN, 0x1C05},
            {Opcode.CMSG_SET_ACTION_BAR_TOGGLES, 0x1D29},
            {Opcode.CMSG_SET_ACTION_BUTTON, 0x1037},
            {Opcode.CMSG_SET_ACTIVE_MOVER, 0x1936},
            {Opcode.CMSG_SET_ACTIVE_VOICE_CHANNEL, 0x00FF},
            {Opcode.CMSG_SET_ADVANCED_COMBAT_LOGGING, 0x18A2},
            {Opcode.CMSG_SET_ASSISTANT_LEADER, 0x04BB},
            {Opcode.CMSG_SET_BACKPACK_AUTOSORT_DISABLED, 0x142D},
            {Opcode.CMSG_SET_BANK_AUTOSORT_DISABLED, 0x0906},
            {Opcode.CMSG_CHANGE_BANK_BAG_SLOT_FLAG, 0x0035},
            {Opcode.CMSG_SET_CONTACT_NOTES, 0x1030},
            {Opcode.CMSG_SET_CURRENCY_FLAGS, 0x1421},
            {Opcode.CMSG_SET_DIFFICULTY_ID, 0x08B9},
            {Opcode.CMSG_SET_DUNGEON_DIFFICULTY, 0x00AF},
            {Opcode.CMSG_SET_EVERYONE_IS_ASSISTANT, 0x0437},
            {Opcode.CMSG_SET_FACTION_AT_WAR, 0x1582},
            {Opcode.CMSG_SET_FACTION_INACTIVE, 0x1DAE},
            {Opcode.CMSG_SET_FACTION_NOT_AT_WAR, 0x077D},
            {Opcode.CMSG_SET_INSERT_ITEMS_LEFT_TO_RIGHT, 0x0505},
            {Opcode.CMSG_SET_LFG_BONUS_FACTION_ID, 0x0402},
            {Opcode.CMSG_SET_LOOT_METHOD, 0x016B},
            {Opcode.CMSG_SET_LOOT_SPECIALIZATION, 0x0A51},
            {Opcode.CMSG_SET_PARTY_ASSIGNMENT, 0x1074},
            {Opcode.CMSG_SET_PARTY_LEADER, 0x11E7},
            {Opcode.CMSG_SET_PET_SLOT, 0x0C45},
            {Opcode.CMSG_SET_PLAYER_DECLINED_NAMES, 0x04B3},
            {Opcode.CMSG_SET_PREFERRED_CEMETERY, 0x0D69},
            {Opcode.CMSG_SET_PVP, 0x08AC},
            {Opcode.CMSG_SET_RAID_DIFFICULTY, 0x103F},
            {Opcode.CMSG_SET_ROLE, 0x01BF},
            {Opcode.CMSG_SET_SAVED_INSTANCE_EXTEND, 0x10AB},
            {Opcode.CMSG_SET_SELECTION, 0x1986},
            {Opcode.CMSG_SET_SHEATHED, 0x0C5A},
            {Opcode.CMSG_SET_SORT_BAGS_RIGHT_TO_LEFT, 0x00F1},
            {Opcode.CMSG_SET_SPECIALIZATION, 0x1C82},
            {Opcode.CMSG_SET_TAXI_BENCHMARK_MODE, 0x0455},
            {Opcode.CMSG_SET_TITLE, 0x0C72},
            {Opcode.CMSG_SET_TRADE_CURRENCY, 0x140A},
            {Opcode.CMSG_SET_TRADE_GOLD, 0x0CE5},
            {Opcode.CMSG_SET_TRADE_ITEM, 0x0105},
            {Opcode.CMSG_SET_USING_PARTY_GARRISON, 0x10A9},
            {Opcode.CMSG_SET_WATCHED_FACTION, 0x1905},
            {Opcode.CMSG_SHOWING_CLOAK, 0x118E},
            {Opcode.CMSG_SHOWING_HELM, 0x073E},
            {Opcode.CMSG_SHOW_TRADE_SKILL, 0x11C0},
            {Opcode.CMSG_SIGN_PETITION, 0x0679},
            {Opcode.CMSG_SILENCE_PARTY_TALKER, 0x10F8},
            {Opcode.CMSG_SOCKET_GEMS, 0x021A},
            {Opcode.CMSG_SORT_BAGS, 0x01ED},
            {Opcode.CMSG_SORT_BANK_BAGS, 0x09F2},
            {Opcode.CMSG_SORT_REAGENT_BANK_BAGS, 0x05AA},
            {Opcode.CMSG_SPELL_CLICK, 0x150A},
            {Opcode.CMSG_SPIRIT_HEALER_ACTIVATE, 0x0A36},
            {Opcode.CMSG_SPLIT_ITEM, 0x1219},
            {Opcode.CMSG_STAND_STATE_CHANGE, 0x05EE},
            {Opcode.CMSG_START_SPECTATOR_WAR_GAME, 0x10B7},
            {Opcode.CMSG_START_WAR_GAME, 0x0100},
            {Opcode.CMSG_SUMMON_RESPONSE, 0x0577},
            {Opcode.CMSG_SUPPORT_TICKET_SUBMIT_BUG, 0x11BC},
            {Opcode.CMSG_SUPPORT_TICKET_SUBMIT_COMPLAINT, 0x00EC},
            {Opcode.CMSG_SUPPORT_TICKET_SUBMIT_SUGGESTION, 0x05A4},
            {Opcode.CMSG_SUSPEND_COMMS_ACK, 0x0CB7},
            {Opcode.CMSG_SUSPEND_TOKEN_RESPONSE, 0x08E8},
            {Opcode.CMSG_SWAP_INV_ITEM, 0x1379},
            {Opcode.CMSG_SWAP_ITEM, 0x1619},
            {Opcode.CMSG_SWAP_SUB_GROUPS, 0x05EC},
            {Opcode.CMSG_SWAP_VOID_ITEM, 0x096A},
            {Opcode.CMSG_TABARD_VENDOR_ACTIVATE, 0x0905},
            {Opcode.CMSG_TALK_TO_GOSSIP, 0x0A19},
            {Opcode.CMSG_TAXI_NODE_STATUS_QUERY, 0x1DAD},
            {Opcode.CMSG_TAXI_QUERY_AVAILABLE_NODES, 0x0336},
            {Opcode.CMSG_TAXI_REQUEST_EARLY_LANDING, 0x0755},
            {Opcode.CMSG_TELEPORT_TO_UNIT, 0x112F},
            {Opcode.CMSG_TIME_ADJUSTMENT_RESPONSE, 0x119A},
            {Opcode.CMSG_TIME_SYNC_RESPONSE, 0x119D},
            {Opcode.CMSG_TIME_SYNC_RESPONSE_DROPPED, 0x18BA},
            {Opcode.CMSG_TIME_SYNC_RESPONSE_FAILED, 0x15B5},
            {Opcode.CMSG_TOGGLE_DIFFICULTY, 0x107F},
            {Opcode.CMSG_TOGGLE_PVP, 0x1C21},
            {Opcode.CMSG_TOTEM_DESTROYED, 0x0056},
            {Opcode.CMSG_TOY_SET_FAVORITE, 0x1068},
            {Opcode.CMSG_TRAINER_BUY_SPELL, 0x1D26},
            {Opcode.CMSG_TRAINER_LIST, 0x0735},
            {Opcode.CMSG_TRANSMOGRIFY_ITEMS, 0x09A1},
            {Opcode.CMSG_TURN_IN_PETITION, 0x0A3A},
            {Opcode.CMSG_TUTORIAL_FLAG, 0x05EF},
            {Opcode.CMSG_TWITTER_CHECK_STATUS, 0x0916},
            {Opcode.CMSG_TWITTER_CONNECT, 0x095E},
            {Opcode.CMSG_TWITTER_DISCONNECT, 0x011E},
            {Opcode.CMSG_TWITTER_POST, 0x1482},
            {Opcode.CMSG_UI_TIME_REQUEST, 0x0567},
            {Opcode.CMSG_UNACCEPT_TRADE, 0x1081},
            {Opcode.CMSG_UNDELETE_CHARACTER, 0x11F4},
            {Opcode.CMSG_UNLEARN_SKILL, 0x0816},
            {Opcode.CMSG_UNLEARN_SPECIALIZATION, 0x0880},
            {Opcode.CMSG_UNLOCK_VOID_STORAGE, 0x0436},
            {Opcode.CMSG_UPDATE_ACCOUNT_DATA, 0x102F},
            {Opcode.CMSG_UPDATE_CLIENT_SETTINGS, 0x052B},
            {Opcode.CMSG_UPDATE_MISSILE_TRAJECTORY, 0x0945},
            {Opcode.CMSG_UPDATE_RAID_TARGET, 0x01B8},
            {Opcode.CMSG_UPDATE_VAS_PURCHASE_STATES, 0x006C},
            {Opcode.CMSG_UPDATE_WOW_TOKEN_AUCTIONABLE_LIST, 0x0174},
            {Opcode.CMSG_UPDATE_WOW_TOKEN_COUNT, 0x0164},
            {Opcode.CMSG_UPGRADE_GARRISON, 0x0466},
            {Opcode.CMSG_UPGRADE_ITEM, 0x182E},
            {Opcode.CMSG_USED_FOLLOW, 0x0962},
            {Opcode.CMSG_USE_CRITTER_ITEM, 0x0408},
            {Opcode.CMSG_USE_EQUIPMENT_SET, 0x1236},
            {Opcode.CMSG_USE_ITEM, 0x0562},
            {Opcode.CMSG_USE_TOY, 0x057D},
            {Opcode.CMSG_VIOLENCE_LEVEL, 0x0CBA},
            {Opcode.CMSG_VOICE_ADD_IGNORE, 0x113B},
            {Opcode.CMSG_VOICE_DEL_IGNORE, 0x01EB},
            {Opcode.CMSG_VOICE_SESSION_ENABLE, 0x0434},
            {Opcode.CMSG_VOID_STORAGE_TRANSFER, 0x14A2},
            {Opcode.CMSG_WARDEN_DATA, 0x00EF},
            {Opcode.CMSG_WHO, 0x00A4},
            {Opcode.CMSG_WHO_IS, 0x042C},
            {Opcode.CMSG_WORLD_PORT_RESPONSE, 0x04F7},
            {Opcode.CMSG_WORLD_TELEPORT, 0x10EC},
            {Opcode.CMSG_WRAP_ITEM, 0x1352}
        };

        private static readonly BiDictionary<Opcode, int> ServerOpcodes = new BiDictionary<Opcode, int>
        {
            {Opcode.SMSG_ABORT_NEW_WORLD, 0x0E7C},
            {Opcode.SMSG_ACCOUNT_CRITERIA_UPDATE, 0x1A7F},
            {Opcode.SMSG_ACCOUNT_DATA_TIMES, 0x1773},
            {Opcode.SMSG_ACCOUNT_MOUNT_UPDATE, 0x1350},
            {Opcode.SMSG_ACCOUNT_TOYS_UPDATE, 0x1B44},
            {Opcode.SMSG_ACHIEVEMENT_DELETED, 0x1B63},
            {Opcode.SMSG_ACHIEVEMENT_EARNED, 0x0BE4},
            {Opcode.SMSG_ACTIVATE_TAXI_REPLY, 0x1A54},
            {Opcode.SMSG_ADDON_INFO, 0x026F},
            {Opcode.SMSG_ADD_BATTLENET_FRIEND_RESPONSE, 0x1353},
            {Opcode.SMSG_ADD_ITEM_PASSIVE, 0x1358},
            {Opcode.SMSG_ADD_LOSS_OF_CONTROL, 0x1754},
            {Opcode.SMSG_ADD_RUNE_POWER, 0x0367},
            {Opcode.SMSG_ADJUST_SPLINE_DURATION, 0x0F57},
            {Opcode.SMSG_AE_LOOT_TARGETS, 0x0BF0},
            {Opcode.SMSG_AE_LOOT_TARGET_ACK, 0x06DC},
            {Opcode.SMSG_AI_REACTION, 0x135C},
            {Opcode.SMSG_ALL_ACCOUNT_CRITERIA, 0x0A60},
            {Opcode.SMSG_ALL_ACHIEVEMENT_DATA, 0x1B50},
            {Opcode.SMSG_ALL_GUILD_ACHIEVEMENTS, 0x154F},
            {Opcode.SMSG_ARCHAEOLOGY_SURVERY_CAST, 0x1BC4},
            {Opcode.SMSG_AREA_SPIRIT_HEALER_TIME, 0x024C},
            {Opcode.SMSG_AREA_TRIGGER_DENIED, 0x03DF},
            {Opcode.SMSG_AREA_TRIGGER_NO_CORPSE, 0x1B43},
            {Opcode.SMSG_AREA_TRIGGER_RE_PATH, 0x065C},
            {Opcode.SMSG_AREA_TRIGGER_RE_SHAPE, 0x127B},
            {Opcode.SMSG_ARENA_ERROR, 0x02F3},
            {Opcode.SMSG_ARENA_PREP_OPPONENT_SPECIALIZATIONS, 0x0F78},
            {Opcode.SMSG_ATTACKER_STATE_UPDATE, 0x0ACF},
            {Opcode.SMSG_ATTACK_START, 0x12CC},
            {Opcode.SMSG_ATTACK_STOP, 0x0F6B},
            {Opcode.SMSG_ATTACK_SWING_ERROR, 0x1A78},
            {Opcode.SMSG_ATTACK_SWING_LANDED_LOG, 0x16DB},
            {Opcode.SMSG_AUCTION_CLOSED_NOTIFICATION, 0x1BE0},
            {Opcode.SMSG_AUCTION_COMMAND_RESULT, 0x12F7},
            {Opcode.SMSG_AUCTION_HELLO_RESPONSE, 0x0E57},
            {Opcode.SMSG_AUCTION_LIST_BIDDER_ITEMS_RESULT, 0x027C},
            {Opcode.SMSG_AUCTION_LIST_ITEMS_RESULT, 0x1243},
            {Opcode.SMSG_AUCTION_LIST_OWNER_ITEMS_RESULT, 0x0BCC},
            {Opcode.SMSG_AUCTION_LIST_PENDING_SALES_RESULT, 0x1BEF},
            {Opcode.SMSG_AUCTION_OUTBID_NOTIFICATION, 0x1ACB},
            {Opcode.SMSG_AUCTION_OWNER_BID_NOTIFICATION, 0x02D7},
            {Opcode.SMSG_AUCTION_REPLICATE_RESPONSE, 0x0BD4},
            {Opcode.SMSG_AUCTION_WON_NOTIFICATION, 0x0A5C},
            {Opcode.SMSG_AURA_POINTS_DEPLETED, 0x00B0},
            {Opcode.SMSG_AURA_UPDATE, 0x10AF},
            {Opcode.SMSG_AUTH_CHALLENGE, 0x0307},
            {Opcode.SMSG_AUTH_RESPONSE, 0x1357},
            {Opcode.SMSG_AVAILABLE_VOICE_CHANNEL, 0x0205},
            {Opcode.SMSG_BARBER_SHOP_RESULT, 0x1348},
            {Opcode.SMSG_BATTLEFIELD_LIST, 0x0FEF},
            {Opcode.SMSG_BATTLEFIELD_PORT_DENIED, 0x0B70},
            {Opcode.SMSG_BATTLEFIELD_STATUS_ACTIVE, 0x1AE4},
            {Opcode.SMSG_BATTLEFIELD_STATUS_FAILED, 0x0643},
            {Opcode.SMSG_BATTLEFIELD_STATUS_NEED_CONFIRMATION, 0x0370},
            {Opcode.SMSG_BATTLEFIELD_STATUS_NONE, 0x165C},
            {Opcode.SMSG_BATTLEFIELD_STATUS_QUEUED, 0x0ADB},
            {Opcode.SMSG_BATTLEFIELD_STATUS_WAIT_FOR_GROUPS, 0x175C},
            {Opcode.SMSG_BATTLEGROUND_INFO_THROTTLED, 0x1273},
            {Opcode.SMSG_BATTLEGROUND_INIT, 0x0AEC},
            {Opcode.SMSG_BATTLEGROUND_PLAYER_JOINED, 0x0E50},
            {Opcode.SMSG_BATTLEGROUND_PLAYER_LEFT, 0x1377},
            {Opcode.SMSG_BATTLEGROUND_PLAYER_POSITIONS, 0x16D8},
            {Opcode.SMSG_BATTLEGROUND_POINTS, 0x07F7},
            {Opcode.SMSG_BATTLENET_CHALLENGE_ABORT, 0x0648},
            {Opcode.SMSG_BATTLENET_CHALLENGE_START, 0x0657},
            {Opcode.SMSG_BATTLE_PAY_ACK_FAILED, 0x17DF},
            {Opcode.SMSG_BATTLE_PAY_CONFIRM_PURCHASE, 0x16DC},
            {Opcode.SMSG_BATTLE_PAY_DELIVERY_ENDED, 0x0263},
            {Opcode.SMSG_BATTLE_PAY_DELIVERY_STARTED, 0x0E78},
            {Opcode.SMSG_BATTLE_PAY_DISTRIBUTION_UPDATE, 0x0BEF},
            {Opcode.SMSG_BATTLE_PAY_GET_DISTRIBUTION_LIST_RESPONSE, 0x17F0},
            {Opcode.SMSG_BATTLE_PAY_GET_PRODUCT_LIST_RESPONSE, 0x1674},
            {Opcode.SMSG_BATTLE_PAY_GET_PURCHASE_LIST_RESPONSE, 0x0A6B},
            {Opcode.SMSG_BATTLE_PAY_PURCHASE_UPDATE, 0x0A5B},
            {Opcode.SMSG_BATTLE_PAY_START_DISTRIBUTION_ASSIGN_TO_TARGET_RESPONSE, 0x1B70},
            {Opcode.SMSG_BATTLE_PAY_START_PURCHASE_RESPONSE, 0x0BC3},
            {Opcode.SMSG_BATTLE_PETS_HEALED, 0x1B5F},
            {Opcode.SMSG_BATTLE_PET_CAGE_DATE_ERROR, 0x1A74},
            {Opcode.SMSG_BATTLE_PET_DELETED, 0x17EC},
            {Opcode.SMSG_BATTLE_PET_ERROR, 0x1A7C},
            {Opcode.SMSG_BATTLE_PET_JOURNAL, 0x13E7},
            {Opcode.SMSG_BATTLE_PET_JOURNAL_LOCK_ACQUIRED, 0x1BCB},
            {Opcode.SMSG_BATTLE_PET_JOURNAL_LOCK_DENIED, 0x13D7},
            {Opcode.SMSG_BATTLE_PET_LICENSE_CHANGED, 0x0247},
            {Opcode.SMSG_BATTLE_PET_RESTORED, 0x12DF},
            {Opcode.SMSG_BATTLE_PET_REVOKED, 0x0E47},
            {Opcode.SMSG_BATTLE_PET_TRAP_LEVEL, 0x13FB},
            {Opcode.SMSG_BATTLE_PET_UPDATES, 0x02FF},
            {Opcode.SMSG_BF_MGR_DROP_TIMER_CANCELLED, 0x0EC7},
            {Opcode.SMSG_BF_MGR_DROP_TIMER_STARTED, 0x025F},
            {Opcode.SMSG_BF_MGR_EJECTED, 0x1E43},
            {Opcode.SMSG_BF_MGR_EJECT_PENDING, 0x0747},
            {Opcode.SMSG_BF_MGR_ENTERING, 0x1AD0},
            {Opcode.SMSG_BF_MGR_ENTRY_INVITE, 0x02FB},
            {Opcode.SMSG_BF_MGR_QUEUE_INVITE, 0x1A48},
            {Opcode.SMSG_BF_MGR_QUEUE_REQUEST_RESPONSE, 0x0B4F},
            {Opcode.SMSG_BF_MGR_QUEUE_STATUS_UPDATE, 0x07FF},
            {Opcode.SMSG_BF_MGR_STATE_CHANGED, 0x0EE8},
            {Opcode.SMSG_BINDER_CONFIRM, 0x0A58},
            {Opcode.SMSG_BIND_POINT_UPDATE, 0x075B},
            {Opcode.SMSG_BLACK_MARKET_BID_ON_ITEM_RESULT, 0x07E0},
            {Opcode.SMSG_BLACK_MARKET_OPEN_RESULT, 0x1760},
            {Opcode.SMSG_BLACK_MARKET_OUTBID, 0x164F},
            {Opcode.SMSG_BLACK_MARKET_REQUEST_ITEMS_RESULT, 0x0B68},
            {Opcode.SMSG_BLACK_MARKET_WON, 0x1780},
            {Opcode.SMSG_BONUS_ROLL_EMPTY, 0x1E44},
            {Opcode.SMSG_BOSS_KILL_CREDIT, 0x1743},
            {Opcode.SMSG_BREAK_TARGET, 0x1B00},
            {Opcode.SMSG_BUY_FAILED, 0x1258},
            {Opcode.SMSG_BUY_SUCCEEDED, 0x0357},
            {Opcode.SMSG_CACHE_VERSION, 0x1747},
            {Opcode.SMSG_CALENDAR_CLEAR_PENDING_ACTION, 0x02DC},
            {Opcode.SMSG_CALENDAR_COMMAND_RESULT, 0x0258},
            {Opcode.SMSG_CALENDAR_EVENT_INITIAL_INVITES, 0x0777},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE, 0x02D0},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_ALERT, 0x16C4},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_MODERATOR_STATUS, 0x0244},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_NOTES, 0x0E70},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_NOTES_ALERT, 0x1748},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_REMOVED, 0x0AFB},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_REMOVED_ALERT, 0x06E3},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_STATUS, 0x1B68},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_STATUS_ALERT, 0x0280},
            {Opcode.SMSG_CALENDAR_EVENT_REMOVED_ALERT, 0x0BD7},
            {Opcode.SMSG_CALENDAR_EVENT_UPDATED_ALERT, 0x02D8},
            {Opcode.SMSG_CALENDAR_RAID_LOCKOUT_ADDED, 0x0AD0},
            {Opcode.SMSG_CALENDAR_RAID_LOCKOUT_REMOVED, 0x0AC4},
            {Opcode.SMSG_CALENDAR_RAID_LOCKOUT_UPDATED, 0x1AC3},
            {Opcode.SMSG_CALENDAR_SEND_CALENDAR, 0x0F00},
            {Opcode.SMSG_CALENDAR_SEND_EVENT, 0x12F8},
            {Opcode.SMSG_CALENDAR_SEND_NUM_PENDING, 0x03C8},
            {Opcode.SMSG_CAMERA_SHAKE, 0x07CC},
            {Opcode.SMSG_CANCEL_AUTO_REPEAT, 0x1800},
            {Opcode.SMSG_CANCEL_COMBAT, 0x02DB},
            {Opcode.SMSG_CANCEL_ORPHAN_SPELL_VISUAL, 0x11F8},
            {Opcode.SMSG_CANCEL_SCENE, 0x0BE3},
            {Opcode.SMSG_CANCEL_SPELL_VISUAL, 0x1440},
            {Opcode.SMSG_CANCEL_SPELL_VISUAL_KIT, 0x0167},
            {Opcode.SMSG_CAN_DUEL_RESULT, 0x16FB},
            {Opcode.SMSG_CAST_FAILED, 0x1138},
            {Opcode.SMSG_CATEGORY_COOLDOWN, 0x00FB},
            {Opcode.SMSG_CHALLENGE_MODE_REWARDS, 0x1A67},
            {Opcode.SMSG_CHALLENGE_MODE_ALL_MAP_STATS, 0x1A58},
            {Opcode.SMSG_CHALLENGE_MODE_COMPLETE, 0x0773},
            {Opcode.SMSG_CHALLENGE_MODE_MAP_STATS_UPDATE, 0x1B80},
            {Opcode.SMSG_CHALLENGE_MODE_NEW_PLAYER_RECORD, 0x067C},
            {Opcode.SMSG_CHALLENGE_MODE_REQUEST_LEADERS_RESULT, 0x0FE7},
            {Opcode.SMSG_CHALLENGE_MODE_RESET, 0x07DC},
            {Opcode.SMSG_CHALLENGE_MODE_START, 0x07CF},
            {Opcode.SMSG_CHANGE_PLAYER_DIFFICULTY_RESULT, 0x066C},
            {Opcode.SMSG_CHANNEL_LIST, 0x0E05},
            {Opcode.SMSG_CHANNEL_NOTIFY, 0x038E},
            {Opcode.SMSG_CHANNEL_NOTIFY_JOINED, 0x020D},
            {Opcode.SMSG_CHANNEL_NOTIFY_LEFT, 0x0685},
            {Opcode.SMSG_CHARACTER_LOGIN_FAILED, 0x02C7},
            {Opcode.SMSG_CHARACTER_OBJECT_TEST_RESPONSE, 0x1AF0},
            {Opcode.SMSG_CHARACTER_RENAME_RESULT, 0x0264},
            {Opcode.SMSG_CHARACTER_UPGRADE_CHARACTER_CHOSEN, 0x07C4},
            {Opcode.SMSG_CHARACTER_UPGRADE_COMPLETE, 0x1764},
            {Opcode.SMSG_CHARACTER_UPGRADE_SPELL_TIER_SET, 0x07EC},
            {Opcode.SMSG_CHARACTER_UPGRADE_STARTED, 0x02C8},
            {Opcode.SMSG_CHAR_CUSTOMIZE, 0x1263},
            {Opcode.SMSG_CHAR_CUSTOMIZE_FAILED, 0x1B6B},
            {Opcode.SMSG_CHAR_FACTION_CHANGE_RESULT, 0x0EF8},
            {Opcode.SMSG_CHAT, 0x068D},
            {Opcode.SMSG_CHAT_AUTO_RESPONDED, 0x0282},
            {Opcode.SMSG_CHAT_DOWN, 0x0B0A},
            {Opcode.SMSG_CHAT_IGNORED_ACCOUNT_MUTED, 0x0B0D},
            {Opcode.SMSG_CHAT_IS_DOWN, 0x0381},
            {Opcode.SMSG_CHAT_NOT_IN_PARTY, 0x038D},
            {Opcode.SMSG_CHAT_PLAYER_AMBIGUOUS, 0x0A85},
            {Opcode.SMSG_CHAT_PLAYER_NOTFOUND, 0x0A0D},
            {Opcode.SMSG_CHAT_RECONNECT, 0x0609},
            {Opcode.SMSG_CHAT_RESTRICTED, 0x0B01},
            {Opcode.SMSG_CHAT_SERVER_MESSAGE, 0x0A01},
            {Opcode.SMSG_CHEAT_IGNORE_DIMISHING_RETURNS, 0x0563},
            {Opcode.SMSG_CHECK_WARGAME_ENTRY, 0x16F4},
            {Opcode.SMSG_CLEAR_ALL_SPELL_CHARGES, 0x10B3},
            {Opcode.SMSG_CLEAR_BOSS_EMOTES, 0x0FE8},
            {Opcode.SMSG_CLEAR_COOLDOWN, 0x0AC3},
            {Opcode.SMSG_CLEAR_COOLDOWNS, 0x0580},
            {Opcode.SMSG_CLEAR_LOSS_OF_CONTROL, 0x07EB},
            {Opcode.SMSG_CLEAR_SPELL_CHARGES, 0x10F3},
            {Opcode.SMSG_CLEAR_TARGET, 0x0E44},
            {Opcode.SMSG_COIN_REMOVED, 0x02E4},
            {Opcode.SMSG_COMBAT_EVENT_FAILED, 0x06C3},
            {Opcode.SMSG_COMMENTATOR_MAP_INFO, 0x0B44},
            {Opcode.SMSG_COMMENTATOR_PLAYER_INFO, 0x0B64},
            {Opcode.SMSG_COMMENTATOR_STATE_CHANGED, 0x07DF},
            {Opcode.SMSG_COMPLAINT_RESULT, 0x0F80},
            {Opcode.SMSG_COMPLETE_SHIPMENT_RESPONSE, 0x0E6C},
            {Opcode.SMSG_CONNECT_TO, 0x0284},
            {Opcode.SMSG_CONQUEST_FORMULA_CONSTANTS, 0x026C},
            {Opcode.SMSG_CONSOLE_WRITE, 0x067F},
            {Opcode.SMSG_CONTACT_LIST, 0x1A6F},
            {Opcode.SMSG_CONTROL_UPDATE, 0x07D0},
            {Opcode.SMSG_CONVERT_RUNE, 0x0368},
            {Opcode.SMSG_COOLDOWN_CHEAT, 0x1658},
            {Opcode.SMSG_COOLDOWN_EVENT, 0x0BDB},
            {Opcode.SMSG_CORPSE_LOCATION, 0x12C3},
            {Opcode.SMSG_CORPSE_RECLAIM_DELAY, 0x1BC7},
            {Opcode.SMSG_CORPSE_TRANSPORT_QUERY, 0x03EC},
            {Opcode.SMSG_CREATE_CHAR, 0x0B5B},
            {Opcode.SMSG_CREATE_SHIPMENT_RESPONSE, 0x0EFF},
            {Opcode.SMSG_CRITERIA_DELETED, 0x0E53},
            {Opcode.SMSG_CRITERIA_UPDATE, 0x0667},
            {Opcode.SMSG_CROSSED_INEBRIATION_THRESHOLD, 0x12EF},
            {Opcode.SMSG_CUSTOM_LOAD_SCREEN, 0x177C},
            {Opcode.SMSG_DAILY_QUESTS_RESET, 0x112D},
            {Opcode.SMSG_DAMAGE_CALC_LOG, 0x03F8},
            {Opcode.SMSG_DANCE_STUDIO_CREATE_RESULT, 0x1280},
            {Opcode.SMSG_DB_REPLY, 0x0E7B},
            {Opcode.SMSG_DEATH_RELEASE_LOC, 0x12FF},
            {Opcode.SMSG_DEFENSE_MESSAGE, 0x0686},
            {Opcode.SMSG_DELETE_CHAR, 0x13DF},
            {Opcode.SMSG_DESTROY_ARENA_UNIT, 0x037B},
            {Opcode.SMSG_DESTRUCTIBLE_BUILDING_DAMAGE, 0x03CC},
            {Opcode.SMSG_DIFFERENT_INSTANCE_FROM_PARTY, 0x0BE7},
            {Opcode.SMSG_DISENCHANT_CREDIT, 0x0BD8},
            {Opcode.SMSG_DISMOUNT, 0x0AE0},
            {Opcode.SMSG_DISMOUNT_RESULT, 0x0680},
            {Opcode.SMSG_DISPEL_FAILED, 0x0073},
            {Opcode.SMSG_DISPLAY_GAME_ERROR, 0x13EF},
            {Opcode.SMSG_DISPLAY_PLAYER_CHOICE, 0x1BEB},
            {Opcode.SMSG_DISPLAY_PROMOTION, 0x164C},
            {Opcode.SMSG_DISPLAY_QUEST_POPUP, 0x0631},
            {Opcode.SMSG_DISPLAY_TOAST, 0x13C4},
            {Opcode.SMSG_DONT_AUTO_PUSH_SPELLS_TO_ACTION_BAR, 0x1274},
            {Opcode.SMSG_DROP_NEW_CONNECTION, 0x0228},
            {Opcode.SMSG_DUEL_COMPLETE, 0x0B6F},
            {Opcode.SMSG_DUEL_COUNTDOWN, 0x03E8},
            {Opcode.SMSG_DUEL_IN_BOUNDS, 0x0AF4},
            {Opcode.SMSG_DUEL_OUT_OF_BOUNDS, 0x1254},
            {Opcode.SMSG_DUEL_REQUESTED, 0x07FB},
            {Opcode.SMSG_DUEL_WINNER, 0x0B78},
            {Opcode.SMSG_DURABILITY_DAMAGE_DEATH, 0x1AD8},
            {Opcode.SMSG_EMOTE, 0x06C4},
            {Opcode.SMSG_ENABLE_BARBER_SHOP, 0x1774},
            {Opcode.SMSG_ENCHANTMENT_LOG, 0x16CF},
            {Opcode.SMSG_ENCOUNTER_END, 0x1AE8},
            {Opcode.SMSG_ENCOUNTER_START, 0x0F5B},
            {Opcode.SMSG_ENUM_CHARACTERS_RESULT, 0x17D8},
            {Opcode.SMSG_ENVIRONMENTAL_DAMAGE_LOG, 0x10EC},
            {Opcode.SMSG_EQUIPMENT_SET_ID, 0x1AC7},
            {Opcode.SMSG_EXPECTED_SPAM_RECORDS, 0x0386},
            {Opcode.SMSG_EXPLORATION_EXPERIENCE, 0x0780},
            {Opcode.SMSG_FACTION_BONUS_INFO, 0x1248},
            {Opcode.SMSG_FAILED_PLAYER_CONDITION, 0x035C},
            {Opcode.SMSG_FEATURE_SYSTEM_STATUS, 0x1AC4},
            {Opcode.SMSG_FEATURE_SYSTEM_STATUS_GLUE_SCREEN, 0x0753},
            {Opcode.SMSG_FEIGN_DEATH_RESISTED, 0x174B},
            {Opcode.SMSG_FISH_ESCAPED, 0x0AF0},
            {Opcode.SMSG_FISH_NOT_HOOKED, 0x13FF},
            {Opcode.SMSG_FLIGHT_SPLINE_SYNC, 0x09E1},
            {Opcode.SMSG_FORCED_DEATH_UPDATE, 0x074C},
            {Opcode.SMSG_FORCE_ANIM, 0x0E4B},
            {Opcode.SMSG_FORCE_OBJECT_RELINK, 0x0A4B},
            {Opcode.SMSG_FRIEND_STATUS, 0x17EB},
            {Opcode.SMSG_GAME_OBJECT_ACTIVATE_ANIM_KIT, 0x0EDC},
            {Opcode.SMSG_GAME_OBJECT_CUSTOM_ANIM, 0x1ACC},
            {Opcode.SMSG_GAME_OBJECT_DESPAWN, 0x137F},
            {Opcode.SMSG_GAME_OBJECT_PLAY_SPELL_VISUAL, 0x0473},
            {Opcode.SMSG_GAME_OBJECT_PLAY_SPELL_VISUAL_KIT, 0x10E3},
            {Opcode.SMSG_GAME_OBJECT_RESET_STATE, 0x02EB},
            {Opcode.SMSG_GAME_OBJECT_UI_ACTION, 0x17CB},
            {Opcode.SMSG_GAME_SPEED_SET, 0x0678},
            {Opcode.SMSG_GAME_TIME_SET, 0x1768},
            {Opcode.SMSG_GAME_TIME_UPDATE, 0x16F0},
            {Opcode.SMSG_GARRISON_ADD_FOLLOWER_RESULT, 0x113A},
            {Opcode.SMSG_GARRISON_ADD_MISSION_RESULT, 0x1135},
            {Opcode.SMSG_GARRISON_ASSIGN_FOLLOWER_TO_BUILDING_RESULT, 0x1931},
            {Opcode.SMSG_GARRISON_BUILDING_ACTIVATED, 0x151A},
            {Opcode.SMSG_GARRISON_BUILDING_LANDMARKS, 0x14B6},
            {Opcode.SMSG_GARRISON_BUILDING_REMOVED, 0x113D},
            {Opcode.SMSG_GARRISON_BUILDING_SET_ACTIVE_SPECIALIZATION_RESULT, 0x199E},
            {Opcode.SMSG_GARRISON_CLEAR_ALL_FOLLOWERS_EXHAUSTION, 0x1436},
            {Opcode.SMSG_GARRISON_COMPLETE_MISSION_RESULT, 0x189E},
            {Opcode.SMSG_GARRISON_CREATE_RESULT, 0x1519},
            {Opcode.SMSG_GARRISON_DELETE_RESULT, 0x1836},
            {Opcode.SMSG_GARRISON_FOLLOWER_CHANGED_ABILITIES, 0x1119},
            {Opcode.SMSG_GARRISON_FOLLOWER_CHANGED_ITEM_LEVEL, 0x1111},
            {Opcode.SMSG_GARRISON_FOLLOWER_CHANGED_STATUS, 0x1532},
            {Opcode.SMSG_GARRISON_FOLLOWER_CHANGED_XP, 0x1599},
            {Opcode.SMSG_GARRISON_IS_UPGRADEABLE_RESULT, 0x10BA},
            {Opcode.SMSG_GARRISON_LANDING_PAGE_SHIPMENT_INFO, 0x1AF7},
            {Opcode.SMSG_GARRISON_LEARN_BLUEPRINT_RESULT, 0x1819},
            {Opcode.SMSG_GARRISON_LEARN_SPECIALIZATION_RESULT, 0x1095},
            {Opcode.SMSG_GARRISON_LIST_FOLLOWERS_CHEAT_RESULT, 0x1996},
            {Opcode.SMSG_GARRISON_LIST_MISSIONS_CHEAT_RESULT, 0x183E},
            {Opcode.SMSG_GARRISON_MISSION_AREA_BONUS_ADDED, 0x143D},
            {Opcode.SMSG_GARRISON_MISSION_BONUS_ROLL_RESULT, 0x14B2},
            {Opcode.SMSG_GARRISON_MISSION_UPDATE_CAN_START, 0x18BE},
            {Opcode.SMSG_GARRISON_NUM_FOLLOWER_ACTIVATIONS_REMAINING, 0x1832},
            {Opcode.SMSG_GARRISON_OPEN_ARCHITECT, 0x1195},
            {Opcode.SMSG_GARRISON_OPEN_MISSION_NPC, 0x159A},
            {Opcode.SMSG_GARRISON_OPEN_RECRUITMENT_NPC, 0x1C12},
            {Opcode.SMSG_GARRISON_OPEN_TRADESKILL_NPC, 0x141E},
            {Opcode.SMSG_GARRISON_PLACE_BUILDING_RESULT, 0x1992},
            {Opcode.SMSG_GARRISON_PLOT_PLACED, 0x1191},
            {Opcode.SMSG_GARRISON_PLOT_REMOVED, 0x1C16},
            {Opcode.SMSG_GARRISON_RECALL_PORTAL_LAST_USED_TIME, 0x14B5},
            {Opcode.SMSG_GARRISON_RECALL_PORTAL_USED, 0x1516},
            {Opcode.SMSG_GARRISON_RECRUITMENT_FOLLOWERS_GENERATED, 0x159E},
            {Opcode.SMSG_GARRISON_RECRUIT_FOLLOWER_RESULT, 0x111D},
            {Opcode.SMSG_GARRISON_REMOTE_INFO, 0x1811},
            {Opcode.SMSG_GARRISON_REMOVE_FOLLOWER_FROM_BUILDING_RESULT, 0x1036},
            {Opcode.SMSG_GARRISON_REMOVE_FOLLOWER_RESULT, 0x18B5},
            {Opcode.SMSG_GARRISON_REQUEST_BLUEPRINT_AND_SPECIALIZATION_DATA_RESULT, 0x1491},
            {Opcode.SMSG_GARRISON_START_MISSION_RESULT, 0x1C1A},
            {Opcode.SMSG_GARRISON_UNLEARN_BLUEPRINT_RESULT, 0x141D},
            {Opcode.SMSG_GARRISON_UPGRADE_RESULT, 0x181E},
            {Opcode.SMSG_GENERATE_RANDOM_CHARACTER_NAME_RESULT, 0x13F7},
            {Opcode.SMSG_GET_ACCOUNT_CHARACTER_LIST_RESULT, 0x03CB},
            {Opcode.SMSG_GET_DISPLAYED_TROPHY_LIST_RESPONSE, 0x18B2},
            {Opcode.SMSG_GET_GARRISON_INFO_RESULT, 0x1196},
            {Opcode.SMSG_GET_SHIPMENTS_OF_TYPE_RESPONSE, 0x17FB},
            {Opcode.SMSG_GET_SHIPMENT_INFO_RESPONSE, 0x0BF7},
            {Opcode.SMSG_GET_TROPHY_LIST_RESPONSE, 0x1648},
            {Opcode.SMSG_GM_PLAYER_INFO, 0x1400},
            {Opcode.SMSG_GM_REQUEST_PLAYER_INFO, 0x074F},
            {Opcode.SMSG_GM_TICKET_CASE_STATUS, 0x17C7},
            {Opcode.SMSG_GM_TICKET_SYSTEM_STATUS, 0x1680},
            {Opcode.SMSG_GOD_MODE, 0x074B},
            {Opcode.SMSG_GOSSIP_COMPLETE, 0x15A2},
            {Opcode.SMSG_GOSSIP_MESSAGE, 0x0351},
            {Opcode.SMSG_GOSSIP_POI, 0x174C},
            {Opcode.SMSG_GROUP_ACTION_THROTTLED, 0x0AFC},
            {Opcode.SMSG_GROUP_DECLINE, 0x1667},
            {Opcode.SMSG_GROUP_DESTROYED, 0x02EC},
            {Opcode.SMSG_GROUP_NEW_LEADER, 0x1AF3},
            {Opcode.SMSG_GROUP_UNINVITE, 0x176C},
            {Opcode.SMSG_GUILD_ACHIEVEMENT_DELETED, 0x1448},
            {Opcode.SMSG_GUILD_ACHIEVEMENT_EARNED, 0x1543},
            {Opcode.SMSG_GUILD_ACHIEVEMENT_MEMBERS, 0x1498},
            {Opcode.SMSG_GUILD_BANK_LOG_QUERY_RESULTS, 0x1413},
            {Opcode.SMSG_GUILD_BANK_QUERY_RESULTS, 0x140B},
            {Opcode.SMSG_GUILD_BANK_REMAINING_WITHDRAW_MONEY, 0x1483},
            {Opcode.SMSG_GUILD_BANK_TEXT_QUERY_RESULT, 0x155C},
            {Opcode.SMSG_GUILD_CHALLENGE_COMPLETED, 0x1497},
            {Opcode.SMSG_GUILD_CHALLENGE_UPDATE, 0x140F},
            {Opcode.SMSG_GUILD_CHANGE_NAME_RESULT, 0x14CB},
            {Opcode.SMSG_GUILD_COMMAND_RESULT, 0x150B},
            {Opcode.SMSG_GUILD_CRITERIA_DELETED, 0x1508},
            {Opcode.SMSG_GUILD_CRITERIA_UPDATE, 0x145F},
            {Opcode.SMSG_GUILD_EVENT_BANK_CONTENTS_CHANGED, 0x1554},
            {Opcode.SMSG_GUILD_EVENT_BANK_MONEY_CHANGED, 0x1418},
            {Opcode.SMSG_GUILD_EVENT_DISBANDED, 0x1490},
            {Opcode.SMSG_GUILD_EVENT_LOG_QUERY_RESULTS, 0x1457},
            {Opcode.SMSG_GUILD_EVENT_MOTD, 0x14CF},
            {Opcode.SMSG_GUILD_EVENT_NEW_LEADER, 0x1417},
            {Opcode.SMSG_GUILD_EVENT_PLAYER_JOINED, 0x1514},
            {Opcode.SMSG_GUILD_EVENT_PLAYER_LEFT, 0x14D3},
            {Opcode.SMSG_GUILD_EVENT_PRESENCE_CHANGE, 0x151F},
            {Opcode.SMSG_GUILD_EVENT_RANKS_UPDATED, 0x1560},
            {Opcode.SMSG_GUILD_EVENT_RANK_CHANGED, 0x14C4},
            {Opcode.SMSG_GUILD_EVENT_TAB_ADDED, 0x1513},
            {Opcode.SMSG_GUILD_EVENT_TAB_DELETED, 0x14E0},
            {Opcode.SMSG_GUILD_EVENT_TAB_MODIFIED, 0x149C},
            {Opcode.SMSG_GUILD_EVENT_TAB_TEXT_CHANGED, 0x1558},
            {Opcode.SMSG_GUILD_FLAGGED_FOR_RENAME, 0x145B},
            {Opcode.SMSG_GUILD_INVITE, 0x155F},
            {Opcode.SMSG_GUILD_INVITE_DECLINED, 0x1454},
            {Opcode.SMSG_GUILD_INVITE_EXPIRED, 0x1520},
            {Opcode.SMSG_GUILD_KNOWN_RECIPES, 0x1407},
            {Opcode.SMSG_GUILD_MEMBERS_WITH_RECIPE, 0x1420},
            {Opcode.SMSG_GUILD_MEMBER_DAILY_RESET, 0x150C},
            {Opcode.SMSG_GUILD_MEMBER_RECIPES, 0x1458},
            {Opcode.SMSG_GUILD_MEMBER_UPDATE_NOTE, 0x1414},
            {Opcode.SMSG_GUILD_MOVED, 0x1553},
            {Opcode.SMSG_GUILD_MOVE_STARTING, 0x1488},
            {Opcode.SMSG_GUILD_NAME_CHANGED, 0x14D4},
            {Opcode.SMSG_GUILD_NEWS, 0x1557},
            {Opcode.SMSG_GUILD_NEWS_DELETED, 0x1487},
            {Opcode.SMSG_GUILD_PARTY_STATE, 0x151C},
            {Opcode.SMSG_GUILD_PERMISSIONS_QUERY_RESULTS, 0x1544},
            {Opcode.SMSG_GUILD_RANKS, 0x150F},
            {Opcode.SMSG_GUILD_REPUTATION_REACTION_CHANGED, 0x141B},
            {Opcode.SMSG_GUILD_RESET, 0x155B},
            {Opcode.SMSG_GUILD_REWARD_LIST, 0x1410},
            {Opcode.SMSG_GUILD_ROSTER, 0x1408},
            {Opcode.SMSG_GUILD_ROSTER_UPDATE, 0x1517},
            {Opcode.SMSG_GUILD_SEND_RANK_CHANGE, 0x149F},
            {Opcode.SMSG_HEALTH_UPDATE, 0x0B58},
            {Opcode.SMSG_HIGHEST_THREAT_UPDATE, 0x0F53},
            {Opcode.SMSG_HOTFIX_NOTIFY, 0x0BEC},
            {Opcode.SMSG_HOTFIX_NOTIFY_BLOB, 0x0748},
            {Opcode.SMSG_INCREASE_CAST_TIME_FOR_SPELL, 0x1163},
            {Opcode.SMSG_INITIALIZE_FACTIONS, 0x0EC4},
            {Opcode.SMSG_INITIAL_SETUP, 0x07F0},
            {Opcode.SMSG_INIT_WORLD_STATES, 0x0770},
            {Opcode.SMSG_INSPECT_HONOR_STATS, 0x1B77},
            {Opcode.SMSG_INSPECT_PVP, 0x065F},
            {Opcode.SMSG_INSPECT_RESULT, 0x0F7B},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_CHANGE_PRIORITY, 0x06E7},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_DISENGAGE_UNIT, 0x12D4},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_END, 0x02C4},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_ENGAGE_UNIT, 0x06D4},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_GAIN_COMBAT_RESURRECTION_CHARGE, 0x0B54},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_IN_COMBAT_RESURRECTION, 0x0253},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_OBJECTIVE_COMPLETE, 0x06F8},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_OBJECTIVE_START, 0x0400},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_OBJECTIVE_UPDATE, 0x0EEB},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_PHASE_SHIFT_CHANGED, 0x1374},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_START, 0x0B53},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_TIMER_START, 0x0350},
            {Opcode.SMSG_INSTANCE_GROUP_SIZE_CHANGED, 0x0E77},
            {Opcode.SMSG_INSTANCE_INFO, 0x0AE8},
            {Opcode.SMSG_INSTANCE_RESET, 0x07E3},
            {Opcode.SMSG_INSTANCE_RESET_FAILED, 0x17D4},
            {Opcode.SMSG_INSTANCE_SAVE_CREATED, 0x0ED4},
            {Opcode.SMSG_INVALIDATE_PLAYER, 0x166B},
            {Opcode.SMSG_INVALID_PROMOTION_CODE, 0x0AF8},
            {Opcode.SMSG_INVENTORY_CHANGE_FAILURE, 0x1268},
            {Opcode.SMSG_IS_QUEST_COMPLETE_RESPONSE, 0x1D26},
            {Opcode.SMSG_ITEM_CHANGED, 0x1744},
            {Opcode.SMSG_ITEM_COOLDOWN, 0x0E5C},
            {Opcode.SMSG_ITEM_ENCHANT_TIME_UPDATE, 0x1A50},
            {Opcode.SMSG_ITEM_EXPIRE_PURCHASE_REFUND, 0x1A7B},
            {Opcode.SMSG_ITEM_PURCHASE_REFUND_RESULT, 0x126C},
            {Opcode.SMSG_ITEM_PUSH_RESULT, 0x1370},
            {Opcode.SMSG_ITEM_TIME_UPDATE, 0x13EC},
            {Opcode.SMSG_KICK_REASON, 0x0EFB},
            {Opcode.SMSG_LEARNED_SPELLS, 0x05A7},
            {Opcode.SMSG_LEARN_TALENT_FAILED, 0x0E43},
            {Opcode.SMSG_LEVEL_UP_INFO, 0x1643},
            {Opcode.SMSG_LFG_BOOT_PLAYER, 0x100F},
            {Opcode.SMSG_LFG_DISABLED, 0x108B},
            {Opcode.SMSG_LFG_JOIN_RESULT, 0x114F},
            {Opcode.SMSG_LFG_LIST_JOIN_RESULT, 0x109F},
            {Opcode.SMSG_LFG_LIST_SEARCH_RESULTS, 0x110B},
            {Opcode.SMSG_LFG_LIST_SEARCH_STATUS, 0x1008},
            {Opcode.SMSG_LFG_LIST_UPDATE_BLACKLIST, 0x1048},
            {Opcode.SMSG_LFG_LIST_UPDATE_STATUS, 0x1157},
            {Opcode.SMSG_LFG_OFFER_CONTINUE, 0x1060},
            {Opcode.SMSG_LFG_PARTY_INFO, 0x1097},
            {Opcode.SMSG_LFG_PLAYER_INFO, 0x1187},
            {Opcode.SMSG_LFG_PLAYER_REWARD, 0x1103},
            {Opcode.SMSG_LFG_PROPOSAL_UPDATE, 0x110F},
            {Opcode.SMSG_LFG_QUEUE_STATUS, 0x1117},
            {Opcode.SMSG_LFG_READY_CHECK_RESULT, 0x115B},
            {Opcode.SMSG_LFG_READY_CHECK_UPDATE, 0x1007},
            {Opcode.SMSG_LFG_ROLE_CHECK_UPDATE, 0x1058},
            {Opcode.SMSG_LFG_SEARCH_RESULTS, 0x1014},
            {Opcode.SMSG_LFG_SLOT_INVALID, 0x101B},
            {Opcode.SMSG_LFG_TELEPORT_DENIED, 0x1053},
            {Opcode.SMSG_LFG_UPDATE_STATUS, 0x1010},
            {Opcode.SMSG_LF_GUILD_APPLICANT_LIST_CHANGED, 0x1587},
            {Opcode.SMSG_LF_GUILD_APPLICATIONS, 0x1460},
            {Opcode.SMSG_LF_GUILD_APPLICATIONS_LIST_CHANGED, 0x1503},
            {Opcode.SMSG_LF_GUILD_BROWSE, 0x154C},
            {Opcode.SMSG_LF_GUILD_COMMAND_RESULT, 0x148B},
            {Opcode.SMSG_LF_GUILD_POST, 0x1450},
            {Opcode.SMSG_LF_GUILD_RECRUITS, 0x1453},
            {Opcode.SMSG_LIVE_REGION_ACCOUNT_RESTORE_RESULT, 0x0AC7},
            {Opcode.SMSG_LIVE_REGION_CHARACTER_COPY_RESULT, 0x1E48},
            {Opcode.SMSG_LIVE_REGION_GET_ACCOUNT_CHARACTER_LIST_RESULT, 0x0AEF},
            {Opcode.SMSG_LOAD_CUF_PROFILES, 0x17C4},
            {Opcode.SMSG_LOAD_EQUIPMENT_SET, 0x0360},
            {Opcode.SMSG_LOAD_SELECTED_TROPHY_RESULT, 0x0BDC},
            {Opcode.SMSG_LOGIN_SET_TIME_SPEED, 0x1BEC},
            {Opcode.SMSG_LOGIN_VERIFY_WORLD, 0x12C8},
            {Opcode.SMSG_LOGOUT_CANCEL_ACK, 0x17E4},
            {Opcode.SMSG_LOGOUT_COMPLETE, 0x16EF},
            {Opcode.SMSG_LOGOUT_RESPONSE, 0x0664},
            {Opcode.SMSG_LOG_XP_GAIN, 0x12F4},
            {Opcode.SMSG_LOOT_ALL_PASSED, 0x076B},
            {Opcode.SMSG_LOOT_CONTENTS, 0x1B5C},
            {Opcode.SMSG_LOOT_ITEM_LIST, 0x1AE7},
            {Opcode.SMSG_LOOT_LIST, 0x16E4},
            {Opcode.SMSG_LOOT_MONEY_NOTIFY, 0x167F},
            {Opcode.SMSG_LOOT_RELEASE, 0x12E7},
            {Opcode.SMSG_LOOT_RELEASE_ALL, 0x0FC4},
            {Opcode.SMSG_LOOT_REMOVED, 0x03F4},
            {Opcode.SMSG_LOOT_RESPONSE, 0x167B},
            {Opcode.SMSG_LOOT_ROLL, 0x16C7},
            {Opcode.SMSG_LOOT_ROLLS_COMPLETE, 0x034F},
            {Opcode.SMSG_LOOT_ROLL_WON, 0x06EC},
            {Opcode.SMSG_LOSS_OF_CONTROL_AURA_UPDATE, 0x0254},
            {Opcode.SMSG_MAIL_COMMAND_RESULT, 0x06D0},
            {Opcode.SMSG_MAIL_LIST_RESULT, 0x16EC},
            {Opcode.SMSG_MAIL_QUERY_NEXT_TIME_RESULT, 0x136C},
            {Opcode.SMSG_MAP_OBJECTIVES_INIT, 0x0BD3},
            {Opcode.SMSG_MAP_OBJ_EVENTS, 0x16D0},
            {Opcode.SMSG_MASTER_LOOT_CANDIDATE_LIST, 0x1A5C},
            {Opcode.SMSG_MESSAGE_BOX, 0x1347},
            {Opcode.SMSG_MINIMAP_PING, 0x1BFC},
            {Opcode.SMSG_MIRROR_IMAGE_COMPONENTED_DATA, 0x01BF},
            {Opcode.SMSG_MIRROR_IMAGE_CREATURE_DATA, 0x0540},
            {Opcode.SMSG_MISSILE_CANCEL, 0x174F},
            {Opcode.SMSG_MODIFY_COOLDOWN, 0x13C7},
            {Opcode.SMSG_MOTD, 0x0206},
            {Opcode.SMSG_MOUNT_RESULT, 0x16FC},
            {Opcode.SMSG_MOVE_APPLY_MOVEMENT_FORCE, 0x0C62},
            {Opcode.SMSG_MOVE_DISABLE_COLLISION, 0x0102},
            {Opcode.SMSG_MOVE_DISABLE_GRAVITY, 0x0D02},
            {Opcode.SMSG_MOVE_DISABLE_TRANSITION_BETWEEN_SWIM_AND_FLY, 0x0D3A},
            {Opcode.SMSG_MOVE_ENABLE_COLLISION, 0x0576},
            {Opcode.SMSG_MOVE_ENABLE_GRAVITY, 0x08ED},
            {Opcode.SMSG_MOVE_ENABLE_TRANSITION_BETWEEN_SWIM_AND_FLY, 0x0906},
            {Opcode.SMSG_MOVE_KNOCK_BACK, 0x0026},
            {Opcode.SMSG_MOVE_REMOVE_MOVEMENT_FORCE, 0x01E2},
            {Opcode.SMSG_MOVE_ROOT, 0x0471},
            {Opcode.SMSG_MOVE_SET_ACTIVE_MOVER, 0x0175},
            {Opcode.SMSG_MOVE_SET_CAN_FLY, 0x05E9},
            {Opcode.SMSG_MOVE_SET_CAN_TURN_WHILE_FALLING, 0x00FA},
            {Opcode.SMSG_MOVE_SET_COLLISION_HEIGHT, 0x086E},
            {Opcode.SMSG_MOVE_SET_COMPOUND_STATE, 0x002D},
            {Opcode.SMSG_MOVE_SET_FEATHER_FALL, 0x0425},
            {Opcode.SMSG_MOVE_SET_FLIGHT_BACK_SPEED, 0x0D0D},
            {Opcode.SMSG_MOVE_SET_FLIGHT_SPEED, 0x08BD},
            {Opcode.SMSG_MOVE_SET_HOVERING, 0x04EA},
            {Opcode.SMSG_MOVE_SET_IGNORE_MOVEMENT_FORCES, 0x05B5},
            {Opcode.SMSG_MOVE_SET_LAND_WALK, 0x09A1},
            {Opcode.SMSG_MOVE_SET_NORMAL_FALL, 0x00F6},
            {Opcode.SMSG_MOVE_SET_PITCH_RATE, 0x042D},
            {Opcode.SMSG_MOVE_SET_RUN_BACK_SPEED, 0x0875},
            {Opcode.SMSG_MOVE_SET_RUN_SPEED, 0x04FD},
            {Opcode.SMSG_MOVE_SET_SWIM_BACK_SPEED, 0x0D72},
            {Opcode.SMSG_MOVE_SET_SWIM_SPEED, 0x0961},
            {Opcode.SMSG_MOVE_SET_TURN_RATE, 0x0DB6},
            {Opcode.SMSG_MOVE_SET_VEHICLE_REC_ID, 0x08E6},
            {Opcode.SMSG_MOVE_SET_WALK_SPEED, 0x0872},
            {Opcode.SMSG_MOVE_SET_WATER_WALK, 0x00F1},
            {Opcode.SMSG_MOVE_SKIP_TIME, 0x0829},
            {Opcode.SMSG_MOVE_SPLINE_DISABLE_COLLISION, 0x0C71},
            {Opcode.SMSG_MOVE_SPLINE_DISABLE_GRAVITY, 0x0465},
            {Opcode.SMSG_MOVE_SPLINE_ENABLE_COLLISION, 0x0062},
            {Opcode.SMSG_MOVE_SPLINE_ENABLE_GRAVITY, 0x0171},
            {Opcode.SMSG_MOVE_SPLINE_ROOT, 0x05E2},
            {Opcode.SMSG_MOVE_SPLINE_SET_FEATHER_FALL, 0x08A6},
            {Opcode.SMSG_MOVE_SPLINE_SET_FLIGHT_BACK_SPEED, 0x05F1},
            {Opcode.SMSG_MOVE_SPLINE_SET_FLIGHT_SPEED, 0x0D01},
            {Opcode.SMSG_MOVE_SPLINE_SET_FLYING, 0x0475},
            {Opcode.SMSG_MOVE_SPLINE_SET_HOVER, 0x00ED},
            {Opcode.SMSG_MOVE_SPLINE_SET_LAND_WALK, 0x04A6},
            {Opcode.SMSG_MOVE_SPLINE_SET_NORMAL_FALL, 0x0C79},
            {Opcode.SMSG_MOVE_SPLINE_SET_PITCH_RATE, 0x0D79},
            {Opcode.SMSG_MOVE_SPLINE_SET_RUN_BACK_SPEED, 0x053A},
            {Opcode.SMSG_MOVE_SPLINE_SET_RUN_MODE, 0x040E},
            {Opcode.SMSG_MOVE_SPLINE_SET_RUN_SPEED, 0x0DE1},
            {Opcode.SMSG_MOVE_SPLINE_SET_SWIM_BACK_SPEED, 0x0031},
            {Opcode.SMSG_MOVE_SPLINE_SET_SWIM_SPEED, 0x05F2},
            {Opcode.SMSG_MOVE_SPLINE_SET_TURN_RATE, 0x002A},
            {Opcode.SMSG_MOVE_SPLINE_SET_WALK_MODE, 0x09AE},
            {Opcode.SMSG_MOVE_SPLINE_SET_WALK_SPEED, 0x0401},
            {Opcode.SMSG_MOVE_SPLINE_SET_WATER_WALK, 0x0865},
            {Opcode.SMSG_MOVE_SPLINE_START_SWIM, 0x00BD},
            {Opcode.SMSG_MOVE_SPLINE_STOP_SWIM, 0x01E9},
            {Opcode.SMSG_MOVE_SPLINE_UNROOT, 0x0032},
            {Opcode.SMSG_MOVE_SPLINE_UNSET_FLYING, 0x057E},
            {Opcode.SMSG_MOVE_SPLINE_UNSET_HOVER, 0x0D4D},
            {Opcode.SMSG_MOVE_TELEPORT, 0x0D2D},
            {Opcode.SMSG_MOVE_UNROOT, 0x0876},
            {Opcode.SMSG_MOVE_UNSET_CAN_FLY, 0x1006},
            {Opcode.SMSG_MOVE_UNSET_CAN_TURN_WHILE_FALLING, 0x0DF9},
            {Opcode.SMSG_MOVE_UNSET_HOVERING, 0x0535},
            {Opcode.SMSG_MOVE_UNSET_IGNORE_MOVEMENT_FORCES, 0x0435},
            {Opcode.SMSG_MOVE_UPDATE, 0x0439},
            {Opcode.SMSG_MOVE_UPDATE_APPLY_MOVEMENT_FORCE, 0x007E},
            {Opcode.SMSG_MOVE_UPDATE_COLLISION_HEIGHT, 0x0C0E},
            {Opcode.SMSG_MOVE_UPDATE_FLIGHT_BACK_SPEED, 0x097D},
            {Opcode.SMSG_MOVE_UPDATE_FLIGHT_SPEED, 0x0CA9},
            {Opcode.SMSG_MOVE_UPDATE_KNOCK_BACK, 0x0CE2},
            {Opcode.SMSG_MOVE_UPDATE_PITCH_RATE, 0x04FE},
            {Opcode.SMSG_MOVE_UPDATE_REMOVE_MOVEMENT_FORCE, 0x0DF6},
            {Opcode.SMSG_MOVE_UPDATE_RUN_BACK_SPEED, 0x100A},
            {Opcode.SMSG_MOVE_UPDATE_RUN_SPEED, 0x0CEA},
            {Opcode.SMSG_MOVE_UPDATE_SWIM_BACK_SPEED, 0x0902},
            {Opcode.SMSG_MOVE_UPDATE_SWIM_SPEED, 0x0D75},
            {Opcode.SMSG_MOVE_UPDATE_TELEPORT, 0x0D09},
            {Opcode.SMSG_MOVE_UPDATE_TURN_RATE, 0x05A2},
            {Opcode.SMSG_MOVE_UPDATE_WALK_SPEED, 0x0DA5},
            {Opcode.SMSG_NEUTRAL_PLAYER_FACTION_SELECT_RESULT, 0x1A73},
            {Opcode.SMSG_NEW_TAXI_PATH, 0x0BFF},
            {Opcode.SMSG_NEW_WORLD, 0x0AEB},
            {Opcode.SMSG_NOTIFY_DEST_LOC_SPELL_CAST, 0x05F3},
            {Opcode.SMSG_NOTIFY_MISSILE_TRAJECTORY_COLLISION, 0x0A74},
            {Opcode.SMSG_NOTIFY_MONEY, 0x1BCC},
            {Opcode.SMSG_NOTIFY_RECEIVED_MAIL, 0x0A73},
            {Opcode.SMSG_OFFER_PETITION_ERROR, 0x13F4},
            {Opcode.SMSG_ON_CANCEL_EXPECTED_RIDE_VEHICLE_AURA, 0x1B54},
            {Opcode.SMSG_ON_MONSTER_MOVE, 0x043A},
            {Opcode.SMSG_OPEN_CONTAINER, 0x07D8},
            {Opcode.SMSG_OPEN_LFG_DUNGEON_FINDER, 0x114C},
            {Opcode.SMSG_OPEN_SHIPMENT_NPC_FROM_GOSSIP, 0x1657},
            {Opcode.SMSG_OPEN_SHIPMENT_NPC_RESULT, 0x16E8},
            {Opcode.SMSG_OVERRIDE_LIGHT, 0x13CC},
            {Opcode.SMSG_PAGE_TEXT, 0x03FB},
            {Opcode.SMSG_PARTY_COMMAND_RESULT, 0x0744},
            {Opcode.SMSG_PARTY_INVITE, 0x07E8},
            {Opcode.SMSG_PARTY_KILL_LOG, 0x03EF},
            {Opcode.SMSG_PARTY_MEMBER_STATE, 0x0EF3},
            {Opcode.SMSG_PARTY_UPDATE, 0x027B},
            {Opcode.SMSG_PAUSE_MIRROR_TIMER, 0x036F},
            {Opcode.SMSG_PENDING_RAID_LOCK, 0x0E64},
            {Opcode.SMSG_PETITION_ALREADY_SIGNED, 0x13D8},
            {Opcode.SMSG_PETITION_RENAME_GUILD_RESPONSE, 0x141F},
            {Opcode.SMSG_PETITION_SHOW_LIST, 0x136B},
            {Opcode.SMSG_PETITION_SHOW_SIGNATURES, 0x0663},
            {Opcode.SMSG_PETITION_SIGN_RESULTS, 0x0FE3},
            {Opcode.SMSG_PET_ACTION_FEEDBACK, 0x07F4},
            {Opcode.SMSG_PET_ACTION_SOUND, 0x0267},
            {Opcode.SMSG_PET_ADDED, 0x12CF},
            {Opcode.SMSG_PET_BATTLE_CHAT_RESTRICTED, 0x1B48},
            {Opcode.SMSG_PET_BATTLE_DEBUG_QUEUE_DUMP_RESPONSE, 0x0377},
            {Opcode.SMSG_PET_BATTLE_FINALIZE_LOCATION, 0x165F},
            {Opcode.SMSG_PET_BATTLE_FINAL_ROUND, 0x02CF},
            {Opcode.SMSG_PET_BATTLE_FINISHED, 0x02F8},
            {Opcode.SMSG_PET_BATTLE_FIRST_ROUND, 0x03E3},
            {Opcode.SMSG_PET_BATTLE_INITIAL_UPDATE, 0x0B80},
            {Opcode.SMSG_PET_BATTLE_MAX_GAME_LENGTH_WARNING, 0x1AC8},
            {Opcode.SMSG_PET_BATTLE_PVP_CHALLENGE, 0x0A63},
            {Opcode.SMSG_PET_BATTLE_QUEUE_PROPOSE_MATCH, 0x03D3},
            {Opcode.SMSG_PET_BATTLE_QUEUE_STATUS, 0x1BD3},
            {Opcode.SMSG_PET_BATTLE_REPLACEMENTS_MADE, 0x1360},
            {Opcode.SMSG_PET_BATTLE_REQUEST_FAILED, 0x12F0},
            {Opcode.SMSG_PET_BATTLE_ROUND_RESULT, 0x0EC8},
            {Opcode.SMSG_PET_BATTLE_SLOT_UPDATES, 0x0FCB},
            {Opcode.SMSG_PET_CAST_FAILED, 0x11A7},
            {Opcode.SMSG_PET_CLEAR_SPELLS, 0x1134},
            {Opcode.SMSG_PET_DISMISS_SOUND, 0x07F3},
            {Opcode.SMSG_PET_GOD_MODE, 0x1A68},
            {Opcode.SMSG_PET_GUIDS, 0x1BF7},
            {Opcode.SMSG_PET_LEARNED_SPELLS, 0x046F},
            {Opcode.SMSG_PET_MODE, 0x1277},
            {Opcode.SMSG_PET_NAME_INVALID, 0x03F0},
            {Opcode.SMSG_PET_SLOT_UPDATED, 0x13F8},
            {Opcode.SMSG_PET_SPELLS_MESSAGE, 0x10E4},
            {Opcode.SMSG_PET_STABLE_LIST, 0x13D0},
            {Opcode.SMSG_PET_STABLE_RESULT, 0x03C3},
            {Opcode.SMSG_PET_TAME_FAILURE, 0x16E7},
            {Opcode.SMSG_PET_UNLEARNED_SPELLS, 0x053F},
            {Opcode.SMSG_PHASE_SHIFT_CHANGE, 0x137C},
            {Opcode.SMSG_PLAYED_TIME, 0x0EDF},
            {Opcode.SMSG_PLAYER_BOUND, 0x12CB},
            {Opcode.SMSG_PLAYER_SAVE_GUILD_EMBLEM, 0x14C8},
            {Opcode.SMSG_PLAYER_SKINNED, 0x0A48},
            {Opcode.SMSG_PLAYER_TABARD_VENDOR_ACTIVATE, 0x16C3},
            {Opcode.SMSG_PLAY_MUSIC, 0x1B57},
            {Opcode.SMSG_PLAY_OBJECT_SOUND, 0x0A4C},
            {Opcode.SMSG_PLAY_ONE_SHOT_ANIM_KIT, 0x0344},
            {Opcode.SMSG_PLAY_ORPHAN_SPELL_VISUAL, 0x10A3},
            {Opcode.SMSG_PLAY_SCENE, 0x1778},
            {Opcode.SMSG_PLAY_SOUND, 0x0F6F},
            {Opcode.SMSG_PLAY_SPEAKERBOT_SOUND, 0x0AE4},
            {Opcode.SMSG_PLAY_SPELL_VISUAL, 0x11B0},
            {Opcode.SMSG_PLAY_SPELL_VISUAL_KIT, 0x00F3},
            {Opcode.SMSG_PLAY_TIME_WARNING, 0x1ADF},
            {Opcode.SMSG_PONG, 0x0288},
            {Opcode.SMSG_POWER_UPDATE, 0x1BDB},
            {Opcode.SMSG_PRE_RESSURECT, 0x0C00},
            {Opcode.SMSG_PRINT_NOTIFICATION, 0x03FC},
            {Opcode.SMSG_PROC_RESIST, 0x1677},
            {Opcode.SMSG_PROPOSE_LEVEL_GRANT, 0x0A77},
            {Opcode.SMSG_PVP_CREDIT, 0x1673},
            {Opcode.SMSG_PVP_LOG_DATA, 0x0EEF},
            {Opcode.SMSG_PVP_OPTIONS_ENABLED, 0x1BFB},
            {Opcode.SMSG_PVP_SEASON, 0x1BF0},
            {Opcode.SMSG_QUERY_BATTLE_PET_NAME_RESPONSE, 0x0800},
            {Opcode.SMSG_QUERY_CREATURE_RESPONSE, 0x134F},
            {Opcode.SMSG_QUERY_GAME_OBJECT_RESPONSE, 0x03EB},
            {Opcode.SMSG_QUERY_GARRISON_CREATURE_NAME_RESPONSE, 0x15BE},
            {Opcode.SMSG_QUERY_GUILD_INFO_RESPONSE, 0x1507},
            {Opcode.SMSG_QUERY_ITEM_TEXT_RESPONSE, 0x037F},
            {Opcode.SMSG_QUERY_NPC_TEXT_RESPONSE, 0x02F7},
            {Opcode.SMSG_QUERY_PAGE_TEXT_RESPONSE, 0x1B58},
            {Opcode.SMSG_QUERY_PETITION_RESPONSE, 0x1668},
            {Opcode.SMSG_QUERY_PET_NAME_RESPONSE, 0x0E5F},
            {Opcode.SMSG_QUERY_PLAYER_NAME_RESPONSE, 0x17D0},
            {Opcode.SMSG_QUERY_QUEST_INFO_RESPONSE, 0x15AD},
            {Opcode.SMSG_QUERY_TIME_RESPONSE, 0x1B7C},
            {Opcode.SMSG_QUEST_COMPLETION_NPC_RESPONSE, 0x0442},
            {Opcode.SMSG_QUEST_CONFIRM_ACCEPT, 0x0756},
            {Opcode.SMSG_QUEST_FORCE_REMOVED, 0x1525},
            {Opcode.SMSG_QUEST_GIVER_INVALID_QUEST, 0x11A1},
            {Opcode.SMSG_QUEST_GIVER_OFFER_REWARD_MESSAGE, 0x1125},
            {Opcode.SMSG_QUEST_GIVER_QUEST_COMPLETE, 0x1D05},
            {Opcode.SMSG_QUEST_GIVER_QUEST_DETAILS, 0x1921},
            {Opcode.SMSG_QUEST_GIVER_QUEST_FAILED, 0x152D},
            {Opcode.SMSG_QUEST_GIVER_QUEST_LIST_MESSAGE, 0x0259},
            {Opcode.SMSG_QUEST_GIVER_REQUEST_ITEMS, 0x1DAA},
            {Opcode.SMSG_QUEST_GIVER_STATUS, 0x1D02},
            {Opcode.SMSG_QUEST_GIVER_STATUS_MULTIPLE, 0x0735},
            {Opcode.SMSG_QUEST_LOG_FULL, 0x031D},
            {Opcode.SMSG_QUEST_POI_QUERY_RESPONSE, 0x1D82},
            {Opcode.SMSG_QUEST_PUSH_RESULT, 0x1D21},
            {Opcode.SMSG_QUEST_UPDATE_ADD_CREDIT, 0x1D8A},
            {Opcode.SMSG_QUEST_UPDATE_ADD_CREDIT_SIMPLE, 0x0616},
            {Opcode.SMSG_QUEST_UPDATE_ADD_PVP_CREDIT, 0x1501},
            {Opcode.SMSG_QUEST_UPDATE_COMPLETE, 0x1981},
            {Opcode.SMSG_QUEST_UPDATE_FAILED, 0x023E},
            {Opcode.SMSG_QUEST_UPDATE_FAILED_TIMER, 0x1989},
            {Opcode.SMSG_RAF_EMAIL_ENABLED_RESPONSE, 0x0767},
            {Opcode.SMSG_RAID_DIFFICULTY_SET, 0x1368},
            {Opcode.SMSG_RAID_GROUP_ONLY, 0x1B6C},
            {Opcode.SMSG_RAID_INSTANCE_MESSAGE, 0x0306},
            {Opcode.SMSG_RAID_MARKERS_CHANGED, 0x17E7},
            {Opcode.SMSG_RANDOM_ROLL, 0x07DB},
            {Opcode.SMSG_RATED_BATTLEFIELD_INFO, 0x1BD8},
            {Opcode.SMSG_READY_CHECK_COMPLETED, 0x0BD0},
            {Opcode.SMSG_READY_CHECK_RESPONSE, 0x1BDF},
            {Opcode.SMSG_READY_CHECK_STARTED, 0x02C3},
            {Opcode.SMSG_READ_ITEM_RESULT_FAILED, 0x0ED3},
            {Opcode.SMSG_READ_ITEM_RESULT_OK, 0x0AF7},
            {Opcode.SMSG_REALM_QUERY_RESPONSE, 0x0ED8},
            {Opcode.SMSG_REALM_SPLIT, 0x03E7},
            {Opcode.SMSG_RECRUIT_A_FRIEND_RESPONSE, 0x0750},
            {Opcode.SMSG_REFER_A_FRIEND_EXPIRED, 0x17DC},
            {Opcode.SMSG_REFER_A_FRIEND_FAILURE, 0x13E8},
            {Opcode.SMSG_REFRESH_COMPONENT, 0x066B},
            {Opcode.SMSG_REFRESH_SPELL_HISTORY, 0x1038},
            {Opcode.SMSG_REMOVE_ITEM_PASSIVE, 0x0EDB},
            {Opcode.SMSG_REMOVE_LOSS_OF_CONTROL, 0x0364},
            {Opcode.SMSG_REPLACE_TROPHY_RESPONSE, 0x03C7},
            {Opcode.SMSG_REPORT_PVP_PLAYER_AFK_RESULT, 0x135F},
            {Opcode.SMSG_REQUEST_ADDON_LIST, 0x1B47},
            {Opcode.SMSG_REQUEST_CEMETERY_LIST_RESPONSE, 0x1344},
            {Opcode.SMSG_REQUEST_PVP_REWARDS_RESPONSE, 0x1AEB},
            {Opcode.SMSG_RESEARCH_COMPLETE, 0x1AEC},
            {Opcode.SMSG_RESET_COMPRESSION_CONTEXT, 0x0287},
            {Opcode.SMSG_RESET_FAILED_NOTIFY, 0x0270},
            {Opcode.SMSG_RESET_RANGED_COMBAT_TIMER, 0x16E3},
            {Opcode.SMSG_RESET_WEEKLY_CURRENCY, 0x0EF0},
            {Opcode.SMSG_RESPEC_WIPE_CONFIRM, 0x1BE8},
            {Opcode.SMSG_RESPOND_INSPECT_ACHIEVEMENTS, 0x0F4C},
            {Opcode.SMSG_RESUME_CAST_BAR, 0x01B3},
            {Opcode.SMSG_RESUME_COMMS, 0x02A3},
            {Opcode.SMSG_RESUME_TOKEN, 0x1373},
            {Opcode.SMSG_RESURRECT_REQUEST, 0x06FC},
            {Opcode.SMSG_RESYNC_RUNES, 0x13FC},
            {Opcode.SMSG_ROLE_CHANGED_INFORM, 0x16D7},
            {Opcode.SMSG_ROLE_CHOSEN, 0x111B},
            {Opcode.SMSG_ROLE_POLL_INFORM, 0x1663},
            {Opcode.SMSG_RUNE_REGEN_DEBUG, 0x0FD3},
            {Opcode.SMSG_SCENARIO_BOOT, 0x1244},
            {Opcode.SMSG_SCENARIO_COMPLETED, 0x13CB},
            {Opcode.SMSG_SCENARIO_OUT_OF_BOUNDS, 0x12D0},
            {Opcode.SMSG_SCENARIO_POIS, 0x1BE3},
            {Opcode.SMSG_SCENARIO_PROGRESS_UPDATE, 0x0ED7},
            {Opcode.SMSG_SCENARIO_STATE, 0x1364},
            {Opcode.SMSG_SCENE_OBJECT_EVENT, 0x13F0},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_FINAL_ROUND, 0x0F44},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_FINISHED, 0x1758},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_FIRST_ROUND, 0x16EB},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_INITIAL_UPDATE, 0x02E0},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_REPLACEMENTS_MADE, 0x0F7C},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_ROUND_RESULT, 0x0B43},
            {Opcode.SMSG_SCRIPT_CAST, 0x00F4},
            {Opcode.SMSG_SELL_RESPONSE, 0x0EE0},
            {Opcode.SMSG_SEND_ITEM_PASSIVES, 0x1654},
            {Opcode.SMSG_SEND_KNOWN_SPELLS, 0x00EF},
            {Opcode.SMSG_SEND_RAID_TARGET_UPDATE_ALL, 0x1BF4},
            {Opcode.SMSG_SEND_RAID_TARGET_UPDATE_SINGLE, 0x0FCF},
            {Opcode.SMSG_SEND_SPELL_CHARGES, 0x05FC},
            {Opcode.SMSG_SEND_SPELL_HISTORY, 0x01F0},
            {Opcode.SMSG_SEND_UNLEARN_SPELLS, 0x05B3},
            {Opcode.SMSG_SERVER_FIRST_ACHIEVEMENT, 0x030E},
            {Opcode.SMSG_SERVER_FIRST_ACHIEVEMENTS, 0x064F},
            {Opcode.SMSG_SERVER_TIME, 0x0F60},
            {Opcode.SMSG_SETUP_CURRENCY, 0x0F48},
            {Opcode.SMSG_SETUP_RESEARCH_HISTORY, 0x126F},
            {Opcode.SMSG_SET_AI_ANIM_KIT, 0x13C3},
            {Opcode.SMSG_SET_ALL_TASK_PROGRESS, 0x0ADF},
            {Opcode.SMSG_SET_ANIM_TIER, 0x03E4},
            {Opcode.SMSG_SET_CURRENCY, 0x0BFC},
            {Opcode.SMSG_SET_DF_FAST_LAUNCH_RESULT, 0x115F},
            {Opcode.SMSG_SET_DUNGEON_DIFFICULTY, 0x0647},
            {Opcode.SMSG_SET_FACTION_AT_WAR, 0x02F4},
            {Opcode.SMSG_SET_FACTION_NOT_VISIBLE, 0x0A80},
            {Opcode.SMSG_SET_FACTION_STANDING, 0x13C8},
            {Opcode.SMSG_SET_FACTION_VISIBLE, 0x0AD4},
            {Opcode.SMSG_SET_FLAT_SPELL_MODIFIER, 0x00C0},
            {Opcode.SMSG_SET_FORCED_REACTIONS, 0x0A6C},
            {Opcode.SMSG_SET_ITEM_PURCHASE_DATA, 0x165B},
            {Opcode.SMSG_SET_LOOT_METHOD_FAILED, 0x0F47},
            {Opcode.SMSG_SET_MAX_WEEKLY_QUANTITY, 0x0F63},
            {Opcode.SMSG_SET_MELEE_ANIM_KIT, 0x17CF},
            {Opcode.SMSG_SET_MOVEMENT_ANIM_KIT, 0x1A5B},
            {Opcode.SMSG_SET_PCT_SPELL_MODIFIER, 0x11AB},
            {Opcode.SMSG_SET_PET_SPECIALIZATION, 0x1B7F},
            {Opcode.SMSG_SET_PLAYER_DECLINED_NAMES_RESULT, 0x1650},
            {Opcode.SMSG_SET_PLAY_HOVER_ANIM, 0x12E4},
            {Opcode.SMSG_SET_PROFICIENCY, 0x0668},
            {Opcode.SMSG_SET_SPELL_CHARGES, 0x1027},
            {Opcode.SMSG_SET_TASK_COMPLETE, 0x13E0},
            {Opcode.SMSG_SET_TIME_ZONE_INFORMATION, 0x17E0},
            {Opcode.SMSG_SET_VEHICLE_REC_ID, 0x0B4B},
            {Opcode.SMSG_SHOW_BANK, 0x0B48},
            {Opcode.SMSG_SHOW_MAILBOX, 0x0A7C},
            {Opcode.SMSG_SHOW_NEUTRAL_PLAYER_FACTION_SELECT_UI, 0x12FB},
            {Opcode.SMSG_SHOW_TAXI_NODES, 0x066F},
            {Opcode.SMSG_SHOW_TRADE_SKILL_RESPONSE, 0x0B77},
            {Opcode.SMSG_SOCKET_GEMS, 0x025C},
            {Opcode.SMSG_SOR_START_EXPERIENCE_INCOMPLETE, 0x17D3},
            {Opcode.SMSG_SPECIAL_MOUNT_ANIM, 0x0274},
            {Opcode.SMSG_SPELL_ABSORB_LOG, 0x117F},
            {Opcode.SMSG_SPELL_CHANNEL_START, 0x1428},
            {Opcode.SMSG_SPELL_CHANNEL_UPDATE, 0x04F7},
            {Opcode.SMSG_SPELL_COOLDOWN, 0x0124},
            {Opcode.SMSG_SPELL_DAMAGE_SHIELD, 0x047B},
            {Opcode.SMSG_SPELL_DELAYED, 0x116F},
            {Opcode.SMSG_SPELL_DISPELL_LOG, 0x116B},
            {Opcode.SMSG_SPELL_ENERGIZE_LOG, 0x0100},
            {Opcode.SMSG_SPELL_EXECUTE_LOG, 0x11FC},
            {Opcode.SMSG_SPELL_FAILED_OTHER, 0x11EC},
            {Opcode.SMSG_SPELL_FAILURE, 0x0424},
            {Opcode.SMSG_SPELL_GO, 0x00BF},
            {Opcode.SMSG_SPELL_HEAL_LOG, 0x10B7},
            {Opcode.SMSG_SPELL_INSTAKILL_LOG, 0x0064},
            {Opcode.SMSG_SPELL_INTERRUPT_LOG, 0x01C0},
            {Opcode.SMSG_SPELL_MISS_LOG, 0x057B},
            {Opcode.SMSG_SPELL_MULTISTRIKE_EFFECT, 0x00AB},
            {Opcode.SMSG_SPELL_NON_MELEE_DAMAGE_LOG, 0x10F0},
            {Opcode.SMSG_SPELL_OR_DAMAGE_IMMUNE, 0x04C0},
            {Opcode.SMSG_SPELL_PERIODIC_AURA_LOG, 0x10FC},
            {Opcode.SMSG_SPELL_START, 0x1077},
            {Opcode.SMSG_SPELL_UPDATE_CHAIN_TARGETS, 0x0570},
            {Opcode.SMSG_SPIRIT_HEALER_CONFIRM, 0x164B},
            {Opcode.SMSG_STAND_STATE_UPDATE, 0x12E0},
            {Opcode.SMSG_START_ELAPSED_TIMER, 0x166F},
            {Opcode.SMSG_START_ELAPSED_TIMERS, 0x02CC},
            {Opcode.SMSG_START_LOOT_ROLL, 0x02CB},
            {Opcode.SMSG_START_MIRROR_TIMER, 0x166C},
            {Opcode.SMSG_START_TIMER, 0x1A4B},
            {Opcode.SMSG_STOP_ELAPSED_TIMER, 0x0ED0},
            {Opcode.SMSG_STOP_MIRROR_TIMER, 0x13EB},
            {Opcode.SMSG_STOP_SPEAKERBOT_SOUND, 0x1A64},
            {Opcode.SMSG_STREAMING_MOVIES, 0x0644},
            {Opcode.SMSG_SUMMON_CANCEL, 0x1B73},
            {Opcode.SMSG_SUMMON_RAID_MEMBER_VALIDATE_FAILED, 0x1AE3},
            {Opcode.SMSG_SUMMON_REQUEST, 0x065B},
            {Opcode.SMSG_SUPERCEDED_SPELLS, 0x04F4},
            {Opcode.SMSG_SUPPRESS_NPC_GREETINGS, 0x0758},
            {Opcode.SMSG_SUSPEND_COMMS, 0x0208},
            {Opcode.SMSG_SUSPEND_TOKEN, 0x0353},
            {Opcode.SMSG_TALENTS_INVOLUNTARILY_RESET, 0x035F},
            {Opcode.SMSG_TAXI_NODE_STATUS, 0x12F3},
            {Opcode.SMSG_TEXT_EMOTE, 0x13E4},
            {Opcode.SMSG_THREAT_CLEAR, 0x07C3},
            {Opcode.SMSG_THREAT_REMOVE, 0x0BDF},
            {Opcode.SMSG_THREAT_UPDATE, 0x035B},
            {Opcode.SMSG_TIME_ADJUSTMENT, 0x00BE},
            {Opcode.SMSG_TIME_SYNC_REQUEST, 0x0101},
            {Opcode.SMSG_TITLE_EARNED, 0x125C},
            {Opcode.SMSG_TITLE_LOST, 0x06D8},
            {Opcode.SMSG_TOTEM_CREATED, 0x0BC7},
            {Opcode.SMSG_TOTEM_MOVED, 0x16CC},
            {Opcode.SMSG_TRADE_STATUS, 0x1253},
            {Opcode.SMSG_TRADE_UPDATED, 0x0AF3},
            {Opcode.SMSG_TRAINER_BUY_FAILED, 0x025B},
            {Opcode.SMSG_TRAINER_LIST, 0x12DC},
            {Opcode.SMSG_TRANSFER_ABORTED, 0x12DB},
            {Opcode.SMSG_TRANSFER_PENDING, 0x0348},
            {Opcode.SMSG_TRIGGER_CINEMATIC, 0x16FF},
            {Opcode.SMSG_TRIGGER_MOVIE, 0x16F3},
            {Opcode.SMSG_TURN_IN_PETITION_RESULT, 0x16C8},
            {Opcode.SMSG_TUTORIAL_FLAGS, 0x1B7B},
            {Opcode.SMSG_TWITTER_STATUS, 0x0060},
            {Opcode.SMSG_UI_TIME, 0x1B4C},
            {Opcode.SMSG_UNDELETE_CHARACTER_RESPONSE, 0x0FD0},
            {Opcode.SMSG_UNDELETE_COOLDOWN_STATUS_RESPONSE, 0x1ADB},
            {Opcode.SMSG_UNLEARNED_SPELLS, 0x0470},
            {Opcode.SMSG_UPDATE_ACCOUNT_DATA, 0x0B47},
            {Opcode.SMSG_UPDATE_ACTION_BUTTONS, 0x17F8},
            {Opcode.SMSG_UPDATE_CHARACTER_FLAGS, 0x12D7},
            {Opcode.SMSG_UPDATE_DUNGEON_ENCOUNTER_FOR_LOOT, 0x1050},
            {Opcode.SMSG_UPDATE_EXPANSION_LEVEL, 0x125F},
            {Opcode.SMSG_UPDATE_INSTANCE_OWNERSHIP, 0x175B},
            {Opcode.SMSG_UPDATE_LAST_INSTANCE, 0x0B7C},
            {Opcode.SMSG_UPDATE_OBJECT, 0x026B},
            {Opcode.SMSG_UPDATE_TALENT_DATA, 0x0277},
            {Opcode.SMSG_UPDATE_TASK_PROGRESS, 0x1BE4},
            {Opcode.SMSG_UPDATE_WEEKLY_SPELL_USAGE, 0x10BF},
            {Opcode.SMSG_UPDATE_WORLD_STATE, 0x0A67},
            {Opcode.SMSG_USERLIST_ADD, 0x0B8D},
            {Opcode.SMSG_USERLIST_REMOVE, 0x0A8A},
            {Opcode.SMSG_USERLIST_UPDATE, 0x0289},
            {Opcode.SMSG_USE_EQUIPMENT_SET_RESULT, 0x0B57},
            {Opcode.SMSG_VENDOR_INVENTORY, 0x0E5B},
            {Opcode.SMSG_VIGNETTE_UPDATE, 0x0EF7},
            {Opcode.SMSG_VOICE_CHAT_STATUS, 0x028E},
            {Opcode.SMSG_VOICE_PARENTAL_CONTROLS, 0x020E},
            {Opcode.SMSG_VOICE_SESSION_LEAVE, 0x0605},
            {Opcode.SMSG_VOICE_SESSION_ROSTER_UPDATE, 0x0B85},
            {Opcode.SMSG_VOID_ITEM_SWAP_RESPONSE, 0x0F64},
            {Opcode.SMSG_VOID_STORAGE_CONTENTS, 0x1ADC},
            {Opcode.SMSG_VOID_STORAGE_FAILED, 0x03CF},
            {Opcode.SMSG_VOID_STORAGE_TRANSFER_CHANGES, 0x1A6B},
            {Opcode.SMSG_VOID_TRANSFER_RESULT, 0x0E68},
            {Opcode.SMSG_WAIT_QUEUE_FINISH, 0x1A53},
            {Opcode.SMSG_WAIT_QUEUE_UPDATE, 0x1257},
            {Opcode.SMSG_WARDEN_DATA, 0x0A68},
            {Opcode.SMSG_WARGAME_REQUEST_SUCCESSFULLY_SENT_TO_OPPONENT, 0x1BF8},
            {Opcode.SMSG_WEATHER, 0x12FC},
            {Opcode.SMSG_WEEKLY_SPELL_USAGE, 0x00E8},
            {Opcode.SMSG_WHO, 0x0A09},
            {Opcode.SMSG_WHO_IS, 0x0FD4},
            {Opcode.SMSG_WORLD_SERVER_INFO, 0x1B78},
            {Opcode.SMSG_WORLD_TEXT, 0x17F3},
            {Opcode.SMSG_WOW_TOKEN_AUCTION_SOLD, 0x12E3},
            {Opcode.SMSG_WOW_TOKEN_BUY_REQUEST_CONFIRMATION, 0x17C8},
            {Opcode.SMSG_WOW_TOKEN_BUY_RESULT_CONFIRMATION, 0x0F68},
            {Opcode.SMSG_WOW_TOKEN_MARKET_PRICE_RESPONSE, 0x034C},
            {Opcode.SMSG_WOW_TOKEN_REDEEM_GAME_TIME_UPDATED, 0x1A80},
            {Opcode.SMSG_WOW_TOKEN_REDEEM_REQUEST_CONFIRMATION, 0x1AD4},
            {Opcode.SMSG_WOW_TOKEN_REDEEM_RESULT, 0x0BF4},
            {Opcode.SMSG_WOW_TOKEN_SELL_REQUEST_CONFIRMATION, 0x0757},
            {Opcode.SMSG_WOW_TOKEN_SELL_RESULT_CONFIRMATION, 0x0673},
            {Opcode.SMSG_WOW_TOKEN_UPDATE_AUCTIONABLE_LIST_RESPONSE, 0x0A50},
            {Opcode.SMSG_XP_GAIN_ABORTED, 0x1300},
            {Opcode.SMSG_XP_GAIN_ENABLED, 0x0670},
            {Opcode.SMSG_ZONE_UNDER_ATTACK, 0x0A06},
            {Opcode.SMSG_CHUNKED_PACKET, 0x0227},
            {Opcode.SMSG_COMPRESSED_PACKET, 0x0224},
            {Opcode.SMSG_FINAL_CHUNK, 0x02A4},
            {Opcode.SMSG_MULTIPLE_PACKETS, 0x0303}
        };

        private static readonly BiDictionary<Opcode, int> MiscOpcodes = new BiDictionary<Opcode, int>();
    }
}
