﻿using WowPacketParser.Misc;

namespace WowPacketParser.Enums.Version.V6_2_4_21315
{
    public static class Opcodes_6_2_4
    {
        public static BiDictionary<Opcode, int> Opcodes(Direction direction)
        {
            switch (direction)
            {
                case Direction.ClientToServer:
                    return ClientOpcodes;
                case Direction.ServerToClient:
                    return ServerOpcodes;
                default:
                    return MiscOpcodes;
            }
        }

        private static readonly BiDictionary<Opcode, int> ClientOpcodes = new BiDictionary<Opcode, int>
        {
            {Opcode.CMSG_ACCEPT_GUILD_INVITE, 0x357B},
            {Opcode.CMSG_ACCEPT_LEVEL_GRANT, 0x3463},
            {Opcode.CMSG_ACCEPT_TRADE, 0x30D8},
            {Opcode.CMSG_ACCEPT_WARGAME_INVITE, 0x3560},
            {Opcode.CMSG_ACTIVATE_TAXI, 0x341F},
            {Opcode.CMSG_ADDON_LIST, 0x3555},
            {Opcode.CMSG_ADD_BATTLENET_FRIEND, 0x35E5},
            {Opcode.CMSG_ADD_FRIEND, 0x365E},
            {Opcode.CMSG_ADD_IGNORE, 0x3662},
            {Opcode.CMSG_ADD_TOY, 0x31E6},
            {Opcode.CMSG_ALTER_APPEARANCE, 0x345F},
            {Opcode.CMSG_AREA_SPIRIT_HEALER_QUERY, 0x3424},
            {Opcode.CMSG_AREA_SPIRIT_HEALER_QUEUE, 0x3425},
            {Opcode.CMSG_AREA_TRIGGER, 0x313C},
            {Opcode.CMSG_ATTACK_STOP, 0x31B4},
            {Opcode.CMSG_ATTACK_SWING, 0x31B3},
            {Opcode.CMSG_AUCTION_HELLO_REQUEST, 0x3434},
            {Opcode.CMSG_AUCTION_LIST_BIDDER_ITEMS, 0x343A},
            {Opcode.CMSG_AUCTION_LIST_ITEMS, 0x3437},
            {Opcode.CMSG_AUCTION_LIST_OWNER_ITEMS, 0x3439},
            {Opcode.CMSG_AUCTION_LIST_PENDING_SALES, 0x343C},
            {Opcode.CMSG_AUCTION_PLACE_BID, 0x343B},
            {Opcode.CMSG_AUCTION_REMOVE_ITEM, 0x3436},
            {Opcode.CMSG_AUCTION_REPLICATE_ITEMS, 0x3438},
            {Opcode.CMSG_AUCTION_SELL_ITEM, 0x3435},
            {Opcode.CMSG_AUTH_CONTINUED_SESSION, 0x36E4},
            {Opcode.CMSG_AUTH_SESSION, 0x36E3},
            {Opcode.CMSG_AUTOBANK_ITEM, 0x3917},
            {Opcode.CMSG_AUTOBANK_REAGENT, 0x3914},
            {Opcode.CMSG_AUTOSTORE_BANK_ITEM, 0x3916},
            {Opcode.CMSG_AUTOSTORE_BANK_REAGENT, 0x3915},
            {Opcode.CMSG_AUTO_EQUIP_ITEM, 0x3918},
            {Opcode.CMSG_AUTO_EQUIP_ITEM_SLOT, 0x391D},
            {Opcode.CMSG_AUTO_STORE_BAG_ITEM, 0x3919},
            {Opcode.CMSG_BANKER_ACTIVATE, 0x3427},
            {Opcode.CMSG_BATTLEFIELD_LEAVE, 0x30F0},
            {Opcode.CMSG_BATTLEFIELD_LIST, 0x30FB},
            {Opcode.CMSG_BATTLEFIELD_PORT, 0x348C},
            {Opcode.CMSG_BATTLEMASTER_HELLO, 0x31FC},
            {Opcode.CMSG_BATTLEMASTER_JOIN, 0x3489},
            {Opcode.CMSG_BATTLEMASTER_JOIN_ARENA, 0x348A},
            {Opcode.CMSG_BATTLEMASTER_JOIN_ARENA_SKIRMISH, 0x348B},
            {Opcode.CMSG_BATTLENET_CHALLENGE_RESPONSE, 0x3661},
            {Opcode.CMSG_BATTLENET_REQUEST, 0x3683},
            {Opcode.CMSG_BATTLENET_REQUEST_REALM_LIST_TICKET, 0x3684},
            {Opcode.CMSG_BATTLE_PAY_ACK_FAILED_RESPONSE, 0x3658},
            {Opcode.CMSG_BATTLE_PAY_CONFIRM_PURCHASE_RESPONSE, 0x3657},
            {Opcode.CMSG_BATTLE_PAY_DISTRIBUTION_ASSIGN_TO_TARGET, 0x3651},
            {Opcode.CMSG_BATTLE_PAY_GET_PRODUCT_LIST, 0x364C},
            {Opcode.CMSG_BATTLE_PAY_GET_PURCHASE_LIST, 0x364D},
            {Opcode.CMSG_BATTLE_PAY_START_PURCHASE, 0x3680},
            {Opcode.CMSG_BATTLE_PAY_START_VAS_PURCHASE, 0x3681},
            {Opcode.CMSG_BATTLE_PET_DELETE_PET, 0x35AD},
            {Opcode.CMSG_BATTLE_PET_DELETE_PET_CHEAT, 0x35AC},
            {Opcode.CMSG_BATTLE_PET_MODIFY_NAME, 0x35AF},
            {Opcode.CMSG_BATTLE_PET_REQUEST_JOURNAL, 0x35AB},
            {Opcode.CMSG_BATTLE_PET_REQUEST_JOURNAL_LOCK, 0x35AA},
            {Opcode.CMSG_BATTLE_PET_SET_BATTLE_SLOT, 0x35B3},
            {Opcode.CMSG_BATTLE_PET_SET_FLAGS, 0x35B6},
            {Opcode.CMSG_BATTLE_PET_SUMMON, 0x35B0},
            {Opcode.CMSG_BATTLE_PET_UPDATE_NOTIFY, 0x3145},
            {Opcode.CMSG_BEGIN_TRADE, 0x30D5},
            {Opcode.CMSG_BF_MGR_ENTRY_INVITE_RESPONSE, 0x3559},
            {Opcode.CMSG_BF_MGR_QUEUE_EXIT_REQUEST, 0x355B},
            {Opcode.CMSG_BF_MGR_QUEUE_INVITE_RESPONSE, 0x355A},
            {Opcode.CMSG_BF_MGR_QUEUE_REQUEST, 0x30EF},
            {Opcode.CMSG_BINDER_ACTIVATE, 0x3426},
            {Opcode.CMSG_BLACK_MARKET_BID_ON_ITEM, 0x3493},
            {Opcode.CMSG_BLACK_MARKET_OPEN, 0x3491},
            {Opcode.CMSG_BLACK_MARKET_REQUEST_ITEMS, 0x3492},
            {Opcode.CMSG_BUG_REPORT, 0x3616},
            {Opcode.CMSG_BUSY_TRADE, 0x30D6},
            {Opcode.CMSG_BUY_BACK_ITEM, 0x3418},
            {Opcode.CMSG_BUY_BANK_SLOT, 0x3428},
            {Opcode.CMSG_BUY_ITEM, 0x3417},
            {Opcode.CMSG_BUY_REAGENT_BANK, 0x3429},
            {Opcode.CMSG_BUY_WOW_TOKEN_CONFIRM, 0x367A},
            {Opcode.CMSG_BUY_WOW_TOKEN_START, 0x3679},
            {Opcode.CMSG_CAGE_BATTLE_PET, 0x3154},
            {Opcode.CMSG_CALENDAR_ADD_EVENT, 0x360D},
            {Opcode.CMSG_CALENDAR_COMPLAIN, 0x3609},
            {Opcode.CMSG_CALENDAR_COPY_EVENT, 0x3608},
            {Opcode.CMSG_CALENDAR_EVENT_INVITE, 0x3602},
            {Opcode.CMSG_CALENDAR_EVENT_MODERATOR_STATUS, 0x3606},
            {Opcode.CMSG_CALENDAR_EVENT_RSVP, 0x3604},
            {Opcode.CMSG_CALENDAR_EVENT_SIGN_UP, 0x360B},
            {Opcode.CMSG_CALENDAR_EVENT_STATUS, 0x3605},
            {Opcode.CMSG_CALENDAR_GET, 0x35FF},
            {Opcode.CMSG_CALENDAR_GET_EVENT, 0x3600},
            {Opcode.CMSG_CALENDAR_GET_NUM_PENDING, 0x360A},
            {Opcode.CMSG_CALENDAR_GUILD_FILTER, 0x3601},
            {Opcode.CMSG_CALENDAR_REMOVE_EVENT, 0x3607},
            {Opcode.CMSG_CALENDAR_REMOVE_INVITE, 0x3603},
            {Opcode.CMSG_CALENDAR_UPDATE_EVENT, 0x360E},
            {Opcode.CMSG_CANCEL_AURA, 0x3126},
            {Opcode.CMSG_CANCEL_AUTO_REPEAT_SPELL, 0x344F},
            {Opcode.CMSG_CANCEL_CAST, 0x31EB},
            {Opcode.CMSG_CANCEL_CHANNELLING, 0x31BF},
            {Opcode.CMSG_CANCEL_GROWTH_AURA, 0x31C4},
            {Opcode.CMSG_CANCEL_MASTER_LOOT_ROLL, 0x3172},
            {Opcode.CMSG_CANCEL_MOD_SPEED_NO_CONTROL_AURAS, 0x3125},
            {Opcode.CMSG_CANCEL_MOUNT_AURA, 0x31D5},
            {Opcode.CMSG_CANCEL_QUEUED_SPELL, 0x30FC},
            {Opcode.CMSG_CANCEL_TEMP_ENCHANTMENT, 0x345C},
            {Opcode.CMSG_CANCEL_TRADE, 0x30DA},
            {Opcode.CMSG_CAN_DUEL, 0x35EE},
            {Opcode.CMSG_CAST_SPELL, 0x31E9},
            {Opcode.CMSG_CHALLENGE_MODE_REQUEST_LEADERS, 0x300D},
            {Opcode.CMSG_CHALLENGE_MODE_REQUEST_MAP_STATS, 0x300C},
            {Opcode.CMSG_CHANGE_BAG_SLOT_FLAG, 0x3265},
            {Opcode.CMSG_CHANGE_MONUMENT_APPEARANCE, 0x3247},
            {Opcode.CMSG_CHANGE_SUB_GROUP, 0x35D3},
            {Opcode.CMSG_CHARACTER_RENAME_REQUEST, 0x364F},
            {Opcode.CMSG_CHAR_CUSTOMIZE, 0x361E},
            {Opcode.CMSG_CHAR_DELETE, 0x362B},
            {Opcode.CMSG_CHAR_RACE_OR_FACTION_CHANGE, 0x3624},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_CHANNEL, 0x374E},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_GUILD, 0x3752},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_INSTANCE_CHAT, 0x3775},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_OFFICER, 0x3754},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_PARTY, 0x3771},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_RAID, 0x3773},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_WHISPER, 0x3750},
            {Opcode.CMSG_CHAT_CHANNEL_ANNOUNCEMENTS, 0x3765},
            {Opcode.CMSG_CHAT_CHANNEL_BAN, 0x3763},
            {Opcode.CMSG_CHAT_CHANNEL_DECLINE_INVITE, 0x376C},
            {Opcode.CMSG_CHAT_CHANNEL_DISPLAY_LIST, 0x3758},
            {Opcode.CMSG_CHAT_CHANNEL_INVITE, 0x3761},
            {Opcode.CMSG_CHAT_CHANNEL_KICK, 0x3762},
            {Opcode.CMSG_CHAT_CHANNEL_LIST, 0x3757},
            {Opcode.CMSG_CHAT_CHANNEL_MODERATE, 0x375C},
            {Opcode.CMSG_CHAT_CHANNEL_MODERATOR, 0x375D},
            {Opcode.CMSG_CHAT_CHANNEL_MUTE, 0x375F},
            {Opcode.CMSG_CHAT_CHANNEL_OWNER, 0x375B},
            {Opcode.CMSG_CHAT_CHANNEL_PASSWORD, 0x3759},
            {Opcode.CMSG_CHAT_CHANNEL_SET_OWNER, 0x375A},
            {Opcode.CMSG_CHAT_CHANNEL_SILENCE_ALL, 0x3768},
            {Opcode.CMSG_CHAT_CHANNEL_SILENCE_VOICE, 0x3766},
            {Opcode.CMSG_CHAT_CHANNEL_UNBAN, 0x3764},
            {Opcode.CMSG_CHAT_CHANNEL_UNMODERATOR, 0x375E},
            {Opcode.CMSG_CHAT_CHANNEL_UNMUTE, 0x3760},
            {Opcode.CMSG_CHAT_CHANNEL_UNSILENCE_ALL, 0x3769},
            {Opcode.CMSG_CHAT_CHANNEL_UNSILENCE_VOICE, 0x3767},
            {Opcode.CMSG_CHAT_CHANNEL_VOICE_OFF, 0x376B},
            {Opcode.CMSG_CHAT_CHANNEL_VOICE_ON, 0x376A},
            {Opcode.CMSG_CHAT_JOIN_CHANNEL, 0x3746},
            {Opcode.CMSG_CHAT_LEAVE_CHANNEL, 0x3747},
            {Opcode.CMSG_CHAT_MESSAGE_AFK, 0x3755},
            {Opcode.CMSG_CHAT_MESSAGE_CHANNEL, 0x374D},
            {Opcode.CMSG_CHAT_MESSAGE_DND, 0x3756},
            {Opcode.CMSG_CHAT_MESSAGE_EMOTE, 0x376E},
            {Opcode.CMSG_CHAT_MESSAGE_GUILD, 0x3751},
            {Opcode.CMSG_CHAT_MESSAGE_INSTANCE_CHAT, 0x3774},
            {Opcode.CMSG_CHAT_MESSAGE_OFFICER, 0x3753},
            {Opcode.CMSG_CHAT_MESSAGE_PARTY, 0x3770},
            {Opcode.CMSG_CHAT_MESSAGE_RAID, 0x3772},
            {Opcode.CMSG_CHAT_MESSAGE_RAID_WARNING, 0x3776},
            {Opcode.CMSG_CHAT_MESSAGE_SAY, 0x376D},
            {Opcode.CMSG_CHAT_MESSAGE_WHISPER, 0x374F},
            {Opcode.CMSG_CHAT_MESSAGE_YELL, 0x376F},
            {Opcode.CMSG_CHAT_REGISTER_ADDON_PREFIXES, 0x374B},
            {Opcode.CMSG_CHAT_REPORT_FILTERED, 0x374A},
            {Opcode.CMSG_CHAT_REPORT_IGNORED, 0x3749},
            {Opcode.CMSG_CHAT_UNREGISTER_ALL_ADDON_PREFIXES, 0x374C},
            {Opcode.CMSG_CHECK_RAF_EMAIL_ENABLED, 0x3659},
            {Opcode.CMSG_CHECK_WOW_TOKEN_VETERAN_ELIGIBILITY, 0x3678},
            {Opcode.CMSG_CHOICE_RESPONSE, 0x31ED},
            {Opcode.CMSG_CLEAR_RAID_MARKER, 0x311E},
            {Opcode.CMSG_CLEAR_TRADE_ITEM, 0x30DC},
            {Opcode.CMSG_CLIENT_PORT_GRAVEYARD, 0x348E},
            {Opcode.CMSG_CLOSE_INTERACTION, 0x3405},
            {Opcode.CMSG_COMMENTATOR_ENABLE, 0x3673},
            {Opcode.CMSG_COMMENTATOR_ENTER_INSTANCE, 0x3573},
            {Opcode.CMSG_COMMENTATOR_EXIT_INSTANCE, 0x3574},
            {Opcode.CMSG_COMMENTATOR_GET_MAP_INFO, 0x3571},
            {Opcode.CMSG_COMMENTATOR_GET_PLAYER_INFO, 0x3572},
            {Opcode.CMSG_COMMENTATOR_START_WARGAME, 0x356F},
            {Opcode.CMSG_COMPLAINT, 0x35FC},
            {Opcode.CMSG_COMPLETE_CINEMATIC, 0x34AB},
            {Opcode.CMSG_COMPLETE_MOVIE, 0x3446},
            {Opcode.CMSG_CONFIRM_RESPEC_WIPE, 0x316C},
            {Opcode.CMSG_CONNECT_TO_FAILED, 0x3552},
            {Opcode.CMSG_CONVERT_RAID, 0x35D5},
            {Opcode.CMSG_CREATE_CHARACTER, 0x35CA},
            {Opcode.CMSG_CREATE_SHIPMENT, 0x3236},
            {Opcode.CMSG_DB_QUERY_BULK, 0x3566},
            {Opcode.CMSG_DECLINE_GUILD_INVITES, 0x3487},
            {Opcode.CMSG_DECLINE_PETITION, 0x349A},
            {Opcode.CMSG_DELETE_EQUIPMENT_SET, 0x3478},
            {Opcode.CMSG_DEL_FRIEND, 0x365F},
            {Opcode.CMSG_DEL_IGNORE, 0x3663},
            {Opcode.CMSG_DEPOSIT_REAGENT_BANK, 0x326E},
            {Opcode.CMSG_DESTROY_ITEM, 0x31E0},
            {Opcode.CMSG_DF_BOOT_PLAYER_VOTE, 0x359B},
            {Opcode.CMSG_DF_GET_JOIN_STATUS, 0x3597},
            {Opcode.CMSG_DF_GET_SYSTEM_INFO, 0x3596},
            {Opcode.CMSG_DF_JOIN, 0x3588},
            {Opcode.CMSG_DF_LEAVE, 0x3593},
            {Opcode.CMSG_DF_PROPOSAL_RESPONSE, 0x3587},
            {Opcode.CMSG_DF_READY_CHECK_RESPONSE, 0x359E},
            {Opcode.CMSG_DF_SEARCH_JOIN, 0x3594},
            {Opcode.CMSG_DF_SEARCH_LEAVE, 0x3595},
            {Opcode.CMSG_DF_SET_COMMENT, 0x3598},
            {Opcode.CMSG_DF_SET_ROLES, 0x3599},
            {Opcode.CMSG_DF_TELEPORT, 0x359C},
            {Opcode.CMSG_DISCARDED_TIME_SYNC_ACKS, 0x39B4},
            {Opcode.CMSG_DISMISS_CRITTER, 0x3465},
            {Opcode.CMSG_DO_MASTER_LOOT_ROLL, 0x3171},
            {Opcode.CMSG_DO_READY_CHECK, 0x35BA},
            {Opcode.CMSG_DUEL_RESPONSE, 0x344B},
            {Opcode.CMSG_EJECT_PASSENGER, 0x3198},
            {Opcode.CMSG_EMOTE, 0x34A7},
            {Opcode.CMSG_ENABLE_NAGLE, 0x36E8},
            {Opcode.CMSG_ENABLE_TAXI_NODE, 0x341D},
            {Opcode.CMSG_ENGINE_SURVEY, 0x3672},
            {Opcode.CMSG_ENUM_CHARACTERS, 0x3568},
            {Opcode.CMSG_ENUM_CHARACTERS_DELETED_BY_CLIENT, 0x366C},
            {Opcode.CMSG_FAR_SIGHT, 0x3450},
            {Opcode.CMSG_GAME_OBJ_REPORT_USE, 0x3459},
            {Opcode.CMSG_GAME_OBJ_USE, 0x3458},
            {Opcode.CMSG_GARRISON_ASSIGN_FOLLOWER_TO_BUILDING, 0x3227},
            {Opcode.CMSG_GARRISON_CANCEL_CONSTRUCTION, 0x3219},
            {Opcode.CMSG_GARRISON_CHECK_UPGRADEABLE, 0x3261},
            {Opcode.CMSG_GARRISON_COMPLETE_MISSION, 0x3254},
            {Opcode.CMSG_GARRISON_GENERATE_RECRUITS, 0x322A},
            {Opcode.CMSG_GARRISON_GET_BUILDING_LANDMARKS, 0x3232},
            {Opcode.CMSG_GARRISON_MISSION_BONUS_ROLL, 0x3256},
            {Opcode.CMSG_GARRISON_PURCHASE_BUILDING, 0x3215},
            {Opcode.CMSG_GARRISON_RECRUIT_FOLLOWER, 0x322C},
            {Opcode.CMSG_GARRISON_REMOVE_FOLLOWER, 0x324B},
            {Opcode.CMSG_GARRISON_REMOVE_FOLLOWER_FROM_BUILDING, 0x3228},
            {Opcode.CMSG_GARRISON_RENAME_FOLLOWER, 0x3229},
            {Opcode.CMSG_GARRISON_REQUEST_BLUEPRINT_AND_SPECIALIZATION_DATA, 0x3214},
            {Opcode.CMSG_GARRISON_REQUEST_LANDING_PAGE_SHIPMENT_INFO, 0x3235},
            {Opcode.CMSG_GARRISON_REQUEST_SHIPMENT_INFO, 0x3234},
            {Opcode.CMSG_GARRISON_SET_BUILDING_ACTIVE, 0x3216},
            {Opcode.CMSG_GARRISON_SET_FOLLOWER_FAVORITE, 0x3226},
            {Opcode.CMSG_GARRISON_SET_FOLLOWER_INACTIVE, 0x3222},
            {Opcode.CMSG_GARRISON_SET_RECRUITMENT_PREFERENCES, 0x322B},
            {Opcode.CMSG_GARRISON_START_MISSION, 0x3253},
            {Opcode.CMSG_GARRISON_SWAP_BUILDINGS, 0x321A},
            {Opcode.CMSG_GENERATE_RANDOM_CHARACTER_NAME, 0x3567},
            {Opcode.CMSG_GET_CHALLENGE_MODE_REWARDS, 0x300F},
            {Opcode.CMSG_GET_GARRISON_INFO, 0x320F},
            {Opcode.CMSG_GET_ITEM_PURCHASE_DATA, 0x3495},
            {Opcode.CMSG_GET_MIRROR_IMAGE_DATA, 0x31E4},
            {Opcode.CMSG_GET_PVP_OPTIONS_ENABLED, 0x356E},
            {Opcode.CMSG_GET_REMAINING_GAME_TIME, 0x367B},
            {Opcode.CMSG_GET_TROPHY_LIST, 0x3244},
            {Opcode.CMSG_GET_UNDELETE_CHARACTER_COOLDOWN_STATUS, 0x366E},
            {Opcode.CMSG_GM_TICKET_ACKNOWLEDGE_SURVEY, 0x3622},
            {Opcode.CMSG_GM_TICKET_GET_CASE_STATUS, 0x3621},
            {Opcode.CMSG_GM_TICKET_GET_SYSTEM_STATUS, 0x3620},
            {Opcode.CMSG_GOSSIP_SELECT_OPTION, 0x3406},
            {Opcode.CMSG_GRANT_LEVEL, 0x3461},
            {Opcode.CMSG_GUILD_ADD_BATTLENET_FRIEND, 0x300B},
            {Opcode.CMSG_GUILD_ADD_RANK, 0x2FE2},
            {Opcode.CMSG_GUILD_ASSIGN_MEMBER_RANK, 0x2FDD},
            {Opcode.CMSG_GUILD_AUTO_DECLINE_INVITATION, 0x2FDF},
            {Opcode.CMSG_GUILD_BANK_ACTIVATE, 0x342A},
            {Opcode.CMSG_GUILD_BANK_BUY_TAB, 0x342D},
            {Opcode.CMSG_GUILD_BANK_DEPOSIT_MONEY, 0x342F},
            {Opcode.CMSG_GUILD_BANK_LOG_QUERY, 0x3000},
            {Opcode.CMSG_GUILD_BANK_QUERY_TAB, 0x342C},
            {Opcode.CMSG_GUILD_BANK_REMAINING_WITHDRAW_MONEY_QUERY, 0x3001},
            {Opcode.CMSG_GUILD_BANK_SET_TAB_TEXT, 0x3004},
            {Opcode.CMSG_GUILD_BANK_SWAP_ITEMS, 0x342B},
            {Opcode.CMSG_GUILD_BANK_TEXT_QUERY, 0x3005},
            {Opcode.CMSG_GUILD_BANK_UPDATE_TAB, 0x342E},
            {Opcode.CMSG_GUILD_BANK_WITHDRAW_MONEY, 0x3430},
            {Opcode.CMSG_GUILD_CHALLENGE_UPDATE_REQUEST, 0x2FF9},
            {Opcode.CMSG_GUILD_CHANGE_NAME_REQUEST, 0x2FFC},
            {Opcode.CMSG_GUILD_DECLINE_INVITATION, 0x2FDE},
            {Opcode.CMSG_GUILD_DELETE, 0x2FE6},
            {Opcode.CMSG_GUILD_DELETE_RANK, 0x2FE3},
            {Opcode.CMSG_GUILD_DEMOTE_MEMBER, 0x2FDC},
            {Opcode.CMSG_GUILD_EVENT_LOG_QUERY, 0x3003},
            {Opcode.CMSG_GUILD_GET_ACHIEVEMENT_MEMBERS, 0x2FEF},
            {Opcode.CMSG_GUILD_GET_RANKS, 0x2FEB},
            {Opcode.CMSG_GUILD_GET_ROSTER, 0x2FF1},
            {Opcode.CMSG_GUILD_INVITE_BY_NAME, 0x3586},
            {Opcode.CMSG_GUILD_LEAVE, 0x2FE0},
            {Opcode.CMSG_GUILD_MEMBER_SEND_SOR_REQUEST, 0x300A},
            {Opcode.CMSG_GUILD_NEWS_UPDATE_STICKY, 0x2FEC},
            {Opcode.CMSG_GUILD_OFFICER_REMOVE_MEMBER, 0x2FE1},
            {Opcode.CMSG_GUILD_PERMISSIONS_QUERY, 0x3002},
            {Opcode.CMSG_GUILD_PROMOTE_MEMBER, 0x2FDB},
            {Opcode.CMSG_GUILD_QUERY_MEMBERS_FOR_RECIPE, 0x2FE9},
            {Opcode.CMSG_GUILD_QUERY_MEMBER_RECIPES, 0x2FE7},
            {Opcode.CMSG_GUILD_QUERY_NEWS, 0x2FEA},
            {Opcode.CMSG_GUILD_QUERY_RECIPES, 0x2FE8},
            {Opcode.CMSG_GUILD_REPLACE_GUILD_MASTER, 0x3006},
            {Opcode.CMSG_GUILD_SET_ACHIEVEMENT_TRACKING, 0x2FED},
            {Opcode.CMSG_GUILD_SET_FOCUSED_ACHIEVEMENT, 0x2FEE},
            {Opcode.CMSG_GUILD_SET_GUILD_MASTER, 0x3653},
            {Opcode.CMSG_GUILD_SET_MEMBER_NOTE, 0x2FF0},
            {Opcode.CMSG_GUILD_SET_RANK_PERMISSIONS, 0x2FE5},
            {Opcode.CMSG_GUILD_SHIFT_RANK, 0x2FE4},
            {Opcode.CMSG_GUILD_UPDATE_INFO_TEXT, 0x2FF3},
            {Opcode.CMSG_GUILD_UPDATE_MOTD_TEXT, 0x2FF2},
            {Opcode.CMSG_HEARTH_AND_RESURRECT, 0x3474},
            {Opcode.CMSG_IGNORE_TRADE, 0x30D7},
            {Opcode.CMSG_INCREASE_CAST_TIME_FOR_SPELL, 0x3169},
            {Opcode.CMSG_INITIATE_ROLE_POLL, 0x3557},
            {Opcode.CMSG_INITIATE_TRADE, 0x30D4},
            {Opcode.CMSG_INSPECT, 0x3490},
            {Opcode.CMSG_INSPECT_PVP, 0x3631},
            {Opcode.CMSG_INSTANCE_LOCK_RESPONSE, 0x3479},
            {Opcode.CMSG_ITEM_PURCHASE_REFUND, 0x3496},
            {Opcode.CMSG_ITEM_TEXT_QUERY, 0x3262},
            {Opcode.CMSG_JOIN_PET_BATTLE_QUEUE, 0x3143},
            {Opcode.CMSG_JOIN_RATED_BATTLEGROUND, 0x30F4},
            {Opcode.CMSG_KEEP_ALIVE, 0x360F},
            {Opcode.CMSG_KEYBOUND_OVERRIDE, 0x3183},
            {Opcode.CMSG_LEARN_PET_SPECIALIZATION_GROUP, 0x3124},
            {Opcode.CMSG_LEARN_TALENTS, 0x3123},
            {Opcode.CMSG_LEAVE_GROUP, 0x35D0},
            {Opcode.CMSG_LEAVE_PET_BATTLE_QUEUE, 0x3144},
            {Opcode.CMSG_LFG_LIST_APPLY_TO_GROUP, 0x358E},
            {Opcode.CMSG_LFG_LIST_CANCEL_APPLICATION, 0x358F},
            {Opcode.CMSG_LFG_LIST_DECLINE_APPLICANT, 0x3590},
            {Opcode.CMSG_LFG_LIST_GET_STATUS, 0x358C},
            {Opcode.CMSG_LFG_LIST_INVITE_APPLICANT, 0x3591},
            {Opcode.CMSG_LFG_LIST_INVITE_RESPONSE, 0x3592},
            {Opcode.CMSG_LFG_LIST_JOIN, 0x3589},
            {Opcode.CMSG_LFG_LIST_LEAVE, 0x358B},
            {Opcode.CMSG_LFG_LIST_SEARCH, 0x358D},
            {Opcode.CMSG_LFG_LIST_UPDATE_REQUEST, 0x358A},
            {Opcode.CMSG_LF_GUILD_ADD_RECRUIT, 0x35A3},
            {Opcode.CMSG_LF_GUILD_BROWSE, 0x35A5},
            {Opcode.CMSG_LF_GUILD_DECLINE_RECRUIT, 0x2FF6},
            {Opcode.CMSG_LF_GUILD_GET_APPLICATIONS, 0x2FF7},
            {Opcode.CMSG_LF_GUILD_GET_GUILD_POST, 0x2FF4},
            {Opcode.CMSG_LF_GUILD_GET_RECRUITS, 0x2FF5},
            {Opcode.CMSG_LF_GUILD_REMOVE_RECRUIT, 0x2FF8},
            {Opcode.CMSG_LF_GUILD_SET_GUILD_POST, 0x35A4},
            {Opcode.CMSG_LIST_INVENTORY, 0x3415},
            {Opcode.CMSG_LOADING_SCREEN_NOTIFY, 0x3577},
            {Opcode.CMSG_LOAD_SELECTED_TROPHY, 0x3245},
            {Opcode.CMSG_LOGOUT_CANCEL, 0x3441},
            {Opcode.CMSG_LOGOUT_INSTANT, 0x3442},
            {Opcode.CMSG_LOGOUT_REQUEST, 0x3440},
            {Opcode.CMSG_LOG_DISCONNECT, 0x36E6},
            {Opcode.CMSG_LOG_STREAMING_ERROR, 0x36EA},
            {Opcode.CMSG_LOOT_ITEM, 0x316F},
            {Opcode.CMSG_LOOT_MONEY, 0x316E},
            {Opcode.CMSG_LOOT_RELEASE, 0x3173},
            {Opcode.CMSG_LOOT_ROLL, 0x3174},
            {Opcode.CMSG_LOOT_UNIT, 0x316D},
            {Opcode.CMSG_LOW_LEVEL_RAID1, 0x362F},
            {Opcode.CMSG_LOW_LEVEL_RAID2, 0x347F},
            {Opcode.CMSG_MAIL_CREATE_TEXT_ITEM, 0x34A1},
            {Opcode.CMSG_MAIL_DELETE, 0x3185},
            {Opcode.CMSG_MAIL_GET_LIST, 0x349C},
            {Opcode.CMSG_MAIL_MARK_AS_READ, 0x34A0},
            {Opcode.CMSG_MAIL_RETURN_TO_SENDER, 0x35DF},
            {Opcode.CMSG_MAIL_TAKE_ITEM, 0x349E},
            {Opcode.CMSG_MAIL_TAKE_MONEY, 0x349D},
            {Opcode.CMSG_MASTER_LOOT_ITEM, 0x3170},
            {Opcode.CMSG_MINIMAP_PING, 0x35D2},
            {Opcode.CMSG_MISSILE_TRAJECTORY_COLLISION, 0x3107},
            {Opcode.CMSG_MOUNT_SET_FAVORITE, 0x35B8},
            {Opcode.CMSG_MOUNT_SPECIAL_ANIM, 0x31D6},
            {Opcode.CMSG_MOVE_APPLY_MOVEMENT_FORCE_ACK, 0x398C},
            {Opcode.CMSG_MOVE_CHANGE_TRANSPORT, 0x39A4},
            {Opcode.CMSG_MOVE_CHANGE_VEHICLE_SEATS, 0x39A9},
            {Opcode.CMSG_MOVE_CHARM_TELEPORT_CHEAT, 0x3972},
            {Opcode.CMSG_MOVE_DISMISS_VEHICLE, 0x39A8},
            {Opcode.CMSG_MOVE_ENABLE_SWIM_TO_FLY_TRANS_ACK, 0x3999},
            {Opcode.CMSG_MOVE_FALL_LAND, 0x3975},
            {Opcode.CMSG_MOVE_FALL_RESET, 0x3990},
            {Opcode.CMSG_MOVE_FEATHER_FALL_ACK, 0x3992},
            {Opcode.CMSG_MOVE_FORCE_FLIGHT_BACK_SPEED_CHANGE_ACK, 0x39A3},
            {Opcode.CMSG_MOVE_FORCE_FLIGHT_SPEED_CHANGE_ACK, 0x39A2},
            {Opcode.CMSG_MOVE_FORCE_PITCH_RATE_CHANGE_ACK, 0x39A7},
            {Opcode.CMSG_MOVE_FORCE_ROOT_ACK, 0x3985},
            {Opcode.CMSG_MOVE_FORCE_RUN_BACK_SPEED_CHANGE_ACK, 0x3983},
            {Opcode.CMSG_MOVE_FORCE_RUN_SPEED_CHANGE_ACK, 0x3982},
            {Opcode.CMSG_MOVE_FORCE_SWIM_BACK_SPEED_CHANGE_ACK, 0x3997},
            {Opcode.CMSG_MOVE_FORCE_SWIM_SPEED_CHANGE_ACK, 0x3984},
            {Opcode.CMSG_MOVE_FORCE_TURN_RATE_CHANGE_ACK, 0x3998},
            {Opcode.CMSG_MOVE_FORCE_UNROOT_ACK, 0x3986},
            {Opcode.CMSG_MOVE_FORCE_WALK_SPEED_CHANGE_ACK, 0x3996},
            {Opcode.CMSG_MOVE_GRAVITY_DISABLE_ACK, 0x39AA},
            {Opcode.CMSG_MOVE_GRAVITY_ENABLE_ACK, 0x39AB},
            {Opcode.CMSG_MOVE_HEARTBEAT, 0x3987},
            {Opcode.CMSG_MOVE_HOVER_ACK, 0x398A},
            {Opcode.CMSG_MOVE_JUMP, 0x3968},
            {Opcode.CMSG_MOVE_KNOCK_BACK_ACK, 0x3989},
            {Opcode.CMSG_MOVE_REMOVE_MOVEMENT_FORCES, 0x398E},
            {Opcode.CMSG_MOVE_REMOVE_MOVEMENT_FORCE_ACK, 0x398D},
            {Opcode.CMSG_MOVE_SET_CAN_FLY_ACK, 0x399C},
            {Opcode.CMSG_MOVE_SET_CAN_TURN_WHILE_FALLING_ACK, 0x399A},
            {Opcode.CMSG_MOVE_SET_COLLISION_HEIGHT_ACK, 0x39AE},
            {Opcode.CMSG_MOVE_SET_FACING, 0x3980},
            {Opcode.CMSG_MOVE_SET_FLY, 0x399D},
            {Opcode.CMSG_MOVE_SET_IGNORE_MOVEMENT_FORCES_ACK, 0x399B},
            {Opcode.CMSG_MOVE_SET_PITCH, 0x3981},
            {Opcode.CMSG_MOVE_SET_RELATIVE_POSITION, 0x3973},
            {Opcode.CMSG_MOVE_SET_RUN_MODE, 0x396F},
            {Opcode.CMSG_MOVE_SET_VEHICLE_REC_ID_ACK, 0x398B},
            {Opcode.CMSG_MOVE_SET_WALK_MODE, 0x3970},
            {Opcode.CMSG_MOVE_SPLINE_DONE, 0x398F},
            {Opcode.CMSG_MOVE_START_ASCEND, 0x399E},
            {Opcode.CMSG_MOVE_START_BACKWARD, 0x3963},
            {Opcode.CMSG_MOVE_START_DESCEND, 0x39A5},
            {Opcode.CMSG_MOVE_START_FORWARD, 0x3962},
            {Opcode.CMSG_MOVE_START_PITCH_DOWN, 0x396D},
            {Opcode.CMSG_MOVE_START_PITCH_UP, 0x396C},
            {Opcode.CMSG_MOVE_START_STRAFE_LEFT, 0x3965},
            {Opcode.CMSG_MOVE_START_STRAFE_RIGHT, 0x3966},
            {Opcode.CMSG_MOVE_START_SWIM, 0x3976},
            {Opcode.CMSG_MOVE_START_TURN_LEFT, 0x3969},
            {Opcode.CMSG_MOVE_START_TURN_RIGHT, 0x396A},
            {Opcode.CMSG_MOVE_STOP, 0x3964},
            {Opcode.CMSG_MOVE_STOP_ASCEND, 0x399F},
            {Opcode.CMSG_MOVE_STOP_PITCH, 0x396E},
            {Opcode.CMSG_MOVE_STOP_STRAFE, 0x3967},
            {Opcode.CMSG_MOVE_STOP_SWIM, 0x3977},
            {Opcode.CMSG_MOVE_STOP_TURN, 0x396B},
            {Opcode.CMSG_MOVE_TELEPORT_ACK, 0x3974},
            {Opcode.CMSG_MOVE_TELEPORT_CHEAT, 0x3971},
            {Opcode.CMSG_MOVE_TIME_SKIPPED, 0x3991},
            {Opcode.CMSG_MOVE_TOGGLE_COLLISION_CHEAT, 0x397F},
            {Opcode.CMSG_MOVE_WATER_WALK_ACK, 0x3993},
            {Opcode.CMSG_NEUTRAL_PLAYER_SELECT_FACTION, 0x3139},
            {Opcode.CMSG_NEXT_CINEMATIC_CAMERA, 0x34AA},
            {Opcode.CMSG_OBJECT_UPDATE_FAILED, 0x30FD},
            {Opcode.CMSG_OBJECT_UPDATE_RESCUED, 0x30FE},
            {Opcode.CMSG_OFFER_PETITION, 0x3640},
            {Opcode.CMSG_OPENING_CINEMATIC, 0x34A9},
            {Opcode.CMSG_OPEN_ITEM, 0x3263},
            {Opcode.CMSG_OPEN_MISSION_NPC, 0x322E},
            {Opcode.CMSG_OPEN_SHIPMENT_NPC, 0x3233},
            {Opcode.CMSG_OPEN_TRADESKILL_NPC, 0x323B},
            {Opcode.CMSG_OPT_OUT_OF_LOOT, 0x3460},
            {Opcode.CMSG_PARTY_INVITE, 0x3581},
            {Opcode.CMSG_PARTY_INVITE_RESPONSE, 0x3582},
            {Opcode.CMSG_PARTY_UNINVITE, 0x35CE},
            {Opcode.CMSG_PETITION_BUY, 0x3432},
            {Opcode.CMSG_PETITION_RENAME_GUILD, 0x3654},
            {Opcode.CMSG_PETITION_SHOW_LIST, 0x3431},
            {Opcode.CMSG_PETITION_SHOW_SIGNATURES, 0x3433},
            {Opcode.CMSG_PET_ABANDON, 0x33FF},
            {Opcode.CMSG_PET_ACTION, 0x33FD},
            {Opcode.CMSG_PET_BATTLE_FINAL_NOTIFY, 0x3147},
            {Opcode.CMSG_PET_BATTLE_INPUT, 0x35C7},
            {Opcode.CMSG_PET_BATTLE_QUEUE_PROPOSE_MATCH_RESULT, 0x3184},
            {Opcode.CMSG_PET_BATTLE_QUIT_NOTIFY, 0x3146},
            {Opcode.CMSG_PET_BATTLE_REPLACE_FRONT_PET, 0x35C8},
            {Opcode.CMSG_PET_BATTLE_REQUEST_PVP, 0x3141},
            {Opcode.CMSG_PET_BATTLE_REQUEST_UPDATE, 0x3142},
            {Opcode.CMSG_PET_BATTLE_REQUEST_WILD, 0x313F},
            {Opcode.CMSG_PET_BATTLE_SCRIPT_ERROR_NOTIFY, 0x3148},
            {Opcode.CMSG_PET_CANCEL_AURA, 0x3400},
            {Opcode.CMSG_PET_CAST_SPELL, 0x31E8},
            {Opcode.CMSG_PET_RENAME, 0x3615},
            {Opcode.CMSG_PET_SET_ACTION, 0x33FC},
            {Opcode.CMSG_PET_SPELL_AUTOCAST, 0x3401},
            {Opcode.CMSG_PET_STOP_ATTACK, 0x33FE},
            {Opcode.CMSG_PING, 0x36E5},
            {Opcode.CMSG_PLAYER_LOGIN, 0x356A},
            {Opcode.CMSG_PROTOCOL_MISMATCH, 0x36EB},
            {Opcode.CMSG_PUSH_QUEST_TO_PARTY, 0x3413},
            {Opcode.CMSG_PVP_LOG_DATA, 0x30F8},
            {Opcode.CMSG_QUERY_BATTLE_PET_NAME, 0x31CB},
            {Opcode.CMSG_QUERY_CORPSE_LOCATION_FROM_CLIENT, 0x35EC},
            {Opcode.CMSG_QUERY_CORPSE_TRANSPORT, 0x35ED},
            {Opcode.CMSG_QUERY_COUNTDOWN_TIMER, 0x3121},
            {Opcode.CMSG_QUERY_CREATURE, 0x31C5},
            {Opcode.CMSG_QUERY_GAME_OBJECT, 0x31C6},
            {Opcode.CMSG_QUERY_GARRISON_CREATURE_NAME, 0x31CC},
            {Opcode.CMSG_QUERY_GUILD_INFO, 0x361D},
            {Opcode.CMSG_QUERY_INSPECT_ACHIEVEMENTS, 0x346F},
            {Opcode.CMSG_QUERY_NEXT_MAIL_TIME, 0x349F},
            {Opcode.CMSG_QUERY_NPC_TEXT, 0x31C7},
            {Opcode.CMSG_QUERY_PAGE_TEXT, 0x31C9},
            {Opcode.CMSG_QUERY_PETITION, 0x31CD},
            {Opcode.CMSG_QUERY_PET_NAME, 0x31CA},
            {Opcode.CMSG_QUERY_PLAYER_NAME, 0x361B},
            {Opcode.CMSG_QUERY_QUEST_COMPLETION_NPCS, 0x30F1},
            {Opcode.CMSG_QUERY_QUEST_INFO, 0x31C8},
            {Opcode.CMSG_QUERY_REALM_NAME, 0x361C},
            {Opcode.CMSG_QUERY_SCENARIO_POI, 0x35E0},
            {Opcode.CMSG_QUERY_TIME, 0x343F},
            {Opcode.CMSG_QUERY_VOID_STORAGE, 0x311A},
            {Opcode.CMSG_QUEST_CONFIRM_ACCEPT, 0x3412},
            {Opcode.CMSG_QUEST_GIVER_ACCEPT_QUEST, 0x340B},
            {Opcode.CMSG_QUEST_GIVER_CHOOSE_REWARD, 0x340E},
            {Opcode.CMSG_QUEST_GIVER_COMPLETE_QUEST, 0x340C},
            {Opcode.CMSG_QUEST_GIVER_HELLO, 0x3408},
            {Opcode.CMSG_QUEST_GIVER_QUERY_QUEST, 0x3409},
            {Opcode.CMSG_QUEST_GIVER_REQUEST_REWARD, 0x340F},
            {Opcode.CMSG_QUEST_GIVER_STATUS_MULTIPLE_QUERY, 0x3411},
            {Opcode.CMSG_QUEST_GIVER_STATUS_QUERY, 0x3410},
            {Opcode.CMSG_QUEST_LOG_REMOVE_QUEST, 0x3494},
            {Opcode.CMSG_QUEST_POI_QUERY, 0x3641},
            {Opcode.CMSG_QUEST_PUSH_RESULT, 0x3414},
            {Opcode.CMSG_QUEUED_MESSAGES_END, 0x36E9},
            {Opcode.CMSG_RANDOM_ROLL, 0x35DB},
            {Opcode.CMSG_READY_CHECK_RESPONSE, 0x35BB},
            {Opcode.CMSG_READ_ITEM, 0x3264},
            {Opcode.CMSG_RECLAIM_CORPSE, 0x3444},
            {Opcode.CMSG_RECRUIT_A_FRIEND, 0x365A},
            {Opcode.CMSG_REDEEM_WOW_TOKEN_CONFIRM, 0x367D},
            {Opcode.CMSG_REDEEM_WOW_TOKEN_START, 0x367C},
            {Opcode.CMSG_REORDER_CHARACTERS, 0x3569},
            {Opcode.CMSG_REPAIR_ITEM, 0x3454},
            {Opcode.CMSG_REPLACE_TROPHY, 0x3246},
            {Opcode.CMSG_REPOP_REQUEST, 0x348D},
            {Opcode.CMSG_REPORT_PVP_PLAYER_AFK, 0x345E},
            {Opcode.CMSG_REQUEST_ACCOUNT_DATA, 0x3625},
            {Opcode.CMSG_REQUEST_BATTLEFIELD_STATUS, 0x355C},
            {Opcode.CMSG_REQUEST_CATEGORY_COOLDOWNS, 0x30FA},
            {Opcode.CMSG_REQUEST_CEMETERY_LIST, 0x30F2},
            {Opcode.CMSG_REQUEST_CONQUEST_FORMULA_CONSTANTS, 0x31FF},
            {Opcode.CMSG_REQUEST_FORCED_REACTIONS, 0x3168},
            {Opcode.CMSG_REQUEST_GUILD_PARTY_STATE, 0x3120},
            {Opcode.CMSG_REQUEST_GUILD_REWARDS_LIST, 0x311F},
            {Opcode.CMSG_REQUEST_HONOR_STATS, 0x30F7},
            {Opcode.CMSG_REQUEST_LFG_LIST_BLACKLIST, 0x31EF},
            {Opcode.CMSG_REQUEST_PARTY_JOIN_UPDATES, 0x3576},
            {Opcode.CMSG_REQUEST_PARTY_MEMBER_STATS, 0x35DA},
            {Opcode.CMSG_REQUEST_PET_INFO, 0x3402},
            {Opcode.CMSG_REQUEST_PLAYED_TIME, 0x31D1},
            {Opcode.CMSG_REQUEST_PVP_REWARDS, 0x310E},
            {Opcode.CMSG_REQUEST_RAID_INFO, 0x3655},
            {Opcode.CMSG_REQUEST_RATED_BATTLEFIELD_INFO, 0x3564},
            {Opcode.CMSG_REQUEST_RESEARCH_HISTORY, 0x30E5},
            {Opcode.CMSG_REQUEST_STABLED_PETS, 0x3403},
            {Opcode.CMSG_REQUEST_VEHICLE_EXIT, 0x3193},
            {Opcode.CMSG_REQUEST_VEHICLE_NEXT_SEAT, 0x3194},
            {Opcode.CMSG_REQUEST_VEHICLE_PREV_SEAT, 0x3195},
            {Opcode.CMSG_REQUEST_VEHICLE_SWITCH_SEAT, 0x3196},
            {Opcode.CMSG_REQUEST_WOW_TOKEN_MARKET_PRICE, 0x3675},
            {Opcode.CMSG_RESET_CHALLENGE_MODE, 0x3166},
            {Opcode.CMSG_RESET_INSTANCES, 0x35F8},
            {Opcode.CMSG_RESURRECT_RESPONSE, 0x3614},
            {Opcode.CMSG_REVERT_MONUMENT_APPEARANCE, 0x3248},
            {Opcode.CMSG_RIDE_VEHICLE_INTERACT, 0x3197},
            {Opcode.CMSG_SAVE_CUF_PROFILES, 0x3108},
            {Opcode.CMSG_SAVE_EQUIPMENT_SET, 0x3477},
            {Opcode.CMSG_SAVE_GUILD_EMBLEM, 0x31F4},
            {Opcode.CMSG_SCENE_PLAYBACK_CANCELED, 0x3180},
            {Opcode.CMSG_SCENE_PLAYBACK_COMPLETE, 0x317F},
            {Opcode.CMSG_SCENE_TRIGGER_EVENT, 0x3181},
            {Opcode.CMSG_SELF_RES, 0x3497},
            {Opcode.CMSG_SELL_ITEM, 0x3416},
            {Opcode.CMSG_SELL_WOW_TOKEN_CONFIRM, 0x3677},
            {Opcode.CMSG_SELL_WOW_TOKEN_START, 0x3676},
            {Opcode.CMSG_SEND_CONTACT_LIST, 0x365D},
            {Opcode.CMSG_SEND_MAIL, 0x3579},
            {Opcode.CMSG_SEND_SOR_REQUEST_VIA_ADDRESS, 0x35A8},
            {Opcode.CMSG_SEND_TEXT_EMOTE, 0x33F9},
            {Opcode.CMSG_SET_ACHIEVEMENTS_HIDDEN, 0x3186},
            {Opcode.CMSG_SET_ACTION_BAR_TOGGLES, 0x3498},
            {Opcode.CMSG_SET_ACTION_BUTTON, 0x35BC},
            {Opcode.CMSG_SET_ACTIVE_MOVER, 0x39AF},
            {Opcode.CMSG_SET_ACTIVE_VOICE_CHANNEL, 0x35DC},
            {Opcode.CMSG_SET_ADVANCED_COMBAT_LOGGING, 0x3200},
            {Opcode.CMSG_SET_ASSISTANT_LEADER, 0x35D6},
            {Opcode.CMSG_SET_BACKPACK_AUTOSORT_DISABLED, 0x3267},
            {Opcode.CMSG_SET_BANK_AUTOSORT_DISABLED, 0x3268},
            {Opcode.CMSG_CHANGE_BANK_BAG_SLOT_FLAG, 0x3266},
            {Opcode.CMSG_SET_CONTACT_NOTES, 0x3660},
            {Opcode.CMSG_SET_CURRENCY_FLAGS, 0x30E7},
            {Opcode.CMSG_SET_DIFFICULTY_ID, 0x3182},
            {Opcode.CMSG_SET_DUNGEON_DIFFICULTY, 0x3612},
            {Opcode.CMSG_SET_EVERYONE_IS_ASSISTANT, 0x359D},
            {Opcode.CMSG_SET_FACTION_AT_WAR, 0x3447},
            {Opcode.CMSG_SET_FACTION_INACTIVE, 0x3449},
            {Opcode.CMSG_SET_FACTION_NOT_AT_WAR, 0x3448},
            {Opcode.CMSG_SET_INSERT_ITEMS_LEFT_TO_RIGHT, 0x326A},
            {Opcode.CMSG_SET_LFG_BONUS_FACTION_ID, 0x31EE},
            {Opcode.CMSG_SET_LOOT_METHOD, 0x35CF},
            {Opcode.CMSG_SET_LOOT_SPECIALIZATION, 0x34A5},
            {Opcode.CMSG_SET_PARTY_ASSIGNMENT, 0x35D8},
            {Opcode.CMSG_SET_PARTY_LEADER, 0x35D1},
            {Opcode.CMSG_SET_PET_SLOT, 0x30E6},
            {Opcode.CMSG_SET_PLAYER_DECLINED_NAMES, 0x361A},
            {Opcode.CMSG_SET_PREFERRED_CEMETERY, 0x30F3},
            {Opcode.CMSG_SET_PVP, 0x31F8},
            {Opcode.CMSG_SET_RAID_DIFFICULTY, 0x366A},
            {Opcode.CMSG_SET_ROLE, 0x3556},
            {Opcode.CMSG_SET_SAVED_INSTANCE_EXTEND, 0x3618},
            {Opcode.CMSG_SET_SELECTION, 0x348F},
            {Opcode.CMSG_SET_SHEATHED, 0x33FA},
            {Opcode.CMSG_SET_SORT_BAGS_RIGHT_TO_LEFT, 0x3269},
            {Opcode.CMSG_SET_SPECIALIZATION, 0x3122},
            {Opcode.CMSG_SET_TAXI_BENCHMARK_MODE, 0x345D},
            {Opcode.CMSG_SET_TITLE, 0x31D4},
            {Opcode.CMSG_SET_TRADE_CURRENCY, 0x30DE},
            {Opcode.CMSG_SET_TRADE_GOLD, 0x30DD},
            {Opcode.CMSG_SET_TRADE_ITEM, 0x30DB},
            {Opcode.CMSG_SET_USING_PARTY_GARRISON, 0x322F},
            {Opcode.CMSG_SET_WATCHED_FACTION, 0x344A},
            {Opcode.CMSG_SHOWING_CLOAK, 0x3456},
            {Opcode.CMSG_SHOWING_HELM, 0x3455},
            {Opcode.CMSG_SHOW_TRADE_SKILL, 0x3650},
            {Opcode.CMSG_SIGN_PETITION, 0x3499},
            {Opcode.CMSG_SILENCE_PARTY_TALKER, 0x35D9},
            {Opcode.CMSG_SOCKET_GEMS, 0x3453},
            {Opcode.CMSG_SORT_BAGS, 0x326B},
            {Opcode.CMSG_SORT_BANK_BAGS, 0x326C},
            {Opcode.CMSG_SORT_REAGENT_BANK_BAGS, 0x326D},
            {Opcode.CMSG_SPELL_CLICK, 0x3407},
            {Opcode.CMSG_SPIRIT_HEALER_ACTIVATE, 0x3423},
            {Opcode.CMSG_SPLIT_ITEM, 0x391C},
            {Opcode.CMSG_STAND_STATE_CHANGE, 0x3106},
            {Opcode.CMSG_START_SPECTATOR_WAR_GAME, 0x355F},
            {Opcode.CMSG_START_WAR_GAME, 0x355E},
            {Opcode.CMSG_SUMMON_RESPONSE, 0x35FA},
            {Opcode.CMSG_SUPPORT_TICKET_SUBMIT_BUG, 0x35CC},
            {Opcode.CMSG_SUPPORT_TICKET_SUBMIT_COMPLAINT, 0x35CB},
            {Opcode.CMSG_SUPPORT_TICKET_SUBMIT_SUGGESTION, 0x35CD},
            {Opcode.CMSG_SUSPEND_COMMS_ACK, 0x36E2},
            {Opcode.CMSG_SUSPEND_TOKEN_RESPONSE, 0x36E7},
            {Opcode.CMSG_SWAP_INV_ITEM, 0x391B},
            {Opcode.CMSG_SWAP_ITEM, 0x391A},
            {Opcode.CMSG_SWAP_SUB_GROUPS, 0x35D4},
            {Opcode.CMSG_SWAP_VOID_ITEM, 0x311C},
            {Opcode.CMSG_TABARD_VENDOR_ACTIVATE, 0x31F5},
            {Opcode.CMSG_TALK_TO_GOSSIP, 0x3404},
            {Opcode.CMSG_TAXI_NODE_STATUS_QUERY, 0x341C},
            {Opcode.CMSG_TAXI_QUERY_AVAILABLE_NODES, 0x341E},
            {Opcode.CMSG_TAXI_REQUEST_EARLY_LANDING, 0x3420},
            {Opcode.CMSG_TELEPORT_TO_UNIT, 0x35F1},
            {Opcode.CMSG_TIME_ADJUSTMENT_RESPONSE, 0x39B3},
            {Opcode.CMSG_TIME_SYNC_RESPONSE, 0x39B0},
            {Opcode.CMSG_TIME_SYNC_RESPONSE_DROPPED, 0x39B2},
            {Opcode.CMSG_TIME_SYNC_RESPONSE_FAILED, 0x39B1},
            {Opcode.CMSG_TOGGLE_DIFFICULTY, 0x35E1},
            {Opcode.CMSG_TOGGLE_PVP, 0x31F7},
            {Opcode.CMSG_TOTEM_DESTROYED, 0x3464},
            {Opcode.CMSG_TOY_SET_FAVORITE, 0x35B9},
            {Opcode.CMSG_TRAINER_BUY_SPELL, 0x3422},
            {Opcode.CMSG_TRAINER_LIST, 0x3421},
            {Opcode.CMSG_TRANSMOGRIFY_ITEMS, 0x310F},
            {Opcode.CMSG_TURN_IN_PETITION, 0x349B},
            {Opcode.CMSG_TUTORIAL_FLAG, 0x366B},
            {Opcode.CMSG_TWITTER_CHECK_STATUS, 0x30A8},
            {Opcode.CMSG_TWITTER_CONNECT, 0x30A5},
            {Opcode.CMSG_TWITTER_DISCONNECT, 0x30A9},
            {Opcode.CMSG_TWITTER_POST, 0x326F},
            {Opcode.CMSG_UI_TIME_REQUEST, 0x362A},
            {Opcode.CMSG_UNACCEPT_TRADE, 0x30D9},
            {Opcode.CMSG_UNDELETE_CHARACTER, 0x366D},
            {Opcode.CMSG_UNLEARN_SKILL, 0x344D},
            {Opcode.CMSG_UNLEARN_SPECIALIZATION, 0x311D},
            {Opcode.CMSG_UNLOCK_VOID_STORAGE, 0x3119},
            {Opcode.CMSG_UPDATE_ACCOUNT_DATA, 0x3626},
            {Opcode.CMSG_UPDATE_CLIENT_SETTINGS, 0x35F4},
            {Opcode.CMSG_UPDATE_MISSILE_TRAJECTORY, 0x39B6},
            {Opcode.CMSG_UPDATE_RAID_TARGET, 0x35D7},
            {Opcode.CMSG_UPDATE_VAS_PURCHASE_STATES, 0x3682},
            {Opcode.CMSG_UPDATE_WOW_TOKEN_AUCTIONABLE_LIST, 0x367E},
            {Opcode.CMSG_UPDATE_WOW_TOKEN_COUNT, 0x3674},
            {Opcode.CMSG_UPGRADE_GARRISON, 0x3208},
            {Opcode.CMSG_UPGRADE_ITEM, 0x3187},
            {Opcode.CMSG_USED_FOLLOW, 0x3103},
            {Opcode.CMSG_USE_CRITTER_ITEM, 0x319E},
            {Opcode.CMSG_USE_EQUIPMENT_SET, 0x3913},
            {Opcode.CMSG_USE_ITEM, 0x31E5},
            {Opcode.CMSG_USE_TOY, 0x31E7},
            {Opcode.CMSG_VIOLENCE_LEVEL, 0x3101},
            {Opcode.CMSG_VOICE_ADD_IGNORE, 0x35DD},
            {Opcode.CMSG_VOICE_DEL_IGNORE, 0x35DE},
            {Opcode.CMSG_VOICE_SESSION_ENABLE, 0x3613},
            {Opcode.CMSG_VOID_STORAGE_TRANSFER, 0x311B},
            {Opcode.CMSG_WARDEN_DATA, 0x356C},
            {Opcode.CMSG_WHO, 0x3611},
            {Opcode.CMSG_WHO_IS, 0x3610},
            {Opcode.CMSG_WORLD_PORT_RESPONSE, 0x3578},
            {Opcode.CMSG_WORLD_TELEPORT, 0x3562},
            {Opcode.CMSG_WRAP_ITEM, 0x3912},
        };

        private static readonly BiDictionary<Opcode, int> ServerOpcodes = new BiDictionary<Opcode, int>
        {
            {Opcode.SMSG_ABORT_NEW_WORLD, 0x2533},
            {Opcode.SMSG_ACCOUNT_CRITERIA_UPDATE, 0x25D2},
            {Opcode.SMSG_ACCOUNT_DATA_TIMES, 0x26CA},
            {Opcode.SMSG_ACCOUNT_HEIRLOOM_UPDATE, 0x254B},
            {Opcode.SMSG_ACCOUNT_MOUNT_UPDATE, 0x2549},
            {Opcode.SMSG_ACCOUNT_TOYS_UPDATE, 0x254A},
            {Opcode.SMSG_ACHIEVEMENT_DELETED, 0x26A0},
            {Opcode.SMSG_ACHIEVEMENT_EARNED, 0x25E0},
            {Opcode.SMSG_ACTIVATE_TAXI_REPLY, 0x2627},
            {Opcode.SMSG_ADDON_INFO, 0x26FC},
            {Opcode.SMSG_ADD_BATTLENET_FRIEND_RESPONSE, 0x25DA},
            {Opcode.SMSG_ADD_ITEM_PASSIVE, 0x2545},
            {Opcode.SMSG_ADD_LOSS_OF_CONTROL, 0x2617},
            {Opcode.SMSG_ADD_RUNE_POWER, 0x2665},
            {Opcode.SMSG_ADJUST_SPLINE_DURATION, 0x256C},
            {Opcode.SMSG_AE_LOOT_TARGETS, 0x25AE},
            {Opcode.SMSG_AE_LOOT_TARGET_ACK, 0x25AF},
            {Opcode.SMSG_AI_REACTION, 0x2661},
            {Opcode.SMSG_ALL_ACCOUNT_CRITERIA, 0x24EE},
            {Opcode.SMSG_ALL_ACHIEVEMENT_DATA, 0x24ED},
            {Opcode.SMSG_ALL_GUILD_ACHIEVEMENTS, 0x2936},
            {Opcode.SMSG_ARCHAEOLOGY_SURVERY_CAST, 0x2504},
            {Opcode.SMSG_AREA_SPIRIT_HEALER_TIME, 0x2701},
            {Opcode.SMSG_AREA_TRIGGER_DENIED, 0x261E},
            {Opcode.SMSG_AREA_TRIGGER_NO_CORPSE, 0x26D6},
            {Opcode.SMSG_AREA_TRIGGER_RE_PATH, 0x25BF},
            {Opcode.SMSG_AREA_TRIGGER_RE_SHAPE, 0x25C1},
            {Opcode.SMSG_ARENA_ERROR, 0x2693},
            {Opcode.SMSG_ARENA_PREP_OPPONENT_SPECIALIZATIONS, 0x25E6},
            {Opcode.SMSG_ATTACKER_STATE_UPDATE, 0x2749},
            {Opcode.SMSG_ATTACK_START, 0x25EE},
            {Opcode.SMSG_ATTACK_STOP, 0x25EF},
            {Opcode.SMSG_ATTACK_SWING_ERROR, 0x26B5},
            {Opcode.SMSG_ATTACK_SWING_LANDED_LOG, 0x26B6},
            {Opcode.SMSG_AUCTION_CLOSED_NOTIFICATION, 0x26AA},
            {Opcode.SMSG_AUCTION_COMMAND_RESULT, 0x26A7},
            {Opcode.SMSG_AUCTION_HELLO_RESPONSE, 0x26A5},
            {Opcode.SMSG_AUCTION_LIST_BIDDER_ITEMS_RESULT, 0x26AE},
            {Opcode.SMSG_AUCTION_LIST_ITEMS_RESULT, 0x26AC},
            {Opcode.SMSG_AUCTION_LIST_OWNER_ITEMS_RESULT, 0x26AD},
            {Opcode.SMSG_AUCTION_LIST_PENDING_SALES_RESULT, 0x26AF},
            {Opcode.SMSG_AUCTION_OUTBID_NOTIFICATION, 0x26A9},
            {Opcode.SMSG_AUCTION_OWNER_BID_NOTIFICATION, 0x26AB},
            {Opcode.SMSG_AUCTION_REPLICATE_RESPONSE, 0x26A6},
            {Opcode.SMSG_AUCTION_WON_NOTIFICATION, 0x26A8},
            {Opcode.SMSG_AURA_POINTS_DEPLETED, 0x2BA0},
            {Opcode.SMSG_AURA_UPDATE, 0x2B9F},
            {Opcode.SMSG_AUTH_CHALLENGE, 0x2FC6},
            {Opcode.SMSG_AUTH_RESPONSE, 0x24EA},
            {Opcode.SMSG_AVAILABLE_VOICE_CHANNEL, 0x2B30},
            {Opcode.SMSG_BAN_REASON, 0x2633},
            {Opcode.SMSG_BARBER_SHOP_RESULT, 0x266B},
            {Opcode.SMSG_BATTLEFIELD_LIST, 0x2511},
            {Opcode.SMSG_BATTLEFIELD_PORT_DENIED, 0x2517},
            {Opcode.SMSG_BATTLEFIELD_STATUS_ACTIVE, 0x250D},
            {Opcode.SMSG_BATTLEFIELD_STATUS_FAILED, 0x2510},
            {Opcode.SMSG_BATTLEFIELD_STATUS_NEED_CONFIRMATION, 0x250C},
            {Opcode.SMSG_BATTLEFIELD_STATUS_NONE, 0x250F},
            {Opcode.SMSG_BATTLEFIELD_STATUS_QUEUED, 0x250E},
            {Opcode.SMSG_BATTLEFIELD_STATUS_WAIT_FOR_GROUPS, 0x252B},
            {Opcode.SMSG_BATTLEGROUND_INFO_THROTTLED, 0x2523},
            {Opcode.SMSG_BATTLEGROUND_INIT, 0x271E},
            {Opcode.SMSG_BATTLEGROUND_PLAYER_JOINED, 0x2515},
            {Opcode.SMSG_BATTLEGROUND_PLAYER_LEFT, 0x2516},
            {Opcode.SMSG_BATTLEGROUND_PLAYER_POSITIONS, 0x2512},
            {Opcode.SMSG_BATTLEGROUND_POINTS, 0x271D},
            {Opcode.SMSG_BATTLENET_CHALLENGE_ABORT, 0x2748},
            {Opcode.SMSG_BATTLENET_CHALLENGE_START, 0x2747},
            {Opcode.SMSG_BATTLENET_NOTIFICATION, 0x279E},
            {Opcode.SMSG_BATTLENET_REALM_LIST_TICKET, 0x27A0},
            {Opcode.SMSG_BATTLENET_RESPONSE, 0x279D},
            {Opcode.SMSG_BATTLENET_SET_SESSION_STATE, 0x279F},
            {Opcode.SMSG_BATTLE_PAY_ACK_FAILED, 0x2740},
            {Opcode.SMSG_BATTLE_PAY_CONFIRM_PURCHASE, 0x273F},
            {Opcode.SMSG_BATTLE_PAY_DELIVERY_ENDED, 0x2736},
            {Opcode.SMSG_BATTLE_PAY_DELIVERY_STARTED, 0x2735},
            {Opcode.SMSG_BATTLE_PAY_DISTRIBUTION_UPDATE, 0x2734},
            {Opcode.SMSG_BATTLE_PAY_GET_DISTRIBUTION_LIST_RESPONSE, 0x2732},
            {Opcode.SMSG_BATTLE_PAY_GET_PRODUCT_LIST_RESPONSE, 0x2730},
            {Opcode.SMSG_BATTLE_PAY_GET_PURCHASE_LIST_RESPONSE, 0x2731},
            {Opcode.SMSG_BATTLE_PAY_PURCHASE_UPDATE, 0x273E},
            {Opcode.SMSG_BATTLE_PAY_START_DISTRIBUTION_ASSIGN_TO_TARGET_RESPONSE, 0x273C},
            {Opcode.SMSG_BATTLE_PAY_START_PURCHASE_RESPONSE, 0x273B},
            {Opcode.SMSG_BATTLE_PETS_HEALED, 0x258C},
            {Opcode.SMSG_BATTLE_PET_CAGE_DATE_ERROR, 0x2621},
            {Opcode.SMSG_BATTLE_PET_DELETED, 0x2589},
            {Opcode.SMSG_BATTLE_PET_ERROR, 0x25D5},
            {Opcode.SMSG_BATTLE_PET_JOURNAL, 0x2588},
            {Opcode.SMSG_BATTLE_PET_JOURNAL_LOCK_ACQUIRED, 0x2586},
            {Opcode.SMSG_BATTLE_PET_JOURNAL_LOCK_DENIED, 0x2587},
            {Opcode.SMSG_BATTLE_PET_LICENSE_CHANGED, 0x258D},
            {Opcode.SMSG_BATTLE_PET_RESTORED, 0x258B},
            {Opcode.SMSG_BATTLE_PET_REVOKED, 0x258A},
            {Opcode.SMSG_BATTLE_PET_TRAP_LEVEL, 0x2584},
            {Opcode.SMSG_BATTLE_PET_UPDATES, 0x2583},
            {Opcode.SMSG_BF_MGR_DROP_TIMER_CANCELLED, 0x251F},
            {Opcode.SMSG_BF_MGR_DROP_TIMER_STARTED, 0x251E},
            {Opcode.SMSG_BF_MGR_EJECTED, 0x251D},
            {Opcode.SMSG_BF_MGR_EJECT_PENDING, 0x251C},
            {Opcode.SMSG_BF_MGR_ENTERING, 0x2519},
            {Opcode.SMSG_BF_MGR_ENTRY_INVITE, 0x2518},
            {Opcode.SMSG_BF_MGR_QUEUE_INVITE, 0x2520},
            {Opcode.SMSG_BF_MGR_QUEUE_REQUEST_RESPONSE, 0x251A},
            {Opcode.SMSG_BF_MGR_QUEUE_STATUS_UPDATE, 0x251B},
            {Opcode.SMSG_BF_MGR_STATE_CHANGED, 0x2522},
            {Opcode.SMSG_BINDER_CONFIRM, 0x26BB},
            {Opcode.SMSG_BIND_POINT_UPDATE, 0x24FA},
            {Opcode.SMSG_BLACK_MARKET_BID_ON_ITEM_RESULT, 0x25C5},
            {Opcode.SMSG_BLACK_MARKET_OPEN_RESULT, 0x25C3},
            {Opcode.SMSG_BLACK_MARKET_OUTBID, 0x25C6},
            {Opcode.SMSG_BLACK_MARKET_REQUEST_ITEMS_RESULT, 0x25C4},
            {Opcode.SMSG_BLACK_MARKET_WON, 0x25C7},
            {Opcode.SMSG_BONUS_ROLL_EMPTY, 0x25E3},
            {Opcode.SMSG_BOSS_KILL_CREDIT, 0x273A},
            {Opcode.SMSG_BREAK_TARGET, 0x25ED},
            {Opcode.SMSG_BUY_FAILED, 0x2674},
            {Opcode.SMSG_BUY_SUCCEEDED, 0x2673},
            {Opcode.SMSG_CACHE_VERSION, 0x26C4},
            {Opcode.SMSG_CALENDAR_CLEAR_PENDING_ACTION, 0x2647},
            {Opcode.SMSG_CALENDAR_COMMAND_RESULT, 0x2648},
            {Opcode.SMSG_CALENDAR_EVENT_INITIAL_INVITES, 0x2637},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE, 0x2638},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_ALERT, 0x2639},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_MODERATOR_STATUS, 0x263C},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_NOTES, 0x2641},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_NOTES_ALERT, 0x2642},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_REMOVED, 0x263D},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_REMOVED_ALERT, 0x263E},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_STATUS, 0x263A},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_STATUS_ALERT, 0x263B},
            {Opcode.SMSG_CALENDAR_EVENT_REMOVED_ALERT, 0x263F},
            {Opcode.SMSG_CALENDAR_EVENT_UPDATED_ALERT, 0x2640},
            {Opcode.SMSG_CALENDAR_RAID_LOCKOUT_ADDED, 0x2643},
            {Opcode.SMSG_CALENDAR_RAID_LOCKOUT_REMOVED, 0x2644},
            {Opcode.SMSG_CALENDAR_RAID_LOCKOUT_UPDATED, 0x2645},
            {Opcode.SMSG_CALENDAR_SEND_CALENDAR, 0x2635},
            {Opcode.SMSG_CALENDAR_SEND_EVENT, 0x2636},
            {Opcode.SMSG_CALENDAR_SEND_NUM_PENDING, 0x2646},
            {Opcode.SMSG_CAMERA_SHAKE, 0x26E6},
            {Opcode.SMSG_CANCEL_AUTO_REPEAT, 0x2694},
            {Opcode.SMSG_CANCEL_COMBAT, 0x26B3},
            {Opcode.SMSG_CANCEL_ORPHAN_SPELL_VISUAL, 0x2BC4},
            {Opcode.SMSG_CANCEL_SCENE, 0x25D4},
            {Opcode.SMSG_CANCEL_SPELL_VISUAL, 0x2BC2},
            {Opcode.SMSG_CANCEL_SPELL_VISUAL_KIT, 0x2BC6},
            {Opcode.SMSG_CAN_DUEL_RESULT, 0x25F7},
            {Opcode.SMSG_CAST_FAILED, 0x2BD2},
            {Opcode.SMSG_CATEGORY_COOLDOWN, 0x2B94},
            {Opcode.SMSG_CHALLENGE_MODE_REWARDS, 0x25A3},
            {Opcode.SMSG_CHALLENGE_MODE_ALL_MAP_STATS, 0x25A4},
            {Opcode.SMSG_CHALLENGE_MODE_COMPLETE, 0x25A2},
            {Opcode.SMSG_CHALLENGE_MODE_MAP_STATS_UPDATE, 0x25A5},
            {Opcode.SMSG_CHALLENGE_MODE_NEW_PLAYER_RECORD, 0x25A7},
            {Opcode.SMSG_CHALLENGE_MODE_REQUEST_LEADERS_RESULT, 0x25A6},
            {Opcode.SMSG_CHALLENGE_MODE_RESET, 0x25A1},
            {Opcode.SMSG_CHALLENGE_MODE_START, 0x25A0},
            {Opcode.SMSG_CHANGE_PLAYER_DIFFICULTY_RESULT, 0x26B7},
            {Opcode.SMSG_CHANNEL_LIST, 0x2B46},
            {Opcode.SMSG_CHANNEL_NOTIFY, 0x2B43},
            {Opcode.SMSG_CHANNEL_NOTIFY_JOINED, 0x2B44},
            {Opcode.SMSG_CHANNEL_NOTIFY_LEFT, 0x2B45},
            {Opcode.SMSG_CHARACTER_LOGIN_FAILED, 0x26C5},
            {Opcode.SMSG_CHARACTER_OBJECT_TEST_RESPONSE, 0x2746},
            {Opcode.SMSG_CHARACTER_RENAME_RESULT, 0x2724},
            {Opcode.SMSG_CHARACTER_UPGRADE_CHARACTER_CHOSEN, 0x2772},
            {Opcode.SMSG_CHARACTER_UPGRADE_COMPLETE, 0x2773},
            {Opcode.SMSG_CHARACTER_UPGRADE_SPELL_TIER_SET, 0x2578},
            {Opcode.SMSG_CHARACTER_UPGRADE_STARTED, 0x2771},
            {Opcode.SMSG_CHAR_CUSTOMIZE, 0x269B},
            {Opcode.SMSG_CHAR_CUSTOMIZE_FAILED, 0x269A},
            {Opcode.SMSG_CHAR_FACTION_CHANGE_RESULT, 0x2760},
            {Opcode.SMSG_CHAT, 0x2B2B},
            {Opcode.SMSG_CHAT_AUTO_RESPONDED, 0x2B3B},
            {Opcode.SMSG_CHAT_DOWN, 0x2B40},
            {Opcode.SMSG_CHAT_IGNORED_ACCOUNT_MUTED, 0x2B2A},
            {Opcode.SMSG_CHAT_IS_DOWN, 0x2B41},
            {Opcode.SMSG_CHAT_NOT_IN_PARTY, 0x2B35},
            {Opcode.SMSG_CHAT_PLAYER_AMBIGUOUS, 0x2B2E},
            {Opcode.SMSG_CHAT_PLAYER_NOTFOUND, 0x2B3A},
            {Opcode.SMSG_CHAT_RECONNECT, 0x2B42},
            {Opcode.SMSG_CHAT_RESTRICTED, 0x2B36},
            {Opcode.SMSG_CHAT_SERVER_MESSAGE, 0x2B47},
            {Opcode.SMSG_CHEAT_IGNORE_DIMISHING_RETURNS, 0x2B90},
            {Opcode.SMSG_CHECK_WARGAME_ENTRY, 0x2526},
            {Opcode.SMSG_CLEAR_ALL_SPELL_CHARGES, 0x2BA5},
            {Opcode.SMSG_CLEAR_BOSS_EMOTES, 0x2552},
            {Opcode.SMSG_CLEAR_COOLDOWN, 0x2667},
            {Opcode.SMSG_CLEAR_COOLDOWNS, 0x2BA3},
            {Opcode.SMSG_CLEAR_LOSS_OF_CONTROL, 0x2619},
            {Opcode.SMSG_CLEAR_SPELL_CHARGES, 0x2BA6},
            {Opcode.SMSG_CLEAR_TARGET, 0x265D},
            {Opcode.SMSG_COIN_REMOVED, 0x25AD},
            {Opcode.SMSG_COMBAT_EVENT_FAILED, 0x25F0},
            {Opcode.SMSG_COMMENTATOR_MAP_INFO, 0x26C7},
            {Opcode.SMSG_COMMENTATOR_PLAYER_INFO, 0x26C8},
            {Opcode.SMSG_COMMENTATOR_STATE_CHANGED, 0x26C6},
            {Opcode.SMSG_COMPLAINT_RESULT, 0x2655},
            {Opcode.SMSG_COMPLETE_SHIPMENT_RESPONSE, 0x2758},
            {Opcode.SMSG_CONNECT_TO, 0x2FCA},
            {Opcode.SMSG_CONQUEST_FORMULA_CONSTANTS, 0x2741},
            {Opcode.SMSG_CONSOLE_WRITE, 0x25D1},
            {Opcode.SMSG_CONTACT_LIST, 0x2744},
            {Opcode.SMSG_CONTROL_UPDATE, 0x25E5},
            {Opcode.SMSG_CONVERT_RUNE, 0x2664},
            {Opcode.SMSG_COOLDOWN_CHEAT, 0x26F9},
            {Opcode.SMSG_COOLDOWN_EVENT, 0x2666},
            {Opcode.SMSG_CORPSE_LOCATION, 0x25EC},
            {Opcode.SMSG_CORPSE_RECLAIM_DELAY, 0x270C},
            {Opcode.SMSG_CORPSE_TRANSPORT_QUERY, 0x26D2},
            {Opcode.SMSG_CREATE_CHAR, 0x26C0},
            {Opcode.SMSG_CREATE_SHIPMENT_RESPONSE, 0x2757},
            {Opcode.SMSG_CRITERIA_DELETED, 0x269F},
            {Opcode.SMSG_CRITERIA_UPDATE, 0x2699},
            {Opcode.SMSG_CROSSED_INEBRIATION_THRESHOLD, 0x266F},
            {Opcode.SMSG_CUSTOM_LOAD_SCREEN, 0x2568},
            {Opcode.SMSG_DAILY_QUESTS_RESET, 0x29FE},
            {Opcode.SMSG_DAMAGE_CALC_LOG, 0x277A},
            {Opcode.SMSG_DANCE_STUDIO_CREATE_RESULT, 0x2721},
            {Opcode.SMSG_DB_REPLY, 0x2528},
            {Opcode.SMSG_DEATH_RELEASE_LOC, 0x2687},
            {Opcode.SMSG_DEFENSE_MESSAGE, 0x2B39},
            {Opcode.SMSG_DELETE_CHAR, 0x26C1},
            {Opcode.SMSG_DESTROY_ARENA_UNIT, 0x2703},
            {Opcode.SMSG_DESTRUCTIBLE_BUILDING_DAMAGE, 0x26B4},
            {Opcode.SMSG_DIFFERENT_INSTANCE_FROM_PARTY, 0x2507},
            {Opcode.SMSG_DISENCHANT_CREDIT, 0x2542},
            {Opcode.SMSG_DISMOUNT, 0x265C},
            {Opcode.SMSG_DISMOUNT_RESULT, 0x24F9},
            {Opcode.SMSG_DISPEL_FAILED, 0x2BAE},
            {Opcode.SMSG_DISPLAY_GAME_ERROR, 0x253B},
            {Opcode.SMSG_DISPLAY_PLAYER_CHOICE, 0x2622},
            {Opcode.SMSG_DISPLAY_PROMOTION, 0x25E9},
            {Opcode.SMSG_DISPLAY_QUEST_POPUP, 0x2A19},
            {Opcode.SMSG_DISPLAY_TOAST, 0x25BB},
            {Opcode.SMSG_DONT_AUTO_PUSH_SPELLS_TO_ACTION_BAR, 0x257A},
            {Opcode.SMSG_DROP_NEW_CONNECTION, 0x2FC9},
            {Opcode.SMSG_DUEL_COMPLETE, 0x25F5},
            {Opcode.SMSG_DUEL_COUNTDOWN, 0x25F4},
            {Opcode.SMSG_DUEL_IN_BOUNDS, 0x25F3},
            {Opcode.SMSG_DUEL_OUT_OF_BOUNDS, 0x25F2},
            {Opcode.SMSG_DUEL_REQUESTED, 0x25F1},
            {Opcode.SMSG_DUEL_WINNER, 0x25F6},
            {Opcode.SMSG_DURABILITY_DAMAGE_DEATH, 0x2708},
            {Opcode.SMSG_EMOTE, 0x277B},
            {Opcode.SMSG_ENABLE_BARBER_SHOP, 0x266A},
            {Opcode.SMSG_ENCHANTMENT_LOG, 0x26D3},
            {Opcode.SMSG_ENCOUNTER_END, 0x2739},
            {Opcode.SMSG_ENCOUNTER_START, 0x2738},
            {Opcode.SMSG_ENUM_CHARACTERS_RESULT, 0x2500},
            {Opcode.SMSG_ENVIRONMENTAL_DAMAGE_LOG, 0x2B9E},
            {Opcode.SMSG_EQUIPMENT_SET_ID, 0x265E},
            {Opcode.SMSG_EXPECTED_SPAM_RECORDS, 0x2B2F},
            {Opcode.SMSG_EXPLORATION_EXPERIENCE, 0x2720},
            {Opcode.SMSG_FACTION_BONUS_INFO, 0x26E5},
            {Opcode.SMSG_FAILED_PLAYER_CONDITION, 0x2567},
            {Opcode.SMSG_FEATURE_SYSTEM_STATUS, 0x2557},
            {Opcode.SMSG_FEATURE_SYSTEM_STATUS_GLUE_SCREEN, 0x2558},
            {Opcode.SMSG_FEIGN_DEATH_RESISTED, 0x2705},
            {Opcode.SMSG_FISH_ESCAPED, 0x267C},
            {Opcode.SMSG_FISH_NOT_HOOKED, 0x267B},
            {Opcode.SMSG_FLIGHT_SPLINE_SYNC, 0x2D73},
            {Opcode.SMSG_FORCED_DEATH_UPDATE, 0x2688},
            {Opcode.SMSG_FORCE_ANIM, 0x2712},
            {Opcode.SMSG_FORCE_OBJECT_RELINK, 0x25E8},
            {Opcode.SMSG_FRIEND_STATUS, 0x2745},
            {Opcode.SMSG_GAME_OBJECT_ACTIVATE_ANIM_KIT, 0x255B},
            {Opcode.SMSG_GAME_OBJECT_CUSTOM_ANIM, 0x255C},
            {Opcode.SMSG_GAME_OBJECT_DESPAWN, 0x255D},
            {Opcode.SMSG_GAME_OBJECT_PLAY_SPELL_VISUAL, 0x2BC9},
            {Opcode.SMSG_GAME_OBJECT_PLAY_SPELL_VISUAL_KIT, 0x2BC8},
            {Opcode.SMSG_GAME_OBJECT_RESET_STATE, 0x26DC},
            {Opcode.SMSG_GAME_OBJECT_UI_ACTION, 0x26D9},
            {Opcode.SMSG_GAME_SPEED_SET, 0x262B},
            {Opcode.SMSG_GAME_TIME_SET, 0x26CC},
            {Opcode.SMSG_GAME_TIME_UPDATE, 0x26CB},
            {Opcode.SMSG_GARRISON_ADD_FOLLOWER_RESULT, 0x287C},
            {Opcode.SMSG_GARRISON_ADD_MISSION_RESULT, 0x287F},
            {Opcode.SMSG_GARRISON_ASSIGN_FOLLOWER_TO_BUILDING_RESULT, 0x2890},
            {Opcode.SMSG_GARRISON_BUILDING_ACTIVATED, 0x2879},
            {Opcode.SMSG_GARRISON_BUILDING_LANDMARKS, 0x28A3},
            {Opcode.SMSG_GARRISON_BUILDING_REMOVED, 0x2872},
            {Opcode.SMSG_GARRISON_BUILDING_SET_ACTIVE_SPECIALIZATION_RESULT, 0x2874},
            {Opcode.SMSG_GARRISON_CLEAR_ALL_FOLLOWERS_EXHAUSTION, 0x288E},
            {Opcode.SMSG_GARRISON_COMPLETE_MISSION_RESULT, 0x2882},
            {Opcode.SMSG_GARRISON_CREATE_RESULT, 0x287A},
            {Opcode.SMSG_GARRISON_DELETE_RESULT, 0x2897},
            {Opcode.SMSG_GARRISON_FOLLOWER_CHANGED_ABILITIES, 0x288C},
            {Opcode.SMSG_GARRISON_FOLLOWER_CHANGED_ITEM_LEVEL, 0x288B},
            {Opcode.SMSG_GARRISON_FOLLOWER_CHANGED_STATUS, 0x288D},
            {Opcode.SMSG_GARRISON_FOLLOWER_CHANGED_XP, 0x288A},
            {Opcode.SMSG_GARRISON_IS_UPGRADEABLE_RESULT, 0x28A0},
            {Opcode.SMSG_GARRISON_LANDING_PAGE_SHIPMENT_INFO, 0x275A},
            {Opcode.SMSG_GARRISON_LEARN_BLUEPRINT_RESULT, 0x2875},
            {Opcode.SMSG_GARRISON_LEARN_SPECIALIZATION_RESULT, 0x2873},
            {Opcode.SMSG_GARRISON_LIST_FOLLOWERS_CHEAT_RESULT, 0x287E},
            {Opcode.SMSG_GARRISON_LIST_MISSIONS_CHEAT_RESULT, 0x28A1},
            {Opcode.SMSG_GARRISON_MISSION_AREA_BONUS_ADDED, 0x2888},
            {Opcode.SMSG_GARRISON_MISSION_BONUS_ROLL_RESULT, 0x2885},
            {Opcode.SMSG_GARRISON_MISSION_UPDATE_CAN_START, 0x2889},
            {Opcode.SMSG_GARRISON_NUM_FOLLOWER_ACTIVATIONS_REMAINING, 0x288F},
            {Opcode.SMSG_GARRISON_OPEN_ARCHITECT, 0x2898},
            {Opcode.SMSG_GARRISON_OPEN_MISSION_NPC, 0x289A},
            {Opcode.SMSG_GARRISON_OPEN_RECRUITMENT_NPC, 0x2894},
            {Opcode.SMSG_GARRISON_OPEN_TRADESKILL_NPC, 0x2899},
            {Opcode.SMSG_GARRISON_PLACE_BUILDING_RESULT, 0x2871},
            {Opcode.SMSG_GARRISON_PLOT_PLACED, 0x286F},
            {Opcode.SMSG_GARRISON_PLOT_REMOVED, 0x2870},
            {Opcode.SMSG_GARRISON_RECALL_PORTAL_LAST_USED_TIME, 0x2883},
            {Opcode.SMSG_GARRISON_RECALL_PORTAL_USED, 0x2884},
            {Opcode.SMSG_GARRISON_RECRUITMENT_FOLLOWERS_GENERATED, 0x2895},
            {Opcode.SMSG_GARRISON_RECRUIT_FOLLOWER_RESULT, 0x2896},
            {Opcode.SMSG_GARRISON_REMOTE_INFO, 0x2878},
            {Opcode.SMSG_GARRISON_REMOVE_FOLLOWER_FROM_BUILDING_RESULT, 0x2891},
            {Opcode.SMSG_GARRISON_REMOVE_FOLLOWER_RESULT, 0x287D},
            {Opcode.SMSG_GARRISON_REQUEST_BLUEPRINT_AND_SPECIALIZATION_DATA_RESULT, 0x2877},
            {Opcode.SMSG_GARRISON_START_MISSION_RESULT, 0x2880},
            {Opcode.SMSG_GARRISON_UNLEARN_BLUEPRINT_RESULT, 0x2876},
            {Opcode.SMSG_GARRISON_UPGRADE_RESULT, 0x287B},
            {Opcode.SMSG_GENERATE_RANDOM_CHARACTER_NAME_RESULT, 0x2501},
            {Opcode.SMSG_GET_ACCOUNT_CHARACTER_LIST_RESULT, 0x2722},
            {Opcode.SMSG_GET_DISPLAYED_TROPHY_LIST_RESPONSE, 0x289F},
            {Opcode.SMSG_GET_GARRISON_INFO_RESULT, 0x286E},
            {Opcode.SMSG_GET_SHIPMENTS_OF_TYPE_RESPONSE, 0x2759},
            {Opcode.SMSG_GET_SHIPMENT_INFO_RESPONSE, 0x2755},
            {Opcode.SMSG_GET_TROPHY_LIST_RESPONSE, 0x2776},
            {Opcode.SMSG_GM_PLAYER_INFO, 0x26F8},
            {Opcode.SMSG_GM_REQUEST_PLAYER_INFO, 0x256F},
            {Opcode.SMSG_GM_TICKET_CASE_STATUS, 0x264E},
            {Opcode.SMSG_GM_TICKET_SYSTEM_STATUS, 0x264D},
            {Opcode.SMSG_GOD_MODE, 0x26BA},
            {Opcode.SMSG_GOSSIP_COMPLETE, 0x2A13},
            {Opcode.SMSG_GOSSIP_MESSAGE, 0x2A14},
            {Opcode.SMSG_GOSSIP_POI, 0x2752},
            {Opcode.SMSG_GROUP_ACTION_THROTTLED, 0x2524},
            {Opcode.SMSG_GROUP_DECLINE, 0x274D},
            {Opcode.SMSG_GROUP_DESTROYED, 0x274F},
            {Opcode.SMSG_GROUP_NEW_LEADER, 0x25CA},
            {Opcode.SMSG_GROUP_UNINVITE, 0x274E},
            {Opcode.SMSG_GUILD_ACHIEVEMENT_DELETED, 0x2943},
            {Opcode.SMSG_GUILD_ACHIEVEMENT_EARNED, 0x2942},
            {Opcode.SMSG_GUILD_ACHIEVEMENT_MEMBERS, 0x2945},
            {Opcode.SMSG_GUILD_BANK_LOG_QUERY_RESULTS, 0x295C},
            {Opcode.SMSG_GUILD_BANK_QUERY_RESULTS, 0x295B},
            {Opcode.SMSG_GUILD_BANK_REMAINING_WITHDRAW_MONEY, 0x295D},
            {Opcode.SMSG_GUILD_BANK_TEXT_QUERY_RESULT, 0x2960},
            {Opcode.SMSG_GUILD_CHALLENGE_COMPLETED, 0x2951},
            {Opcode.SMSG_GUILD_CHALLENGE_UPDATE, 0x2950},
            {Opcode.SMSG_GUILD_CHANGE_NAME_RESULT, 0x295A},
            {Opcode.SMSG_GUILD_COMMAND_RESULT, 0x2938},
            {Opcode.SMSG_GUILD_CRITERIA_DELETED, 0x2944},
            {Opcode.SMSG_GUILD_CRITERIA_UPDATE, 0x2941},
            {Opcode.SMSG_GUILD_EVENT_BANK_CONTENTS_CHANGED, 0x2972},
            {Opcode.SMSG_GUILD_EVENT_BANK_MONEY_CHANGED, 0x2971},
            {Opcode.SMSG_GUILD_EVENT_DISBANDED, 0x2968},
            {Opcode.SMSG_GUILD_EVENT_LOG_QUERY_RESULTS, 0x295F},
            {Opcode.SMSG_GUILD_EVENT_MOTD, 0x2969},
            {Opcode.SMSG_GUILD_EVENT_NEW_LEADER, 0x2967},
            {Opcode.SMSG_GUILD_EVENT_PLAYER_JOINED, 0x2965},
            {Opcode.SMSG_GUILD_EVENT_PLAYER_LEFT, 0x2966},
            {Opcode.SMSG_GUILD_EVENT_PRESENCE_CHANGE, 0x296A},
            {Opcode.SMSG_GUILD_EVENT_RANKS_UPDATED, 0x296B},
            {Opcode.SMSG_GUILD_EVENT_RANK_CHANGED, 0x296C},
            {Opcode.SMSG_GUILD_EVENT_TAB_ADDED, 0x296D},
            {Opcode.SMSG_GUILD_EVENT_TAB_DELETED, 0x296E},
            {Opcode.SMSG_GUILD_EVENT_TAB_MODIFIED, 0x296F},
            {Opcode.SMSG_GUILD_EVENT_TAB_TEXT_CHANGED, 0x2970},
            {Opcode.SMSG_GUILD_FLAGGED_FOR_RENAME, 0x2959},
            {Opcode.SMSG_GUILD_INVITE, 0x2948},
            {Opcode.SMSG_GUILD_INVITE_DECLINED, 0x2963},
            {Opcode.SMSG_GUILD_INVITE_EXPIRED, 0x2964},
            {Opcode.SMSG_GUILD_KNOWN_RECIPES, 0x293C},
            {Opcode.SMSG_GUILD_MEMBERS_WITH_RECIPE, 0x293D},
            {Opcode.SMSG_GUILD_MEMBER_DAILY_RESET, 0x2961},
            {Opcode.SMSG_GUILD_MEMBER_RECIPES, 0x293B},
            {Opcode.SMSG_GUILD_MEMBER_UPDATE_NOTE, 0x2947},
            {Opcode.SMSG_GUILD_MOVED, 0x2957},
            {Opcode.SMSG_GUILD_MOVE_STARTING, 0x2956},
            {Opcode.SMSG_GUILD_NAME_CHANGED, 0x2958},
            {Opcode.SMSG_GUILD_NEWS, 0x293F},
            {Opcode.SMSG_GUILD_NEWS_DELETED, 0x2940},
            {Opcode.SMSG_GUILD_PARTY_STATE, 0x2949},
            {Opcode.SMSG_GUILD_PERMISSIONS_QUERY_RESULTS, 0x295E},
            {Opcode.SMSG_GUILD_RANKS, 0x2946},
            {Opcode.SMSG_GUILD_REPUTATION_REACTION_CHANGED, 0x294A},
            {Opcode.SMSG_GUILD_RESET, 0x2955},
            {Opcode.SMSG_GUILD_REWARD_LIST, 0x293E},
            {Opcode.SMSG_GUILD_ROSTER, 0x2939},
            {Opcode.SMSG_GUILD_ROSTER_UPDATE, 0x293A},
            {Opcode.SMSG_GUILD_SEND_RANK_CHANGE, 0x2937},
            {Opcode.SMSG_HEALTH_UPDATE, 0x267F},
            {Opcode.SMSG_HIGHEST_THREAT_UPDATE, 0x268E},
            {Opcode.SMSG_HOTFIX_NOTIFY, 0x2529},
            {Opcode.SMSG_HOTFIX_NOTIFY_BLOB, 0x252A},
            {Opcode.SMSG_INCREASE_CAST_TIME_FOR_SPELL, 0x2BA4},
            {Opcode.SMSG_INITIALIZE_FACTIONS, 0x26E4},
            {Opcode.SMSG_INITIAL_SETUP, 0x24FD},
            {Opcode.SMSG_INIT_WORLD_STATES, 0x2709},
            {Opcode.SMSG_INSPECT_HONOR_STATS, 0x2538},
            {Opcode.SMSG_INSPECT_PVP, 0x26E0},
            {Opcode.SMSG_INSPECT_RESULT, 0x25CE},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_CHANGE_PRIORITY, 0x2766},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_DISENGAGE_UNIT, 0x2765},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_END, 0x276C},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_ENGAGE_UNIT, 0x2764},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_GAIN_COMBAT_RESURRECTION_CHARGE, 0x276E},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_IN_COMBAT_RESURRECTION, 0x276D},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_OBJECTIVE_COMPLETE, 0x2769},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_OBJECTIVE_START, 0x2768},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_OBJECTIVE_UPDATE, 0x276B},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_PHASE_SHIFT_CHANGED, 0x276F},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_START, 0x276A},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_TIMER_START, 0x2767},
            {Opcode.SMSG_INSTANCE_GROUP_SIZE_CHANGED, 0x26B8},
            {Opcode.SMSG_INSTANCE_INFO, 0x25D0},
            {Opcode.SMSG_INSTANCE_RESET, 0x2630},
            {Opcode.SMSG_INSTANCE_RESET_FAILED, 0x2631},
            {Opcode.SMSG_INSTANCE_SAVE_CREATED, 0x2737},
            {Opcode.SMSG_INVALIDATE_PLAYER, 0x2654},
            {Opcode.SMSG_INVALID_PROMOTION_CODE, 0x2713},
            {Opcode.SMSG_INVENTORY_CHANGE_FAILURE, 0x26E2},
            {Opcode.SMSG_IS_QUEST_COMPLETE_RESPONSE, 0x2A01},
            {Opcode.SMSG_ITEM_CHANGED, 0x26A2},
            {Opcode.SMSG_ITEM_COOLDOWN, 0x2779},
            {Opcode.SMSG_ITEM_ENCHANT_TIME_UPDATE, 0x2715},
            {Opcode.SMSG_ITEM_EXPIRE_PURCHASE_REFUND, 0x2537},
            {Opcode.SMSG_ITEM_PURCHASE_REFUND_RESULT, 0x2535},
            {Opcode.SMSG_ITEM_PUSH_RESULT, 0x25BA},
            {Opcode.SMSG_ITEM_TIME_UPDATE, 0x2714},
            {Opcode.SMSG_KICK_REASON, 0x2798},
            {Opcode.SMSG_LEARNED_SPELLS, 0x2BCB},
            {Opcode.SMSG_LEARN_TALENT_FAILED, 0x256D},
            {Opcode.SMSG_LEVEL_UP_INFO, 0x26A1},
            {Opcode.SMSG_LFG_BOOT_PLAYER, 0x29B4},
            {Opcode.SMSG_LFG_DISABLED, 0x29B2},
            {Opcode.SMSG_LFG_JOIN_RESULT, 0x299A},
            {Opcode.SMSG_LFG_LIST_JOIN_RESULT, 0x299B},
            {Opcode.SMSG_LFG_LIST_SEARCH_RESULTS, 0x299C},
            {Opcode.SMSG_LFG_LIST_SEARCH_STATUS, 0x299D},
            {Opcode.SMSG_LFG_LIST_UPDATE_BLACKLIST, 0x29A7},
            {Opcode.SMSG_LFG_LIST_UPDATE_STATUS, 0x29A3},
            {Opcode.SMSG_LFG_OFFER_CONTINUE, 0x29B3},
            {Opcode.SMSG_LFG_PARTY_INFO, 0x29B5},
            {Opcode.SMSG_LFG_PLAYER_INFO, 0x29B6},
            {Opcode.SMSG_LFG_PLAYER_REWARD, 0x29B7},
            {Opcode.SMSG_LFG_PROPOSAL_UPDATE, 0x29AA},
            {Opcode.SMSG_LFG_QUEUE_STATUS, 0x299E},
            {Opcode.SMSG_LFG_READY_CHECK_RESULT, 0x29B9},
            {Opcode.SMSG_LFG_READY_CHECK_UPDATE, 0x29A0},
            {Opcode.SMSG_LFG_ROLE_CHECK_UPDATE, 0x299F},
            {Opcode.SMSG_LFG_SEARCH_RESULTS, 0x29AB},
            {Opcode.SMSG_LFG_SLOT_INVALID, 0x29AE},
            {Opcode.SMSG_LFG_TELEPORT_DENIED, 0x29B1},
            {Opcode.SMSG_LFG_UPDATE_STATUS, 0x29A2},
            {Opcode.SMSG_LF_GUILD_APPLICANT_LIST_CHANGED, 0x2952},
            {Opcode.SMSG_LF_GUILD_APPLICATIONS, 0x294F},
            {Opcode.SMSG_LF_GUILD_APPLICATIONS_LIST_CHANGED, 0x2953},
            {Opcode.SMSG_LF_GUILD_BROWSE, 0x294C},
            {Opcode.SMSG_LF_GUILD_COMMAND_RESULT, 0x294E},
            {Opcode.SMSG_LF_GUILD_POST, 0x294B},
            {Opcode.SMSG_LF_GUILD_RECRUITS, 0x294D},
            {Opcode.SMSG_LIVE_REGION_ACCOUNT_RESTORE_RESULT, 0x272E},
            {Opcode.SMSG_LIVE_REGION_CHARACTER_COPY_RESULT, 0x272C},
            {Opcode.SMSG_LIVE_REGION_GET_ACCOUNT_CHARACTER_LIST_RESULT, 0x2723},
            {Opcode.SMSG_LOAD_CUF_PROFILES, 0x2553},
            {Opcode.SMSG_LOAD_EQUIPMENT_SET, 0x26CE},
            {Opcode.SMSG_LOAD_SELECTED_TROPHY_RESULT, 0x2777},
            {Opcode.SMSG_LOGIN_SET_TIME_SPEED, 0x26CD},
            {Opcode.SMSG_LOGIN_VERIFY_WORLD, 0x2532},
            {Opcode.SMSG_LOGOUT_CANCEL_ACK, 0x262F},
            {Opcode.SMSG_LOGOUT_COMPLETE, 0x262E},
            {Opcode.SMSG_LOGOUT_RESPONSE, 0x262D},
            {Opcode.SMSG_LOG_XP_GAIN, 0x269D},
            {Opcode.SMSG_LOOT_ALL_PASSED, 0x25B8},
            {Opcode.SMSG_LOOT_CONTENTS, 0x2573},
            {Opcode.SMSG_LOOT_ITEM_LIST, 0x25B6},
            {Opcode.SMSG_LOOT_LIST, 0x2702},
            {Opcode.SMSG_LOOT_MONEY_NOTIFY, 0x25B2},
            {Opcode.SMSG_LOOT_RELEASE, 0x25B1},
            {Opcode.SMSG_LOOT_RELEASE_ALL, 0x25B0},
            {Opcode.SMSG_LOOT_REMOVED, 0x25AB},
            {Opcode.SMSG_LOOT_RESPONSE, 0x25AA},
            {Opcode.SMSG_LOOT_ROLL, 0x25B4},
            {Opcode.SMSG_LOOT_ROLLS_COMPLETE, 0x25B7},
            {Opcode.SMSG_LOOT_ROLL_WON, 0x25B9},
            {Opcode.SMSG_LOSS_OF_CONTROL_AURA_UPDATE, 0x2616},
            {Opcode.SMSG_MAIL_COMMAND_RESULT, 0x25D8},
            {Opcode.SMSG_MAIL_LIST_RESULT, 0x2716},
            {Opcode.SMSG_MAIL_QUERY_NEXT_TIME_RESULT, 0x2717},
            {Opcode.SMSG_MAP_OBJECTIVES_INIT, 0x271F},
            {Opcode.SMSG_MAP_OBJ_EVENTS, 0x255E},
            {Opcode.SMSG_MASTER_LOOT_CANDIDATE_LIST, 0x25B5},
            {Opcode.SMSG_MESSAGE_BOX, 0x24F3},
            {Opcode.SMSG_MINIMAP_PING, 0x267A},
            {Opcode.SMSG_MIRROR_IMAGE_COMPONENTED_DATA, 0x2B92},
            {Opcode.SMSG_MIRROR_IMAGE_CREATURE_DATA, 0x2B91},
            {Opcode.SMSG_MISSILE_CANCEL, 0x255F},
            {Opcode.SMSG_MODIFY_COOLDOWN, 0x2725},
            {Opcode.SMSG_MOTD, 0x2B2D},
            {Opcode.SMSG_MOUNT_RESULT, 0x24F8},
            {Opcode.SMSG_MOVE_APPLY_MOVEMENT_FORCE, 0x2D5D},
            {Opcode.SMSG_MOVE_DISABLE_COLLISION, 0x2D59},
            {Opcode.SMSG_MOVE_DISABLE_GRAVITY, 0x2D57},
            {Opcode.SMSG_MOVE_DISABLE_TRANSITION_BETWEEN_SWIM_AND_FLY, 0x2D56},
            {Opcode.SMSG_MOVE_ENABLE_COLLISION, 0x2D5A},
            {Opcode.SMSG_MOVE_ENABLE_GRAVITY, 0x2D58},
            {Opcode.SMSG_MOVE_ENABLE_TRANSITION_BETWEEN_SWIM_AND_FLY, 0x2D55},
            {Opcode.SMSG_MOVE_KNOCK_BACK, 0x2D4D},
            {Opcode.SMSG_MOVE_REMOVE_MOVEMENT_FORCE, 0x2D5E},
            {Opcode.SMSG_MOVE_ROOT, 0x2D45},
            {Opcode.SMSG_MOVE_SET_ACTIVE_MOVER, 0x2D21},
            {Opcode.SMSG_MOVE_SET_CAN_FLY, 0x2D4F},
            {Opcode.SMSG_MOVE_SET_CAN_TURN_WHILE_FALLING, 0x2D51},
            {Opcode.SMSG_MOVE_SET_COLLISION_HEIGHT, 0x2D5B},
            {Opcode.SMSG_MOVE_SET_COMPOUND_STATE, 0x2D5F},
            {Opcode.SMSG_MOVE_SET_FEATHER_FALL, 0x2D49},
            {Opcode.SMSG_MOVE_SET_FLIGHT_BACK_SPEED, 0x2D41},
            {Opcode.SMSG_MOVE_SET_FLIGHT_SPEED, 0x2D40},
            {Opcode.SMSG_MOVE_SET_HOVERING, 0x2D4B},
            {Opcode.SMSG_MOVE_SET_IGNORE_MOVEMENT_FORCES, 0x2D53},
            {Opcode.SMSG_MOVE_SET_LAND_WALK, 0x2D48},
            {Opcode.SMSG_MOVE_SET_NORMAL_FALL, 0x2D4A},
            {Opcode.SMSG_MOVE_SET_PITCH_RATE, 0x2D44},
            {Opcode.SMSG_MOVE_SET_RUN_BACK_SPEED, 0x2D3D},
            {Opcode.SMSG_MOVE_SET_RUN_SPEED, 0x2D3C},
            {Opcode.SMSG_MOVE_SET_SWIM_BACK_SPEED, 0x2D3F},
            {Opcode.SMSG_MOVE_SET_SWIM_SPEED, 0x2D3E},
            {Opcode.SMSG_MOVE_SET_TURN_RATE, 0x2D43},
            {Opcode.SMSG_MOVE_SET_VEHICLE_REC_ID, 0x2D5C},
            {Opcode.SMSG_MOVE_SET_WALK_SPEED, 0x2D42},
            {Opcode.SMSG_MOVE_SET_WATER_WALK, 0x2D47},
            {Opcode.SMSG_MOVE_SKIP_TIME, 0x2D60},
            {Opcode.SMSG_MOVE_SPLINE_DISABLE_COLLISION, 0x2D65},
            {Opcode.SMSG_MOVE_SPLINE_DISABLE_GRAVITY, 0x2D63},
            {Opcode.SMSG_MOVE_SPLINE_ENABLE_COLLISION, 0x2D66},
            {Opcode.SMSG_MOVE_SPLINE_ENABLE_GRAVITY, 0x2D64},
            {Opcode.SMSG_MOVE_SPLINE_ROOT, 0x2D61},
            {Opcode.SMSG_MOVE_SPLINE_SET_FEATHER_FALL, 0x2D67},
            {Opcode.SMSG_MOVE_SPLINE_SET_FLIGHT_BACK_SPEED, 0x2D38},
            {Opcode.SMSG_MOVE_SPLINE_SET_FLIGHT_SPEED, 0x2D37},
            {Opcode.SMSG_MOVE_SPLINE_SET_FLYING, 0x2D71},
            {Opcode.SMSG_MOVE_SPLINE_SET_HOVER, 0x2D69},
            {Opcode.SMSG_MOVE_SPLINE_SET_LAND_WALK, 0x2D6C},
            {Opcode.SMSG_MOVE_SPLINE_SET_NORMAL_FALL, 0x2D68},
            {Opcode.SMSG_MOVE_SPLINE_SET_PITCH_RATE, 0x2D3B},
            {Opcode.SMSG_MOVE_SPLINE_SET_RUN_BACK_SPEED, 0x2D34},
            {Opcode.SMSG_MOVE_SPLINE_SET_RUN_MODE, 0x2D6F},
            {Opcode.SMSG_MOVE_SPLINE_SET_RUN_SPEED, 0x2D33},
            {Opcode.SMSG_MOVE_SPLINE_SET_SWIM_BACK_SPEED, 0x2D36},
            {Opcode.SMSG_MOVE_SPLINE_SET_SWIM_SPEED, 0x2D35},
            {Opcode.SMSG_MOVE_SPLINE_SET_TURN_RATE, 0x2D3A},
            {Opcode.SMSG_MOVE_SPLINE_SET_WALK_MODE, 0x2D70},
            {Opcode.SMSG_MOVE_SPLINE_SET_WALK_SPEED, 0x2D39},
            {Opcode.SMSG_MOVE_SPLINE_SET_WATER_WALK, 0x2D6B},
            {Opcode.SMSG_MOVE_SPLINE_START_SWIM, 0x2D6D},
            {Opcode.SMSG_MOVE_SPLINE_STOP_SWIM, 0x2D6E},
            {Opcode.SMSG_MOVE_SPLINE_UNROOT, 0x2D62},
            {Opcode.SMSG_MOVE_SPLINE_UNSET_FLYING, 0x2D72},
            {Opcode.SMSG_MOVE_SPLINE_UNSET_HOVER, 0x2D6A},
            {Opcode.SMSG_MOVE_TELEPORT, 0x2D4E},
            {Opcode.SMSG_MOVE_UNROOT, 0x2D46},
            {Opcode.SMSG_MOVE_UNSET_CAN_FLY, 0x2D50},
            {Opcode.SMSG_MOVE_UNSET_CAN_TURN_WHILE_FALLING, 0x2D52},
            {Opcode.SMSG_MOVE_UNSET_HOVERING, 0x2D4C},
            {Opcode.SMSG_MOVE_UNSET_IGNORE_MOVEMENT_FORCES, 0x2D54},
            {Opcode.SMSG_MOVE_UPDATE, 0x2D2C},
            {Opcode.SMSG_MOVE_UPDATE_APPLY_MOVEMENT_FORCE, 0x2D30},
            {Opcode.SMSG_MOVE_UPDATE_COLLISION_HEIGHT, 0x2D2B},
            {Opcode.SMSG_MOVE_UPDATE_FLIGHT_BACK_SPEED, 0x2D28},
            {Opcode.SMSG_MOVE_UPDATE_FLIGHT_SPEED, 0x2D27},
            {Opcode.SMSG_MOVE_UPDATE_KNOCK_BACK, 0x2D2E},
            {Opcode.SMSG_MOVE_UPDATE_PITCH_RATE, 0x2D2A},
            {Opcode.SMSG_MOVE_UPDATE_REMOVE_MOVEMENT_FORCE, 0x2D31},
            {Opcode.SMSG_MOVE_UPDATE_RUN_BACK_SPEED, 0x2D23},
            {Opcode.SMSG_MOVE_UPDATE_RUN_SPEED, 0x2D22},
            {Opcode.SMSG_MOVE_UPDATE_SWIM_BACK_SPEED, 0x2D26},
            {Opcode.SMSG_MOVE_UPDATE_SWIM_SPEED, 0x2D25},
            {Opcode.SMSG_MOVE_UPDATE_TELEPORT, 0x2D2D},
            {Opcode.SMSG_MOVE_UPDATE_TURN_RATE, 0x2D29},
            {Opcode.SMSG_MOVE_UPDATE_WALK_SPEED, 0x2D24},
            {Opcode.SMSG_NEUTRAL_PLAYER_FACTION_SELECT_RESULT, 0x2575},
            {Opcode.SMSG_NEW_TAXI_PATH, 0x2628},
            {Opcode.SMSG_NEW_WORLD, 0x2531},
            {Opcode.SMSG_NOTIFY_DEST_LOC_SPELL_CAST, 0x2BC1},
            {Opcode.SMSG_NOTIFY_MISSILE_TRAJECTORY_COLLISION, 0x2653},
            {Opcode.SMSG_NOTIFY_MONEY, 0x2534},
            {Opcode.SMSG_NOTIFY_RECEIVED_MAIL, 0x25D9},
            {Opcode.SMSG_OFFER_PETITION_ERROR, 0x2662},
            {Opcode.SMSG_ON_CANCEL_EXPECTED_RIDE_VEHICLE_AURA, 0x269E},
            {Opcode.SMSG_ON_MONSTER_MOVE, 0x2D20},
            {Opcode.SMSG_OPEN_CONTAINER, 0x26E3},
            {Opcode.SMSG_OPEN_LFG_DUNGEON_FINDER, 0x29B0},
            {Opcode.SMSG_OPEN_SHIPMENT_NPC_FROM_GOSSIP, 0x2754},
            {Opcode.SMSG_OPEN_SHIPMENT_NPC_RESULT, 0x2756},
            {Opcode.SMSG_OVERRIDE_LIGHT, 0x2669},
            {Opcode.SMSG_PAGE_TEXT, 0x26D8},
            {Opcode.SMSG_PARTY_COMMAND_RESULT, 0x2751},
            {Opcode.SMSG_PARTY_INVITE, 0x2555},
            {Opcode.SMSG_PARTY_KILL_LOG, 0x271B},
            {Opcode.SMSG_PARTY_MEMBER_STATE, 0x2719},
            {Opcode.SMSG_PARTY_UPDATE, 0x258E},
            {Opcode.SMSG_PAUSE_MIRROR_TIMER, 0x26D0},
            {Opcode.SMSG_PENDING_RAID_LOCK, 0x26B2},
            {Opcode.SMSG_PETITION_ALREADY_SIGNED, 0x253E},
            {Opcode.SMSG_PETITION_RENAME_GUILD_RESPONSE, 0x2974},
            {Opcode.SMSG_PETITION_SHOW_LIST, 0x266C},
            {Opcode.SMSG_PETITION_SHOW_SIGNATURES, 0x266D},
            {Opcode.SMSG_PETITION_SIGN_RESULTS, 0x270D},
            {Opcode.SMSG_PET_ACTION_FEEDBACK, 0x270B},
            {Opcode.SMSG_PET_ACTION_SOUND, 0x264A},
            {Opcode.SMSG_PET_ADDED, 0x252E},
            {Opcode.SMSG_PET_BATTLE_CHAT_RESTRICTED, 0x259B},
            {Opcode.SMSG_PET_BATTLE_DEBUG_QUEUE_DUMP_RESPONSE, 0x261D},
            {Opcode.SMSG_PET_BATTLE_FINALIZE_LOCATION, 0x2594},
            {Opcode.SMSG_PET_BATTLE_FINAL_ROUND, 0x2599},
            {Opcode.SMSG_PET_BATTLE_FINISHED, 0x259A},
            {Opcode.SMSG_PET_BATTLE_FIRST_ROUND, 0x2596},
            {Opcode.SMSG_PET_BATTLE_INITIAL_UPDATE, 0x2595},
            {Opcode.SMSG_PET_BATTLE_MAX_GAME_LENGTH_WARNING, 0x259C},
            {Opcode.SMSG_PET_BATTLE_PVP_CHALLENGE, 0x2593},
            {Opcode.SMSG_PET_BATTLE_QUEUE_PROPOSE_MATCH, 0x25D6},
            {Opcode.SMSG_PET_BATTLE_QUEUE_STATUS, 0x25D7},
            {Opcode.SMSG_PET_BATTLE_REPLACEMENTS_MADE, 0x2598},
            {Opcode.SMSG_PET_BATTLE_REQUEST_FAILED, 0x2592},
            {Opcode.SMSG_PET_BATTLE_ROUND_RESULT, 0x2597},
            {Opcode.SMSG_PET_BATTLE_SLOT_UPDATES, 0x2585},
            {Opcode.SMSG_PET_CAST_FAILED, 0x2BD3},
            {Opcode.SMSG_PET_CLEAR_SPELLS, 0x2BA1},
            {Opcode.SMSG_PET_DISMISS_SOUND, 0x264B},
            {Opcode.SMSG_PET_GOD_MODE, 0x2625},
            {Opcode.SMSG_PET_GUIDS, 0x26C3},
            {Opcode.SMSG_PET_LEARNED_SPELLS, 0x2BCD},
            {Opcode.SMSG_PET_MODE, 0x2506},
            {Opcode.SMSG_PET_NAME_INVALID, 0x2671},
            {Opcode.SMSG_PET_SLOT_UPDATED, 0x2505},
            {Opcode.SMSG_PET_SPELLS_MESSAGE, 0x2BA2},
            {Opcode.SMSG_PET_STABLE_LIST, 0x252F},
            {Opcode.SMSG_PET_STABLE_RESULT, 0x2530},
            {Opcode.SMSG_PET_TAME_FAILURE, 0x265F},
            {Opcode.SMSG_PET_UNLEARNED_SPELLS, 0x2BCE},
            {Opcode.SMSG_PHASE_SHIFT_CHANGE, 0x24F5},
            {Opcode.SMSG_PLAYED_TIME, 0x268A},
            {Opcode.SMSG_PLAYER_BOUND, 0x24FB},
            {Opcode.SMSG_PLAYER_SAVE_GUILD_EMBLEM, 0x2973},
            {Opcode.SMSG_PLAYER_SKINNED, 0x2706},
            {Opcode.SMSG_PLAYER_TABARD_VENDOR_ACTIVATE, 0x271A},
            {Opcode.SMSG_PLAY_MUSIC, 0x2728},
            {Opcode.SMSG_PLAY_OBJECT_SOUND, 0x2729},
            {Opcode.SMSG_PLAY_ONE_SHOT_ANIM_KIT, 0x26F0},
            {Opcode.SMSG_PLAY_ORPHAN_SPELL_VISUAL, 0x2BC5},
            {Opcode.SMSG_PLAY_SCENE, 0x25D3},
            {Opcode.SMSG_PLAY_SOUND, 0x2727},
            {Opcode.SMSG_PLAY_SPEAKERBOT_SOUND, 0x272A},
            {Opcode.SMSG_PLAY_SPELL_VISUAL, 0x2BC3},
            {Opcode.SMSG_PLAY_SPELL_VISUAL_KIT, 0x2BC7},
            {Opcode.SMSG_PLAY_TIME_WARNING, 0x26BC},
            {Opcode.SMSG_PONG, 0x2FCB},
            {Opcode.SMSG_POWER_UPDATE, 0x2680},
            {Opcode.SMSG_PRE_RESSURECT, 0x2726},
            {Opcode.SMSG_PRINT_NOTIFICATION, 0x2566},
            {Opcode.SMSG_PROC_RESIST, 0x271C},
            {Opcode.SMSG_PROPOSE_LEVEL_GRANT, 0x2692},
            {Opcode.SMSG_PVP_CREDIT, 0x2698},
            {Opcode.SMSG_PVP_LOG_DATA, 0x2539},
            {Opcode.SMSG_PVP_OPTIONS_ENABLED, 0x253C},
            {Opcode.SMSG_PVP_SEASON, 0x2559},
            {Opcode.SMSG_QUERY_BATTLE_PET_NAME_RESPONSE, 0x2685},
            {Opcode.SMSG_QUERY_CREATURE_RESPONSE, 0x267D},
            {Opcode.SMSG_QUERY_GAME_OBJECT_RESPONSE, 0x267E},
            {Opcode.SMSG_QUERY_GARRISON_CREATURE_NAME_RESPONSE, 0x28A2},
            {Opcode.SMSG_QUERY_GUILD_INFO_RESPONSE, 0x2962},
            {Opcode.SMSG_QUERY_ITEM_TEXT_RESPONSE, 0x2778},
            {Opcode.SMSG_QUERY_NPC_TEXT_RESPONSE, 0x2681},
            {Opcode.SMSG_QUERY_PAGE_TEXT_RESPONSE, 0x2683},
            {Opcode.SMSG_QUERY_PETITION_RESPONSE, 0x2686},
            {Opcode.SMSG_QUERY_PET_NAME_RESPONSE, 0x2684},
            {Opcode.SMSG_QUERY_PLAYER_NAME_RESPONSE, 0x2682},
            {Opcode.SMSG_QUERY_QUEST_INFO_RESPONSE, 0x2A12},
            {Opcode.SMSG_QUERY_TIME_RESPONSE, 0x269C},
            {Opcode.SMSG_QUEST_COMPLETION_NPC_RESPONSE, 0x29FF},
            {Opcode.SMSG_QUEST_CONFIRM_ACCEPT, 0x2A0B},
            {Opcode.SMSG_QUEST_FORCE_REMOVED, 0x2A17},
            {Opcode.SMSG_QUEST_GIVER_INVALID_QUEST, 0x2A02},
            {Opcode.SMSG_QUEST_GIVER_OFFER_REWARD_MESSAGE, 0x2A10},
            {Opcode.SMSG_QUEST_GIVER_QUEST_COMPLETE, 0x2A00},
            {Opcode.SMSG_QUEST_GIVER_QUEST_DETAILS, 0x2A0E},
            {Opcode.SMSG_QUEST_GIVER_QUEST_FAILED, 0x2A03},
            {Opcode.SMSG_QUEST_GIVER_QUEST_LIST_MESSAGE, 0x2A15},
            {Opcode.SMSG_QUEST_GIVER_REQUEST_ITEMS, 0x2A0F},
            {Opcode.SMSG_QUEST_GIVER_STATUS, 0x2A16},
            {Opcode.SMSG_QUEST_GIVER_STATUS_MULTIPLE, 0x2A0D},
            {Opcode.SMSG_QUEST_LOG_FULL, 0x2A04},
            {Opcode.SMSG_QUEST_POI_QUERY_RESPONSE, 0x2A18},
            {Opcode.SMSG_QUEST_PUSH_RESULT, 0x2A0C},
            {Opcode.SMSG_QUEST_UPDATE_ADD_CREDIT, 0x2A08},
            {Opcode.SMSG_QUEST_UPDATE_ADD_CREDIT_SIMPLE, 0x2A09},
            {Opcode.SMSG_QUEST_UPDATE_ADD_PVP_CREDIT, 0x2A0A},
            {Opcode.SMSG_QUEST_UPDATE_COMPLETE, 0x2A05},
            {Opcode.SMSG_QUEST_UPDATE_FAILED, 0x2A06},
            {Opcode.SMSG_QUEST_UPDATE_FAILED_TIMER, 0x2A07},
            {Opcode.SMSG_RAF_EMAIL_ENABLED_RESPONSE, 0x2742},
            {Opcode.SMSG_RAID_DIFFICULTY_SET, 0x2761},
            {Opcode.SMSG_RAID_GROUP_ONLY, 0x2763},
            {Opcode.SMSG_RAID_INSTANCE_MESSAGE, 0x2B37},
            {Opcode.SMSG_RAID_MARKERS_CHANGED, 0x253F},
            {Opcode.SMSG_RANDOM_ROLL, 0x25CD},
            {Opcode.SMSG_RATED_BATTLEFIELD_INFO, 0x252C},
            {Opcode.SMSG_READY_CHECK_COMPLETED, 0x2591},
            {Opcode.SMSG_READY_CHECK_RESPONSE, 0x2590},
            {Opcode.SMSG_READY_CHECK_STARTED, 0x258F},
            {Opcode.SMSG_READ_ITEM_RESULT_FAILED, 0x275C},
            {Opcode.SMSG_READ_ITEM_RESULT_OK, 0x275B},
            {Opcode.SMSG_REALM_QUERY_RESPONSE, 0x2668},
            {Opcode.SMSG_RECRUIT_A_FRIEND_RESPONSE, 0x2743},
            {Opcode.SMSG_REFER_A_FRIEND_EXPIRED, 0x26E1},
            {Opcode.SMSG_REFER_A_FRIEND_FAILURE, 0x266E},
            {Opcode.SMSG_REFRESH_COMPONENT, 0x25F9},
            {Opcode.SMSG_REFRESH_SPELL_HISTORY, 0x2BAA},
            {Opcode.SMSG_REMOVE_ITEM_PASSIVE, 0x2546},
            {Opcode.SMSG_REMOVE_LOSS_OF_CONTROL, 0x2618},
            {Opcode.SMSG_REPLACE_TROPHY_RESPONSE, 0x2775},
            {Opcode.SMSG_REPORT_PVP_PLAYER_AFK_RESULT, 0x265B},
            {Opcode.SMSG_REQUEST_ADDON_LIST, 0x25DF},
            {Opcode.SMSG_REQUEST_CEMETERY_LIST_RESPONSE, 0x2525},
            {Opcode.SMSG_REQUEST_PVP_REWARDS_RESPONSE, 0x255A},
            {Opcode.SMSG_RESEARCH_COMPLETE, 0x2503},
            {Opcode.SMSG_RESET_COMPRESSION_CONTEXT, 0x2FCC},
            {Opcode.SMSG_RESET_FAILED_NOTIFY, 0x2663},
            {Opcode.SMSG_RESET_RANGED_COMBAT_TIMER, 0x2695},
            {Opcode.SMSG_RESET_WEEKLY_CURRENCY, 0x24F2},
            {Opcode.SMSG_RESPEC_WIPE_CONFIRM, 0x25A8},
            {Opcode.SMSG_RESPOND_INSPECT_ACHIEVEMENTS, 0x24EF},
            {Opcode.SMSG_RESUME_CAST_BAR, 0x2BBB},
            {Opcode.SMSG_RESUME_COMMS, 0x2FC8},
            {Opcode.SMSG_RESUME_TOKEN, 0x2544},
            {Opcode.SMSG_RESURRECT_REQUEST, 0x24FC},
            {Opcode.SMSG_RESYNC_RUNES, 0x26BF},
            {Opcode.SMSG_ROLE_CHANGED_INFORM, 0x2509},
            {Opcode.SMSG_ROLE_CHOSEN, 0x29B8},
            {Opcode.SMSG_ROLE_POLL_INFORM, 0x250A},
            {Opcode.SMSG_RUNE_REGEN_DEBUG, 0x254D},
            {Opcode.SMSG_SCENARIO_BOOT, 0x275D},
            {Opcode.SMSG_SCENARIO_COMPLETED, 0x2788},
            {Opcode.SMSG_SCENARIO_OUT_OF_BOUNDS, 0x275E},
            {Opcode.SMSG_SCENARIO_POIS, 0x25CF},
            {Opcode.SMSG_SCENARIO_PROGRESS_UPDATE, 0x25C9},
            {Opcode.SMSG_SCENARIO_STATE, 0x25C8},
            {Opcode.SMSG_SCENE_OBJECT_EVENT, 0x257B},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_FINAL_ROUND, 0x2580},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_FINISHED, 0x2581},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_FIRST_ROUND, 0x257D},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_INITIAL_UPDATE, 0x257C},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_REPLACEMENTS_MADE, 0x257F},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_ROUND_RESULT, 0x257E},
            {Opcode.SMSG_SCRIPT_CAST, 0x2BD1},
            {Opcode.SMSG_SELL_RESPONSE, 0x2672},
            {Opcode.SMSG_SEND_ITEM_PASSIVES, 0x2547},
            {Opcode.SMSG_SEND_KNOWN_SPELLS, 0x2BA8},
            {Opcode.SMSG_SEND_RAID_TARGET_UPDATE_ALL, 0x25CB},
            {Opcode.SMSG_SEND_RAID_TARGET_UPDATE_SINGLE, 0x25CC},
            {Opcode.SMSG_SEND_SPELL_CHARGES, 0x2BAB},
            {Opcode.SMSG_SEND_SPELL_HISTORY, 0x2BA9},
            {Opcode.SMSG_SEND_UNLEARN_SPELLS, 0x2BAC},
            {Opcode.SMSG_SERVER_FIRST_ACHIEVEMENT, 0x2B3F},
            {Opcode.SMSG_SERVER_FIRST_ACHIEVEMENTS, 0x25EB},
            {Opcode.SMSG_SERVER_TIME, 0x262C},
            {Opcode.SMSG_SETUP_CURRENCY, 0x24F0},
            {Opcode.SMSG_SETUP_RESEARCH_HISTORY, 0x2502},
            {Opcode.SMSG_SET_AI_ANIM_KIT, 0x26EF},
            {Opcode.SMSG_SET_ALL_TASK_PROGRESS, 0x274B},
            {Opcode.SMSG_SET_ANIM_TIER, 0x26F3},
            {Opcode.SMSG_SET_CURRENCY, 0x24F1},
            {Opcode.SMSG_SET_DF_FAST_LAUNCH_RESULT, 0x29AC},
            {Opcode.SMSG_SET_DUNGEON_DIFFICULTY, 0x264F},
            {Opcode.SMSG_SET_FACTION_AT_WAR, 0x26BE},
            {Opcode.SMSG_SET_FACTION_NOT_VISIBLE, 0x26EA},
            {Opcode.SMSG_SET_FACTION_STANDING, 0x26EB},
            {Opcode.SMSG_SET_FACTION_VISIBLE, 0x26E9},
            {Opcode.SMSG_SET_FLAT_SPELL_MODIFIER, 0x2BB5},
            {Opcode.SMSG_SET_FORCED_REACTIONS, 0x26DB},
            {Opcode.SMSG_SET_ITEM_PURCHASE_DATA, 0x2536},
            {Opcode.SMSG_SET_LOOT_METHOD_FAILED, 0x2784},
            {Opcode.SMSG_SET_MAX_WEEKLY_QUANTITY, 0x253D},
            {Opcode.SMSG_SET_MELEE_ANIM_KIT, 0x26F2},
            {Opcode.SMSG_SET_MOVEMENT_ANIM_KIT, 0x26F1},
            {Opcode.SMSG_SET_PCT_SPELL_MODIFIER, 0x2BB6},
            {Opcode.SMSG_SET_PET_SPECIALIZATION, 0x25C2},
            {Opcode.SMSG_SET_PLAYER_DECLINED_NAMES_RESULT, 0x2689},
            {Opcode.SMSG_SET_PLAY_HOVER_ANIM, 0x2551},
            {Opcode.SMSG_SET_PROFICIENCY, 0x26F4},
            {Opcode.SMSG_SET_SPELL_CHARGES, 0x2BA7},
            {Opcode.SMSG_SET_TASK_COMPLETE, 0x274C},
            {Opcode.SMSG_SET_TIME_ZONE_INFORMATION, 0x2620},
            {Opcode.SMSG_SET_VEHICLE_REC_ID, 0x26B1},
            {Opcode.SMSG_SHOW_BANK, 0x2629},
            {Opcode.SMSG_SHOW_MAILBOX, 0x275F},
            {Opcode.SMSG_SHOW_NEUTRAL_PLAYER_FACTION_SELECT_UI, 0x2574},
            {Opcode.SMSG_SHOW_TAXI_NODES, 0x2679},
            {Opcode.SMSG_SHOW_TRADE_SKILL_RESPONSE, 0x272F},
            {Opcode.SMSG_SOCKET_GEMS, 0x26E7},
            {Opcode.SMSG_SOR_START_EXPERIENCE_INCOMPLETE, 0x2576},
            {Opcode.SMSG_SPECIAL_MOUNT_ANIM, 0x2649},
            {Opcode.SMSG_SPELL_ABSORB_LOG, 0x2B9C},
            {Opcode.SMSG_SPELL_CHANNEL_START, 0x2BB3},
            {Opcode.SMSG_SPELL_CHANNEL_UPDATE, 0x2BB4},
            {Opcode.SMSG_SPELL_COOLDOWN, 0x2B93},
            {Opcode.SMSG_SPELL_DAMAGE_SHIELD, 0x2BAF},
            {Opcode.SMSG_SPELL_DELAYED, 0x2BBC},
            {Opcode.SMSG_SPELL_DISPELL_LOG, 0x2B98},
            {Opcode.SMSG_SPELL_ENERGIZE_LOG, 0x2B9A},
            {Opcode.SMSG_SPELL_EXECUTE_LOG, 0x2BBD},
            {Opcode.SMSG_SPELL_FAILED_OTHER, 0x2BD0},
            {Opcode.SMSG_SPELL_FAILURE, 0x2BCF},
            {Opcode.SMSG_SPELL_GO, 0x2BB7},
            {Opcode.SMSG_SPELL_HEAL_LOG, 0x2B9B},
            {Opcode.SMSG_SPELL_INSTAKILL_LOG, 0x2BB1},
            {Opcode.SMSG_SPELL_INTERRUPT_LOG, 0x2B9D},
            {Opcode.SMSG_SPELL_MISS_LOG, 0x2BBE},
            {Opcode.SMSG_SPELL_MULTISTRIKE_EFFECT, 0x2BC0},
            {Opcode.SMSG_SPELL_NON_MELEE_DAMAGE_LOG, 0x2BB0},
            {Opcode.SMSG_SPELL_OR_DAMAGE_IMMUNE, 0x2BAD},
            {Opcode.SMSG_SPELL_PERIODIC_AURA_LOG, 0x2B99},
            {Opcode.SMSG_SPELL_START, 0x2BB8},
            {Opcode.SMSG_SPELL_UPDATE_CHAIN_TARGETS, 0x2BB2},
            {Opcode.SMSG_SPIRIT_HEALER_CONFIRM, 0x26D5},
            {Opcode.SMSG_STAND_STATE_UPDATE, 0x26DA},
            {Opcode.SMSG_START_ELAPSED_TIMER, 0x259D},
            {Opcode.SMSG_START_ELAPSED_TIMERS, 0x259F},
            {Opcode.SMSG_START_LOOT_ROLL, 0x25B3},
            {Opcode.SMSG_START_MIRROR_TIMER, 0x26CF},
            {Opcode.SMSG_START_TIMER, 0x2541},
            {Opcode.SMSG_STOP_ELAPSED_TIMER, 0x259E},
            {Opcode.SMSG_STOP_MIRROR_TIMER, 0x26D1},
            {Opcode.SMSG_STOP_SPEAKERBOT_SOUND, 0x272B},
            {Opcode.SMSG_STREAMING_MOVIES, 0x2540},
            {Opcode.SMSG_SUMMON_CANCEL, 0x265A},
            {Opcode.SMSG_SUMMON_RAID_MEMBER_VALIDATE_FAILED, 0x250B},
            {Opcode.SMSG_SUMMON_REQUEST, 0x26DF},
            {Opcode.SMSG_SUPERCEDED_SPELLS, 0x2BCA},
            {Opcode.SMSG_SUPPRESS_NPC_GREETINGS, 0x2554},
            {Opcode.SMSG_SUSPEND_COMMS, 0x2FC7},
            {Opcode.SMSG_SUSPEND_TOKEN, 0x2543},
            {Opcode.SMSG_TALENTS_INVOLUNTARILY_RESET, 0x26D7},
            {Opcode.SMSG_TAXI_NODE_STATUS, 0x2626},
            {Opcode.SMSG_TEXT_EMOTE, 0x2624},
            {Opcode.SMSG_THREAT_CLEAR, 0x2691},
            {Opcode.SMSG_THREAT_REMOVE, 0x2690},
            {Opcode.SMSG_THREAT_UPDATE, 0x268F},
            {Opcode.SMSG_TIME_ADJUSTMENT, 0x2D1F},
            {Opcode.SMSG_TIME_SYNC_REQUEST, 0x2D1E},
            {Opcode.SMSG_TITLE_EARNED, 0x268C},
            {Opcode.SMSG_TITLE_LOST, 0x268D},
            {Opcode.SMSG_TOTEM_CREATED, 0x2675},
            {Opcode.SMSG_TOTEM_MOVED, 0x2676},
            {Opcode.SMSG_TRADE_STATUS, 0x24FF},
            {Opcode.SMSG_TRADE_UPDATED, 0x24FE},
            {Opcode.SMSG_TRAINER_BUY_FAILED, 0x2697},
            {Opcode.SMSG_TRAINER_LIST, 0x2696},
            {Opcode.SMSG_TRANSFER_ABORTED, 0x26C2},
            {Opcode.SMSG_TRANSFER_PENDING, 0x2569},
            {Opcode.SMSG_TRIGGER_CINEMATIC, 0x277C},
            {Opcode.SMSG_TRIGGER_MOVIE, 0x2677},
            {Opcode.SMSG_TURN_IN_PETITION_RESULT, 0x270F},
            {Opcode.SMSG_TUTORIAL_FLAGS, 0x2770},
            {Opcode.SMSG_TWITTER_STATUS, 0x2F7B},
            {Opcode.SMSG_UI_TIME, 0x26D4},
            {Opcode.SMSG_UNDELETE_CHARACTER_RESPONSE, 0x277F},
            {Opcode.SMSG_UNDELETE_COOLDOWN_STATUS_RESPONSE, 0x2780},
            {Opcode.SMSG_UNLEARNED_SPELLS, 0x2BCC},
            {Opcode.SMSG_UPDATE_ACCOUNT_DATA, 0x26C9},
            {Opcode.SMSG_UPDATE_ACTION_BUTTONS, 0x2579},
            {Opcode.SMSG_UPDATE_CHARACTER_FLAGS, 0x2774},
            {Opcode.SMSG_UPDATE_DUNGEON_ENCOUNTER_FOR_LOOT, 0x29AF},
            {Opcode.SMSG_UPDATE_EXPANSION_LEVEL, 0x25E4},
            {Opcode.SMSG_UPDATE_INSTANCE_OWNERSHIP, 0x2652},
            {Opcode.SMSG_UPDATE_LAST_INSTANCE, 0x2632},
            {Opcode.SMSG_UPDATE_OBJECT, 0x277D},
            {Opcode.SMSG_UPDATE_TALENT_DATA, 0x256E},
            {Opcode.SMSG_UPDATE_TASK_PROGRESS, 0x274A},
            {Opcode.SMSG_UPDATE_WEEKLY_SPELL_USAGE, 0x2B97},
            {Opcode.SMSG_UPDATE_WORLD_STATE, 0x270A},
            {Opcode.SMSG_USERLIST_ADD, 0x2B3C},
            {Opcode.SMSG_USERLIST_REMOVE, 0x2B3D},
            {Opcode.SMSG_USERLIST_UPDATE, 0x2B3E},
            {Opcode.SMSG_USE_EQUIPMENT_SET_RESULT, 0x2710},
            {Opcode.SMSG_VENDOR_INVENTORY, 0x254F},
            {Opcode.SMSG_VIGNETTE_UPDATE, 0x272D},
            {Opcode.SMSG_VOICE_CHAT_STATUS, 0x2B31},
            {Opcode.SMSG_VOICE_PARENTAL_CONTROLS, 0x2B32},
            {Opcode.SMSG_VOICE_SESSION_LEAVE, 0x2B34},
            {Opcode.SMSG_VOICE_SESSION_ROSTER_UPDATE, 0x2B33},
            {Opcode.SMSG_VOID_ITEM_SWAP_RESPONSE, 0x2564},
            {Opcode.SMSG_VOID_STORAGE_CONTENTS, 0x2561},
            {Opcode.SMSG_VOID_STORAGE_FAILED, 0x2560},
            {Opcode.SMSG_VOID_STORAGE_TRANSFER_CHANGES, 0x2562},
            {Opcode.SMSG_VOID_TRANSFER_RESULT, 0x2563},
            {Opcode.SMSG_WAIT_QUEUE_FINISH, 0x24EC},
            {Opcode.SMSG_WAIT_QUEUE_UPDATE, 0x24EB},
            {Opcode.SMSG_WARDEN_DATA, 0x24F4},
            {Opcode.SMSG_WARGAME_REQUEST_SUCCESSFULLY_SENT_TO_OPPONENT, 0x253A},
            {Opcode.SMSG_WEATHER, 0x2651},
            {Opcode.SMSG_WEEKLY_SPELL_USAGE, 0x2B96},
            {Opcode.SMSG_WHO, 0x2B2C},
            {Opcode.SMSG_WHO_IS, 0x2650},
            {Opcode.SMSG_WORLD_SERVER_INFO, 0x2548},
            {Opcode.SMSG_WORLD_TEXT, 0x2789},
            {Opcode.SMSG_WOW_TOKEN_AUCTION_SOLD, 0x2790},
            {Opcode.SMSG_WOW_TOKEN_BUY_REQUEST_CONFIRMATION, 0x2792},
            {Opcode.SMSG_WOW_TOKEN_BUY_RESULT_CONFIRMATION, 0x2793},
            {Opcode.SMSG_WOW_TOKEN_MARKET_PRICE_RESPONSE, 0x278D},
            {Opcode.SMSG_WOW_TOKEN_REDEEM_GAME_TIME_UPDATED, 0x2794},
            {Opcode.SMSG_WOW_TOKEN_REDEEM_REQUEST_CONFIRMATION, 0x2795},
            {Opcode.SMSG_WOW_TOKEN_REDEEM_RESULT, 0x2796},
            {Opcode.SMSG_WOW_TOKEN_SELL_REQUEST_CONFIRMATION, 0x278E},
            {Opcode.SMSG_WOW_TOKEN_SELL_RESULT_CONFIRMATION, 0x278F},
            {Opcode.SMSG_WOW_TOKEN_UPDATE_AUCTIONABLE_LIST_RESPONSE, 0x2797},
            {Opcode.SMSG_XP_GAIN_ABORTED, 0x2565},
            {Opcode.SMSG_XP_GAIN_ENABLED, 0x2762},
            {Opcode.SMSG_ZONE_UNDER_ATTACK, 0x2B38},
            {Opcode.SMSG_COMPRESSED_PACKET, 0x2FCF},
            {Opcode.SMSG_MULTIPLE_PACKETS, 0x2FCE},
        };

        private static readonly BiDictionary<Opcode, int> MiscOpcodes = new BiDictionary<Opcode, int>();
    }
}
