﻿using WowPacketParser.Misc;

namespace WowPacketParser.Enums.Version.V7_1_0_22900
{
    public static class Opcodes_7_1_0
    {
        public static BiDictionary<Opcode, int> Opcodes(Direction direction)
        {
            switch (direction)
            {
                case Direction.ClientToServer:
                    return ClientOpcodes;
                case Direction.ServerToClient:
                    return ServerOpcodes;
                default:
                    return MiscOpcodes;
            }
        }

        private static readonly BiDictionary<Opcode, int> ClientOpcodes = new BiDictionary<Opcode, int>
        {
            {Opcode.CMSG_ACCEPT_GUILD_INVITE, 0x35F9},
            {Opcode.CMSG_ACCEPT_LEVEL_GRANT, 0x34F1},
            {Opcode.CMSG_ACCEPT_TRADE, 0x315A},
            {Opcode.CMSG_ACCEPT_WARGAME_INVITE, 0x35E0},
            {Opcode.CMSG_ACTIVATE_TAXI, 0x34AE},
            {Opcode.CMSG_ADDON_LIST, 0x35D8},
            {Opcode.CMSG_ADD_BATTLENET_FRIEND, 0x365D},
            {Opcode.CMSG_ADD_FRIEND, 0x36D2},
            {Opcode.CMSG_ADD_IGNORE, 0x36D6},
            {Opcode.CMSG_ADD_TOY, 0x3275},
            {Opcode.CMSG_ADVENTURE_JOURNAL_OPEN_QUEST, 0x31E9},
            {Opcode.CMSG_ADVENTURE_JOURNAL_START_QUEST, 0x331D},
            {Opcode.CMSG_ALTER_APPEARANCE, 0x34ED},
            {Opcode.CMSG_AREA_SPIRIT_HEALER_QUERY, 0x34B3},
            {Opcode.CMSG_AREA_SPIRIT_HEALER_QUEUE, 0x34B4},
            {Opcode.CMSG_AREA_TRIGGER, 0x31BF},
            {Opcode.CMSG_ARTIFACT_ADD_POWER, 0x31A3},
            {Opcode.CMSG_ARTIFACT_SET_APPEARANCE, 0x31A5},
            {Opcode.CMSG_ATTACK_STOP, 0x3239},
            {Opcode.CMSG_ATTACK_SWING, 0x3238},
            {Opcode.CMSG_AUCTION_HELLO_REQUEST, 0x34C3},
            {Opcode.CMSG_AUCTION_LIST_BIDDER_ITEMS, 0x34C9},
            {Opcode.CMSG_AUCTION_LIST_ITEMS, 0x34C6},
            {Opcode.CMSG_AUCTION_LIST_OWNER_ITEMS, 0x34C8},
            {Opcode.CMSG_AUCTION_LIST_PENDING_SALES, 0x34CB},
            {Opcode.CMSG_AUCTION_PLACE_BID, 0x34CA},
            {Opcode.CMSG_AUCTION_REMOVE_ITEM, 0x34C5},
            {Opcode.CMSG_AUCTION_REPLICATE_ITEMS, 0x34C7},
            {Opcode.CMSG_AUCTION_SELL_ITEM, 0x34C4},
            {Opcode.CMSG_AUTH_CONTINUED_SESSION, 0x3766},
            {Opcode.CMSG_AUTH_SESSION, 0x3765},
            {Opcode.CMSG_AUTOBANK_ITEM, 0x3996},
            {Opcode.CMSG_AUTOBANK_REAGENT, 0x3998},
            {Opcode.CMSG_AUTOSTORE_BANK_ITEM, 0x3997},
            {Opcode.CMSG_AUTOSTORE_BANK_REAGENT, 0x3999},
            {Opcode.CMSG_AUTO_EQUIP_ITEM, 0x399A},
            {Opcode.CMSG_AUTO_EQUIP_ITEM_SLOT, 0x399F},
            {Opcode.CMSG_AUTO_STORE_BAG_ITEM, 0x399B},
            {Opcode.CMSG_BANKER_ACTIVATE, 0x34B6},
            {Opcode.CMSG_BATTLEFIELD_LEAVE, 0x3171},
            {Opcode.CMSG_BATTLEFIELD_LIST, 0x317C},
            {Opcode.CMSG_BATTLEFIELD_PORT, 0x351A},
            {Opcode.CMSG_BATTLEMASTER_HELLO, 0x328A},
            {Opcode.CMSG_BATTLEMASTER_JOIN, 0x3517},
            {Opcode.CMSG_BATTLEMASTER_JOIN_ARENA, 0x3518},
            {Opcode.CMSG_BATTLEMASTER_JOIN_SKIRMISH, 0x3519},
            {Opcode.CMSG_BATTLENET_CHALLENGE_RESPONSE, 0x36D5},
            {Opcode.CMSG_BATTLENET_REQUEST, 0x36F9},
            {Opcode.CMSG_BATTLENET_REQUEST_REALM_LIST_TICKET, 0x36FA},
            {Opcode.CMSG_BATTLE_PAY_ACK_FAILED_RESPONSE, 0x36CD},
            {Opcode.CMSG_BATTLE_PAY_CONFIRM_PURCHASE_RESPONSE, 0x36CC},
            {Opcode.CMSG_BATTLE_PAY_DISTRIBUTION_ASSIGN_TO_TARGET, 0x36C4},
            {Opcode.CMSG_BATTLE_PAY_GET_PRODUCT_LIST, 0x36BF},
            {Opcode.CMSG_BATTLE_PAY_GET_PURCHASE_LIST, 0x36C0},
            {Opcode.CMSG_BATTLE_PAY_QUERY_CLASS_TRIAL_BOOST_RESULT, 0x36C6},
            {Opcode.CMSG_BATTLE_PAY_START_PURCHASE, 0x36F5},
            {Opcode.CMSG_BATTLE_PAY_START_VAS_PURCHASE, 0x36F6},
            {Opcode.CMSG_BATTLE_PAY_TRIAL_BOOST_CHARACTER, 0x36C5},
            {Opcode.CMSG_BATTLE_PET_CLEAR_FANFARE, 0x312C},
            {Opcode.CMSG_BATTLE_PET_DELETE_PET, 0x3623},
            {Opcode.CMSG_BATTLE_PET_DELETE_PET_CHEAT, 0x3624},
            {Opcode.CMSG_BATTLE_PET_MODIFY_NAME, 0x3626},
            {Opcode.CMSG_BATTLE_PET_REQUEST_JOURNAL, 0x3622},
            {Opcode.CMSG_BATTLE_PET_REQUEST_JOURNAL_LOCK, 0x3621},
            {Opcode.CMSG_BATTLE_PET_SET_BATTLE_SLOT, 0x362A},
            {Opcode.CMSG_BATTLE_PET_SET_FLAGS, 0x362E},
            {Opcode.CMSG_BATTLE_PET_SUMMON, 0x3627},
            {Opcode.CMSG_BATTLE_PET_UPDATE_NOTIFY, 0x31C8},
            {Opcode.CMSG_BEGIN_TRADE, 0x3157},
            {Opcode.CMSG_BINDER_ACTIVATE, 0x34B5},
            {Opcode.CMSG_BLACK_MARKET_BID_ON_ITEM, 0x3521},
            {Opcode.CMSG_BLACK_MARKET_OPEN, 0x351F},
            {Opcode.CMSG_BLACK_MARKET_REQUEST_ITEMS, 0x3520},
            {Opcode.CMSG_BUG_REPORT, 0x368A},
            {Opcode.CMSG_BUSY_TRADE, 0x3158},
            {Opcode.CMSG_BUY_BACK_ITEM, 0x34A7},
            {Opcode.CMSG_BUY_BANK_SLOT, 0x34B7},
            {Opcode.CMSG_BUY_ITEM, 0x34A6},
            {Opcode.CMSG_BUY_REAGENT_BANK, 0x34B8},
            {Opcode.CMSG_BUY_WOW_TOKEN_CONFIRM, 0x36EE},
            {Opcode.CMSG_BUY_WOW_TOKEN_START, 0x36ED},
            {Opcode.CMSG_CAGE_BATTLE_PET, 0x31D9},
            {Opcode.CMSG_CALENDAR_ADD_EVENT, 0x3680},
            {Opcode.CMSG_CALENDAR_COMPLAIN, 0x367C},
            {Opcode.CMSG_CALENDAR_COPY_EVENT, 0x367B},
            {Opcode.CMSG_CALENDAR_EVENT_INVITE, 0x3675},
            {Opcode.CMSG_CALENDAR_EVENT_MODERATOR_STATUS, 0x3679},
            {Opcode.CMSG_CALENDAR_EVENT_RSVP, 0x3677},
            {Opcode.CMSG_CALENDAR_EVENT_SIGN_UP, 0x367E},
            {Opcode.CMSG_CALENDAR_EVENT_STATUS, 0x3678},
            {Opcode.CMSG_CALENDAR_GET, 0x3672},
            {Opcode.CMSG_CALENDAR_GET_EVENT, 0x3673},
            {Opcode.CMSG_CALENDAR_GET_NUM_PENDING, 0x367D},
            {Opcode.CMSG_CALENDAR_GUILD_FILTER, 0x3674},
            {Opcode.CMSG_CALENDAR_REMOVE_EVENT, 0x367A},
            {Opcode.CMSG_CALENDAR_REMOVE_INVITE, 0x3676},
            {Opcode.CMSG_CALENDAR_UPDATE_EVENT, 0x3681},
            {Opcode.CMSG_CANCEL_AURA, 0x31A7},
            {Opcode.CMSG_CANCEL_AUTO_REPEAT_SPELL, 0x34DF},
            {Opcode.CMSG_CANCEL_CAST, 0x327A},
            {Opcode.CMSG_CANCEL_CHANNELLING, 0x3248},
            {Opcode.CMSG_CANCEL_GROWTH_AURA, 0x324D},
            {Opcode.CMSG_CANCEL_MASTER_LOOT_ROLL, 0x31F7},
            {Opcode.CMSG_CANCEL_MOD_SPEED_NO_CONTROL_AURAS, 0x31A6},
            {Opcode.CMSG_CANCEL_MOUNT_AURA, 0x325E},
            {Opcode.CMSG_CANCEL_QUEUED_SPELL, 0x317D},
            {Opcode.CMSG_CANCEL_TEMP_ENCHANTMENT, 0x34EA},
            {Opcode.CMSG_CANCEL_TRADE, 0x315C},
            {Opcode.CMSG_CAN_DUEL, 0x3665},
            {Opcode.CMSG_CAST_SPELL, 0x3278},
            {Opcode.CMSG_CHALLENGE_MODE_REQUEST_LEADERS, 0x308F},
            {Opcode.CMSG_CHALLENGE_MODE_REQUEST_MAP_STATS, 0x308E},
            {Opcode.CMSG_CHANGE_BAG_SLOT_FLAG, 0x32FF},
            {Opcode.CMSG_CHANGE_MONUMENT_APPEARANCE, 0x32DF},
            {Opcode.CMSG_CHANGE_SUB_GROUP, 0x364C},
            {Opcode.CMSG_CHARACTER_RENAME_REQUEST, 0x36C2},
            {Opcode.CMSG_CHAR_CUSTOMIZE, 0x3692},
            {Opcode.CMSG_CHAR_DELETE, 0x369F},
            {Opcode.CMSG_CHAR_RACE_OR_FACTION_CHANGE, 0x3698},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_CHANNEL, 0x37D0},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_GUILD, 0x37D4},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_INSTANCE_CHAT, 0x37F7},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_OFFICER, 0x37D6},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_PARTY, 0x37F3},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_RAID, 0x37F5},
            {Opcode.CMSG_CHAT_ADDON_MESSAGE_WHISPER, 0x37D2},
            {Opcode.CMSG_CHAT_CHANNEL_ANNOUNCEMENTS, 0x37E7},
            {Opcode.CMSG_CHAT_CHANNEL_BAN, 0x37E5},
            {Opcode.CMSG_CHAT_CHANNEL_DECLINE_INVITE, 0x37EE},
            {Opcode.CMSG_CHAT_CHANNEL_DISPLAY_LIST, 0x37DA},
            {Opcode.CMSG_CHAT_CHANNEL_INVITE, 0x37E3},
            {Opcode.CMSG_CHAT_CHANNEL_KICK, 0x37E4},
            {Opcode.CMSG_CHAT_CHANNEL_LIST, 0x37D9},
            {Opcode.CMSG_CHAT_CHANNEL_MODERATE, 0x37DE},
            {Opcode.CMSG_CHAT_CHANNEL_MODERATOR, 0x37DF},
            {Opcode.CMSG_CHAT_CHANNEL_MUTE, 0x37E1},
            {Opcode.CMSG_CHAT_CHANNEL_OWNER, 0x37DD},
            {Opcode.CMSG_CHAT_CHANNEL_PASSWORD, 0x37DB},
            {Opcode.CMSG_CHAT_CHANNEL_SET_OWNER, 0x37DC},
            {Opcode.CMSG_CHAT_CHANNEL_SILENCE_ALL, 0x37EA},
            {Opcode.CMSG_CHAT_CHANNEL_SILENCE_VOICE, 0x37E8},
            {Opcode.CMSG_CHAT_CHANNEL_UNBAN, 0x37E6},
            {Opcode.CMSG_CHAT_CHANNEL_UNMODERATOR, 0x37E0},
            {Opcode.CMSG_CHAT_CHANNEL_UNMUTE, 0x37E2},
            {Opcode.CMSG_CHAT_CHANNEL_UNSILENCE_ALL, 0x37EB},
            {Opcode.CMSG_CHAT_CHANNEL_UNSILENCE_VOICE, 0x37E9},
            {Opcode.CMSG_CHAT_CHANNEL_VOICE_OFF, 0x37ED},
            {Opcode.CMSG_CHAT_CHANNEL_VOICE_ON, 0x37EC},
            {Opcode.CMSG_CHAT_JOIN_CHANNEL, 0x37C8},
            {Opcode.CMSG_CHAT_LEAVE_CHANNEL, 0x37C9},
            {Opcode.CMSG_CHAT_MESSAGE_AFK, 0x37D7},
            {Opcode.CMSG_CHAT_MESSAGE_CHANNEL, 0x37CF},
            {Opcode.CMSG_CHAT_MESSAGE_DND, 0x37D8},
            {Opcode.CMSG_CHAT_MESSAGE_EMOTE, 0x37F0},
            {Opcode.CMSG_CHAT_MESSAGE_GUILD, 0x37D3},
            {Opcode.CMSG_CHAT_MESSAGE_INSTANCE_CHAT, 0x37F6},
            {Opcode.CMSG_CHAT_MESSAGE_OFFICER, 0x37D5},
            {Opcode.CMSG_CHAT_MESSAGE_PARTY, 0x37F2},
            {Opcode.CMSG_CHAT_MESSAGE_RAID, 0x37F4},
            {Opcode.CMSG_CHAT_MESSAGE_RAID_WARNING, 0x37F8},
            {Opcode.CMSG_CHAT_MESSAGE_SAY, 0x37EF},
            {Opcode.CMSG_CHAT_MESSAGE_WHISPER, 0x37D1},
            {Opcode.CMSG_CHAT_MESSAGE_YELL, 0x37F1},
            {Opcode.CMSG_CHAT_REGISTER_ADDON_PREFIXES, 0x37CD},
            {Opcode.CMSG_CHAT_REPORT_FILTERED, 0x37CC},
            {Opcode.CMSG_CHAT_REPORT_IGNORED, 0x37CB},
            {Opcode.CMSG_CHAT_UNREGISTER_ALL_ADDON_PREFIXES, 0x37CE},
            {Opcode.CMSG_CHECK_RAF_EMAIL_ENABLED, 0x36CE},
            {Opcode.CMSG_CHECK_WOW_TOKEN_VETERAN_ELIGIBILITY, 0x36EC},
            {Opcode.CMSG_CHOICE_RESPONSE, 0x327C},
            {Opcode.CMSG_CLEAR_RAID_MARKER, 0x319F},
            {Opcode.CMSG_CLEAR_TRADE_ITEM, 0x315E},
            {Opcode.CMSG_CLIENT_PORT_GRAVEYARD, 0x351C},
            {Opcode.CMSG_CLOSE_INTERACTION, 0x3492},
            {Opcode.CMSG_COMMENTATOR_ENABLE, 0x35EE},
            {Opcode.CMSG_COMMENTATOR_ENTER_INSTANCE, 0x35F1},
            {Opcode.CMSG_COMMENTATOR_EXIT_INSTANCE, 0x35F2},
            {Opcode.CMSG_COMMENTATOR_GET_MAP_INFO, 0x35EF},
            {Opcode.CMSG_COMMENTATOR_GET_PLAYER_INFO, 0x35F0},
            {Opcode.CMSG_COMMENTATOR_START_WARGAME, 0x35ED},
            {Opcode.CMSG_COMPLAINT, 0x366F},
            {Opcode.CMSG_COMPLETE_CINEMATIC, 0x3539},
            {Opcode.CMSG_COMPLETE_MOVIE, 0x34D5},
            {Opcode.CMSG_CONFIRM_ARTIFACT_RESPEC, 0x31A4},
            {Opcode.CMSG_CONFIRM_RESPEC_WIPE, 0x31F1},
            {Opcode.CMSG_CONNECT_TO_FAILED, 0x35D4},
            {Opcode.CMSG_CONVERT_CONSUMPTION_TIME, 0x36FC},
            {Opcode.CMSG_CONVERT_RAID, 0x364E},
            {Opcode.CMSG_CREATE_CHARACTER, 0x3643},
            {Opcode.CMSG_CREATE_SHIPMENT, 0x32CB},
            {Opcode.CMSG_DB_QUERY_BULK, 0x35E4},
            {Opcode.CMSG_DECLINE_GUILD_INVITES, 0x3515},
            {Opcode.CMSG_DECLINE_PETITION, 0x3528},
            {Opcode.CMSG_DELETE_EQUIPMENT_SET, 0x3504},
            {Opcode.CMSG_DEL_FRIEND, 0x36D3},
            {Opcode.CMSG_DEL_IGNORE, 0x36D7},
            {Opcode.CMSG_DEPOSIT_REAGENT_BANK, 0x3308},
            {Opcode.CMSG_DESTROY_ITEM, 0x326F},
            {Opcode.CMSG_DF_BOOT_PLAYER_VOTE, 0x3614},
            {Opcode.CMSG_DF_GET_JOIN_STATUS, 0x3612},
            {Opcode.CMSG_DF_GET_SYSTEM_INFO, 0x3611},
            {Opcode.CMSG_DF_JOIN, 0x3605},
            {Opcode.CMSG_DF_LEAVE, 0x3610},
            {Opcode.CMSG_DF_PROPOSAL_RESPONSE, 0x3604},
            {Opcode.CMSG_DF_READY_CHECK_RESPONSE, 0x3617},
            {Opcode.CMSG_DF_SET_ROLES, 0x3613},
            {Opcode.CMSG_DF_TELEPORT, 0x3615},
            {Opcode.CMSG_DISCARDED_TIME_SYNC_ACKS, 0x3A3C},
            {Opcode.CMSG_DISMISS_CRITTER, 0x34F3},
            {Opcode.CMSG_DO_MASTER_LOOT_ROLL, 0x31F6},
            {Opcode.CMSG_DO_READY_CHECK, 0x3633},
            {Opcode.CMSG_DUEL_RESPONSE, 0x34DA},
            {Opcode.CMSG_EJECT_PASSENGER, 0x321F},
            {Opcode.CMSG_EMOTE, 0x3535},
            {Opcode.CMSG_ENABLE_ENCRYPTION_ACK, 0x3767},
            {Opcode.CMSG_ENABLE_NAGLE, 0x376B},
            {Opcode.CMSG_ENABLE_TAXI_NODE, 0x34AC},
            {Opcode.CMSG_ENGINE_SURVEY, 0x36E6},
            {Opcode.CMSG_ENUM_CHARACTERS, 0x35E6},
            {Opcode.CMSG_ENUM_CHARACTERS_DELETED_BY_CLIENT, 0x36E0},
            {Opcode.CMSG_FAR_SIGHT, 0x34E0},
            {Opcode.CMSG_GAME_OBJ_REPORT_USE, 0x34E7},
            {Opcode.CMSG_GAME_OBJ_USE, 0x34E6},
            {Opcode.CMSG_GARRISON_ASSIGN_FOLLOWER_TO_BUILDING, 0x32B6},
            {Opcode.CMSG_GARRISON_CANCEL_CONSTRUCTION, 0x32A7},
            {Opcode.CMSG_GARRISON_CHECK_UPGRADEABLE, 0x32FB},
            {Opcode.CMSG_GARRISON_COMPLETE_MISSION, 0x32EC},
            {Opcode.CMSG_GARRISON_GENERATE_RECRUITS, 0x32B9},
            {Opcode.CMSG_GARRISON_GET_BUILDING_LANDMARKS, 0x32C7},
            {Opcode.CMSG_GARRISON_GET_MISSION_REWARD, 0x3323},
            {Opcode.CMSG_GARRISON_MISSION_BONUS_ROLL, 0x32EE},
            {Opcode.CMSG_GARRISON_PURCHASE_BUILDING, 0x32A3},
            {Opcode.CMSG_GARRISON_RECRUIT_FOLLOWER, 0x32BB},
            {Opcode.CMSG_GARRISON_REMOVE_FOLLOWER, 0x32E3},
            {Opcode.CMSG_GARRISON_REMOVE_FOLLOWER_FROM_BUILDING, 0x32B7},
            {Opcode.CMSG_GARRISON_RENAME_FOLLOWER, 0x32B8},
            {Opcode.CMSG_GARRISON_REQUEST_BLUEPRINT_AND_SPECIALIZATION_DATA, 0x32A2},
            {Opcode.CMSG_GARRISON_REQUEST_CLASS_SPEC_CATEGORY_INFO, 0x32C0},
            {Opcode.CMSG_GARRISON_REQUEST_LANDING_PAGE_SHIPMENT_INFO, 0x32CA},
            {Opcode.CMSG_GARRISON_REQUEST_SHIPMENT_INFO, 0x32C9},
            {Opcode.CMSG_GARRISON_RESEARCH_TALENT, 0x32BC},
            {Opcode.CMSG_GARRISON_SET_BUILDING_ACTIVE, 0x32A4},
            {Opcode.CMSG_GARRISON_SET_FOLLOWER_FAVORITE, 0x32B4},
            {Opcode.CMSG_GARRISON_SET_FOLLOWER_INACTIVE, 0x32B0},
            {Opcode.CMSG_GARRISON_SET_RECRUITMENT_PREFERENCES, 0x32BA},
            {Opcode.CMSG_GARRISON_START_MISSION, 0x32EB},
            {Opcode.CMSG_GARRISON_SWAP_BUILDINGS, 0x32A8},
            {Opcode.CMSG_GENERATE_RANDOM_CHARACTER_NAME, 0x35E5},
            {Opcode.CMSG_GET_CHALLENGE_MODE_REWARDS, 0x3686},
            {Opcode.CMSG_GET_GARRISON_INFO, 0x329D},
            {Opcode.CMSG_GET_ITEM_PURCHASE_DATA, 0x3523},
            {Opcode.CMSG_GET_MIRROR_IMAGE_DATA, 0x3273},
            {Opcode.CMSG_GET_PVP_OPTIONS_ENABLED, 0x35EC},
            {Opcode.CMSG_GET_REMAINING_GAME_TIME, 0x36EF},
            {Opcode.CMSG_GET_TROPHY_LIST, 0x32DC},
            {Opcode.CMSG_GET_UNDELETE_CHARACTER_COOLDOWN_STATUS, 0x36E2},
            {Opcode.CMSG_GM_TICKET_ACKNOWLEDGE_SURVEY, 0x3696},
            {Opcode.CMSG_GM_TICKET_GET_CASE_STATUS, 0x3695},
            {Opcode.CMSG_GM_TICKET_GET_SYSTEM_STATUS, 0x3694},
            {Opcode.CMSG_GOSSIP_SELECT_OPTION, 0x3493},
            {Opcode.CMSG_GRANT_LEVEL, 0x34EF},
            {Opcode.CMSG_GUILD_ADD_BATTLENET_FRIEND, 0x308D},
            {Opcode.CMSG_GUILD_ADD_RANK, 0x3064},
            {Opcode.CMSG_GUILD_ASSIGN_MEMBER_RANK, 0x305F},
            {Opcode.CMSG_GUILD_AUTO_DECLINE_INVITATION, 0x3061},
            {Opcode.CMSG_GUILD_BANK_ACTIVATE, 0x34B9},
            {Opcode.CMSG_GUILD_BANK_BUY_TAB, 0x34BC},
            {Opcode.CMSG_GUILD_BANK_DEPOSIT_MONEY, 0x34BE},
            {Opcode.CMSG_GUILD_BANK_LOG_QUERY, 0x3082},
            {Opcode.CMSG_GUILD_BANK_QUERY_TAB, 0x34BB},
            {Opcode.CMSG_GUILD_BANK_REMAINING_WITHDRAW_MONEY_QUERY, 0x3083},
            {Opcode.CMSG_GUILD_BANK_SET_TAB_TEXT, 0x3086},
            {Opcode.CMSG_GUILD_BANK_SWAP_ITEMS, 0x34BA},
            {Opcode.CMSG_GUILD_BANK_TEXT_QUERY, 0x3087},
            {Opcode.CMSG_GUILD_BANK_UPDATE_TAB, 0x34BD},
            {Opcode.CMSG_GUILD_BANK_WITHDRAW_MONEY, 0x34BF},
            {Opcode.CMSG_GUILD_CHALLENGE_UPDATE_REQUEST, 0x307B},
            {Opcode.CMSG_GUILD_CHANGE_NAME_REQUEST, 0x307E},
            {Opcode.CMSG_GUILD_DECLINE_INVITATION, 0x3060},
            {Opcode.CMSG_GUILD_DELETE, 0x3068},
            {Opcode.CMSG_GUILD_DELETE_RANK, 0x3065},
            {Opcode.CMSG_GUILD_DEMOTE_MEMBER, 0x305E},
            {Opcode.CMSG_GUILD_EVENT_LOG_QUERY, 0x3085},
            {Opcode.CMSG_GUILD_GET_ACHIEVEMENT_MEMBERS, 0x3071},
            {Opcode.CMSG_GUILD_GET_RANKS, 0x306D},
            {Opcode.CMSG_GUILD_GET_ROSTER, 0x3073},
            {Opcode.CMSG_GUILD_INVITE_BY_NAME, 0x3603},
            {Opcode.CMSG_GUILD_LEAVE, 0x3062},
            {Opcode.CMSG_GUILD_MEMBER_SEND_SOR_REQUEST, 0x308C},
            {Opcode.CMSG_GUILD_NEWS_UPDATE_STICKY, 0x306E},
            {Opcode.CMSG_GUILD_OFFICER_REMOVE_MEMBER, 0x3063},
            {Opcode.CMSG_GUILD_PERMISSIONS_QUERY, 0x3084},
            {Opcode.CMSG_GUILD_PROMOTE_MEMBER, 0x305D},
            {Opcode.CMSG_GUILD_QUERY_MEMBERS_FOR_RECIPE, 0x306B},
            {Opcode.CMSG_GUILD_QUERY_MEMBER_RECIPES, 0x3069},
            {Opcode.CMSG_GUILD_QUERY_NEWS, 0x306C},
            {Opcode.CMSG_GUILD_QUERY_RECIPES, 0x306A},
            {Opcode.CMSG_GUILD_REPLACE_GUILD_MASTER, 0x3088},
            {Opcode.CMSG_GUILD_SET_ACHIEVEMENT_TRACKING, 0x306F},
            {Opcode.CMSG_GUILD_SET_FOCUSED_ACHIEVEMENT, 0x3070},
            {Opcode.CMSG_GUILD_SET_GUILD_MASTER, 0x36C8},
            {Opcode.CMSG_GUILD_SET_MEMBER_NOTE, 0x3072},
            {Opcode.CMSG_GUILD_SET_RANK_PERMISSIONS, 0x3067},
            {Opcode.CMSG_GUILD_SHIFT_RANK, 0x3066},
            {Opcode.CMSG_GUILD_UPDATE_INFO_TEXT, 0x3075},
            {Opcode.CMSG_GUILD_UPDATE_MOTD_TEXT, 0x3074},
            {Opcode.CMSG_HEARTH_AND_RESURRECT, 0x3500},
            {Opcode.CMSG_IGNORE_TRADE, 0x3159},
            {Opcode.CMSG_INITIATE_ROLE_POLL, 0x35DA},
            {Opcode.CMSG_INITIATE_TRADE, 0x3156},
            {Opcode.CMSG_INSPECT, 0x351E},
            {Opcode.CMSG_INSPECT_PVP, 0x36A5},
            {Opcode.CMSG_INSTANCE_LOCK_RESPONSE, 0x3505},
            {Opcode.CMSG_ITEM_PURCHASE_REFUND, 0x3524},
            {Opcode.CMSG_ITEM_TEXT_QUERY, 0x32FC},
            {Opcode.CMSG_JOIN_PET_BATTLE_QUEUE, 0x31C6},
            {Opcode.CMSG_JOIN_RATED_BATTLEGROUND, 0x3175},
            {Opcode.CMSG_KEEP_ALIVE, 0x3682},
            {Opcode.CMSG_KEYBOUND_OVERRIDE, 0x3208},
            {Opcode.CMSG_LEARN_PVP_TALENTS, 0x3547},
            {Opcode.CMSG_LEARN_TALENTS, 0x3546},
            {Opcode.CMSG_LEAVE_GROUP, 0x3649},
            {Opcode.CMSG_LEAVE_PET_BATTLE_QUEUE, 0x31C7},
            {Opcode.CMSG_LFG_LIST_APPLY_TO_GROUP, 0x360B},
            {Opcode.CMSG_LFG_LIST_CANCEL_APPLICATION, 0x360C},
            {Opcode.CMSG_LFG_LIST_DECLINE_APPLICANT, 0x360D},
            {Opcode.CMSG_LFG_LIST_GET_STATUS, 0x3609},
            {Opcode.CMSG_LFG_LIST_INVITE_APPLICANT, 0x360E},
            {Opcode.CMSG_LFG_LIST_INVITE_RESPONSE, 0x360F},
            {Opcode.CMSG_LFG_LIST_JOIN, 0x3606},
            {Opcode.CMSG_LFG_LIST_LEAVE, 0x3608},
            {Opcode.CMSG_LFG_LIST_SEARCH, 0x360A},
            {Opcode.CMSG_LFG_LIST_UPDATE_REQUEST, 0x3607},
            {Opcode.CMSG_LF_GUILD_ADD_RECRUIT, 0x361A},
            {Opcode.CMSG_LF_GUILD_BROWSE, 0x361C},
            {Opcode.CMSG_LF_GUILD_DECLINE_RECRUIT, 0x3078},
            {Opcode.CMSG_LF_GUILD_GET_APPLICATIONS, 0x3079},
            {Opcode.CMSG_LF_GUILD_GET_GUILD_POST, 0x3076},
            {Opcode.CMSG_LF_GUILD_GET_RECRUITS, 0x3077},
            {Opcode.CMSG_LF_GUILD_REMOVE_RECRUIT, 0x307A},
            {Opcode.CMSG_LF_GUILD_SET_GUILD_POST, 0x361B},
            {Opcode.CMSG_LIST_INVENTORY, 0x34A4},
            {Opcode.CMSG_LIVE_REGION_ACCOUNT_RESTORE, 0x36BE},
            {Opcode.CMSG_LIVE_REGION_CHARACTER_COPY, 0x36BD},
            {Opcode.CMSG_LIVE_REGION_GET_ACCOUNT_CHARACTER_LIST, 0x36BC},
            {Opcode.CMSG_LOADING_SCREEN_NOTIFY, 0x35F5},
            {Opcode.CMSG_LOAD_SELECTED_TROPHY, 0x32DD},
            {Opcode.CMSG_LOGOUT_CANCEL, 0x34D0},
            {Opcode.CMSG_LOGOUT_INSTANT, 0x34D1},
            {Opcode.CMSG_LOGOUT_REQUEST, 0x34CF},
            {Opcode.CMSG_LOG_DISCONNECT, 0x3769},
            {Opcode.CMSG_LOG_STREAMING_ERROR, 0x376D},
            {Opcode.CMSG_LOOT_ITEM, 0x31F4},
            {Opcode.CMSG_LOOT_MONEY, 0x31F3},
            {Opcode.CMSG_LOOT_RELEASE, 0x31F8},
            {Opcode.CMSG_LOOT_ROLL, 0x31F9},
            {Opcode.CMSG_LOOT_UNIT, 0x31F2},
            {Opcode.CMSG_LOW_LEVEL_RAID1, 0x36A3},
            {Opcode.CMSG_LOW_LEVEL_RAID2, 0x350B},
            {Opcode.CMSG_MAIL_CREATE_TEXT_ITEM, 0x352F},
            {Opcode.CMSG_MAIL_DELETE, 0x320A},
            {Opcode.CMSG_MAIL_GET_LIST, 0x352A},
            {Opcode.CMSG_MAIL_MARK_AS_READ, 0x352E},
            {Opcode.CMSG_MAIL_RETURN_TO_SENDER, 0x3658},
            {Opcode.CMSG_MAIL_TAKE_ITEM, 0x352C},
            {Opcode.CMSG_MAIL_TAKE_MONEY, 0x352B},
            {Opcode.CMSG_MASTER_LOOT_ITEM, 0x31F5},
            {Opcode.CMSG_MINIMAP_PING, 0x364B},
            {Opcode.CMSG_MISSILE_TRAJECTORY_COLLISION, 0x3188},
            {Opcode.CMSG_MOUNT_CLEAR_FANFARE, 0x312D},
            {Opcode.CMSG_MOUNT_SET_FAVORITE, 0x3630},
            {Opcode.CMSG_MOUNT_SPECIAL_ANIM, 0x325F},
            {Opcode.CMSG_MOVE_APPLY_MOVEMENT_FORCE_ACK, 0x3A12},
            {Opcode.CMSG_MOVE_CHANGE_TRANSPORT, 0x3A2C},
            {Opcode.CMSG_MOVE_CHANGE_VEHICLE_SEATS, 0x3A31},
            {Opcode.CMSG_MOVE_CHARM_TELEPORT_CHEAT, 0x39F6},
            {Opcode.CMSG_MOVE_DISMISS_VEHICLE, 0x3A30},
            {Opcode.CMSG_MOVE_DOUBLE_JUMP, 0x39EB},
            {Opcode.CMSG_MOVE_ENABLE_DOUBLE_JUMP_ACK, 0x3A1B},
            {Opcode.CMSG_MOVE_ENABLE_SWIM_TO_FLY_TRANS_ACK, 0x3A21},
            {Opcode.CMSG_MOVE_FALL_LAND, 0x39F9},
            {Opcode.CMSG_MOVE_FALL_RESET, 0x3A16},
            {Opcode.CMSG_MOVE_FEATHER_FALL_ACK, 0x3A19},
            {Opcode.CMSG_MOVE_FORCE_FLIGHT_BACK_SPEED_CHANGE_ACK, 0x3A2B},
            {Opcode.CMSG_MOVE_FORCE_FLIGHT_SPEED_CHANGE_ACK, 0x3A2A},
            {Opcode.CMSG_MOVE_FORCE_PITCH_RATE_CHANGE_ACK, 0x3A2F},
            {Opcode.CMSG_MOVE_FORCE_ROOT_ACK, 0x3A0B},
            {Opcode.CMSG_MOVE_FORCE_RUN_BACK_SPEED_CHANGE_ACK, 0x3A09},
            {Opcode.CMSG_MOVE_FORCE_RUN_SPEED_CHANGE_ACK, 0x3A08},
            {Opcode.CMSG_MOVE_FORCE_SWIM_BACK_SPEED_CHANGE_ACK, 0x3A1F},
            {Opcode.CMSG_MOVE_FORCE_SWIM_SPEED_CHANGE_ACK, 0x3A0A},
            {Opcode.CMSG_MOVE_FORCE_TURN_RATE_CHANGE_ACK, 0x3A20},
            {Opcode.CMSG_MOVE_FORCE_UNROOT_ACK, 0x3A0C},
            {Opcode.CMSG_MOVE_FORCE_WALK_SPEED_CHANGE_ACK, 0x3A1E},
            {Opcode.CMSG_MOVE_GRAVITY_DISABLE_ACK, 0x3A32},
            {Opcode.CMSG_MOVE_GRAVITY_ENABLE_ACK, 0x3A33},
            {Opcode.CMSG_MOVE_HEARTBEAT, 0x3A0D},
            {Opcode.CMSG_MOVE_HOVER_ACK, 0x3A10},
            {Opcode.CMSG_MOVE_JUMP, 0x39EA},
            {Opcode.CMSG_MOVE_KNOCK_BACK_ACK, 0x3A0F},
            {Opcode.CMSG_MOVE_REMOVE_MOVEMENT_FORCES, 0x3A14},
            {Opcode.CMSG_MOVE_REMOVE_MOVEMENT_FORCE_ACK, 0x3A13},
            {Opcode.CMSG_MOVE_SET_CAN_FLY_ACK, 0x3A24},
            {Opcode.CMSG_MOVE_SET_CAN_TURN_WHILE_FALLING_ACK, 0x3A22},
            {Opcode.CMSG_MOVE_SET_COLLISION_HEIGHT_ACK, 0x3A36},
            {Opcode.CMSG_MOVE_SET_FACING, 0x3A06},
            {Opcode.CMSG_MOVE_SET_FLY, 0x3A25},
            {Opcode.CMSG_MOVE_SET_IGNORE_MOVEMENT_FORCES_ACK, 0x3A23},
            {Opcode.CMSG_MOVE_SET_PITCH, 0x3A07},
            {Opcode.CMSG_MOVE_SET_RELATIVE_POSITION, 0x39F7},
            {Opcode.CMSG_MOVE_SET_RUN_MODE, 0x39F2},
            {Opcode.CMSG_MOVE_SET_VEHICLE_REC_ID_ACK, 0x3A11},
            {Opcode.CMSG_MOVE_SET_WALK_MODE, 0x39F3},
            {Opcode.CMSG_MOVE_SPLINE_DONE, 0x3A15},
            {Opcode.CMSG_MOVE_START_ASCEND, 0x3A26},
            {Opcode.CMSG_MOVE_START_BACKWARD, 0x39E5},
            {Opcode.CMSG_MOVE_START_DESCEND, 0x3A2D},
            {Opcode.CMSG_MOVE_START_FORWARD, 0x39E4},
            {Opcode.CMSG_MOVE_START_PITCH_DOWN, 0x39F0},
            {Opcode.CMSG_MOVE_START_PITCH_UP, 0x39EF},
            {Opcode.CMSG_MOVE_START_STRAFE_LEFT, 0x39E7},
            {Opcode.CMSG_MOVE_START_STRAFE_RIGHT, 0x39E8},
            {Opcode.CMSG_MOVE_START_SWIM, 0x39FA},
            {Opcode.CMSG_MOVE_START_TURN_LEFT, 0x39EC},
            {Opcode.CMSG_MOVE_START_TURN_RIGHT, 0x39ED},
            {Opcode.CMSG_MOVE_STOP, 0x39E6},
            {Opcode.CMSG_MOVE_STOP_ASCEND, 0x3A27},
            {Opcode.CMSG_MOVE_STOP_PITCH, 0x39F1},
            {Opcode.CMSG_MOVE_STOP_STRAFE, 0x39E9},
            {Opcode.CMSG_MOVE_STOP_SWIM, 0x39FB},
            {Opcode.CMSG_MOVE_STOP_TURN, 0x39EE},
            {Opcode.CMSG_MOVE_TELEPORT_ACK, 0x39F8},
            {Opcode.CMSG_MOVE_TELEPORT_CHEAT, 0x39F4},
            {Opcode.CMSG_MOVE_TIME_SKIPPED, 0x3A18},
            {Opcode.CMSG_MOVE_TOGGLE_COLLISION_CHEAT, 0x3A05},
            {Opcode.CMSG_MOVE_WATER_WALK_ACK, 0x3A1A},
            {Opcode.CMSG_NEUTRAL_PLAYER_SELECT_FACTION, 0x31BC},
            {Opcode.CMSG_NEXT_CINEMATIC_CAMERA, 0x3538},
            {Opcode.CMSG_OBJECT_UPDATE_FAILED, 0x317E},
            {Opcode.CMSG_OBJECT_UPDATE_RESCUED, 0x317F},
            {Opcode.CMSG_OFFER_PETITION, 0x36B3},
            {Opcode.CMSG_OPENING_CINEMATIC, 0x3537},
            {Opcode.CMSG_OPEN_ITEM, 0x32FD},
            {Opcode.CMSG_OPEN_MISSION_NPC, 0x32C2},
            {Opcode.CMSG_OPEN_SHIPMENT_NPC, 0x32C8},
            {Opcode.CMSG_OPEN_TRADESKILL_NPC, 0x32D3},
            {Opcode.CMSG_OPT_OUT_OF_LOOT, 0x34EE},
            {Opcode.CMSG_PARTY_INVITE, 0x35FF},
            {Opcode.CMSG_PARTY_INVITE_RESPONSE, 0x3600},
            {Opcode.CMSG_PARTY_UNINVITE, 0x3647},
            {Opcode.CMSG_PETITION_BUY, 0x34C1},
            {Opcode.CMSG_PETITION_RENAME_GUILD, 0x36C9},
            {Opcode.CMSG_PETITION_SHOW_LIST, 0x34C0},
            {Opcode.CMSG_PETITION_SHOW_SIGNATURES, 0x34C2},
            {Opcode.CMSG_PET_ABANDON, 0x348C},
            {Opcode.CMSG_PET_ACTION, 0x348A},
            {Opcode.CMSG_PET_BATTLE_FINAL_NOTIFY, 0x31CA},
            {Opcode.CMSG_PET_BATTLE_INPUT, 0x3640},
            {Opcode.CMSG_PET_BATTLE_QUEUE_PROPOSE_MATCH_RESULT, 0x3209},
            {Opcode.CMSG_PET_BATTLE_QUIT_NOTIFY, 0x31C9},
            {Opcode.CMSG_PET_BATTLE_REPLACE_FRONT_PET, 0x3641},
            {Opcode.CMSG_PET_BATTLE_REQUEST_PVP, 0x31C4},
            {Opcode.CMSG_PET_BATTLE_REQUEST_UPDATE, 0x31C5},
            {Opcode.CMSG_PET_BATTLE_REQUEST_WILD, 0x31C2},
            {Opcode.CMSG_PET_BATTLE_SCRIPT_ERROR_NOTIFY, 0x31CB},
            {Opcode.CMSG_PET_BATTLE_WILD_LOCATION_FAIL, 0x31C3},
            {Opcode.CMSG_PET_CANCEL_AURA, 0x348D},
            {Opcode.CMSG_PET_CAST_SPELL, 0x3277},
            {Opcode.CMSG_PET_RENAME, 0x3689},
            {Opcode.CMSG_PET_SET_ACTION, 0x3489},
            {Opcode.CMSG_PET_SPELL_AUTOCAST, 0x348E},
            {Opcode.CMSG_PET_STOP_ATTACK, 0x348B},
            {Opcode.CMSG_PING, 0x3768},
            {Opcode.CMSG_PLAYER_LOGIN, 0x35E8},
            {Opcode.CMSG_PROTOCOL_MISMATCH, 0x376E},
            {Opcode.CMSG_PUSH_QUEST_TO_PARTY, 0x34A2},
            {Opcode.CMSG_PVP_LOG_DATA, 0x3179},
            {Opcode.CMSG_PVP_PRESTIGE_RANK_UP, 0x3321},
            {Opcode.CMSG_QUERY_BATTLE_PET_NAME, 0x3254},
            {Opcode.CMSG_QUERY_CORPSE_LOCATION_FROM_CLIENT, 0x3663},
            {Opcode.CMSG_QUERY_CORPSE_TRANSPORT, 0x3664},
            {Opcode.CMSG_QUERY_COUNTDOWN_TIMER, 0x31A2},
            {Opcode.CMSG_QUERY_CREATURE, 0x324E},
            {Opcode.CMSG_QUERY_GAME_OBJECT, 0x324F},
            {Opcode.CMSG_QUERY_GARRISON_CREATURE_NAME, 0x3255},
            {Opcode.CMSG_QUERY_GUILD_INFO, 0x3691},
            {Opcode.CMSG_QUERY_INSPECT_ACHIEVEMENTS, 0x34FA},
            {Opcode.CMSG_QUERY_NEXT_MAIL_TIME, 0x352D},
            {Opcode.CMSG_QUERY_NPC_TEXT, 0x3250},
            {Opcode.CMSG_QUERY_PAGE_TEXT, 0x3252},
            {Opcode.CMSG_QUERY_PETITION, 0x3256},
            {Opcode.CMSG_QUERY_PET_NAME, 0x3253},
            {Opcode.CMSG_QUERY_PLAYER_NAME, 0x368F},
            {Opcode.CMSG_QUERY_QUEST_COMPLETION_NPCS, 0x3172},
            {Opcode.CMSG_QUERY_QUEST_INFO, 0x3251},
            {Opcode.CMSG_QUERY_TREASURE_PICKER, 0x3325},
            {Opcode.CMSG_QUERY_REALM_NAME, 0x3690},
            {Opcode.CMSG_QUERY_SCENARIO_POI, 0x3659},
            {Opcode.CMSG_QUERY_TIME, 0x34CE},
            {Opcode.CMSG_QUERY_VOID_STORAGE, 0x319B},
            {Opcode.CMSG_QUEST_CONFIRM_ACCEPT, 0x34A1},
            {Opcode.CMSG_QUEST_GIVER_ACCEPT_QUEST, 0x3498},
            {Opcode.CMSG_QUEST_GIVER_CHOOSE_REWARD, 0x349D},
            {Opcode.CMSG_QUEST_GIVER_COMPLETE_QUEST, 0x349B},
            {Opcode.CMSG_QUEST_GIVER_HELLO, 0x3495},
            {Opcode.CMSG_QUEST_GIVER_IGNORE_QUEST, 0x3499},
            {Opcode.CMSG_QUEST_GIVER_QUERY_QUEST, 0x3496},
            {Opcode.CMSG_QUEST_GIVER_REQUEST_REWARD, 0x349E},
            {Opcode.CMSG_QUEST_GIVER_STATUS_MULTIPLE_QUERY, 0x34A0},
            {Opcode.CMSG_QUEST_GIVER_STATUS_QUERY, 0x349F},
            {Opcode.CMSG_QUEST_GIVER_UNIGNORE_QUEST, 0x349A},
            {Opcode.CMSG_QUEST_LOG_REMOVE_QUEST, 0x3522},
            {Opcode.CMSG_QUEST_POI_QUERY, 0x36B4},
            {Opcode.CMSG_QUEST_PUSH_RESULT, 0x34A3},
            {Opcode.CMSG_QUEUED_MESSAGES_END, 0x376C},
            {Opcode.CMSG_QUICK_JOIN_REQUEST_INVITE, 0x3706},
            {Opcode.CMSG_QUICK_JOIN_RESPOND_TO_INVITE, 0x3705},
            {Opcode.CMSG_QUICK_JOIN_SIGNAL_TOAST_DISPLAYED, 0x3704},
            {Opcode.CMSG_RAID_OR_BATTLEGROUND_ENGINE_SURVEY, 0x36E7},
            {Opcode.CMSG_RANDOM_ROLL, 0x3654},
            {Opcode.CMSG_READY_CHECK_RESPONSE, 0x3634},
            {Opcode.CMSG_READ_ITEM, 0x32FE},
            {Opcode.CMSG_RECLAIM_CORPSE, 0x34D3},
            {Opcode.CMSG_RECRUIT_A_FRIEND, 0x36CF},
            {Opcode.CMSG_REDEEM_WOW_TOKEN_CONFIRM, 0x36F1},
            {Opcode.CMSG_REDEEM_WOW_TOKEN_START, 0x36F0},
            {Opcode.CMSG_REORDER_CHARACTERS, 0x35E7},
            {Opcode.CMSG_REPAIR_ITEM, 0x34E4},
            {Opcode.CMSG_REPLACE_TROPHY, 0x32DE},
            {Opcode.CMSG_REPOP_REQUEST, 0x351B},
            {Opcode.CMSG_REPORT_CLIENT_VARIABLES, 0x3702},
            {Opcode.CMSG_REPORT_ENABLED_ADDONS, 0x3701},
            {Opcode.CMSG_REPORT_PVP_PLAYER_AFK, 0x34EC},
            {Opcode.CMSG_REQUEST_ACCOUNT_DATA, 0x3699},
            {Opcode.CMSG_REQUEST_BATTLEFIELD_STATUS, 0x35DC},
            {Opcode.CMSG_REQUEST_CATEGORY_COOLDOWNS, 0x317B},
            {Opcode.CMSG_REQUEST_CEMETERY_LIST, 0x3173},
            {Opcode.CMSG_REQUEST_CONQUEST_FORMULA_CONSTANTS, 0x328D},
            {Opcode.CMSG_REQUEST_CONSUMPTION_CONVERSION_INFO, 0x36FB},
            {Opcode.CMSG_REQUEST_FORCED_REACTIONS, 0x31EE},
            {Opcode.CMSG_REQUEST_GUILD_PARTY_STATE, 0x31A1},
            {Opcode.CMSG_REQUEST_GUILD_REWARDS_LIST, 0x31A0},
            {Opcode.CMSG_REQUEST_HONOR_STATS, 0x3178},
            {Opcode.CMSG_REQUEST_LFG_LIST_BLACKLIST, 0x327E},
            {Opcode.CMSG_REQUEST_PARTY_JOIN_UPDATES, 0x35F4},
            {Opcode.CMSG_REQUEST_PARTY_MEMBER_STATS, 0x3653},
            {Opcode.CMSG_REQUEST_PET_INFO, 0x348F},
            {Opcode.CMSG_REQUEST_PLAYED_TIME, 0x3259},
            {Opcode.CMSG_REQUEST_PVP_REWARDS, 0x318F},
            {Opcode.CMSG_REQUEST_RAID_INFO, 0x36CA},
            {Opcode.CMSG_REQUEST_RATED_BATTLEFIELD_INFO, 0x35E3},
            {Opcode.CMSG_REQUEST_RESEARCH_HISTORY, 0x3167},
            {Opcode.CMSG_REQUEST_STABLED_PETS, 0x3490},
            {Opcode.CMSG_REQUEST_VEHICLE_EXIT, 0x321A},
            {Opcode.CMSG_REQUEST_VEHICLE_NEXT_SEAT, 0x321C},
            {Opcode.CMSG_REQUEST_VEHICLE_PREV_SEAT, 0x321B},
            {Opcode.CMSG_REQUEST_VEHICLE_SWITCH_SEAT, 0x321D},
            {Opcode.CMSG_REQUEST_WORLD_QUEST_UPDATE, 0x3326},
            {Opcode.CMSG_REQUEST_WOW_TOKEN_MARKET_PRICE, 0x36E9},
            {Opcode.CMSG_RESET_CHALLENGE_MODE, 0x31EB},
            {Opcode.CMSG_RESET_INSTANCES, 0x366B},
            {Opcode.CMSG_RESURRECT_RESPONSE, 0x3688},
            {Opcode.CMSG_REVERT_MONUMENT_APPEARANCE, 0x32E0},
            {Opcode.CMSG_RIDE_VEHICLE_INTERACT, 0x321E},
            {Opcode.CMSG_SAVE_CUF_PROFILES, 0x3189},
            {Opcode.CMSG_SAVE_EQUIPMENT_SET, 0x3503},
            {Opcode.CMSG_SAVE_GUILD_EMBLEM, 0x3282},
            {Opcode.CMSG_SCENE_PLAYBACK_CANCELED, 0x3205},
            {Opcode.CMSG_SCENE_PLAYBACK_COMPLETE, 0x3204},
            {Opcode.CMSG_SCENE_TRIGGER_EVENT, 0x3206},
            {Opcode.CMSG_SELF_RES, 0x3525},
            {Opcode.CMSG_SELL_ITEM, 0x34A5},
            {Opcode.CMSG_SELL_WOW_TOKEN_CONFIRM, 0x36EB},
            {Opcode.CMSG_SELL_WOW_TOKEN_START, 0x36EA},
            {Opcode.CMSG_SEND_CONTACT_LIST, 0x36D1},
            {Opcode.CMSG_SEND_MAIL, 0x35F7},
            {Opcode.CMSG_SEND_SOR_REQUEST_VIA_ADDRESS, 0x361F},
            {Opcode.CMSG_SEND_TEXT_EMOTE, 0x3486},
            {Opcode.CMSG_SET_ACHIEVEMENTS_HIDDEN, 0x320B},
            {Opcode.CMSG_SET_ACTION_BAR_TOGGLES, 0x3526},
            {Opcode.CMSG_SET_ACTION_BUTTON, 0x3635},
            {Opcode.CMSG_SET_ACTIVE_MOVER, 0x3A37},
            {Opcode.CMSG_SET_ACTIVE_VOICE_CHANNEL, 0x3655},
            {Opcode.CMSG_SET_ADVANCED_COMBAT_LOGGING, 0x328E},
            {Opcode.CMSG_SET_ASSISTANT_LEADER, 0x364F},
            {Opcode.CMSG_SET_BACKPACK_AUTOSORT_DISABLED, 0x3301},
            {Opcode.CMSG_SET_BANK_AUTOSORT_DISABLED, 0x3302},
            {Opcode.CMSG_CHANGE_BANK_BAG_SLOT_FLAG, 0x3300},
            {Opcode.CMSG_SET_CONTACT_NOTES, 0x36D4},
            {Opcode.CMSG_SET_CURRENCY_FLAGS, 0x3169},
            {Opcode.CMSG_SET_DIFFICULTY_ID, 0x3207},
            {Opcode.CMSG_SET_DUNGEON_DIFFICULTY, 0x3685},
            {Opcode.CMSG_SET_EVERYONE_IS_ASSISTANT, 0x3616},
            {Opcode.CMSG_SET_FACTION_AT_WAR, 0x34D6},
            {Opcode.CMSG_SET_FACTION_INACTIVE, 0x34D8},
            {Opcode.CMSG_SET_FACTION_NOT_AT_WAR, 0x34D7},
            {Opcode.CMSG_SET_INSERT_ITEMS_LEFT_TO_RIGHT, 0x3304},
            {Opcode.CMSG_SET_LFG_BONUS_FACTION_ID, 0x327D},
            {Opcode.CMSG_SET_LOOT_METHOD, 0x3648},
            {Opcode.CMSG_SET_LOOT_SPECIALIZATION, 0x3533},
            {Opcode.CMSG_SET_PARTY_ASSIGNMENT, 0x3651},
            {Opcode.CMSG_SET_PARTY_LEADER, 0x364A},
            {Opcode.CMSG_SET_PET_SLOT, 0x3168},
            {Opcode.CMSG_SET_PLAYER_DECLINED_NAMES, 0x368E},
            {Opcode.CMSG_SET_PREFERRED_CEMETERY, 0x3174},
            {Opcode.CMSG_SET_PVP, 0x3286},
            {Opcode.CMSG_SET_RAID_DIFFICULTY, 0x36DE},
            {Opcode.CMSG_SET_ROLE, 0x35D9},
            {Opcode.CMSG_SET_SAVED_INSTANCE_EXTEND, 0x368C},
            {Opcode.CMSG_SET_SELECTION, 0x351D},
            {Opcode.CMSG_SET_SHEATHED, 0x3487},
            {Opcode.CMSG_SET_SORT_BAGS_RIGHT_TO_LEFT, 0x3303},
            {Opcode.CMSG_SET_TAXI_BENCHMARK_MODE, 0x34EB},
            {Opcode.CMSG_SET_TITLE, 0x325D},
            {Opcode.CMSG_SET_TRADE_CURRENCY, 0x3160},
            {Opcode.CMSG_SET_TRADE_GOLD, 0x315F},
            {Opcode.CMSG_SET_TRADE_ITEM, 0x315D},
            {Opcode.CMSG_SET_USING_PARTY_GARRISON, 0x32C4},
            {Opcode.CMSG_SET_WATCHED_FACTION, 0x34D9},
            {Opcode.CMSG_SHOW_TRADE_SKILL, 0x36C3},
            {Opcode.CMSG_SIGN_PETITION, 0x3527},
            {Opcode.CMSG_SILENCE_PARTY_TALKER, 0x3652},
            {Opcode.CMSG_SOCKET_GEMS, 0x34E3},
            {Opcode.CMSG_SORT_BAGS, 0x3305},
            {Opcode.CMSG_SORT_BANK_BAGS, 0x3306},
            {Opcode.CMSG_SORT_REAGENT_BANK_BAGS, 0x3307},
            {Opcode.CMSG_SPELL_CLICK, 0x3494},
            {Opcode.CMSG_SPIRIT_HEALER_ACTIVATE, 0x34B2},
            {Opcode.CMSG_SPLIT_ITEM, 0x399E},
            {Opcode.CMSG_STAND_STATE_CHANGE, 0x3187},
            {Opcode.CMSG_START_CHALLENGE_MODE, 0x353E},
            {Opcode.CMSG_START_SPECTATOR_WAR_GAME, 0x35DF},
            {Opcode.CMSG_START_WAR_GAME, 0x35DE},
            {Opcode.CMSG_SUMMON_RESPONSE, 0x366D},
            {Opcode.CMSG_SUPPORT_TICKET_SUBMIT_BUG, 0x3645},
            {Opcode.CMSG_SUPPORT_TICKET_SUBMIT_COMPLAINT, 0x3644},
            {Opcode.CMSG_SUPPORT_TICKET_SUBMIT_SUGGESTION, 0x3646},
            {Opcode.CMSG_SUSPEND_COMMS_ACK, 0x3764},
            {Opcode.CMSG_SUSPEND_TOKEN_RESPONSE, 0x376A},
            {Opcode.CMSG_SWAP_INV_ITEM, 0x399D},
            {Opcode.CMSG_SWAP_ITEM, 0x399C},
            {Opcode.CMSG_SWAP_SUB_GROUPS, 0x364D},
            {Opcode.CMSG_SWAP_VOID_ITEM, 0x319D},
            {Opcode.CMSG_TABARD_VENDOR_ACTIVATE, 0x3283},
            {Opcode.CMSG_TALK_TO_GOSSIP, 0x3491},
            {Opcode.CMSG_TAXI_NODE_STATUS_QUERY, 0x34AB},
            {Opcode.CMSG_TAXI_QUERY_AVAILABLE_NODES, 0x34AD},
            {Opcode.CMSG_TAXI_REQUEST_EARLY_LANDING, 0x34AF},
            {Opcode.CMSG_TELEPORT_TO_GUID, 0x39F5},
            {Opcode.CMSG_TELEPORT_TO_UNIT, 0x3666},
            {Opcode.CMSG_TIME_ADJUSTMENT_RESPONSE, 0x3A3B},
            {Opcode.CMSG_TIME_SYNC_RESPONSE, 0x3A38},
            {Opcode.CMSG_TIME_SYNC_RESPONSE_DROPPED, 0x3A3A},
            {Opcode.CMSG_TIME_SYNC_RESPONSE_FAILED, 0x3A39},
            {Opcode.CMSG_TOGGLE_DIFFICULTY, 0x365A},
            {Opcode.CMSG_TOGGLE_PVP, 0x3285},
            {Opcode.CMSG_TOTEM_DESTROYED, 0x34F2},
            {Opcode.CMSG_TOY_SET_FAVORITE, 0x3631},
            {Opcode.CMSG_TRADE_SKILL_SET_FAVORITE, 0x3324},
            {Opcode.CMSG_TRAINER_BUY_SPELL, 0x34B1},
            {Opcode.CMSG_TRAINER_LIST, 0x34B0},
            {Opcode.CMSG_TRANSMOGRIFY_ITEMS, 0x3190},
            {Opcode.CMSG_TRANSMOG_APPEARANCE_SET_FAVORITE, 0x3632},
            {Opcode.CMSG_TURN_IN_PETITION, 0x3529},
            {Opcode.CMSG_TUTORIAL_FLAG, 0x36DF},
            {Opcode.CMSG_TWITTER_CHECK_STATUS, 0x312A},
            {Opcode.CMSG_TWITTER_CONNECT, 0x3127},
            {Opcode.CMSG_TWITTER_DISCONNECT, 0x312B},
            {Opcode.CMSG_TWITTER_POST, 0x3309},
            {Opcode.CMSG_UI_TIME_REQUEST, 0x369E},
            {Opcode.CMSG_UNACCEPT_TRADE, 0x315B},
            {Opcode.CMSG_UNDELETE_CHARACTER, 0x36E1},
            {Opcode.CMSG_UNLEARN_SKILL, 0x34DD},
            {Opcode.CMSG_UNLEARN_SPECIALIZATION, 0x319E},
            {Opcode.CMSG_UNLOCK_VOID_STORAGE, 0x319A},
            {Opcode.CMSG_UPDATE_ACCOUNT_DATA, 0x369A},
            {Opcode.CMSG_UPDATE_CLIENT_SETTINGS, 0x3667},
            {Opcode.CMSG_UPDATE_MISSILE_TRAJECTORY, 0x3A3E},
            {Opcode.CMSG_UPDATE_RAID_TARGET, 0x3650},
            {Opcode.CMSG_UPDATE_VAS_PURCHASE_STATES, 0x36F7},
            {Opcode.CMSG_UPDATE_WOW_TOKEN_AUCTIONABLE_LIST, 0x36F2},
            {Opcode.CMSG_UPDATE_WOW_TOKEN_COUNT, 0x36E8},
            {Opcode.CMSG_UPGRADE_GARRISON, 0x3296},
            {Opcode.CMSG_UPGRADE_ITEM, 0x320C},
            {Opcode.CMSG_USED_FOLLOW, 0x3184},
            {Opcode.CMSG_USE_CRITTER_ITEM, 0x3225},
            {Opcode.CMSG_USE_EQUIPMENT_SET, 0x3995},
            {Opcode.CMSG_USE_ITEM, 0x3274},
            {Opcode.CMSG_USE_TOY, 0x3276},
            {Opcode.CMSG_VIOLENCE_LEVEL, 0x3182},
            {Opcode.CMSG_VOICE_ADD_IGNORE, 0x3656},
            {Opcode.CMSG_VOICE_DEL_IGNORE, 0x3657},
            {Opcode.CMSG_VOICE_SESSION_ENABLE, 0x3687},
            {Opcode.CMSG_VOID_STORAGE_TRANSFER, 0x319C},
            {Opcode.CMSG_WARDEN_DATA, 0x35EA},
            {Opcode.CMSG_WHO, 0x3684},
            {Opcode.CMSG_WHO_IS, 0x3683},
            {Opcode.CMSG_WORLD_PORT_RESPONSE, 0x35F6},
            {Opcode.CMSG_WORLD_TELEPORT, 0x332A},
            {Opcode.CMSG_WRAP_ITEM, 0x3994},
        };

        private static readonly BiDictionary<Opcode, int> ServerOpcodes = new BiDictionary<Opcode, int>
        {
            {Opcode.SMSG_ABORT_NEW_WORLD, 0x25AB},
            {Opcode.SMSG_ACCOUNT_CRITERIA_UPDATE, 0x264D},
            {Opcode.SMSG_ACCOUNT_DATA_TIMES, 0x2744},
            {Opcode.SMSG_ACCOUNT_MOUNT_UPDATE, 0x25C1},
            {Opcode.SMSG_ACCOUNT_TOYS_UPDATE, 0x25C2},
            {Opcode.SMSG_ACHIEVEMENT_DELETED, 0x2719},
            {Opcode.SMSG_ACHIEVEMENT_EARNED, 0x265B},
            {Opcode.SMSG_ACTIVATE_TAXI_REPLY, 0x26A1},
            {Opcode.SMSG_ACTIVE_GLYPHS, 0x2C53},
            {Opcode.SMSG_ADD_BATTLENET_FRIEND_RESPONSE, 0x2655},
            {Opcode.SMSG_ADD_ITEM_PASSIVE, 0x25BD},
            {Opcode.SMSG_ADD_LOSS_OF_CONTROL, 0x2691},
            {Opcode.SMSG_ADD_RUNE_POWER, 0x26DD},
            {Opcode.SMSG_ADJUST_SPLINE_DURATION, 0x25E4},
            {Opcode.SMSG_AE_LOOT_TARGETS, 0x2627},
            {Opcode.SMSG_AE_LOOT_TARGET_ACK, 0x2628},
            {Opcode.SMSG_AI_REACTION, 0x26DA},
            {Opcode.SMSG_ALL_ACCOUNT_CRITERIA, 0x2570},
            {Opcode.SMSG_ALL_ACHIEVEMENT_DATA, 0x256F},
            {Opcode.SMSG_ALL_GUILD_ACHIEVEMENTS, 0x29B8},
            {Opcode.SMSG_ARCHAEOLOGY_SURVERY_CAST, 0x2586},
            {Opcode.SMSG_AREA_SPIRIT_HEALER_TIME, 0x277D},
            {Opcode.SMSG_AREA_TRIGGER_DENIED, 0x2698},
            {Opcode.SMSG_AREA_TRIGGER_NO_CORPSE, 0x2750},
            {Opcode.SMSG_AREA_TRIGGER_RE_PATH, 0x263B},
            {Opcode.SMSG_AREA_TRIGGER_RE_SHAPE, 0x2638},
            {Opcode.SMSG_ARENA_ERROR, 0x270C},
            {Opcode.SMSG_ARENA_PREP_OPPONENT_SPECIALIZATIONS, 0x2660},
            {Opcode.SMSG_ARTIFACT_APPEARANCE_CHANGED, 0x27E0},
            {Opcode.SMSG_ARTIFACT_FORGE_OPENED, 0x27DE},
            {Opcode.SMSG_ARTIFACT_POWERS_UPDATED, 0x27DF},
            {Opcode.SMSG_ARTIFACT_RESPEC_CONFIRM, 0x27E1},
            {Opcode.SMSG_ARTIFACT_XP_GAIN, 0x2821},
            {Opcode.SMSG_ATTACKER_STATE_UPDATE, 0x27CB},
            {Opcode.SMSG_ATTACK_START, 0x2668},
            {Opcode.SMSG_ATTACK_STOP, 0x2669},
            {Opcode.SMSG_ATTACK_SWING_ERROR, 0x272E},
            {Opcode.SMSG_ATTACK_SWING_LANDED_LOG, 0x272F},
            {Opcode.SMSG_AUCTION_CLOSED_NOTIFICATION, 0x2723},
            {Opcode.SMSG_AUCTION_COMMAND_RESULT, 0x2720},
            {Opcode.SMSG_AUCTION_HELLO_RESPONSE, 0x271E},
            {Opcode.SMSG_AUCTION_LIST_BIDDER_ITEMS_RESULT, 0x2727},
            {Opcode.SMSG_AUCTION_LIST_ITEMS_RESULT, 0x2725},
            {Opcode.SMSG_AUCTION_LIST_OWNER_ITEMS_RESULT, 0x2726},
            {Opcode.SMSG_AUCTION_LIST_PENDING_SALES_RESULT, 0x2728},
            {Opcode.SMSG_AUCTION_OUTBID_NOTIFICATION, 0x2722},
            {Opcode.SMSG_AUCTION_OWNER_BID_NOTIFICATION, 0x2724},
            {Opcode.SMSG_AUCTION_REPLICATE_RESPONSE, 0x271F},
            {Opcode.SMSG_AUCTION_WON_NOTIFICATION, 0x2721},
            {Opcode.SMSG_AURA_POINTS_DEPLETED, 0x2C23},
            {Opcode.SMSG_AURA_UPDATE, 0x2C22},
            {Opcode.SMSG_AUTH_CHALLENGE, 0x3048},
            {Opcode.SMSG_AUTH_RESPONSE, 0x256C},
            {Opcode.SMSG_AVAILABLE_VOICE_CHANNEL, 0x2BB2},
            {Opcode.SMSG_BAN_REASON, 0x26AD},
            {Opcode.SMSG_BARBER_SHOP_RESULT, 0x26E3},
            {Opcode.SMSG_BATTLEFIELD_LIST, 0x2594},
            {Opcode.SMSG_BATTLEFIELD_PORT_DENIED, 0x259A},
            {Opcode.SMSG_BATTLEFIELD_STATUS_ACTIVE, 0x2590},
            {Opcode.SMSG_BATTLEFIELD_STATUS_FAILED, 0x2593},
            {Opcode.SMSG_BATTLEFIELD_STATUS_NEED_CONFIRMATION, 0x258F},
            {Opcode.SMSG_BATTLEFIELD_STATUS_NONE, 0x2592},
            {Opcode.SMSG_BATTLEFIELD_STATUS_QUEUED, 0x2591},
            {Opcode.SMSG_BATTLEFIELD_STATUS_WAIT_FOR_GROUPS, 0x25A3},
            {Opcode.SMSG_BATTLEGROUND_INFO_THROTTLED, 0x259B},
            {Opcode.SMSG_BATTLEGROUND_INIT, 0x279B},
            {Opcode.SMSG_BATTLEGROUND_PLAYER_JOINED, 0x2598},
            {Opcode.SMSG_BATTLEGROUND_PLAYER_LEFT, 0x2599},
            {Opcode.SMSG_BATTLEGROUND_PLAYER_POSITIONS, 0x2595},
            {Opcode.SMSG_BATTLEGROUND_POINTS, 0x279A},
            {Opcode.SMSG_BATTLENET_CHALLENGE_ABORT, 0x27CA},
            {Opcode.SMSG_BATTLENET_CHALLENGE_START, 0x27C9},
            {Opcode.SMSG_BATTLENET_NOTIFICATION, 0x2836},
            {Opcode.SMSG_BATTLENET_REALM_LIST_TICKET, 0x2838},
            {Opcode.SMSG_BATTLENET_RESPONSE, 0x2835},
            {Opcode.SMSG_BATTLENET_SET_SESSION_STATE, 0x2837},
            {Opcode.SMSG_BATTLE_PAY_ACK_FAILED, 0x27C2},
            {Opcode.SMSG_BATTLE_PAY_CONFIRM_PURCHASE, 0x27C1},
            {Opcode.SMSG_BATTLE_PAY_DELIVERY_ENDED, 0x27B5},
            {Opcode.SMSG_BATTLE_PAY_DELIVERY_STARTED, 0x27B4},
            {Opcode.SMSG_BATTLE_PAY_DISTRIBUTION_UPDATE, 0x27B3},
            {Opcode.SMSG_BATTLE_PAY_GET_DISTRIBUTION_LIST_RESPONSE, 0x27B1},
            {Opcode.SMSG_BATTLE_PAY_GET_PRODUCT_LIST_RESPONSE, 0x27AF},
            {Opcode.SMSG_BATTLE_PAY_GET_PURCHASE_LIST_RESPONSE, 0x27B0},
            {Opcode.SMSG_BATTLE_PAY_PURCHASE_UPDATE, 0x27C0},
            {Opcode.SMSG_BATTLE_PAY_START_DISTRIBUTION_ASSIGN_TO_TARGET_RESPONSE, 0x27BE},
            {Opcode.SMSG_BATTLE_PAY_START_PURCHASE_RESPONSE, 0x27BD},
            {Opcode.SMSG_BATTLE_PAY_VAS_BOOST_CONSUMED, 0x27B2},
            {Opcode.SMSG_BATTLE_PAY_VAS_CHARACTER_LIST, 0x2825},
            {Opcode.SMSG_BATTLE_PAY_VAS_PURCHASE_COMPLETE, 0x2828},
            {Opcode.SMSG_BATTLE_PAY_VAS_PURCHASE_LIST, 0x2829},
            {Opcode.SMSG_BATTLE_PAY_VAS_PURCHASE_STARTED, 0x2827},
            {Opcode.SMSG_BATTLE_PETS_HEALED, 0x2605},
            {Opcode.SMSG_BATTLE_PET_CAGE_DATE_ERROR, 0x269B},
            {Opcode.SMSG_BATTLE_PET_DELETED, 0x2602},
            {Opcode.SMSG_BATTLE_PET_ERROR, 0x2650},
            {Opcode.SMSG_BATTLE_PET_JOURNAL, 0x2601},
            {Opcode.SMSG_BATTLE_PET_JOURNAL_LOCK_ACQUIRED, 0x25FF},
            {Opcode.SMSG_BATTLE_PET_JOURNAL_LOCK_DENIED, 0x2600},
            {Opcode.SMSG_BATTLE_PET_LICENSE_CHANGED, 0x2606},
            {Opcode.SMSG_BATTLE_PET_MAX_COUNT_CHANGED, 0x25FD},
            {Opcode.SMSG_BATTLE_PET_RESTORED, 0x2604},
            {Opcode.SMSG_BATTLE_PET_REVOKED, 0x2603},
            {Opcode.SMSG_BATTLE_PET_TRAP_LEVEL, 0x25FC},
            {Opcode.SMSG_BATTLE_PET_UPDATES, 0x25FB},
            {Opcode.SMSG_BINDER_CONFIRM, 0x2734},
            {Opcode.SMSG_BIND_POINT_UPDATE, 0x257C},
            {Opcode.SMSG_BLACK_MARKET_BID_ON_ITEM_RESULT, 0x2640},
            {Opcode.SMSG_BLACK_MARKET_OPEN_RESULT, 0x263E},
            {Opcode.SMSG_BLACK_MARKET_OUTBID, 0x2641},
            {Opcode.SMSG_BLACK_MARKET_REQUEST_ITEMS_RESULT, 0x263F},
            {Opcode.SMSG_BLACK_MARKET_WON, 0x2642},
            {Opcode.SMSG_BONUS_ROLL_EMPTY, 0x265D},
            {Opcode.SMSG_BOSS_KILL_CREDIT, 0x27BC},
            {Opcode.SMSG_BREAK_TARGET, 0x2667},
            {Opcode.SMSG_BUY_FAILED, 0x26EC},
            {Opcode.SMSG_BUY_SUCCEEDED, 0x26EB},
            {Opcode.SMSG_CACHE_INFO, 0x273E},
            {Opcode.SMSG_CACHE_VERSION, 0x273D},
            {Opcode.SMSG_CALENDAR_CLEAR_PENDING_ACTION, 0x26C1},
            {Opcode.SMSG_CALENDAR_COMMAND_RESULT, 0x26C2},
            {Opcode.SMSG_CALENDAR_EVENT_INITIAL_INVITES, 0x26B1},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE, 0x26B2},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_ALERT, 0x26B3},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_MODERATOR_STATUS, 0x26B6},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_NOTES, 0x26BB},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_NOTES_ALERT, 0x26BC},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_REMOVED, 0x26B7},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_REMOVED_ALERT, 0x26B8},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_STATUS, 0x26B4},
            {Opcode.SMSG_CALENDAR_EVENT_INVITE_STATUS_ALERT, 0x26B5},
            {Opcode.SMSG_CALENDAR_EVENT_REMOVED_ALERT, 0x26B9},
            {Opcode.SMSG_CALENDAR_EVENT_UPDATED_ALERT, 0x26BA},
            {Opcode.SMSG_CALENDAR_RAID_LOCKOUT_ADDED, 0x26BD},
            {Opcode.SMSG_CALENDAR_RAID_LOCKOUT_REMOVED, 0x26BE},
            {Opcode.SMSG_CALENDAR_RAID_LOCKOUT_UPDATED, 0x26BF},
            {Opcode.SMSG_CALENDAR_SEND_CALENDAR, 0x26AF},
            {Opcode.SMSG_CALENDAR_SEND_EVENT, 0x26B0},
            {Opcode.SMSG_CALENDAR_SEND_NUM_PENDING, 0x26C0},
            {Opcode.SMSG_CAMERA_EFFECT, 0x2762},
            {Opcode.SMSG_CANCEL_AUTO_REPEAT, 0x270D},
            {Opcode.SMSG_CANCEL_COMBAT, 0x272C},
            {Opcode.SMSG_CANCEL_ORPHAN_SPELL_VISUAL, 0x2C46},
            {Opcode.SMSG_CANCEL_SCENE, 0x264F},
            {Opcode.SMSG_CANCEL_SPELL_VISUAL, 0x2C44},
            {Opcode.SMSG_CANCEL_SPELL_VISUAL_KIT, 0x2C48},
            {Opcode.SMSG_CAN_DUEL_RESULT, 0x2671},
            {Opcode.SMSG_CAST_FAILED, 0x2C56},
            {Opcode.SMSG_CATEGORY_COOLDOWN, 0x2C16},
            {Opcode.SMSG_CHALLENGE_MODE_ALL_MAP_STATS, 0x261D},
            {Opcode.SMSG_CHALLENGE_MODE_COMPLETE, 0x261B},
            {Opcode.SMSG_CHALLENGE_MODE_MAP_STATS_UPDATE, 0x261E},
            {Opcode.SMSG_CHALLENGE_MODE_NEW_PLAYER_RECORD, 0x2620},
            {Opcode.SMSG_CHALLENGE_MODE_REQUEST_LEADERS_RESULT, 0x261F},
            {Opcode.SMSG_CHALLENGE_MODE_RESET, 0x261A},
            {Opcode.SMSG_CHALLENGE_MODE_REWARDS, 0x261C},
            {Opcode.SMSG_CHALLENGE_MODE_START, 0x2619},
            {Opcode.SMSG_CHANGE_PLAYER_DIFFICULTY_RESULT, 0x2730},
            {Opcode.SMSG_CHANNEL_LIST, 0x2BC8},
            {Opcode.SMSG_CHANNEL_NOTIFY, 0x2BC5},
            {Opcode.SMSG_CHANNEL_NOTIFY_JOINED, 0x2BC6},
            {Opcode.SMSG_CHANNEL_NOTIFY_LEFT, 0x2BC7},
            {Opcode.SMSG_CHARACTER_CLASS_TRIAL_CREATE, 0x27FA},
            {Opcode.SMSG_CHARACTER_ITEM_FIXUP, 0x2846},
            {Opcode.SMSG_CHARACTER_LOGIN_FAILED, 0x273F},
            {Opcode.SMSG_CHARACTER_OBJECT_TEST_RESPONSE, 0x27C8},
            {Opcode.SMSG_CHARACTER_RENAME_RESULT, 0x27A1},
            {Opcode.SMSG_CHARACTER_UPGRADE_COMPLETE, 0x27F9},
            {Opcode.SMSG_CHARACTER_UPGRADE_QUEUED, 0x27F8},
            {Opcode.SMSG_CHARACTER_UPGRADE_SPELL_TIER_SET, 0x25F0},
            {Opcode.SMSG_CHARACTER_UPGRADE_STARTED, 0x27F7},
            {Opcode.SMSG_CHAR_CUSTOMIZE, 0x2714},
            {Opcode.SMSG_CHAR_CUSTOMIZE_FAILED, 0x2713},
            {Opcode.SMSG_CHAR_FACTION_CHANGE_RESULT, 0x27E5},
            {Opcode.SMSG_CHAT, 0x2BAD},
            {Opcode.SMSG_CHAT_AUTO_RESPONDED, 0x2BBD},
            {Opcode.SMSG_CHAT_DOWN, 0x2BC2},
            {Opcode.SMSG_CHAT_IGNORED_ACCOUNT_MUTED, 0x2BAC},
            {Opcode.SMSG_CHAT_IS_DOWN, 0x2BC3},
            {Opcode.SMSG_CHAT_NOT_IN_PARTY, 0x2BB7},
            {Opcode.SMSG_CHAT_PLAYER_AMBIGUOUS, 0x2BB0},
            {Opcode.SMSG_CHAT_PLAYER_NOTFOUND, 0x2BBC},
            {Opcode.SMSG_CHAT_RECONNECT, 0x2BC4},
            {Opcode.SMSG_CHAT_RESTRICTED, 0x2BB8},
            {Opcode.SMSG_CHAT_SERVER_MESSAGE, 0x2BC9},
            {Opcode.SMSG_CHEAT_IGNORE_DIMISHING_RETURNS, 0x2C12},
            {Opcode.SMSG_CHECK_WARGAME_ENTRY, 0x259E},
            {Opcode.SMSG_CLEAR_ALL_SPELL_CHARGES, 0x2C27},
            {Opcode.SMSG_CLEAR_BOSS_EMOTES, 0x25CA},
            {Opcode.SMSG_CLEAR_COOLDOWN, 0x26DF},
            {Opcode.SMSG_CLEAR_COOLDOWNS, 0x2C26},
            {Opcode.SMSG_CLEAR_LOSS_OF_CONTROL, 0x2693},
            {Opcode.SMSG_CLEAR_SPELL_CHARGES, 0x2C28},
            {Opcode.SMSG_CLEAR_TARGET, 0x26D6},
            {Opcode.SMSG_COIN_REMOVED, 0x2626},
            {Opcode.SMSG_COMBAT_EVENT_FAILED, 0x266A},
            {Opcode.SMSG_COMMENTATOR_MAP_INFO, 0x2741},
            {Opcode.SMSG_COMMENTATOR_PLAYER_INFO, 0x2742},
            {Opcode.SMSG_COMMENTATOR_STATE_CHANGED, 0x2740},
            {Opcode.SMSG_COMPLAINT_RESULT, 0x26CE},
            {Opcode.SMSG_COMPLETE_SHIPMENT_RESPONSE, 0x27DA},
            {Opcode.SMSG_CONNECT_TO, 0x304D},
            {Opcode.SMSG_CONQUEST_FORMULA_CONSTANTS, 0x27C3},
            {Opcode.SMSG_CONSOLE_WRITE, 0x264C},
            {Opcode.SMSG_CONSUMPTION_CONVERSION_INFO_RESPONSE, 0x283B},
            {Opcode.SMSG_CONSUMPTION_CONVERSION_RESULT, 0x283C},
            {Opcode.SMSG_CONTACT_LIST, 0x27C6},
            {Opcode.SMSG_CONTROL_UPDATE, 0x265F},
            {Opcode.SMSG_COOLDOWN_CHEAT, 0x2776},
            {Opcode.SMSG_COOLDOWN_EVENT, 0x26DE},
            {Opcode.SMSG_CORPSE_LOCATION, 0x2666},
            {Opcode.SMSG_CORPSE_RECLAIM_DELAY, 0x2789},
            {Opcode.SMSG_CORPSE_TRANSPORT_QUERY, 0x274C},
            {Opcode.SMSG_CREATE_CHAR, 0x2739},
            {Opcode.SMSG_CREATE_SHIPMENT_RESPONSE, 0x27D9},
            {Opcode.SMSG_CRITERIA_DELETED, 0x2718},
            {Opcode.SMSG_CRITERIA_UPDATE, 0x2712},
            {Opcode.SMSG_CROSSED_INEBRIATION_THRESHOLD, 0x26E7},
            {Opcode.SMSG_CUSTOM_LOAD_SCREEN, 0x25DF},
            {Opcode.SMSG_DAILY_QUESTS_RESET, 0x2A80},
            {Opcode.SMSG_DAMAGE_CALC_LOG, 0x2801},
            {Opcode.SMSG_DANCE_STUDIO_CREATE_RESULT, 0x279E},
            {Opcode.SMSG_DB_REPLY, 0x25A0},
            {Opcode.SMSG_DEATH_RELEASE_LOC, 0x2700},
            {Opcode.SMSG_DEFENSE_MESSAGE, 0x2BBB},
            {Opcode.SMSG_DELETE_CHAR, 0x273A},
            {Opcode.SMSG_DESTROY_ARENA_UNIT, 0x277F},
            {Opcode.SMSG_DESTRUCTIBLE_BUILDING_DAMAGE, 0x272D},
            {Opcode.SMSG_DIFFERENT_INSTANCE_FROM_PARTY, 0x258A},
            {Opcode.SMSG_DISENCHANT_CREDIT, 0x25BA},
            {Opcode.SMSG_DISMOUNT, 0x26D5},
            {Opcode.SMSG_DISMOUNT_RESULT, 0x257B},
            {Opcode.SMSG_DISPEL_FAILED, 0x2C30},
            {Opcode.SMSG_DISPLAY_GAME_ERROR, 0x25B3},
            {Opcode.SMSG_DISPLAY_PLAYER_CHOICE, 0x269C},
            {Opcode.SMSG_DISPLAY_PROMOTION, 0x2663},
            {Opcode.SMSG_DISPLAY_QUEST_POPUP, 0x2A9C},
            {Opcode.SMSG_DISPLAY_TOAST, 0x2634},
            {Opcode.SMSG_DONT_AUTO_PUSH_SPELLS_TO_ACTION_BAR, 0x25F2},
            {Opcode.SMSG_DROP_NEW_CONNECTION, 0x304C},
            {Opcode.SMSG_DUEL_COMPLETE, 0x266F},
            {Opcode.SMSG_DUEL_COUNTDOWN, 0x266E},
            {Opcode.SMSG_DUEL_IN_BOUNDS, 0x266D},
            {Opcode.SMSG_DUEL_OUT_OF_BOUNDS, 0x266C},
            {Opcode.SMSG_DUEL_REQUESTED, 0x266B},
            {Opcode.SMSG_DUEL_WINNER, 0x2670},
            {Opcode.SMSG_DURABILITY_DAMAGE_DEATH, 0x2785},
            {Opcode.SMSG_EMOTE, 0x2802},
            {Opcode.SMSG_ENABLE_BARBER_SHOP, 0x26E2},
            {Opcode.SMSG_ENABLE_ENCRYPTION, 0x3049},
            {Opcode.SMSG_ENCHANTMENT_LOG, 0x274D},
            {Opcode.SMSG_ENCOUNTER_END, 0x27BB},
            {Opcode.SMSG_ENCOUNTER_START, 0x27BA},
            {Opcode.SMSG_ENUM_CHARACTERS_RESULT, 0x2582},
            {Opcode.SMSG_ENVIRONMENTAL_DAMAGE_LOG, 0x2C21},
            {Opcode.SMSG_EQUIPMENT_SET_ID, 0x26D7},
            {Opcode.SMSG_EXPECTED_SPAM_RECORDS, 0x2BB1},
            {Opcode.SMSG_EXPLORATION_EXPERIENCE, 0x279D},
            {Opcode.SMSG_FACTION_BONUS_INFO, 0x2761},
            {Opcode.SMSG_FAILED_PLAYER_CONDITION, 0x25DE},
            {Opcode.SMSG_FEATURE_SYSTEM_STATUS, 0x25CE},
            {Opcode.SMSG_FEATURE_SYSTEM_STATUS_GLUE_SCREEN, 0x25CF},
            {Opcode.SMSG_FEIGN_DEATH_RESISTED, 0x2782},
            {Opcode.SMSG_FISH_ESCAPED, 0x26F4},
            {Opcode.SMSG_FISH_NOT_HOOKED, 0x26F3},
            {Opcode.SMSG_FLIGHT_SPLINE_SYNC, 0x2DF7},
            {Opcode.SMSG_FORCED_DEATH_UPDATE, 0x2701},
            {Opcode.SMSG_FORCE_ANIM, 0x278F},
            {Opcode.SMSG_FORCE_OBJECT_RELINK, 0x2662},
            {Opcode.SMSG_FRIEND_STATUS, 0x27C7},
            {Opcode.SMSG_GAME_OBJECT_ACTIVATE_ANIM_KIT, 0x25D2},
            {Opcode.SMSG_GAME_OBJECT_CUSTOM_ANIM, 0x25D3},
            {Opcode.SMSG_GAME_OBJECT_DESPAWN, 0x25D4},
            {Opcode.SMSG_GAME_OBJECT_PLAY_SPELL_VISUAL, 0x2C4B},
            {Opcode.SMSG_GAME_OBJECT_PLAY_SPELL_VISUAL_KIT, 0x2C4A},
            {Opcode.SMSG_GAME_OBJECT_RESET_STATE, 0x2758},
            {Opcode.SMSG_GAME_OBJECT_SET_STATE, 0x2834},
            {Opcode.SMSG_GAME_OBJECT_UI_ACTION, 0x2755},
            {Opcode.SMSG_GAME_SPEED_SET, 0x26A5},
            {Opcode.SMSG_GAME_TIME_SET, 0x2746},
            {Opcode.SMSG_GAME_TIME_UPDATE, 0x2745},
            {Opcode.SMSG_GARRISON_ADD_FOLLOWER_RESULT, 0x2902},
            {Opcode.SMSG_GARRISON_ADD_MISSION_RESULT, 0x2906},
            {Opcode.SMSG_GARRISON_ASSIGN_FOLLOWER_TO_BUILDING_RESULT, 0x2918},
            {Opcode.SMSG_GARRISON_BUILDING_ACTIVATED, 0x28FB},
            {Opcode.SMSG_GARRISON_BUILDING_LANDMARKS, 0x292C},
            {Opcode.SMSG_GARRISON_BUILDING_REMOVED, 0x28F4},
            {Opcode.SMSG_GARRISON_BUILDING_SET_ACTIVE_SPECIALIZATION_RESULT, 0x28F6},
            {Opcode.SMSG_GARRISON_CLEAR_ALL_FOLLOWERS_EXHAUSTION, 0x2916},
            {Opcode.SMSG_GARRISON_COMPLETE_MISSION_RESULT, 0x2909},
            {Opcode.SMSG_GARRISON_CREATE_RESULT, 0x28FC},
            {Opcode.SMSG_GARRISON_DELETE_RESULT, 0x2920},
            {Opcode.SMSG_GARRISON_FOLLOWER_CHANGED_ABILITIES, 0x2914},
            {Opcode.SMSG_GARRISON_FOLLOWER_CHANGED_DURABILITY, 0x2904},
            {Opcode.SMSG_GARRISON_FOLLOWER_CHANGED_ITEM_LEVEL, 0x2913},
            {Opcode.SMSG_GARRISON_FOLLOWER_CHANGED_STATUS, 0x2915},
            {Opcode.SMSG_GARRISON_FOLLOWER_CHANGED_XP, 0x2912},
            {Opcode.SMSG_GARRISON_IS_UPGRADEABLE_RESULT, 0x2929},
            {Opcode.SMSG_GARRISON_LANDING_PAGE_SHIPMENT_INFO, 0x27DC},
            {Opcode.SMSG_GARRISON_LEARN_BLUEPRINT_RESULT, 0x28F7},
            {Opcode.SMSG_GARRISON_LEARN_SPECIALIZATION_RESULT, 0x28F5},
            {Opcode.SMSG_GARRISON_LIST_FOLLOWERS_CHEAT_RESULT, 0x2905},
            {Opcode.SMSG_GARRISON_LIST_MISSIONS_CHEAT_RESULT, 0x292A},
            {Opcode.SMSG_GARRISON_MISSION_AREA_BONUS_ADDED, 0x2910},
            {Opcode.SMSG_GARRISON_MISSION_BONUS_ROLL_RESULT, 0x290C},
            {Opcode.SMSG_GARRISON_MISSION_REWARD_RESPONSE, 0x292D},
            {Opcode.SMSG_GARRISON_MISSION_UPDATE_CAN_START, 0x2911},
            {Opcode.SMSG_GARRISON_NUM_FOLLOWER_ACTIVATIONS_REMAINING, 0x2917},
            {Opcode.SMSG_GARRISON_OPEN_ARCHITECT, 0x2921},
            {Opcode.SMSG_GARRISON_OPEN_MISSION_NPC, 0x2923},
            {Opcode.SMSG_GARRISON_OPEN_RECRUITMENT_NPC, 0x291C},
            {Opcode.SMSG_GARRISON_OPEN_TALENT_NPC, 0x291D},
            {Opcode.SMSG_GARRISON_OPEN_TRADESKILL_NPC, 0x2922},
            {Opcode.SMSG_GARRISON_PLACE_BUILDING_RESULT, 0x28F3},
            {Opcode.SMSG_GARRISON_PLOT_PLACED, 0x28F1},
            {Opcode.SMSG_GARRISON_PLOT_REMOVED, 0x28F2},
            {Opcode.SMSG_GARRISON_RECALL_PORTAL_LAST_USED_TIME, 0x290A},
            {Opcode.SMSG_GARRISON_RECALL_PORTAL_USED, 0x290B},
            {Opcode.SMSG_GARRISON_RECRUITMENT_FOLLOWERS_GENERATED, 0x291E},
            {Opcode.SMSG_GARRISON_RECRUIT_FOLLOWER_RESULT, 0x291F},
            {Opcode.SMSG_GARRISON_REMOTE_INFO, 0x28FA},
            {Opcode.SMSG_GARRISON_REMOVE_FOLLOWER_FROM_BUILDING_RESULT, 0x2919},
            {Opcode.SMSG_GARRISON_REMOVE_FOLLOWER_RESULT, 0x2903},
            {Opcode.SMSG_GARRISON_REQUEST_BLUEPRINT_AND_SPECIALIZATION_DATA_RESULT, 0x28F9},
            {Opcode.SMSG_GARRISON_START_MISSION_RESULT, 0x2907},
            {Opcode.SMSG_GARRISON_UNLEARN_BLUEPRINT_RESULT, 0x28F8},
            {Opcode.SMSG_GARRISON_UPGRADE_RESULT, 0x28FD},
            {Opcode.SMSG_GENERATE_RANDOM_CHARACTER_NAME_RESULT, 0x2583},
            {Opcode.SMSG_GET_ACCOUNT_CHARACTER_LIST_RESULT, 0x279F},
            {Opcode.SMSG_GET_DISPLAYED_TROPHY_LIST_RESPONSE, 0x2928},
            {Opcode.SMSG_GET_GARRISON_INFO_RESULT, 0x28F0},
            {Opcode.SMSG_GET_SHIPMENTS_OF_TYPE_RESPONSE, 0x27DB},
            {Opcode.SMSG_GET_SHIPMENT_INFO_RESPONSE, 0x27D7},
            {Opcode.SMSG_GET_TROPHY_LIST_RESPONSE, 0x27FD},
            {Opcode.SMSG_GM_PLAYER_INFO, 0x2775},
            {Opcode.SMSG_GM_REQUEST_PLAYER_INFO, 0x25E9},
            {Opcode.SMSG_GM_TICKET_CASE_STATUS, 0x26C7},
            {Opcode.SMSG_GM_TICKET_SYSTEM_STATUS, 0x26C6},
            {Opcode.SMSG_GOD_MODE, 0x2733},
            {Opcode.SMSG_GOSSIP_COMPLETE, 0x2A96},
            {Opcode.SMSG_GOSSIP_MESSAGE, 0x2A97},
            {Opcode.SMSG_GOSSIP_POI, 0x27D4},
            {Opcode.SMSG_GROUP_ACTION_THROTTLED, 0x259C},
            {Opcode.SMSG_GROUP_DECLINE, 0x27CF},
            {Opcode.SMSG_GROUP_DESTROYED, 0x27D1},
            {Opcode.SMSG_GROUP_INVITE_CONFIRMATION, 0x2847},
            {Opcode.SMSG_GROUP_NEW_LEADER, 0x2645},
            {Opcode.SMSG_GROUP_UNINVITE, 0x27D0},
            {Opcode.SMSG_GUILD_ACHIEVEMENT_DELETED, 0x29C5},
            {Opcode.SMSG_GUILD_ACHIEVEMENT_EARNED, 0x29C4},
            {Opcode.SMSG_GUILD_ACHIEVEMENT_MEMBERS, 0x29C7},
            {Opcode.SMSG_GUILD_BANK_LOG_QUERY_RESULTS, 0x29DF},
            {Opcode.SMSG_GUILD_BANK_QUERY_RESULTS, 0x29DE},
            {Opcode.SMSG_GUILD_BANK_REMAINING_WITHDRAW_MONEY, 0x29E0},
            {Opcode.SMSG_GUILD_BANK_TEXT_QUERY_RESULT, 0x29E3},
            {Opcode.SMSG_GUILD_CHALLENGE_COMPLETED, 0x29D3},
            {Opcode.SMSG_GUILD_CHALLENGE_UPDATE, 0x29D2},
            {Opcode.SMSG_GUILD_CHANGE_NAME_RESULT, 0x29DD},
            {Opcode.SMSG_GUILD_COMMAND_RESULT, 0x29BA},
            {Opcode.SMSG_GUILD_CRITERIA_DELETED, 0x29C6},
            {Opcode.SMSG_GUILD_CRITERIA_UPDATE, 0x29C3},
            {Opcode.SMSG_GUILD_EVENT_BANK_CONTENTS_CHANGED, 0x29F5},
            {Opcode.SMSG_GUILD_EVENT_BANK_MONEY_CHANGED, 0x29F4},
            {Opcode.SMSG_GUILD_EVENT_DISBANDED, 0x29EB},
            {Opcode.SMSG_GUILD_EVENT_LOG_QUERY_RESULTS, 0x29E2},
            {Opcode.SMSG_GUILD_EVENT_MOTD, 0x29EC},
            {Opcode.SMSG_GUILD_EVENT_NEW_LEADER, 0x29EA},
            {Opcode.SMSG_GUILD_EVENT_PLAYER_JOINED, 0x29E8},
            {Opcode.SMSG_GUILD_EVENT_PLAYER_LEFT, 0x29E9},
            {Opcode.SMSG_GUILD_EVENT_PRESENCE_CHANGE, 0x29ED},
            {Opcode.SMSG_GUILD_EVENT_RANKS_UPDATED, 0x29EE},
            {Opcode.SMSG_GUILD_EVENT_RANK_CHANGED, 0x29EF},
            {Opcode.SMSG_GUILD_EVENT_TAB_ADDED, 0x29F0},
            {Opcode.SMSG_GUILD_EVENT_TAB_DELETED, 0x29F1},
            {Opcode.SMSG_GUILD_EVENT_TAB_MODIFIED, 0x29F2},
            {Opcode.SMSG_GUILD_EVENT_TAB_TEXT_CHANGED, 0x29F3},
            {Opcode.SMSG_GUILD_FLAGGED_FOR_RENAME, 0x29DC},
            {Opcode.SMSG_GUILD_INVITE, 0x29CA},
            {Opcode.SMSG_GUILD_INVITE_DECLINED, 0x29E6},
            {Opcode.SMSG_GUILD_INVITE_EXPIRED, 0x29E7},
            {Opcode.SMSG_GUILD_ITEM_LOOTED, 0x29D4},
            {Opcode.SMSG_GUILD_KNOWN_RECIPES, 0x29BE},
            {Opcode.SMSG_GUILD_MEMBERS_WITH_RECIPE, 0x29BF},
            {Opcode.SMSG_GUILD_MEMBER_DAILY_RESET, 0x29E4},
            {Opcode.SMSG_GUILD_MEMBER_RECIPES, 0x29BD},
            {Opcode.SMSG_GUILD_MEMBER_UPDATE_NOTE, 0x29C9},
            {Opcode.SMSG_GUILD_MOVED, 0x29DA},
            {Opcode.SMSG_GUILD_MOVE_STARTING, 0x29D9},
            {Opcode.SMSG_GUILD_NAME_CHANGED, 0x29DB},
            {Opcode.SMSG_GUILD_NEWS, 0x29C1},
            {Opcode.SMSG_GUILD_NEWS_DELETED, 0x29C2},
            {Opcode.SMSG_GUILD_PARTY_STATE, 0x29CB},
            {Opcode.SMSG_GUILD_PERMISSIONS_QUERY_RESULTS, 0x29E1},
            {Opcode.SMSG_GUILD_RANKS, 0x29C8},
            {Opcode.SMSG_GUILD_REPUTATION_REACTION_CHANGED, 0x29CC},
            {Opcode.SMSG_GUILD_RESET, 0x29D8},
            {Opcode.SMSG_GUILD_REWARD_LIST, 0x29C0},
            {Opcode.SMSG_GUILD_ROSTER, 0x29BB},
            {Opcode.SMSG_GUILD_ROSTER_UPDATE, 0x29BC},
            {Opcode.SMSG_GUILD_SEND_RANK_CHANGE, 0x29B9},
            {Opcode.SMSG_HEALTH_UPDATE, 0x26F7},
            {Opcode.SMSG_HIGHEST_THREAT_UPDATE, 0x2707},
            {Opcode.SMSG_HOTFIX_NOTIFY, 0x25A1},
            {Opcode.SMSG_HOTFIX_NOTIFY_BLOB, 0x25A2},
            {Opcode.SMSG_INITIALIZE_FACTIONS, 0x2760},
            {Opcode.SMSG_INITIAL_SETUP, 0x257F},
            {Opcode.SMSG_INIT_WORLD_STATES, 0x2786},
            {Opcode.SMSG_INSPECT_HONOR_STATS, 0x25B0},
            {Opcode.SMSG_INSPECT_PVP, 0x275C},
            {Opcode.SMSG_INSPECT_RESULT, 0x2649},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_CHANGE_PRIORITY, 0x27EB},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_DISENGAGE_UNIT, 0x27EA},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_END, 0x27F2},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_ENGAGE_UNIT, 0x27E9},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_GAIN_COMBAT_RESURRECTION_CHARGE, 0x27F4},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_IN_COMBAT_RESURRECTION, 0x27F3},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_OBJECTIVE_COMPLETE, 0x27EE},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_OBJECTIVE_START, 0x27ED},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_OBJECTIVE_UPDATE, 0x27F1},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_PHASE_SHIFT_CHANGED, 0x27F5},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_SET_SUPPRESSING_RELEASE, 0x27F0},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_START, 0x27EF},
            {Opcode.SMSG_INSTANCE_ENCOUNTER_TIMER_START, 0x27EC},
            {Opcode.SMSG_INSTANCE_GROUP_SIZE_CHANGED, 0x2731},
            {Opcode.SMSG_INSTANCE_INFO, 0x264B},
            {Opcode.SMSG_INSTANCE_RESET, 0x26AA},
            {Opcode.SMSG_INSTANCE_RESET_FAILED, 0x26AB},
            {Opcode.SMSG_INSTANCE_SAVE_CREATED, 0x27B9},
            {Opcode.SMSG_INVALIDATE_PAGE_TEXT, 0x26FC},
            {Opcode.SMSG_INVALIDATE_PLAYER, 0x26CD},
            {Opcode.SMSG_INVALID_PROMOTION_CODE, 0x2790},
            {Opcode.SMSG_INVENTORY_CHANGE_FAILURE, 0x275E},
            {Opcode.SMSG_IS_QUEST_COMPLETE_RESPONSE, 0x2A83},
            {Opcode.SMSG_ITEM_CHANGED, 0x271B},
            {Opcode.SMSG_ITEM_COOLDOWN, 0x2800},
            {Opcode.SMSG_ITEM_ENCHANT_TIME_UPDATE, 0x2792},
            {Opcode.SMSG_ITEM_EXPIRE_PURCHASE_REFUND, 0x25AF},
            {Opcode.SMSG_ITEM_PURCHASE_REFUND_RESULT, 0x25AD},
            {Opcode.SMSG_ITEM_PUSH_RESULT, 0x2633},
            {Opcode.SMSG_ITEM_TIME_UPDATE, 0x2791},
            {Opcode.SMSG_KICK_REASON, 0x2824},
            {Opcode.SMSG_LEARNED_SPELLS, 0x2C4D},
            {Opcode.SMSG_LEARN_PVP_TALENTS_FAILED, 0x25E6},
            {Opcode.SMSG_LEARN_TALENTS_FAILED, 0x25E5},
            {Opcode.SMSG_LEVEL_UPDATE, 0x2587},
            {Opcode.SMSG_LEVEL_UP_INFO, 0x271A},
            {Opcode.SMSG_LFG_BOOT_PLAYER, 0x2A36},
            {Opcode.SMSG_LFG_DISABLED, 0x2A34},
            {Opcode.SMSG_LFG_INSTANCE_SHUTDOWN_COUNTDOWN, 0x2A25},
            {Opcode.SMSG_LFG_JOIN_RESULT, 0x2A1C},
            {Opcode.SMSG_LFG_LIST_JOIN_RESULT, 0x2A1D},
            {Opcode.SMSG_LFG_LIST_SEARCH_RESULTS, 0x2A1E},
            {Opcode.SMSG_LFG_LIST_SEARCH_STATUS, 0x2A1F},
            {Opcode.SMSG_LFG_LIST_UPDATE_BLACKLIST, 0x2A2A},
            {Opcode.SMSG_LFG_LIST_UPDATE_STATUS, 0x2A26},
            {Opcode.SMSG_LFG_OFFER_CONTINUE, 0x2A35},
            {Opcode.SMSG_LFG_PARTY_INFO, 0x2A37},
            {Opcode.SMSG_LFG_PLAYER_INFO, 0x2A38},
            {Opcode.SMSG_LFG_PLAYER_REWARD, 0x2A39},
            {Opcode.SMSG_LFG_PROPOSAL_UPDATE, 0x2A2D},
            {Opcode.SMSG_LFG_QUEUE_STATUS, 0x2A20},
            {Opcode.SMSG_LFG_READY_CHECK_RESULT, 0x2A3B},
            {Opcode.SMSG_LFG_READY_CHECK_UPDATE, 0x2A22},
            {Opcode.SMSG_LFG_ROLE_CHECK_UPDATE, 0x2A21},
            {Opcode.SMSG_LFG_SLOT_INVALID, 0x2A30},
            {Opcode.SMSG_LFG_TELEPORT_DENIED, 0x2A33},
            {Opcode.SMSG_LFG_UPDATE_STATUS, 0x2A24},
            {Opcode.SMSG_LF_GUILD_APPLICANT_LIST_CHANGED, 0x29D5},
            {Opcode.SMSG_LF_GUILD_APPLICATIONS, 0x29D1},
            {Opcode.SMSG_LF_GUILD_APPLICATIONS_LIST_CHANGED, 0x29D6},
            {Opcode.SMSG_LF_GUILD_BROWSE, 0x29CE},
            {Opcode.SMSG_LF_GUILD_COMMAND_RESULT, 0x29D0},
            {Opcode.SMSG_LF_GUILD_POST, 0x29CD},
            {Opcode.SMSG_LF_GUILD_RECRUITS, 0x29CF},
            {Opcode.SMSG_LIVE_REGION_ACCOUNT_RESTORE_RESULT, 0x27AD},
            {Opcode.SMSG_LIVE_REGION_CHARACTER_COPY_RESULT, 0x27AB},
            {Opcode.SMSG_LIVE_REGION_GET_ACCOUNT_CHARACTER_LIST_RESULT, 0x27A0},
            {Opcode.SMSG_LOAD_CUF_PROFILES, 0x25CB},
            {Opcode.SMSG_LOAD_EQUIPMENT_SET, 0x2748},
            {Opcode.SMSG_LOAD_SELECTED_TROPHY_RESULT, 0x27FE},
            {Opcode.SMSG_LOGIN_SET_TIME_SPEED, 0x2747},
            {Opcode.SMSG_LOGIN_VERIFY_WORLD, 0x25AA},
            {Opcode.SMSG_LOGOUT_CANCEL_ACK, 0x26A9},
            {Opcode.SMSG_LOGOUT_COMPLETE, 0x26A8},
            {Opcode.SMSG_LOGOUT_RESPONSE, 0x26A7},
            {Opcode.SMSG_LOG_XP_GAIN, 0x2716},
            {Opcode.SMSG_LOOT_ALL_PASSED, 0x2631},
            {Opcode.SMSG_LOOT_ITEM_LIST, 0x262F},
            {Opcode.SMSG_LOOT_LIST, 0x277E},
            {Opcode.SMSG_LOOT_MONEY_NOTIFY, 0x262B},
            {Opcode.SMSG_LOOT_RELEASE, 0x262A},
            {Opcode.SMSG_LOOT_RELEASE_ALL, 0x2629},
            {Opcode.SMSG_LOOT_REMOVED, 0x2624},
            {Opcode.SMSG_LOOT_RESPONSE, 0x2623},
            {Opcode.SMSG_LOOT_ROLL, 0x262D},
            {Opcode.SMSG_LOOT_ROLLS_COMPLETE, 0x2630},
            {Opcode.SMSG_LOOT_ROLL_WON, 0x2632},
            {Opcode.SMSG_LOSS_OF_CONTROL_AURA_UPDATE, 0x2690},
            {Opcode.SMSG_MAIL_COMMAND_RESULT, 0x2653},
            {Opcode.SMSG_MAIL_LIST_RESULT, 0x2793},
            {Opcode.SMSG_MAIL_QUERY_NEXT_TIME_RESULT, 0x2794},
            {Opcode.SMSG_MAP_OBJECTIVES_INIT, 0x279C},
            {Opcode.SMSG_MAP_OBJ_EVENTS, 0x25D5},
            {Opcode.SMSG_MASTER_LOOT_CANDIDATE_LIST, 0x262E},
            {Opcode.SMSG_MESSAGE_BOX, 0x2575},
            {Opcode.SMSG_MINIMAP_PING, 0x26F2},
            {Opcode.SMSG_MIRROR_IMAGE_COMPONENTED_DATA, 0x2C14},
            {Opcode.SMSG_MIRROR_IMAGE_CREATURE_DATA, 0x2C13},
            {Opcode.SMSG_MISSILE_CANCEL, 0x25D6},
            {Opcode.SMSG_MODIFY_CHARGE_RECOVERY_SPEED, 0x27A4},
            {Opcode.SMSG_MODIFY_COOLDOWN, 0x27A2},
            {Opcode.SMSG_MODIFY_COOLDOWN_RECOVERY_SPEED, 0x27A3},
            {Opcode.SMSG_MODIFY_PARTY_RANGE, 0x2781},
            {Opcode.SMSG_MOTD, 0x2BAF},
            {Opcode.SMSG_MOUNT_RESULT, 0x257A},
            {Opcode.SMSG_MOVE_APPLY_MOVEMENT_FORCE, 0x2DE1},
            {Opcode.SMSG_MOVE_DISABLE_COLLISION, 0x2DDD},
            {Opcode.SMSG_MOVE_DISABLE_DOUBLE_JUMP, 0x2DCB},
            {Opcode.SMSG_MOVE_DISABLE_GRAVITY, 0x2DDB},
            {Opcode.SMSG_MOVE_DISABLE_TRANSITION_BETWEEN_SWIM_AND_FLY, 0x2DDA},
            {Opcode.SMSG_MOVE_ENABLE_COLLISION, 0x2DDE},
            {Opcode.SMSG_MOVE_ENABLE_DOUBLE_JUMP, 0x2DCA},
            {Opcode.SMSG_MOVE_ENABLE_GRAVITY, 0x2DDC},
            {Opcode.SMSG_MOVE_ENABLE_TRANSITION_BETWEEN_SWIM_AND_FLY, 0x2DD9},
            {Opcode.SMSG_MOVE_KNOCK_BACK, 0x2DD1},
            {Opcode.SMSG_MOVE_REMOVE_MOVEMENT_FORCE, 0x2DE2},
            {Opcode.SMSG_MOVE_ROOT, 0x2DC7},
            {Opcode.SMSG_MOVE_SET_ACTIVE_MOVER, 0x2DA3},
            {Opcode.SMSG_MOVE_SET_CAN_FLY, 0x2DD3},
            {Opcode.SMSG_MOVE_SET_CAN_TURN_WHILE_FALLING, 0x2DD5},
            {Opcode.SMSG_MOVE_SET_COLLISION_HEIGHT, 0x2DDF},
            {Opcode.SMSG_MOVE_SET_COMPOUND_STATE, 0x2DE3},
            {Opcode.SMSG_MOVE_SET_FEATHER_FALL, 0x2DCD},
            {Opcode.SMSG_MOVE_SET_FLIGHT_BACK_SPEED, 0x2DC3},
            {Opcode.SMSG_MOVE_SET_FLIGHT_SPEED, 0x2DC2},
            {Opcode.SMSG_MOVE_SET_HOVERING, 0x2DCF},
            {Opcode.SMSG_MOVE_SET_IGNORE_MOVEMENT_FORCES, 0x2DD7},
            {Opcode.SMSG_MOVE_SET_LAND_WALK, 0x2DCC},
            {Opcode.SMSG_MOVE_SET_NORMAL_FALL, 0x2DCE},
            {Opcode.SMSG_MOVE_SET_PITCH_RATE, 0x2DC6},
            {Opcode.SMSG_MOVE_SET_RUN_BACK_SPEED, 0x2DBF},
            {Opcode.SMSG_MOVE_SET_RUN_SPEED, 0x2DBE},
            {Opcode.SMSG_MOVE_SET_SWIM_BACK_SPEED, 0x2DC1},
            {Opcode.SMSG_MOVE_SET_SWIM_SPEED, 0x2DC0},
            {Opcode.SMSG_MOVE_SET_TURN_RATE, 0x2DC5},
            {Opcode.SMSG_MOVE_SET_VEHICLE_REC_ID, 0x2DE0},
            {Opcode.SMSG_MOVE_SET_WALK_SPEED, 0x2DC4},
            {Opcode.SMSG_MOVE_SET_WATER_WALK, 0x2DC9},
            {Opcode.SMSG_MOVE_SKIP_TIME, 0x2DE4},
            {Opcode.SMSG_MOVE_SPLINE_DISABLE_COLLISION, 0x2DE9},
            {Opcode.SMSG_MOVE_SPLINE_DISABLE_GRAVITY, 0x2DE7},
            {Opcode.SMSG_MOVE_SPLINE_ENABLE_COLLISION, 0x2DEA},
            {Opcode.SMSG_MOVE_SPLINE_ENABLE_GRAVITY, 0x2DE8},
            {Opcode.SMSG_MOVE_SPLINE_ROOT, 0x2DE5},
            {Opcode.SMSG_MOVE_SPLINE_SET_FEATHER_FALL, 0x2DEB},
            {Opcode.SMSG_MOVE_SPLINE_SET_FLIGHT_BACK_SPEED, 0x2DBA},
            {Opcode.SMSG_MOVE_SPLINE_SET_FLIGHT_SPEED, 0x2DB9},
            {Opcode.SMSG_MOVE_SPLINE_SET_FLYING, 0x2DF5},
            {Opcode.SMSG_MOVE_SPLINE_SET_HOVER, 0x2DED},
            {Opcode.SMSG_MOVE_SPLINE_SET_LAND_WALK, 0x2DF0},
            {Opcode.SMSG_MOVE_SPLINE_SET_NORMAL_FALL, 0x2DEC},
            {Opcode.SMSG_MOVE_SPLINE_SET_PITCH_RATE, 0x2DBD},
            {Opcode.SMSG_MOVE_SPLINE_SET_RUN_BACK_SPEED, 0x2DB6},
            {Opcode.SMSG_MOVE_SPLINE_SET_RUN_MODE, 0x2DF3},
            {Opcode.SMSG_MOVE_SPLINE_SET_RUN_SPEED, 0x2DB5},
            {Opcode.SMSG_MOVE_SPLINE_SET_SWIM_BACK_SPEED, 0x2DB8},
            {Opcode.SMSG_MOVE_SPLINE_SET_SWIM_SPEED, 0x2DB7},
            {Opcode.SMSG_MOVE_SPLINE_SET_TURN_RATE, 0x2DBC},
            {Opcode.SMSG_MOVE_SPLINE_SET_WALK_MODE, 0x2DF4},
            {Opcode.SMSG_MOVE_SPLINE_SET_WALK_SPEED, 0x2DBB},
            {Opcode.SMSG_MOVE_SPLINE_SET_WATER_WALK, 0x2DEF},
            {Opcode.SMSG_MOVE_SPLINE_START_SWIM, 0x2DF1},
            {Opcode.SMSG_MOVE_SPLINE_STOP_SWIM, 0x2DF2},
            {Opcode.SMSG_MOVE_SPLINE_UNROOT, 0x2DE6},
            {Opcode.SMSG_MOVE_SPLINE_UNSET_FLYING, 0x2DF6},
            {Opcode.SMSG_MOVE_SPLINE_UNSET_HOVER, 0x2DEE},
            {Opcode.SMSG_MOVE_TELEPORT, 0x2DD2},
            {Opcode.SMSG_MOVE_UNROOT, 0x2DC8},
            {Opcode.SMSG_MOVE_UNSET_CAN_FLY, 0x2DD4},
            {Opcode.SMSG_MOVE_UNSET_CAN_TURN_WHILE_FALLING, 0x2DD6},
            {Opcode.SMSG_MOVE_UNSET_HOVERING, 0x2DD0},
            {Opcode.SMSG_MOVE_UNSET_IGNORE_MOVEMENT_FORCES, 0x2DD8},
            {Opcode.SMSG_MOVE_UPDATE, 0x2DAE},
            {Opcode.SMSG_MOVE_UPDATE_APPLY_MOVEMENT_FORCE, 0x2DB2},
            {Opcode.SMSG_MOVE_UPDATE_COLLISION_HEIGHT, 0x2DAD},
            {Opcode.SMSG_MOVE_UPDATE_FLIGHT_BACK_SPEED, 0x2DAA},
            {Opcode.SMSG_MOVE_UPDATE_FLIGHT_SPEED, 0x2DA9},
            {Opcode.SMSG_MOVE_UPDATE_KNOCK_BACK, 0x2DB0},
            {Opcode.SMSG_MOVE_UPDATE_PITCH_RATE, 0x2DAC},
            {Opcode.SMSG_MOVE_UPDATE_REMOVE_MOVEMENT_FORCE, 0x2DB3},
            {Opcode.SMSG_MOVE_UPDATE_RUN_BACK_SPEED, 0x2DA5},
            {Opcode.SMSG_MOVE_UPDATE_RUN_SPEED, 0x2DA4},
            {Opcode.SMSG_MOVE_UPDATE_SWIM_BACK_SPEED, 0x2DA8},
            {Opcode.SMSG_MOVE_UPDATE_SWIM_SPEED, 0x2DA7},
            {Opcode.SMSG_MOVE_UPDATE_TELEPORT, 0x2DAF},
            {Opcode.SMSG_MOVE_UPDATE_TURN_RATE, 0x2DAB},
            {Opcode.SMSG_MOVE_UPDATE_WALK_SPEED, 0x2DA6},
            {Opcode.SMSG_NEUTRAL_PLAYER_FACTION_SELECT_RESULT, 0x25ED},
            {Opcode.SMSG_NEW_TAXI_PATH, 0x26A2},
            {Opcode.SMSG_NEW_WORLD, 0x25A9},
            {Opcode.SMSG_NOTIFY_DEST_LOC_SPELL_CAST, 0x2C43},
            {Opcode.SMSG_NOTIFY_MISSILE_TRAJECTORY_COLLISION, 0x26CC},
            {Opcode.SMSG_NOTIFY_MONEY, 0x25AC},
            {Opcode.SMSG_NOTIFY_RECEIVED_MAIL, 0x2654},
            {Opcode.SMSG_OFFER_PETITION_ERROR, 0x26DB},
            {Opcode.SMSG_ON_CANCEL_EXPECTED_RIDE_VEHICLE_AURA, 0x2717},
            {Opcode.SMSG_ON_MONSTER_MOVE, 0x2DA2},
            {Opcode.SMSG_OPEN_CONTAINER, 0x275F},
            {Opcode.SMSG_OPEN_LFG_DUNGEON_FINDER, 0x2A32},
            {Opcode.SMSG_OPEN_SHIPMENT_NPC_FROM_GOSSIP, 0x27D6},
            {Opcode.SMSG_OPEN_SHIPMENT_NPC_RESULT, 0x27D8},
            {Opcode.SMSG_OVERRIDE_LIGHT, 0x26E1},
            {Opcode.SMSG_PAGE_TEXT, 0x2754},
            {Opcode.SMSG_PARTY_COMMAND_RESULT, 0x27D3},
            {Opcode.SMSG_PARTY_INVITE, 0x25CC},
            {Opcode.SMSG_PARTY_KILL_LOG, 0x2798},
            {Opcode.SMSG_PARTY_MEMBER_STATE, 0x2796},
            {Opcode.SMSG_PARTY_MEMBER_STATE_UPDATE, 0x2795},
            {Opcode.SMSG_PARTY_UPDATE, 0x2607},
            {Opcode.SMSG_PAUSE_MIRROR_TIMER, 0x274A},
            {Opcode.SMSG_PENDING_RAID_LOCK, 0x272B},
            {Opcode.SMSG_PETITION_ALREADY_SIGNED, 0x25B6},
            {Opcode.SMSG_PETITION_RENAME_GUILD_RESPONSE, 0x29F7},
            {Opcode.SMSG_PETITION_SHOW_LIST, 0x26E4},
            {Opcode.SMSG_PETITION_SHOW_SIGNATURES, 0x26E5},
            {Opcode.SMSG_PETITION_SIGN_RESULTS, 0x278A},
            {Opcode.SMSG_PET_ACTION_FEEDBACK, 0x2788},
            {Opcode.SMSG_PET_ACTION_SOUND, 0x26C4},
            {Opcode.SMSG_PET_ADDED, 0x25A6},
            {Opcode.SMSG_PET_BATTLE_CHAT_RESTRICTED, 0x2614},
            {Opcode.SMSG_PET_BATTLE_DEBUG_QUEUE_DUMP_RESPONSE, 0x2697},
            {Opcode.SMSG_PET_BATTLE_FINALIZE_LOCATION, 0x260D},
            {Opcode.SMSG_PET_BATTLE_FINAL_ROUND, 0x2612},
            {Opcode.SMSG_PET_BATTLE_FINISHED, 0x2613},
            {Opcode.SMSG_PET_BATTLE_FIRST_ROUND, 0x260F},
            {Opcode.SMSG_PET_BATTLE_INITIAL_UPDATE, 0x260E},
            {Opcode.SMSG_PET_BATTLE_MAX_GAME_LENGTH_WARNING, 0x2615},
            {Opcode.SMSG_PET_BATTLE_PVP_CHALLENGE, 0x260C},
            {Opcode.SMSG_PET_BATTLE_QUEUE_PROPOSE_MATCH, 0x2651},
            {Opcode.SMSG_PET_BATTLE_QUEUE_STATUS, 0x2652},
            {Opcode.SMSG_PET_BATTLE_REPLACEMENTS_MADE, 0x2611},
            {Opcode.SMSG_PET_BATTLE_REQUEST_FAILED, 0x260B},
            {Opcode.SMSG_PET_BATTLE_ROUND_RESULT, 0x2610},
            {Opcode.SMSG_PET_BATTLE_SLOT_UPDATES, 0x25FE},
            {Opcode.SMSG_PET_CAST_FAILED, 0x2C57},
            {Opcode.SMSG_PET_CLEAR_SPELLS, 0x2C24},
            {Opcode.SMSG_PET_DISMISS_SOUND, 0x26C5},
            {Opcode.SMSG_PET_GOD_MODE, 0x269F},
            {Opcode.SMSG_PET_GUIDS, 0x273C},
            {Opcode.SMSG_PET_LEARNED_SPELLS, 0x2C4F},
            {Opcode.SMSG_PET_MODE, 0x2589},
            {Opcode.SMSG_PET_NAME_INVALID, 0x26E9},
            {Opcode.SMSG_PET_SLOT_UPDATED, 0x2588},
            {Opcode.SMSG_PET_SPELLS_MESSAGE, 0x2C25},
            {Opcode.SMSG_PET_STABLE_LIST, 0x25A7},
            {Opcode.SMSG_PET_STABLE_RESULT, 0x25A8},
            {Opcode.SMSG_PET_TAME_FAILURE, 0x26D8},
            {Opcode.SMSG_PET_UNLEARNED_SPELLS, 0x2C50},
            {Opcode.SMSG_PHASE_SHIFT_CHANGE, 0x2577},
            {Opcode.SMSG_PLAYED_TIME, 0x2703},
            {Opcode.SMSG_PLAYER_BOUND, 0x257D},
            {Opcode.SMSG_PLAYER_SAVE_GUILD_EMBLEM, 0x29F6},
            {Opcode.SMSG_PLAYER_SKINNED, 0x2783},
            {Opcode.SMSG_PLAYER_TABARD_VENDOR_ACTIVATE, 0x2797},
            {Opcode.SMSG_PLAY_MUSIC, 0x27A7},
            {Opcode.SMSG_PLAY_OBJECT_SOUND, 0x27A8},
            {Opcode.SMSG_PLAY_ONE_SHOT_ANIM_KIT, 0x276D},
            {Opcode.SMSG_PLAY_ORPHAN_SPELL_VISUAL, 0x2C47},
            {Opcode.SMSG_PLAY_SCENE, 0x264E},
            {Opcode.SMSG_PLAY_SOUND, 0x27A6},
            {Opcode.SMSG_PLAY_SPEAKERBOT_SOUND, 0x27A9},
            {Opcode.SMSG_PLAY_SPELL_VISUAL, 0x2C45},
            {Opcode.SMSG_PLAY_SPELL_VISUAL_KIT, 0x2C49},
            {Opcode.SMSG_PLAY_TIME_WARNING, 0x2735},
            {Opcode.SMSG_PONG, 0x304E},
            {Opcode.SMSG_POWER_UPDATE, 0x26F8},
            {Opcode.SMSG_PRESTIGE_AND_HONOR_INVOLUNTARILY_CHANGED, 0x2753},
            {Opcode.SMSG_PRE_RESSURECT, 0x27A5},
            {Opcode.SMSG_PRINT_NOTIFICATION, 0x25DD},
            {Opcode.SMSG_PROC_RESIST, 0x2799},
            {Opcode.SMSG_PROPOSE_LEVEL_GRANT, 0x270B},
            {Opcode.SMSG_PUSH_SPELL_TO_ACTION_BAR, 0x2C51},
            {Opcode.SMSG_PVP_CREDIT, 0x2711},
            {Opcode.SMSG_PVP_LOG_DATA, 0x25B1},
            {Opcode.SMSG_PVP_OPTIONS_ENABLED, 0x25B4},
            {Opcode.SMSG_PVP_SEASON, 0x25D0},
            {Opcode.SMSG_QUERY_BATTLE_PET_NAME_RESPONSE, 0x26FE},
            {Opcode.SMSG_QUERY_CREATURE_RESPONSE, 0x26F5},
            {Opcode.SMSG_QUERY_GAME_OBJECT_RESPONSE, 0x26F6},
            {Opcode.SMSG_QUERY_GARRISON_CREATURE_NAME_RESPONSE, 0x292B},
            {Opcode.SMSG_QUERY_GUILD_INFO_RESPONSE, 0x29E5},
            {Opcode.SMSG_QUERY_ITEM_TEXT_RESPONSE, 0x27FF},
            {Opcode.SMSG_QUERY_NPC_TEXT_RESPONSE, 0x26F9},
            {Opcode.SMSG_QUERY_PAGE_TEXT_RESPONSE, 0x26FB},
            {Opcode.SMSG_QUERY_PETITION_RESPONSE, 0x26FF},
            {Opcode.SMSG_QUERY_PET_NAME_RESPONSE, 0x26FD},
            {Opcode.SMSG_QUERY_PLAYER_NAME_RESPONSE, 0x26FA},
            {Opcode.SMSG_QUERY_QUEST_INFO_RESPONSE, 0x2A95},
            {Opcode.SMSG_QUERY_TREASURE_PICKER_RESPONSE, 0x2839},
            {Opcode.SMSG_QUERY_TIME_RESPONSE, 0x2715},
            {Opcode.SMSG_QUEST_COMPLETION_NPC_RESPONSE, 0x2A81},
            {Opcode.SMSG_QUEST_CONFIRM_ACCEPT, 0x2A8E},
            {Opcode.SMSG_QUEST_FORCE_REMOVED, 0x2A9A},
            {Opcode.SMSG_QUEST_GIVER_INVALID_QUEST, 0x2A84},
            {Opcode.SMSG_QUEST_GIVER_OFFER_REWARD_MESSAGE, 0x2A93},
            {Opcode.SMSG_QUEST_GIVER_QUEST_COMPLETE, 0x2A82},
            {Opcode.SMSG_QUEST_GIVER_QUEST_DETAILS, 0x2A91},
            {Opcode.SMSG_QUEST_GIVER_QUEST_FAILED, 0x2A85},
            {Opcode.SMSG_QUEST_GIVER_QUEST_LIST_MESSAGE, 0x2A98},
            {Opcode.SMSG_QUEST_GIVER_REQUEST_ITEMS, 0x2A92},
            {Opcode.SMSG_QUEST_GIVER_STATUS, 0x2A99},
            {Opcode.SMSG_QUEST_GIVER_STATUS_MULTIPLE, 0x2A90},
            {Opcode.SMSG_QUEST_IGNORED, 0x2A9F},
            {Opcode.SMSG_QUEST_LOG_FULL, 0x2A86},
            {Opcode.SMSG_QUEST_POI_CHANGED, 0x2A9E},
            {Opcode.SMSG_QUEST_POI_QUERY_RESPONSE, 0x2A9B},
            {Opcode.SMSG_QUEST_PUSH_RESULT, 0x2A8F},
            {Opcode.SMSG_QUEST_UNIGNORED, 0x2AA0},
            {Opcode.SMSG_QUEST_UPDATE_ADD_CREDIT, 0x2A8B},
            {Opcode.SMSG_QUEST_UPDATE_ADD_CREDIT_SIMPLE, 0x2A8C},
            {Opcode.SMSG_QUEST_UPDATE_ADD_PVP_CREDIT, 0x2A8D},
            {Opcode.SMSG_QUEST_UPDATE_COMPLETE, 0x2A88},
            {Opcode.SMSG_QUEST_UPDATE_COMPLETE_BY_SPELL, 0x2A87},
            {Opcode.SMSG_QUEST_UPDATE_FAILED, 0x2A89},
            {Opcode.SMSG_QUEST_UPDATE_FAILED_TIMER, 0x2A8A},
            {Opcode.SMSG_RAF_EMAIL_ENABLED_RESPONSE, 0x27C4},
            {Opcode.SMSG_RAID_DIFFICULTY_SET, 0x27E6},
            {Opcode.SMSG_RAID_GROUP_ONLY, 0x27E8},
            {Opcode.SMSG_RAID_INSTANCE_MESSAGE, 0x2BB9},
            {Opcode.SMSG_RAID_MARKERS_CHANGED, 0x25B7},
            {Opcode.SMSG_RANDOM_ROLL, 0x2648},
            {Opcode.SMSG_RATED_BATTLEFIELD_INFO, 0x25A4},
            {Opcode.SMSG_READY_CHECK_COMPLETED, 0x260A},
            {Opcode.SMSG_READY_CHECK_RESPONSE, 0x2609},
            {Opcode.SMSG_READY_CHECK_STARTED, 0x2608},
            {Opcode.SMSG_READ_ITEM_RESULT_FAILED, 0x27E2},
            {Opcode.SMSG_READ_ITEM_RESULT_OK, 0x27DD},
            {Opcode.SMSG_REALM_QUERY_RESPONSE, 0x26E0},
            {Opcode.SMSG_RECRUIT_A_FRIEND_RESPONSE, 0x27C5},
            {Opcode.SMSG_REFER_A_FRIEND_EXPIRED, 0x275D},
            {Opcode.SMSG_REFER_A_FRIEND_FAILURE, 0x26E6},
            {Opcode.SMSG_REFRESH_COMPONENT, 0x2673},
            {Opcode.SMSG_REFRESH_SPELL_HISTORY, 0x2C2C},
            {Opcode.SMSG_REMOVE_ITEM_PASSIVE, 0x25BE},
            {Opcode.SMSG_REMOVE_LOSS_OF_CONTROL, 0x2692},
            {Opcode.SMSG_REPLACE_TROPHY_RESPONSE, 0x27FC},
            {Opcode.SMSG_REPORT_PVP_PLAYER_AFK_RESULT, 0x26D4},
            {Opcode.SMSG_REQUEST_ADDON_LIST, 0x265A},
            {Opcode.SMSG_REQUEST_CEMETERY_LIST_RESPONSE, 0x259D},
            {Opcode.SMSG_REQUEST_PVP_REWARDS_RESPONSE, 0x25D1},
            {Opcode.SMSG_RESEARCH_COMPLETE, 0x2585},
            {Opcode.SMSG_RESET_AREA_TRIGGER, 0x263C},
            {Opcode.SMSG_RESET_COMPRESSION_CONTEXT, 0x304F},
            {Opcode.SMSG_RESET_FAILED_NOTIFY, 0x26DC},
            {Opcode.SMSG_RESET_RANGED_COMBAT_TIMER, 0x270E},
            {Opcode.SMSG_RESET_WEEKLY_CURRENCY, 0x2574},
            {Opcode.SMSG_RESPEC_WIPE_CONFIRM, 0x2621},
            {Opcode.SMSG_RESPOND_INSPECT_ACHIEVEMENTS, 0x2571},
            {Opcode.SMSG_RESUME_CAST_BAR, 0x2C3E},
            {Opcode.SMSG_RESUME_COMMS, 0x304B},
            {Opcode.SMSG_RESUME_TOKEN, 0x25BC},
            {Opcode.SMSG_RESURRECT_REQUEST, 0x257E},
            {Opcode.SMSG_RESYNC_RUNES, 0x2738},
            {Opcode.SMSG_ROLE_CHANGED_INFORM, 0x258C},
            {Opcode.SMSG_ROLE_CHOSEN, 0x2A3A},
            {Opcode.SMSG_ROLE_POLL_INFORM, 0x258D},
            {Opcode.SMSG_RUNE_REGEN_DEBUG, 0x25C5},
            {Opcode.SMSG_SCENARIO_BOOT, 0x27E3},
            {Opcode.SMSG_SCENARIO_COMPLETED, 0x2820},
            {Opcode.SMSG_SCENARIO_POIS, 0x264A},
            {Opcode.SMSG_SCENARIO_PROGRESS_UPDATE, 0x2644},
            {Opcode.SMSG_SCENARIO_SPELL_UPDATE, 0x282C},
            {Opcode.SMSG_SCENARIO_STATE, 0x2643},
            {Opcode.SMSG_SCENE_OBJECT_EVENT, 0x25F3},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_FINAL_ROUND, 0x25F8},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_FINISHED, 0x25F9},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_FIRST_ROUND, 0x25F5},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_INITIAL_UPDATE, 0x25F4},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_REPLACEMENTS_MADE, 0x25F7},
            {Opcode.SMSG_SCENE_OBJECT_PET_BATTLE_ROUND_RESULT, 0x25F6},
            {Opcode.SMSG_SCRIPT_CAST, 0x2C55},
            {Opcode.SMSG_SELL_RESPONSE, 0x26EA},
            {Opcode.SMSG_SEND_ITEM_PASSIVES, 0x25BF},
            {Opcode.SMSG_SEND_KNOWN_SPELLS, 0x2C2A},
            {Opcode.SMSG_SEND_RAID_TARGET_UPDATE_ALL, 0x2646},
            {Opcode.SMSG_SEND_RAID_TARGET_UPDATE_SINGLE, 0x2647},
            {Opcode.SMSG_SEND_SPELL_CHARGES, 0x2C2D},
            {Opcode.SMSG_SEND_SPELL_HISTORY, 0x2C2B},
            {Opcode.SMSG_SEND_UNLEARN_SPELLS, 0x2C2E},
            {Opcode.SMSG_SERVER_FIRST_ACHIEVEMENT, 0x2BC1},
            {Opcode.SMSG_SERVER_FIRST_ACHIEVEMENTS, 0x2665},
            {Opcode.SMSG_SERVER_TIME, 0x26A6},
            {Opcode.SMSG_SETUP_CURRENCY, 0x2572},
            {Opcode.SMSG_SETUP_RESEARCH_HISTORY, 0x2584},
            {Opcode.SMSG_SET_AI_ANIM_KIT, 0x276C},
            {Opcode.SMSG_SET_ALL_TASK_PROGRESS, 0x27CD},
            {Opcode.SMSG_SET_ANIM_TIER, 0x2770},
            {Opcode.SMSG_SET_CURRENCY, 0x2573},
            {Opcode.SMSG_SET_DF_FAST_LAUNCH_RESULT, 0x2A2E},
            {Opcode.SMSG_SET_DUNGEON_DIFFICULTY, 0x26C8},
            {Opcode.SMSG_SET_FACTION_AT_WAR, 0x2737},
            {Opcode.SMSG_SET_FACTION_NOT_VISIBLE, 0x2767},
            {Opcode.SMSG_SET_FACTION_STANDING, 0x2768},
            {Opcode.SMSG_SET_FACTION_VISIBLE, 0x2766},
            {Opcode.SMSG_SET_FLAT_SPELL_MODIFIER, 0x2C37},
            {Opcode.SMSG_SET_FORCED_REACTIONS, 0x2757},
            {Opcode.SMSG_SET_ITEM_PURCHASE_DATA, 0x25AE},
            {Opcode.SMSG_SET_LOOT_METHOD_FAILED, 0x280B},
            {Opcode.SMSG_SET_MAX_WEEKLY_QUANTITY, 0x25B5},
            {Opcode.SMSG_SET_MELEE_ANIM_KIT, 0x276F},
            {Opcode.SMSG_SET_MOVEMENT_ANIM_KIT, 0x276E},
            {Opcode.SMSG_SET_PCT_SPELL_MODIFIER, 0x2C38},
            {Opcode.SMSG_SET_PET_SPECIALIZATION, 0x263D},
            {Opcode.SMSG_SET_PLAYER_DECLINED_NAMES_RESULT, 0x2702},
            {Opcode.SMSG_SET_PLAY_HOVER_ANIM, 0x25C9},
            {Opcode.SMSG_SET_PROFICIENCY, 0x2771},
            {Opcode.SMSG_SET_SPELL_CHARGES, 0x2C29},
            {Opcode.SMSG_SET_TASK_COMPLETE, 0x27CE},
            {Opcode.SMSG_SET_TIME_ZONE_INFORMATION, 0x269A},
            {Opcode.SMSG_SET_VEHICLE_REC_ID, 0x272A},
            {Opcode.SMSG_SHOW_ADVENTURE_MAP, 0x282A},
            {Opcode.SMSG_SHOW_BANK, 0x26A3},
            {Opcode.SMSG_SHOW_MAILBOX, 0x27E4},
            {Opcode.SMSG_SHOW_NEUTRAL_PLAYER_FACTION_SELECT_UI, 0x25EC},
            {Opcode.SMSG_SHOW_TAXI_NODES, 0x26F1},
            {Opcode.SMSG_SHOW_TRADE_SKILL_RESPONSE, 0x27AE},
            {Opcode.SMSG_SOCKET_GEMS, 0x2763},
            {Opcode.SMSG_SOCKET_GEMS_FAILURE, 0x2764},
            {Opcode.SMSG_SOR_START_EXPERIENCE_INCOMPLETE, 0x25EE},
            {Opcode.SMSG_SPECIALIZATION_CHANGED, 0x25E8},
            {Opcode.SMSG_SPECIAL_MOUNT_ANIM, 0x26C3},
            {Opcode.SMSG_SPEC_INVOLUNTARILY_CHANGED, 0x2752},
            {Opcode.SMSG_SPELL_ABSORB_LOG, 0x2C1F},
            {Opcode.SMSG_SPELL_CATEGORY_COOLDOWN, 0x2C17},
            {Opcode.SMSG_SPELL_CHANNEL_START, 0x2C35},
            {Opcode.SMSG_SPELL_CHANNEL_UPDATE, 0x2C36},
            {Opcode.SMSG_SPELL_COOLDOWN, 0x2C15},
            {Opcode.SMSG_SPELL_DAMAGE_SHIELD, 0x2C31},
            {Opcode.SMSG_SPELL_DELAYED, 0x2C3F},
            {Opcode.SMSG_SPELL_DISPELL_LOG, 0x2C1A},
            {Opcode.SMSG_SPELL_ENERGIZE_LOG, 0x2C1C},
            {Opcode.SMSG_SPELL_EXECUTE_LOG, 0x2C40},
            {Opcode.SMSG_SPELL_FAILED_OTHER, 0x2C54},
            {Opcode.SMSG_SPELL_FAILURE, 0x2C52},
            {Opcode.SMSG_SPELL_FAILURE_MESSAGE, 0x2C59},
            {Opcode.SMSG_SPELL_GO, 0x2C3A},
            {Opcode.SMSG_SPELL_HEAL_ABSORB_LOG, 0x2C1E},
            {Opcode.SMSG_SPELL_HEAL_LOG, 0x2C1D},
            {Opcode.SMSG_SPELL_INSTAKILL_LOG, 0x2C33},
            {Opcode.SMSG_SPELL_INTERRUPT_LOG, 0x2C20},
            {Opcode.SMSG_SPELL_MISS_LOG, 0x2C41},
            {Opcode.SMSG_SPELL_NON_MELEE_DAMAGE_LOG, 0x2C32},
            {Opcode.SMSG_SPELL_OR_DAMAGE_IMMUNE, 0x2C2F},
            {Opcode.SMSG_SPELL_PERIODIC_AURA_LOG, 0x2C1B},
            {Opcode.SMSG_SPELL_PREPARE, 0x2C39},
            {Opcode.SMSG_SPELL_START, 0x2C3B},
            {Opcode.SMSG_SPELL_UPDATE_CHAIN_TARGETS, 0x2C34},
            {Opcode.SMSG_SPIRIT_HEALER_CONFIRM, 0x274F},
            {Opcode.SMSG_STAND_STATE_UPDATE, 0x2756},
            {Opcode.SMSG_START_ELAPSED_TIMER, 0x2616},
            {Opcode.SMSG_START_ELAPSED_TIMERS, 0x2618},
            {Opcode.SMSG_START_LOOT_ROLL, 0x262C},
            {Opcode.SMSG_START_MIRROR_TIMER, 0x2749},
            {Opcode.SMSG_START_TIMER, 0x25B9},
            {Opcode.SMSG_STOP_ELAPSED_TIMER, 0x2617},
            {Opcode.SMSG_STOP_MIRROR_TIMER, 0x274B},
            {Opcode.SMSG_STOP_SPEAKERBOT_SOUND, 0x27AA},
            {Opcode.SMSG_STREAMING_MOVIES, 0x25B8},
            {Opcode.SMSG_SUMMON_CANCEL, 0x26D3},
            {Opcode.SMSG_SUMMON_RAID_MEMBER_VALIDATE_FAILED, 0x258E},
            {Opcode.SMSG_SUMMON_REQUEST, 0x275B},
            {Opcode.SMSG_SUPERCEDED_SPELLS, 0x2C4C},
            {Opcode.SMSG_SUSPEND_COMMS, 0x304A},
            {Opcode.SMSG_SUSPEND_TOKEN, 0x25BB},
            {Opcode.SMSG_TALENTS_INVOLUNTARILY_RESET, 0x2751},
            {Opcode.SMSG_TAXI_NODE_STATUS, 0x26A0},
            {Opcode.SMSG_TEXT_EMOTE, 0x269E},
            {Opcode.SMSG_THREAT_CLEAR, 0x270A},
            {Opcode.SMSG_THREAT_REMOVE, 0x2709},
            {Opcode.SMSG_THREAT_UPDATE, 0x2708},
            {Opcode.SMSG_TIME_ADJUSTMENT, 0x2DA1},
            {Opcode.SMSG_TIME_SYNC_REQUEST, 0x2DA0},
            {Opcode.SMSG_TITLE_EARNED, 0x2705},
            {Opcode.SMSG_TITLE_LOST, 0x2706},
            {Opcode.SMSG_TOTEM_CREATED, 0x26ED},
            {Opcode.SMSG_TOTEM_MOVED, 0x26EE},
            {Opcode.SMSG_TRADE_STATUS, 0x2581},
            {Opcode.SMSG_TRADE_UPDATED, 0x2580},
            {Opcode.SMSG_TRAINER_BUY_FAILED, 0x2710},
            {Opcode.SMSG_TRAINER_LIST, 0x270F},
            {Opcode.SMSG_TRANSFER_ABORTED, 0x273B},
            {Opcode.SMSG_TRANSFER_PENDING, 0x25E1},
            {Opcode.SMSG_TRANSMOG_COLLECTION_UPDATE, 0x25C4},
            {Opcode.SMSG_TRIGGER_CINEMATIC, 0x2803},
            {Opcode.SMSG_TRIGGER_MOVIE, 0x26EF},
            {Opcode.SMSG_TURN_IN_PETITION_RESULT, 0x278C},
            {Opcode.SMSG_TUTORIAL_FLAGS, 0x27F6},
            {Opcode.SMSG_TUTORIAL_HIGHLIGHT_SPELL, 0x2833},
            {Opcode.SMSG_TUTORIAL_UNHIGHLIGHT_SPELL, 0x2832},
            {Opcode.SMSG_TWITTER_STATUS, 0x2FFD},
            {Opcode.SMSG_UI_TIME, 0x274E},
            {Opcode.SMSG_UNDELETE_CHARACTER_RESPONSE, 0x2806},
            {Opcode.SMSG_UNDELETE_COOLDOWN_STATUS_RESPONSE, 0x2807},
            {Opcode.SMSG_UNLEARNED_SPELLS, 0x2C4E},
            {Opcode.SMSG_UPDATE_ACCOUNT_DATA, 0x2743},
            {Opcode.SMSG_UPDATE_ACTION_BUTTONS, 0x25F1},
            {Opcode.SMSG_UPDATE_CHARACTER_FLAGS, 0x27FB},
            {Opcode.SMSG_UPDATE_DUNGEON_ENCOUNTER_FOR_LOOT, 0x2A31},
            {Opcode.SMSG_UPDATE_EXPANSION_LEVEL, 0x265E},
            {Opcode.SMSG_UPDATE_INSTANCE_OWNERSHIP, 0x26CB},
            {Opcode.SMSG_UPDATE_LAST_INSTANCE, 0x26AC},
            {Opcode.SMSG_UPDATE_OBJECT, 0x2804},
            {Opcode.SMSG_UPDATE_TALENT_DATA, 0x25E7},
            {Opcode.SMSG_UPDATE_TASK_PROGRESS, 0x27CC},
            {Opcode.SMSG_UPDATE_WEEKLY_SPELL_USAGE, 0x2C19},
            {Opcode.SMSG_UPDATE_WORLD_STATE, 0x2787},
            {Opcode.SMSG_USERLIST_ADD, 0x2BBE},
            {Opcode.SMSG_USERLIST_REMOVE, 0x2BBF},
            {Opcode.SMSG_USERLIST_UPDATE, 0x2BC0},
            {Opcode.SMSG_USE_EQUIPMENT_SET_RESULT, 0x278D},
            {Opcode.SMSG_VENDOR_INVENTORY, 0x25C7},
            {Opcode.SMSG_VIGNETTE_UPDATE, 0x27AC},
            {Opcode.SMSG_VOICE_CHAT_STATUS, 0x2BB3},
            {Opcode.SMSG_VOICE_PARENTAL_CONTROLS, 0x2BB4},
            {Opcode.SMSG_VOICE_SESSION_LEAVE, 0x2BB6},
            {Opcode.SMSG_VOICE_SESSION_ROSTER_UPDATE, 0x2BB5},
            {Opcode.SMSG_VOID_ITEM_SWAP_RESPONSE, 0x25DB},
            {Opcode.SMSG_VOID_STORAGE_CONTENTS, 0x25D8},
            {Opcode.SMSG_VOID_STORAGE_FAILED, 0x25D7},
            {Opcode.SMSG_VOID_STORAGE_TRANSFER_CHANGES, 0x25D9},
            {Opcode.SMSG_VOID_TRANSFER_RESULT, 0x25DA},
            {Opcode.SMSG_WAIT_QUEUE_FINISH, 0x256E},
            {Opcode.SMSG_WAIT_QUEUE_UPDATE, 0x256D},
            {Opcode.SMSG_WARDEN_DATA, 0x2576},
            {Opcode.SMSG_WARGAME_REQUEST_SUCCESSFULLY_SENT_TO_OPPONENT, 0x25B2},
            {Opcode.SMSG_WEATHER, 0x26CA},
            {Opcode.SMSG_WEEKLY_SPELL_USAGE, 0x2C18},
            {Opcode.SMSG_WHO, 0x2BAE},
            {Opcode.SMSG_WHO_IS, 0x26C9},
            {Opcode.SMSG_WORLD_QUEST_UPDATE, 0x283A},
            {Opcode.SMSG_WORLD_SERVER_INFO, 0x25C0},
            {Opcode.SMSG_WORLD_TEXT, 0x2822},
            {Opcode.SMSG_WOW_TOKEN_AUCTION_SOLD, 0x2811},
            {Opcode.SMSG_WOW_TOKEN_BUY_REQUEST_CONFIRMATION, 0x2813},
            {Opcode.SMSG_WOW_TOKEN_BUY_RESULT_CONFIRMATION, 0x2814},
            {Opcode.SMSG_WOW_TOKEN_CAN_VETERAN_BUY_RESULT, 0x2812},
            {Opcode.SMSG_WOW_TOKEN_DISTRIBUTION_GLUE_UPDATE, 0x280C},
            {Opcode.SMSG_WOW_TOKEN_DISTRIBUTION_UPDATE, 0x280D},
            {Opcode.SMSG_WOW_TOKEN_MARKET_PRICE_RESPONSE, 0x280E},
            {Opcode.SMSG_WOW_TOKEN_REDEEM_GAME_TIME_UPDATED, 0x2815},
            {Opcode.SMSG_WOW_TOKEN_REDEEM_REQUEST_CONFIRMATION, 0x2816},
            {Opcode.SMSG_WOW_TOKEN_REDEEM_RESULT, 0x2817},
            {Opcode.SMSG_WOW_TOKEN_SELL_REQUEST_CONFIRMATION, 0x280F},
            {Opcode.SMSG_WOW_TOKEN_SELL_RESULT_CONFIRMATION, 0x2810},
            {Opcode.SMSG_WOW_TOKEN_UPDATE_AUCTIONABLE_LIST_RESPONSE, 0x2818},
            {Opcode.SMSG_XP_GAIN_ABORTED, 0x25DC},
            {Opcode.SMSG_XP_GAIN_ENABLED, 0x27E7},
            {Opcode.SMSG_ZONE_UNDER_ATTACK, 0x2BBA},
        };

        private static readonly BiDictionary<Opcode, int> MiscOpcodes = new BiDictionary<Opcode, int>();
    }
}
